// python wrapper for vtkAbstractArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkAbstractArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkAbstractArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  const char    *temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkAbstractArray  *temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Allocate(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  int      temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetDataTypeSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  int      temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDataTypeSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  int      temp0;
  unsigned long     temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkAbstractArray::GetDataTypeSize(temp0);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  vtkAbstractArray  *temp1;
  PyObject *tempH1;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAbstractArray");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetValues(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  PyErr_Clear();
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2)))
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetNumberOfElementComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  int      temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfElementComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetElementComponentSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  int      temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetElementComponentSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp0;
  void    *temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetVoidPointer(temp0);
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkAbstractArray  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractArray");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkAbstractArray_CopyValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  int      temp0;
  int      temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2)))
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->CopyValue(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkAbstractArray_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_Resize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp0;
  int      temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Resize(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractArray::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetMaxId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkIdType   temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetMaxId();
      }
    else
      {
      temp20 = op->GetMaxId();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_SetVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"s#ii", &temp0, &size0, &temp1, &temp2)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetVoidArray in vtkAbstractArray was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetVoidArray in vtkAbstractArray was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractArray::SetVoidArray(temp0,temp1,temp2);
      }
    else
      {
      op->SetVoidArray(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  unsigned long     temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_SetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  char    *temp0;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractArray::SetName(temp0);
      }
    else
      {
      op->SetName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  const char    *temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetName();
      }
    else
      {
      temp20 = op->GetName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_GetDataTypeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  const char    *temp20;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractArray::GetDataTypeAsString();
      }
    else
      {
      temp20 = op->GetDataTypeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractArray_ConvertFromContiguous(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractArray *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkIdTypeArray  *temp1;
  PyObject *tempH1;
  if ((op = (vtkAbstractArray *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break25;
    temp1 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdTypeArray");
    if (!temp1 && tempH1 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->ConvertFromContiguous(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}

static PyMethodDef PyvtkAbstractArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractArray\nC++: vtkAbstractArray *NewInstance ();\n\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkAbstractArray_Allocate, 1,
   (char*)"V.Allocate(int, int) -> int\nC++: virtual int Allocate (vtkIdType sz, vtkIdType ext) = 0;\n\n Allocate memory for this array. Delete old storage only if necessary.\n Note that ext is no longer used.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkAbstractArray_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize () = 0;\n\n Release storage and reset array to initial state.\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkAbstractArray_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: virtual int GetDataType () = 0;\n\n Return the underlying data type. An integer indicating data type is \n returned as specified in vtkSetGet.h.\n"},
  {(char*)"GetDataTypeSize",                (PyCFunction)PyvtkAbstractArray_GetDataTypeSize, 1,
   (char*)"V.GetDataTypeSize() -> int\nC++: virtual int GetDataTypeSize () = 0;\nV.GetDataTypeSize(int) -> int\nC++: static unsigned long GetDataTypeSize (int type);\n\n Return the size of the underlying data type.  For a bit, 0 is\n returned.  XXX FIXME How will this method behave for\n variably-sized objects?\n"},
  {(char*)"GetValues",                (PyCFunction)PyvtkAbstractArray_GetValues, 1,
   (char*)"V.GetValues(vtkIdList, vtkAbstractArray)\nC++: virtual void GetValues (vtkIdList *indices, vtkAbstractArray *output) = 0;\nV.GetValues(int, int, vtkAbstractArray)\nC++: virtual void GetValues (vtkIdType p1, vtkIdType p2, vtkAbstractArray *output) = 0;\n\n Given a list of indices, return an array of values.  The caller\n must ensure that enough room has been allocated within the output\n array to hold the data and that the data types match well enough\n to allow any necessary conversions.\n"},
  {(char*)"GetNumberOfElementComponents",                (PyCFunction)PyvtkAbstractArray_GetNumberOfElementComponents, 1,
   (char*)"V.GetNumberOfElementComponents() -> int\nC++: virtual int GetNumberOfElementComponents () = 0;\n\n Return the number of components in a single element of the array.\n For vtkDataArray and its subclasses, this is the number of\n components in a tuple.  Arrays with variable-length elements\n (such as vtkStringArray and vtkCellArray) should return 0.\n"},
  {(char*)"GetElementComponentSize",                (PyCFunction)PyvtkAbstractArray_GetElementComponentSize, 1,
   (char*)"V.GetElementComponentSize() -> int\nC++: virtual int GetElementComponentSize () = 0;\n\n Return the size, in bytes, of the lowest-level element of an\n array.  For vtkDataArray and subclasses this is the size of the\n data type.  For vtkStringArray, this is\n sizeof(vtkStdString::value_type), which winds up being\n sizeof(char).  \n"},
  {(char*)"GetVoidPointer",                (PyCFunction)PyvtkAbstractArray_GetVoidPointer, 1,
   (char*)"V.GetVoidPointer(int) -> string\nC++: virtual void *GetVoidPointer (vtkIdType id) = 0;\n\n Return a void pointer. For image pipeline interface and other \n special pointer manipulation.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkAbstractArray_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkAbstractArray)\nC++: virtual void DeepCopy (vtkAbstractArray *da) = 0;\n\n Deep copy of data. Implementation left to subclasses, which\n should support as many type conversions as possible given the\n data type.\n"},
  {(char*)"CopyValue",                (PyCFunction)PyvtkAbstractArray_CopyValue, 1,
   (char*)"V.CopyValue(int, int, vtkAbstractArray)\nC++: virtual void CopyValue (int toIndex, int fromIndex, vtkAbstractArray *sourceArray) = 0;\n\n Copy an element from one array into an element on this array.  \n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkAbstractArray_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: virtual void Squeeze () = 0;\n\n Resize object to just fit data requirement. Reclaims extra memory.\n"},
  {(char*)"Resize",                (PyCFunction)PyvtkAbstractArray_Resize, 1,
   (char*)"V.Resize(int) -> int\nC++: virtual int Resize (vtkIdType numTuples) = 0;\n\n Resize the array while conserving the data.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkAbstractArray_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();this MaxId \n\n Return the size of the data.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkAbstractArray_GetSize, 1,
   (char*)"V.GetSize() -> int\nC++: vtkIdType GetSize ();return this Size \n\n What is the maximum id currently in the array.\n"},
  {(char*)"GetMaxId",                (PyCFunction)PyvtkAbstractArray_GetMaxId, 1,
   (char*)"V.GetMaxId() -> int\nC++: vtkIdType GetMaxId ();return this MaxId \n\n This method lets the user specify data to be held by the array.  The \n array argument is a pointer to the data.  size is the size of \n the array supplied by the user.  Set save to 1 to keep the class\n from deleting the array when it cleans up or reallocates memory.\n The class uses the actual array provided; it does not copy the data \n from the supplied array.\n"},
  {(char*)"SetVoidArray",                (PyCFunction)PyvtkAbstractArray_SetVoidArray, 1,
   (char*)"V.SetVoidArray(string, int, int)\nC++: virtual void SetVoidArray (void *, vtkIdType , int );\n\n This method lets the user specify data to be held by the array.  The \n array argument is a pointer to the data.  size is the size of \n the array supplied by the user.  Set save to 1 to keep the class\n from deleting the array when it cleans up or reallocates memory.\n The class uses the actual array provided; it does not copy the data \n from the supplied array.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkAbstractArray_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: virtual unsigned long GetActualMemorySize () = 0;\n\n Return the memory in kilobytes consumed by this data array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n"},
  {(char*)"SetName",                (PyCFunction)PyvtkAbstractArray_SetName, 1,
   (char*)"V.SetName(string)\nC++: void SetName (const char *name);\n\n Set/get array's name\n"},
  {(char*)"GetName",                (PyCFunction)PyvtkAbstractArray_GetName, 1,
   (char*)"V.GetName() -> string\nC++: const char *GetName ();\n\n Set/get array's name\n"},
  {(char*)"GetDataTypeAsString",                (PyCFunction)PyvtkAbstractArray_GetDataTypeAsString, 1,
   (char*)"V.GetDataTypeAsString() -> string\nC++: virtual const char *GetDataTypeAsString (void );return vtkImageScalarTypeNameMacro this GetDataType \n\n This method is here to make backward compatibility easier.  It\n must return true if and only if an array contains numeric data.\n"},
  {(char*)"ConvertFromContiguous",                (PyCFunction)PyvtkAbstractArray_ConvertFromContiguous, 1,
   (char*)"V.ConvertFromContiguous(vtkDataArray, vtkIdTypeArray)\nC++: virtual void ConvertFromContiguous (vtkDataArray *Data, vtkIdTypeArray *Offsets) = 0;\n\n This is the inverse of ConvertToContiguous(), above.  \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractArrayDoc[] = {
  (char*)"vtkAbstractArray - Abstract superclass for all arrays\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"\n vtkAbstractArray is an abstract superclass for data array objects.\n This class defines an API that all subclasses must support.  The\n data type must be assignable and copy-constructible, but no other\n assumptions about its type are made.  Most of the subclasses of\n this array deal with numeric data either as scalars or tuples of\n scalars.  A program can use the IsNumeric() method to check whethe",
  (char*)"r\n an instance of vtkAbstractArray contains numbers.  It is also\n possible to test for this by attempting to SafeDownCast an array to\n an instance of vtkDataArray, although this assumes that all numeric\n arrays will always be descended from vtkDataArray.\n\n <p>\n\n Every array has a character-string name. The naming of the array\n occurs automatically when it is instantiated, but you are free to\n chan",
  (char*)"ge this name using the SetName() method.  (The array name is\n used for data manipulation.)\n\n\n",
  "See Also:\n\n vtkDataArray vtkStringArray vtkCellArray\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractArrayNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractArrayMethods,
                        (char*)"vtkAbstractArray",modulename,
                        (char**)vtkAbstractArrayDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

