// python wrapper for vtkAmoebaMinimizer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkAmoebaMinimizer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAmoebaMinimizerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAmoebaMinimizerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkAmoebaMinimizer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  const char    *temp20;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  vtkAmoebaMinimizer  *temp20;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAmoebaMinimizer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAmoebaMinimizer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_SetFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  PyObject *temp0;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"O", &temp0)))
    {
    if (!PyCallable_Check(temp0) && temp0 != Py_None)
      {
      PyErr_SetString(PyExc_ValueError,"vtk callback method passed to SetFunction in vtkAmoebaMinimizer was not callable.");
      return NULL;
      }
    Py_INCREF(temp0);
    if (PyVTKClass_Check(self))
      {
      op->vtkAmoebaMinimizer::SetFunction(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->vtkAmoebaMinimizer::SetFunctionArgDelete(vtkPythonVoidFuncArgDelete);
      }
    else
      {
      op->SetFunction(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->SetFunctionArgDelete(vtkPythonVoidFuncArgDelete);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_SetParameterValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  char    *temp0;
  double   temp1;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"zd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAmoebaMinimizer::SetParameterValue(temp0,temp1);
      }
    else
      {
      op->SetParameterValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  int      temp0;
  double   temp1;
  PyErr_Clear();
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAmoebaMinimizer::SetParameterValue(temp0,temp1);
      }
    else
      {
      op->SetParameterValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_SetParameterScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  char    *temp0;
  double   temp1;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"zd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAmoebaMinimizer::SetParameterScale(temp0,temp1);
      }
    else
      {
      op->SetParameterScale(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  int      temp0;
  double   temp1;
  PyErr_Clear();
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAmoebaMinimizer::SetParameterScale(temp0,temp1);
      }
    else
      {
      op->SetParameterScale(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_GetParameterScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  char    *temp0;
  double   temp20;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::GetParameterScale(temp0);
      }
    else
      {
      temp20 = op->GetParameterScale(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  int      temp0;
  double   temp20;
  PyErr_Clear();
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::GetParameterScale(temp0);
      }
    else
      {
      temp20 = op->GetParameterScale(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_GetParameterValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  char    *temp0;
  double   temp20;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::GetParameterValue(temp0);
      }
    else
      {
      temp20 = op->GetParameterValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  int      temp0;
  double   temp20;
  PyErr_Clear();
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::GetParameterValue(temp0);
      }
    else
      {
      temp20 = op->GetParameterValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_GetParameterName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::GetParameterName(temp0);
      }
    else
      {
      temp20 = op->GetParameterName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_GetNumberOfParameters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  int      temp20;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::GetNumberOfParameters();
      }
    else
      {
      temp20 = op->GetNumberOfParameters();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAmoebaMinimizer::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_Minimize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAmoebaMinimizer::Minimize();
      }
    else
      {
      op->Minimize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_Iterate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  int      temp20;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::Iterate();
      }
    else
      {
      temp20 = op->Iterate();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_SetFunctionValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  double   temp0;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAmoebaMinimizer::SetFunctionValue(temp0);
      }
    else
      {
      op->SetFunctionValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_GetFunctionValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  double   temp20;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::GetFunctionValue();
      }
    else
      {
      temp20 = op->GetFunctionValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  double   temp0;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAmoebaMinimizer::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  double   temp20;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_SetMaxIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  int      temp0;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAmoebaMinimizer::SetMaxIterations(temp0);
      }
    else
      {
      op->SetMaxIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_GetMaxIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  int      temp20;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::GetMaxIterations();
      }
    else
      {
      temp20 = op->GetMaxIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_GetIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  int      temp20;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::GetIterations();
      }
    else
      {
      temp20 = op->GetIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_GetFunctionEvaluations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  int      temp20;
  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAmoebaMinimizer::GetFunctionEvaluations();
      }
    else
      {
      temp20 = op->GetFunctionEvaluations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAmoebaMinimizer_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAmoebaMinimizer *op;

  if ((op = (vtkAmoebaMinimizer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAmoebaMinimizer::EvaluateFunction();
      }
    else
      {
      op->EvaluateFunction();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAmoebaMinimizerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAmoebaMinimizer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAmoebaMinimizer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAmoebaMinimizer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAmoebaMinimizer\nC++: vtkAmoebaMinimizer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAmoebaMinimizer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAmoebaMinimizer\nC++: vtkAmoebaMinimizer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFunction",                (PyCFunction)PyvtkAmoebaMinimizer_SetFunction, 1,
   (char*)"V.SetFunction(function)\nC++: void SetFunction (void (*func)(void *) , void *arg);\n\n Specify the function to be minimized.  When this function\n is called, it must get the parameter values by calling\n GetParameterValue() for each parameter, and then must\n call SetFunctionValue() to tell the minimizer what the result\n of the function evaluation was.  The number of function\n evaluations used for the minimization can be retrieved\n using GetFunctionEvaluations().\n"},
  {(char*)"SetParameterValue",                (PyCFunction)PyvtkAmoebaMinimizer_SetParameterValue, 1,
   (char*)"V.SetParameterValue(string, float)\nC++: void SetParameterValue (const char *name, double value);\nV.SetParameterValue(int, float)\nC++: void SetParameterValue (int i, double value);\n\n Set the initial value for the specified parameter.  Calling\n this function for any parameter will reset the Iterations\n and the FunctionEvaluations counts to zero.  You must also\n use SetParameterScale() to specify the step size by which the\n parameter will be modified during the minimization.  It is\n preferable to specify parameters by name, rather than by\n number.\n"},
  {(char*)"SetParameterScale",                (PyCFunction)PyvtkAmoebaMinimizer_SetParameterScale, 1,
   (char*)"V.SetParameterScale(string, float)\nC++: void SetParameterScale (const char *name, double scale);\nV.SetParameterScale(int, float)\nC++: void SetParameterScale (int i, double scale);\n\n Set the scale to use when modifying a parameter, i.e. the\n initial amount by which the parameter will be modified\n during the search for the minimum.  It is preferable to\n identify scalars by name rather than by number.\n"},
  {(char*)"GetParameterScale",                (PyCFunction)PyvtkAmoebaMinimizer_GetParameterScale, 1,
   (char*)"V.GetParameterScale(string) -> float\nC++: double GetParameterScale (const char *name);\nV.GetParameterScale(int) -> float\nC++: double GetParameterScale (int i);return this ParameterScales i \n\n Set the scale to use when modifying a parameter, i.e. the\n initial amount by which the parameter will be modified\n during the search for the minimum.  It is preferable to\n identify scalars by name rather than by number.\n"},
  {(char*)"GetParameterValue",                (PyCFunction)PyvtkAmoebaMinimizer_GetParameterValue, 1,
   (char*)"V.GetParameterValue(string) -> float\nC++: double GetParameterValue (const char *name);\nV.GetParameterValue(int) -> float\nC++: double GetParameterValue (int i);return this ParameterValues i \n\n Get the value of a parameter at the current stage of the minimization.\n Call this method within the function that you are minimizing in order\n to get the current parameter values.  It is preferable to specify\n parameters by name rather than by index. \n"},
  {(char*)"GetParameterName",                (PyCFunction)PyvtkAmoebaMinimizer_GetParameterName, 1,
   (char*)"V.GetParameterName(int) -> string\nC++: const char *GetParameterName (int i);return this ParameterNames i \n\n For completeness, an unchecked method to get the name for particular\n parameter (the result will be NULL if no name was set).  \n"},
  {(char*)"GetNumberOfParameters",                (PyCFunction)PyvtkAmoebaMinimizer_GetNumberOfParameters, 1,
   (char*)"V.GetNumberOfParameters() -> int\nC++: int GetNumberOfParameters ();return this NumberOfParameters \n\n Get the number of parameters that have been set.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkAmoebaMinimizer_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Initialize the minimizer.  This will reset the number of parameters to\n zero so that the minimizer can be reused.\n"},
  {(char*)"Minimize",                (PyCFunction)PyvtkAmoebaMinimizer_Minimize, 1,
   (char*)"V.Minimize()\nC++: virtual void Minimize ();\n\n Iterate until the minimum is found to within the specified tolerance,\n or until the MaxIterations has been reached. \n"},
  {(char*)"Iterate",                (PyCFunction)PyvtkAmoebaMinimizer_Iterate, 1,
   (char*)"V.Iterate() -> int\nC++: virtual int Iterate ();\n\n Perform one iteration of minimization.  Returns zero if the tolerance\n stopping criterion has been met.  \n"},
  {(char*)"SetFunctionValue",                (PyCFunction)PyvtkAmoebaMinimizer_SetFunctionValue, 1,
   (char*)"V.SetFunctionValue(float)\nC++: void SetFunctionValue (double );\n\n Get the function value resulting from the minimization.\n"},
  {(char*)"GetFunctionValue",                (PyCFunction)PyvtkAmoebaMinimizer_GetFunctionValue, 1,
   (char*)"V.GetFunctionValue() -> float\nC++: double GetFunctionValue ();return this FunctionValue \n\n Get the function value resulting from the minimization.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkAmoebaMinimizer_SetTolerance, 1,
   (char*)"V.SetTolerance(float)\nC++: void SetTolerance (double );\n\n Specify the fractional tolerance to aim for during the minimization.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkAmoebaMinimizer_GetTolerance, 1,
   (char*)"V.GetTolerance() -> float\nC++: double GetTolerance ();\n\n Specify the fractional tolerance to aim for during the minimization.\n"},
  {(char*)"SetMaxIterations",                (PyCFunction)PyvtkAmoebaMinimizer_SetMaxIterations, 1,
   (char*)"V.SetMaxIterations(int)\nC++: void SetMaxIterations (int );\n\n Specify the maximum number of iterations to try before giving up.\n"},
  {(char*)"GetMaxIterations",                (PyCFunction)PyvtkAmoebaMinimizer_GetMaxIterations, 1,
   (char*)"V.GetMaxIterations() -> int\nC++: int GetMaxIterations ();\n\n Specify the maximum number of iterations to try before giving up.\n"},
  {(char*)"GetIterations",                (PyCFunction)PyvtkAmoebaMinimizer_GetIterations, 1,
   (char*)"V.GetIterations() -> int\nC++: int GetIterations ();\n\n Return the number of interations that have been performed.  This\n is not necessarily the same as the number of function evaluations.\n"},
  {(char*)"GetFunctionEvaluations",                (PyCFunction)PyvtkAmoebaMinimizer_GetFunctionEvaluations, 1,
   (char*)"V.GetFunctionEvaluations() -> int\nC++: int GetFunctionEvaluations ();\n\n Return the number of times that the function has been evaluated.\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkAmoebaMinimizer_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction()\nC++: void EvaluateFunction ();\n\n Evaluate the function.  This is usually called internally by the\n minimization code, but it is provided here as a public method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAmoebaMinimizerDoc[] = {
  (char*)"vtkAmoebaMinimizer - nonlinear optimization with a simplex\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkAmoebaMinimizer will modify a set of parameters in order to find\n the minimum of a specified function.  The method used is commonly\n known as the amoeba method, it constructs an n-dimensional simplex\n in parameter space (i.e. a tetrahedron if the number or parameters\n is 3) and moves the vertices around parameter space until a local\n minimum is found.  The amoeba method is robust, reasonably e",
  (char*)"fficient,\n but is not guaranteed to find the global minimum if several local\n minima exist.\n\n",
  NULL
};

static vtkObjectBase *vtkAmoebaMinimizerStaticNew()
{
  return vtkAmoebaMinimizer::New();
}

PyObject *PyVTKClass_vtkAmoebaMinimizerNew(char *modulename)
{
  return PyVTKClass_New(&vtkAmoebaMinimizerStaticNew,
                        PyvtkAmoebaMinimizerMethods,
                        (char*)"vtkAmoebaMinimizer",modulename,
                        (char**)vtkAmoebaMinimizerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

