// python wrapper for vtkAssemblyNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkAssemblyNode.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAssemblyNodeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAssemblyNodeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkAssemblyNode_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyNode *op;

  const char    *temp20;
  if ((op = (vtkAssemblyNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyNode::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyNode_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyNode *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAssemblyNode *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyNode::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyNode_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyNode *op;

  vtkAssemblyNode  *temp20;
  if ((op = (vtkAssemblyNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyNode::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyNode_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAssemblyNode  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAssemblyNode::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAssemblyNode_SetViewProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyNode *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAssemblyNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkAssemblyNode::SetViewProp(temp0);
      }
    else
      {
      op->SetViewProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkAssemblyNode_GetViewProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyNode *op;

  vtkProp  *temp20;
  if ((op = (vtkAssemblyNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyNode::GetViewProp();
      }
    else
      {
      temp20 = op->GetViewProp();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyNode_SetMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyNode *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAssemblyNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkAssemblyNode::SetMatrix(temp0);
      }
    else
      {
      op->SetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkAssemblyNode_GetMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyNode *op;

  vtkMatrix4x4  *temp20;
  if ((op = (vtkAssemblyNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyNode::GetMatrix();
      }
    else
      {
      temp20 = op->GetMatrix();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyNode_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyNode *op;

  unsigned long     temp20;
  if ((op = (vtkAssemblyNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyNode::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkAssemblyNode_SetProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyNode *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAssemblyNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkAssemblyNode::SetProp(temp0);
      }
    else
      {
      op->SetProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkAssemblyNode_GetProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyNode *op;

  vtkProp  *temp20;
  if ((op = (vtkAssemblyNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyNode::GetProp();
      }
    else
      {
      temp20 = op->GetProp();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}
#endif

static PyMethodDef PyvtkAssemblyNodeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAssemblyNode_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAssemblyNode_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAssemblyNode_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAssemblyNode\nC++: vtkAssemblyNode *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAssemblyNode_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAssemblyNode\nC++: vtkAssemblyNode *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetViewProp",                (PyCFunction)PyvtkAssemblyNode_SetViewProp, 1,
   (char*)"V.SetViewProp(vtkProp)\nC++: virtual void SetViewProp (vtkProp *prop);\n\n Set/Get the prop that this assembly node refers to.\n"},
  {(char*)"GetViewProp",                (PyCFunction)PyvtkAssemblyNode_GetViewProp, 1,
   (char*)"V.GetViewProp() -> vtkProp\nC++: vtkProp *GetViewProp ();\n\n Set/Get the prop that this assembly node refers to.\n"},
  {(char*)"SetMatrix",                (PyCFunction)PyvtkAssemblyNode_SetMatrix, 1,
   (char*)"V.SetMatrix(vtkMatrix4x4)\nC++: void SetMatrix (vtkMatrix4x4 *matrix);\n\n Specify a transformation matrix associated with the prop.\n Note: if the prop is not a type of vtkProp3D, then the\n transformation matrix is ignored (and expected to be NULL).\n Also, internal to this object the matrix is copied because\n the matrix is used for computation by vtkAssemblyPath.\n"},
  {(char*)"GetMatrix",                (PyCFunction)PyvtkAssemblyNode_GetMatrix, 1,
   (char*)"V.GetMatrix() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetMatrix ();\n\n Specify a transformation matrix associated with the prop.\n Note: if the prop is not a type of vtkProp3D, then the\n transformation matrix is ignored (and expected to be NULL).\n Also, internal to this object the matrix is copied because\n the matrix is used for computation by vtkAssemblyPath.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkAssemblyNode_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Override the standard GetMTime() to check for the modified times\n of the prop and matrix.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetProp",                (PyCFunction)PyvtkAssemblyNode_SetProp, 1,
   (char*)"V.SetProp(vtkProp)\nC++: virtual void SetProp (vtkProp *prop);\n\n @deprecated Replaced by vtkAssemblyNode::SetViewProp() as of VTK 5.0.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetProp",                (PyCFunction)PyvtkAssemblyNode_GetProp, 1,
   (char*)"V.GetProp() -> vtkProp\nC++: virtual vtkProp *GetProp ();\n\n @deprecated Replaced by vtkAssemblyNode::GetViewProp() as of VTK 5.0.\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAssemblyNodeDoc[] = {
  (char*)"vtkAssemblyNode - represent a node in an assembly\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkAssemblyNode represents a node in an assembly. It is used by\n vtkAssemblyPath to create hierarchical assemblies of props. The\n props can be either 2D or 3D.\n\n An assembly node refers to a vtkProp, and possibly a vtkMatrix4x4.\n Nodes are used by vtkAssemblyPath to build fully evaluated path\n (matrices are concatenated through the path) that is used by picking\n and other operations involving ass",
  (char*)"emblies.\n\n",
  "Caveats:\n\n The assembly node is guaranteed to contain a reference to an instance\n of vtkMatrix4x4 if the prop referred to by the node is of type\n vtkProp3D (or subclass). The matrix is evaluated through the assembly\n path, so the assembly node's matrix is a function of its location in \n the vtkAssemblyPath.\n\n vtkAssemblyNode does not reference count its association with vtkProp.\n Therefore, do not create an assembly node, associate a prop with it,\n delete the prop, and then tr ...\n [Truncated]\n\n",
  "See Also:\n\n vtkAssemblyPath vtkProp vtkPicker vtkMatrix4x4\n\n",
  NULL
};

static vtkObjectBase *vtkAssemblyNodeStaticNew()
{
  return vtkAssemblyNode::New();
}

PyObject *PyVTKClass_vtkAssemblyNodeNew(char *modulename)
{
  return PyVTKClass_New(&vtkAssemblyNodeStaticNew,
                        PyvtkAssemblyNodeMethods,
                        (char*)"vtkAssemblyNode",modulename,
                        (char**)vtkAssemblyNodeDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

