// python wrapper for vtkAssemblyPaths object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkAssemblyPaths.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAssemblyPathsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAssemblyPathsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkAssemblyPaths_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPaths *op;

  const char    *temp20;
  if ((op = (vtkAssemblyPaths *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyPaths::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyPaths_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPaths *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAssemblyPaths *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyPaths::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyPaths_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPaths *op;

  vtkAssemblyPaths  *temp20;
  if ((op = (vtkAssemblyPaths *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyPaths::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyPaths_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAssemblyPaths  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAssemblyPaths::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAssemblyPaths_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPaths *op;

  vtkAssemblyPath  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAssemblyPaths *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAssemblyPath *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAssemblyPath");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkAssemblyPaths::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkAssemblyPaths_RemoveItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPaths *op;

  vtkAssemblyPath  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAssemblyPaths *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAssemblyPath *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAssemblyPath");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkAssemblyPaths::RemoveItem(temp0);
      }
    else
      {
      op->RemoveItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkAssemblyPaths_IsItemPresent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPaths *op;

  vtkAssemblyPath  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkAssemblyPaths *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAssemblyPath *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAssemblyPath");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyPaths::IsItemPresent(temp0);
      }
    else
      {
      temp20 = op->IsItemPresent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkAssemblyPaths_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPaths *op;

  vtkAssemblyPath  *temp20;
  if ((op = (vtkAssemblyPaths *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyPaths::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssemblyPaths_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssemblyPaths *op;

  unsigned long     temp20;
  if ((op = (vtkAssemblyPaths *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssemblyPaths::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAssemblyPathsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAssemblyPaths_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAssemblyPaths_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAssemblyPaths_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAssemblyPaths\nC++: vtkAssemblyPaths *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAssemblyPaths_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAssemblyPaths\nC++: vtkAssemblyPaths *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkAssemblyPaths_AddItem, 1,
   (char*)"V.AddItem(vtkAssemblyPath)\nC++: void AddItem (vtkAssemblyPath *p);\n\n Add a path to the list.\n"},
  {(char*)"RemoveItem",                (PyCFunction)PyvtkAssemblyPaths_RemoveItem, 1,
   (char*)"V.RemoveItem(vtkAssemblyPath)\nC++: void RemoveItem (vtkAssemblyPath *p);\n\n Remove a path from the list.\n"},
  {(char*)"IsItemPresent",                (PyCFunction)PyvtkAssemblyPaths_IsItemPresent, 1,
   (char*)"V.IsItemPresent(vtkAssemblyPath) -> int\nC++: int IsItemPresent (vtkAssemblyPath *p);\n\n Determine whether a particular path is present. Returns its position\n in the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkAssemblyPaths_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkAssemblyPath\nC++: vtkAssemblyPath *GetNextItem ();\n\n Get the next path in the list.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkAssemblyPaths_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Override the standard GetMTime() to check for the modified times\n of the paths.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAssemblyPathsDoc[] = {
  (char*)"vtkAssemblyPaths - a list of lists of props representing an assembly hierarchy\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkAssemblyPaths represents an assembly hierarchy as a list of \n vtkAssemblyPath. Each path represents the complete path from the\n top level assembly (if any) down to the leaf prop.\n\n",
  "See Also:\n\n vtkAssemblyPath vtkAssemblyNode vtkPicker vtkAssembly vtkProp\n\n",
  NULL
};

static vtkObjectBase *vtkAssemblyPathsStaticNew()
{
  return vtkAssemblyPaths::New();
}

PyObject *PyVTKClass_vtkAssemblyPathsNew(char *modulename)
{
  return PyVTKClass_New(&vtkAssemblyPathsStaticNew,
                        PyvtkAssemblyPathsMethods,
                        (char*)"vtkAssemblyPaths",modulename,
                        (char**)vtkAssemblyPathsDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

