// python wrapper for vtkCollectionIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCollectionIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCollectionIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCollectionIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCollectionIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectionIterator *op;

  const char    *temp20;
  if ((op = (vtkCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectionIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectionIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectionIterator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectionIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectionIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectionIterator *op;

  vtkCollectionIterator  *temp20;
  if ((op = (vtkCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectionIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectionIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCollectionIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCollectionIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCollectionIterator_SetCollection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectionIterator *op;

  vtkCollection  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCollection");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectionIterator::SetCollection(temp0);
      }
    else
      {
      op->SetCollection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCollectionIterator_GetCollection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectionIterator *op;

  vtkCollection  *temp20;
  if ((op = (vtkCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectionIterator::GetCollection();
      }
    else
      {
      temp20 = op->GetCollection();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectionIterator_InitTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectionIterator *op;

  if ((op = (vtkCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectionIterator::InitTraversal();
      }
    else
      {
      op->InitTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectionIterator_GoToFirstItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectionIterator *op;

  if ((op = (vtkCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectionIterator::GoToFirstItem();
      }
    else
      {
      op->GoToFirstItem();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectionIterator_GoToNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectionIterator *op;

  if ((op = (vtkCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCollectionIterator::GoToNextItem();
      }
    else
      {
      op->GoToNextItem();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectionIterator_IsDoneWithTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectionIterator *op;

  int      temp20;
  if ((op = (vtkCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectionIterator::IsDoneWithTraversal();
      }
    else
      {
      temp20 = op->IsDoneWithTraversal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCollectionIterator_GetCurrentObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectionIterator *op;

  vtkObject  *temp20;
  if ((op = (vtkCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectionIterator::GetCurrentObject();
      }
    else
      {
      temp20 = op->GetCurrentObject();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkCollectionIterator_GetObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCollectionIterator *op;

  vtkObject  *temp20;
  if ((op = (vtkCollectionIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCollectionIterator::GetObject();
      }
    else
      {
      temp20 = op->GetObject();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}
#endif

static PyMethodDef PyvtkCollectionIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCollectionIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCollectionIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCollectionIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCollectionIterator\nC++: vtkCollectionIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCollectionIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCollectionIterator\nC++: vtkCollectionIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCollection",                (PyCFunction)PyvtkCollectionIterator_SetCollection, 1,
   (char*)"V.SetCollection(vtkCollection)\nC++: virtual void SetCollection (vtkCollection *);\n\n Set/Get the collection over which to iterate.\n"},
  {(char*)"GetCollection",                (PyCFunction)PyvtkCollectionIterator_GetCollection, 1,
   (char*)"V.GetCollection() -> vtkCollection\nC++: vtkCollection *GetCollection ();\n\n Set/Get the collection over which to iterate.\n"},
  {(char*)"InitTraversal",                (PyCFunction)PyvtkCollectionIterator_InitTraversal, 1,
   (char*)"V.InitTraversal()\nC++: void InitTraversal ();this GoToFirstItem \n\n Position the iterator at the first item in the collection.\n"},
  {(char*)"GoToFirstItem",                (PyCFunction)PyvtkCollectionIterator_GoToFirstItem, 1,
   (char*)"V.GoToFirstItem()\nC++: void GoToFirstItem ();\n\n Position the iterator at the first item in the collection.\n"},
  {(char*)"GoToNextItem",                (PyCFunction)PyvtkCollectionIterator_GoToNextItem, 1,
   (char*)"V.GoToNextItem()\nC++: void GoToNextItem ();\n\n Move the iterator to the next item in the collection.\n"},
  {(char*)"IsDoneWithTraversal",                (PyCFunction)PyvtkCollectionIterator_IsDoneWithTraversal, 1,
   (char*)"V.IsDoneWithTraversal() -> int\nC++: int IsDoneWithTraversal ();\n\n Test whether the iterator is currently positioned at a valid item.\n Returns 1 for yes, 0 for no.\n"},
  {(char*)"GetCurrentObject",                (PyCFunction)PyvtkCollectionIterator_GetCurrentObject, 1,
   (char*)"V.GetCurrentObject() -> vtkObject\nC++: vtkObject *GetCurrentObject ();\n\n Get the item at the current iterator position.  Valid only when\n IsDoneWithTraversal() returns 1.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetObject",                (PyCFunction)PyvtkCollectionIterator_GetObject, 1,
   (char*)"V.GetObject() -> vtkObject\nC++: vtkObject *GetObject ();\n\n @deprecated Replaced by vtkCollectionIterator::GetCurrentObject() as\n of VTK 5.0.\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCollectionIteratorDoc[] = {
  (char*)"vtkCollectionIterator - iterator through a vtkCollection.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkCollectionIterator provides an alternative way to traverse\n through the objects in a vtkCollection.  Unlike the collection's\n built in interface, this allows multiple iterators to\n simultaneously traverse the collection.  If items are removed from\n the collection, only the iterators currently pointing to those\n items are invalidated.  Other iterators will still continue to\n function normally.\n\n",
  NULL
};

static vtkObjectBase *vtkCollectionIteratorStaticNew()
{
  return vtkCollectionIterator::New();
}

PyObject *PyVTKClass_vtkCollectionIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkCollectionIteratorStaticNew,
                        PyvtkCollectionIteratorMethods,
                        (char*)"vtkCollectionIterator",modulename,
                        (char**)vtkCollectionIteratorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

