// python wrapper for vtkContourValues object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkContourValues.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkContourValuesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkContourValuesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkContourValues_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourValues *op;

  const char    *temp20;
  if ((op = (vtkContourValues *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourValues::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkContourValues_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourValues *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkContourValues *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourValues::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourValues_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourValues *op;

  vtkContourValues  *temp20;
  if ((op = (vtkContourValues *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourValues::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourValues_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkContourValues  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkContourValues::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkContourValues_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourValues *op;

  int      temp0;
  double   temp1;
  if ((op = (vtkContourValues *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourValues::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourValues_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourValues *op;

  int      temp0;
  double   temp20;
  if ((op = (vtkContourValues *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourValues::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourValues_SetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourValues *op;

  int      temp0;
  if ((op = (vtkContourValues *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourValues::SetNumberOfContours(temp0);
      }
    else
      {
      op->SetNumberOfContours(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkContourValues_GetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourValues *op;

  int      temp20;
  if ((op = (vtkContourValues *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkContourValues::GetNumberOfContours();
      }
    else
      {
      temp20 = op->GetNumberOfContours();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkContourValues_GenerateValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkContourValues *op;

  int      temp0;
  double temp1[2];
  if ((op = (vtkContourValues *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourValues::GenerateValues(temp0,temp1);
      }
    else
      {
      op->GenerateValues(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkContourValues *op;

  int      temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  if ((op = (vtkContourValues *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkContourValues::GenerateValues(temp0,temp1,temp2);
      }
    else
      {
      op->GenerateValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkContourValuesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkContourValues_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkContourValues_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkContourValues_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkContourValues\nC++: vtkContourValues *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkContourValues_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkContourValues\nC++: vtkContourValues *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkContourValues_SetValue, 1,
   (char*)"V.SetValue(int, float)\nC++: void SetValue (int i, double value);\n\n Set the ith contour value.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkContourValues_GetValue, 1,
   (char*)"V.GetValue(int) -> float\nC++: double GetValue (int i);\n\n Get the ith contour value. The return value will be clamped if the\n index i is out of range.\n"},
  {(char*)"SetNumberOfContours",                (PyCFunction)PyvtkContourValues_SetNumberOfContours, 1,
   (char*)"V.SetNumberOfContours(int)\nC++: void SetNumberOfContours (const int number);\n\n Set the number of contours to place into the list. You only really\n need to use this method to reduce list size. The method SetValue()\n will automatically increase list size as needed.\n"},
  {(char*)"GetNumberOfContours",                (PyCFunction)PyvtkContourValues_GetNumberOfContours, 1,
   (char*)"V.GetNumberOfContours() -> int\nC++: int GetNumberOfContours ();\n\n Return the number of contours in the\n"},
  {(char*)"GenerateValues",                (PyCFunction)PyvtkContourValues_GenerateValues, 1,
   (char*)"V.GenerateValues(int, (float, float))\nC++: void GenerateValues (int numContours, double range[2]);\nV.GenerateValues(int, float, float)\nC++: void GenerateValues (int numContours, double rangeStart, double rangeEnd);\n\n Generate numContours equally spaced contour values between specified\n range. Contour values will include min/max range values.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkContourValuesDoc[] = {
  (char*)"vtkContourValues - helper object to manage setting and generating contour values\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkContourValues is a general class to manage the creation, generation,\n and retrieval of contour values. This class serves as a helper class for\n contouring classes, or those classes operating on lists of contour values.\n\n",
  "See Also:\n\n vtkContourFilter\n\n",
  NULL
};

static vtkObjectBase *vtkContourValuesStaticNew()
{
  return vtkContourValues::New();
}

PyObject *PyVTKClass_vtkContourValuesNew(char *modulename)
{
  return PyVTKClass_New(&vtkContourValuesStaticNew,
                        PyvtkContourValuesMethods,
                        (char*)"vtkContourValues",modulename,
                        (char**)vtkContourValuesDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

