// python wrapper for vtkCriticalSection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCriticalSection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCriticalSectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCriticalSectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCriticalSection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCriticalSection *op;

  const char    *temp20;
  if ((op = (vtkCriticalSection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCriticalSection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCriticalSection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCriticalSection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCriticalSection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCriticalSection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCriticalSection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCriticalSection *op;

  vtkCriticalSection  *temp20;
  if ((op = (vtkCriticalSection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCriticalSection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCriticalSection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCriticalSection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCriticalSection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCriticalSection_Lock(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCriticalSection *op;

  if ((op = (vtkCriticalSection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCriticalSection::Lock();
      }
    else
      {
      op->Lock();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCriticalSection_Unlock(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCriticalSection *op;

  if ((op = (vtkCriticalSection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCriticalSection::Unlock();
      }
    else
      {
      op->Unlock();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCriticalSectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCriticalSection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCriticalSection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCriticalSection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCriticalSection\nC++: vtkCriticalSection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCriticalSection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCriticalSection\nC++: vtkCriticalSection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Lock",                (PyCFunction)PyvtkCriticalSection_Lock, 1,
   (char*)"V.Lock()\nC++: void Lock (void );\n\n Lock the vtkCriticalSection\n"},
  {(char*)"Unlock",                (PyCFunction)PyvtkCriticalSection_Unlock, 1,
   (char*)"V.Unlock()\nC++: void Unlock (void );\n\n Unlock the vtkCriticalSection\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCriticalSectionDoc[] = {
  (char*)"vtkCriticalSection - critical section locking class\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkCriticalSection allows the locking of variables which are accessed \n through different threads.  This header file also defines \n vtkSimpleCriticalSection which is not a subclass of vtkObject.\n The API is identical to that of vtkMutexLock, and the behavior is\n identical as well, except on Windows 9x/NT platforms. The only difference\n on these platforms is that vtkMutexLock is more flexible, in ",
  (char*)"that\n it works across processes as well as across threads, but also costs\n more, in that it evokes a 600-cycle x86 ring transition. The \n vtkCriticalSection provides a higher-performance equivalent (on \n Windows) but won't work across processes. Since it is unclear how,\n in vtk, an object at the vtk level can be shared across processes\n in the first place, one should use vtkCriticalSection unless ",
  (char*)"one has\n a very good reason to use vtkMutexLock. If higher-performance equivalents\n for non-Windows platforms (Irix, SunOS, etc) are discovered, they\n should replace the implementations in this class\n\n",
  NULL
};

static vtkObjectBase *vtkCriticalSectionStaticNew()
{
  return vtkCriticalSection::New();
}

PyObject *PyVTKClass_vtkCriticalSectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkCriticalSectionStaticNew,
                        PyvtkCriticalSectionMethods,
                        (char*)"vtkCriticalSection",modulename,
                        (char**)vtkCriticalSectionDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

