// python wrapper for vtkDataArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDataArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkDataArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  const char    *temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkDataArray  *temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Allocate(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetDataTypeSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDataTypeSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  int      temp0;
  unsigned long     temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkDataArray::GetDataTypeSize(temp0);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp0;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetNumberOfComponents(temp0);
      }
    else
      {
      op->SetNumberOfComponents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetNumberOfComponentsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetNumberOfComponentsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfComponentsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetNumberOfComponentsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetNumberOfComponentsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfComponentsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetNumberOfComponents();
      }
    else
      {
      temp20 = op->GetNumberOfComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetNumberOfTuples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetNumberOfTuples(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetNumberOfTuples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetNumberOfTuples();
      }
    else
      {
      temp20 = op->GetNumberOfTuples();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetTuple1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetTuple1(temp0);
      }
    else
      {
      temp20 = op->GetTuple1(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetTuple2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double  *temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetTuple2(temp0);
      }
    else
      {
      temp20 = op->GetTuple2(temp0);
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetTuple3(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double  *temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetTuple3(temp0);
      }
    else
      {
      temp20 = op->GetTuple3(temp0);
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetTuple4(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double  *temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetTuple4(temp0);
      }
    else
      {
      temp20 = op->GetTuple4(temp0);
      }
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetTuple9(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double  *temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetTuple9(temp0);
      }
    else
      {
      temp20 = op->GetTuple9(temp0);
      }
    return Py_BuildValue((char*)"ddddddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5],temp20[6],temp20[7],temp20[8]);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetTuples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break19;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::GetTuples(temp0,temp1);
      }
    else
      {
      op->GetTuples(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  PyErr_Clear();
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2)))
    {
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::GetTuples(temp0,temp1,temp2);
      }
    else
      {
      op->GetTuples(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkDataArray_SetTuple1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetTuple1(temp0,temp1);
      }
    else
      {
      op->SetTuple1(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetTuple2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetTuple2(temp0,temp1,temp2);
      }
    else
      {
      op->SetTuple2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetTuple3(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetTuple3(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetTuple3(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetTuple4(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"idddd", &temp0, &temp1, &temp2, &temp3, &temp4)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetTuple4(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SetTuple4(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetTuple9(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  double   temp9;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iddddddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7, &temp8, &temp9)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->SetTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertTuple1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertTuple1(temp0,temp1);
      }
    else
      {
      op->InsertTuple1(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertTuple2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertTuple2(temp0,temp1,temp2);
      }
    else
      {
      op->InsertTuple2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertTuple3(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertTuple3(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->InsertTuple3(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertTuple4(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"idddd", &temp0, &temp1, &temp2, &temp3, &temp4)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertTuple4(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->InsertTuple4(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertTuple9(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  double   temp9;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iddddddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7, &temp8, &temp9)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->InsertTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertNextTuple1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp0;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertNextTuple1(temp0);
      }
    else
      {
      op->InsertNextTuple1(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertNextTuple2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertNextTuple2(temp0,temp1);
      }
    else
      {
      op->InsertNextTuple2(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertNextTuple3(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertNextTuple3(temp0,temp1,temp2);
      }
    else
      {
      op->InsertNextTuple3(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertNextTuple4(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertNextTuple4(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->InsertNextTuple4(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertNextTuple9(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"ddddddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7, &temp8)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertNextTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    else
      {
      op->InsertNextTuple9(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  int      temp1;
  double   temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetComponent(temp0,temp1);
      }
    else
      {
      temp20 = op->GetComponent(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iid", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetComponent(temp0,temp1,temp2);
      }
    else
      {
      op->SetComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_InsertComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iid", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::InsertComponent(temp0,temp1,temp2);
      }
    else
      {
      op->InsertComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp2;
  int      temp3;
  vtkDoubleArray  *temp4;
  PyObject *tempH4;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iiiiO", &temp0, &temp1, &temp2, &temp3, &tempH4)))
    {
    temp4 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkDoubleArray");
    if (!temp4 && tempH4 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::GetData(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->GetData(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break39:
  return NULL;
}


static PyObject *PyvtkDataArray_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break40:
  return NULL;
}


static PyObject *PyvtkDataArray_FillComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp0;
  double   temp1;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::FillComponent(temp0,temp1);
      }
    else
      {
      op->FillComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_CopyComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  int      temp2;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"iOi", &temp0, &tempH1, &temp2)))
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break42;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::CopyComponent(temp0,temp1,temp2);
      }
    else
      {
      op->CopyComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break42:
  return NULL;
}


static PyObject *PyvtkDataArray_WriteVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  void    *temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->WriteVoidPointer(temp0,temp1);
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  void    *temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetVoidPointer(temp0);
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_Resize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp0;
  int      temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Resize(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetMaxId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkIdType   temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetMaxId();
      }
    else
      {
      temp20 = op->GetMaxId();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetVoidArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  void    *temp0;
  int      size0;
  vtkIdType   temp1;
  int      temp2;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"s#ii", &temp0, &size0, &temp1, &temp2)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetVoidArray in vtkDataArray was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetVoidArray in vtkDataArray was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetVoidArray(temp0,temp1,temp2);
      }
    else
      {
      op->SetVoidArray(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_ExportToVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  void    *temp0;
  int      size0;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ExportToVoidPointer in vtkDataArray was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ExportToVoidPointer in vtkDataArray was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::ExportToVoidPointer(temp0);
      }
    else
      {
      op->ExportToVoidPointer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  unsigned long     temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_CreateDefaultLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::CreateDefaultLookupTable();
      }
    else
      {
      op->CreateDefaultLookupTable();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkLookupTable  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkLookupTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLookupTable");
    if (!temp0 && tempH0 != Py_None) goto break54;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetLookupTable(temp0);
      }
    else
      {
      op->SetLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break54:
  return NULL;
}


static PyObject *PyvtkDataArray_GetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  vtkLookupTable  *temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetLookupTable();
      }
    else
      {
      temp20 = op->GetLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_SetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  char    *temp0;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::SetName(temp0);
      }
    else
      {
      op->SetName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  char    *temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetName();
      }
    else
      {
      temp20 = op->GetName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double temp0[2];
  int      temp1;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"(dd)i", temp0 + 0, temp0 + 1, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::GetRange(temp0,temp1);
      }
    else
      {
      op->GetRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp0;
  double  *temp20;
  PyErr_Clear();
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetRange(temp0);
      }
    else
      {
      temp20 = op->GetRange(temp0);
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double  *temp20;
  PyErr_Clear();
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetRange();
      }
    else
      {
      temp20 = op->GetRange();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::GetRange(temp0);
      }
    else
      {
      op->GetRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_ComputeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  int      temp0;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::ComputeRange(temp0);
      }
    else
      {
      op->ComputeRange(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetDataTypeRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double temp0[2];
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArray::GetDataTypeRange(temp0);
      }
    else
      {
      op->GetDataTypeRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  int      temp0;
  double temp1[2];
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1)))
    {
      {
      vtkDataArray::GetDataTypeRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetDataTypeMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetDataTypeMin();
      }
    else
      {
      temp20 = op->GetDataTypeMin();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  int      temp0;
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkDataArray::GetDataTypeMin(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetDataTypeMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetDataTypeMax();
      }
    else
      {
      temp20 = op->GetDataTypeMax();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  int      temp0;
  double   temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkDataArray::GetDataTypeMax(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_GetMaxNorm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray *op;

  double   temp20;
  if ((op = (vtkDataArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArray::GetMaxNorm();
      }
    else
      {
      temp20 = op->GetMaxNorm();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArray_CreateDataArray(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  vtkDataArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkDataArray::CreateDataArray(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataArray\nC++: vtkDataArray *NewInstance ();\n\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkDataArray_Allocate, 1,
   (char*)"V.Allocate(int, int) -> int\nC++: virtual int Allocate (vtkIdType sz, vtkIdType ext) = 0;\n\n Allocate memory for this array. Delete old storage only if necessary.\n Note that ext is no longer used.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkDataArray_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize () = 0;\n\n Release storage and reset array to initial state.\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkDataArray_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: virtual int GetDataType () = 0;\n\n Return the underlying data type. An integer indicating data type is \n returned as specified in vtkSetGet.h.\n"},
  {(char*)"GetDataTypeSize",                (PyCFunction)PyvtkDataArray_GetDataTypeSize, 1,
   (char*)"V.GetDataTypeSize() -> int\nC++: virtual int GetDataTypeSize () = 0;\nV.GetDataTypeSize(int) -> int\nC++: static unsigned long GetDataTypeSize (int type);\n\n Return the size of the underlying data type.  For a bit, 0 is returned.\n"},
  {(char*)"SetNumberOfComponents",                (PyCFunction)PyvtkDataArray_SetNumberOfComponents, 1,
   (char*)"V.SetNumberOfComponents(int)\nC++: void SetNumberOfComponents (int );\n\n Set/Get the dimension (n) of the components. Must be >= 1. Make sure that\n this is set before allocation.\n"},
  {(char*)"GetNumberOfComponentsMinValue",                (PyCFunction)PyvtkDataArray_GetNumberOfComponentsMinValue, 1,
   (char*)"V.GetNumberOfComponentsMinValue() -> int\nC++: int GetNumberOfComponentsMinValue ();\n\n Set/Get the dimension (n) of the components. Must be >= 1. Make sure that\n this is set before allocation.\n"},
  {(char*)"GetNumberOfComponentsMaxValue",                (PyCFunction)PyvtkDataArray_GetNumberOfComponentsMaxValue, 1,
   (char*)"V.GetNumberOfComponentsMaxValue() -> int\nC++: int GetNumberOfComponentsMaxValue ();\n\n Set/Get the dimension (n) of the components. Must be >= 1. Make sure that\n this is set before allocation.\n"},
  {(char*)"GetNumberOfComponents",                (PyCFunction)PyvtkDataArray_GetNumberOfComponents, 1,
   (char*)"V.GetNumberOfComponents() -> int\nC++: int GetNumberOfComponents ();return this NumberOfComponents \n\n Set/Get the dimension (n) of the components. Must be >= 1. Make sure that\n this is set before allocation.\n"},
  {(char*)"SetNumberOfTuples",                (PyCFunction)PyvtkDataArray_SetNumberOfTuples, 1,
   (char*)"V.SetNumberOfTuples(int)\nC++: virtual void SetNumberOfTuples (vtkIdType number) = 0;\n\n Set the number of tuples (a component group) in the array. Note that \n this may allocate space depending on the number of components.\n"},
  {(char*)"GetNumberOfTuples",                (PyCFunction)PyvtkDataArray_GetNumberOfTuples, 1,
   (char*)"V.GetNumberOfTuples() -> int\nC++: vtkIdType GetNumberOfTuples ();return this MaxId this NumberOfComponents \n\n Get the data tuple at ith location. Return it as a pointer to an array.\n Note: this method is not thread-safe, and the pointer is only valid\n as long as another method invocation to a vtk object is not performed.\n"},
  {(char*)"GetTuple1",                (PyCFunction)PyvtkDataArray_GetTuple1, 1,
   (char*)"V.GetTuple1(int) -> float\nC++: double GetTuple1 (vtkIdType i);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"GetTuple2",                (PyCFunction)PyvtkDataArray_GetTuple2, 1,
   (char*)"V.GetTuple2(int) -> (float, float)\nC++: double *GetTuple2 (vtkIdType i);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"GetTuple3",                (PyCFunction)PyvtkDataArray_GetTuple3, 1,
   (char*)"V.GetTuple3(int) -> (float, float, float)\nC++: double *GetTuple3 (vtkIdType i);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"GetTuple4",                (PyCFunction)PyvtkDataArray_GetTuple4, 1,
   (char*)"V.GetTuple4(int) -> (float, float, float, float)\nC++: double *GetTuple4 (vtkIdType i);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"GetTuple9",                (PyCFunction)PyvtkDataArray_GetTuple9, 1,
   (char*)"V.GetTuple9(int) -> (float, float, float, float, float, float, float, float, float)\nC++: double *GetTuple9 (vtkIdType i);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"GetTuples",                (PyCFunction)PyvtkDataArray_GetTuples, 1,
   (char*)"V.GetTuples(vtkIdList, vtkDataArray)\nC++: void GetTuples (vtkIdList *ptIds, vtkDataArray *output);\nV.GetTuples(int, int, vtkDataArray)\nC++: void GetTuples (vtkIdType p1, vtkIdType p2, vtkDataArray *output);\n\n Given a list of point ids, return an array of tuples.\n You must insure that the output array has been previously \n allocated with enough space to hold the data.\n"},
  {(char*)"SetTuple1",                (PyCFunction)PyvtkDataArray_SetTuple1, 1,
   (char*)"V.SetTuple1(int, float)\nC++: void SetTuple1 (vtkIdType i, double value);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"SetTuple2",                (PyCFunction)PyvtkDataArray_SetTuple2, 1,
   (char*)"V.SetTuple2(int, float, float)\nC++: void SetTuple2 (vtkIdType i, double val0, double val1);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"SetTuple3",                (PyCFunction)PyvtkDataArray_SetTuple3, 1,
   (char*)"V.SetTuple3(int, float, float, float)\nC++: void SetTuple3 (vtkIdType i, double val0, double val1, double val2);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"SetTuple4",                (PyCFunction)PyvtkDataArray_SetTuple4, 1,
   (char*)"V.SetTuple4(int, float, float, float, float)\nC++: void SetTuple4 (vtkIdType i, double val0, double val1, double val2, double val3);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"SetTuple9",                (PyCFunction)PyvtkDataArray_SetTuple9, 1,
   (char*)"V.SetTuple9(int, float, float, float, float, float, float, float, float, float)\nC++: void SetTuple9 (vtkIdType i, double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8);\n\n These methods are included as convenience for the wrappers.\n GetTuple() and SetTuple() which return/take arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertTuple1",                (PyCFunction)PyvtkDataArray_InsertTuple1, 1,
   (char*)"V.InsertTuple1(int, float)\nC++: void InsertTuple1 (vtkIdType i, double value);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertTuple2",                (PyCFunction)PyvtkDataArray_InsertTuple2, 1,
   (char*)"V.InsertTuple2(int, float, float)\nC++: void InsertTuple2 (vtkIdType i, double val0, double val1);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertTuple3",                (PyCFunction)PyvtkDataArray_InsertTuple3, 1,
   (char*)"V.InsertTuple3(int, float, float, float)\nC++: void InsertTuple3 (vtkIdType i, double val0, double val1, double val2);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertTuple4",                (PyCFunction)PyvtkDataArray_InsertTuple4, 1,
   (char*)"V.InsertTuple4(int, float, float, float, float)\nC++: void InsertTuple4 (vtkIdType i, double val0, double val1, double val2, double val3);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertTuple9",                (PyCFunction)PyvtkDataArray_InsertTuple9, 1,
   (char*)"V.InsertTuple9(int, float, float, float, float, float, float, float, float, float)\nC++: void InsertTuple9 (vtkIdType i, double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertNextTuple1",                (PyCFunction)PyvtkDataArray_InsertNextTuple1, 1,
   (char*)"V.InsertNextTuple1(float)\nC++: void InsertNextTuple1 (double value);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertNextTuple2",                (PyCFunction)PyvtkDataArray_InsertNextTuple2, 1,
   (char*)"V.InsertNextTuple2(float, float)\nC++: void InsertNextTuple2 (double val0, double val1);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertNextTuple3",                (PyCFunction)PyvtkDataArray_InsertNextTuple3, 1,
   (char*)"V.InsertNextTuple3(float, float, float)\nC++: void InsertNextTuple3 (double val0, double val1, double val2);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertNextTuple4",                (PyCFunction)PyvtkDataArray_InsertNextTuple4, 1,
   (char*)"V.InsertNextTuple4(float, float, float, float)\nC++: void InsertNextTuple4 (double val0, double val1, double val2, double val3);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"InsertNextTuple9",                (PyCFunction)PyvtkDataArray_InsertNextTuple9, 1,
   (char*)"V.InsertNextTuple9(float, float, float, float, float, float, float, float, float)\nC++: void InsertNextTuple9 (double val0, double val1, double val2, double val3, double val4, double val5, double val6, double val7, double val8);\n\n These methods are included as convenience for the wrappers.\n InsertTuple() which takes arrays can not be \n used from wrapped languages. These methods can be used instead.\n"},
  {(char*)"GetComponent",                (PyCFunction)PyvtkDataArray_GetComponent, 1,
   (char*)"V.GetComponent(int, int) -> float\nC++: virtual double GetComponent (vtkIdType i, int j);\n\n Return the data component at the ith tuple and jth component location.\n Note that i is less than NumberOfTuples and j is less than \n NumberOfComponents.\n"},
  {(char*)"SetComponent",                (PyCFunction)PyvtkDataArray_SetComponent, 1,
   (char*)"V.SetComponent(int, int, float)\nC++: virtual void SetComponent (vtkIdType i, int j, double c);\n\n Set the data component at the ith tuple and jth component location.\n Note that i is less than NumberOfTuples and j is less than\n  NumberOfComponents. Make sure enough memory has been allocated \n (use SetNumberOfTuples() and SetNumberOfComponents()).\n"},
  {(char*)"InsertComponent",                (PyCFunction)PyvtkDataArray_InsertComponent, 1,
   (char*)"V.InsertComponent(int, int, float)\nC++: virtual void InsertComponent (vtkIdType i, int j, double c);\n\n Insert the data component at ith tuple and jth component location. \n Note that memory allocation is performed as necessary to hold the data.\n"},
  {(char*)"GetData",                (PyCFunction)PyvtkDataArray_GetData, 1,
   (char*)"V.GetData(int, int, int, int, vtkDoubleArray)\nC++: virtual void GetData (vtkIdType tupleMin, vtkIdType tupleMax, int compMin, int compMax, vtkDoubleArray *data);\n\n Get the data as a double array in the range (tupleMin,tupleMax) and\n (compMin, compMax). The resulting double array consists of all data in\n the tuple range specified and only the component range specified. This\n process typically requires casting the data from native form into\n doubleing point values. This method is provided as a convenience for data\n exchange, and is not very fast.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkDataArray_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataArray)\nC++: virtual void DeepCopy (vtkDataArray *da);\n\n Deep copy of data. Copies data from different data arrays even if\n they are different types (using doubleing-point exchange).\n"},
  {(char*)"FillComponent",                (PyCFunction)PyvtkDataArray_FillComponent, 1,
   (char*)"V.FillComponent(int, float)\nC++: virtual void FillComponent (int j, double c);\n\n Fill a component of a data array with a specified value. This method\n sets the specified component to specified value for all tuples in the\n data array.  This methods can be used to initialize or reinitialize a\n single component of a multi-component array.\n"},
  {(char*)"CopyComponent",                (PyCFunction)PyvtkDataArray_CopyComponent, 1,
   (char*)"V.CopyComponent(int, vtkDataArray, int)\nC++: virtual void CopyComponent (int j, vtkDataArray *from, int fromComponent);\n\n Copy a component from one data array into a component on this data array.\n This method copies the specified component (\"fromComponent\") from the\n specified data array (\"from\") to the specified component (\"j\") over all\n the tuples in this data array.  This method can be used to extract\n a component (column) from one data array and paste that data into\n a component on this data array.\n"},
  {(char*)"WriteVoidPointer",                (PyCFunction)PyvtkDataArray_WriteVoidPointer, 1,
   (char*)"V.WriteVoidPointer(int, int) -> string\nC++: virtual void *WriteVoidPointer (vtkIdType id, vtkIdType number) = 0;\n\n Get the address of a particular data index. Make sure data is allocated\n for the number of items requested. Set MaxId according to the number of\n data values requested.\n"},
  {(char*)"GetVoidPointer",                (PyCFunction)PyvtkDataArray_GetVoidPointer, 1,
   (char*)"V.GetVoidPointer(int) -> string\nC++: virtual void *GetVoidPointer (vtkIdType id) = 0;\n\n Return a void pointer. For image pipeline interface and other \n special pointer manipulation.\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkDataArray_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: virtual void Squeeze () = 0;\n\n Free any unnecessary memory.\n"},
  {(char*)"Resize",                (PyCFunction)PyvtkDataArray_Resize, 1,
   (char*)"V.Resize(int) -> int\nC++: virtual int Resize (vtkIdType numTuples) = 0;\n\n Resize the array while conserving the data.  Returns 1 if\n resizing succeeded and 0 otherwise.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkDataArray_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();this MaxId \n\n Return the size of the data.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkDataArray_GetSize, 1,
   (char*)"V.GetSize() -> int\nC++: vtkIdType GetSize ();return this Size \n\n What is the maximum id currently in the array.\n"},
  {(char*)"GetMaxId",                (PyCFunction)PyvtkDataArray_GetMaxId, 1,
   (char*)"V.GetMaxId() -> int\nC++: vtkIdType GetMaxId ();return this MaxId \n\n This method lets the user specify data to be held by the array.  The \n array argument is a pointer to the data.  size is the size of \n the array supplied by the user.  Set save to 1 to keep the class\n from deleting the array when it cleans up or reallocates memory.\n The class uses the actual array provided; it does not copy the data \n from the supplied array.\n"},
  {(char*)"SetVoidArray",                (PyCFunction)PyvtkDataArray_SetVoidArray, 1,
   (char*)"V.SetVoidArray(string, int, int)\nC++: virtual void SetVoidArray (void *, vtkIdType , int );\n\n This method lets the user specify data to be held by the array.  The \n array argument is a pointer to the data.  size is the size of \n the array supplied by the user.  Set save to 1 to keep the class\n from deleting the array when it cleans up or reallocates memory.\n The class uses the actual array provided; it does not copy the data \n from the supplied array.\n"},
  {(char*)"ExportToVoidPointer",                (PyCFunction)PyvtkDataArray_ExportToVoidPointer, 1,
   (char*)"V.ExportToVoidPointer(string)\nC++: virtual void ExportToVoidPointer (void *);\n\n Return the memory in kilobytes consumed by this data array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkDataArray_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: unsigned long GetActualMemorySize ();\n\n Return the memory in kilobytes consumed by this data array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n"},
  {(char*)"CreateDefaultLookupTable",                (PyCFunction)PyvtkDataArray_CreateDefaultLookupTable, 1,
   (char*)"V.CreateDefaultLookupTable()\nC++: void CreateDefaultLookupTable ();\n\n Create default lookup table. Generally used to create one when none\n is available.\n"},
  {(char*)"SetLookupTable",                (PyCFunction)PyvtkDataArray_SetLookupTable, 1,
   (char*)"V.SetLookupTable(vtkLookupTable)\nC++: void SetLookupTable (vtkLookupTable *lut);\n\n Set/get the lookup table associated with this scalar data, if any.\n"},
  {(char*)"GetLookupTable",                (PyCFunction)PyvtkDataArray_GetLookupTable, 1,
   (char*)"V.GetLookupTable() -> vtkLookupTable\nC++: vtkLookupTable *GetLookupTable ();\n\n Set/get the lookup table associated with this scalar data, if any.\n"},
  {(char*)"SetName",                (PyCFunction)PyvtkDataArray_SetName, 1,
   (char*)"V.SetName(string)\nC++: void SetName (char *);\n\n Set/get array's name\n"},
  {(char*)"GetName",                (PyCFunction)PyvtkDataArray_GetName, 1,
   (char*)"V.GetName() -> string\nC++: char *GetName ();\n\n Set/get array's name\n"},
  {(char*)"GetRange",                (PyCFunction)PyvtkDataArray_GetRange, 1,
   (char*)"V.GetRange((float, float), int)\nC++: void GetRange (double range[2], int comp);this ComputeRange comp memcpy range this Range sizeof double \nV.GetRange(int) -> (float, float)\nC++: double *GetRange (int comp);this ComputeRange comp return this Range \nV.GetRange() -> (float, float)\nC++: double *GetRange ();this ComputeRange return this Range \nV.GetRange((float, float))\nC++: void GetRange (double range[2]);this GetRange range \n\n Return the range of the array values for the given component. \n Range is copied into the array provided.\n If comp is equal to -1, it returns the range of the magnitude\n (if the number of components is equal to 1 it still returns the range of\n component 0).\n"},
  {(char*)"ComputeRange",                (PyCFunction)PyvtkDataArray_ComputeRange, 1,
   (char*)"V.ComputeRange(int)\nC++: virtual void ComputeRange (int comp);\n\n"},
  {(char*)"GetDataTypeRange",                (PyCFunction)PyvtkDataArray_GetDataTypeRange, 1,
   (char*)"V.GetDataTypeRange((float, float))\nC++: void GetDataTypeRange (double range[2]);\nV.GetDataTypeRange(int, (float, float))\nC++: static void GetDataTypeRange (int type, double range[2]);\n\n These methods return the Min and Max possible range of the native\n data type. For example if a vtkScalars consists of unsigned char\n data these will return (0,255). \n"},
  {(char*)"GetDataTypeMin",                (PyCFunction)PyvtkDataArray_GetDataTypeMin, 1,
   (char*)"V.GetDataTypeMin() -> float\nC++: double GetDataTypeMin ();\nV.GetDataTypeMin(int) -> float\nC++: static double GetDataTypeMin (int type);\n\n These methods return the Min and Max possible range of the native\n data type. For example if a vtkScalars consists of unsigned char\n data these will return (0,255). \n"},
  {(char*)"GetDataTypeMax",                (PyCFunction)PyvtkDataArray_GetDataTypeMax, 1,
   (char*)"V.GetDataTypeMax() -> float\nC++: double GetDataTypeMax ();\nV.GetDataTypeMax(int) -> float\nC++: static double GetDataTypeMax (int type);\n\n These methods return the Min and Max possible range of the native\n data type. For example if a vtkScalars consists of unsigned char\n data these will return (0,255). \n"},
  {(char*)"GetMaxNorm",                (PyCFunction)PyvtkDataArray_GetMaxNorm, 1,
   (char*)"V.GetMaxNorm() -> float\nC++: virtual double GetMaxNorm ();\n\n Return the maximum norm for the tuples.\n Note that the max. is computed everytime GetMaxNorm is called.\n"},
  {(char*)"CreateDataArray",                (PyCFunction)PyvtkDataArray_CreateDataArray, 1,
   (char*)"V.CreateDataArray(int) -> vtkDataArray\nC++: static vtkDataArray *CreateDataArray (int dataType);\n\n Creates an array for dataType where dataType is one of\n VTK_BIT, VTK_CHAR, VTK_SIGNED_CHAR, VTK_UNSIGNED_CHAR, VTK_SHORT,\n VTK_UNSIGNED_SHORT, VTK_INT, VTK_UNSIGNED_INT, VTK_LONG,\n VTK_UNSIGNED_LONG, VTK_DOUBLE, VTK_DOUBLE, VTK_ID_TYPE.\n Note that the data array returned has be deleted by the\n user.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataArrayDoc[] = {
  (char*)"vtkDataArray - abstract superclass for arrays\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkDataArray is an abstract superclass for data array objects. This class\n defines an API that all array objects must support. Note that the concrete\n subclasses of this class represent data in native form (char, int, etc.) and\n often have specialized more efficient methods for operating on this data \n (for example, getting pointers to data or getting/inserting data in native\n form). \n\n The logic",
  (char*)"al structure of this class is an array of tuples, where each\n tuple is made up of n-components (also called a component group), and n is\n the number of component values in a tuple(n >= 1).  Another view of this\n class is a mxn matrix, where m is the number of tuples, and n is the\n number of components in a tuple. Thus vtkDataArray can be used to\n represent scalars (1-4 components), 3D vectors (3 c",
  (char*)"omponents), texture\n coordinates (1-3 components), tensors, (9 components) and so on.\n \n Each data array is required to have a character-string name. The \n naming of the array occurs automatically when it is instantiated, but \n you are free to name arrays using the SetName() method. \n (The array name is used for data manipulation.)\n\n\n",
  "See Also:\n\n vtkBitArray vtkCharArray vtkUnsignedCharArray vtkShortArray\n vtkUnsignedShortArray vtkIntArray vtkUnsignedIntArray vtkLongArray\n vtkUnsignedLongArray vtkDoubleArray vtkDoubleArray\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDataArrayNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDataArrayMethods,
                        (char*)"vtkDataArray",modulename,
                        (char**)vtkDataArrayDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

