// python wrapper for vtkDataArraySelection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDataArraySelection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataArraySelectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataArraySelectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkDataArraySelection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  const char    *temp20;
  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArraySelection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArraySelection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  vtkDataArraySelection  *temp20;
  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArraySelection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataArraySelection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataArraySelection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataArraySelection_EnableArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  char    *temp0;
  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArraySelection::EnableArray(temp0);
      }
    else
      {
      op->EnableArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_DisableArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  char    *temp0;
  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArraySelection::DisableArray(temp0);
      }
    else
      {
      op->DisableArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_ArrayIsEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArraySelection::ArrayIsEnabled(temp0);
      }
    else
      {
      temp20 = op->ArrayIsEnabled(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_ArrayExists(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArraySelection::ArrayExists(temp0);
      }
    else
      {
      temp20 = op->ArrayExists(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_EnableAllArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArraySelection::EnableAllArrays();
      }
    else
      {
      op->EnableAllArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_DisableAllArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArraySelection::DisableAllArrays();
      }
    else
      {
      op->DisableAllArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_GetNumberOfArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  int      temp20;
  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArraySelection::GetNumberOfArrays();
      }
    else
      {
      temp20 = op->GetNumberOfArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_GetNumberOfArraysEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  int      temp20;
  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArraySelection::GetNumberOfArraysEnabled();
      }
    else
      {
      temp20 = op->GetNumberOfArraysEnabled();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_GetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArraySelection::GetArrayName(temp0);
      }
    else
      {
      temp20 = op->GetArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_GetArrayIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArraySelection::GetArrayIndex(temp0);
      }
    else
      {
      temp20 = op->GetArrayIndex(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_GetEnabledArrayIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArraySelection::GetEnabledArrayIndex(temp0);
      }
    else
      {
      temp20 = op->GetEnabledArrayIndex(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_GetArraySetting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataArraySelection::GetArraySetting(temp0);
      }
    else
      {
      temp20 = op->GetArraySetting(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_RemoveAllArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArraySelection::RemoveAllArrays();
      }
    else
      {
      op->RemoveAllArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataArraySelection_CopySelections(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArraySelection *op;

  vtkDataArraySelection  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataArraySelection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataArraySelection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArraySelection");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataArraySelection::CopySelections(temp0);
      }
    else
      {
      op->CopySelections(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}

static PyMethodDef PyvtkDataArraySelectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataArraySelection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataArraySelection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataArraySelection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataArraySelection\nC++: vtkDataArraySelection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataArraySelection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataArraySelection\nC++: vtkDataArraySelection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EnableArray",                (PyCFunction)PyvtkDataArraySelection_EnableArray, 1,
   (char*)"V.EnableArray(string)\nC++: void EnableArray (const char *name);\n\n Enable the array with the given name.  Creates a new entry if\n none exists.\n"},
  {(char*)"DisableArray",                (PyCFunction)PyvtkDataArraySelection_DisableArray, 1,
   (char*)"V.DisableArray(string)\nC++: void DisableArray (const char *name);\n\n Disable the array with the given name.  Creates a new entry if\n none exists.\n"},
  {(char*)"ArrayIsEnabled",                (PyCFunction)PyvtkDataArraySelection_ArrayIsEnabled, 1,
   (char*)"V.ArrayIsEnabled(string) -> int\nC++: int ArrayIsEnabled (const char *name);\n\n Return whether the array with the given name is enabled.  If\n there is no entry, the array is assumed to be disabled.\n"},
  {(char*)"ArrayExists",                (PyCFunction)PyvtkDataArraySelection_ArrayExists, 1,
   (char*)"V.ArrayExists(string) -> int\nC++: int ArrayExists (const char *name);\n\n Return whether the array with the given name exists.\n"},
  {(char*)"EnableAllArrays",                (PyCFunction)PyvtkDataArraySelection_EnableAllArrays, 1,
   (char*)"V.EnableAllArrays()\nC++: void EnableAllArrays ();\n\n Enable all arrays that currently have an entry.\n"},
  {(char*)"DisableAllArrays",                (PyCFunction)PyvtkDataArraySelection_DisableAllArrays, 1,
   (char*)"V.DisableAllArrays()\nC++: void DisableAllArrays ();\n\n Disable all arrays that currently have an entry.\n"},
  {(char*)"GetNumberOfArrays",                (PyCFunction)PyvtkDataArraySelection_GetNumberOfArrays, 1,
   (char*)"V.GetNumberOfArrays() -> int\nC++: int GetNumberOfArrays ();\n\n Get the number of arrays that currently have an entry.\n"},
  {(char*)"GetNumberOfArraysEnabled",                (PyCFunction)PyvtkDataArraySelection_GetNumberOfArraysEnabled, 1,
   (char*)"V.GetNumberOfArraysEnabled() -> int\nC++: int GetNumberOfArraysEnabled ();\n\n Get the number of arrays that are enabled.\n"},
  {(char*)"GetArrayName",                (PyCFunction)PyvtkDataArraySelection_GetArrayName, 1,
   (char*)"V.GetArrayName(int) -> string\nC++: const char *GetArrayName (int index);\n\n Get the name of the array entry at the given index.\n"},
  {(char*)"GetArrayIndex",                (PyCFunction)PyvtkDataArraySelection_GetArrayIndex, 1,
   (char*)"V.GetArrayIndex(string) -> int\nC++: int GetArrayIndex (const char *name);\n\n Get an index of the array containing name within the enabled arrays\n"},
  {(char*)"GetEnabledArrayIndex",                (PyCFunction)PyvtkDataArraySelection_GetEnabledArrayIndex, 1,
   (char*)"V.GetEnabledArrayIndex(string) -> int\nC++: int GetEnabledArrayIndex (const char *name);\n\n Get the index of an array with the given name among those\n that are enabled.  Returns -1 if the array is not enabled.\n"},
  {(char*)"GetArraySetting",                (PyCFunction)PyvtkDataArraySelection_GetArraySetting, 1,
   (char*)"V.GetArraySetting(int) -> int\nC++: int GetArraySetting (int index);\n\n Get whether the array at the given index is enabled.\n"},
  {(char*)"RemoveAllArrays",                (PyCFunction)PyvtkDataArraySelection_RemoveAllArrays, 1,
   (char*)"V.RemoveAllArrays()\nC++: void RemoveAllArrays ();\n\n Remove all array entries.\n"},
  {(char*)"CopySelections",                (PyCFunction)PyvtkDataArraySelection_CopySelections, 1,
   (char*)"V.CopySelections(vtkDataArraySelection)\nC++: void CopySelections (vtkDataArraySelection *selections);\n\n Copy the selections from the given vtkDataArraySelection instance.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataArraySelectionDoc[] = {
  (char*)"vtkDataArraySelection - Store on/off settings for data arrays for a vtkSource.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkDataArraySelection can be used by vtkSource subclasses to store\n on/off settings for whether each vtkDataArray in its input should\n be passed in the source's output.  This is primarily intended to\n allow file readers to configure what data arrays are read from the\n file.\n\n",
  NULL
};

static vtkObjectBase *vtkDataArraySelectionStaticNew()
{
  return vtkDataArraySelection::New();
}

PyObject *PyVTKClass_vtkDataArraySelectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataArraySelectionStaticNew,
                        PyvtkDataArraySelectionMethods,
                        (char*)"vtkDataArraySelection",modulename,
                        (char**)vtkDataArraySelectionDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

