// python wrapper for vtkDoubleArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDoubleArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDoubleArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDoubleArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataArrayNew(char *); }

static PyObject *PyvtkDoubleArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDoubleArray *op;

  const char    *temp20;
  if ((op = (vtkDoubleArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDoubleArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDoubleArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDoubleArray *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDoubleArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDoubleArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDoubleArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDoubleArray *op;

  vtkDoubleArray  *temp20;
  if ((op = (vtkDoubleArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDoubleArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDoubleArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDoubleArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDoubleArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDoubleArray_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDoubleArray *op;

  int      temp20;
  if ((op = (vtkDoubleArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDoubleArray::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDoubleArray_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDoubleArray *op;

  vtkIdType   temp0;
  double   temp20;
  if ((op = (vtkDoubleArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDoubleArray::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDoubleArray_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDoubleArray *op;

  vtkIdType   temp0;
  double   temp1;
  if ((op = (vtkDoubleArray *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDoubleArray::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDoubleArray_SetNumberOfValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDoubleArray *op;

  vtkIdType   temp0;
  if ((op = (vtkDoubleArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDoubleArray::SetNumberOfValues(temp0);
      }
    else
      {
      op->SetNumberOfValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDoubleArray_InsertValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDoubleArray *op;

  vtkIdType   temp0;
  double   temp1;
  if ((op = (vtkDoubleArray *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDoubleArray::InsertValue(temp0,temp1);
      }
    else
      {
      op->InsertValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDoubleArray_InsertNextValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDoubleArray *op;

  double   temp0;
  vtkIdType   temp20;
  if ((op = (vtkDoubleArray *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDoubleArray::InsertNextValue(temp0);
      }
    else
      {
      temp20 = op->InsertNextValue(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDoubleArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDoubleArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDoubleArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDoubleArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDoubleArray\nC++: vtkDoubleArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDoubleArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDoubleArray\nC++: vtkDoubleArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkDoubleArray_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: int GetDataType ();return VTK_DOUBLE \n\n Copy the tuple value into a user-provided array.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkDoubleArray_GetValue, 1,
   (char*)"V.GetValue(int) -> float\nC++: double GetValue (vtkIdType id);return this RealSuperclass GetValue id \n\n Set the data at a particular index. Does not do range checking. Make sure\n you use the method SetNumberOfValues() before inserting data.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkDoubleArray_SetValue, 1,
   (char*)"V.SetValue(int, float)\nC++: void SetValue (vtkIdType id, double value);this RealSuperclass SetValue id value \n\n Specify the number of values for this object to hold. Does an\n allocation as well as setting the MaxId ivar. Used in conjunction with\n SetValue() method for fast insertion.\n"},
  {(char*)"SetNumberOfValues",                (PyCFunction)PyvtkDoubleArray_SetNumberOfValues, 1,
   (char*)"V.SetNumberOfValues(int)\nC++: void SetNumberOfValues (vtkIdType number);this RealSuperclass SetNumberOfValues number \n\n Insert data at a specified position in the array.\n"},
  {(char*)"InsertValue",                (PyCFunction)PyvtkDoubleArray_InsertValue, 1,
   (char*)"V.InsertValue(int, float)\nC++: void InsertValue (vtkIdType id, double f);this RealSuperclass InsertValue id f \n\n Insert data at the end of the array. Return its location in the array.\n"},
  {(char*)"InsertNextValue",                (PyCFunction)PyvtkDoubleArray_InsertNextValue, 1,
   (char*)"V.InsertNextValue(float) -> int\nC++: vtkIdType InsertNextValue (double f);return this RealSuperclass InsertNextValue f \n\n Get the address of a particular data index. Make sure data is allocated\n for the number of items requested. Set MaxId according to the number of\n data values requested.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDoubleArrayDoc[] = {
  (char*)"vtkDoubleArray - dynamic, self-adjusting array of double\n\n",
  "Super Class:\n\n vtkDataArray\n\n",
  (char*)" vtkDoubleArray is an array of values of type double.  It provides\n methods for insertion and retrieval of values and will\n automatically resize itself to hold new data.\n\n",
  NULL
};

static vtkObjectBase *vtkDoubleArrayStaticNew()
{
  return vtkDoubleArray::New();
}

PyObject *PyVTKClass_vtkDoubleArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkDoubleArrayStaticNew,
                        PyvtkDoubleArrayMethods,
                        (char*)"vtkDoubleArray",modulename,
                        (char**)vtkDoubleArrayDoc,
                        PyVTKClass_vtkDataArrayNew(modulename));
}

