// python wrapper for vtkExtentSplitter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkExtentSplitter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtentSplitterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtentSplitterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkExtentSplitter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  const char    *temp20;
  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentSplitter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentSplitter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentSplitter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentSplitter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  vtkExtentSplitter  *temp20;
  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentSplitter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentSplitter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtentSplitter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtentSplitter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtentSplitter_AddExtentSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  int      temp7;
  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"iiiiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentSplitter::AddExtentSource(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    else
      {
      op->AddExtentSource(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentSplitter_RemoveExtentSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  int      temp0;
  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentSplitter::RemoveExtentSource(temp0);
      }
    else
      {
      op->RemoveExtentSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentSplitter_RemoveAllExtentSources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentSplitter::RemoveAllExtentSources();
      }
    else
      {
      op->RemoveAllExtentSources();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentSplitter_AddExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentSplitter::AddExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->AddExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentSplitter_ComputeSubExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  int      temp20;
  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentSplitter::ComputeSubExtents();
      }
    else
      {
      temp20 = op->ComputeSubExtents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentSplitter_GetNumberOfSubExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  int      temp20;
  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentSplitter::GetNumberOfSubExtents();
      }
    else
      {
      temp20 = op->GetNumberOfSubExtents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentSplitter_GetSubExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  int      temp0;
  int     *temp20;
  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentSplitter::GetSubExtent(temp0);
      }
    else
      {
      temp20 = op->GetSubExtent(temp0);
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentSplitter_GetSubExtentSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentSplitter::GetSubExtentSource(temp0);
      }
    else
      {
      temp20 = op->GetSubExtentSource(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentSplitter_GetPointMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  int      temp20;
  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentSplitter::GetPointMode();
      }
    else
      {
      temp20 = op->GetPointMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentSplitter_SetPointMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  int      temp0;
  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentSplitter::SetPointMode(temp0);
      }
    else
      {
      op->SetPointMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentSplitter_PointModeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentSplitter::PointModeOn();
      }
    else
      {
      op->PointModeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentSplitter_PointModeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentSplitter *op;

  if ((op = (vtkExtentSplitter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentSplitter::PointModeOff();
      }
    else
      {
      op->PointModeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtentSplitterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtentSplitter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtentSplitter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtentSplitter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtentSplitter\nC++: vtkExtentSplitter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtentSplitter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtentSplitter\nC++: vtkExtentSplitter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddExtentSource",                (PyCFunction)PyvtkExtentSplitter_AddExtentSource, 1,
   (char*)"V.AddExtentSource(int, int, int, int, int, int, int, int)\nC++: void AddExtentSource (int id, int priority, int x0, int x1, int y0, int y1, int z0, int z1);\n\n Add/Remove a source providing the given extent.  Sources with\n higher priority numbers are favored.  Source id numbers and\n priorities must be non-negative.\n"},
  {(char*)"RemoveExtentSource",                (PyCFunction)PyvtkExtentSplitter_RemoveExtentSource, 1,
   (char*)"V.RemoveExtentSource(int)\nC++: void RemoveExtentSource (int id);\n\n Add/Remove a source providing the given extent.  Sources with\n higher priority numbers are favored.  Source id numbers and\n priorities must be non-negative.\n"},
  {(char*)"RemoveAllExtentSources",                (PyCFunction)PyvtkExtentSplitter_RemoveAllExtentSources, 1,
   (char*)"V.RemoveAllExtentSources()\nC++: void RemoveAllExtentSources ();\n\n Add/Remove a source providing the given extent.  Sources with\n higher priority numbers are favored.  Source id numbers and\n priorities must be non-negative.\n"},
  {(char*)"AddExtent",                (PyCFunction)PyvtkExtentSplitter_AddExtent, 1,
   (char*)"V.AddExtent(int, int, int, int, int, int)\nC++: void AddExtent (int x0, int x1, int y0, int y1, int z0, int z1);\n\n Add an extent to the queue of extents to be split among the\n available sources.\n"},
  {(char*)"ComputeSubExtents",                (PyCFunction)PyvtkExtentSplitter_ComputeSubExtents, 1,
   (char*)"V.ComputeSubExtents() -> int\nC++: int ComputeSubExtents ();\n\n Split the extents currently in the queue among the available\n sources.  The queue is empty when this returns.  Returns 1 if all\n extents could be read.  Returns 0 if any portion of any extent\n was not available through any source.\n"},
  {(char*)"GetNumberOfSubExtents",                (PyCFunction)PyvtkExtentSplitter_GetNumberOfSubExtents, 1,
   (char*)"V.GetNumberOfSubExtents() -> int\nC++: int GetNumberOfSubExtents ();\n\n Get the number of sub-extents into which the original set of\n extents have been split across the available sources.  Valid\n after a call to ComputeSubExtents.\n"},
  {(char*)"GetSubExtent",                (PyCFunction)PyvtkExtentSplitter_GetSubExtent, 1,
   (char*)"V.GetSubExtent(int) -> (int, int, int, int, int, int)\nC++: int *GetSubExtent (int index);\n\n Get the sub-extent associated with the given index.  Use\n GetSubExtentSource to get the id of the source from which this\n sub-extent should be read.  Valid after a call to\n ComputeSubExtents.\n"},
  {(char*)"GetSubExtentSource",                (PyCFunction)PyvtkExtentSplitter_GetSubExtentSource, 1,
   (char*)"V.GetSubExtentSource(int) -> int\nC++: int GetSubExtentSource (int index);\n\n Get the id of the source from which the sub-extent associated\n with the given index should be read.  Returns -1 if no source\n provides the sub-extent.\n"},
  {(char*)"GetPointMode",                (PyCFunction)PyvtkExtentSplitter_GetPointMode, 1,
   (char*)"V.GetPointMode() -> int\nC++: int GetPointMode ();\n\n Get/Set whether \"point mode\" is on.  In point mode, sub-extents\n are generated to ensure every point in the update request is\n read, but not necessarily every cell.  This can be used when\n point data are stored in a planar slice per piece with no cell\n data.  The default is OFF.\n"},
  {(char*)"SetPointMode",                (PyCFunction)PyvtkExtentSplitter_SetPointMode, 1,
   (char*)"V.SetPointMode(int)\nC++: void SetPointMode (int );\n\n Get/Set whether \"point mode\" is on.  In point mode, sub-extents\n are generated to ensure every point in the update request is\n read, but not necessarily every cell.  This can be used when\n point data are stored in a planar slice per piece with no cell\n data.  The default is OFF.\n"},
  {(char*)"PointModeOn",                (PyCFunction)PyvtkExtentSplitter_PointModeOn, 1,
   (char*)"V.PointModeOn()\nC++: void PointModeOn ();\n\n Get/Set whether \"point mode\" is on.  In point mode, sub-extents\n are generated to ensure every point in the update request is\n read, but not necessarily every cell.  This can be used when\n point data are stored in a planar slice per piece with no cell\n data.  The default is OFF.\n"},
  {(char*)"PointModeOff",                (PyCFunction)PyvtkExtentSplitter_PointModeOff, 1,
   (char*)"V.PointModeOff()\nC++: void PointModeOff ();\n\n Get/Set whether \"point mode\" is on.  In point mode, sub-extents\n are generated to ensure every point in the update request is\n read, but not necessarily every cell.  This can be used when\n point data are stored in a planar slice per piece with no cell\n data.  The default is OFF.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtentSplitterDoc[] = {
  (char*)"vtkExtentSplitter - Split an extent across other extents.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkExtentSplitter splits each input extent into non-overlapping\n sub-extents that are completely contained within other \"source\n extents\".  A source extent corresponds to some resource providing\n an extent.  Each source extent has an integer identifier, integer\n priority, and an extent.  The input extents are split into\n sub-extents according to priority, availability, and amount of\n overlap of t",
  (char*)"he source extents.  This can be used by parallel data\n readers to read as few piece files as possible.\n\n",
  NULL
};

static vtkObjectBase *vtkExtentSplitterStaticNew()
{
  return vtkExtentSplitter::New();
}

PyObject *PyVTKClass_vtkExtentSplitterNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtentSplitterStaticNew,
                        PyvtkExtentSplitterMethods,
                        (char*)"vtkExtentSplitter",modulename,
                        (char**)vtkExtentSplitterDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

