// python wrapper for vtkExtentTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkExtentTranslator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtentTranslatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtentTranslatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkExtentTranslator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  const char    *temp20;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentTranslator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentTranslator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  vtkExtentTranslator  *temp20;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentTranslator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtentTranslator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtentTranslator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtentTranslator_SetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentTranslator::SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int    temp0[6];
  PyErr_Clear();
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentTranslator::SetWholeExtent(temp0);
      }
    else
      {
      op->SetWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_GetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int     *temp20;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentTranslator::GetWholeExtent();
      }
    else
      {
      temp20 = op->GetWholeExtent();
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_SetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentTranslator::SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int    temp0[6];
  PyErr_Clear();
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentTranslator::SetExtent(temp0);
      }
    else
      {
      op->SetExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_GetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int     *temp20;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentTranslator::GetExtent();
      }
    else
      {
      temp20 = op->GetExtent();
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_SetPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int      temp0;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentTranslator::SetPiece(temp0);
      }
    else
      {
      op->SetPiece(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_GetPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int      temp20;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentTranslator::GetPiece();
      }
    else
      {
      temp20 = op->GetPiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_SetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int      temp0;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentTranslator::SetNumberOfPieces(temp0);
      }
    else
      {
      op->SetNumberOfPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int      temp20;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentTranslator::GetNumberOfPieces();
      }
    else
      {
      temp20 = op->GetNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_SetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int      temp0;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentTranslator::SetGhostLevel(temp0);
      }
    else
      {
      op->SetGhostLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_GetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int      temp20;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentTranslator::GetGhostLevel();
      }
    else
      {
      temp20 = op->GetGhostLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_PieceToExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int      temp20;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentTranslator::PieceToExtent();
      }
    else
      {
      temp20 = op->PieceToExtent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_PieceToExtentByPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int      temp20;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentTranslator::PieceToExtentByPoints();
      }
    else
      {
      temp20 = op->PieceToExtentByPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_SetSplitModeToBlock(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentTranslator::SetSplitModeToBlock();
      }
    else
      {
      op->SetSplitModeToBlock();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_SetSplitModeToXSlab(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentTranslator::SetSplitModeToXSlab();
      }
    else
      {
      op->SetSplitModeToXSlab();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_SetSplitModeToYSlab(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentTranslator::SetSplitModeToYSlab();
      }
    else
      {
      op->SetSplitModeToYSlab();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_SetSplitModeToZSlab(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtentTranslator::SetSplitModeToZSlab();
      }
    else
      {
      op->SetSplitModeToZSlab();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtentTranslator_GetSplitMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtentTranslator *op;

  int      temp20;
  if ((op = (vtkExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtentTranslator::GetSplitMode();
      }
    else
      {
      temp20 = op->GetSplitMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtentTranslatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtentTranslator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtentTranslator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtentTranslator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtentTranslator\nC++: vtkExtentTranslator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtentTranslator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtentTranslator\nC++: vtkExtentTranslator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetWholeExtent",                (PyCFunction)PyvtkExtentTranslator_SetWholeExtent, 1,
   (char*)"V.SetWholeExtent(int, int, int, int, int, int)\nC++: void SetWholeExtent (int , int , int , int , int , int );\nV.SetWholeExtent((int, int, int, int, int, int))\nC++: void SetWholeExtent (int  a[6]);\n\n Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n"},
  {(char*)"GetWholeExtent",                (PyCFunction)PyvtkExtentTranslator_GetWholeExtent, 1,
   (char*)"V.GetWholeExtent() -> (int, int, int, int, int, int)\nC++: int  *GetWholeExtent ();\n\n Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n"},
  {(char*)"SetExtent",                (PyCFunction)PyvtkExtentTranslator_SetExtent, 1,
   (char*)"V.SetExtent(int, int, int, int, int, int)\nC++: void SetExtent (int , int , int , int , int , int );\nV.SetExtent((int, int, int, int, int, int))\nC++: void SetExtent (int  a[6]);\n\n Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n"},
  {(char*)"GetExtent",                (PyCFunction)PyvtkExtentTranslator_GetExtent, 1,
   (char*)"V.GetExtent() -> (int, int, int, int, int, int)\nC++: int  *GetExtent ();\n\n Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n"},
  {(char*)"SetPiece",                (PyCFunction)PyvtkExtentTranslator_SetPiece, 1,
   (char*)"V.SetPiece(int)\nC++: void SetPiece (int );\n\n Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n"},
  {(char*)"GetPiece",                (PyCFunction)PyvtkExtentTranslator_GetPiece, 1,
   (char*)"V.GetPiece() -> int\nC++: int GetPiece ();\n\n Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n"},
  {(char*)"SetNumberOfPieces",                (PyCFunction)PyvtkExtentTranslator_SetNumberOfPieces, 1,
   (char*)"V.SetNumberOfPieces(int)\nC++: void SetNumberOfPieces (int );\n\n Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n"},
  {(char*)"GetNumberOfPieces",                (PyCFunction)PyvtkExtentTranslator_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: int GetNumberOfPieces ();\n\n Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n"},
  {(char*)"SetGhostLevel",                (PyCFunction)PyvtkExtentTranslator_SetGhostLevel, 1,
   (char*)"V.SetGhostLevel(int)\nC++: void SetGhostLevel (int );\n\n Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n"},
  {(char*)"GetGhostLevel",                (PyCFunction)PyvtkExtentTranslator_GetGhostLevel, 1,
   (char*)"V.GetGhostLevel() -> int\nC++: int GetGhostLevel ();\n\n Set the Piece/NumPieces. Set the WholeExtent and then call PieceToExtent.\n The result can be obtained from the Extent ivar.\n"},
  {(char*)"PieceToExtent",                (PyCFunction)PyvtkExtentTranslator_PieceToExtent, 1,
   (char*)"V.PieceToExtent() -> int\nC++: virtual int PieceToExtent ();\n\n These are the main methods that should be called. These methods \n are responsible for converting a piece to an extent. The signatures\n without arguments are only thread safe when each thread accesses a\n different instance. The signatures with arguements are fully thread\n safe. \n"},
  {(char*)"PieceToExtentByPoints",                (PyCFunction)PyvtkExtentTranslator_PieceToExtentByPoints, 1,
   (char*)"V.PieceToExtentByPoints() -> int\nC++: virtual int PieceToExtentByPoints ();\n\n These are the main methods that should be called. These methods \n are responsible for converting a piece to an extent. The signatures\n without arguments are only thread safe when each thread accesses a\n different instance. The signatures with arguements are fully thread\n safe. \n"},
  {(char*)"SetSplitModeToBlock",                (PyCFunction)PyvtkExtentTranslator_SetSplitModeToBlock, 1,
   (char*)"V.SetSplitModeToBlock()\nC++: void SetSplitModeToBlock ();this SplitMode vtkExtentTranslator BLOCK_MODE \n\n How should the streamer break up extents. Block mode\n tries to break an extent up into cube blocks.  It always chooses\n the largest axis to split.\n Slab mode first breaks up the Z axis.  If it gets to one slice,\n then it starts breaking up other axes.\n"},
  {(char*)"SetSplitModeToXSlab",                (PyCFunction)PyvtkExtentTranslator_SetSplitModeToXSlab, 1,
   (char*)"V.SetSplitModeToXSlab()\nC++: void SetSplitModeToXSlab ();this SplitMode vtkExtentTranslator X_SLAB_MODE \n\n How should the streamer break up extents. Block mode\n tries to break an extent up into cube blocks.  It always chooses\n the largest axis to split.\n Slab mode first breaks up the Z axis.  If it gets to one slice,\n then it starts breaking up other axes.\n"},
  {(char*)"SetSplitModeToYSlab",                (PyCFunction)PyvtkExtentTranslator_SetSplitModeToYSlab, 1,
   (char*)"V.SetSplitModeToYSlab()\nC++: void SetSplitModeToYSlab ();this SplitMode vtkExtentTranslator Y_SLAB_MODE \n\n How should the streamer break up extents. Block mode\n tries to break an extent up into cube blocks.  It always chooses\n the largest axis to split.\n Slab mode first breaks up the Z axis.  If it gets to one slice,\n then it starts breaking up other axes.\n"},
  {(char*)"SetSplitModeToZSlab",                (PyCFunction)PyvtkExtentTranslator_SetSplitModeToZSlab, 1,
   (char*)"V.SetSplitModeToZSlab()\nC++: void SetSplitModeToZSlab ();this SplitMode vtkExtentTranslator Z_SLAB_MODE \n\n How should the streamer break up extents. Block mode\n tries to break an extent up into cube blocks.  It always chooses\n the largest axis to split.\n Slab mode first breaks up the Z axis.  If it gets to one slice,\n then it starts breaking up other axes.\n"},
  {(char*)"GetSplitMode",                (PyCFunction)PyvtkExtentTranslator_GetSplitMode, 1,
   (char*)"V.GetSplitMode() -> int\nC++: int GetSplitMode ();\n\n How should the streamer break up extents. Block mode\n tries to break an extent up into cube blocks.  It always chooses\n the largest axis to split.\n Slab mode first breaks up the Z axis.  If it gets to one slice,\n then it starts breaking up other axes.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtentTranslatorDoc[] = {
  (char*)"vtkExtentTranslator - Generates a structured extent from unstructured.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkExtentTranslator generates a structured extent from an unstructured\n extent.  It uses a recursive scheme that splits the largest axis.  A hard\n coded extent can be used for a starting point.\n\n",
  "Caveats:\n\n This object is still under development.\n\n",
  NULL
};

static vtkObjectBase *vtkExtentTranslatorStaticNew()
{
  return vtkExtentTranslator::New();
}

PyObject *PyVTKClass_vtkExtentTranslatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtentTranslatorStaticNew,
                        PyvtkExtentTranslatorMethods,
                        (char*)"vtkExtentTranslator",modulename,
                        (char**)vtkExtentTranslatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

