// python wrapper for vtkFileOutputWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkFileOutputWindow.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFileOutputWindowNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFileOutputWindowNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkOutputWindowNew(char *); }

static PyObject *PyvtkFileOutputWindow_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileOutputWindow *op;

  const char    *temp20;
  if ((op = (vtkFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFileOutputWindow::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFileOutputWindow_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileOutputWindow *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFileOutputWindow::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFileOutputWindow_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileOutputWindow *op;

  vtkFileOutputWindow  *temp20;
  if ((op = (vtkFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFileOutputWindow::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFileOutputWindow_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFileOutputWindow  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFileOutputWindow::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFileOutputWindow_DisplayText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileOutputWindow *op;

  char    *temp0;
  if ((op = (vtkFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFileOutputWindow::DisplayText(temp0);
      }
    else
      {
      op->DisplayText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFileOutputWindow_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileOutputWindow *op;

  char    *temp0;
  if ((op = (vtkFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFileOutputWindow::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFileOutputWindow_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileOutputWindow *op;

  char    *temp20;
  if ((op = (vtkFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFileOutputWindow::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFileOutputWindow_SetFlush(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileOutputWindow *op;

  int      temp0;
  if ((op = (vtkFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFileOutputWindow::SetFlush(temp0);
      }
    else
      {
      op->SetFlush(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFileOutputWindow_GetFlush(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileOutputWindow *op;

  int      temp20;
  if ((op = (vtkFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFileOutputWindow::GetFlush();
      }
    else
      {
      temp20 = op->GetFlush();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFileOutputWindow_FlushOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileOutputWindow *op;

  if ((op = (vtkFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFileOutputWindow::FlushOn();
      }
    else
      {
      op->FlushOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFileOutputWindow_FlushOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileOutputWindow *op;

  if ((op = (vtkFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFileOutputWindow::FlushOff();
      }
    else
      {
      op->FlushOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFileOutputWindow_SetAppend(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileOutputWindow *op;

  int      temp0;
  if ((op = (vtkFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFileOutputWindow::SetAppend(temp0);
      }
    else
      {
      op->SetAppend(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFileOutputWindow_GetAppend(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileOutputWindow *op;

  int      temp20;
  if ((op = (vtkFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFileOutputWindow::GetAppend();
      }
    else
      {
      temp20 = op->GetAppend();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFileOutputWindow_AppendOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileOutputWindow *op;

  if ((op = (vtkFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFileOutputWindow::AppendOn();
      }
    else
      {
      op->AppendOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFileOutputWindow_AppendOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFileOutputWindow *op;

  if ((op = (vtkFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFileOutputWindow::AppendOff();
      }
    else
      {
      op->AppendOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFileOutputWindowMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFileOutputWindow_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFileOutputWindow_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFileOutputWindow_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFileOutputWindow\nC++: vtkFileOutputWindow *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFileOutputWindow_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFileOutputWindow\nC++: vtkFileOutputWindow *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DisplayText",                (PyCFunction)PyvtkFileOutputWindow_DisplayText, 1,
   (char*)"V.DisplayText(string)\nC++: virtual void DisplayText (const char *);\n\n New lines are converted to carriage return new lines.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkFileOutputWindow_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkFileOutputWindow_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n"},
  {(char*)"SetFlush",                (PyCFunction)PyvtkFileOutputWindow_SetFlush, 1,
   (char*)"V.SetFlush(int)\nC++: void SetFlush (int );\n\n to the log file.\n"},
  {(char*)"GetFlush",                (PyCFunction)PyvtkFileOutputWindow_GetFlush, 1,
   (char*)"V.GetFlush() -> int\nC++: int GetFlush ();\n\n to the log file.\n"},
  {(char*)"FlushOn",                (PyCFunction)PyvtkFileOutputWindow_FlushOn, 1,
   (char*)"V.FlushOn()\nC++: void FlushOn ();\n\n to the log file.\n"},
  {(char*)"FlushOff",                (PyCFunction)PyvtkFileOutputWindow_FlushOff, 1,
   (char*)"V.FlushOff()\nC++: void FlushOff ();\n\n to the log file.\n"},
  {(char*)"SetAppend",                (PyCFunction)PyvtkFileOutputWindow_SetAppend, 1,
   (char*)"V.SetAppend(int)\nC++: void SetAppend (int );\n\n opened in append mode.  Otherwise, if the log file exists,\n it will be overwritten each time the vtkFileOutputWindow \n is created.\n"},
  {(char*)"GetAppend",                (PyCFunction)PyvtkFileOutputWindow_GetAppend, 1,
   (char*)"V.GetAppend() -> int\nC++: int GetAppend ();\n\n opened in append mode.  Otherwise, if the log file exists,\n it will be overwritten each time the vtkFileOutputWindow \n is created.\n"},
  {(char*)"AppendOn",                (PyCFunction)PyvtkFileOutputWindow_AppendOn, 1,
   (char*)"V.AppendOn()\nC++: void AppendOn ();\n\n opened in append mode.  Otherwise, if the log file exists,\n it will be overwritten each time the vtkFileOutputWindow \n is created.\n"},
  {(char*)"AppendOff",                (PyCFunction)PyvtkFileOutputWindow_AppendOff, 1,
   (char*)"V.AppendOff()\nC++: void AppendOff ();\n\n opened in append mode.  Otherwise, if the log file exists,\n it will be overwritten each time the vtkFileOutputWindow \n is created.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFileOutputWindowDoc[] = {
  (char*)"vtkFileOutputWindow - File Specific output window class\n\n",
  "Super Class:\n\n vtkOutputWindow\n\n",
  (char*)" Writes debug/warning/error output to a log file instead of the console.\n To use this class, instantiate it and then call SetInstance(this).\n \n\n",
  NULL
};

static vtkObjectBase *vtkFileOutputWindowStaticNew()
{
  return vtkFileOutputWindow::New();
}

PyObject *PyVTKClass_vtkFileOutputWindowNew(char *modulename)
{
  return PyVTKClass_New(&vtkFileOutputWindowStaticNew,
                        PyvtkFileOutputWindowMethods,
                        (char*)"vtkFileOutputWindow",modulename,
                        (char**)vtkFileOutputWindowDoc,
                        PyVTKClass_vtkOutputWindowNew(modulename));
}

