// python wrapper for vtkFunctionParser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkFunctionParser.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFunctionParserNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFunctionParserNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkFunctionParser_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  const char    *temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  vtkFunctionParser  *temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFunctionParser  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFunctionParser::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFunctionParser_SetFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  char    *temp0;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::SetFunction(temp0);
      }
    else
      {
      op->SetFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_GetFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  char    *temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::GetFunction();
      }
    else
      {
      temp20 = op->GetFunction();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_IsScalarResult(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  int      temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::IsScalarResult();
      }
    else
      {
      temp20 = op->IsScalarResult();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_IsVectorResult(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  int      temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::IsVectorResult();
      }
    else
      {
      temp20 = op->IsVectorResult();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_GetScalarResult(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  double   temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::GetScalarResult();
      }
    else
      {
      temp20 = op->GetScalarResult();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_GetVectorResult(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  double  *temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::GetVectorResult();
      }
    else
      {
      temp20 = op->GetVectorResult();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::GetVectorResult(temp0);
      }
    else
      {
      op->GetVectorResult(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_SetScalarVariableValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  char    *temp0;
  double   temp1;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"zd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::SetScalarVariableValue(temp0,temp1);
      }
    else
      {
      op->SetScalarVariableValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  int      temp0;
  double   temp1;
  PyErr_Clear();
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::SetScalarVariableValue(temp0,temp1);
      }
    else
      {
      op->SetScalarVariableValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_GetScalarVariableValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  char    *temp0;
  double   temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::GetScalarVariableValue(temp0);
      }
    else
      {
      temp20 = op->GetScalarVariableValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  int      temp0;
  double   temp20;
  PyErr_Clear();
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::GetScalarVariableValue(temp0);
      }
    else
      {
      temp20 = op->GetScalarVariableValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_SetVectorVariableValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  char    *temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"zddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::SetVectorVariableValue(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetVectorVariableValue(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  char    *temp0;
  double temp1[3];
  PyErr_Clear();
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"z(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::SetVectorVariableValue(temp0,temp1);
      }
    else
      {
      op->SetVectorVariableValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  PyErr_Clear();
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"iddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::SetVectorVariableValue(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetVectorVariableValue(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  int      temp0;
  double temp1[3];
  PyErr_Clear();
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::SetVectorVariableValue(temp0,temp1);
      }
    else
      {
      op->SetVectorVariableValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_GetVectorVariableValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  char    *temp0;
  double  *temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::GetVectorVariableValue(temp0);
      }
    else
      {
      temp20 = op->GetVectorVariableValue(temp0);
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  char    *temp0;
  double temp1[3];
  PyErr_Clear();
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"z(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::GetVectorVariableValue(temp0,temp1);
      }
    else
      {
      op->GetVectorVariableValue(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  int      temp0;
  double  *temp20;
  PyErr_Clear();
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::GetVectorVariableValue(temp0);
      }
    else
      {
      temp20 = op->GetVectorVariableValue(temp0);
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  int      temp0;
  double temp1[3];
  PyErr_Clear();
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::GetVectorVariableValue(temp0,temp1);
      }
    else
      {
      op->GetVectorVariableValue(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_GetNumberOfScalarVariables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  int      temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::GetNumberOfScalarVariables();
      }
    else
      {
      temp20 = op->GetNumberOfScalarVariables();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_GetNumberOfVectorVariables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  int      temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::GetNumberOfVectorVariables();
      }
    else
      {
      temp20 = op->GetNumberOfVectorVariables();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_GetScalarVariableName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  int      temp0;
  char    *temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::GetScalarVariableName(temp0);
      }
    else
      {
      temp20 = op->GetScalarVariableName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_GetVectorVariableName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  int      temp0;
  char    *temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::GetVectorVariableName(temp0);
      }
    else
      {
      temp20 = op->GetVectorVariableName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_RemoveAllVariables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::RemoveAllVariables();
      }
    else
      {
      op->RemoveAllVariables();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_SetReplaceInvalidValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  int      temp0;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::SetReplaceInvalidValues(temp0);
      }
    else
      {
      op->SetReplaceInvalidValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_GetReplaceInvalidValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  int      temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::GetReplaceInvalidValues();
      }
    else
      {
      temp20 = op->GetReplaceInvalidValues();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_ReplaceInvalidValuesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::ReplaceInvalidValuesOn();
      }
    else
      {
      op->ReplaceInvalidValuesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_ReplaceInvalidValuesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::ReplaceInvalidValuesOff();
      }
    else
      {
      op->ReplaceInvalidValuesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_SetReplacementValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  double   temp0;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFunctionParser::SetReplacementValue(temp0);
      }
    else
      {
      op->SetReplacementValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionParser_GetReplacementValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionParser *op;

  double   temp20;
  if ((op = (vtkFunctionParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionParser::GetReplacementValue();
      }
    else
      {
      temp20 = op->GetReplacementValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFunctionParserMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFunctionParser_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFunctionParser_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFunctionParser_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFunctionParser\nC++: vtkFunctionParser *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFunctionParser_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFunctionParser\nC++: vtkFunctionParser *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFunction",                (PyCFunction)PyvtkFunctionParser_SetFunction, 1,
   (char*)"V.SetFunction(string)\nC++: void SetFunction (const char *function);\n\n"},
  {(char*)"GetFunction",                (PyCFunction)PyvtkFunctionParser_GetFunction, 1,
   (char*)"V.GetFunction() -> string\nC++: char *GetFunction ();\n\n"},
  {(char*)"IsScalarResult",                (PyCFunction)PyvtkFunctionParser_IsScalarResult, 1,
   (char*)"V.IsScalarResult() -> int\nC++: int IsScalarResult ();\n\n Check whether the result is a scalar result.  If it isn't, then\n either the result is a vector or an error has occurred.\n"},
  {(char*)"IsVectorResult",                (PyCFunction)PyvtkFunctionParser_IsVectorResult, 1,
   (char*)"V.IsVectorResult() -> int\nC++: int IsVectorResult ();\n\n Check whether the result is a vector result.  If it isn't, then\n either the result is scalar or an error has occurred.\n"},
  {(char*)"GetScalarResult",                (PyCFunction)PyvtkFunctionParser_GetScalarResult, 1,
   (char*)"V.GetScalarResult() -> float\nC++: double GetScalarResult ();\n\n Get a scalar result from evaluating the input function.\n"},
  {(char*)"GetVectorResult",                (PyCFunction)PyvtkFunctionParser_GetVectorResult, 1,
   (char*)"V.GetVectorResult() -> (float, float, float)\nC++: double *GetVectorResult ();\nV.GetVectorResult((float, float, float))\nC++: void GetVectorResult (double result[3]);double r this GetVectorResult result r result r result r \n\n Get a vector result from evaluating the input function.\n"},
  {(char*)"SetScalarVariableValue",                (PyCFunction)PyvtkFunctionParser_SetScalarVariableValue, 1,
   (char*)"V.SetScalarVariableValue(string, float)\nC++: void SetScalarVariableValue (const char *variableName, double value);\nV.SetScalarVariableValue(int, float)\nC++: void SetScalarVariableValue (int i, double value);\n\n Set the value of a scalar variable.  If a variable with this name\n exists, then its value will be set to the new value.  If there is not\n already a variable with this name, variableName will be added to the\n list of variables, and its value will be set to the new value.\n"},
  {(char*)"GetScalarVariableValue",                (PyCFunction)PyvtkFunctionParser_GetScalarVariableValue, 1,
   (char*)"V.GetScalarVariableValue(string) -> float\nC++: double GetScalarVariableValue (const char *variableName);\nV.GetScalarVariableValue(int) -> float\nC++: double GetScalarVariableValue (int i);\n\n Get the value of a scalar variable.\n"},
  {(char*)"SetVectorVariableValue",                (PyCFunction)PyvtkFunctionParser_SetVectorVariableValue, 1,
   (char*)"V.SetVectorVariableValue(string, float, float, float)\nC++: void SetVectorVariableValue (const char *variableName, double xValue, double yValue, double zValue);\nV.SetVectorVariableValue(string, (float, float, float))\nC++: void SetVectorVariableValue (const char *variableName, const double values[3]);this SetVectorVariableValue variableName values values values \nV.SetVectorVariableValue(int, float, float, float)\nC++: void SetVectorVariableValue (int i, double xValue, double yValue, double zValue);\nV.SetVectorVariableValue(int, (float, float, float))\nC++: void SetVectorVariableValue (int i, const double values[3]);this SetVectorVariableValue i values values values \n\n Set the value of a vector variable.  If a variable with this name\n exists, then its value will be set to the new value.  If there is not\n already a variable with this name, variableName will be added to the\n list of variables, and its value will be set to the new value.\n"},
  {(char*)"GetVectorVariableValue",                (PyCFunction)PyvtkFunctionParser_GetVectorVariableValue, 1,
   (char*)"V.GetVectorVariableValue(string) -> (float, float, float)\nC++: double *GetVectorVariableValue (const char *variableName);\nV.GetVectorVariableValue(string, (float, float, float))\nC++: void GetVectorVariableValue (const char *variableName, double value[3]);double r this GetVectorVariableValue variableName value r value r value r \nV.GetVectorVariableValue(int) -> (float, float, float)\nC++: double *GetVectorVariableValue (int i);\nV.GetVectorVariableValue(int, (float, float, float))\nC++: void GetVectorVariableValue (int i, double value[3]);double r this GetVectorVariableValue i value r value r value r \n\n Get the value of a vector variable.\n"},
  {(char*)"GetNumberOfScalarVariables",                (PyCFunction)PyvtkFunctionParser_GetNumberOfScalarVariables, 1,
   (char*)"V.GetNumberOfScalarVariables() -> int\nC++: int GetNumberOfScalarVariables ();\n\n Get the number of scalar variables.\n"},
  {(char*)"GetNumberOfVectorVariables",                (PyCFunction)PyvtkFunctionParser_GetNumberOfVectorVariables, 1,
   (char*)"V.GetNumberOfVectorVariables() -> int\nC++: int GetNumberOfVectorVariables ();\n\n Get the number of vector variables.\n"},
  {(char*)"GetScalarVariableName",                (PyCFunction)PyvtkFunctionParser_GetScalarVariableName, 1,
   (char*)"V.GetScalarVariableName(int) -> string\nC++: char *GetScalarVariableName (int i);\n\n Get the ith scalar variable name.\n"},
  {(char*)"GetVectorVariableName",                (PyCFunction)PyvtkFunctionParser_GetVectorVariableName, 1,
   (char*)"V.GetVectorVariableName(int) -> string\nC++: char *GetVectorVariableName (int i);\n\n Get the ith vector variable name.\n"},
  {(char*)"RemoveAllVariables",                (PyCFunction)PyvtkFunctionParser_RemoveAllVariables, 1,
   (char*)"V.RemoveAllVariables()\nC++: void RemoveAllVariables ();\n\n Remove all the current variables.\n"},
  {(char*)"SetReplaceInvalidValues",                (PyCFunction)PyvtkFunctionParser_SetReplaceInvalidValues, 1,
   (char*)"V.SetReplaceInvalidValues(int)\nC++: void SetReplaceInvalidValues (int );\n\n When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n"},
  {(char*)"GetReplaceInvalidValues",                (PyCFunction)PyvtkFunctionParser_GetReplaceInvalidValues, 1,
   (char*)"V.GetReplaceInvalidValues() -> int\nC++: int GetReplaceInvalidValues ();\n\n When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n"},
  {(char*)"ReplaceInvalidValuesOn",                (PyCFunction)PyvtkFunctionParser_ReplaceInvalidValuesOn, 1,
   (char*)"V.ReplaceInvalidValuesOn()\nC++: void ReplaceInvalidValuesOn ();\n\n When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n"},
  {(char*)"ReplaceInvalidValuesOff",                (PyCFunction)PyvtkFunctionParser_ReplaceInvalidValuesOff, 1,
   (char*)"V.ReplaceInvalidValuesOff()\nC++: void ReplaceInvalidValuesOff ();\n\n When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n"},
  {(char*)"SetReplacementValue",                (PyCFunction)PyvtkFunctionParser_SetReplacementValue, 1,
   (char*)"V.SetReplacementValue(float)\nC++: void SetReplacementValue (double );\n\n When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n"},
  {(char*)"GetReplacementValue",                (PyCFunction)PyvtkFunctionParser_GetReplacementValue, 1,
   (char*)"V.GetReplacementValue() -> float\nC++: double GetReplacementValue ();\n\n When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFunctionParserDoc[] = {
  (char*)"vtkFunctionParser - Parse and evaluate a mathematical expression\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkFunctionParser is a class that takes in a mathematical expression as\n a char string, parses it, and evaluates it at the specified values of\n the variables in the input string.\n .SECTION Thanks\n Thomas Dunne (thomas.dunne@iwr.uni-heidelberg.de) for adding code for\n two-parameter-parsing and a few functions (sign, min, max).\n\n",
  NULL
};

static vtkObjectBase *vtkFunctionParserStaticNew()
{
  return vtkFunctionParser::New();
}

PyObject *PyVTKClass_vtkFunctionParserNew(char *modulename)
{
  return PyVTKClass_New(&vtkFunctionParserStaticNew,
                        PyvtkFunctionParserMethods,
                        (char*)"vtkFunctionParser",modulename,
                        (char**)vtkFunctionParserDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

