// python wrapper for vtkFunctionSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkFunctionSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFunctionSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFunctionSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkFunctionSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionSet *op;

  const char    *temp20;
  if ((op = (vtkFunctionSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionSet *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkFunctionSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionSet *op;

  vtkFunctionSet  *temp20;
  if ((op = (vtkFunctionSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionSet_GetNumberOfFunctions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionSet *op;

  int      temp20;
  if ((op = (vtkFunctionSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionSet::GetNumberOfFunctions();
      }
    else
      {
      temp20 = op->GetNumberOfFunctions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFunctionSet_GetNumberOfIndependentVariables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFunctionSet *op;

  int      temp20;
  if ((op = (vtkFunctionSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFunctionSet::GetNumberOfIndependentVariables();
      }
    else
      {
      temp20 = op->GetNumberOfIndependentVariables();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFunctionSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFunctionSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFunctionSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFunctionSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFunctionSet\nC++: vtkFunctionSet *NewInstance ();\n\n"},
  {(char*)"GetNumberOfFunctions",                (PyCFunction)PyvtkFunctionSet_GetNumberOfFunctions, 1,
   (char*)"V.GetNumberOfFunctions() -> int\nC++: virtual int GetNumberOfFunctions ();return this NumFuncs \n\n Return the number of independent variables. Note that this is \n constant for a given type of set of functions and can not be changed  \n at run time.\n"},
  {(char*)"GetNumberOfIndependentVariables",                (PyCFunction)PyvtkFunctionSet_GetNumberOfIndependentVariables, 1,
   (char*)"V.GetNumberOfIndependentVariables() -> int\nC++: virtual int GetNumberOfIndependentVariables ();return this NumIndepVars \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFunctionSetDoc[] = {
  (char*)"vtkFunctionSet - Abstract inteface for sets of functions\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkFunctionSet specifies an abstract interface for set of functions\n of the form F_i = F_i(x_j) where F (with i=1..m) are the functions\n and x (with j=1..n) are the independent variables.\n The only supported operation is the  function evaluation at x_j.\n\n",
  "See Also:\n\n vtkImplicitDataSet vtkInterpolatedVelocityField \n vtkInitialValueProblemSolver\n\n",
  NULL
};

PyObject *PyVTKClass_vtkFunctionSetNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkFunctionSetMethods,
                        (char*)"vtkFunctionSet",modulename,
                        (char**)vtkFunctionSetDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

