// python wrapper for vtkGarbageCollector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGarbageCollector.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGarbageCollectorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGarbageCollectorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGarbageCollector_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGarbageCollector *op;

  const char    *temp20;
  if ((op = (vtkGarbageCollector *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGarbageCollector::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGarbageCollector_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGarbageCollector *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGarbageCollector *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGarbageCollector::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGarbageCollector_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGarbageCollector *op;

  vtkGarbageCollector  *temp20;
  if ((op = (vtkGarbageCollector *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGarbageCollector::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGarbageCollector_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGarbageCollector  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGarbageCollector::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGarbageCollector_Collect(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkGarbageCollector::Collect();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkObjectBase  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break5;
      {
      vtkGarbageCollector::Collect(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGarbageCollector_DeferredCollectionPush(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkGarbageCollector::DeferredCollectionPush();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGarbageCollector_DeferredCollectionPop(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkGarbageCollector::DeferredCollectionPop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGarbageCollector_SetGlobalDebugFlag(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkGarbageCollector::SetGlobalDebugFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGarbageCollector_GetGlobalDebugFlag(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkGarbageCollector::GetGlobalDebugFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGarbageCollectorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGarbageCollector_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGarbageCollector_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGarbageCollector_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGarbageCollector\nC++: vtkGarbageCollector *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGarbageCollector_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGarbageCollector\nC++: vtkGarbageCollector *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Collect",                (PyCFunction)PyvtkGarbageCollector_Collect, 1,
   (char*)"V.Collect()\nC++: static void Collect ();\nV.Collect(vtkObjectBase)\nC++: static void Collect (vtkObjectBase *root);\n\n Collect immediately using any objects whose collection was\n previously deferred as a root for the reference graph walk.\n Strongly connected components in the reference graph are\n identified.  Those with a net reference count of zero are\n deleted.  When a component is deleted it may remove references to\n other components that are not part of the same reference loop but\n are held by objects in the original component.  These removed\n references are handled as any other and their corresponding\n checks may be deferred.  This method keeps collecting until no\n deferred collection checks remain.\n"},
  {(char*)"DeferredCollectionPush",                (PyCFunction)PyvtkGarbageCollector_DeferredCollectionPush, 1,
   (char*)"V.DeferredCollectionPush()\nC++: static void DeferredCollectionPush ();\n\n Push/Pop whether to do deferred collection.  Whenever the total\n number of pushes exceeds the total number of pops collection will\n be deferred.  Code can call the Collect method directly to force\n collection.\n"},
  {(char*)"DeferredCollectionPop",                (PyCFunction)PyvtkGarbageCollector_DeferredCollectionPop, 1,
   (char*)"V.DeferredCollectionPop()\nC++: static void DeferredCollectionPop ();\n\n Push/Pop whether to do deferred collection.  Whenever the total\n number of pushes exceeds the total number of pops collection will\n be deferred.  Code can call the Collect method directly to force\n collection.\n"},
  {(char*)"SetGlobalDebugFlag",                (PyCFunction)PyvtkGarbageCollector_SetGlobalDebugFlag, 1,
   (char*)"V.SetGlobalDebugFlag(int)\nC++: static void SetGlobalDebugFlag (int flag);\n\n Set/Get global garbage collection debugging flag.  When set to 1,\n all garbage collection checks will produce debugging information.\n"},
  {(char*)"GetGlobalDebugFlag",                (PyCFunction)PyvtkGarbageCollector_GetGlobalDebugFlag, 1,
   (char*)"V.GetGlobalDebugFlag() -> int\nC++: static int GetGlobalDebugFlag ();\n\n Set/Get global garbage collection debugging flag.  When set to 1,\n all garbage collection checks will produce debugging information.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGarbageCollectorDoc[] = {
  (char*)"vtkGarbageCollector - Detect and break reference loops\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkGarbageCollector is used by VTK classes that may be involved in\n reference counting loops (such as Algorithm <-> Executive).  It\n detects strongly connected components of the reference graph that\n have been leaked deletes them.  The garbage collector uses the\n ReportReferences method to search the reference graph and construct\n a net reference count for each connected component.  If the net\n r",
  (char*)"eference count is zero the entire set of objects is deleted.\n Deleting each component may leak other components, which are then\n collected recursively.\n\n To enable garbage collection for a class, add these members:\n\n \\code\n\n  public:\n   virtual void Register(vtkObjectBase* o)\n     {\n     this->RegisterInternal(o, 1);\n     }\n   virtual void UnRegister(vtkObjectBase* o)\n     {\n     this->UnRegisterI",
  (char*)"nternal(o, 1);\n     }\n\n  protected:\n\n   virtual void ReportReferences(vtkGarbageCollector* collector)\n     {\n     // Report references held by this object that may be in a loop.\n     this->Superclass::ReportReferences(collector);\n     vtkGarbageCollectorReport(collector, this->OtherObject, \"Other Object\");\n     }\n \\endcode\n\n The implementations should be in the .cxx file in practice.\n It is import",
  (char*)"ant that the reference be reported using the real\n pointer or smart pointer instance that holds the reference.  When\n collecting the garbage collector will actually set this pointer to\n NULL.  The destructor of the class should be written to deal with\n this.  It is also expected that an invariant is maintained for any\n reference that is reported.  The variable holding the reference\n must always ei",
  (char*)"ther be NULL or refer to a fully constructed valid\n object.  Therefore code like \"this->Object->UnRegister(this)\" must\n be avoided if \"this->Object\" is a reported reference because it\n is possible that the object is deleted before UnRegister returns\n but then \"this->Object\" will be left as a dangling pointer.  Instead\n use code like\n\n   vtkObjectBase* obj = this->Object;\n   this->Object = 0;\n   ob",
  (char*)"j->UnRegister(this);\n\n so that the reported reference maintains the invariant.\n\n If subclassing from a class that already supports garbage\n collection, one need only provide the ReportReferences method.\n\n",
  NULL
};

static vtkObjectBase *vtkGarbageCollectorStaticNew()
{
  return vtkGarbageCollector::New();
}

PyObject *PyVTKClass_vtkGarbageCollectorNew(char *modulename)
{
  return PyVTKClass_New(&vtkGarbageCollectorStaticNew,
                        PyvtkGarbageCollectorMethods,
                        (char*)"vtkGarbageCollector",modulename,
                        (char**)vtkGarbageCollectorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

