// python wrapper for vtkGeneralTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGeneralTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeneralTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeneralTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractTransformNew(char *); }

static PyObject *PyvtkGeneralTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  const char    *temp20;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeneralTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeneralTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  vtkGeneralTransform  *temp20;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeneralTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeneralTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeneralTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeneralTransform_Identity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::Identity();
      }
    else
      {
      op->Identity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_Inverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::Inverse();
      }
    else
      {
      op->Inverse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_Translate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::Translate(temp0,temp1,temp2);
      }
    else
      {
      op->Translate(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::Translate(temp0);
      }
    else
      {
      op->Translate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  float  temp0[3];
  PyErr_Clear();
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::Translate(temp0);
      }
    else
      {
      op->Translate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_RotateWXYZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::RotateWXYZ(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->RotateWXYZ(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  double   temp0;
  double temp1[3];
  PyErr_Clear();
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"d(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::RotateWXYZ(temp0,temp1);
      }
    else
      {
      op->RotateWXYZ(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  double   temp0;
  float  temp1[3];
  PyErr_Clear();
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"d(fff)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::RotateWXYZ(temp0,temp1);
      }
    else
      {
      op->RotateWXYZ(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_RotateX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  double   temp0;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::RotateX(temp0);
      }
    else
      {
      op->RotateX(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_RotateY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  double   temp0;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::RotateY(temp0);
      }
    else
      {
      op->RotateY(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_RotateZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  double   temp0;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::RotateZ(temp0);
      }
    else
      {
      op->RotateZ(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_Scale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::Scale(temp0,temp1,temp2);
      }
    else
      {
      op->Scale(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::Scale(temp0);
      }
    else
      {
      op->Scale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  float  temp0[3];
  PyErr_Clear();
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::Scale(temp0);
      }
    else
      {
      op->Scale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_Concatenate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::Concatenate(temp0);
      }
    else
      {
      op->Concatenate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  double temp0[16];
  PyErr_Clear();
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"(dddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::Concatenate(temp0);
      }
    else
      {
      op->Concatenate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::Concatenate(temp0);
      }
    else
      {
      op->Concatenate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkGeneralTransform_PreMultiply(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::PreMultiply();
      }
    else
      {
      op->PreMultiply();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_PostMultiply(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::PostMultiply();
      }
    else
      {
      op->PostMultiply();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_GetNumberOfConcatenatedTransforms(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  int      temp20;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeneralTransform::GetNumberOfConcatenatedTransforms();
      }
    else
      {
      temp20 = op->GetNumberOfConcatenatedTransforms();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_GetConcatenatedTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  int      temp0;
  vtkAbstractTransform  *temp20;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeneralTransform::GetConcatenatedTransform(temp0);
      }
    else
      {
      temp20 = op->GetConcatenatedTransform(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkGeneralTransform_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  vtkAbstractTransform  *temp20;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeneralTransform::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_GetInverseFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  int      temp20;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeneralTransform::GetInverseFlag();
      }
    else
      {
      temp20 = op->GetInverseFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_Push(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::Push();
      }
    else
      {
      op->Push();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_Pop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::Pop();
      }
    else
      {
      op->Pop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_InternalTransformPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  float  temp0[3];
  float  temp1[3];
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)(fff)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::InternalTransformPoint(temp0,temp1);
      }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeneralTransform::InternalTransformPoint(temp0,temp1);
      }
    else
      {
      op->InternalTransformPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_CircuitCheck(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeneralTransform::CircuitCheck(temp0);
      }
    else
      {
      temp20 = op->CircuitCheck(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break32:
  return NULL;
}


static PyObject *PyvtkGeneralTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  vtkAbstractTransform  *temp20;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeneralTransform::MakeTransform();
      }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeneralTransform_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeneralTransform *op;

  unsigned long     temp20;
  if ((op = (vtkGeneralTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeneralTransform::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeneralTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeneralTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeneralTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeneralTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeneralTransform\nC++: vtkGeneralTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeneralTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeneralTransform\nC++: vtkGeneralTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Identity",                (PyCFunction)PyvtkGeneralTransform_Identity, 1,
   (char*)"V.Identity()\nC++: void Identity ();this Concatenation Identity this Modified \n\n Set this transformation to the identity transformation.  If \n the transform has an Input, then the transformation will be\n reset so that it is the same as the Input.\n"},
  {(char*)"Inverse",                (PyCFunction)PyvtkGeneralTransform_Inverse, 1,
   (char*)"V.Inverse()\nC++: void Inverse ();this Concatenation Inverse this Modified \n\n Invert the transformation.  This will also set a flag so that\n the transformation will use the inverse of its Input, if an Input\n has been set.\n"},
  {(char*)"Translate",                (PyCFunction)PyvtkGeneralTransform_Translate, 1,
   (char*)"V.Translate(float, float, float)\nC++: void Translate (double x, double y, double z);this Concatenation Translate x y z \nV.Translate((float, float, float))\nC++: void Translate (const double x[3]);this Translate x x x \nV.Translate((float, float, float))\nC++: void Translate (const float x[3]);this Translate x x x \n\n Create a translation matrix and concatenate it with the current\n transformation according to PreMultiply or PostMultiply semantics.\n"},
  {(char*)"RotateWXYZ",                (PyCFunction)PyvtkGeneralTransform_RotateWXYZ, 1,
   (char*)"V.RotateWXYZ(float, float, float, float)\nC++: void RotateWXYZ (double angle, double x, double y, double z);this Concatenation Rotate angle x y z \nV.RotateWXYZ(float, (float, float, float))\nC++: void RotateWXYZ (double angle, const double axis[3]);this RotateWXYZ angle axis axis axis \nV.RotateWXYZ(float, (float, float, float))\nC++: void RotateWXYZ (double angle, const float axis[3]);this RotateWXYZ angle axis axis axis \n\n Create a rotation matrix and concatenate it with the current\n transformation according to PreMultiply or PostMultiply semantics.\n The angle is in degrees, and (x,y,z) specifies the axis that the\n rotation will be performed around. \n"},
  {(char*)"RotateX",                (PyCFunction)PyvtkGeneralTransform_RotateX, 1,
   (char*)"V.RotateX(float)\nC++: void RotateX (double angle);this RotateWXYZ angle \n\n Create a rotation matrix about the X, Y, or Z axis and concatenate\n it with the current transformation according to PreMultiply or\n PostMultiply semantics.  The angle is expressed in degrees.\n"},
  {(char*)"RotateY",                (PyCFunction)PyvtkGeneralTransform_RotateY, 1,
   (char*)"V.RotateY(float)\nC++: void RotateY (double angle);this RotateWXYZ angle \n\n Create a rotation matrix about the X, Y, or Z axis and concatenate\n it with the current transformation according to PreMultiply or\n PostMultiply semantics.  The angle is expressed in degrees.\n"},
  {(char*)"RotateZ",                (PyCFunction)PyvtkGeneralTransform_RotateZ, 1,
   (char*)"V.RotateZ(float)\nC++: void RotateZ (double angle);this RotateWXYZ angle \n\n Create a rotation matrix about the X, Y, or Z axis and concatenate\n it with the current transformation according to PreMultiply or\n PostMultiply semantics.  The angle is expressed in degrees.\n"},
  {(char*)"Scale",                (PyCFunction)PyvtkGeneralTransform_Scale, 1,
   (char*)"V.Scale(float, float, float)\nC++: void Scale (double x, double y, double z);this Concatenation Scale x y z \nV.Scale((float, float, float))\nC++: void Scale (const double s[3]);this Scale s s s \nV.Scale((float, float, float))\nC++: void Scale (const float s[3]);this Scale s s s \n\n Create a scale matrix (i.e. set the diagonal elements to x, y, z)\n and concatenate it with the current transformation according to\n PreMultiply or PostMultiply semantics.\n"},
  {(char*)"Concatenate",                (PyCFunction)PyvtkGeneralTransform_Concatenate, 1,
   (char*)"V.Concatenate(vtkMatrix4x4)\nC++: void Concatenate (vtkMatrix4x4 *matrix);this Concatenate matrix Element \nV.Concatenate((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: void Concatenate (const double elements[16]);this Concatenation Concatenate elements \nV.Concatenate(vtkAbstractTransform)\nC++: void Concatenate (vtkAbstractTransform *transform);\n\n Concatenates the matrix with the current transformation according\n to PreMultiply or PostMultiply semantics.\n"},
  {(char*)"PreMultiply",                (PyCFunction)PyvtkGeneralTransform_PreMultiply, 1,
   (char*)"V.PreMultiply()\nC++: void PreMultiply ();if this Concatenation GetPreMultiplyFlag return this Concatenation SetPreMultiplyFlag this Modified \n\n Sets the internal state of the transform to PreMultiply. All subsequent\n operations will occur before those already represented in the\n current transformation.  In homogeneous matrix notation, M = M*A where\n M is the current transformation matrix and A is the applied matrix.\n The default is PreMultiply.\n"},
  {(char*)"PostMultiply",                (PyCFunction)PyvtkGeneralTransform_PostMultiply, 1,
   (char*)"V.PostMultiply()\nC++: void PostMultiply ();if this Concatenation GetPreMultiplyFlag return this Concatenation SetPreMultiplyFlag this Modified \n\n Sets the internal state of the transform to PostMultiply. All subsequent\n operations will occur after those already represented in the\n current transformation.  In homogeneous matrix notation, M = A*M where\n M is the current transformation matrix and A is the applied matrix.\n The default is PreMultiply.\n"},
  {(char*)"GetNumberOfConcatenatedTransforms",                (PyCFunction)PyvtkGeneralTransform_GetNumberOfConcatenatedTransforms, 1,
   (char*)"V.GetNumberOfConcatenatedTransforms() -> int\nC++: int GetNumberOfConcatenatedTransforms ();return this Concatenation GetNumberOfTransforms this Input NULL \n\n Get the total number of transformations that are linked into this\n one via Concatenate() operations or via SetInput().\n"},
  {(char*)"GetConcatenatedTransform",                (PyCFunction)PyvtkGeneralTransform_GetConcatenatedTransform, 1,
   (char*)"V.GetConcatenatedTransform(int) -> vtkAbstractTransform\nC++: vtkAbstractTransform *GetConcatenatedTransform (int i);if this Input NULL return this Concatenation GetTransform i else if i this Concatenation GetNumberOfPreTransforms return this Concatenation GetTransform i else if i this Concatenation GetNumberOfPreTransforms return this Concatenation GetTransform i else if this GetInverseFlag return this Input GetInverse else return this Input \n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkGeneralTransform_SetInput, 1,
   (char*)"V.SetInput(vtkAbstractTransform)\nC++: void SetInput (vtkAbstractTransform *input);\n\n Set the input for this transformation.  This will be used as the\n base transformation if it is set.  This method allows you to build\n a transform pipeline: if the input is modified, then this transformation\n will automatically update accordingly.  Note that the InverseFlag,\n controlled via Inverse(), determines whether this transformation\n will use the Input or the inverse of the Input.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkGeneralTransform_GetInput, 1,
   (char*)"V.GetInput() -> vtkAbstractTransform\nC++: vtkAbstractTransform *GetInput ();return this Input \n\n Set the input for this transformation.  This will be used as the\n base transformation if it is set.  This method allows you to build\n a transform pipeline: if the input is modified, then this transformation\n will automatically update accordingly.  Note that the InverseFlag,\n controlled via Inverse(), determines whether this transformation\n will use the Input or the inverse of the Input.\n"},
  {(char*)"GetInverseFlag",                (PyCFunction)PyvtkGeneralTransform_GetInverseFlag, 1,
   (char*)"V.GetInverseFlag() -> int\nC++: int GetInverseFlag ();return this Concatenation GetInverseFlag \n\n Get the inverse flag of the transformation.  This controls\n whether it is the Input or the inverse of the Input that\n is used as the base transformation.  The InverseFlag is\n flipped every time Inverse() is called.  The InverseFlag\n is off when a transform is first created.\n"},
  {(char*)"Push",                (PyCFunction)PyvtkGeneralTransform_Push, 1,
   (char*)"V.Push()\nC++: void Push ();if this Stack NULL this Stack vtkTransformConcatenationStack New this Stack Push this Concatenation this Modified \n\n Pushes the current transformation onto the transformation stack.\n"},
  {(char*)"Pop",                (PyCFunction)PyvtkGeneralTransform_Pop, 1,
   (char*)"V.Pop()\nC++: void Pop ();if this Stack NULL return this Stack Pop this Concatenation this Modified \n\n Deletes the transformation on the top of the stack and sets the top \n to the next transformation on the stack.\n"},
  {(char*)"InternalTransformPoint",                (PyCFunction)PyvtkGeneralTransform_InternalTransformPoint, 1,
   (char*)"V.InternalTransformPoint((float, float, float), (float, float, float))\nC++: void InternalTransformPoint (const float in[3], float out[3]);\nV.InternalTransformPoint((float, float, float), (float, float, float))\nC++: void InternalTransformPoint (const double in[3], double out[3]);\n\n This will calculate the transformation without calling Update.\n Meant for use only within other VTK classes.\n"},
  {(char*)"CircuitCheck",                (PyCFunction)PyvtkGeneralTransform_CircuitCheck, 1,
   (char*)"V.CircuitCheck(vtkAbstractTransform) -> int\nC++: int CircuitCheck (vtkAbstractTransform *transform);\n\n Check for self-reference.  Will return true if concatenating\n with the specified transform, setting it to be our inverse,\n or setting it to be our input will create a circular reference.\n CircuitCheck is automatically called by SetInput(), SetInverse(),\n and Concatenate(vtkXTransform *).  Avoid using this function,\n it is experimental.\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkGeneralTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *MakeTransform ();\n\n Make another transform of the same type.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkGeneralTransform_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override GetMTime to account for input and concatenation.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeneralTransformDoc[] = {
  (char*)"vtkGeneralTransform - allows operations on any transforms\n\n",
  "Super Class:\n\n vtkAbstractTransform\n\n",
  (char*)" vtkGeneralTransform is like vtkTransform and vtkPerspectiveTransform,\n but it will work with any vtkAbstractTransform as input.  It is\n not as efficient as the other two, however, because arbitrary\n transformations cannot be concatenated by matrix multiplication.\n Transform concatenation is simulated by passing each input point\n through each transform in turn.  \n\n",
  "See Also:\n\n vtkTransform vtkPerspectiveTransform\n\n",
  NULL
};

static vtkObjectBase *vtkGeneralTransformStaticNew()
{
  return vtkGeneralTransform::New();
}

PyObject *PyVTKClass_vtkGeneralTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeneralTransformStaticNew,
                        PyvtkGeneralTransformMethods,
                        (char*)"vtkGeneralTransform",modulename,
                        (char**)vtkGeneralTransformDoc,
                        PyVTKClass_vtkAbstractTransformNew(modulename));
}

