// python wrapper for vtkIdListCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkIdListCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIdListCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIdListCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkIdListCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdListCollection *op;

  const char    *temp20;
  if ((op = (vtkIdListCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdListCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIdListCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdListCollection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkIdListCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdListCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdListCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdListCollection *op;

  vtkIdListCollection  *temp20;
  if ((op = (vtkIdListCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdListCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdListCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkIdListCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkIdListCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkIdListCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdListCollection *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  if ((op = (vtkIdListCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkIdListCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkIdListCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdListCollection *op;

  vtkIdList  *temp20;
  if ((op = (vtkIdListCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdListCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdListCollection_GetItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdListCollection *op;

  int      temp0;
  vtkIdList  *temp20;
  if ((op = (vtkIdListCollection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdListCollection::GetItem(temp0);
      }
    else
      {
      temp20 = op->GetItem(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkIdListCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkIdListCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkIdListCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkIdListCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIdListCollection\nC++: vtkIdListCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkIdListCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkIdListCollection\nC++: vtkIdListCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkIdListCollection_AddItem, 1,
   (char*)"V.AddItem(vtkIdList)\nC++: void AddItem (vtkIdList *ds);this vtkCollection AddItem vtkObject ds \n\n Add a dataset to the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkIdListCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkIdList\nC++: vtkIdList *GetNextItem ();return static_cast vtkIdList this GetNextItemAsObject \n\n Get the next dataset in the list.\n"},
  {(char*)"GetItem",                (PyCFunction)PyvtkIdListCollection_GetItem, 1,
   (char*)"V.GetItem(int) -> vtkIdList\nC++: vtkIdList *GetItem (int i);return static_cast vtkIdList this GetItemAsObject i \n\n Get the ith dataset in the list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkIdListCollectionDoc[] = {
  (char*)"vtkIdListCollection - maintain an unordered list of dataarray objects\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkIdListCollection is an object that creates and manipulates lists of\n datasets. See also vtkCollection and subclasses.\n\n",
  NULL
};

static vtkObjectBase *vtkIdListCollectionStaticNew()
{
  return vtkIdListCollection::New();
}

PyObject *PyVTKClass_vtkIdListCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkIdListCollectionStaticNew,
                        PyvtkIdListCollectionMethods,
                        (char*)"vtkIdListCollection",modulename,
                        (char**)vtkIdListCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

