// python wrapper for vtkIdList object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkIdList.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIdListNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIdListNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkIdList_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdList::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  int      temp0;
  int      temp1;
  int      temp20;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdList::Allocate(temp0,temp1);
      }
    else
      {
      temp20 = op->Allocate(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  const char    *temp20;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdList::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdList::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  vtkIdList  *temp20;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdList::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkIdList  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
      {
      temp20 = vtkIdList::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkIdList_GetNumberOfIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  vtkIdType   temp20;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdList::GetNumberOfIds();
      }
    else
      {
      temp20 = op->GetNumberOfIds();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_GetId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  int      temp0;
  vtkIdType   temp20;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdList::GetId(temp0);
      }
    else
      {
      temp20 = op->GetId(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_SetNumberOfIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  vtkIdType   temp0;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdList::SetNumberOfIds(temp0);
      }
    else
      {
      op->SetNumberOfIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_SetId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdList::SetId(temp0,temp1);
      }
    else
      {
      op->SetId(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_InsertId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdList::InsertId(temp0,temp1);
      }
    else
      {
      op->InsertId(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_InsertNextId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdList::InsertNextId(temp0);
      }
    else
      {
      temp20 = op->InsertNextId(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_InsertUniqueId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdList::InsertUniqueId(temp0);
      }
    else
      {
      temp20 = op->InsertUniqueId(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdList::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdList::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkIdList::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkIdList_DeleteId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  vtkIdType   temp0;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdList::DeleteId(temp0);
      }
    else
      {
      op->DeleteId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_IsId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdList::IsId(temp0);
      }
    else
      {
      temp20 = op->IsId(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdList_IntersectWith(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdList *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  if ((op = (vtkIdList *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkIdList::IntersectWith(*(temp0));
      }
    else
      {
      op->IntersectWith(*(temp0));
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}

static PyMethodDef PyvtkIdListMethods[] = {
  {(char*)"Initialize",                (PyCFunction)PyvtkIdList_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkIdList_Allocate, 1,
   (char*)"V.Allocate(int, int) -> int\nC++: int Allocate (const int sz, const int strategy);\n\n"},
  {(char*)"GetClassName",                (PyCFunction)PyvtkIdList_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkIdList_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkIdList_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIdList\nC++: vtkIdList *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkIdList_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkIdList\nC++: vtkIdList *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfIds",                (PyCFunction)PyvtkIdList_GetNumberOfIds, 1,
   (char*)"V.GetNumberOfIds() -> int\nC++: vtkIdType GetNumberOfIds ();return this NumberOfIds \n\n Return the number of id's in the list.\n"},
  {(char*)"GetId",                (PyCFunction)PyvtkIdList_GetId, 1,
   (char*)"V.GetId(int) -> int\nC++: vtkIdType GetId (const int i);return this Ids i \n\n Return the id at location i.\n"},
  {(char*)"SetNumberOfIds",                (PyCFunction)PyvtkIdList_SetNumberOfIds, 1,
   (char*)"V.SetNumberOfIds(int)\nC++: void SetNumberOfIds (const vtkIdType number);\n\n Specify the number of ids for this object to hold. Does an\n allocation as well as setting the number of ids.\n"},
  {(char*)"SetId",                (PyCFunction)PyvtkIdList_SetId, 1,
   (char*)"V.SetId(int, int)\nC++: void SetId (const vtkIdType i, const vtkIdType id);this Ids i id \n\n Set the id at location i. Doesn't do range checking so it's a bit\n faster than InsertId. Make sure you use SetNumberOfIds() to allocate\n memory prior to using SetId().\n"},
  {(char*)"InsertId",                (PyCFunction)PyvtkIdList_InsertId, 1,
   (char*)"V.InsertId(int, int)\nC++: void InsertId (const vtkIdType i, const vtkIdType id);\n\n Set the id at location i. Does range checking and allocates memory\n as necessary.\n"},
  {(char*)"InsertNextId",                (PyCFunction)PyvtkIdList_InsertNextId, 1,
   (char*)"V.InsertNextId(int) -> int\nC++: vtkIdType InsertNextId (const vtkIdType id);\n\n Add the id specified to the end of the list. Range checking is performed.\n"},
  {(char*)"InsertUniqueId",                (PyCFunction)PyvtkIdList_InsertUniqueId, 1,
   (char*)"V.InsertUniqueId(int) -> int\nC++: vtkIdType InsertUniqueId (const vtkIdType id);\n\n If id is not already in list, insert it and return location in\n list. Otherwise return just location in list.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkIdList_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();this NumberOfIds \n\n Reset to an empty state.\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkIdList_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: void Squeeze ();this Resize this NumberOfIds \n\n Free any unused memory.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkIdList_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkIdList)\nC++: void DeepCopy (vtkIdList *ids);\n\n Copy an id list by explicitly copying the internal array.\n"},
  {(char*)"DeleteId",                (PyCFunction)PyvtkIdList_DeleteId, 1,
   (char*)"V.DeleteId(int)\nC++: void DeleteId (vtkIdType id);\n\n Delete specified id from list. Will remove all occurrences of id in list.\n"},
  {(char*)"IsId",                (PyCFunction)PyvtkIdList_IsId, 1,
   (char*)"V.IsId(int) -> int\nC++: vtkIdType IsId (vtkIdType id);\n\n Return -1 if id specified is not contained in the list; otherwise return\n the position in the list.\n"},
  {(char*)"IntersectWith",                (PyCFunction)PyvtkIdList_IntersectWith, 1,
   (char*)"V.IntersectWith(vtkIdList)\nC++: void IntersectWith (vtkIdList &otherIds);\n\n Intersect this list with another vtkIdList. Updates current list according\n to result of intersection operation.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkIdListDoc[] = {
  (char*)"vtkIdList - list of point or cell ids\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkIdList is used to represent and pass data id's between\n objects. vtkIdList may represent any type of integer id, but\n usually represents point and cell ids.\n\n",
  NULL
};

static vtkObjectBase *vtkIdListStaticNew()
{
  return vtkIdList::New();
}

PyObject *PyVTKClass_vtkIdListNew(char *modulename)
{
  return PyVTKClass_New(&vtkIdListStaticNew,
                        PyvtkIdListMethods,
                        (char*)"vtkIdList",modulename,
                        (char**)vtkIdListDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

