// python wrapper for vtkImplicitFunctionCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImplicitFunctionCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImplicitFunctionCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkImplicitFunctionCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunctionCollection *op;

  const char    *temp20;
  if ((op = (vtkImplicitFunctionCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitFunctionCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitFunctionCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunctionCollection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImplicitFunctionCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitFunctionCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitFunctionCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunctionCollection *op;

  vtkImplicitFunctionCollection  *temp20;
  if ((op = (vtkImplicitFunctionCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitFunctionCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitFunctionCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImplicitFunctionCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImplicitFunctionCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImplicitFunctionCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunctionCollection *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImplicitFunctionCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitFunctionCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImplicitFunctionCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitFunctionCollection *op;

  vtkImplicitFunction  *temp20;
  if ((op = (vtkImplicitFunctionCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitFunctionCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImplicitFunctionCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImplicitFunctionCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImplicitFunctionCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImplicitFunctionCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImplicitFunctionCollection\nC++: vtkImplicitFunctionCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImplicitFunctionCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImplicitFunctionCollection\nC++: vtkImplicitFunctionCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkImplicitFunctionCollection_AddItem, 1,
   (char*)"V.AddItem(vtkImplicitFunction)\nC++: void AddItem (vtkImplicitFunction *);\n\n Add an implicit function to the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkImplicitFunctionCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkImplicitFunction\nC++: vtkImplicitFunction *GetNextItem ();\n\n Get the next implicit function in the list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImplicitFunctionCollectionDoc[] = {
  (char*)"vtkImplicitFunctionCollection - maintain a list of implicit functions\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkImplicitFunctionCollection is an object that creates and manipulates\n lists of objects of type vtkImplicitFunction. \n\n",
  "See Also:\n\n vtkCollection vtkPlaneCollection\n\n",
  NULL
};

static vtkObjectBase *vtkImplicitFunctionCollectionStaticNew()
{
  return vtkImplicitFunctionCollection::New();
}

PyObject *PyVTKClass_vtkImplicitFunctionCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkImplicitFunctionCollectionStaticNew,
                        PyvtkImplicitFunctionCollectionMethods,
                        (char*)"vtkImplicitFunctionCollection",modulename,
                        (char**)vtkImplicitFunctionCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

