// python wrapper for vtkInitialValueProblemSolver object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkInitialValueProblemSolver.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInitialValueProblemSolverNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInitialValueProblemSolverNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkInitialValueProblemSolver_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInitialValueProblemSolver *op;

  const char    *temp20;
  if ((op = (vtkInitialValueProblemSolver *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInitialValueProblemSolver::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInitialValueProblemSolver_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInitialValueProblemSolver *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkInitialValueProblemSolver *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInitialValueProblemSolver::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInitialValueProblemSolver_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInitialValueProblemSolver *op;

  vtkInitialValueProblemSolver  *temp20;
  if ((op = (vtkInitialValueProblemSolver *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInitialValueProblemSolver::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInitialValueProblemSolver_SetFunctionSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInitialValueProblemSolver *op;

  vtkFunctionSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkInitialValueProblemSolver *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkFunctionSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFunctionSet");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkInitialValueProblemSolver::SetFunctionSet(temp0);
      }
    else
      {
      op->SetFunctionSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInitialValueProblemSolver_GetFunctionSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInitialValueProblemSolver *op;

  vtkFunctionSet  *temp20;
  if ((op = (vtkInitialValueProblemSolver *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInitialValueProblemSolver::GetFunctionSet();
      }
    else
      {
      temp20 = op->GetFunctionSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInitialValueProblemSolver_IsAdaptive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInitialValueProblemSolver *op;

  int      temp20;
  if ((op = (vtkInitialValueProblemSolver *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInitialValueProblemSolver::IsAdaptive();
      }
    else
      {
      temp20 = op->IsAdaptive();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkInitialValueProblemSolverMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInitialValueProblemSolver_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInitialValueProblemSolver_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInitialValueProblemSolver_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInitialValueProblemSolver\nC++: vtkInitialValueProblemSolver *NewInstance ();\n\n"},
  {(char*)"SetFunctionSet",                (PyCFunction)PyvtkInitialValueProblemSolver_SetFunctionSet, 1,
   (char*)"V.SetFunctionSet(vtkFunctionSet)\nC++: virtual void SetFunctionSet (vtkFunctionSet *functionset);\n\n Set / get the dataset used for the implicit function evaluation.\n"},
  {(char*)"GetFunctionSet",                (PyCFunction)PyvtkInitialValueProblemSolver_GetFunctionSet, 1,
   (char*)"V.GetFunctionSet() -> vtkFunctionSet\nC++: vtkFunctionSet *GetFunctionSet ();\n\n Set / get the dataset used for the implicit function evaluation.\n"},
  {(char*)"IsAdaptive",                (PyCFunction)PyvtkInitialValueProblemSolver_IsAdaptive, 1,
   (char*)"V.IsAdaptive() -> int\nC++: virtual int IsAdaptive ();return this Adaptive \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInitialValueProblemSolverDoc[] = {
  (char*)"vtkInitialValueProblemSolver - Integrate a set of ordinary\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Given a vtkFunctionSet which returns dF_i(x_j, t)/dt given x_j and\n t, vtkInitialValueProblemSolver computes the value of F_i at t+deltat.\n\n",
  "See Also:\n\n vtkRungeKutta2 vtkRungeKutta4\n\n",
  NULL
};

PyObject *PyVTKClass_vtkInitialValueProblemSolverNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkInitialValueProblemSolverMethods,
                        (char*)"vtkInitialValueProblemSolver",modulename,
                        (char**)vtkInitialValueProblemSolverDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

