// python wrapper for vtkInstantiator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkInstantiator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInstantiatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInstantiatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkInstantiator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInstantiator *op;

  const char    *temp20;
  if ((op = (vtkInstantiator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInstantiator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInstantiator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInstantiator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkInstantiator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInstantiator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInstantiator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInstantiator *op;

  vtkInstantiator  *temp20;
  if ((op = (vtkInstantiator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInstantiator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInstantiator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInstantiator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInstantiator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInstantiator_CreateInstance(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  vtkObject  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkInstantiator::CreateInstance(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkInstantiatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInstantiator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInstantiator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInstantiator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInstantiator\nC++: vtkInstantiator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInstantiator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInstantiator\nC++: vtkInstantiator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CreateInstance",                (PyCFunction)PyvtkInstantiator_CreateInstance, 1,
   (char*)"V.CreateInstance(string) -> vtkObject\nC++: static vtkObject *CreateInstance (const char *className);\n\n Create an instance of the class whose name is given.  If creation\n fails, a NULL pointer is returned.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInstantiatorDoc[] = {
  (char*)"vtkInstantiator - create an instance of any VTK class from its name.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkInstantiator provides an interface to create an instance of any\n VTK class from its name.  Instances are created through registered\n pointers to functions returning the objects.  New classes can also be\n registered with the creator.  VTK libraries automatically register\n their classes with the creator when they are loaded.  Instances are\n created using the static New() method, so the normal vt",
  (char*)"kObjectFactory\n mechanism is still invoked.\n\n When using this class from language wrappers (Tcl, Python, or Java),\n the vtkInstantiator should be able to create any class from any kit\n that has been loaded.\n\n In C++ code, one should include the header for each kit from which\n one wishes to create instances through vtkInstantiator.  This is\n necessary to ensure proper linking when building static l",
  (char*)"ibraries.\n Be careful, though, because including each kit's header means every\n class from that kit will be linked into your executable whether or\n not the class is used.  The headers are:\n\n   vtkCommon          - vtkCommonInstantiator.h\n   vtkFiltering       - vtkFilteringInstantiator.h\n   vtkIO              - vtkIOInstantiator.h\n   vtkImaging         - vtkImagingInstantiator.h\n   vtkGraphics    ",
  (char*)"    - vtkGraphicsInstantiator.h\n   vtkRendering       - vtkRenderingInstantiator.h\n   vtkVolumeRendering - vtkVolumeRenderingInstantiator.h\n   vtkHybrid          - vtkHybridInstantiator.h\n   vtkParallel        - vtkParallelInstantiator.h\n\n The VTK_MAKE_INSTANTIATOR() command in CMake is used to automatically\n generate the creator registration for each VTK library.  It can also\n be used to create r",
  (char*)"egistration code for VTK-style user libraries\n that are linked to vtkCommon.  After using this command to register\n classes from a new library, the generated header must be included.\n\n\n",
  NULL
};

static vtkObjectBase *vtkInstantiatorStaticNew()
{
  return vtkInstantiator::New();
}

PyObject *PyVTKClass_vtkInstantiatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkInstantiatorStaticNew,
                        PyvtkInstantiatorMethods,
                        (char*)"vtkInstantiator",modulename,
                        (char**)vtkInstantiatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

