// python wrapper for vtkLogLookupTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkLogLookupTable.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLogLookupTableNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLogLookupTableNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLookupTableNew(char *); }

static PyObject *PyvtkLogLookupTable_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogLookupTable *op;

  const char    *temp20;
  if ((op = (vtkLogLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLogLookupTable::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLogLookupTable_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogLookupTable *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkLogLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLogLookupTable::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLogLookupTable_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogLookupTable *op;

  vtkLogLookupTable  *temp20;
  if ((op = (vtkLogLookupTable *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLogLookupTable::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLogLookupTable_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLogLookupTable  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLogLookupTable::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkLogLookupTableMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLogLookupTable_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLogLookupTable_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLogLookupTable_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLogLookupTable\nC++: vtkLogLookupTable *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLogLookupTable_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLogLookupTable\nC++: vtkLogLookupTable *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLogLookupTableDoc[] = {
  (char*)"vtkLogLookupTable - map scalars into colors using log (base 10) scale\n\n",
  "Super Class:\n\n vtkLookupTable\n\n",
  (char*)" This class is an empty shell.  Use vtkLookupTable with SetScaleToLog10()\n instead.\n\n\n",
  "See Also:\n\n vtkLookupTable\n\n",
  NULL
};

static vtkObjectBase *vtkLogLookupTableStaticNew()
{
  return vtkLogLookupTable::New();
}

PyObject *PyVTKClass_vtkLogLookupTableNew(char *modulename)
{
  return PyVTKClass_New(&vtkLogLookupTableStaticNew,
                        PyvtkLogLookupTableMethods,
                        (char*)"vtkLogLookupTable",modulename,
                        (char**)vtkLogLookupTableDoc,
                        PyVTKClass_vtkLookupTableNew(modulename));
}

