// python wrapper for vtkMatrix4x4 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMatrix4x4.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMatrix4x4New(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMatrix4x4New(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkMatrix4x4_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  const char    *temp20;
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrix4x4::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix4x4_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrix4x4::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix4x4_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  vtkMatrix4x4  *temp20;
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrix4x4::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix4x4_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMatrix4x4  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMatrix4x4::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMatrix4x4_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix4x4::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  double temp0[16];
  PyErr_Clear();
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"(dddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix4x4::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix4x4_Zero(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix4x4::Zero();
      }
    else
      {
      op->Zero();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix4x4_Identity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix4x4::Identity();
      }
    else
      {
      op->Identity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix4x4_Invert(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  vtkMatrix4x4  *temp1;
  PyObject *tempH1;
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMatrix4x4");
    if (!temp1 && tempH1 != Py_None) goto break8;
      {
      vtkMatrix4x4::Invert(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  PyErr_Clear();
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix4x4::Invert();
      }
    else
      {
      op->Invert();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix4x4_Transpose(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  vtkMatrix4x4  *temp1;
  PyObject *tempH1;
  if ((PyArg_ParseTuple(args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break10;
    temp1 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMatrix4x4");
    if (!temp1 && tempH1 != Py_None) goto break10;
      {
      vtkMatrix4x4::Transpose(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  PyErr_Clear();
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix4x4::Transpose();
      }
    else
      {
      op->Transpose();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix4x4_MultiplyPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  float  temp0[4];
  float  temp1[4];
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"(ffff)(ffff)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix4x4::MultiplyPoint(temp0,temp1);
      }
    else
      {
      op->MultiplyPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  double temp0[4];
  double temp1[4];
  PyErr_Clear();
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix4x4::MultiplyPoint(temp0,temp1);
      }
    else
      {
      op->MultiplyPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  float  temp0[4];
  float   *temp20;
  PyErr_Clear();
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"(ffff)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrix4x4::MultiplyPoint(temp0);
      }
    else
      {
      temp20 = op->MultiplyPoint(temp0);
      }
    return Py_BuildValue((char*)"ffff",temp20[0],temp20[1],temp20[2],temp20[3]);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix4x4_MultiplyFloatPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  float  temp0[4];
  float   *temp20;
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"(ffff)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrix4x4::MultiplyFloatPoint(temp0);
      }
    else
      {
      temp20 = op->MultiplyFloatPoint(temp0);
      }
    return Py_BuildValue((char*)"ffff",temp20[0],temp20[1],temp20[2],temp20[3]);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix4x4_MultiplyDoublePoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  double temp0[4];
  double  *temp20;
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrix4x4::MultiplyDoublePoint(temp0);
      }
    else
      {
      temp20 = op->MultiplyDoublePoint(temp0);
      }
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix4x4_Multiply4x4(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  vtkMatrix4x4  *temp1;
  PyObject *tempH1;
  vtkMatrix4x4  *temp2;
  PyObject *tempH2;
  if ((PyArg_ParseTuple(args, (char*)"OOO", &tempH0, &tempH1, &tempH2)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break17;
    temp1 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMatrix4x4");
    if (!temp1 && tempH1 != Py_None) goto break17;
    temp2 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkMatrix4x4");
    if (!temp2 && tempH2 != Py_None) goto break17;
      {
      vtkMatrix4x4::Multiply4x4(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkMatrix4x4_Adjoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  vtkMatrix4x4  *temp1;
  PyObject *tempH1;
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break18;
    temp1 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMatrix4x4");
    if (!temp1 && tempH1 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix4x4::Adjoint(temp0,temp1);
      }
    else
      {
      op->Adjoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkMatrix4x4_Determinant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  double   temp20;
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrix4x4::Determinant();
      }
    else
      {
      temp20 = op->Determinant();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix4x4_SetElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  int      temp0;
  int      temp1;
  double   temp2;
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"iid", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrix4x4::SetElement(temp0,temp1,temp2);
      }
    else
      {
      op->SetElement(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrix4x4_GetElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrix4x4 *op;

  int      temp0;
  int      temp1;
  double   temp20;
  if ((op = (vtkMatrix4x4 *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrix4x4::GetElement(temp0,temp1);
      }
    else
      {
      temp20 = op->GetElement(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMatrix4x4Methods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMatrix4x4_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMatrix4x4_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMatrix4x4_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMatrix4x4_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMatrix4x4\nC++: vtkMatrix4x4 *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkMatrix4x4_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkMatrix4x4)\nC++: void DeepCopy (vtkMatrix4x4 *source);vtkMatrix4x4 DeepCopy this Element source this Modified \nV.DeepCopy((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: void DeepCopy (const double Elements[16]);this DeepCopy this Element Elements this Modified \n\n Non-static member function. Assigns *from* elements array\n"},
  {(char*)"Zero",                (PyCFunction)PyvtkMatrix4x4_Zero, 1,
   (char*)"V.Zero()\nC++: void Zero ();vtkMatrix4x4 Zero this Element this Modified \n\n Set equal to Identity matrix\n"},
  {(char*)"Identity",                (PyCFunction)PyvtkMatrix4x4_Identity, 1,
   (char*)"V.Identity()\nC++: void Identity ();vtkMatrix4x4 Identity this Element this Modified \n\n Matrix Inversion (adapted from Richard Carling in \"Graphics Gems,\" \n Academic Press, 1990).\n"},
  {(char*)"Invert",                (PyCFunction)PyvtkMatrix4x4_Invert, 1,
   (char*)"V.Invert(vtkMatrix4x4, vtkMatrix4x4)\nC++: static void Invert (vtkMatrix4x4 *in, vtkMatrix4x4 *out);vtkMatrix4x4 Invert in Element out Element out Modified \nV.Invert()\nC++: void Invert ();vtkMatrix4x4 Invert this this \n\n Matrix Inversion (adapted from Richard Carling in \"Graphics Gems,\" \n Academic Press, 1990).\n"},
  {(char*)"Transpose",                (PyCFunction)PyvtkMatrix4x4_Transpose, 1,
   (char*)"V.Transpose(vtkMatrix4x4, vtkMatrix4x4)\nC++: static void Transpose (vtkMatrix4x4 *in, vtkMatrix4x4 *out);vtkMatrix4x4 Transpose in Element out Element out Modified \nV.Transpose()\nC++: void Transpose ();vtkMatrix4x4 Transpose this this \n\n Transpose the matrix and put it into out. \n"},
  {(char*)"MultiplyPoint",                (PyCFunction)PyvtkMatrix4x4_MultiplyPoint, 1,
   (char*)"V.MultiplyPoint((float, float, float, float), (float, float, float, float))\nC++: void MultiplyPoint (const float in[4], float out[4]);vtkMatrix4x4 MultiplyPoint this Element in out \nV.MultiplyPoint((float, float, float, float), (float, float, float, float))\nC++: void MultiplyPoint (const double in[4], double out[4]);vtkMatrix4x4 MultiplyPoint this Element in out \nV.MultiplyPoint((float, float, float, float)) -> (float, float, float, float)\nC++: float *MultiplyPoint (const float in[4]);return this MultiplyFloatPoint in \n\n Multiply a homogeneous coordinate by this matrix, i.e. out = A*in.\n The in[4] and out[4] can be the same array.\n"},
  {(char*)"MultiplyFloatPoint",                (PyCFunction)PyvtkMatrix4x4_MultiplyFloatPoint, 1,
   (char*)"V.MultiplyFloatPoint((float, float, float, float)) -> (float, float, float, float)\nC++: float *MultiplyFloatPoint (const float in[4]);this MultiplyPoint in this FloatPoint return this FloatPoint \n\n For use in Java, Python or Tcl.  The default MultiplyPoint() uses\n a single-precision point.\n"},
  {(char*)"MultiplyDoublePoint",                (PyCFunction)PyvtkMatrix4x4_MultiplyDoublePoint, 1,
   (char*)"V.MultiplyDoublePoint((float, float, float, float)) -> (float, float, float, float)\nC++: double *MultiplyDoublePoint (const double in[4]);this MultiplyPoint in this DoublePoint return this DoublePoint \n\n Multiplies matrices a and b and stores the result in c.\n"},
  {(char*)"Multiply4x4",                (PyCFunction)PyvtkMatrix4x4_Multiply4x4, 1,
   (char*)"V.Multiply4x4(vtkMatrix4x4, vtkMatrix4x4, vtkMatrix4x4)\nC++: static void Multiply4x4 (vtkMatrix4x4 *a, vtkMatrix4x4 *b, vtkMatrix4x4 *c);vtkMatrix4x4 Multiply4x4 a Element b Element c Element \n\n Multiplies matrices a and b and stores the result in c.\n"},
  {(char*)"Adjoint",                (PyCFunction)PyvtkMatrix4x4_Adjoint, 1,
   (char*)"V.Adjoint(vtkMatrix4x4, vtkMatrix4x4)\nC++: void Adjoint (vtkMatrix4x4 *in, vtkMatrix4x4 *out);vtkMatrix4x4 Adjoint in Element out Element \n\n Compute the determinant of the matrix and return it.\n"},
  {(char*)"Determinant",                (PyCFunction)PyvtkMatrix4x4_Determinant, 1,
   (char*)"V.Determinant() -> float\nC++: double Determinant ();return vtkMatrix4x4 Determinant this Element \n\n Sets the element i,j in the matrix.\n"},
  {(char*)"SetElement",                (PyCFunction)PyvtkMatrix4x4_SetElement, 1,
   (char*)"V.SetElement(int, int, float)\nC++: void SetElement (int i, int j, double value);\n\n Sets the element i,j in the matrix.\n"},
  {(char*)"GetElement",                (PyCFunction)PyvtkMatrix4x4_GetElement, 1,
   (char*)"V.GetElement(int, int) -> float\nC++: double GetElement (int i, int j) const;return this Element i j \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMatrix4x4Doc[] = {
  (char*)"vtkMatrix4x4 - represent and manipulate 4x4 transformation matrices\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkMatrix4x4 is a class to represent and manipulate 4x4 matrices. \n Specifically, it is designed to work on 4x4 transformation matrices\n found in 3D rendering using homogeneous coordinates [x y z w].\n\n",
  "See Also:\n\n vtkTransform\n\n",
  NULL
};

static vtkObjectBase *vtkMatrix4x4StaticNew()
{
  return vtkMatrix4x4::New();
}

PyObject *PyVTKClass_vtkMatrix4x4New(char *modulename)
{
  return PyVTKClass_New(&vtkMatrix4x4StaticNew,
                        PyvtkMatrix4x4Methods,
                        (char*)"vtkMatrix4x4",modulename,
                        (char**)vtkMatrix4x4Doc,
                        PyVTKClass_vtkObjectNew(modulename));
}

