// tcl wrapper for vtkMatrix4x4 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMatrix4x4.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkMatrix4x4NewCommand()
{
  vtkMatrix4x4 *temp = vtkMatrix4x4::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMatrix4x4CppCommand(vtkMatrix4x4 *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMatrix4x4Command(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMatrix4x4CppCommand((vtkMatrix4x4 *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMatrix4x4CppCommand(vtkMatrix4x4 *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMatrix4x4",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMatrix4x4  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMatrix4x4");
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkMatrix4x4  *temp0;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMatrix4x4",interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 18))
    {
    double temp0[16];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Zero",argv[1]))&&(argc == 2))
    {
    op->Zero();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Identity",argv[1]))&&(argc == 2))
    {
    op->Identity();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Invert",argv[1]))&&(argc == 4))
    {
    vtkMatrix4x4  *temp0;
    vtkMatrix4x4  *temp1;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMatrix4x4",interp,error));
    temp1 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkMatrix4x4",interp,error));
    if (!error)
    {
    op->Invert(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Invert",argv[1]))&&(argc == 2))
    {
    op->Invert();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Transpose",argv[1]))&&(argc == 4))
    {
    vtkMatrix4x4  *temp0;
    vtkMatrix4x4  *temp1;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMatrix4x4",interp,error));
    temp1 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkMatrix4x4",interp,error));
    if (!error)
    {
    op->Transpose(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Transpose",argv[1]))&&(argc == 2))
    {
    op->Transpose();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MultiplyPoint",argv[1]))&&(argc == 6))
    {
    float  temp0[4];
    float   *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    temp20 = (op)->MultiplyPoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("MultiplyFloatPoint",argv[1]))&&(argc == 6))
    {
    float  temp0[4];
    float   *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    temp20 = (op)->MultiplyFloatPoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("MultiplyDoublePoint",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    double  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    temp20 = (op)->MultiplyDoublePoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Multiply4x4",argv[1]))&&(argc == 5))
    {
    vtkMatrix4x4  *temp0;
    vtkMatrix4x4  *temp1;
    vtkMatrix4x4  *temp2;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMatrix4x4",interp,error));
    temp1 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkMatrix4x4",interp,error));
    temp2 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkMatrix4x4",interp,error));
    if (!error)
    {
    op->Multiply4x4(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Adjoint",argv[1]))&&(argc == 4))
    {
    vtkMatrix4x4  *temp0;
    vtkMatrix4x4  *temp1;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMatrix4x4",interp,error));
    temp1 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkMatrix4x4",interp,error));
    if (!error)
    {
    op->Adjoint(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Determinant",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->Determinant();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetElement",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetElement(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetElement",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetElement(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkMatrix4x4Command);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMatrix4x4:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 16 args\n",NULL);
    Tcl_AppendResult(interp,"  Zero\n",NULL);
    Tcl_AppendResult(interp,"  Identity\n",NULL);
    Tcl_AppendResult(interp,"  Invert\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Invert\n",NULL);
    Tcl_AppendResult(interp,"  Transpose\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Transpose\n",NULL);
    Tcl_AppendResult(interp,"  MultiplyPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  MultiplyFloatPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  MultiplyDoublePoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Multiply4x4\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Adjoint\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Determinant\n",NULL);
    Tcl_AppendResult(interp,"  SetElement\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetElement\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
