// python wrapper for vtkMatrixToLinearTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMatrixToLinearTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMatrixToLinearTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMatrixToLinearTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLinearTransformNew(char *); }

static PyObject *PyvtkMatrixToLinearTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToLinearTransform *op;

  const char    *temp20;
  if ((op = (vtkMatrixToLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrixToLinearTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrixToLinearTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToLinearTransform *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMatrixToLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrixToLinearTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrixToLinearTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToLinearTransform *op;

  vtkMatrixToLinearTransform  *temp20;
  if ((op = (vtkMatrixToLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrixToLinearTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrixToLinearTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMatrixToLinearTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMatrixToLinearTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMatrixToLinearTransform_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToLinearTransform *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkMatrixToLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrixToLinearTransform::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkMatrixToLinearTransform_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToLinearTransform *op;

  vtkMatrix4x4  *temp20;
  if ((op = (vtkMatrixToLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrixToLinearTransform::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrixToLinearTransform_Inverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToLinearTransform *op;

  if ((op = (vtkMatrixToLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrixToLinearTransform::Inverse();
      }
    else
      {
      op->Inverse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrixToLinearTransform_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToLinearTransform *op;

  unsigned long     temp20;
  if ((op = (vtkMatrixToLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrixToLinearTransform::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMatrixToLinearTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToLinearTransform *op;

  vtkAbstractTransform  *temp20;
  if ((op = (vtkMatrixToLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMatrixToLinearTransform::MakeTransform();
      }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkMatrixToLinearTransform_SetMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMatrixToLinearTransform *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkMatrixToLinearTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkMatrixToLinearTransform::SetMatrix(temp0);
      }
    else
      {
      op->SetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}
#endif

static PyMethodDef PyvtkMatrixToLinearTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMatrixToLinearTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMatrixToLinearTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMatrixToLinearTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMatrixToLinearTransform\nC++: vtkMatrixToLinearTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMatrixToLinearTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMatrixToLinearTransform\nC++: vtkMatrixToLinearTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkMatrixToLinearTransform_SetInput, 1,
   (char*)"V.SetInput(vtkMatrix4x4)\nC++: virtual void SetInput (vtkMatrix4x4 *);\n\n Set the input matrix.  Any modifications to the matrix will be\n reflected in the transformation.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkMatrixToLinearTransform_GetInput, 1,
   (char*)"V.GetInput() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetInput ();\n\n Set the input matrix.  Any modifications to the matrix will be\n reflected in the transformation.\n"},
  {(char*)"Inverse",                (PyCFunction)PyvtkMatrixToLinearTransform_Inverse, 1,
   (char*)"V.Inverse()\nC++: void Inverse ();\n\n The input matrix is left as-is, but the transformation matrix\n is inverted.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkMatrixToLinearTransform_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the MTime: this is the bit of magic that makes everything work.\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkMatrixToLinearTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *MakeTransform ();\n\n Make a new transform of the same type.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetMatrix",                (PyCFunction)PyvtkMatrixToLinearTransform_SetMatrix, 1,
   (char*)"V.SetMatrix(vtkMatrix4x4)\nC++: void SetMatrix (vtkMatrix4x4 *matrix);\n\n @deprecated This method is deprecated.\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMatrixToLinearTransformDoc[] = {
  (char*)"vtkMatrixToLinearTransform - convert a matrix to a transform\n\n",
  "Super Class:\n\n vtkLinearTransform\n\n",
  (char*)" This is a very simple class which allows a vtkMatrix4x4 to be used in\n place of a vtkLinearTransform or vtkAbstractTransform.  For example,\n if you use it as a proxy between a matrix and vtkTransformPolyDataFilter\n then any modifications to the matrix will automatically be reflected in\n the output of the filter.\n\n",
  "See Also:\n\n vtkTransform vtkMatrix4x4 vtkMatrixToHomogeneousTransform \n\n",
  NULL
};

static vtkObjectBase *vtkMatrixToLinearTransformStaticNew()
{
  return vtkMatrixToLinearTransform::New();
}

PyObject *PyVTKClass_vtkMatrixToLinearTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkMatrixToLinearTransformStaticNew,
                        PyvtkMatrixToLinearTransformMethods,
                        (char*)"vtkMatrixToLinearTransform",modulename,
                        (char**)vtkMatrixToLinearTransformDoc,
                        PyVTKClass_vtkLinearTransformNew(modulename));
}

