// python wrapper for vtkMultiPartExtentTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMultiPartExtentTranslator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMultiPartExtentTranslatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMultiPartExtentTranslatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtentTranslatorNew(char *); }

static PyObject *PyvtkMultiPartExtentTranslator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiPartExtentTranslator *op;

  const char    *temp20;
  if ((op = (vtkMultiPartExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiPartExtentTranslator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiPartExtentTranslator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiPartExtentTranslator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMultiPartExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiPartExtentTranslator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiPartExtentTranslator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiPartExtentTranslator *op;

  vtkMultiPartExtentTranslator  *temp20;
  if ((op = (vtkMultiPartExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiPartExtentTranslator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiPartExtentTranslator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMultiPartExtentTranslator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMultiPartExtentTranslator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkMultiPartExtentTranslatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMultiPartExtentTranslator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMultiPartExtentTranslator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMultiPartExtentTranslator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMultiPartExtentTranslator\nC++: vtkMultiPartExtentTranslator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMultiPartExtentTranslator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMultiPartExtentTranslator\nC++: vtkMultiPartExtentTranslator *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMultiPartExtentTranslatorDoc[] = {
  (char*)"vtkMultiPartExtentTranslator - Returns the whole extent for any piece.\n\n",
  "Super Class:\n\n vtkExtentTranslator\n\n",
  (char*)" This is used when a parallel data set is composed of multple structured\n pieces.\n\n",
  NULL
};

static vtkObjectBase *vtkMultiPartExtentTranslatorStaticNew()
{
  return vtkMultiPartExtentTranslator::New();
}

PyObject *PyVTKClass_vtkMultiPartExtentTranslatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkMultiPartExtentTranslatorStaticNew,
                        PyvtkMultiPartExtentTranslatorMethods,
                        (char*)"vtkMultiPartExtentTranslator",modulename,
                        (char**)vtkMultiPartExtentTranslatorDoc,
                        PyVTKClass_vtkExtentTranslatorNew(modulename));
}

