// tcl wrapper for vtkObjectBase object
//
#define VTK_WRAPPING_CXX
#include "vtkSystemIncludes.h"
#include "vtkObjectBase.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int VTKTCL_EXPORT vtkObjectBaseCppCommand(vtkObjectBase *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkObjectBaseCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkObjectBaseCppCommand((vtkObjectBase *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkObjectBaseCppCommand(vtkObjectBase *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkObjectBase",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsTypeOf",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsTypeOf(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Delete",argv[1]))&&(argc == 2))
    {
    op->Delete();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FastDelete",argv[1]))&&(argc == 2))
    {
    op->FastDelete();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkObjectBase  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkObjectBase");
    return TCL_OK;
    }
  if ((!strcmp("Register",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->Register(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReferenceCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReferenceCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReferenceCount",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReferenceCount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkObjectBaseCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    Tcl_AppendResult(interp,"Methods from vtkObjectBase:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsTypeOf\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Delete\n",NULL);
    Tcl_AppendResult(interp,"  FastDelete\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Register\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReferenceCount\n",NULL);
    Tcl_AppendResult(interp,"  SetReferenceCount\t with 1 arg\n",NULL);
    return TCL_OK;
    }
  if ((!strcmp("Print",argv[1]))&&(argc == 2))
    {
    ostrstream buf_with_warning_C4701;
    op->Print(buf_with_warning_C4701);
    buf_with_warning_C4701.put('\0');
    Tcl_SetResult(interp,buf_with_warning_C4701.str(),
      TCL_VOLATILE);
    buf_with_warning_C4701.rdbuf()->freeze(0);
    return TCL_OK;
    }
  if ((!strcmp("PrintRevisions",argv[1]))&&(argc == 2))
    {
    ostrstream buf_with_warning_C4701;
    op->PrintRevisions(buf_with_warning_C4701);
    buf_with_warning_C4701.put('\0');
    Tcl_SetResult(interp,buf_with_warning_C4701.str(),
      TCL_VOLATILE);
    delete [] buf_with_warning_C4701.str();
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
