// python wrapper for vtkObjectFactory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkObjectFactory.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkObjectFactoryNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkObjectFactoryNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkObjectFactory_CreateInstance(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  vtkObject  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkObjectFactory::CreateInstance(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_CreateAllInstance(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  vtkCollection  *temp1;
  PyObject *tempH1;
  if ((PyArg_ParseTuple(args, (char*)"zO", &temp0, &tempH1)))
    {
    temp1 = (vtkCollection *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkCollection");
    if (!temp1 && tempH1 != Py_None) goto break1;
      {
      vtkObjectFactory::CreateAllInstance(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break1:
  return NULL;
}


static PyObject *PyvtkObjectFactory_ReHash(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkObjectFactory::ReHash();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_RegisterFactory(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObjectFactory *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectFactory");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      vtkObjectFactory::RegisterFactory(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkObjectFactory_UnRegisterFactory(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObjectFactory *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectFactory");
    if (!temp0 && tempH0 != Py_None) goto break4;
      {
      vtkObjectFactory::UnRegisterFactory(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkObjectFactory_UnRegisterAllFactories(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkObjectFactory::UnRegisterAllFactories();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_GetRegisteredFactories(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactoryCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkObjectFactory::GetRegisteredFactories();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_HasOverrideAny(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkObjectFactory::HasOverrideAny(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_GetOverrideInformation(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  vtkOverrideInformationCollection  *temp1;
  PyObject *tempH1;
  if ((PyArg_ParseTuple(args, (char*)"zO", &temp0, &tempH1)))
    {
    temp1 = (vtkOverrideInformationCollection *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkOverrideInformationCollection");
    if (!temp1 && tempH1 != Py_None) goto break8;
      {
      vtkObjectFactory::GetOverrideInformation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkObjectFactory_SetAllEnableFlags(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  char    *temp1;
  if ((PyArg_ParseTuple(args, (char*)"iz", &temp0, &temp1)))
    {
      {
      vtkObjectFactory::SetAllEnableFlags(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  int      temp0;
  char    *temp1;
  char    *temp2;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"izz", &temp0, &temp1, &temp2)))
    {
      {
      vtkObjectFactory::SetAllEnableFlags(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  const char    *temp20;
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactory::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactory::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  vtkObjectFactory  *temp20;
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactory::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_GetVTKSourceVersion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  const char    *temp20;
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetVTKSourceVersion();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_GetDescription(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  const char    *temp20;
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDescription();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_GetNumberOfOverrides(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  int      temp20;
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactory::GetNumberOfOverrides();
      }
    else
      {
      temp20 = op->GetNumberOfOverrides();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_GetClassOverrideName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactory::GetClassOverrideName(temp0);
      }
    else
      {
      temp20 = op->GetClassOverrideName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_GetClassOverrideWithName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactory::GetClassOverrideWithName(temp0);
      }
    else
      {
      temp20 = op->GetClassOverrideWithName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_GetEnableFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactory::GetEnableFlag(temp0);
      }
    else
      {
      temp20 = op->GetEnableFlag(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  char    *temp0;
  char    *temp1;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactory::GetEnableFlag(temp0,temp1);
      }
    else
      {
      temp20 = op->GetEnableFlag(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_GetOverrideDescription(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactory::GetOverrideDescription(temp0);
      }
    else
      {
      temp20 = op->GetOverrideDescription(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_SetEnableFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  int      temp0;
  char    *temp1;
  char    *temp2;
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"izz", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkObjectFactory::SetEnableFlag(temp0,temp1,temp2);
      }
    else
      {
      op->SetEnableFlag(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_HasOverride(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactory::HasOverride(temp0);
      }
    else
      {
      temp20 = op->HasOverride(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  char    *temp0;
  char    *temp1;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactory::HasOverride(temp0,temp1);
      }
    else
      {
      temp20 = op->HasOverride(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_Disable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  char    *temp0;
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkObjectFactory::Disable(temp0);
      }
    else
      {
      op->Disable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkObjectFactory_GetLibraryPath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObjectFactory *op;

  char    *temp20;
  if ((op = (vtkObjectFactory *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkObjectFactory::GetLibraryPath();
      }
    else
      {
      temp20 = op->GetLibraryPath();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkObjectFactoryMethods[] = {
  {(char*)"CreateInstance",                (PyCFunction)PyvtkObjectFactory_CreateInstance, 1,
   (char*)"V.CreateInstance(string) -> vtkObject\nC++: static vtkObject *CreateInstance (const char *vtkclassname);\n\n Create and return an instance of the named vtk object.\n Each loaded vtkObjectFactory will be asked in the order\n the factory was in the VTK_AUTOLOAD_PATH.  After the\n first factory returns the object no other factories are asked.\n"},
  {(char*)"CreateAllInstance",                (PyCFunction)PyvtkObjectFactory_CreateAllInstance, 1,
   (char*)"V.CreateAllInstance(string, vtkCollection)\nC++: static void CreateAllInstance (const char *vtkclassname, vtkCollection *retList);\n\n Create all possible instances of the named vtk object.\n Each registered vtkObjectFactory will be asked, and the\n result will be stored in the user allocated vtkCollection\n passed in to the function.\n"},
  {(char*)"ReHash",                (PyCFunction)PyvtkObjectFactory_ReHash, 1,
   (char*)"V.ReHash()\nC++: static void ReHash ();\n\n Re-check the VTK_AUTOLOAD_PATH for new factory libraries.\n This calls UnRegisterAll before re-loading\n"},
  {(char*)"RegisterFactory",                (PyCFunction)PyvtkObjectFactory_RegisterFactory, 1,
   (char*)"V.RegisterFactory(vtkObjectFactory)\nC++: static void RegisterFactory (vtkObjectFactory *);\n\n Register a factory so it can be used to create vtk objects\n"},
  {(char*)"UnRegisterFactory",                (PyCFunction)PyvtkObjectFactory_UnRegisterFactory, 1,
   (char*)"V.UnRegisterFactory(vtkObjectFactory)\nC++: static void UnRegisterFactory (vtkObjectFactory *);\n\n Remove a factory from the list of registered factories\n"},
  {(char*)"UnRegisterAllFactories",                (PyCFunction)PyvtkObjectFactory_UnRegisterAllFactories, 1,
   (char*)"V.UnRegisterAllFactories()\nC++: static void UnRegisterAllFactories ();\n\n Unregister all factories\n"},
  {(char*)"GetRegisteredFactories",                (PyCFunction)PyvtkObjectFactory_GetRegisteredFactories, 1,
   (char*)"V.GetRegisteredFactories() -> vtkObjectFactoryCollection\nC++: static vtkObjectFactoryCollection *GetRegisteredFactories ();\n\n Return the list of all registered factories.  This is NOT a copy,\n do not remove items from this list!\n"},
  {(char*)"HasOverrideAny",                (PyCFunction)PyvtkObjectFactory_HasOverrideAny, 1,
   (char*)"V.HasOverrideAny(string) -> int\nC++: static int HasOverrideAny (const char *className);\n\n return 1 if one of the registered factories \n overrides the given class name\n"},
  {(char*)"GetOverrideInformation",                (PyCFunction)PyvtkObjectFactory_GetOverrideInformation, 1,
   (char*)"V.GetOverrideInformation(string, vtkOverrideInformationCollection)\nC++: static void GetOverrideInformation (const char *name, vtkOverrideInformationCollection *);\n\n Fill the given collection with all the overrides for\n the class with the given name.\n"},
  {(char*)"SetAllEnableFlags",                (PyCFunction)PyvtkObjectFactory_SetAllEnableFlags, 1,
   (char*)"V.SetAllEnableFlags(int, string)\nC++: static void SetAllEnableFlags (int flag, const char *className);\nV.SetAllEnableFlags(int, string, string)\nC++: static void SetAllEnableFlags (int flag, const char *className, const char *subclassName);\n\n Set the enable flag for a given named class for all registered\n factories.\n"},
  {(char*)"GetClassName",                (PyCFunction)PyvtkObjectFactory_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkObjectFactory_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkObjectFactory_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkObjectFactory\nC++: vtkObjectFactory *NewInstance ();\n\n"},
  {(char*)"GetVTKSourceVersion",                (PyCFunction)PyvtkObjectFactory_GetVTKSourceVersion, 1,
   (char*)"V.GetVTKSourceVersion() -> string\nC++: virtual const char *GetVTKSourceVersion () = 0;\n\n All sub-classes of vtkObjectFactory should must return the version of \n VTK they were built with.  This should be implemented with the macro\n VTK_SOURCE_VERSION and NOT a call to vtkVersion::GetVTKSourceVersion.\n As the version needs to be compiled into the file as a string constant.\n This is critical to determine possible incompatible dynamic factory loads.\n"},
  {(char*)"GetDescription",                (PyCFunction)PyvtkObjectFactory_GetDescription, 1,
   (char*)"V.GetDescription() -> string\nC++: virtual const char *GetDescription () = 0;\n\n Return a descriptive string describing the factory.\n"},
  {(char*)"GetNumberOfOverrides",                (PyCFunction)PyvtkObjectFactory_GetNumberOfOverrides, 1,
   (char*)"V.GetNumberOfOverrides() -> int\nC++: virtual int GetNumberOfOverrides ();\n\n Return number of overrides this factory can create.\n"},
  {(char*)"GetClassOverrideName",                (PyCFunction)PyvtkObjectFactory_GetClassOverrideName, 1,
   (char*)"V.GetClassOverrideName(int) -> string\nC++: virtual const char *GetClassOverrideName (int index);\n\n Return the name of a class override at the given index.\n"},
  {(char*)"GetClassOverrideWithName",                (PyCFunction)PyvtkObjectFactory_GetClassOverrideWithName, 1,
   (char*)"V.GetClassOverrideWithName(int) -> string\nC++: virtual const char *GetClassOverrideWithName (int index);\n\n Return the name of the class that will override the class\n at the given index\n"},
  {(char*)"GetEnableFlag",                (PyCFunction)PyvtkObjectFactory_GetEnableFlag, 1,
   (char*)"V.GetEnableFlag(int) -> int\nC++: virtual int GetEnableFlag (int index);\nV.GetEnableFlag(string, string) -> int\nC++: virtual int GetEnableFlag (const char *className, const char *subclassName);\n\n Return the enable flag for the class at the given index.\n"},
  {(char*)"GetOverrideDescription",                (PyCFunction)PyvtkObjectFactory_GetOverrideDescription, 1,
   (char*)"V.GetOverrideDescription(int) -> string\nC++: virtual const char *GetOverrideDescription (int index);\n\n Return the description for a the class override at the given \n index.\n"},
  {(char*)"SetEnableFlag",                (PyCFunction)PyvtkObjectFactory_SetEnableFlag, 1,
   (char*)"V.SetEnableFlag(int, string, string)\nC++: virtual void SetEnableFlag (int flag, const char *className, const char *subclassName);\n\n Set and Get the Enable flag for the specific override of className.\n if subclassName is null, then it is ignored.\n"},
  {(char*)"HasOverride",                (PyCFunction)PyvtkObjectFactory_HasOverride, 1,
   (char*)"V.HasOverride(string) -> int\nC++: virtual int HasOverride (const char *className);\nV.HasOverride(string, string) -> int\nC++: virtual int HasOverride (const char *className, const char *subclassName);\n\n Return 1 if this factory overrides the given class name, 0 otherwise.\n"},
  {(char*)"Disable",                (PyCFunction)PyvtkObjectFactory_Disable, 1,
   (char*)"V.Disable(string)\nC++: virtual void Disable (const char *className);\n\n Set all enable flags for the given class to 0.  This will\n mean that the factory will stop producing class with the given\n name.\n"},
  {(char*)"GetLibraryPath",                (PyCFunction)PyvtkObjectFactory_GetLibraryPath, 1,
   (char*)"V.GetLibraryPath() -> string\nC++: char *GetLibraryPath ();\n\n This returns the path to a dynamically loaded factory.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkObjectFactoryDoc[] = {
  (char*)"vtkObjectFactory - abstract base class for vtkObjectFactories\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkObjectFactory is used to create vtk objects.   The base class\n vtkObjectFactory contains a static method CreateInstance which is used\n to create vtk objects from the list of registered vtkObjectFactory \n sub-classes.   The first time CreateInstance is called, all dll's or shared\n libraries in the environment variable VTK_AUTOLOAD_PATH are loaded into\n the current process.   The C functions vtk",
  (char*)"Load, vtkGetFactoryCompilerUsed, \n and vtkGetFactoryVersion are called on each dll.  To implement these\n functions in a shared library or dll, use the macro:\n VTK_FACTORY_INTERFACE_IMPLEMENT.\n VTK_AUTOLOAD_PATH is an environment variable \n containing a colon separated (semi-colon on win32) list of paths.\n\n The vtkObjectFactory can be use to override the creation of any object\n in VTK with a sub-cl",
  (char*)"ass of that object.  The factories can be registered\n either at run time with the VTK_AUTOLOAD_PATH, or at compile time\n with the vtkObjectFactory::RegisterFactory method.\n\n\n",
  NULL
};

PyObject *PyVTKClass_vtkObjectFactoryNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkObjectFactoryMethods,
                        (char*)"vtkObjectFactory",modulename,
                        (char**)vtkObjectFactoryDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

