// tcl wrapper for vtkObjectFactory object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkObjectFactory.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkObjectFactoryCppCommand(vtkObjectFactory *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkObjectFactoryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkObjectFactoryCppCommand((vtkObjectFactory *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkObjectFactoryCppCommand(vtkObjectFactory *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkObjectFactory",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("CreateInstance",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkObject  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CreateInstance(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateAllInstance",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkCollection  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkCollection *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkCollection",interp,error));
    if (!error)
    {
    op->CreateAllInstance(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReHash",argv[1]))&&(argc == 2))
    {
    op->ReHash();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RegisterFactory",argv[1]))&&(argc == 3))
    {
    vtkObjectFactory  *temp0;
    error = 0;

    temp0 = (vtkObjectFactory *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectFactory",interp,error));
    if (!error)
    {
    op->RegisterFactory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegisterFactory",argv[1]))&&(argc == 3))
    {
    vtkObjectFactory  *temp0;
    error = 0;

    temp0 = (vtkObjectFactory *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectFactory",interp,error));
    if (!error)
    {
    op->UnRegisterFactory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegisterAllFactories",argv[1]))&&(argc == 2))
    {
    op->UnRegisterAllFactories();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRegisteredFactories",argv[1]))&&(argc == 2))
    {
    vtkObjectFactoryCollection  *temp20;
    temp20 = (op)->GetRegisteredFactories();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkObjectFactoryCollection");
    return TCL_OK;
    }
  if ((!strcmp("HasOverrideAny",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->HasOverrideAny(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOverrideInformation",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkOverrideInformationCollection  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkOverrideInformationCollection *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkOverrideInformationCollection",interp,error));
    if (!error)
    {
    op->GetOverrideInformation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllEnableFlags",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetAllEnableFlags(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllEnableFlags",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    op->SetAllEnableFlags(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkObjectFactory  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkObjectFactory");
    return TCL_OK;
    }
  if ((!strcmp("GetVTKSourceVersion",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVTKSourceVersion();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDescription",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDescription();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfOverrides",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfOverrides();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetClassOverrideName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetClassOverrideName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClassOverrideWithName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetClassOverrideWithName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEnableFlag(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOverrideDescription",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOverrideDescription(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnableFlag",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    op->SetEnableFlag(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableFlag",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetEnableFlag(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasOverride",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->HasOverride(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasOverride",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->HasOverride(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Disable",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->Disable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLibraryPath",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLibraryPath();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkObjectFactoryCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkObjectFactory:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  CreateInstance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateAllInstance\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReHash\n",NULL);
    Tcl_AppendResult(interp,"  RegisterFactory\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegisterFactory\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegisterAllFactories\n",NULL);
    Tcl_AppendResult(interp,"  GetRegisteredFactories\n",NULL);
    Tcl_AppendResult(interp,"  HasOverrideAny\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOverrideInformation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAllEnableFlags\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAllEnableFlags\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetVTKSourceVersion\n",NULL);
    Tcl_AppendResult(interp,"  GetDescription\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfOverrides\n",NULL);
    Tcl_AppendResult(interp,"  GetClassOverrideName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClassOverrideWithName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOverrideDescription\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableFlag\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableFlag\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  HasOverride\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasOverride\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Disable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLibraryPath\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
