// python wrapper for vtkOverrideInformationCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOverrideInformationCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOverrideInformationCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOverrideInformationCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkOverrideInformationCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOverrideInformationCollection *op;

  const char    *temp20;
  if ((op = (vtkOverrideInformationCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOverrideInformationCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOverrideInformationCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOverrideInformationCollection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOverrideInformationCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOverrideInformationCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOverrideInformationCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOverrideInformationCollection *op;

  vtkOverrideInformationCollection  *temp20;
  if ((op = (vtkOverrideInformationCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOverrideInformationCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOverrideInformationCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOverrideInformationCollection *op;

  vtkOverrideInformation  *temp0;
  PyObject *tempH0;
  if ((op = (vtkOverrideInformationCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkOverrideInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkOverrideInformation");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkOverrideInformationCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOverrideInformationCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOverrideInformationCollection *op;

  vtkOverrideInformation  *temp20;
  if ((op = (vtkOverrideInformationCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOverrideInformationCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOverrideInformationCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOverrideInformationCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOverrideInformationCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOverrideInformationCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOverrideInformationCollection\nC++: vtkOverrideInformationCollection *NewInstance ();\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkOverrideInformationCollection_AddItem, 1,
   (char*)"V.AddItem(vtkOverrideInformation)\nC++: void AddItem (vtkOverrideInformation *);\n\n Add a OverrideInformation to the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkOverrideInformationCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkOverrideInformation\nC++: vtkOverrideInformation *GetNextItem ();\n\n Get the next OverrideInformation in the list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOverrideInformationCollectionDoc[] = {
  (char*)"vtkOverrideInformationCollection - maintain a list of override information objects\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkOverrideInformationCollection is an object that creates and manipulates\n lists of objects of type vtkOverrideInformation. \n\n",
  "See Also:\n\n vtkCollection\n\n",
  NULL
};

static vtkObjectBase *vtkOverrideInformationCollectionStaticNew()
{
  return vtkOverrideInformationCollection::New();
}

PyObject *PyVTKClass_vtkOverrideInformationCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkOverrideInformationCollectionStaticNew,
                        PyvtkOverrideInformationCollectionMethods,
                        (char*)"vtkOverrideInformationCollection",modulename,
                        (char**)vtkOverrideInformationCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

