// python wrapper for vtkParametricEllipsoid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkParametricEllipsoid.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParametricEllipsoidNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParametricEllipsoidNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkParametricFunctionNew(char *); }

static PyObject *PyvtkParametricEllipsoid_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricEllipsoid *op;

  const char    *temp20;
  if ((op = (vtkParametricEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricEllipsoid::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricEllipsoid_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricEllipsoid *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkParametricEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricEllipsoid::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricEllipsoid_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricEllipsoid *op;

  vtkParametricEllipsoid  *temp20;
  if ((op = (vtkParametricEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricEllipsoid::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricEllipsoid_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkParametricEllipsoid  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkParametricEllipsoid::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkParametricEllipsoid_GetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricEllipsoid *op;

  int      temp20;
  if ((op = (vtkParametricEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricEllipsoid::GetDimension();
      }
    else
      {
      temp20 = op->GetDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricEllipsoid_SetXRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricEllipsoid *op;

  double   temp0;
  if ((op = (vtkParametricEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricEllipsoid::SetXRadius(temp0);
      }
    else
      {
      op->SetXRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricEllipsoid_GetXRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricEllipsoid *op;

  double   temp20;
  if ((op = (vtkParametricEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricEllipsoid::GetXRadius();
      }
    else
      {
      temp20 = op->GetXRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricEllipsoid_SetYRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricEllipsoid *op;

  double   temp0;
  if ((op = (vtkParametricEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricEllipsoid::SetYRadius(temp0);
      }
    else
      {
      op->SetYRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricEllipsoid_GetYRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricEllipsoid *op;

  double   temp20;
  if ((op = (vtkParametricEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricEllipsoid::GetYRadius();
      }
    else
      {
      temp20 = op->GetYRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricEllipsoid_SetZRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricEllipsoid *op;

  double   temp0;
  if ((op = (vtkParametricEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricEllipsoid::SetZRadius(temp0);
      }
    else
      {
      op->SetZRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricEllipsoid_GetZRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricEllipsoid *op;

  double   temp20;
  if ((op = (vtkParametricEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricEllipsoid::GetZRadius();
      }
    else
      {
      temp20 = op->GetZRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricEllipsoid_Evaluate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricEllipsoid *op;

  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ((op = (vtkParametricEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricEllipsoid::Evaluate(temp0,temp1,temp2);
      }
    else
      {
      op->Evaluate(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricEllipsoid_EvaluateScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricEllipsoid *op;

  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ((op = (vtkParametricEllipsoid *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricEllipsoid::EvaluateScalar(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateScalar(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkParametricEllipsoidMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParametricEllipsoid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParametricEllipsoid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParametricEllipsoid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParametricEllipsoid\nC++: vtkParametricEllipsoid *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkParametricEllipsoid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkParametricEllipsoid\nC++: vtkParametricEllipsoid *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDimension",                (PyCFunction)PyvtkParametricEllipsoid_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: virtual int GetDimension ();return \n\n Set/Get the scaling factor for the x-axis. Default = 1.\n"},
  {(char*)"SetXRadius",                (PyCFunction)PyvtkParametricEllipsoid_SetXRadius, 1,
   (char*)"V.SetXRadius(float)\nC++: void SetXRadius (double );\n\n Set/Get the scaling factor for the x-axis. Default = 1.\n"},
  {(char*)"GetXRadius",                (PyCFunction)PyvtkParametricEllipsoid_GetXRadius, 1,
   (char*)"V.GetXRadius() -> float\nC++: double GetXRadius ();\n\n Set/Get the scaling factor for the x-axis. Default = 1.\n"},
  {(char*)"SetYRadius",                (PyCFunction)PyvtkParametricEllipsoid_SetYRadius, 1,
   (char*)"V.SetYRadius(float)\nC++: void SetYRadius (double );\n\n Set/Get the scaling factor for the y-axis. Default = 1.\n"},
  {(char*)"GetYRadius",                (PyCFunction)PyvtkParametricEllipsoid_GetYRadius, 1,
   (char*)"V.GetYRadius() -> float\nC++: double GetYRadius ();\n\n Set/Get the scaling factor for the y-axis. Default = 1.\n"},
  {(char*)"SetZRadius",                (PyCFunction)PyvtkParametricEllipsoid_SetZRadius, 1,
   (char*)"V.SetZRadius(float)\nC++: void SetZRadius (double );\n\n Set/Get the scaling factor for the z-axis. Default = 1.\n"},
  {(char*)"GetZRadius",                (PyCFunction)PyvtkParametricEllipsoid_GetZRadius, 1,
   (char*)"V.GetZRadius() -> float\nC++: double GetZRadius ();\n\n Set/Get the scaling factor for the z-axis. Default = 1.\n"},
  {(char*)"Evaluate",                (PyCFunction)PyvtkParametricEllipsoid_Evaluate, 1,
   (char*)"V.Evaluate((float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float))\nC++: virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]);\n\n An ellipsoid.\n\n This function performs the mapping \\f$f(u,v) \\rightarrow (x,y,x)\\f$, returning it\n as Pt. It also returns the partial derivatives Du and Dv.\n \\f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\\f$ .\n Then the normal is \\f$N = Du X Dv\\f$ .\n"},
  {(char*)"EvaluateScalar",                (PyCFunction)PyvtkParametricEllipsoid_EvaluateScalar, 1,
   (char*)"V.EvaluateScalar((float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> float\nC++: virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]);\n\n Calculate a user defined scalar using one or all of uvw, Pt, Duvw.\n\n uvw are the parameters with Pt being the the cartesian point, \n Duvw are the derivatives of this point with respect to u, v and w.\n Pt, Duvw are obtained from Evaluate().\n\n This function is only called if the ScalarMode has the value\n vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED\n\n If the user does not need to calculate a scalar, then the \n instantiated function should return zero. \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParametricEllipsoidDoc[] = {
  (char*)"vtkParametricEllipsoid - Generate an ellipsoid.\n\n",
  "Super Class:\n\n vtkParametricFunction\n\n",
  (char*)" vtkParametricEllipsoid generates an ellipsoid.\n If all the radii are the same, we have a sphere.\n An oblate spheroid occurs if RadiusX = RadiusY > RadiusZ. \n Here the Z-axis forms the symmetry axis. To a first\n approximation, this is the shape of the earth.\n A prolate spheroid occurs if RadiusX = RadiusY < RadiusZ.\n\n For further information about this surface, please consult the \n technical descr",
  (char*)"iption \"Parametric surfaces\" in http://www.vtk.org/documents.php \n in the \"VTK Technical Documents\" section in the VTk.org web pages.\n\n .SECTION Thanks\n Andrew Maclean a.maclean@cas.edu.au for creating and contributing the\n class.\n\n\n",
  NULL
};

static vtkObjectBase *vtkParametricEllipsoidStaticNew()
{
  return vtkParametricEllipsoid::New();
}

PyObject *PyVTKClass_vtkParametricEllipsoidNew(char *modulename)
{
  return PyVTKClass_New(&vtkParametricEllipsoidStaticNew,
                        PyvtkParametricEllipsoidMethods,
                        (char*)"vtkParametricEllipsoid",modulename,
                        (char**)vtkParametricEllipsoidDoc,
                        PyVTKClass_vtkParametricFunctionNew(modulename));
}

