// tcl wrapper for vtkParametricFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParametricFunction.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParametricFunctionCppCommand(vtkParametricFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParametricFunctionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParametricFunctionCppCommand((vtkParametricFunction *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParametricFunctionCppCommand(vtkParametricFunction *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParametricFunction",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParametricFunction  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkParametricFunction");
    return TCL_OK;
    }
  if ((!strcmp("GetDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumU",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumU(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumU",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumU();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumU",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumU(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumU",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumU();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumV",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumV(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumV",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumV();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumV",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumV(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumV",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumV();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumW",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumW(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumW",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumW();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumW",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumW(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumW",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumW();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetJoinU",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetJoinU(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetJoinU",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetJoinU();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("JoinUOn",argv[1]))&&(argc == 2))
    {
    op->JoinUOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("JoinUOff",argv[1]))&&(argc == 2))
    {
    op->JoinUOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetJoinV",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetJoinV(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetJoinV",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetJoinV();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("JoinVOn",argv[1]))&&(argc == 2))
    {
    op->JoinVOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("JoinVOff",argv[1]))&&(argc == 2))
    {
    op->JoinVOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTwistU",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTwistU(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTwistU",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTwistU();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TwistUOn",argv[1]))&&(argc == 2))
    {
    op->TwistUOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TwistUOff",argv[1]))&&(argc == 2))
    {
    op->TwistUOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTwistV",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTwistV(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTwistV",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTwistV();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TwistVOn",argv[1]))&&(argc == 2))
    {
    op->TwistVOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TwistVOff",argv[1]))&&(argc == 2))
    {
    op->TwistVOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetClockwiseOrdering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClockwiseOrdering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClockwiseOrdering",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClockwiseOrdering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClockwiseOrderingOn",argv[1]))&&(argc == 2))
    {
    op->ClockwiseOrderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClockwiseOrderingOff",argv[1]))&&(argc == 2))
    {
    op->ClockwiseOrderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDerivativesAvailable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDerivativesAvailable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDerivativesAvailable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDerivativesAvailable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DerivativesAvailableOn",argv[1]))&&(argc == 2))
    {
    op->DerivativesAvailableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DerivativesAvailableOff",argv[1]))&&(argc == 2))
    {
    op->DerivativesAvailableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkParametricFunctionCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParametricFunction:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetDimension\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumU\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumU\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumU\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumU\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumV\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumV\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumV\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumV\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumW\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumW\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumW\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumW\n",NULL);
    Tcl_AppendResult(interp,"  SetJoinU\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetJoinU\n",NULL);
    Tcl_AppendResult(interp,"  JoinUOn\n",NULL);
    Tcl_AppendResult(interp,"  JoinUOff\n",NULL);
    Tcl_AppendResult(interp,"  SetJoinV\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetJoinV\n",NULL);
    Tcl_AppendResult(interp,"  JoinVOn\n",NULL);
    Tcl_AppendResult(interp,"  JoinVOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTwistU\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTwistU\n",NULL);
    Tcl_AppendResult(interp,"  TwistUOn\n",NULL);
    Tcl_AppendResult(interp,"  TwistUOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTwistV\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTwistV\n",NULL);
    Tcl_AppendResult(interp,"  TwistVOn\n",NULL);
    Tcl_AppendResult(interp,"  TwistVOff\n",NULL);
    Tcl_AppendResult(interp,"  SetClockwiseOrdering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClockwiseOrdering\n",NULL);
    Tcl_AppendResult(interp,"  ClockwiseOrderingOn\n",NULL);
    Tcl_AppendResult(interp,"  ClockwiseOrderingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDerivativesAvailable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDerivativesAvailable\n",NULL);
    Tcl_AppendResult(interp,"  DerivativesAvailableOn\n",NULL);
    Tcl_AppendResult(interp,"  DerivativesAvailableOff\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
