// python wrapper for vtkParametricKlein object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkParametricKlein.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParametricKleinNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParametricKleinNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkParametricFunctionNew(char *); }

static PyObject *PyvtkParametricKlein_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricKlein *op;

  const char    *temp20;
  if ((op = (vtkParametricKlein *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricKlein::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricKlein_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricKlein *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkParametricKlein *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricKlein::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricKlein_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricKlein *op;

  vtkParametricKlein  *temp20;
  if ((op = (vtkParametricKlein *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricKlein::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricKlein_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkParametricKlein  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkParametricKlein::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkParametricKlein_GetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricKlein *op;

  int      temp20;
  if ((op = (vtkParametricKlein *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricKlein::GetDimension();
      }
    else
      {
      temp20 = op->GetDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricKlein_Evaluate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricKlein *op;

  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ((op = (vtkParametricKlein *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricKlein::Evaluate(temp0,temp1,temp2);
      }
    else
      {
      op->Evaluate(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricKlein_EvaluateScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricKlein *op;

  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ((op = (vtkParametricKlein *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricKlein::EvaluateScalar(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateScalar(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkParametricKleinMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParametricKlein_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParametricKlein_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParametricKlein_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParametricKlein\nC++: vtkParametricKlein *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkParametricKlein_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkParametricKlein\nC++: vtkParametricKlein *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDimension",                (PyCFunction)PyvtkParametricKlein_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: virtual int GetDimension ();return \n\n A Klein bottle.\n\n This function performs the mapping \\f$f(u,v) \\rightarrow (x,y,x)\\f$, returning it\n as Pt. It also returns the partial derivatives Du and Dv.\n \\f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\\f$ .\n Then the normal is \\f$N = Du X Dv\\f$ .\n"},
  {(char*)"Evaluate",                (PyCFunction)PyvtkParametricKlein_Evaluate, 1,
   (char*)"V.Evaluate((float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float))\nC++: virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]);\n\n A Klein bottle.\n\n This function performs the mapping \\f$f(u,v) \\rightarrow (x,y,x)\\f$, returning it\n as Pt. It also returns the partial derivatives Du and Dv.\n \\f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\\f$ .\n Then the normal is \\f$N = Du X Dv\\f$ .\n"},
  {(char*)"EvaluateScalar",                (PyCFunction)PyvtkParametricKlein_EvaluateScalar, 1,
   (char*)"V.EvaluateScalar((float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> float\nC++: virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]);\n\n Calculate a user defined scalar using one or all of uvw, Pt, Duvw.\n\n uvw are the parameters with Pt being the the cartesian point, \n Duvw are the derivatives of this point with respect to u, v and w.\n Pt, Duvw are obtained from Evaluate().\n\n This function is only called if the ScalarMode has the value\n vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED\n\n If the user does not need to calculate a scalar, then the \n instantiated function should return zero. \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParametricKleinDoc[] = {
  (char*)"vtkParametricKlein - Generates a \"classical\" representation of a Klein bottle.\n\n",
  "Super Class:\n\n vtkParametricFunction\n\n",
  (char*)" vtkParametricKlein generates a \"classical\" representation of a Klein\n bottle.  A Klein bottle is a closed surface with no interior and only one\n surface.  It is unrealisable in 3 dimensions without intersecting\n surfaces.  It can be\n realised in 4 dimensions by considering the map \\f$F:R^2 \\rightarrow R^4\\f$  given by:\n\n - \\f$f(u,v) = ((r*cos(v)+a)*cos(u),(r*cos(v)+a)*sin(u),r*sin(v)*cos(u/2),r*s",
  (char*)"in(v)*sin(u/2))\\f$\n\n The classical representation of the immersion in \\f$R^3\\f$ is returned by this function.\n\n\n For further information about this surface, please consult the \n technical description \"Parametric surfaces\" in http://www.vtk.org/documents.php \n in the \"VTK Technical Documents\" section in the VTk.org web pages.\n\n .SECTION Thanks\n Andrew Maclean a.maclean@cas.edu.au for creating and c",
  (char*)"ontributing the\n class.\n\n\n",
  NULL
};

static vtkObjectBase *vtkParametricKleinStaticNew()
{
  return vtkParametricKlein::New();
}

PyObject *PyVTKClass_vtkParametricKleinNew(char *modulename)
{
  return PyVTKClass_New(&vtkParametricKleinStaticNew,
                        PyvtkParametricKleinMethods,
                        (char*)"vtkParametricKlein",modulename,
                        (char**)vtkParametricKleinDoc,
                        PyVTKClass_vtkParametricFunctionNew(modulename));
}

