// python wrapper for vtkParametricTorus object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkParametricTorus.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParametricTorusNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParametricTorusNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkParametricFunctionNew(char *); }

static PyObject *PyvtkParametricTorus_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricTorus *op;

  const char    *temp20;
  if ((op = (vtkParametricTorus *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricTorus::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricTorus_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricTorus *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkParametricTorus *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricTorus::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricTorus_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricTorus *op;

  vtkParametricTorus  *temp20;
  if ((op = (vtkParametricTorus *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricTorus::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricTorus_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkParametricTorus  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkParametricTorus::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkParametricTorus_SetRingRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricTorus *op;

  double   temp0;
  if ((op = (vtkParametricTorus *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricTorus::SetRingRadius(temp0);
      }
    else
      {
      op->SetRingRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricTorus_GetRingRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricTorus *op;

  double   temp20;
  if ((op = (vtkParametricTorus *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricTorus::GetRingRadius();
      }
    else
      {
      temp20 = op->GetRingRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricTorus_SetCrossSectionRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricTorus *op;

  double   temp0;
  if ((op = (vtkParametricTorus *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricTorus::SetCrossSectionRadius(temp0);
      }
    else
      {
      op->SetCrossSectionRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricTorus_GetCrossSectionRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricTorus *op;

  double   temp20;
  if ((op = (vtkParametricTorus *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricTorus::GetCrossSectionRadius();
      }
    else
      {
      temp20 = op->GetCrossSectionRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricTorus_GetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricTorus *op;

  int      temp20;
  if ((op = (vtkParametricTorus *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricTorus::GetDimension();
      }
    else
      {
      temp20 = op->GetDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricTorus_Evaluate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricTorus *op;

  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ((op = (vtkParametricTorus *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricTorus::Evaluate(temp0,temp1,temp2);
      }
    else
      {
      op->Evaluate(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricTorus_EvaluateScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricTorus *op;

  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ((op = (vtkParametricTorus *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricTorus::EvaluateScalar(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateScalar(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkParametricTorusMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParametricTorus_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParametricTorus_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParametricTorus_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParametricTorus\nC++: vtkParametricTorus *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkParametricTorus_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkParametricTorus\nC++: vtkParametricTorus *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRingRadius",                (PyCFunction)PyvtkParametricTorus_SetRingRadius, 1,
   (char*)"V.SetRingRadius(float)\nC++: void SetRingRadius (double );\n\n Set/Get the radius from the center to the middle of the ring of the\n torus.  The default value is 1.0.\n"},
  {(char*)"GetRingRadius",                (PyCFunction)PyvtkParametricTorus_GetRingRadius, 1,
   (char*)"V.GetRingRadius() -> float\nC++: double GetRingRadius ();\n\n Set/Get the radius from the center to the middle of the ring of the\n torus.  The default value is 1.0.\n"},
  {(char*)"SetCrossSectionRadius",                (PyCFunction)PyvtkParametricTorus_SetCrossSectionRadius, 1,
   (char*)"V.SetCrossSectionRadius(float)\nC++: void SetCrossSectionRadius (double );\n\n Set/Get the radius of the cross section of ring of the torus.  The default value\n is 0.5.\n"},
  {(char*)"GetCrossSectionRadius",                (PyCFunction)PyvtkParametricTorus_GetCrossSectionRadius, 1,
   (char*)"V.GetCrossSectionRadius() -> float\nC++: double GetCrossSectionRadius ();\n\n Set/Get the radius of the cross section of ring of the torus.  The default value\n is 0.5.\n"},
  {(char*)"GetDimension",                (PyCFunction)PyvtkParametricTorus_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: virtual int GetDimension ();return \n\n A torus.\n\n This function performs the mapping \\f$f(u,v) \\rightarrow (x,y,x)\\f$, returning it\n as Pt. It also returns the partial derivatives Du and Dv.\n \\f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\\f$ .\n Then the normal is \\f$N = Du X Dv\\f$ .\n"},
  {(char*)"Evaluate",                (PyCFunction)PyvtkParametricTorus_Evaluate, 1,
   (char*)"V.Evaluate((float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float))\nC++: virtual void Evaluate (double uvw[3], double Pt[3], double Duvw[9]);\n\n A torus.\n\n This function performs the mapping \\f$f(u,v) \\rightarrow (x,y,x)\\f$, returning it\n as Pt. It also returns the partial derivatives Du and Dv.\n \\f$Pt = (x, y, z), Du = (dx/du, dy/du, dz/du), Dv = (dx/dv, dy/dv, dz/dv)\\f$ .\n Then the normal is \\f$N = Du X Dv\\f$ .\n"},
  {(char*)"EvaluateScalar",                (PyCFunction)PyvtkParametricTorus_EvaluateScalar, 1,
   (char*)"V.EvaluateScalar((float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> float\nC++: virtual double EvaluateScalar (double uvw[3], double Pt[3], double Duvw[9]);\n\n Calculate a user defined scalar using one or all of uvw, Pt, Duvw.\n\n uvw are the parameters with Pt being the the Cartesian point, \n Duvw are the derivatives of this point with respect to u, v and w.\n Pt, Duvw are obtained from Evaluate().\n\n This function is only called if the ScalarMode has the value\n vtkParametricFunctionSource::SCALAR_FUNCTION_DEFINED\n\n If the user does not need to calculate a scalar, then the \n instantiated function should return zero. \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParametricTorusDoc[] = {
  (char*)"vtkParametricTorus - Generate a torus.\n\n",
  "Super Class:\n\n vtkParametricFunction\n\n",
  (char*)" vtkParametricTorus generates a torus.\n\n For further information about this surface, please consult the \n technical description \"Parametric surfaces\" in http://www.vtk.org/documents.php \n in the \"VTK Technical Documents\" section in the VTk.org web pages.\n\n .SECTION Thanks\n Andrew Maclean a.maclean@cas.edu.au for \n creating and contributing the class.\n\n\n",
  NULL
};

static vtkObjectBase *vtkParametricTorusStaticNew()
{
  return vtkParametricTorus::New();
}

PyObject *PyVTKClass_vtkParametricTorusNew(char *modulename)
{
  return PyVTKClass_New(&vtkParametricTorusStaticNew,
                        PyvtkParametricTorusMethods,
                        (char*)"vtkParametricTorus",modulename,
                        (char**)vtkParametricTorusDoc,
                        PyVTKClass_vtkParametricFunctionNew(modulename));
}

