// python wrapper for vtkPerspectiveTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPerspectiveTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPerspectiveTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPerspectiveTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHomogeneousTransformNew(char *); }

static PyObject *PyvtkPerspectiveTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  const char    *temp20;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerspectiveTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerspectiveTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  vtkPerspectiveTransform  *temp20;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerspectiveTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPerspectiveTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPerspectiveTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_Identity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Identity();
      }
    else
      {
      op->Identity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_Inverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Inverse();
      }
    else
      {
      op->Inverse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_AdjustViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"dddddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::AdjustViewport(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    else
      {
      op->AdjustViewport(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_AdjustZBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::AdjustZBuffer(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->AdjustZBuffer(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_Ortho(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Ortho(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->Ortho(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_Frustum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Frustum(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->Frustum(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_Perspective(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Perspective(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->Perspective(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_Shear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Shear(temp0,temp1,temp2);
      }
    else
      {
      op->Shear(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_Stereo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Stereo(temp0,temp1);
      }
    else
      {
      op->Stereo(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_SetupCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double temp0[3];
  double temp1[3];
  double temp2[3];
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::SetupCamera(temp0,temp1,temp2);
      }
    else
      {
      op->SetupCamera(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  PyErr_Clear();
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"ddddddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7, &temp8)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::SetupCamera(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    else
      {
      op->SetupCamera(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_Translate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Translate(temp0,temp1,temp2);
      }
    else
      {
      op->Translate(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Translate(temp0);
      }
    else
      {
      op->Translate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  float  temp0[3];
  PyErr_Clear();
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Translate(temp0);
      }
    else
      {
      op->Translate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_RotateWXYZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::RotateWXYZ(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->RotateWXYZ(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  double temp1[3];
  PyErr_Clear();
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"d(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::RotateWXYZ(temp0,temp1);
      }
    else
      {
      op->RotateWXYZ(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  float  temp1[3];
  PyErr_Clear();
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"d(fff)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::RotateWXYZ(temp0,temp1);
      }
    else
      {
      op->RotateWXYZ(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_RotateX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::RotateX(temp0);
      }
    else
      {
      op->RotateX(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_RotateY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::RotateY(temp0);
      }
    else
      {
      op->RotateY(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_RotateZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::RotateZ(temp0);
      }
    else
      {
      op->RotateZ(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_Scale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Scale(temp0,temp1,temp2);
      }
    else
      {
      op->Scale(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Scale(temp0);
      }
    else
      {
      op->Scale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  float  temp0[3];
  PyErr_Clear();
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Scale(temp0);
      }
    else
      {
      op->Scale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_SetMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::SetMatrix(temp0);
      }
    else
      {
      op->SetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double temp0[16];
  PyErr_Clear();
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"(dddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::SetMatrix(temp0);
      }
    else
      {
      op->SetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_Concatenate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Concatenate(temp0);
      }
    else
      {
      op->Concatenate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  double temp0[16];
  PyErr_Clear();
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"(dddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Concatenate(temp0);
      }
    else
      {
      op->Concatenate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  vtkHomogeneousTransform  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkHomogeneousTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHomogeneousTransform");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Concatenate(temp0);
      }
    else
      {
      op->Concatenate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_PreMultiply(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::PreMultiply();
      }
    else
      {
      op->PreMultiply();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_PostMultiply(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::PostMultiply();
      }
    else
      {
      op->PostMultiply();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_GetNumberOfConcatenatedTransforms(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  int      temp20;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerspectiveTransform::GetNumberOfConcatenatedTransforms();
      }
    else
      {
      temp20 = op->GetNumberOfConcatenatedTransforms();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_GetConcatenatedTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  int      temp0;
  vtkHomogeneousTransform  *temp20;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerspectiveTransform::GetConcatenatedTransform(temp0);
      }
    else
      {
      temp20 = op->GetConcatenatedTransform(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  vtkHomogeneousTransform  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkHomogeneousTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHomogeneousTransform");
    if (!temp0 && tempH0 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break36:
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  vtkHomogeneousTransform  *temp20;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerspectiveTransform::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_GetInverseFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  int      temp20;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerspectiveTransform::GetInverseFlag();
      }
    else
      {
      temp20 = op->GetInverseFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_Push(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Push();
      }
    else
      {
      op->Push();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_Pop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPerspectiveTransform::Pop();
      }
    else
      {
      op->Pop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  vtkAbstractTransform  *temp20;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerspectiveTransform::MakeTransform();
      }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_CircuitCheck(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break42;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerspectiveTransform::CircuitCheck(temp0);
      }
    else
      {
      temp20 = op->CircuitCheck(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break42:
  return NULL;
}


static PyObject *PyvtkPerspectiveTransform_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPerspectiveTransform *op;

  unsigned long     temp20;
  if ((op = (vtkPerspectiveTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPerspectiveTransform::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPerspectiveTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPerspectiveTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPerspectiveTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPerspectiveTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPerspectiveTransform\nC++: vtkPerspectiveTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPerspectiveTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPerspectiveTransform\nC++: vtkPerspectiveTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Identity",                (PyCFunction)PyvtkPerspectiveTransform_Identity, 1,
   (char*)"V.Identity()\nC++: void Identity ();this Concatenation Identity this Modified \n\n Set this transformation to the identity transformation.  If \n the transform has an Input, then the transformation will be\n reset so that it is the same as the Input.\n"},
  {(char*)"Inverse",                (PyCFunction)PyvtkPerspectiveTransform_Inverse, 1,
   (char*)"V.Inverse()\nC++: void Inverse ();this Concatenation Inverse this Modified \n\n Invert the transformation.  This will also set a flag so that\n the transformation will use the inverse of its Input, if an Input\n has been set.\n"},
  {(char*)"AdjustViewport",                (PyCFunction)PyvtkPerspectiveTransform_AdjustViewport, 1,
   (char*)"V.AdjustViewport(float, float, float, float, float, float, float, float)\nC++: void AdjustViewport (double oldXMin, double oldXMax, double oldYMin, double oldYMax, double newXMin, double newXMax, double newYMin, double newYMax);\n\n Perform an adjustment to the viewport coordinates.  By default Ortho,\n Frustum, and Perspective provide a window of ([-1,+1],[-1,+1]).\n In PreMultiply mode, you call this method before calling Ortho, Frustum,\n or Perspective.  In PostMultiply mode you can call it after.  Note\n that if you must apply both AdjustZBuffer and AdjustViewport, it\n makes no difference which order you apply them in.\n"},
  {(char*)"AdjustZBuffer",                (PyCFunction)PyvtkPerspectiveTransform_AdjustZBuffer, 1,
   (char*)"V.AdjustZBuffer(float, float, float, float)\nC++: void AdjustZBuffer (double oldNearZ, double oldFarZ, double newNearZ, double newFarZ);\n\n Perform an adjustment to the Z-Buffer range that the near and far\n clipping planes map to.  By default Ortho, Frustum, and Perspective\n map the near clipping plane to -1 and the far clipping plane to +1.\n In PreMultiply mode, you call this method before calling Ortho, Frustum,\n or Perspective.  In PostMultiply mode you can call it after.\n"},
  {(char*)"Ortho",                (PyCFunction)PyvtkPerspectiveTransform_Ortho, 1,
   (char*)"V.Ortho(float, float, float, float, float, float)\nC++: void Ortho (double xmin, double xmax, double ymin, double ymax, double znear, double zfar);\n\n Create an orthogonal projection matrix and concatenate it by the\n current transformation.  The matrix maps [xmin,xmax], [ymin,ymax], \n [-znear,-zfar] to [-1,+1], [-1,+1], [+1,-1]. \n"},
  {(char*)"Frustum",                (PyCFunction)PyvtkPerspectiveTransform_Frustum, 1,
   (char*)"V.Frustum(float, float, float, float, float, float)\nC++: void Frustum (double xmin, double xmax, double ymin, double ymax, double znear, double zfar);\n\n Create an perspective projection matrix and concatenate it by the\n current transformation.  The matrix maps a frustum with a back\n plane at -zfar and a front plane at -znear with extent \n [xmin,xmax],[ymin,ymax] to [-1,+1], [-1,+1], [+1,-1].\n"},
  {(char*)"Perspective",                (PyCFunction)PyvtkPerspectiveTransform_Perspective, 1,
   (char*)"V.Perspective(float, float, float, float)\nC++: void Perspective (double angle, double aspect, double znear, double zfar);\n\n Create a perspective projection matrix by specifying the view angle\n (this angle is in the y direction), the aspect ratio, and the near \n and far clipping range.  The projection matrix is concatenated \n with the current transformation.  This method works via Frustum.\n"},
  {(char*)"Shear",                (PyCFunction)PyvtkPerspectiveTransform_Shear, 1,
   (char*)"V.Shear(float, float, float)\nC++: void Shear (double dxdz, double dydz, double zplane);\n\n Create a shear transformation about a plane at distance z from\n the camera.  The values dxdz (i.e. dx/dz) and dydz specify the\n amount of shear in the x and y directions.  The 'zplane' specifies\n the distance from the camera to the plane at which the shear\n causes zero displacement.  Generally you want this plane to be the\n focal plane.\n This transformation can be used in combination with Ortho to create \n an oblique projection.  It can also be used in combination with\n Perspective to provide correct stereo views when the eye is at\n arbitrary but known positions relative to the center of a flat\n viewing screen.\n"},
  {(char*)"Stereo",                (PyCFunction)PyvtkPerspectiveTransform_Stereo, 1,
   (char*)"V.Stereo(float, float)\nC++: void Stereo (double angle, double focaldistance);\n\n Create a stereo shear matrix and concatenate it with the\n current transformation.  This can be applied in conjunction with either a \n perspective transformation (via Frustum or Projection) or an\n orthographic projection.  You must specify the distance from\n the camera plane to the focal plane, and the angle between\n the distance vector and the eye.  The angle should be negative\n for the left eye, and positive for the right.  This method\n works via Oblique.\n"},
  {(char*)"SetupCamera",                (PyCFunction)PyvtkPerspectiveTransform_SetupCamera, 1,
   (char*)"V.SetupCamera((float, float, float), (float, float, float), (float, float, float))\nC++: void SetupCamera (const double position[3], const double focalpoint[3], const double viewup[3]);\nV.SetupCamera(float, float, float, float, float, float, float, float, float)\nC++: void SetupCamera (double p0, double p1, double p2, double fp0, double fp1, double fp2, double vup0, double vup1, double vup2);\n\n Set a view transformation matrix for the camera (this matrix does\n not contain any perspective) and concatenate it with the current\n transformation.\n"},
  {(char*)"Translate",                (PyCFunction)PyvtkPerspectiveTransform_Translate, 1,
   (char*)"V.Translate(float, float, float)\nC++: void Translate (double x, double y, double z);this Concatenation Translate x y z \nV.Translate((float, float, float))\nC++: void Translate (const double x[3]);this Translate x x x \nV.Translate((float, float, float))\nC++: void Translate (const float x[3]);this Translate x x x \n\n Create a translation matrix and concatenate it with the current\n transformation according to PreMultiply or PostMultiply semantics.\n"},
  {(char*)"RotateWXYZ",                (PyCFunction)PyvtkPerspectiveTransform_RotateWXYZ, 1,
   (char*)"V.RotateWXYZ(float, float, float, float)\nC++: void RotateWXYZ (double angle, double x, double y, double z);this Concatenation Rotate angle x y z \nV.RotateWXYZ(float, (float, float, float))\nC++: void RotateWXYZ (double angle, const double axis[3]);this RotateWXYZ angle axis axis axis \nV.RotateWXYZ(float, (float, float, float))\nC++: void RotateWXYZ (double angle, const float axis[3]);this RotateWXYZ angle axis axis axis \n\n Create a rotation matrix and concatenate it with the current\n transformation according to PreMultiply or PostMultiply semantics.\n The angle is in degrees, and (x,y,z) specifies the axis that the\n rotation will be performed around. \n"},
  {(char*)"RotateX",                (PyCFunction)PyvtkPerspectiveTransform_RotateX, 1,
   (char*)"V.RotateX(float)\nC++: void RotateX (double angle);this RotateWXYZ angle \n\n Create a rotation matrix about the X, Y, or Z axis and concatenate\n it with the current transformation according to PreMultiply or\n PostMultiply semantics.  The angle is expressed in degrees.\n"},
  {(char*)"RotateY",                (PyCFunction)PyvtkPerspectiveTransform_RotateY, 1,
   (char*)"V.RotateY(float)\nC++: void RotateY (double angle);this RotateWXYZ angle \n\n Create a rotation matrix about the X, Y, or Z axis and concatenate\n it with the current transformation according to PreMultiply or\n PostMultiply semantics.  The angle is expressed in degrees.\n"},
  {(char*)"RotateZ",                (PyCFunction)PyvtkPerspectiveTransform_RotateZ, 1,
   (char*)"V.RotateZ(float)\nC++: void RotateZ (double angle);this RotateWXYZ angle \n\n Create a rotation matrix about the X, Y, or Z axis and concatenate\n it with the current transformation according to PreMultiply or\n PostMultiply semantics.  The angle is expressed in degrees.\n"},
  {(char*)"Scale",                (PyCFunction)PyvtkPerspectiveTransform_Scale, 1,
   (char*)"V.Scale(float, float, float)\nC++: void Scale (double x, double y, double z);this Concatenation Scale x y z \nV.Scale((float, float, float))\nC++: void Scale (const double s[3]);this Scale s s s \nV.Scale((float, float, float))\nC++: void Scale (const float s[3]);this Scale s s s \n\n Create a scale matrix (i.e. set the diagonal elements to x, y, z)\n and concatenate it with the current transformation according to\n PreMultiply or PostMultiply semantics.\n"},
  {(char*)"SetMatrix",                (PyCFunction)PyvtkPerspectiveTransform_SetMatrix, 1,
   (char*)"V.SetMatrix(vtkMatrix4x4)\nC++: void SetMatrix (vtkMatrix4x4 *matrix);this SetMatrix matrix Element \nV.SetMatrix((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: void SetMatrix (const double elements[16]);this Identity this Concatenate elements \n\n Set the current matrix directly.  This actually calls Identity(),\n followed by Concatenate(matrix).\n"},
  {(char*)"Concatenate",                (PyCFunction)PyvtkPerspectiveTransform_Concatenate, 1,
   (char*)"V.Concatenate(vtkMatrix4x4)\nC++: void Concatenate (vtkMatrix4x4 *matrix);this Concatenate matrix Element \nV.Concatenate((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: void Concatenate (const double elements[16]);this Concatenation Concatenate elements \nV.Concatenate(vtkHomogeneousTransform)\nC++: void Concatenate (vtkHomogeneousTransform *transform);\n\n Concatenates the matrix with the current transformation according\n to PreMultiply or PostMultiply semantics.\n"},
  {(char*)"PreMultiply",                (PyCFunction)PyvtkPerspectiveTransform_PreMultiply, 1,
   (char*)"V.PreMultiply()\nC++: void PreMultiply ();if this Concatenation GetPreMultiplyFlag return this Concatenation SetPreMultiplyFlag this Modified \n\n Sets the internal state of the transform to PreMultiply. All subsequent\n operations will occur before those already represented in the\n current transformation.  In homogeneous matrix notation, M = M*A where\n M is the current transformation matrix and A is the applied matrix.\n The default is PreMultiply.\n"},
  {(char*)"PostMultiply",                (PyCFunction)PyvtkPerspectiveTransform_PostMultiply, 1,
   (char*)"V.PostMultiply()\nC++: void PostMultiply ();if this Concatenation GetPreMultiplyFlag return this Concatenation SetPreMultiplyFlag this Modified \n\n Sets the internal state of the transform to PostMultiply. All subsequent\n operations will occur after those already represented in the\n current transformation.  In homogeneous matrix notation, M = A*M where\n M is the current transformation matrix and A is the applied matrix.\n The default is PreMultiply.\n"},
  {(char*)"GetNumberOfConcatenatedTransforms",                (PyCFunction)PyvtkPerspectiveTransform_GetNumberOfConcatenatedTransforms, 1,
   (char*)"V.GetNumberOfConcatenatedTransforms() -> int\nC++: int GetNumberOfConcatenatedTransforms ();return this Concatenation GetNumberOfTransforms this Input NULL \n\n Get the total number of transformations that are linked into this\n one via Concatenate() operations or via SetInput().\n"},
  {(char*)"GetConcatenatedTransform",                (PyCFunction)PyvtkPerspectiveTransform_GetConcatenatedTransform, 1,
   (char*)"V.GetConcatenatedTransform(int) -> vtkHomogeneousTransform\nC++: vtkHomogeneousTransform *GetConcatenatedTransform (int i);if this Input NULL return vtkHomogeneousTransform this Concatenation GetTransform i else if i this Concatenation GetNumberOfPreTransforms return vtkHomogeneousTransform this Concatenation GetTransform i else if i this Concatenation GetNumberOfPreTransforms return vtkHomogeneousTransform this Concatenation GetTransform i else if this GetInverseFlag return vtkHomogeneousTransform this Input GetInverse else return vtkHomogeneousTransform this Input \n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkPerspectiveTransform_SetInput, 1,
   (char*)"V.SetInput(vtkHomogeneousTransform)\nC++: void SetInput (vtkHomogeneousTransform *input);\n\n Set the input for this transformation.  This will be used as the\n base transformation if it is set.  This method allows you to build\n a transform pipeline: if the input is modified, then this transformation\n will automatically update accordingly.  Note that the InverseFlag,\n controlled via Inverse(), determines whether this transformation\n will use the Input or the inverse of the Input.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkPerspectiveTransform_GetInput, 1,
   (char*)"V.GetInput() -> vtkHomogeneousTransform\nC++: vtkHomogeneousTransform *GetInput ();return this Input \n\n Set the input for this transformation.  This will be used as the\n base transformation if it is set.  This method allows you to build\n a transform pipeline: if the input is modified, then this transformation\n will automatically update accordingly.  Note that the InverseFlag,\n controlled via Inverse(), determines whether this transformation\n will use the Input or the inverse of the Input.\n"},
  {(char*)"GetInverseFlag",                (PyCFunction)PyvtkPerspectiveTransform_GetInverseFlag, 1,
   (char*)"V.GetInverseFlag() -> int\nC++: int GetInverseFlag ();return this Concatenation GetInverseFlag \n\n Get the inverse flag of the transformation.  This controls\n whether it is the Input or the inverse of the Input that\n is used as the base transformation.  The InverseFlag is\n flipped every time Inverse() is called.  The InverseFlag\n is off when a transform is first created.\n"},
  {(char*)"Push",                (PyCFunction)PyvtkPerspectiveTransform_Push, 1,
   (char*)"V.Push()\nC++: void Push ();if this Stack NULL this Stack vtkTransformConcatenationStack New this Stack Push this Concatenation this Modified \n\n Pushes the current transformation onto the transformation stack.\n"},
  {(char*)"Pop",                (PyCFunction)PyvtkPerspectiveTransform_Pop, 1,
   (char*)"V.Pop()\nC++: void Pop ();if this Stack NULL return this Stack Pop this Concatenation this Modified \n\n Deletes the transformation on the top of the stack and sets the top \n to the next transformation on the stack.\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkPerspectiveTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *MakeTransform ();\n\n Make a new transform of the same type -- you are responsible for\n deleting the transform when you are done with it.\n"},
  {(char*)"CircuitCheck",                (PyCFunction)PyvtkPerspectiveTransform_CircuitCheck, 1,
   (char*)"V.CircuitCheck(vtkAbstractTransform) -> int\nC++: int CircuitCheck (vtkAbstractTransform *transform);\n\n Check for self-reference.  Will return true if concatenating\n with the specified transform, setting it to be our inverse,\n or setting it to be our input will create a circular reference.\n CircuitCheck is automatically called by SetInput(), SetInverse(),\n and Concatenate(vtkXTransform *).  Avoid using this function,\n it is experimental.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkPerspectiveTransform_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override GetMTime to account for input and concatenation.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPerspectiveTransformDoc[] = {
  (char*)"vtkPerspectiveTransform - describes a 4x4 matrix transformation\n\n",
  "Super Class:\n\n vtkHomogeneousTransform\n\n",
  (char*)" A vtkPerspectiveTransform can be used to describe the full range of\n homogeneous transformations.  It was designed in particular\n to describe a camera-view of a scene.  \n <P>The order in which you set up the display coordinates (via \n AdjustZBuffer() and AdjustViewport()), the projection (via Perspective(), \n Frustum(), or Ortho()) and the camera view (via SetupCamera()) are\n important.  If the t",
  (char*)"ransform is in PreMultiply mode, which is the \n default, set the Viewport and ZBuffer first, then the projection, and\n finally the camera view.  Once the view is set up, the Translate\n and Rotate methods can be used to move the camera around in world\n coordinates.  If the Oblique() or Stereo() methods are used, they \n should be called just before SetupCamera().\n <P>In PostMultiply mode, you must p",
  (char*)"erform all transformations\n in the opposite order.  This is necessary, for example, if you\n already have a perspective transformation set up but must adjust\n the viewport.  Another example is if you have a view transformation,\n and wish to perform translations and rotations in the camera's \n coordinate system rather than in world coordinates.\n <P>The SetInput and Concatenate methods can be used to",
  (char*)" create \n a transformation pipeline with vtkPerspectiveTransform.  See vtkTransform\n for more information on the transformation pipeline.\n\n",
  "See Also:\n\n vtkGeneralTransform vtkTransform vtkMatrix4x4 vtkCamera\n\n",
  NULL
};

static vtkObjectBase *vtkPerspectiveTransformStaticNew()
{
  return vtkPerspectiveTransform::New();
}

PyObject *PyVTKClass_vtkPerspectiveTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkPerspectiveTransformStaticNew,
                        PyvtkPerspectiveTransformMethods,
                        (char*)"vtkPerspectiveTransform",modulename,
                        (char**)vtkPerspectiveTransformDoc,
                        PyVTKClass_vtkHomogeneousTransformNew(modulename));
}

