// python wrapper for vtkPlaneCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPlaneCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlaneCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlaneCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkPlaneCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneCollection *op;

  const char    *temp20;
  if ((op = (vtkPlaneCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneCollection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPlaneCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneCollection *op;

  vtkPlaneCollection  *temp20;
  if ((op = (vtkPlaneCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlaneCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlaneCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlaneCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneCollection *op;

  vtkPlane  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPlaneCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlane");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPlaneCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneCollection *op;

  vtkPlane  *temp20;
  if ((op = (vtkPlaneCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPlaneCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlaneCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlaneCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlaneCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlaneCollection\nC++: vtkPlaneCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlaneCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlaneCollection\nC++: vtkPlaneCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkPlaneCollection_AddItem, 1,
   (char*)"V.AddItem(vtkPlane)\nC++: void AddItem (vtkPlane *);\n\n Add a plane to the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkPlaneCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkPlane\nC++: vtkPlane *GetNextItem ();\n\n Get the next plane in the list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlaneCollectionDoc[] = {
  (char*)"vtkPlaneCollection - maintain a list of planes\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkPlaneCollection is an object that creates and manipulates\n lists of objects of type vtkPlane. \n\n",
  "See Also:\n\n vtkCollection\n\n",
  NULL
};

static vtkObjectBase *vtkPlaneCollectionStaticNew()
{
  return vtkPlaneCollection::New();
}

PyObject *PyVTKClass_vtkPlaneCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlaneCollectionStaticNew,
                        PyvtkPlaneCollectionMethods,
                        (char*)"vtkPlaneCollection",modulename,
                        (char**)vtkPlaneCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

