// python wrapper for vtkPlane object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPlane.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlaneNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlaneNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }

static PyObject *PyvtkPlane_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlane *op;

  const char    *temp20;
  if ((op = (vtkPlane *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlane::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlane_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlane *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPlane *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlane::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlane_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlane *op;

  vtkPlane  *temp20;
  if ((op = (vtkPlane *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlane::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlane_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlane  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlane::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlane_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlane *op;

  double temp0[3];
  double   temp20;
  if ((op = (vtkPlane *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlane::EvaluateFunction(temp0);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPlane *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  if ((op = (vtkPlane *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlane::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlane_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlane *op;

  double temp0[3];
  double temp1[3];
  if ((op = (vtkPlane *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlane::EvaluateGradient(temp0,temp1);
      }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlane_SetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlane *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkPlane *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlane::SetNormal(temp0,temp1,temp2);
      }
    else
      {
      op->SetNormal(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlane *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkPlane *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlane::SetNormal(temp0);
      }
    else
      {
      op->SetNormal(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlane_GetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlane *op;

  double  *temp20;
  if ((op = (vtkPlane *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlane::GetNormal();
      }
    else
      {
      temp20 = op->GetNormal();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlane_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlane *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkPlane *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlane::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlane *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkPlane *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlane::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlane_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlane *op;

  double  *temp20;
  if ((op = (vtkPlane *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlane::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlane_Push(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlane *op;

  double   temp0;
  if ((op = (vtkPlane *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlane::Push(temp0);
      }
    else
      {
      op->Push(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlane_ProjectPoint(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2)))
    {
      {
      vtkPlane::ProjectPoint(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlane_GeneralizedProjectPoint(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double temp3[3];
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2)))
    {
      {
      vtkPlane::GeneralizedProjectPoint(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlane_Evaluate(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
      {
      temp20 = vtkPlane::Evaluate(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlane_DistanceToPlane(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[3];
  double temp1[3];
  double temp2[3];
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"(ddd)(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
      {
      temp20 = vtkPlane::DistanceToPlane(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPlaneMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlane_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlane_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlane_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlane\nC++: vtkPlane *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlane_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlane\nC++: vtkPlane *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkPlane_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: double EvaluateFunction (double x[3]);\nV.EvaluateFunction(float, float, float) -> float\nC++: double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z \n\n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkPlane_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: void EvaluateGradient (double x[3], double g[3]);\n\n"},
  {(char*)"SetNormal",                (PyCFunction)PyvtkPlane_SetNormal, 1,
   (char*)"V.SetNormal(float, float, float)\nC++: void SetNormal (double , double , double );\nV.SetNormal((float, float, float))\nC++: void SetNormal (double  a[3]);\n\n Set/get plane normal. Plane is defined by point and normal.\n"},
  {(char*)"GetNormal",                (PyCFunction)PyvtkPlane_GetNormal, 1,
   (char*)"V.GetNormal() -> (float, float, float)\nC++: double  *GetNormal ();\n\n Set/get plane normal. Plane is defined by point and normal.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkPlane_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n Set/get point through which plane passes. Plane is defined by point \n and normal.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkPlane_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n Set/get point through which plane passes. Plane is defined by point \n and normal.\n"},
  {(char*)"Push",                (PyCFunction)PyvtkPlane_Push, 1,
   (char*)"V.Push(float)\nC++: void Push (double distance);\n\n Translate the plane in the direction of the normal by the\n distance specified.  Negative values move the plane in the\n opposite direction.\n"},
  {(char*)"ProjectPoint",                (PyCFunction)PyvtkPlane_ProjectPoint, 1,
   (char*)"V.ProjectPoint((float, float, float), (float, float, float), (float, float, float), (float, float, float))\nC++: static void ProjectPoint (double x[3], double origin[3], double normal[3], double xproj[3]);\n\n"},
  {(char*)"GeneralizedProjectPoint",                (PyCFunction)PyvtkPlane_GeneralizedProjectPoint, 1,
   (char*)"V.GeneralizedProjectPoint((float, float, float), (float, float, float), (float, float, float), (float, float, float))\nC++: static void GeneralizedProjectPoint (double x[3], double origin[3], double normal[3], double xproj[3]);\n\n"},
  {(char*)"Evaluate",                (PyCFunction)PyvtkPlane_Evaluate, 1,
   (char*)"V.Evaluate((float, float, float), (float, float, float), (float, float, float)) -> float\nC++: static double Evaluate (double normal[3], double origin[3], double x[3]);\n\n Quick evaluation of plane equation n(x-origin)=0.\n"},
  {(char*)"DistanceToPlane",                (PyCFunction)PyvtkPlane_DistanceToPlane, 1,
   (char*)"V.DistanceToPlane((float, float, float), (float, float, float), (float, float, float)) -> float\nC++: static double DistanceToPlane (double x[3], double n[3], double p0[3]);\n\n Return the distance of a point x to a plane defined by n(x-p0) = 0. The\n normal n[3] must be magnitude=1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlaneDoc[] = {
  (char*)"vtkPlane - perform various plane computations\n\n",
  "Super Class:\n\n vtkImplicitFunction\n\n",
  (char*)" vtkPlane provides methods for various plane computations. These include\n projecting points onto a plane, evaluating the plane equation, and \n returning plane normal. vtkPlane is a concrete implementation of the \n abstract class vtkImplicitFunction.\n\n",
  NULL
};

static vtkObjectBase *vtkPlaneStaticNew()
{
  return vtkPlane::New();
}

PyObject *PyVTKClass_vtkPlaneNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlaneStaticNew,
                        PyvtkPlaneMethods,
                        (char*)"vtkPlane",modulename,
                        (char**)vtkPlaneDoc,
                        PyVTKClass_vtkImplicitFunctionNew(modulename));
}

