// tcl wrapper for vtkPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPoints.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPointsNewCommand()
{
  vtkPoints *temp = vtkPoints::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPointsCppCommand(vtkPoints *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPointsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPointsCppCommand((vtkPoints *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPointsCppCommand(vtkPoints *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPoints",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPoints  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPoints");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPoints  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPoints");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPoints  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPoints");
    return TCL_OK;
    }
    }
  if ((!strcmp("Allocate",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkIdType   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Allocate(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetData",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataArray",interp,error));
    if (!error)
    {
    op->SetData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetData",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetData();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("GetDataType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataTypeToBit",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToBit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToChar",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToUnsignedChar",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToShort",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToUnsignedShort",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToInt",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToUnsignedInt",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToUnsignedInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToLong",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToUnsignedLong",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToUnsignedLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetDataTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Squeeze",argv[1]))&&(argc == 2))
    {
    op->Squeeze();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPoints",interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPoints",interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActualMemorySize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetActualMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPoints",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPoint",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint",argv[1]))&&(argc == 6))
    {
    vtkIdType   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetPoint(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertPoint",argv[1]))&&(argc == 6))
    {
    vtkIdType   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->InsertPoint(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextPoint",argv[1]))&&(argc == 5))
    {
    float  temp0[3];
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->InsertNextPoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->InsertNextPoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertNextPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->InsertNextPoint(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfPoints",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoints",argv[1]))&&(argc == 4))
    {
    vtkIdList  *temp0;
    vtkPoints  *temp1;
    error = 0;

    temp0 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkIdList",interp,error));
    temp1 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPoints",interp,error));
    if (!error)
    {
    op->GetPoints(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeBounds",argv[1]))&&(argc == 2))
    {
    op->ComputeBounds();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPointsCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPoints:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Allocate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  SetData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetData\n",NULL);
    Tcl_AppendResult(interp,"  GetDataType\n",NULL);
    Tcl_AppendResult(interp,"  SetDataType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToBit\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToChar\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToUnsignedChar\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToShort\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToUnsignedShort\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToInt\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToUnsignedInt\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToLong\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToUnsignedLong\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetDataTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  Squeeze\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActualMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertNextPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPoints\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
