// python wrapper for vtkPriorityQueue object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPriorityQueue.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPriorityQueueNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPriorityQueueNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkPriorityQueue_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPriorityQueue *op;

  const char    *temp20;
  if ((op = (vtkPriorityQueue *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPriorityQueue::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPriorityQueue_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPriorityQueue *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPriorityQueue *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPriorityQueue::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPriorityQueue_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPriorityQueue *op;

  vtkPriorityQueue  *temp20;
  if ((op = (vtkPriorityQueue *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPriorityQueue::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPriorityQueue_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPriorityQueue  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPriorityQueue::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPriorityQueue_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPriorityQueue *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  if ((op = (vtkPriorityQueue *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPriorityQueue::Allocate(temp0,temp1);
      }
    else
      {
      op->Allocate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPriorityQueue_Insert(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPriorityQueue *op;

  double   temp0;
  vtkIdType   temp1;
  if ((op = (vtkPriorityQueue *)PyArg_VTKParseTuple(self, args, (char*)"di", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPriorityQueue::Insert(temp0,temp1);
      }
    else
      {
      op->Insert(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPriorityQueue_Pop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPriorityQueue *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  if ((op = (vtkPriorityQueue *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPriorityQueue::Pop(temp0);
      }
    else
      {
      temp20 = op->Pop(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPriorityQueue_Peek(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPriorityQueue *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  if ((op = (vtkPriorityQueue *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPriorityQueue::Peek(temp0);
      }
    else
      {
      temp20 = op->Peek(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPriorityQueue_DeleteId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPriorityQueue *op;

  vtkIdType   temp0;
  double   temp20;
  if ((op = (vtkPriorityQueue *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPriorityQueue::DeleteId(temp0);
      }
    else
      {
      temp20 = op->DeleteId(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPriorityQueue_GetPriority(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPriorityQueue *op;

  vtkIdType   temp0;
  double   temp20;
  if ((op = (vtkPriorityQueue *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPriorityQueue::GetPriority(temp0);
      }
    else
      {
      temp20 = op->GetPriority(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPriorityQueue_GetNumberOfItems(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPriorityQueue *op;

  vtkIdType   temp20;
  if ((op = (vtkPriorityQueue *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPriorityQueue::GetNumberOfItems();
      }
    else
      {
      temp20 = op->GetNumberOfItems();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPriorityQueue_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPriorityQueue *op;

  if ((op = (vtkPriorityQueue *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPriorityQueue::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPriorityQueueMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPriorityQueue_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPriorityQueue_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPriorityQueue_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPriorityQueue\nC++: vtkPriorityQueue *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPriorityQueue_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPriorityQueue\nC++: vtkPriorityQueue *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkPriorityQueue_Allocate, 1,
   (char*)"V.Allocate(int, int)\nC++: void Allocate (const vtkIdType sz, const vtkIdType ext);\n\n Allocate initial space for priority queue.\n"},
  {(char*)"Insert",                (PyCFunction)PyvtkPriorityQueue_Insert, 1,
   (char*)"V.Insert(float, int)\nC++: void Insert (double priority, vtkIdType id);\n\n Insert id with priority specified. The id is generally an\n index like a point id or cell id.\n"},
  {(char*)"Pop",                (PyCFunction)PyvtkPriorityQueue_Pop, 1,
   (char*)"V.Pop(int) -> int\nC++: vtkIdType Pop (vtkIdType location);\n\n Same as above but simplified for easier wrapping into interpreted\n languages.\n"},
  {(char*)"Peek",                (PyCFunction)PyvtkPriorityQueue_Peek, 1,
   (char*)"V.Peek(int) -> int\nC++: vtkIdType Peek (vtkIdType location);\n\n Peek into the queue without actually removing anything. Returns the\n id.\n"},
  {(char*)"DeleteId",                (PyCFunction)PyvtkPriorityQueue_DeleteId, 1,
   (char*)"V.DeleteId(int) -> float\nC++: double DeleteId (vtkIdType id);\n\n Delete entry in queue with specified id. Returns priority value\n associated with that id; or VTK_DOUBLE_MAX if not in queue.\n"},
  {(char*)"GetPriority",                (PyCFunction)PyvtkPriorityQueue_GetPriority, 1,
   (char*)"V.GetPriority(int) -> float\nC++: double GetPriority (vtkIdType id);\n\n Get the priority of an entry in the queue with specified id. Returns\n priority value of that id or VTK_DOUBLE_MAX if not in queue.\n"},
  {(char*)"GetNumberOfItems",                (PyCFunction)PyvtkPriorityQueue_GetNumberOfItems, 1,
   (char*)"V.GetNumberOfItems() -> int\nC++: vtkIdType GetNumberOfItems ();return this MaxId \n\n Return the number of items in this queue.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkPriorityQueue_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n Empty the queue but without releasing memory. This avoids the\n overhead of memory allocation/deletion.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPriorityQueueDoc[] = {
  (char*)"vtkPriorityQueue - an list of ids arranged in priority order\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkPriorityQueue is a general object for creating and manipulating lists\n of object ids (e.g., point or cell ids). Object ids are sorted according\n to a user-specified priority, where entries at the top of the queue have\n the smallest values.\n\n This implementation provides a feature beyond the usual ability to insert\n and retrieve (or pop) values from the queue. It is also possible to\n pop any it",
  (char*)"em in the queue given its id number. This allows you to delete\n entries in the queue which can useful for reinserting an item into the\n queue. \n\n\n",
  "Caveats:\n\n This implementation is a variation of the priority queue described in\n \"Data Structures & Algorithms\" by Aho, Hopcroft, Ullman. It creates \n a balanced, partially ordered binary tree implemented as an ordered\n array. This avoids the overhead associated with parent/child pointers,\n and frequent memory allocation and deallocation.\n\n",
  NULL
};

static vtkObjectBase *vtkPriorityQueueStaticNew()
{
  return vtkPriorityQueue::New();
}

PyObject *PyVTKClass_vtkPriorityQueueNew(char *modulename)
{
  return PyVTKClass_New(&vtkPriorityQueueStaticNew,
                        PyvtkPriorityQueueMethods,
                        (char*)"vtkPriorityQueue",modulename,
                        (char**)vtkPriorityQueueDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

