// python wrapper for vtkPropCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPropCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPropCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPropCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkPropCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropCollection *op;

  const char    *temp20;
  if ((op = (vtkPropCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPropCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropCollection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPropCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPropCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropCollection *op;

  vtkPropCollection  *temp20;
  if ((op = (vtkPropCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPropCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPropCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPropCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPropCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropCollection *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPropCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPropCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPropCollection_GetNextProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropCollection *op;

  vtkProp  *temp20;
  if ((op = (vtkPropCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropCollection::GetNextProp();
      }
    else
      {
      temp20 = op->GetNextProp();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPropCollection_GetLastProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropCollection *op;

  vtkProp  *temp20;
  if ((op = (vtkPropCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropCollection::GetLastProp();
      }
    else
      {
      temp20 = op->GetLastProp();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPropCollection_GetNumberOfPaths(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropCollection *op;

  int      temp20;
  if ((op = (vtkPropCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropCollection::GetNumberOfPaths();
      }
    else
      {
      temp20 = op->GetNumberOfPaths();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPropCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPropCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPropCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPropCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPropCollection\nC++: vtkPropCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPropCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPropCollection\nC++: vtkPropCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkPropCollection_AddItem, 1,
   (char*)"V.AddItem(vtkProp)\nC++: void AddItem (vtkProp *a);\n\n Add an Prop to the list.\n"},
  {(char*)"GetNextProp",                (PyCFunction)PyvtkPropCollection_GetNextProp, 1,
   (char*)"V.GetNextProp() -> vtkProp\nC++: vtkProp *GetNextProp ();\n\n Get the next Prop in the list.\n"},
  {(char*)"GetLastProp",                (PyCFunction)PyvtkPropCollection_GetLastProp, 1,
   (char*)"V.GetLastProp() -> vtkProp\nC++: vtkProp *GetLastProp ();\n\n Get the last Prop in the list.\n"},
  {(char*)"GetNumberOfPaths",                (PyCFunction)PyvtkPropCollection_GetNumberOfPaths, 1,
   (char*)"V.GetNumberOfPaths() -> int\nC++: int GetNumberOfPaths ();\n\n Get the number of paths contained in this list. (Recall that a\n vtkProp can consist of multiple parts.) Used in picking and other\n activities to get the parts of composite entities like vtkAssembly\n or vtkPropAssembly.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPropCollectionDoc[] = {
  (char*)"vtkPropCollection - a list of Props\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkPropCollection represents and provides methods to manipulate a list of\n Props (i.e., vtkProp and subclasses). The list is unsorted and duplicate\n entries are not prevented.\n\n",
  "See Also:\n\n vtkProp vtkCollection \n\n",
  NULL
};

static vtkObjectBase *vtkPropCollectionStaticNew()
{
  return vtkPropCollection::New();
}

PyObject *PyVTKClass_vtkPropCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkPropCollectionStaticNew,
                        PyvtkPropCollectionMethods,
                        (char*)"vtkPropCollection",modulename,
                        (char**)vtkPropCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

