// python wrapper for vtkProperty2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkProperty2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProperty2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProperty2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkProperty2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  const char    *temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  vtkProperty2D  *temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProperty2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProperty2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProperty2D_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  vtkProperty2D  *temp0;
  PyObject *tempH0;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProperty2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty2D");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty2D::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkProperty2D_SetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty2D::SetColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty2D::SetColor(temp0);
      }
    else
      {
      op->SetColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  double  *temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetColor();
      }
    else
      {
      temp20 = op->GetColor();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  double   temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetOpacity();
      }
    else
      {
      temp20 = op->GetOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_SetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  double   temp0;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty2D::SetOpacity(temp0);
      }
    else
      {
      op->SetOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_SetPointSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  float    temp0;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty2D::SetPointSize(temp0);
      }
    else
      {
      op->SetPointSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetPointSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  float    temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetPointSizeMinValue();
      }
    else
      {
      temp20 = op->GetPointSizeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetPointSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  float    temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetPointSizeMaxValue();
      }
    else
      {
      temp20 = op->GetPointSizeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetPointSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  float    temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetPointSize();
      }
    else
      {
      temp20 = op->GetPointSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_SetLineWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  float    temp0;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty2D::SetLineWidth(temp0);
      }
    else
      {
      op->SetLineWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetLineWidthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  float    temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetLineWidthMinValue();
      }
    else
      {
      temp20 = op->GetLineWidthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetLineWidthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  float    temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetLineWidthMaxValue();
      }
    else
      {
      temp20 = op->GetLineWidthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetLineWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  float    temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetLineWidth();
      }
    else
      {
      temp20 = op->GetLineWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_SetLineStipplePattern(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  int      temp0;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty2D::SetLineStipplePattern(temp0);
      }
    else
      {
      op->SetLineStipplePattern(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetLineStipplePattern(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  int      temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetLineStipplePattern();
      }
    else
      {
      temp20 = op->GetLineStipplePattern();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_SetLineStippleRepeatFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  int      temp0;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty2D::SetLineStippleRepeatFactor(temp0);
      }
    else
      {
      op->SetLineStippleRepeatFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetLineStippleRepeatFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  int      temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetLineStippleRepeatFactorMinValue();
      }
    else
      {
      temp20 = op->GetLineStippleRepeatFactorMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetLineStippleRepeatFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  int      temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetLineStippleRepeatFactorMaxValue();
      }
    else
      {
      temp20 = op->GetLineStippleRepeatFactorMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetLineStippleRepeatFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  int      temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetLineStippleRepeatFactor();
      }
    else
      {
      temp20 = op->GetLineStippleRepeatFactor();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_SetDisplayLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  int      temp0;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty2D::SetDisplayLocation(temp0);
      }
    else
      {
      op->SetDisplayLocation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetDisplayLocationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  int      temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetDisplayLocationMinValue();
      }
    else
      {
      temp20 = op->GetDisplayLocationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetDisplayLocationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  int      temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetDisplayLocationMaxValue();
      }
    else
      {
      temp20 = op->GetDisplayLocationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_GetDisplayLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  int      temp20;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty2D::GetDisplayLocation();
      }
    else
      {
      temp20 = op->GetDisplayLocation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_SetDisplayLocationToBackground(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty2D::SetDisplayLocationToBackground();
      }
    else
      {
      op->SetDisplayLocationToBackground();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_SetDisplayLocationToForeground(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty2D::SetDisplayLocationToForeground();
      }
    else
      {
      op->SetDisplayLocationToForeground();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty2D_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  if ((op = (vtkProperty2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty2D::Render(temp0);
      }
    else
      {
      op->Render(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break30:
  return NULL;
}

static PyMethodDef PyvtkProperty2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProperty2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProperty2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProperty2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProperty2D\nC++: vtkProperty2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProperty2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProperty2D\nC++: vtkProperty2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkProperty2D_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkProperty2D)\nC++: void DeepCopy (vtkProperty2D *p);\n\n Assign one property to another. \n"},
  {(char*)"SetColor",                (PyCFunction)PyvtkProperty2D_SetColor, 1,
   (char*)"V.SetColor(float, float, float)\nC++: void SetColor (double , double , double );\nV.SetColor((float, float, float))\nC++: void SetColor (double  a[3]);\n\n Set/Get the RGB color of this property.\n"},
  {(char*)"GetColor",                (PyCFunction)PyvtkProperty2D_GetColor, 1,
   (char*)"V.GetColor() -> (float, float, float)\nC++: double  *GetColor ();\n\n Set/Get the RGB color of this property.\n"},
  {(char*)"GetOpacity",                (PyCFunction)PyvtkProperty2D_GetOpacity, 1,
   (char*)"V.GetOpacity() -> float\nC++: double GetOpacity ();\n\n Set/Get the Opacity of this property.\n"},
  {(char*)"SetOpacity",                (PyCFunction)PyvtkProperty2D_SetOpacity, 1,
   (char*)"V.SetOpacity(float)\nC++: void SetOpacity (double );\n\n Set/Get the Opacity of this property.\n"},
  {(char*)"SetPointSize",                (PyCFunction)PyvtkProperty2D_SetPointSize, 1,
   (char*)"V.SetPointSize(float)\nC++: void SetPointSize (float );\n\n Set/Get the diameter of a Point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"GetPointSizeMinValue",                (PyCFunction)PyvtkProperty2D_GetPointSizeMinValue, 1,
   (char*)"V.GetPointSizeMinValue() -> float\nC++: float GetPointSizeMinValue ();\n\n Set/Get the diameter of a Point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"GetPointSizeMaxValue",                (PyCFunction)PyvtkProperty2D_GetPointSizeMaxValue, 1,
   (char*)"V.GetPointSizeMaxValue() -> float\nC++: float GetPointSizeMaxValue ();\n\n Set/Get the diameter of a Point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"GetPointSize",                (PyCFunction)PyvtkProperty2D_GetPointSize, 1,
   (char*)"V.GetPointSize() -> float\nC++: float GetPointSize ();\n\n Set/Get the diameter of a Point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"SetLineWidth",                (PyCFunction)PyvtkProperty2D_SetLineWidth, 1,
   (char*)"V.SetLineWidth(float)\nC++: void SetLineWidth (float );\n\n Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"GetLineWidthMinValue",                (PyCFunction)PyvtkProperty2D_GetLineWidthMinValue, 1,
   (char*)"V.GetLineWidthMinValue() -> float\nC++: float GetLineWidthMinValue ();\n\n Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"GetLineWidthMaxValue",                (PyCFunction)PyvtkProperty2D_GetLineWidthMaxValue, 1,
   (char*)"V.GetLineWidthMaxValue() -> float\nC++: float GetLineWidthMaxValue ();\n\n Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"GetLineWidth",                (PyCFunction)PyvtkProperty2D_GetLineWidth, 1,
   (char*)"V.GetLineWidth() -> float\nC++: float GetLineWidth ();\n\n Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"SetLineStipplePattern",                (PyCFunction)PyvtkProperty2D_SetLineStipplePattern, 1,
   (char*)"V.SetLineStipplePattern(int)\nC++: void SetLineStipplePattern (int );\n\n Set/Get the stippling pattern of a Line, as a 16-bit binary pattern \n (1 = pixel on, 0 = pixel off).\n This is only implemented for OpenGL. The default is 0xFFFF.\n"},
  {(char*)"GetLineStipplePattern",                (PyCFunction)PyvtkProperty2D_GetLineStipplePattern, 1,
   (char*)"V.GetLineStipplePattern() -> int\nC++: int GetLineStipplePattern ();\n\n Set/Get the stippling pattern of a Line, as a 16-bit binary pattern \n (1 = pixel on, 0 = pixel off).\n This is only implemented for OpenGL. The default is 0xFFFF.\n"},
  {(char*)"SetLineStippleRepeatFactor",                (PyCFunction)PyvtkProperty2D_SetLineStippleRepeatFactor, 1,
   (char*)"V.SetLineStippleRepeatFactor(int)\nC++: void SetLineStippleRepeatFactor (int );\n\n Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n"},
  {(char*)"GetLineStippleRepeatFactorMinValue",                (PyCFunction)PyvtkProperty2D_GetLineStippleRepeatFactorMinValue, 1,
   (char*)"V.GetLineStippleRepeatFactorMinValue() -> int\nC++: int GetLineStippleRepeatFactorMinValue ();\n\n Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n"},
  {(char*)"GetLineStippleRepeatFactorMaxValue",                (PyCFunction)PyvtkProperty2D_GetLineStippleRepeatFactorMaxValue, 1,
   (char*)"V.GetLineStippleRepeatFactorMaxValue() -> int\nC++: int GetLineStippleRepeatFactorMaxValue ();\n\n Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n"},
  {(char*)"GetLineStippleRepeatFactor",                (PyCFunction)PyvtkProperty2D_GetLineStippleRepeatFactor, 1,
   (char*)"V.GetLineStippleRepeatFactor() -> int\nC++: int GetLineStippleRepeatFactor ();\n\n Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n"},
  {(char*)"SetDisplayLocation",                (PyCFunction)PyvtkProperty2D_SetDisplayLocation, 1,
   (char*)"V.SetDisplayLocation(int)\nC++: void SetDisplayLocation (int );\n\n The DisplayLocation is either background or foreground.\n If it is background, then this 2D actor will be drawn\n behind all 3D props or foreground 2D actors. If it is\n background, then this 2D actor will be drawn in front of\n all 3D props and background 2D actors. Within 2D actors\n of the same DisplayLocation type, order is determined by\n the order in which the 2D actors were added to the viewport.\n"},
  {(char*)"GetDisplayLocationMinValue",                (PyCFunction)PyvtkProperty2D_GetDisplayLocationMinValue, 1,
   (char*)"V.GetDisplayLocationMinValue() -> int\nC++: int GetDisplayLocationMinValue ();\n\n The DisplayLocation is either background or foreground.\n If it is background, then this 2D actor will be drawn\n behind all 3D props or foreground 2D actors. If it is\n background, then this 2D actor will be drawn in front of\n all 3D props and background 2D actors. Within 2D actors\n of the same DisplayLocation type, order is determined by\n the order in which the 2D actors were added to the viewport.\n"},
  {(char*)"GetDisplayLocationMaxValue",                (PyCFunction)PyvtkProperty2D_GetDisplayLocationMaxValue, 1,
   (char*)"V.GetDisplayLocationMaxValue() -> int\nC++: int GetDisplayLocationMaxValue ();\n\n The DisplayLocation is either background or foreground.\n If it is background, then this 2D actor will be drawn\n behind all 3D props or foreground 2D actors. If it is\n background, then this 2D actor will be drawn in front of\n all 3D props and background 2D actors. Within 2D actors\n of the same DisplayLocation type, order is determined by\n the order in which the 2D actors were added to the viewport.\n"},
  {(char*)"GetDisplayLocation",                (PyCFunction)PyvtkProperty2D_GetDisplayLocation, 1,
   (char*)"V.GetDisplayLocation() -> int\nC++: int GetDisplayLocation ();\n\n The DisplayLocation is either background or foreground.\n If it is background, then this 2D actor will be drawn\n behind all 3D props or foreground 2D actors. If it is\n background, then this 2D actor will be drawn in front of\n all 3D props and background 2D actors. Within 2D actors\n of the same DisplayLocation type, order is determined by\n the order in which the 2D actors were added to the viewport.\n"},
  {(char*)"SetDisplayLocationToBackground",                (PyCFunction)PyvtkProperty2D_SetDisplayLocationToBackground, 1,
   (char*)"V.SetDisplayLocationToBackground()\nC++: void SetDisplayLocationToBackground ();this DisplayLocation VTK_BACKGROUND_LOCATION \n\n The DisplayLocation is either background or foreground.\n If it is background, then this 2D actor will be drawn\n behind all 3D props or foreground 2D actors. If it is\n background, then this 2D actor will be drawn in front of\n all 3D props and background 2D actors. Within 2D actors\n of the same DisplayLocation type, order is determined by\n the order in which the 2D actors were added to the viewport.\n"},
  {(char*)"SetDisplayLocationToForeground",                (PyCFunction)PyvtkProperty2D_SetDisplayLocationToForeground, 1,
   (char*)"V.SetDisplayLocationToForeground()\nC++: void SetDisplayLocationToForeground ();this DisplayLocation VTK_FOREGROUND_LOCATION \n\n The DisplayLocation is either background or foreground.\n If it is background, then this 2D actor will be drawn\n behind all 3D props or foreground 2D actors. If it is\n background, then this 2D actor will be drawn in front of\n all 3D props and background 2D actors. Within 2D actors\n of the same DisplayLocation type, order is determined by\n the order in which the 2D actors were added to the viewport.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkProperty2D_Render, 1,
   (char*)"V.Render(vtkViewport)\nC++: virtual void Render (vtkViewport *);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProperty2DDoc[] = {
  (char*)"vtkProperty2D - represent surface properties of a 2D image\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkProperty2D contains properties used to render two dimensional images\n and annotations.\n\n",
  "See Also:\n\n vtkActor2D \n\n",
  NULL
};

static vtkObjectBase *vtkProperty2DStaticNew()
{
  return vtkProperty2D::New();
}

PyObject *PyVTKClass_vtkProperty2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkProperty2DStaticNew,
                        PyvtkProperty2DMethods,
                        (char*)"vtkProperty2D",modulename,
                        (char**)vtkProperty2DDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

