// python wrapper for vtkQuadric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkQuadric.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQuadricNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQuadricNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }

static PyObject *PyvtkQuadric_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadric *op;

  const char    *temp20;
  if ((op = (vtkQuadric *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadric::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadric_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadric *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkQuadric *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadric::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadric_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadric *op;

  vtkQuadric  *temp20;
  if ((op = (vtkQuadric *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadric::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadric_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkQuadric  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkQuadric::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkQuadric_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadric *op;

  double temp0[3];
  double   temp20;
  if ((op = (vtkQuadric *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadric::EvaluateFunction(temp0);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkQuadric *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  if ((op = (vtkQuadric *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadric::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadric_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadric *op;

  double temp0[3];
  double temp1[3];
  if ((op = (vtkQuadric *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuadric::EvaluateGradient(temp0,temp1);
      }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadric_SetCoefficients(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadric *op;

  double temp0[10];
  if ((op = (vtkQuadric *)PyArg_VTKParseTuple(self, args, (char*)"(dddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuadric::SetCoefficients(temp0);
      }
    else
      {
      op->SetCoefficients(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,10)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkQuadric *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  double   temp9;
  PyErr_Clear();
  if ((op = (vtkQuadric *)PyArg_VTKParseTuple(self, args, (char*)"dddddddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6, &temp7, &temp8, &temp9)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuadric::SetCoefficients(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->SetCoefficients(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQuadric_GetCoefficients(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuadric *op;

  double  *temp20;
  if ((op = (vtkQuadric *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuadric::GetCoefficients();
      }
    else
      {
      temp20 = op->GetCoefficients();
      }
    return Py_BuildValue((char*)"dddddddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5],temp20[6],temp20[7],temp20[8],temp20[9]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkQuadricMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkQuadric_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkQuadric_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkQuadric_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQuadric\nC++: vtkQuadric *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkQuadric_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQuadric\nC++: vtkQuadric *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkQuadric_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: double EvaluateFunction (double x[3]);\nV.EvaluateFunction(float, float, float) -> float\nC++: double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z \n\n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkQuadric_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: void EvaluateGradient (double x[3], double g[3]);\n\n"},
  {(char*)"SetCoefficients",                (PyCFunction)PyvtkQuadric_SetCoefficients, 1,
   (char*)"V.SetCoefficients((float, float, float, float, float, float, float, float, float, float))\nC++: void SetCoefficients (double a[10]);\nV.SetCoefficients(float, float, float, float, float, float, float, float, float, float)\nC++: void SetCoefficients (double a0, double a1, double a2, double a3, double a4, double a5, double a6, double a7, double a8, double a9);\n\n"},
  {(char*)"GetCoefficients",                (PyCFunction)PyvtkQuadric_GetCoefficients, 1,
   (char*)"V.GetCoefficients() -> (float, float, float, float, float, float, float, float, float, float)\nC++: double  *GetCoefficients ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkQuadricDoc[] = {
  (char*)"vtkQuadric - evaluate implicit quadric function\n\n",
  "Super Class:\n\n vtkImplicitFunction\n\n",
  (char*)" vtkQuadric evaluates the quadric function F(x,y,z) = a0*x^2 + a1*y^2 + \n a2*z^2 + a3*x*y + a4*y*z + a5*x*z + a6*x + a7*y + a8*z + a9. vtkQuadric is\n a concrete implementation of vtkImplicitFunction.\n\n",
  NULL
};

static vtkObjectBase *vtkQuadricStaticNew()
{
  return vtkQuadric::New();
}

PyObject *PyVTKClass_vtkQuadricNew(char *modulename)
{
  return PyVTKClass_New(&vtkQuadricStaticNew,
                        PyvtkQuadricMethods,
                        (char*)"vtkQuadric",modulename,
                        (char**)vtkQuadricDoc,
                        PyVTKClass_vtkImplicitFunctionNew(modulename));
}

