// python wrapper for vtkRungeKutta2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkRungeKutta2.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRungeKutta2New(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRungeKutta2New(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInitialValueProblemSolverNew(char *); }

static PyObject *PyvtkRungeKutta2_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRungeKutta2 *op;

  const char    *temp20;
  if ((op = (vtkRungeKutta2 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRungeKutta2::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRungeKutta2_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRungeKutta2 *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkRungeKutta2 *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRungeKutta2::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRungeKutta2_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRungeKutta2 *op;

  vtkRungeKutta2  *temp20;
  if ((op = (vtkRungeKutta2 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRungeKutta2::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRungeKutta2_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRungeKutta2  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRungeKutta2::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkRungeKutta2Methods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRungeKutta2_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRungeKutta2_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRungeKutta2_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRungeKutta2\nC++: vtkRungeKutta2 *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRungeKutta2_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRungeKutta2\nC++: vtkRungeKutta2 *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRungeKutta2Doc[] = {
  (char*)"vtkRungeKutta2 - Integrate an initial value problem using 2nd\n\n",
  "Super Class:\n\n vtkInitialValueProblemSolver\n\n",
  (char*)" This is a concrete sub-class of vtkInitialValueProblemSolver.\n It uses a 2nd order Runge-Kutta method to obtain the values of\n a set of functions at the next time step.\n\n",
  "See Also:\n\n vtkInitialValueProblemSolver vtkRungeKutta4 vtkRungeKutta45 vtkFunctionSet\n\n",
  NULL
};

static vtkObjectBase *vtkRungeKutta2StaticNew()
{
  return vtkRungeKutta2::New();
}

PyObject *PyVTKClass_vtkRungeKutta2New(char *modulename)
{
  return PyVTKClass_New(&vtkRungeKutta2StaticNew,
                        PyvtkRungeKutta2Methods,
                        (char*)"vtkRungeKutta2",modulename,
                        (char**)vtkRungeKutta2Doc,
                        PyVTKClass_vtkInitialValueProblemSolverNew(modulename));
}

