// python wrapper for vtkScalarsToColors object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkScalarsToColors.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkScalarsToColorsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkScalarsToColorsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkScalarsToColors_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  const char    *temp20;
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColors::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColors::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  vtkScalarsToColors  *temp20;
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColors::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_Build(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarsToColors::Build();
      }
    else
      {
      op->Build();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_SetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SetRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarsToColors::SetRange(temp0);
      }
    else
      {
      op->SetRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_GetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  double   temp0;
  double temp1[3];
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"d(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetColor(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  double   temp0;
  double  *temp20;
  PyErr_Clear();
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColors::GetColor(temp0);
      }
    else
      {
      temp20 = op->GetColor(temp0);
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_GetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  double   temp0;
  double   temp20;
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColors::GetOpacity(temp0);
      }
    else
      {
      temp20 = op->GetOpacity(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_GetLuminance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  double   temp0;
  double   temp20;
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColors::GetLuminance(temp0);
      }
    else
      {
      temp20 = op->GetLuminance(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_SetAlpha(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  double   temp0;
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarsToColors::SetAlpha(temp0);
      }
    else
      {
      op->SetAlpha(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_GetAlpha(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  double   temp20;
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColors::GetAlpha();
      }
    else
      {
      temp20 = op->GetAlpha();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_MapScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  vtkUnsignedCharArray  *temp20;
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColors::MapScalars(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->MapScalars(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkScalarsToColors_SetVectorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  int      temp0;
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarsToColors::SetVectorMode(temp0);
      }
    else
      {
      op->SetVectorMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_GetVectorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  int      temp20;
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColors::GetVectorMode();
      }
    else
      {
      temp20 = op->GetVectorMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_SetVectorModeToMagnitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarsToColors::SetVectorModeToMagnitude();
      }
    else
      {
      op->SetVectorModeToMagnitude();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_SetVectorModeToComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarsToColors::SetVectorModeToComponent();
      }
    else
      {
      op->SetVectorModeToComponent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_SetVectorComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  int      temp0;
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarsToColors::SetVectorComponent(temp0);
      }
    else
      {
      op->SetVectorComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_GetVectorComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  int      temp20;
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColors::GetVectorComponent();
      }
    else
      {
      temp20 = op->GetVectorComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarsToColors_ConvertUnsignedCharToRGBA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarsToColors *op;

  vtkUnsignedCharArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  vtkUnsignedCharArray  *temp20;
  if ((op = (vtkScalarsToColors *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnsignedCharArray");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarsToColors::ConvertUnsignedCharToRGBA(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ConvertUnsignedCharToRGBA(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break19:
  return NULL;
}

static PyMethodDef PyvtkScalarsToColorsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkScalarsToColors_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkScalarsToColors_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkScalarsToColors_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkScalarsToColors\nC++: vtkScalarsToColors *NewInstance ();\n\n"},
  {(char*)"Build",                (PyCFunction)PyvtkScalarsToColors_Build, 1,
   (char*)"V.Build()\nC++: virtual void Build ();\n\n Perform any processing required (if any) before processing \n scalars.\n"},
  {(char*)"SetRange",                (PyCFunction)PyvtkScalarsToColors_SetRange, 1,
   (char*)"V.SetRange(float, float)\nC++: virtual void SetRange (double min, double max) = 0;\nV.SetRange((float, float))\nC++: void SetRange (double rng[2]);this SetRange rng rng \n\n Sets/Gets the range of scalars which will be mapped.\n"},
  {(char*)"GetColor",                (PyCFunction)PyvtkScalarsToColors_GetColor, 1,
   (char*)"V.GetColor(float, (float, float, float))\nC++: virtual void GetColor (double v, double rgb[3]) = 0;\nV.GetColor(float) -> (float, float, float)\nC++: double *GetColor (double v);this GetColor v this RGB return this RGB \n\n Map one value through the lookup table and return the color as\n an RGB array of doubles between 0 and 1.\n"},
  {(char*)"GetOpacity",                (PyCFunction)PyvtkScalarsToColors_GetOpacity, 1,
   (char*)"V.GetOpacity(float) -> float\nC++: virtual double GetOpacity (double );return \n\n Map one value through the lookup table and return the luminance\n 0.3*red + 0.59*green + 0.11*blue as a double between 0 and 1.\n Returns the luminance value for the specified scalar value.\n"},
  {(char*)"GetLuminance",                (PyCFunction)PyvtkScalarsToColors_GetLuminance, 1,
   (char*)"V.GetLuminance(float) -> float\nC++: double GetLuminance (double x);double rgb this GetColor x rgb return static_cast double rgb rgb rgb \n\n Specify an additional opacity (alpha) value to blend with. Values\n != 1 modify the resulting color consistent with the requested\n form of the output. This is typically used by an actor in order to\n blend its opacity.\n"},
  {(char*)"SetAlpha",                (PyCFunction)PyvtkScalarsToColors_SetAlpha, 1,
   (char*)"V.SetAlpha(float)\nC++: void SetAlpha (double alpha);\n\n Specify an additional opacity (alpha) value to blend with. Values\n != 1 modify the resulting color consistent with the requested\n form of the output. This is typically used by an actor in order to\n blend its opacity.\n"},
  {(char*)"GetAlpha",                (PyCFunction)PyvtkScalarsToColors_GetAlpha, 1,
   (char*)"V.GetAlpha() -> float\nC++: double GetAlpha ();\n\n Specify an additional opacity (alpha) value to blend with. Values\n != 1 modify the resulting color consistent with the requested\n form of the output. This is typically used by an actor in order to\n blend its opacity.\n"},
  {(char*)"MapScalars",                (PyCFunction)PyvtkScalarsToColors_MapScalars, 1,
   (char*)"V.MapScalars(vtkDataArray, int, int) -> vtkUnsignedCharArray\nC++: vtkUnsignedCharArray *MapScalars (vtkDataArray *scalars, int colorMode, int component);\n\n An internal method maps a data array into a 4-component, unsigned char\n RGBA array. The color mode determines the behavior of mapping. If \n VTK_COLOR_MODE_DEFAULT is set, then unsigned char data arrays are\n treated as colors (and converted to RGBA if necessary); otherwise, \n the data is mapped through this instance of ScalarsToColors. The offset\n is used for data arrays with more than one component; it indicates \n which component to use to do the blending.\n When the component argument is -1, then the this object uses its\n own selected technique to change a vector into a scalar to map.\n"},
  {(char*)"SetVectorMode",                (PyCFunction)PyvtkScalarsToColors_SetVectorMode, 1,
   (char*)"V.SetVectorMode(int)\nC++: void SetVectorMode (int );\n\n Change mode that maps vectors by magnitude vs. component.\n"},
  {(char*)"GetVectorMode",                (PyCFunction)PyvtkScalarsToColors_GetVectorMode, 1,
   (char*)"V.GetVectorMode() -> int\nC++: int GetVectorMode ();\n\n Change mode that maps vectors by magnitude vs. component.\n"},
  {(char*)"SetVectorModeToMagnitude",                (PyCFunction)PyvtkScalarsToColors_SetVectorModeToMagnitude, 1,
   (char*)"V.SetVectorModeToMagnitude()\nC++: void SetVectorModeToMagnitude ();\n\n Change mode that maps vectors by magnitude vs. component.\n"},
  {(char*)"SetVectorModeToComponent",                (PyCFunction)PyvtkScalarsToColors_SetVectorModeToComponent, 1,
   (char*)"V.SetVectorModeToComponent()\nC++: void SetVectorModeToComponent ();\n\n Change mode that maps vectors by magnitude vs. component.\n"},
  {(char*)"SetVectorComponent",                (PyCFunction)PyvtkScalarsToColors_SetVectorComponent, 1,
   (char*)"V.SetVectorComponent(int)\nC++: void SetVectorComponent (int );\n\n If the mapper does not select which component of a vector\n to map to colors, you can specify it here.\n"},
  {(char*)"GetVectorComponent",                (PyCFunction)PyvtkScalarsToColors_GetVectorComponent, 1,
   (char*)"V.GetVectorComponent() -> int\nC++: int GetVectorComponent ();\n\n If the mapper does not select which component of a vector\n to map to colors, you can specify it here.\n"},
  {(char*)"ConvertUnsignedCharToRGBA",                (PyCFunction)PyvtkScalarsToColors_ConvertUnsignedCharToRGBA, 1,
   (char*)"V.ConvertUnsignedCharToRGBA(vtkUnsignedCharArray, int, int) -> vtkUnsignedCharArray\nC++: virtual vtkUnsignedCharArray *ConvertUnsignedCharToRGBA (vtkUnsignedCharArray *colors, int numComp, int numTuples);\n\n An internal method used to convert a color array to RGBA. The\n method instantiates a vtkUnsignedCharArray and returns it. The user is\n responsible for managing the memory.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkScalarsToColorsDoc[] = {
  (char*)"vtkScalarsToColors - map scalar values into colors\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkScalarsToColors is a general purpose superclass for objects that\n convert scalars to colors. This include vtkLookupTable classes and\n color transfer functions.\n\n The scalars to color mapping can be augmented with an additional\n uniform alpha blend. This is used, for example, to blend a vtkActor's\n opacity with the lookup table values.\n\n\n",
  "See Also:\n\n vtkLookupTable vtkColorTransferFunction\n\n",
  NULL
};

PyObject *PyVTKClass_vtkScalarsToColorsNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkScalarsToColorsMethods,
                        (char*)"vtkScalarsToColors",modulename,
                        (char**)vtkScalarsToColorsDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

