// python wrapper for vtkSphericalTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSphericalTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSphericalTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSphericalTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWarpTransformNew(char *); }

static PyObject *PyvtkSphericalTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphericalTransform *op;

  const char    *temp20;
  if ((op = (vtkSphericalTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphericalTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSphericalTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphericalTransform *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSphericalTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphericalTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphericalTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphericalTransform *op;

  vtkSphericalTransform  *temp20;
  if ((op = (vtkSphericalTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphericalTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphericalTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSphericalTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSphericalTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSphericalTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphericalTransform *op;

  vtkAbstractTransform  *temp20;
  if ((op = (vtkSphericalTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphericalTransform::MakeTransform();
      }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSphericalTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSphericalTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSphericalTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSphericalTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSphericalTransform\nC++: vtkSphericalTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSphericalTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSphericalTransform\nC++: vtkSphericalTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkSphericalTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *MakeTransform ();\n\n Make another transform of the same type.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSphericalTransformDoc[] = {
  (char*)"vtkSphericalTransform - spherical to rectangular coords and back\n\n",
  "Super Class:\n\n vtkWarpTransform\n\n",
  (char*)" vtkSphericalTransform will convert (r,phi,theta) coordinates to \n (x,y,z) coordinates and back again.  The angles are given in radians.\n By default, it converts cylindrical coordinates to rectangular, but\n GetInverse() returns a transform that will do the opposite.  The equation\n that is used is x = r*sin(phi)*cos(theta), y = r*sin(phi)*sin(theta),\n z = r*cos(phi).\n\n",
  "Caveats:\n\n This transform is not well behaved along the line x=y=0 (i.e. along\n the z-axis)\n\n",
  "See Also:\n\n vtkCylindricalTransform vtkGeneralTransform\n\n",
  NULL
};

static vtkObjectBase *vtkSphericalTransformStaticNew()
{
  return vtkSphericalTransform::New();
}

PyObject *PyVTKClass_vtkSphericalTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkSphericalTransformStaticNew,
                        PyvtkSphericalTransformMethods,
                        (char*)"vtkSphericalTransform",modulename,
                        (char**)vtkSphericalTransformDoc,
                        PyVTKClass_vtkWarpTransformNew(modulename));
}

