// python wrapper for vtkStringArray object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkStringArray.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStringArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStringArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractArrayNew(char *); }

static PyObject *PyvtkStringArray_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  const char    *temp20;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringArray::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringArray::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  vtkStringArray  *temp20;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringArray::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStringArray  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStringArray::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStringArray_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  int      temp20;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringArray::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringArray::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_GetDataTypeSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  int      temp20;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringArray::GetDataTypeSize();
      }
    else
      {
      temp20 = op->GetDataTypeSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringArray::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_Resize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  vtkIdType   temp0;
  int      temp20;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringArray::Resize(temp0);
      }
    else
      {
      temp20 = op->Resize(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_GetValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  vtkAbstractArray  *temp1;
  PyObject *tempH1;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break9;
    temp1 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAbstractArray");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkStringArray::GetValues(temp0,temp1);
      }
    else
      {
      op->GetValues(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  /* handle an occurrence */
  {
  vtkStringArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  PyErr_Clear();
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2)))
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkStringArray::GetValues(temp0,temp1,temp2);
      }
    else
      {
      op->GetValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkStringArray_CopyValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  int      temp0;
  int      temp1;
  vtkAbstractArray  *temp2;
  PyObject *tempH2;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2)))
    {
    temp2 = (vtkAbstractArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAbstractArray");
    if (!temp2 && tempH2 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkStringArray::CopyValue(temp0,temp1,temp2);
      }
    else
      {
      op->CopyValue(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkStringArray_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  int      temp20;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringArray::Allocate(temp0,temp1);
      }
    else
      {
      temp20 = op->Allocate(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  vtkIdType   temp0;
  const char    *temp20;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringArray::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  vtkIdType   temp0;
  char    *temp1;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringArray::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_SetNumberOfValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  vtkIdType   temp0;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringArray::SetNumberOfValues(temp0);
      }
    else
      {
      op->SetNumberOfValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_GetNumberOfValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  int      temp20;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringArray::GetNumberOfValues();
      }
    else
      {
      temp20 = op->GetNumberOfValues();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_GetNumberOfElementComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  int      temp20;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringArray::GetNumberOfElementComponents();
      }
    else
      {
      temp20 = op->GetNumberOfElementComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_GetElementComponentSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  int      temp20;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringArray::GetElementComponentSize();
      }
    else
      {
      temp20 = op->GetElementComponentSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_InsertValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  vtkIdType   temp0;
  char    *temp1;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStringArray::InsertValue(temp0,temp1);
      }
    else
      {
      op->InsertValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_InsertNextValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  char    *temp0;
  vtkIdType   temp20;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringArray::InsertNextValue(temp0);
      }
    else
      {
      temp20 = op->InsertNextValue(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  unsigned long     temp20;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStringArray::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStringArray_ConvertFromContiguous(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStringArray *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkIdTypeArray  *temp1;
  PyObject *tempH1;
  if ((op = (vtkStringArray *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break22;
    temp1 = (vtkIdTypeArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdTypeArray");
    if (!temp1 && tempH1 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkStringArray::ConvertFromContiguous(temp0,temp1);
      }
    else
      {
      op->ConvertFromContiguous(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}

static PyMethodDef PyvtkStringArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStringArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStringArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStringArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStringArray\nC++: vtkStringArray *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStringArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStringArray\nC++: vtkStringArray *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkStringArray_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: int GetDataType ();return VTK_STRING \n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkStringArray_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Release storage and reset array to initial state.\n"},
  {(char*)"GetDataTypeSize",                (PyCFunction)PyvtkStringArray_GetDataTypeSize, 1,
   (char*)"V.GetDataTypeSize() -> int\nC++: int GetDataTypeSize ();\n\n Return the size of the data type.  WARNING: This may not mean\n what you expect with strings.  It will return\n sizeof(vtkstd::string) and not take into account the data\n included in any particular string.\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkStringArray_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: void Squeeze ();this ResizeAndExtend this MaxId \n\n Resize the array while conserving the data.\n"},
  {(char*)"Resize",                (PyCFunction)PyvtkStringArray_Resize, 1,
   (char*)"V.Resize(int) -> int\nC++: int Resize (vtkIdType numTuples);\n\n Resize the array while conserving the data.\n"},
  {(char*)"GetValues",                (PyCFunction)PyvtkStringArray_GetValues, 1,
   (char*)"V.GetValues(vtkIdList, vtkAbstractArray)\nC++: void GetValues (vtkIdList *ptIds, vtkAbstractArray *output);\nV.GetValues(int, int, vtkAbstractArray)\nC++: void GetValues (vtkIdType p1, vtkIdType p2, vtkAbstractArray *output);\n\n Given a list of indices, return an array of values.  You must\n insure that the output array has been previously allocated with\n enough space to hold the data and that the types match\n sufficiently to allow conversion (if necessary).\n"},
  {(char*)"CopyValue",                (PyCFunction)PyvtkStringArray_CopyValue, 1,
   (char*)"V.CopyValue(int, int, vtkAbstractArray)\nC++: void CopyValue (int toIndex, int fromIndex, vtkAbstractArray *sourceArray);\n\n Copy a value from a given source array into this array.\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkStringArray_Allocate, 1,
   (char*)"V.Allocate(int, int) -> int\nC++: int Allocate (vtkIdType sz, vtkIdType ext);\n\n Allocate memory for this array. Delete old storage only if necessary.\n Note that ext is no longer used.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkStringArray_GetValue, 1,
   (char*)"V.GetValue(int) -> string\nC++: vtkStdString &GetValue (vtkIdType id);\n\n Get the data at a particular index.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkStringArray_SetValue, 1,
   (char*)"V.SetValue(int, string)\nC++: void SetValue (vtkIdType id, const char *value);\n\n Set the data at a particular index. Does not do range checking. Make sure\n you use the method SetNumberOfValues() before inserting data.\n"},
  {(char*)"SetNumberOfValues",                (PyCFunction)PyvtkStringArray_SetNumberOfValues, 1,
   (char*)"V.SetNumberOfValues(int)\nC++: void SetNumberOfValues (vtkIdType number);\n\n Specify the number of values for this object to hold. Does an\n allocation as well as setting the MaxId ivar. Used in conjunction with\n SetValue() method for fast insertion.\n"},
  {(char*)"GetNumberOfValues",                (PyCFunction)PyvtkStringArray_GetNumberOfValues, 1,
   (char*)"V.GetNumberOfValues() -> int\nC++: int GetNumberOfValues ();return this MaxId \n\n"},
  {(char*)"GetNumberOfElementComponents",                (PyCFunction)PyvtkStringArray_GetNumberOfElementComponents, 1,
   (char*)"V.GetNumberOfElementComponents() -> int\nC++: int GetNumberOfElementComponents ();return \n\n"},
  {(char*)"GetElementComponentSize",                (PyCFunction)PyvtkStringArray_GetElementComponentSize, 1,
   (char*)"V.GetElementComponentSize() -> int\nC++: int GetElementComponentSize ();return static_cast int sizeof vtkStdString value_type \n\n Insert data at a specified position in the array.\n"},
  {(char*)"InsertValue",                (PyCFunction)PyvtkStringArray_InsertValue, 1,
   (char*)"V.InsertValue(int, string)\nC++: void InsertValue (vtkIdType id, const char *val);\n\n Insert data at a specified position in the array.\n"},
  {(char*)"InsertNextValue",                (PyCFunction)PyvtkStringArray_InsertNextValue, 1,
   (char*)"V.InsertNextValue(string) -> int\nC++: vtkIdType InsertNextValue (const char *f);\n\n Insert data at the end of the array. Return its location in the array.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkStringArray_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: unsigned long GetActualMemorySize ();\n\n Return the memory in kilobytes consumed by this data array. Used to\n support streaming and reading/writing data. The value returned is\n guaranteed to be greater than or equal to the memory required to\n actually represent the data represented by this object. The \n information returned is valid only after the pipeline has \n been updated.\n\n This function takes into account the size of the contents of the\n strings as well as the string containers themselves.\n"},
  {(char*)"ConvertFromContiguous",                (PyCFunction)PyvtkStringArray_ConvertFromContiguous, 1,
   (char*)"V.ConvertFromContiguous(vtkDataArray, vtkIdTypeArray)\nC++: void ConvertFromContiguous (vtkDataArray *Data, vtkIdTypeArray *Offsets);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStringArrayDoc[] = {
  (char*)"vtkStringArray - Subclass of vtkAbstractArray that holds vtkStdStrings\n\n",
  "Super Class:\n\n vtkAbstractArray\n\n",
  (char*)" Points and cells may sometimes have associated data that are stored\n as strings, e.g. many information visualization projects.  This\n class provides a reasonably clean way to store and access those.\n\n\n\n",
  "Caveats:\n\n \n Wrapping support for the Set/Get/Insert methods is a little\n strange.  The Tcl/Python/Java wrappers treat vtkStdString as const\n char * right now instead of dealing with native strings.  This is\n why there are two versions of every Set method: one (which you\n should use in C++ code) taking a vtkStdString argument and one\n (used by the wrapper) taking a const char * argument.\n\n If you'd like to look into modifying the wrappers to handle this\n properly, go right ah ...\n [Truncated]\n\n",
  NULL
};

static vtkObjectBase *vtkStringArrayStaticNew()
{
  return vtkStringArray::New();
}

PyObject *PyVTKClass_vtkStringArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkStringArrayStaticNew,
                        PyvtkStringArrayMethods,
                        (char*)"vtkStringArray",modulename,
                        (char**)vtkStringArrayDoc,
                        PyVTKClass_vtkAbstractArrayNew(modulename));
}

