// python wrapper for vtkStructuredVisibilityConstraint object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkStructuredVisibilityConstraint.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredVisibilityConstraintNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredVisibilityConstraintNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkStructuredVisibilityConstraint_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredVisibilityConstraint *op;

  const char    *temp20;
  if ((op = (vtkStructuredVisibilityConstraint *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredVisibilityConstraint::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredVisibilityConstraint_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredVisibilityConstraint *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkStructuredVisibilityConstraint *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredVisibilityConstraint::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredVisibilityConstraint_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredVisibilityConstraint *op;

  vtkStructuredVisibilityConstraint  *temp20;
  if ((op = (vtkStructuredVisibilityConstraint *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredVisibilityConstraint::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredVisibilityConstraint_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStructuredVisibilityConstraint  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStructuredVisibilityConstraint::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStructuredVisibilityConstraint_IsVisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredVisibilityConstraint *op;

  vtkIdType   temp0;
  unsigned char     temp20;
  if ((op = (vtkStructuredVisibilityConstraint *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredVisibilityConstraint::IsVisible(temp0);
      }
    else
      {
      temp20 = op->IsVisible(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredVisibilityConstraint_Blank(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredVisibilityConstraint *op;

  vtkIdType   temp0;
  if ((op = (vtkStructuredVisibilityConstraint *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredVisibilityConstraint::Blank(temp0);
      }
    else
      {
      op->Blank(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredVisibilityConstraint_UnBlank(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredVisibilityConstraint *op;

  vtkIdType   temp0;
  if ((op = (vtkStructuredVisibilityConstraint *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredVisibilityConstraint::UnBlank(temp0);
      }
    else
      {
      op->UnBlank(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredVisibilityConstraint_GetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredVisibilityConstraint *op;

  int     *temp20;
  if ((op = (vtkStructuredVisibilityConstraint *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredVisibilityConstraint::GetDimensions();
      }
    else
      {
      temp20 = op->GetDimensions();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredVisibilityConstraint_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredVisibilityConstraint *op;

  int    temp0[3];
  if ((op = (vtkStructuredVisibilityConstraint *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredVisibilityConstraint::Initialize(temp0);
      }
    else
      {
      op->Initialize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredVisibilityConstraint_SetVisibilityById(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredVisibilityConstraint *op;

  vtkUnsignedCharArray  *temp0;
  PyObject *tempH0;
  if ((op = (vtkStructuredVisibilityConstraint *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnsignedCharArray");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredVisibilityConstraint::SetVisibilityById(temp0);
      }
    else
      {
      op->SetVisibilityById(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkStructuredVisibilityConstraint_GetVisibilityById(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredVisibilityConstraint *op;

  vtkUnsignedCharArray  *temp20;
  if ((op = (vtkStructuredVisibilityConstraint *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredVisibilityConstraint::GetVisibilityById();
      }
    else
      {
      temp20 = op->GetVisibilityById();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredVisibilityConstraint_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredVisibilityConstraint *op;

  vtkStructuredVisibilityConstraint  *temp0;
  PyObject *tempH0;
  if ((op = (vtkStructuredVisibilityConstraint *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkStructuredVisibilityConstraint *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStructuredVisibilityConstraint");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredVisibilityConstraint::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkStructuredVisibilityConstraint_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredVisibilityConstraint *op;

  vtkStructuredVisibilityConstraint  *temp0;
  PyObject *tempH0;
  if ((op = (vtkStructuredVisibilityConstraint *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkStructuredVisibilityConstraint *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStructuredVisibilityConstraint");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredVisibilityConstraint::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkStructuredVisibilityConstraint_IsConstrained(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredVisibilityConstraint *op;

  unsigned char     temp20;
  if ((op = (vtkStructuredVisibilityConstraint *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredVisibilityConstraint::IsConstrained();
      }
    else
      {
      temp20 = op->IsConstrained();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStructuredVisibilityConstraintMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredVisibilityConstraint_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredVisibilityConstraint_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredVisibilityConstraint_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredVisibilityConstraint\nC++: vtkStructuredVisibilityConstraint *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStructuredVisibilityConstraint_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStructuredVisibilityConstraint\nC++: vtkStructuredVisibilityConstraint *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"IsVisible",                (PyCFunction)PyvtkStructuredVisibilityConstraint_IsVisible, 1,
   (char*)"V.IsVisible(int) -> int\nC++: unsigned char IsVisible (vtkIdType id);\n\n Returns 1 is the point/cell is visible, 0 otherwise.\n"},
  {(char*)"Blank",                (PyCFunction)PyvtkStructuredVisibilityConstraint_Blank, 1,
   (char*)"V.Blank(int)\nC++: void Blank (vtkIdType id);\n\n Sets the visibility flag of the given point/cell off.\n The first time blank is called, a new visibility array\n is created if it doesn't exist.\n"},
  {(char*)"UnBlank",                (PyCFunction)PyvtkStructuredVisibilityConstraint_UnBlank, 1,
   (char*)"V.UnBlank(int)\nC++: void UnBlank (vtkIdType id);\n\n Sets the visibility flag of the given point/cell on.\n"},
  {(char*)"GetDimensions",                (PyCFunction)PyvtkStructuredVisibilityConstraint_GetDimensions, 1,
   (char*)"V.GetDimensions() -> (int, int, int)\nC++: int  *GetDimensions ();\n\n Get the dimensions used to initialize the object.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkStructuredVisibilityConstraint_Initialize, 1,
   (char*)"V.Initialize((int, int, int))\nC++: void Initialize (int dims[3]);\n\n Set the dimensions and set the Initialized flag to 1. Once\n an object is initialized, it's dimensions can not be\n changed anymore.\n"},
  {(char*)"SetVisibilityById",                (PyCFunction)PyvtkStructuredVisibilityConstraint_SetVisibilityById, 1,
   (char*)"V.SetVisibilityById(vtkUnsignedCharArray)\nC++: void SetVisibilityById (vtkUnsignedCharArray *vis);\n\n Set/Get the array used to store the visibility flags.\n"},
  {(char*)"GetVisibilityById",                (PyCFunction)PyvtkStructuredVisibilityConstraint_GetVisibilityById, 1,
   (char*)"V.GetVisibilityById() -> vtkUnsignedCharArray\nC++: vtkUnsignedCharArray *GetVisibilityById ();\n\n Set/Get the array used to store the visibility flags.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkStructuredVisibilityConstraint_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkStructuredVisibilityConstraint)\nC++: void ShallowCopy (vtkStructuredVisibilityConstraint *src);\n\n Copies the dimensions, the visibility array pointer\n and the initialized flag.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkStructuredVisibilityConstraint_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkStructuredVisibilityConstraint)\nC++: void DeepCopy (vtkStructuredVisibilityConstraint *src);\n\n Copies the dimensions, the visibility array \n and the initialized flag.\n"},
  {(char*)"IsConstrained",                (PyCFunction)PyvtkStructuredVisibilityConstraint_IsConstrained, 1,
   (char*)"V.IsConstrained() -> int\nC++: unsigned char IsConstrained ();return this VisibilityById \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredVisibilityConstraintDoc[] = {
  (char*)"vtkStructuredVisibilityConstraint - helper object to manage the\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkStructuredVisibilityConstraint is a general class to manage\n a list of points/cell marked as invalid or invisible. Currently,\n it does this by maintaining an unsigned char array associated\n with points/cells. To conserve memory, this array is allocated\n only when it is needed (when Blank() is called the first time).\n Make sure to call Initialize() with the right dimensions before\n calling any ",
  (char*)"methods that set/get visibility.\n\n",
  NULL
};

static vtkObjectBase *vtkStructuredVisibilityConstraintStaticNew()
{
  return vtkStructuredVisibilityConstraint::New();
}

PyObject *PyVTKClass_vtkStructuredVisibilityConstraintNew(char *modulename)
{
  return PyVTKClass_New(&vtkStructuredVisibilityConstraintStaticNew,
                        PyvtkStructuredVisibilityConstraintMethods,
                        (char*)"vtkStructuredVisibilityConstraint",modulename,
                        (char**)vtkStructuredVisibilityConstraintDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

