// python wrapper for vtkTensor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTensor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTensorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTensorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTensor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensor *op;

  const char    *temp20;
  if ((op = (vtkTensor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTensor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensor *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTensor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensor *op;

  vtkTensor  *temp20;
  if ((op = (vtkTensor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTensor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTensor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTensor_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensor *op;

  if ((op = (vtkTensor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensor::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensor_GetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensor *op;

  int      temp0;
  int      temp1;
  double   temp20;
  if ((op = (vtkTensor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensor::GetComponent(temp0,temp1);
      }
    else
      {
      temp20 = op->GetComponent(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensor_SetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensor *op;

  int      temp0;
  int      temp1;
  double   temp2;
  if ((op = (vtkTensor *)PyArg_VTKParseTuple(self, args, (char*)"iid", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensor::SetComponent(temp0,temp1,temp2);
      }
    else
      {
      op->SetComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensor_AddComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensor *op;

  int      temp0;
  int      temp1;
  double   temp2;
  if ((op = (vtkTensor *)PyArg_VTKParseTuple(self, args, (char*)"iid", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensor::AddComponent(temp0,temp1,temp2);
      }
    else
      {
      op->AddComponent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensor_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensor *op;

  vtkTensor  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTensor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTensor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTensor");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkTensor::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}

static PyMethodDef PyvtkTensorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTensor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTensor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTensor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTensor\nC++: vtkTensor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTensor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTensor\nC++: vtkTensor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkTensor_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Initialize tensor components to 0.0.\n"},
  {(char*)"GetComponent",                (PyCFunction)PyvtkTensor_GetComponent, 1,
   (char*)"V.GetComponent(int, int) -> float\nC++: double GetComponent (int i, int j);return this T i j \n\n Get the tensor component (i,j).\n"},
  {(char*)"SetComponent",                (PyCFunction)PyvtkTensor_SetComponent, 1,
   (char*)"V.SetComponent(int, int, float)\nC++: void SetComponent (int i, int j, double v);if i j vtkErrorMacro i j return this T i j v \n\n Set the value of the tensor component (i,j).\n"},
  {(char*)"AddComponent",                (PyCFunction)PyvtkTensor_AddComponent, 1,
   (char*)"V.AddComponent(int, int, float)\nC++: void AddComponent (int i, int j, double v);if i j vtkErrorMacro i j return this T i j v \n\n Add to the value of the tensor component at location (i,j).\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkTensor_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkTensor)\nC++: void DeepCopy (vtkTensor *t);\n\n Deep copy of one tensor to another tensor.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTensorDoc[] = {
  (char*)"vtkTensor - supporting class to enable assignment and referencing of tensors\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkTensor is a floating point representation of an nxn tensor. vtkTensor \n provides methods for assignment and reference of tensor components. It \n does it in such a way as to minimize data copying.\n\n\n",
  "Caveats:\n\n vtkTensor performs its operations using pointer reference. You are \n responsible for supplying data storage (if necessary) if local copies \n of data are being made.\n\n",
  NULL
};

static vtkObjectBase *vtkTensorStaticNew()
{
  return vtkTensor::New();
}

PyObject *PyVTKClass_vtkTensorNew(char *modulename)
{
  return PyVTKClass_New(&vtkTensorStaticNew,
                        PyvtkTensorMethods,
                        (char*)"vtkTensor",modulename,
                        (char**)vtkTensorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

