// python wrapper for vtkThreadMessager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkThreadMessager.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkThreadMessagerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkThreadMessagerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkThreadMessager_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadMessager *op;

  const char    *temp20;
  if ((op = (vtkThreadMessager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreadMessager::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkThreadMessager_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadMessager *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkThreadMessager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreadMessager::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreadMessager_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadMessager *op;

  vtkThreadMessager  *temp20;
  if ((op = (vtkThreadMessager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreadMessager::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreadMessager_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkThreadMessager  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkThreadMessager::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkThreadMessager_WaitForMessage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadMessager *op;

  if ((op = (vtkThreadMessager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreadMessager::WaitForMessage();
      }
    else
      {
      op->WaitForMessage();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreadMessager_SendWakeMessage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadMessager *op;

  if ((op = (vtkThreadMessager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreadMessager::SendWakeMessage();
      }
    else
      {
      op->SendWakeMessage();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreadMessager_EnableWaitForReceiver(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadMessager *op;

  if ((op = (vtkThreadMessager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreadMessager::EnableWaitForReceiver();
      }
    else
      {
      op->EnableWaitForReceiver();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreadMessager_DisableWaitForReceiver(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadMessager *op;

  if ((op = (vtkThreadMessager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreadMessager::DisableWaitForReceiver();
      }
    else
      {
      op->DisableWaitForReceiver();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreadMessager_WaitForReceiver(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadMessager *op;

  if ((op = (vtkThreadMessager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreadMessager::WaitForReceiver();
      }
    else
      {
      op->WaitForReceiver();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkThreadMessager_SendMessage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadMessager *op;

  if ((op = (vtkThreadMessager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreadMessager::SendMessage();
      }
    else
      {
      op->SendMessage();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif

static PyMethodDef PyvtkThreadMessagerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkThreadMessager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkThreadMessager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkThreadMessager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkThreadMessager\nC++: vtkThreadMessager *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkThreadMessager_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkThreadMessager\nC++: vtkThreadMessager *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"WaitForMessage",                (PyCFunction)PyvtkThreadMessager_WaitForMessage, 1,
   (char*)"V.WaitForMessage()\nC++: void WaitForMessage ();\n\n Wait (block, non-busy) until another thread sends a\n message.\n"},
  {(char*)"SendWakeMessage",                (PyCFunction)PyvtkThreadMessager_SendWakeMessage, 1,
   (char*)"V.SendWakeMessage()\nC++: void SendWakeMessage ();\n\n Send a message to all threads who are waiting via\n WaitForMessage().\n"},
  {(char*)"EnableWaitForReceiver",                (PyCFunction)PyvtkThreadMessager_EnableWaitForReceiver, 1,
   (char*)"V.EnableWaitForReceiver()\nC++: void EnableWaitForReceiver ();\n\n pthreads only. If the wait is enabled, the thread who\n is to call WaitForMessage() will block until a receiver\n thread is ready to receive.\n"},
  {(char*)"DisableWaitForReceiver",                (PyCFunction)PyvtkThreadMessager_DisableWaitForReceiver, 1,
   (char*)"V.DisableWaitForReceiver()\nC++: void DisableWaitForReceiver ();\n\n pthreads only. If the wait is enabled, the thread who\n is to call WaitForMessage() will block until a receiver\n thread is ready to receive.\n"},
  {(char*)"WaitForReceiver",                (PyCFunction)PyvtkThreadMessager_WaitForReceiver, 1,
   (char*)"V.WaitForReceiver()\nC++: void WaitForReceiver ();\n\n pthreads only.\n If wait is enable, this will block until one thread is ready\n to receive a message.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SendMessage",                (PyCFunction)PyvtkThreadMessager_SendMessage, 1,
   (char*)"V.SendMessage()\nC++: void SendMessage ();\n\n @deprecated Replaced by vtkThreadMessager::SendWakeMessage() as of\n VTK 5.0.\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkThreadMessagerDoc[] = {
  (char*)"vtkThreadMessager - A class for performing inter-thread messaging\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkMultithreader is a class that provides support for messaging between\n threads multithreaded using pthreads or Windows messaging.\n\n",
  NULL
};

static vtkObjectBase *vtkThreadMessagerStaticNew()
{
  return vtkThreadMessager::New();
}

PyObject *PyVTKClass_vtkThreadMessagerNew(char *modulename)
{
  return PyVTKClass_New(&vtkThreadMessagerStaticNew,
                        PyvtkThreadMessagerMethods,
                        (char*)"vtkThreadMessager",modulename,
                        (char**)vtkThreadMessagerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

