// python wrapper for vtkTimerLog object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTimerLog.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTimerLogNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTimerLogNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTimerLog_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimerLog *op;

  const char    *temp20;
  if ((op = (vtkTimerLog *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimerLog::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimerLog *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTimerLog *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimerLog::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimerLog *op;

  vtkTimerLog  *temp20;
  if ((op = (vtkTimerLog *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimerLog::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTimerLog  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTimerLog::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTimerLog_SetLogging(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkTimerLog::SetLogging(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_GetLogging(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkTimerLog::GetLogging();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_LoggingOn(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkTimerLog::LoggingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_LoggingOff(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkTimerLog::LoggingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_SetMaxEntries(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkTimerLog::SetMaxEntries(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_GetMaxEntries(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkTimerLog::GetMaxEntries();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_DumpLog(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      vtkTimerLog::DumpLog(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_MarkStartEvent(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      vtkTimerLog::MarkStartEvent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_MarkEndEvent(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      vtkTimerLog::MarkEndEvent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_GetNumberOfEvents(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkTimerLog::GetNumberOfEvents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_GetEventIndent(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkTimerLog::GetEventIndent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_GetEventWallTime(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkTimerLog::GetEventWallTime(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_GetEventString(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkTimerLog::GetEventString(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_MarkEvent(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      vtkTimerLog::MarkEvent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_ResetLog(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkTimerLog::ResetLog();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_AllocateLog(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkTimerLog::AllocateLog();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_CleanupLog(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkTimerLog::CleanupLog();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_GetUniversalTime(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkTimerLog::GetUniversalTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_GetCPUTime(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkTimerLog::GetCPUTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_StartTimer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimerLog *op;

  if ((op = (vtkTimerLog *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTimerLog::StartTimer();
      }
    else
      {
      op->StartTimer();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_StopTimer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimerLog *op;

  if ((op = (vtkTimerLog *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTimerLog::StopTimer();
      }
    else
      {
      op->StopTimer();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTimerLog_GetElapsedTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTimerLog *op;

  double   temp20;
  if ((op = (vtkTimerLog *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTimerLog::GetElapsedTime();
      }
    else
      {
      temp20 = op->GetElapsedTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkTimerLog_GetCurrentTime(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkTimerLog::GetCurrentTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}
#endif

static PyMethodDef PyvtkTimerLogMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTimerLog_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTimerLog_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTimerLog_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTimerLog\nC++: vtkTimerLog *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTimerLog_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTimerLog\nC++: vtkTimerLog *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLogging",                (PyCFunction)PyvtkTimerLog_SetLogging, 1,
   (char*)"V.SetLogging(int)\nC++: static void SetLogging (int v);vtkTimerLog Logging v \n\n This flag will turn loging of events off or on.  \n By default, logging is on.\n"},
  {(char*)"GetLogging",                (PyCFunction)PyvtkTimerLog_GetLogging, 1,
   (char*)"V.GetLogging() -> int\nC++: static int GetLogging ();return vtkTimerLog Logging \n\n This flag will turn loging of events off or on.  \n By default, logging is on.\n"},
  {(char*)"LoggingOn",                (PyCFunction)PyvtkTimerLog_LoggingOn, 1,
   (char*)"V.LoggingOn()\nC++: static void LoggingOn ();vtkTimerLog SetLogging \n\n This flag will turn loging of events off or on.  \n By default, logging is on.\n"},
  {(char*)"LoggingOff",                (PyCFunction)PyvtkTimerLog_LoggingOff, 1,
   (char*)"V.LoggingOff()\nC++: static void LoggingOff ();vtkTimerLog SetLogging \n\n Set/Get the maximum number of entries allowed in the timer log\n"},
  {(char*)"SetMaxEntries",                (PyCFunction)PyvtkTimerLog_SetMaxEntries, 1,
   (char*)"V.SetMaxEntries(int)\nC++: static void SetMaxEntries (int a);\n\n Set/Get the maximum number of entries allowed in the timer log\n"},
  {(char*)"GetMaxEntries",                (PyCFunction)PyvtkTimerLog_GetMaxEntries, 1,
   (char*)"V.GetMaxEntries() -> int\nC++: static int GetMaxEntries ();\n\n Set/Get the maximum number of entries allowed in the timer log\n"},
  {(char*)"DumpLog",                (PyCFunction)PyvtkTimerLog_DumpLog, 1,
   (char*)"V.DumpLog(string)\nC++: static void DumpLog (const char *filename);\n\n Write the timing table out to a file.  Calculate some helpful\n statistics (deltas and  percentages) in the process.\n"},
  {(char*)"MarkStartEvent",                (PyCFunction)PyvtkTimerLog_MarkStartEvent, 1,
   (char*)"V.MarkStartEvent(string)\nC++: static void MarkStartEvent (const char *EventString);\n\n I want to time events, so I am creating this interface to\n mark events that have a start and an end.  These events can be,\n nested. The standard Dumplog ignores the indents.\n"},
  {(char*)"MarkEndEvent",                (PyCFunction)PyvtkTimerLog_MarkEndEvent, 1,
   (char*)"V.MarkEndEvent(string)\nC++: static void MarkEndEvent (const char *EventString);\n\n I want to time events, so I am creating this interface to\n mark events that have a start and an end.  These events can be,\n nested. The standard Dumplog ignores the indents.\n"},
  {(char*)"GetNumberOfEvents",                (PyCFunction)PyvtkTimerLog_GetNumberOfEvents, 1,
   (char*)"V.GetNumberOfEvents() -> int\nC++: static int GetNumberOfEvents ();\n\n Programatic access to events.  Indexed from 0 to num-1.\n"},
  {(char*)"GetEventIndent",                (PyCFunction)PyvtkTimerLog_GetEventIndent, 1,
   (char*)"V.GetEventIndent(int) -> int\nC++: static int GetEventIndent (int i);\n\n Programatic access to events.  Indexed from 0 to num-1.\n"},
  {(char*)"GetEventWallTime",                (PyCFunction)PyvtkTimerLog_GetEventWallTime, 1,
   (char*)"V.GetEventWallTime(int) -> float\nC++: static double GetEventWallTime (int i);\n\n Programatic access to events.  Indexed from 0 to num-1.\n"},
  {(char*)"GetEventString",                (PyCFunction)PyvtkTimerLog_GetEventString, 1,
   (char*)"V.GetEventString(int) -> string\nC++: static const char *GetEventString (int i);\n\n Programatic access to events.  Indexed from 0 to num-1.\n"},
  {(char*)"MarkEvent",                (PyCFunction)PyvtkTimerLog_MarkEvent, 1,
   (char*)"V.MarkEvent(string)\nC++: static void MarkEvent (const char *EventString);\n\n Record a timing event and capture wall time and cpu ticks.\n"},
  {(char*)"ResetLog",                (PyCFunction)PyvtkTimerLog_ResetLog, 1,
   (char*)"V.ResetLog()\nC++: static void ResetLog ();\n\n Clear the timing table.  walltime and cputime will also be set\n to zero when the first new event is recorded.\n"},
  {(char*)"AllocateLog",                (PyCFunction)PyvtkTimerLog_AllocateLog, 1,
   (char*)"V.AllocateLog()\nC++: static void AllocateLog ();\n\n Allocate timing table with MaxEntries elements.\n"},
  {(char*)"CleanupLog",                (PyCFunction)PyvtkTimerLog_CleanupLog, 1,
   (char*)"V.CleanupLog()\nC++: static void CleanupLog ();\n\n Remove timer log.\n"},
  {(char*)"GetUniversalTime",                (PyCFunction)PyvtkTimerLog_GetUniversalTime, 1,
   (char*)"V.GetUniversalTime() -> float\nC++: static double GetUniversalTime ();\n\n Returns the elapsed number of seconds since January 1, 1970. This\n is also called Universal Coordinated Time.\n"},
  {(char*)"GetCPUTime",                (PyCFunction)PyvtkTimerLog_GetCPUTime, 1,
   (char*)"V.GetCPUTime() -> float\nC++: static double GetCPUTime ();\n\n Returns the CPU time for this process\n On Win32 platforms this actually returns wall time.\n"},
  {(char*)"StartTimer",                (PyCFunction)PyvtkTimerLog_StartTimer, 1,
   (char*)"V.StartTimer()\nC++: void StartTimer ();\n\n Set the StartTime to the current time. Used with GetElapsedTime().\n"},
  {(char*)"StopTimer",                (PyCFunction)PyvtkTimerLog_StopTimer, 1,
   (char*)"V.StopTimer()\nC++: void StopTimer ();\n\n Sets EndTime to the current time. Used with GetElapsedTime().\n"},
  {(char*)"GetElapsedTime",                (PyCFunction)PyvtkTimerLog_GetElapsedTime, 1,
   (char*)"V.GetElapsedTime() -> float\nC++: double GetElapsedTime ();\n\n Returns the difference between StartTime and EndTime as \n a doubleing point value indicating the elapsed time in seconds.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetCurrentTime",                (PyCFunction)PyvtkTimerLog_GetCurrentTime, 1,
   (char*)"V.GetCurrentTime() -> float\nC++: static double GetCurrentTime ();\n\n @deprecated Replaced by vtkTimerLog::GetUniversalTime() as of VTK 5.0.\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTimerLogDoc[] = {
  (char*)"vtkTimerLog - Timer support and logging\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkTimerLog contains walltime and cputime measurements associated\n with a given event.  These results can be later analyzed when\n \"dumping out\" the table.\n\n In addition, vtkTimerLog allows the user to simply get the current\n time, and to start/stop a simple timer separate from the timing\n table logging.\n\n",
  NULL
};

static vtkObjectBase *vtkTimerLogStaticNew()
{
  return vtkTimerLog::New();
}

PyObject *PyVTKClass_vtkTimerLogNew(char *modulename)
{
  return PyVTKClass_New(&vtkTimerLogStaticNew,
                        PyvtkTimerLogMethods,
                        (char*)"vtkTimerLog",modulename,
                        (char**)vtkTimerLogDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

