// python wrapper for vtkTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLinearTransformNew(char *); }

static PyObject *PyvtkTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  const char    *temp20;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  vtkTransform  *temp20;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTransform_Identity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::Identity();
      }
    else
      {
      op->Identity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_Inverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::Inverse();
      }
    else
      {
      op->Inverse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_Translate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::Translate(temp0,temp1,temp2);
      }
    else
      {
      op->Translate(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::Translate(temp0);
      }
    else
      {
      op->Translate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  float  temp0[3];
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::Translate(temp0);
      }
    else
      {
      op->Translate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_RotateWXYZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::RotateWXYZ(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->RotateWXYZ(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  double   temp0;
  double temp1[3];
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"d(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::RotateWXYZ(temp0,temp1);
      }
    else
      {
      op->RotateWXYZ(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  double   temp0;
  float  temp1[3];
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"d(fff)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::RotateWXYZ(temp0,temp1);
      }
    else
      {
      op->RotateWXYZ(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_RotateX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  double   temp0;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::RotateX(temp0);
      }
    else
      {
      op->RotateX(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_RotateY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  double   temp0;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::RotateY(temp0);
      }
    else
      {
      op->RotateY(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_RotateZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  double   temp0;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::RotateZ(temp0);
      }
    else
      {
      op->RotateZ(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_Scale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::Scale(temp0,temp1,temp2);
      }
    else
      {
      op->Scale(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::Scale(temp0);
      }
    else
      {
      op->Scale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  float  temp0[3];
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::Scale(temp0);
      }
    else
      {
      op->Scale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_SetMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::SetMatrix(temp0);
      }
    else
      {
      op->SetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  /* handle an occurrence */
  {
  vtkTransform *op;

  double temp0[16];
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(dddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::SetMatrix(temp0);
      }
    else
      {
      op->SetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_Concatenate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::Concatenate(temp0);
      }
    else
      {
      op->Concatenate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  /* handle an occurrence */
  {
  vtkTransform *op;

  double temp0[16];
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(dddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::Concatenate(temp0);
      }
    else
      {
      op->Concatenate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  vtkLinearTransform  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkLinearTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLinearTransform");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::Concatenate(temp0);
      }
    else
      {
      op->Concatenate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkTransform_PreMultiply(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::PreMultiply();
      }
    else
      {
      op->PreMultiply();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_PostMultiply(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::PostMultiply();
      }
    else
      {
      op->PostMultiply();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_GetNumberOfConcatenatedTransforms(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  int      temp20;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::GetNumberOfConcatenatedTransforms();
      }
    else
      {
      temp20 = op->GetNumberOfConcatenatedTransforms();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_GetConcatenatedTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  int      temp0;
  vtkLinearTransform  *temp20;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::GetConcatenatedTransform(temp0);
      }
    else
      {
      temp20 = op->GetConcatenatedTransform(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_GetOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  double temp0[3];
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::GetOrientation(temp0);
      }
    else
      {
      op->GetOrientation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  float  temp0[3];
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::GetOrientation(temp0);
      }
    else
      {
      op->GetOrientation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  double  *temp20;
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::GetOrientation();
      }
    else
      {
      temp20 = op->GetOrientation();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  double temp0[3];
  vtkMatrix4x4  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"(ddd)O", temp0 + 0, temp0 + 1, temp0 + 2, &tempH1)))
    {
    temp1 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMatrix4x4");
    if (!temp1 && tempH1 != Py_None) goto break30;
      {
      vtkTransform::GetOrientation(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkTransform_GetOrientationWXYZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  double temp0[4];
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::GetOrientationWXYZ(temp0);
      }
    else
      {
      op->GetOrientationWXYZ(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  float  temp0[3];
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::GetOrientationWXYZ(temp0);
      }
    else
      {
      op->GetOrientationWXYZ(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  double  *temp20;
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::GetOrientationWXYZ();
      }
    else
      {
      temp20 = op->GetOrientationWXYZ();
      }
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  double temp0[3];
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::GetPosition(temp0);
      }
    else
      {
      op->GetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  float  temp0[3];
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::GetPosition(temp0);
      }
    else
      {
      op->GetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  double  *temp20;
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  double temp0[3];
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::GetScale(temp0);
      }
    else
      {
      op->GetScale(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  float  temp0[3];
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::GetScale(temp0);
      }
    else
      {
      op->GetScale(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  double  *temp20;
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_GetInverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::GetInverse(temp0);
      }
    else
      {
      op->GetInverse(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break40:
  /* handle an occurrence */
  {
  vtkTransform *op;

  vtkAbstractTransform  *temp20;
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::GetInverse();
      }
    else
      {
      temp20 = op->GetInverse();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_GetTranspose(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break41;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::GetTranspose(temp0);
      }
    else
      {
      op->GetTranspose(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break41:
  return NULL;
}


static PyObject *PyvtkTransform_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  vtkLinearTransform  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkLinearTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLinearTransform");
    if (!temp0 && tempH0 != Py_None) goto break42;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break42:
  return NULL;
}


static PyObject *PyvtkTransform_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  vtkLinearTransform  *temp20;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_GetInverseFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  int      temp20;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::GetInverseFlag();
      }
    else
      {
      temp20 = op->GetInverseFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_Push(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::Push();
      }
    else
      {
      op->Push();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_Pop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::Pop();
      }
    else
      {
      op->Pop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_CircuitCheck(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break47;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::CircuitCheck(temp0);
      }
    else
      {
      temp20 = op->CircuitCheck(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break47:
  return NULL;
}


static PyObject *PyvtkTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  vtkAbstractTransform  *temp20;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::MakeTransform();
      }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  unsigned long     temp20;
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransform::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransform_MultiplyPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransform *op;

  float  temp0[4];
  float  temp1[4];
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(ffff)(ffff)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::MultiplyPoint(temp0,temp1);
      }
    else
      {
      op->MultiplyPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTransform *op;

  double temp0[4];
  double temp1[4];
  PyErr_Clear();
  if ((op = (vtkTransform *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransform::MultiplyPoint(temp0,temp1);
      }
    else
      {
      op->MultiplyPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransform\nC++: vtkTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTransform\nC++: vtkTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Identity",                (PyCFunction)PyvtkTransform_Identity, 1,
   (char*)"V.Identity()\nC++: void Identity ();\n\n Set the transformation to the identity transformation.  If \n the transform has an Input, then the transformation will be\n reset so that it is the same as the Input.\n"},
  {(char*)"Inverse",                (PyCFunction)PyvtkTransform_Inverse, 1,
   (char*)"V.Inverse()\nC++: void Inverse ();\n\n Invert the transformation.  This will also set a flag so that\n the transformation will use the inverse of its Input, if an Input\n has been set.\n"},
  {(char*)"Translate",                (PyCFunction)PyvtkTransform_Translate, 1,
   (char*)"V.Translate(float, float, float)\nC++: void Translate (double x, double y, double z);this Concatenation Translate x y z \nV.Translate((float, float, float))\nC++: void Translate (const double x[3]);this Translate x x x \nV.Translate((float, float, float))\nC++: void Translate (const float x[3]);this Translate x x x \n\n Create a translation matrix and concatenate it with the current\n transformation according to PreMultiply or PostMultiply semantics.\n"},
  {(char*)"RotateWXYZ",                (PyCFunction)PyvtkTransform_RotateWXYZ, 1,
   (char*)"V.RotateWXYZ(float, float, float, float)\nC++: void RotateWXYZ (double angle, double x, double y, double z);this Concatenation Rotate angle x y z \nV.RotateWXYZ(float, (float, float, float))\nC++: void RotateWXYZ (double angle, const double axis[3]);this RotateWXYZ angle axis axis axis \nV.RotateWXYZ(float, (float, float, float))\nC++: void RotateWXYZ (double angle, const float axis[3]);this RotateWXYZ angle axis axis axis \n\n Create a rotation matrix and concatenate it with the current\n transformation according to PreMultiply or PostMultiply semantics.\n The angle is in degrees, and (x,y,z) specifies the axis that the\n rotation will be performed around. \n"},
  {(char*)"RotateX",                (PyCFunction)PyvtkTransform_RotateX, 1,
   (char*)"V.RotateX(float)\nC++: void RotateX (double angle);this RotateWXYZ angle \n\n Create a rotation matrix about the X, Y, or Z axis and concatenate\n it with the current transformation according to PreMultiply or\n PostMultiply semantics.  The angle is expressed in degrees.\n"},
  {(char*)"RotateY",                (PyCFunction)PyvtkTransform_RotateY, 1,
   (char*)"V.RotateY(float)\nC++: void RotateY (double angle);this RotateWXYZ angle \n\n Create a rotation matrix about the X, Y, or Z axis and concatenate\n it with the current transformation according to PreMultiply or\n PostMultiply semantics.  The angle is expressed in degrees.\n"},
  {(char*)"RotateZ",                (PyCFunction)PyvtkTransform_RotateZ, 1,
   (char*)"V.RotateZ(float)\nC++: void RotateZ (double angle);this RotateWXYZ angle \n\n Create a rotation matrix about the X, Y, or Z axis and concatenate\n it with the current transformation according to PreMultiply or\n PostMultiply semantics.  The angle is expressed in degrees.\n"},
  {(char*)"Scale",                (PyCFunction)PyvtkTransform_Scale, 1,
   (char*)"V.Scale(float, float, float)\nC++: void Scale (double x, double y, double z);this Concatenation Scale x y z \nV.Scale((float, float, float))\nC++: void Scale (const double s[3]);this Scale s s s \nV.Scale((float, float, float))\nC++: void Scale (const float s[3]);this Scale s s s \n\n Create a scale matrix (i.e. set the diagonal elements to x, y, z)\n and concatenate it with the current transformation according to\n PreMultiply or PostMultiply semantics.\n"},
  {(char*)"SetMatrix",                (PyCFunction)PyvtkTransform_SetMatrix, 1,
   (char*)"V.SetMatrix(vtkMatrix4x4)\nC++: void SetMatrix (vtkMatrix4x4 *matrix);this SetMatrix matrix Element \nV.SetMatrix((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: void SetMatrix (const double elements[16]);this Identity this Concatenate elements \n\n Set the current matrix directly.  This actually calls Identity(),\n followed by Concatenate(matrix).\n"},
  {(char*)"Concatenate",                (PyCFunction)PyvtkTransform_Concatenate, 1,
   (char*)"V.Concatenate(vtkMatrix4x4)\nC++: void Concatenate (vtkMatrix4x4 *matrix);this Concatenate matrix Element \nV.Concatenate((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: void Concatenate (const double elements[16]);this Concatenation Concatenate elements \nV.Concatenate(vtkLinearTransform)\nC++: void Concatenate (vtkLinearTransform *transform);\n\n Concatenates the matrix with the current transformation according\n to PreMultiply or PostMultiply semantics.\n"},
  {(char*)"PreMultiply",                (PyCFunction)PyvtkTransform_PreMultiply, 1,
   (char*)"V.PreMultiply()\nC++: void PreMultiply ();if this Concatenation GetPreMultiplyFlag return this Concatenation SetPreMultiplyFlag this Modified \n\n Sets the internal state of the transform to PreMultiply. All subsequent\n operations will occur before those already represented in the\n current transformation.  In homogeneous matrix notation, M = M*A where\n M is the current transformation matrix and A is the applied matrix.\n The default is PreMultiply.\n"},
  {(char*)"PostMultiply",                (PyCFunction)PyvtkTransform_PostMultiply, 1,
   (char*)"V.PostMultiply()\nC++: void PostMultiply ();if this Concatenation GetPreMultiplyFlag return this Concatenation SetPreMultiplyFlag this Modified \n\n Sets the internal state of the transform to PostMultiply. All subsequent\n operations will occur after those already represented in the\n current transformation.  In homogeneous matrix notation, M = A*M where\n M is the current transformation matrix and A is the applied matrix.\n The default is PreMultiply.\n"},
  {(char*)"GetNumberOfConcatenatedTransforms",                (PyCFunction)PyvtkTransform_GetNumberOfConcatenatedTransforms, 1,
   (char*)"V.GetNumberOfConcatenatedTransforms() -> int\nC++: int GetNumberOfConcatenatedTransforms ();return this Concatenation GetNumberOfTransforms this Input NULL \n\n Get the total number of transformations that are linked into this\n one via Concatenate() operations or via SetInput().\n"},
  {(char*)"GetConcatenatedTransform",                (PyCFunction)PyvtkTransform_GetConcatenatedTransform, 1,
   (char*)"V.GetConcatenatedTransform(int) -> vtkLinearTransform\nC++: vtkLinearTransform *GetConcatenatedTransform (int i);if this Input NULL return vtkLinearTransform this Concatenation GetTransform i else if i this Concatenation GetNumberOfPreTransforms return vtkLinearTransform this Concatenation GetTransform i else if i this Concatenation GetNumberOfPreTransforms return vtkLinearTransform this Concatenation GetTransform i else if this GetInverseFlag return vtkLinearTransform this Input GetInverse else return vtkLinearTransform this Input \n\n"},
  {(char*)"GetOrientation",                (PyCFunction)PyvtkTransform_GetOrientation, 1,
   (char*)"V.GetOrientation((float, float, float))\nC++: void GetOrientation (double orient[3]);\nV.GetOrientation((float, float, float))\nC++: void GetOrientation (float orient[3]);double temp this GetOrientation temp orient static_cast float temp orient static_cast float temp orient static_cast float temp \nV.GetOrientation() -> (float, float, float)\nC++: double *GetOrientation ();this GetOrientation this ReturnValue return this ReturnValue \nV.GetOrientation((float, float, float), vtkMatrix4x4)\nC++: static void GetOrientation (double orient[3], vtkMatrix4x4 *matrix);\n\n Get the x, y, z orientation angles from the transformation matrix as an\n array of three floating point values.  \n"},
  {(char*)"GetOrientationWXYZ",                (PyCFunction)PyvtkTransform_GetOrientationWXYZ, 1,
   (char*)"V.GetOrientationWXYZ((float, float, float, float))\nC++: void GetOrientationWXYZ (double wxyz[4]);\nV.GetOrientationWXYZ((float, float, float))\nC++: void GetOrientationWXYZ (float wxyz[3]);double temp this GetOrientationWXYZ temp wxyz static_cast float temp wxyz static_cast float temp wxyz static_cast float temp wxyz static_cast float temp \nV.GetOrientationWXYZ() -> (float, float, float, float)\nC++: double *GetOrientationWXYZ ();this GetOrientationWXYZ this ReturnValue return this ReturnValue \n\n Return the wxyz angle+axis representing the current orientation.\n The angle is in degrees and the axis is a unit vector.\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkTransform_GetPosition, 1,
   (char*)"V.GetPosition((float, float, float))\nC++: void GetPosition (double pos[3]);\nV.GetPosition((float, float, float))\nC++: void GetPosition (float pos[3]);double temp this GetPosition temp pos static_cast float temp pos static_cast float temp pos static_cast float temp \nV.GetPosition() -> (float, float, float)\nC++: double *GetPosition ();this GetPosition this ReturnValue return this ReturnValue \n\n Return the position from the current transformation matrix as an array\n of three floating point numbers. This is simply returning the translation \n component of the 4x4 matrix.\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkTransform_GetScale, 1,
   (char*)"V.GetScale((float, float, float))\nC++: void GetScale (double scale[3]);\nV.GetScale((float, float, float))\nC++: void GetScale (float scale[3]);double temp this GetScale temp scale static_cast float temp scale static_cast float temp scale static_cast float temp \nV.GetScale() -> (float, float, float)\nC++: double *GetScale ();this GetScale this ReturnValue return this ReturnValue \n\n Return the scale factors of the current transformation matrix as \n an array of three float numbers.  These scale factors are not necessarily\n about the x, y, and z axes unless unless the scale transformation was\n applied before any rotations.  \n"},
  {(char*)"GetInverse",                (PyCFunction)PyvtkTransform_GetInverse, 1,
   (char*)"V.GetInverse(vtkMatrix4x4)\nC++: void GetInverse (vtkMatrix4x4 *inverse);\nV.GetInverse() -> vtkAbstractTransform\nC++: vtkAbstractTransform *GetInverse ();return vtkLinearTransform GetInverse \n\n Return a matrix which is the inverse of the current transformation\n matrix.\n"},
  {(char*)"GetTranspose",                (PyCFunction)PyvtkTransform_GetTranspose, 1,
   (char*)"V.GetTranspose(vtkMatrix4x4)\nC++: void GetTranspose (vtkMatrix4x4 *transpose);\n\n Return a matrix which is the transpose of the current transformation\n matrix.  This is equivalent to the inverse if and only if the \n transformation is a pure rotation with no translation or scale.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkTransform_SetInput, 1,
   (char*)"V.SetInput(vtkLinearTransform)\nC++: void SetInput (vtkLinearTransform *input);\n\n Set the input for this transformation.  This will be used as the\n base transformation if it is set.  This method allows you to build\n a transform pipeline: if the input is modified, then this transformation\n will automatically update accordingly.  Note that the InverseFlag,\n controlled via Inverse(), determines whether this transformation\n will use the Input or the inverse of the Input.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkTransform_GetInput, 1,
   (char*)"V.GetInput() -> vtkLinearTransform\nC++: vtkLinearTransform *GetInput ();return this Input \n\n Set the input for this transformation.  This will be used as the\n base transformation if it is set.  This method allows you to build\n a transform pipeline: if the input is modified, then this transformation\n will automatically update accordingly.  Note that the InverseFlag,\n controlled via Inverse(), determines whether this transformation\n will use the Input or the inverse of the Input.\n"},
  {(char*)"GetInverseFlag",                (PyCFunction)PyvtkTransform_GetInverseFlag, 1,
   (char*)"V.GetInverseFlag() -> int\nC++: int GetInverseFlag ();return this Concatenation GetInverseFlag \n\n Get the inverse flag of the transformation.  This controls\n whether it is the Input or the inverse of the Input that\n is used as the base transformation.  The InverseFlag is\n flipped every time Inverse() is called.  The InverseFlag\n is off when a transform is first created.\n"},
  {(char*)"Push",                (PyCFunction)PyvtkTransform_Push, 1,
   (char*)"V.Push()\nC++: void Push ();if this Stack NULL this Stack vtkTransformConcatenationStack New this Stack Push this Concatenation this Modified \n\n Pushes the current transformation onto the transformation stack.\n"},
  {(char*)"Pop",                (PyCFunction)PyvtkTransform_Pop, 1,
   (char*)"V.Pop()\nC++: void Pop ();if this Stack NULL return this Stack Pop this Concatenation this Modified \n\n Deletes the transformation on the top of the stack and sets the top \n to the next transformation on the stack.\n"},
  {(char*)"CircuitCheck",                (PyCFunction)PyvtkTransform_CircuitCheck, 1,
   (char*)"V.CircuitCheck(vtkAbstractTransform) -> int\nC++: int CircuitCheck (vtkAbstractTransform *transform);\n\n Check for self-reference.  Will return true if concatenating\n with the specified transform, setting it to be our inverse,\n or setting it to be our input will create a circular reference.\n CircuitCheck is automatically called by SetInput(), SetInverse(),\n and Concatenate(vtkXTransform *).  Avoid using this function,\n it is experimental.\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *MakeTransform ();\n\n Make a new transform of the same type.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkTransform_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override GetMTime to account for input and concatenation.\n"},
  {(char*)"MultiplyPoint",                (PyCFunction)PyvtkTransform_MultiplyPoint, 1,
   (char*)"V.MultiplyPoint((float, float, float, float), (float, float, float, float))\nC++: void MultiplyPoint (const float in[4], float out[4]);this GetMatrix MultiplyPoint in out \nV.MultiplyPoint((float, float, float, float), (float, float, float, float))\nC++: void MultiplyPoint (const double in[4], double out[4]);this GetMatrix MultiplyPoint in out \n\n Use this method only if you wish to compute the transformation in\n homogeneous (x,y,z,w) coordinates, otherwise use TransformPoint().\n This method calls this->GetMatrix()->MultiplyPoint().\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTransformDoc[] = {
  (char*)"vtkTransform - describes linear transformations via a 4x4 matrix\n\n",
  "Super Class:\n\n vtkLinearTransform\n\n",
  (char*)" A vtkTransform can be used to describe the full range of linear (also\n known as affine) coordinate transformations in three dimensions,\n which are internally represented as a 4x4 homogeneous transformation\n matrix.  When you create a new vtkTransform, it is always initialized\n to the identity transformation.\n <P>The SetInput() method allows you to set another transform,\n instead of the identity t",
  (char*)"ransform, to be the base transformation.\n There is a pipeline mechanism to ensure that when the input is\n modified, the current transformation will be updated accordingly.\n This pipeline mechanism is also supported by the Concatenate() method.\n <P>Most of the methods for manipulating this transformation,\n e.g. Translate, Rotate, and Concatenate, can operate in either\n PreMultiply (the default) or ",
  (char*)"PostMultiply mode.  In PreMultiply\n mode, the translation, concatenation, etc. will occur before any\n transformations which are represented by the current matrix.  In\n PostMultiply mode, the additional transformation will occur after \n any transformations represented by the current matrix.\n <P>This class performs all of its operations in a right handed\n coordinate system with right handed rotation",
  (char*)"s. Some other graphics\n libraries use left handed coordinate systems and rotations.  \n\n",
  "See Also:\n\n vtkPerspectiveTransform vtkGeneralTransform vtkMatrix4x4 \n vtkTransformCollection vtkTransformFilter vtkTransformPolyDataFilter\n vtkImageReslice\n\n",
  NULL
};

static vtkObjectBase *vtkTransformStaticNew()
{
  return vtkTransform::New();
}

PyObject *PyVTKClass_vtkTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkTransformStaticNew,
                        PyvtkTransformMethods,
                        (char*)"vtkTransform",modulename,
                        (char**)vtkTransformDoc,
                        PyVTKClass_vtkLinearTransformNew(modulename));
}

