// python wrapper for vtkTypeInt16Array object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTypeInt16Array.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTypeInt16ArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTypeInt16ArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnsignedShortArrayNew(char *); }

static PyObject *PyvtkTypeInt16Array_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeInt16Array *op;

  const char    *temp20;
  if ((op = (vtkTypeInt16Array *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeInt16Array::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeInt16Array_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeInt16Array *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTypeInt16Array *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeInt16Array::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeInt16Array_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeInt16Array *op;

  vtkTypeInt16Array  *temp20;
  if ((op = (vtkTypeInt16Array *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeInt16Array::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeInt16Array_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTypeInt16Array  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTypeInt16Array::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTypeInt16ArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTypeInt16Array_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTypeInt16Array_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTypeInt16Array_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTypeInt16Array\nC++: vtkTypeInt16Array *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTypeInt16Array_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTypeInt16Array\nC++: vtkTypeInt16Array *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTypeInt16ArrayDoc[] = {
  (char*)"vtkTypeInt16Array - dynamic, self-adjusting array of vtkTypeInt16\n\n",
  "Super Class:\n\n vtkUnsignedShortArray\n\n",
  (char*)" vtkTypeInt16Array is an array of values of type vtkTypeInt16.  It\n provides methods for insertion and retrieval of values and will\n automatically resize itself to hold new data.\n\n",
  NULL
};

static vtkObjectBase *vtkTypeInt16ArrayStaticNew()
{
  return vtkTypeInt16Array::New();
}

PyObject *PyVTKClass_vtkTypeInt16ArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkTypeInt16ArrayStaticNew,
                        PyvtkTypeInt16ArrayMethods,
                        (char*)"vtkTypeInt16Array",modulename,
                        (char**)vtkTypeInt16ArrayDoc,
                        PyVTKClass_vtkUnsignedShortArrayNew(modulename));
}

