// python wrapper for vtkTypeInt64Array object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTypeInt64Array.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTypeInt64ArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTypeInt64ArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLongLongArrayNew(char *); }

static PyObject *PyvtkTypeInt64Array_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeInt64Array *op;

  const char    *temp20;
  if ((op = (vtkTypeInt64Array *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeInt64Array::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeInt64Array_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeInt64Array *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTypeInt64Array *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeInt64Array::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeInt64Array_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeInt64Array *op;

  vtkTypeInt64Array  *temp20;
  if ((op = (vtkTypeInt64Array *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeInt64Array::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeInt64Array_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTypeInt64Array  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTypeInt64Array::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTypeInt64ArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTypeInt64Array_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTypeInt64Array_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTypeInt64Array_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTypeInt64Array\nC++: vtkTypeInt64Array *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTypeInt64Array_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTypeInt64Array\nC++: vtkTypeInt64Array *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTypeInt64ArrayDoc[] = {
  (char*)"vtkTypeInt64Array - dynamic, self-adjusting array of vtkTypeInt64\n\n",
  "Super Class:\n\n vtkLongLongArray\n\n",
  (char*)" vtkTypeInt64Array is an array of values of type vtkTypeInt64.  It\n provides methods for insertion and retrieval of values and will\n automatically resize itself to hold new data.\n\n",
  NULL
};

static vtkObjectBase *vtkTypeInt64ArrayStaticNew()
{
  return vtkTypeInt64Array::New();
}

PyObject *PyVTKClass_vtkTypeInt64ArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkTypeInt64ArrayStaticNew,
                        PyvtkTypeInt64ArrayMethods,
                        (char*)"vtkTypeInt64Array",modulename,
                        (char**)vtkTypeInt64ArrayDoc,
                        PyVTKClass_vtkLongLongArrayNew(modulename));
}

