// python wrapper for vtkTypeInt8Array object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTypeInt8Array.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTypeInt8ArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTypeInt8ArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCharArrayNew(char *); }

static PyObject *PyvtkTypeInt8Array_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeInt8Array *op;

  const char    *temp20;
  if ((op = (vtkTypeInt8Array *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeInt8Array::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeInt8Array_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeInt8Array *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTypeInt8Array *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeInt8Array::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeInt8Array_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeInt8Array *op;

  vtkTypeInt8Array  *temp20;
  if ((op = (vtkTypeInt8Array *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeInt8Array::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeInt8Array_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTypeInt8Array  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTypeInt8Array::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTypeInt8ArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTypeInt8Array_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTypeInt8Array_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTypeInt8Array_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTypeInt8Array\nC++: vtkTypeInt8Array *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTypeInt8Array_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTypeInt8Array\nC++: vtkTypeInt8Array *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTypeInt8ArrayDoc[] = {
  (char*)"vtkTypeInt8Array - dynamic, self-adjusting array of vtkTypeInt8\n\n",
  "Super Class:\n\n vtkCharArray\n\n",
  (char*)" vtkTypeInt8Array is an array of values of type vtkTypeInt8.  It\n provides methods for insertion and retrieval of values and will\n automatically resize itself to hold new data.\n\n",
  NULL
};

static vtkObjectBase *vtkTypeInt8ArrayStaticNew()
{
  return vtkTypeInt8Array::New();
}

PyObject *PyVTKClass_vtkTypeInt8ArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkTypeInt8ArrayStaticNew,
                        PyvtkTypeInt8ArrayMethods,
                        (char*)"vtkTypeInt8Array",modulename,
                        (char**)vtkTypeInt8ArrayDoc,
                        PyVTKClass_vtkCharArrayNew(modulename));
}

