// python wrapper for vtkTypeUInt64Array object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTypeUInt64Array.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTypeUInt64ArrayNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTypeUInt64ArrayNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnsignedLongLongArrayNew(char *); }

static PyObject *PyvtkTypeUInt64Array_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeUInt64Array *op;

  const char    *temp20;
  if ((op = (vtkTypeUInt64Array *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeUInt64Array::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeUInt64Array_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeUInt64Array *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTypeUInt64Array *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeUInt64Array::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeUInt64Array_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTypeUInt64Array *op;

  vtkTypeUInt64Array  *temp20;
  if ((op = (vtkTypeUInt64Array *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTypeUInt64Array::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTypeUInt64Array_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTypeUInt64Array  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTypeUInt64Array::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkTypeUInt64ArrayMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTypeUInt64Array_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTypeUInt64Array_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTypeUInt64Array_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTypeUInt64Array\nC++: vtkTypeUInt64Array *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTypeUInt64Array_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTypeUInt64Array\nC++: vtkTypeUInt64Array *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTypeUInt64ArrayDoc[] = {
  (char*)"vtkTypeUInt64Array - dynamic, self-adjusting array of vtkTypeUInt64\n\n",
  "Super Class:\n\n vtkUnsignedLongLongArray\n\n",
  (char*)" vtkTypeUInt64Array is an array of values of type vtkTypeUInt64.  It\n provides methods for insertion and retrieval of values and will\n automatically resize itself to hold new data.\n\n",
  NULL
};

static vtkObjectBase *vtkTypeUInt64ArrayStaticNew()
{
  return vtkTypeUInt64Array::New();
}

PyObject *PyVTKClass_vtkTypeUInt64ArrayNew(char *modulename)
{
  return PyVTKClass_New(&vtkTypeUInt64ArrayStaticNew,
                        PyvtkTypeUInt64ArrayMethods,
                        (char*)"vtkTypeUInt64Array",modulename,
                        (char**)vtkTypeUInt64ArrayDoc,
                        PyVTKClass_vtkUnsignedLongLongArrayNew(modulename));
}

