// tcl wrapper for vtkWindowLevelLookupTable object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWindowLevelLookupTable.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkWindowLevelLookupTableNewCommand()
{
  vtkWindowLevelLookupTable *temp = vtkWindowLevelLookupTable::New();
  return ((ClientData)temp);
}

int vtkLookupTableCppCommand(vtkLookupTable *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkWindowLevelLookupTableCppCommand(vtkWindowLevelLookupTable *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkWindowLevelLookupTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkWindowLevelLookupTableCppCommand((vtkWindowLevelLookupTable *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkWindowLevelLookupTableCppCommand(vtkWindowLevelLookupTable *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkWindowLevelLookupTable",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkLookupTableCppCommand((vtkLookupTable *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkLookupTable", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkWindowLevelLookupTable  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkWindowLevelLookupTable");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkWindowLevelLookupTable  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkWindowLevelLookupTable");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkWindowLevelLookupTable  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkWindowLevelLookupTable");
    return TCL_OK;
    }
    }
  if ((!strcmp("Build",argv[1]))&&(argc == 2))
    {
    op->Build();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWindow",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindow",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWindow();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLevel",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLevel",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLevel();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInverseVideo",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInverseVideo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInverseVideo",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInverseVideo();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InverseVideoOn",argv[1]))&&(argc == 2))
    {
    op->InverseVideoOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InverseVideoOff",argv[1]))&&(argc == 2))
    {
    op->InverseVideoOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumTableValue",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetMinimumTableValue(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMinimumTableValue",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetMinimumTableValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumTableValue",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetMinimumTableValue();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumTableValue",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetMaximumTableValue(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumTableValue",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetMaximumTableValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumTableValue",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetMaximumTableValue();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetMinimumColor",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetMinimumColor(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetMaximumColor",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetMaximumColor(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkWindowLevelLookupTableCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkLookupTableCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkWindowLevelLookupTable:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Build\n",NULL);
    Tcl_AppendResult(interp,"  SetWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetInverseVideo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInverseVideo\n",NULL);
    Tcl_AppendResult(interp,"  InverseVideoOn\n",NULL);
    Tcl_AppendResult(interp,"  InverseVideoOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumTableValue\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumTableValue\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumTableValue\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumTableValue\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumTableValue\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumTableValue\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetMinimumColor\t with 4 args\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetMaximumColor\t with 4 args\n",NULL);
#endif
    return TCL_OK;
    }

  if (vtkLookupTableCppCommand((vtkLookupTable *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
