// python wrapper for vtkXMLFileOutputWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLFileOutputWindow.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLFileOutputWindowNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLFileOutputWindowNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkFileOutputWindowNew(char *); }

static PyObject *PyvtkXMLFileOutputWindow_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLFileOutputWindow *op;

  const char    *temp20;
  if ((op = (vtkXMLFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLFileOutputWindow::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLFileOutputWindow_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLFileOutputWindow *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLFileOutputWindow::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLFileOutputWindow_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLFileOutputWindow *op;

  vtkXMLFileOutputWindow  *temp20;
  if ((op = (vtkXMLFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLFileOutputWindow::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLFileOutputWindow_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLFileOutputWindow  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLFileOutputWindow::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLFileOutputWindow_DisplayText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLFileOutputWindow *op;

  char    *temp0;
  if ((op = (vtkXMLFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLFileOutputWindow::DisplayText(temp0);
      }
    else
      {
      op->DisplayText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLFileOutputWindow_DisplayErrorText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLFileOutputWindow *op;

  char    *temp0;
  if ((op = (vtkXMLFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLFileOutputWindow::DisplayErrorText(temp0);
      }
    else
      {
      op->DisplayErrorText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLFileOutputWindow_DisplayWarningText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLFileOutputWindow *op;

  char    *temp0;
  if ((op = (vtkXMLFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLFileOutputWindow::DisplayWarningText(temp0);
      }
    else
      {
      op->DisplayWarningText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLFileOutputWindow_DisplayGenericWarningText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLFileOutputWindow *op;

  char    *temp0;
  if ((op = (vtkXMLFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLFileOutputWindow::DisplayGenericWarningText(temp0);
      }
    else
      {
      op->DisplayGenericWarningText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLFileOutputWindow_DisplayDebugText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLFileOutputWindow *op;

  char    *temp0;
  if ((op = (vtkXMLFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLFileOutputWindow::DisplayDebugText(temp0);
      }
    else
      {
      op->DisplayDebugText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLFileOutputWindow_DisplayTag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLFileOutputWindow *op;

  char    *temp0;
  if ((op = (vtkXMLFileOutputWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLFileOutputWindow::DisplayTag(temp0);
      }
    else
      {
      op->DisplayTag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLFileOutputWindowMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLFileOutputWindow_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLFileOutputWindow_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLFileOutputWindow_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLFileOutputWindow\nC++: vtkXMLFileOutputWindow *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLFileOutputWindow_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLFileOutputWindow\nC++: vtkXMLFileOutputWindow *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DisplayText",                (PyCFunction)PyvtkXMLFileOutputWindow_DisplayText, 1,
   (char*)"V.DisplayText(string)\nC++: virtual void DisplayText (const char *);\n\n Put the text into the log file. The text is processed to\n replace &, <, > with &amp, &lt, and &gt.\n Each display method outputs a different XML tag.\n"},
  {(char*)"DisplayErrorText",                (PyCFunction)PyvtkXMLFileOutputWindow_DisplayErrorText, 1,
   (char*)"V.DisplayErrorText(string)\nC++: virtual void DisplayErrorText (const char *);\n\n Put the text into the log file. The text is processed to\n replace &, <, > with &amp, &lt, and &gt.\n Each display method outputs a different XML tag.\n"},
  {(char*)"DisplayWarningText",                (PyCFunction)PyvtkXMLFileOutputWindow_DisplayWarningText, 1,
   (char*)"V.DisplayWarningText(string)\nC++: virtual void DisplayWarningText (const char *);\n\n Put the text into the log file. The text is processed to\n replace &, <, > with &amp, &lt, and &gt.\n Each display method outputs a different XML tag.\n"},
  {(char*)"DisplayGenericWarningText",                (PyCFunction)PyvtkXMLFileOutputWindow_DisplayGenericWarningText, 1,
   (char*)"V.DisplayGenericWarningText(string)\nC++: virtual void DisplayGenericWarningText (const char *);\n\n Put the text into the log file. The text is processed to\n replace &, <, > with &amp, &lt, and &gt.\n Each display method outputs a different XML tag.\n"},
  {(char*)"DisplayDebugText",                (PyCFunction)PyvtkXMLFileOutputWindow_DisplayDebugText, 1,
   (char*)"V.DisplayDebugText(string)\nC++: virtual void DisplayDebugText (const char *);\n\n Put the text into the log file. The text is processed to\n replace &, <, > with &amp, &lt, and &gt.\n Each display method outputs a different XML tag.\n"},
  {(char*)"DisplayTag",                (PyCFunction)PyvtkXMLFileOutputWindow_DisplayTag, 1,
   (char*)"V.DisplayTag(string)\nC++: virtual void DisplayTag (const char *);\n\n Put the text into the log file without processing it.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLFileOutputWindowDoc[] = {
  (char*)"vtkXMLFileOutputWindow - XML File Specific output window class\n\n",
  "Super Class:\n\n vtkFileOutputWindow\n\n",
  (char*)" Writes debug/warning/error output to an XML file. Uses prefined XML\n tags for each text display method. The text is processed to replace\n XML markup characters.\n \n   DisplayText - <Text>\n \n   DisplayErrorText - <Error>\n \n   DisplayWarningText - <Warning>\n \n   DisplayGenericWarningText - <GenericWarning>\n \n   DisplayDebugText - <Debug>\n \n The method DisplayTag outputs the text unprocessed. To use ",
  (char*)"this\n class, instantiate it and then call SetInstance(this).\n\n",
  NULL
};

static vtkObjectBase *vtkXMLFileOutputWindowStaticNew()
{
  return vtkXMLFileOutputWindow::New();
}

PyObject *PyVTKClass_vtkXMLFileOutputWindowNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLFileOutputWindowStaticNew,
                        PyvtkXMLFileOutputWindowMethods,
                        (char*)"vtkXMLFileOutputWindow",modulename,
                        (char**)vtkXMLFileOutputWindowDoc,
                        PyVTKClass_vtkFileOutputWindowNew(modulename));
}

