// python wrapper for vtkAbstractMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkAbstractMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkAbstractMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper *op;

  const char    *temp20;
  if ((op = (vtkAbstractMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAbstractMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper *op;

  vtkAbstractMapper  *temp20;
  if ((op = (vtkAbstractMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractMapper_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper *op;

  unsigned long     temp20;
  if ((op = (vtkAbstractMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractMapper::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractMapper_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAbstractMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractMapper::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkAbstractMapper_GetTimeToDraw(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper *op;

  double   temp20;
  if ((op = (vtkAbstractMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractMapper::GetTimeToDraw();
      }
    else
      {
      temp20 = op->GetTimeToDraw();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractMapper_AddClippingPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper *op;

  vtkPlane  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAbstractMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlane");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractMapper::AddClippingPlane(temp0);
      }
    else
      {
      op->AddClippingPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkAbstractMapper_RemoveClippingPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper *op;

  vtkPlane  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAbstractMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlane");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractMapper::RemoveClippingPlane(temp0);
      }
    else
      {
      op->RemoveClippingPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkAbstractMapper_RemoveAllClippingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper *op;

  if ((op = (vtkAbstractMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractMapper::RemoveAllClippingPlanes();
      }
    else
      {
      op->RemoveAllClippingPlanes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractMapper_SetClippingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper *op;

  vtkPlaneCollection  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAbstractMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPlaneCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlaneCollection");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractMapper::SetClippingPlanes(temp0);
      }
    else
      {
      op->SetClippingPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  /* handle an occurrence */
  {
  vtkAbstractMapper *op;

  vtkPlanes  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkAbstractMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPlanes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlanes");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractMapper::SetClippingPlanes(temp0);
      }
    else
      {
      op->SetClippingPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkAbstractMapper_GetClippingPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper *op;

  vtkPlaneCollection  *temp20;
  if ((op = (vtkAbstractMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractMapper::GetClippingPlanes();
      }
    else
      {
      temp20 = op->GetClippingPlanes();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractMapper_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractMapper *op;

  vtkAbstractMapper  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAbstractMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAbstractMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractMapper");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractMapper::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}

static PyMethodDef PyvtkAbstractMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractMapper\nC++: vtkAbstractMapper *NewInstance ();\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkAbstractMapper_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Override Modifiedtime as we have added Clipping planes\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkAbstractMapper_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"GetTimeToDraw",                (PyCFunction)PyvtkAbstractMapper_GetTimeToDraw, 1,
   (char*)"V.GetTimeToDraw() -> float\nC++: double GetTimeToDraw ();\n\n Get the time required to draw the geometry last time it was rendered\n"},
  {(char*)"AddClippingPlane",                (PyCFunction)PyvtkAbstractMapper_AddClippingPlane, 1,
   (char*)"V.AddClippingPlane(vtkPlane)\nC++: void AddClippingPlane (vtkPlane *plane);\n\n Specify clipping planes to be applied when the data is mapped\n (at most 6 clipping planes can be specified).\n"},
  {(char*)"RemoveClippingPlane",                (PyCFunction)PyvtkAbstractMapper_RemoveClippingPlane, 1,
   (char*)"V.RemoveClippingPlane(vtkPlane)\nC++: void RemoveClippingPlane (vtkPlane *plane);\n\n Specify clipping planes to be applied when the data is mapped\n (at most 6 clipping planes can be specified).\n"},
  {(char*)"RemoveAllClippingPlanes",                (PyCFunction)PyvtkAbstractMapper_RemoveAllClippingPlanes, 1,
   (char*)"V.RemoveAllClippingPlanes()\nC++: void RemoveAllClippingPlanes ();\n\n Specify clipping planes to be applied when the data is mapped\n (at most 6 clipping planes can be specified).\n"},
  {(char*)"SetClippingPlanes",                (PyCFunction)PyvtkAbstractMapper_SetClippingPlanes, 1,
   (char*)"V.SetClippingPlanes(vtkPlaneCollection)\nC++: virtual void SetClippingPlanes (vtkPlaneCollection *);\nV.SetClippingPlanes(vtkPlanes)\nC++: void SetClippingPlanes (vtkPlanes *planes);\n\n Get/Set the vtkPlaneCollection which specifies the\n clipping planes.\n"},
  {(char*)"GetClippingPlanes",                (PyCFunction)PyvtkAbstractMapper_GetClippingPlanes, 1,
   (char*)"V.GetClippingPlanes() -> vtkPlaneCollection\nC++: vtkPlaneCollection *GetClippingPlanes ();\n\n Get/Set the vtkPlaneCollection which specifies the\n clipping planes.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkAbstractMapper_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkAbstractMapper)\nC++: void ShallowCopy (vtkAbstractMapper *m);\n\n Make a shallow copy of this mapper.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractMapperDoc[] = {
  (char*)"vtkAbstractMapper - abstract class specifies interface to map data\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkAbstractMapper is an abstract class to specify interface between data and \n graphics primitives or software rendering techniques. Subclasses of \n vtkAbstractMapper can be used for rendering 2D data, geometry, or volumetric\n data.\n\n\n",
  "See Also:\n\n vtkAbstractMapper3D vtkMapper vtkPolyDataMapper vtkVolumeMapper\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractMapperNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractMapperMethods,
                        (char*)"vtkAbstractMapper",modulename,
                        (char**)vtkAbstractMapperDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

