// python wrapper for vtkActor2DCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkActor2DCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkActor2DCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkActor2DCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPropCollectionNew(char *); }

static PyObject *PyvtkActor2DCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2DCollection *op;

  const char    *temp20;
  if ((op = (vtkActor2DCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2DCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2DCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2DCollection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkActor2DCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2DCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2DCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2DCollection *op;

  vtkActor2DCollection  *temp20;
  if ((op = (vtkActor2DCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2DCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2DCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkActor2DCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkActor2DCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkActor2DCollection_Sort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2DCollection *op;

  if ((op = (vtkActor2DCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2DCollection::Sort();
      }
    else
      {
      op->Sort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2DCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2DCollection *op;

  vtkActor2D  *temp0;
  PyObject *tempH0;
  if ((op = (vtkActor2DCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkActor2D");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2DCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkActor2DCollection_IsItemPresent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2DCollection *op;

  vtkActor2D  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkActor2DCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkActor2D");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2DCollection::IsItemPresent(temp0);
      }
    else
      {
      temp20 = op->IsItemPresent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkActor2DCollection_GetNextActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2DCollection *op;

  vtkActor2D  *temp20;
  if ((op = (vtkActor2DCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2DCollection::GetNextActor2D();
      }
    else
      {
      temp20 = op->GetNextActor2D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2DCollection_GetLastActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2DCollection *op;

  vtkActor2D  *temp20;
  if ((op = (vtkActor2DCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2DCollection::GetLastActor2D();
      }
    else
      {
      temp20 = op->GetLastActor2D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2DCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2DCollection *op;

  vtkActor2D  *temp20;
  if ((op = (vtkActor2DCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2DCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2DCollection_GetLastItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2DCollection *op;

  vtkActor2D  *temp20;
  if ((op = (vtkActor2DCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2DCollection::GetLastItem();
      }
    else
      {
      temp20 = op->GetLastItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2DCollection_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2DCollection *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  if ((op = (vtkActor2DCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2DCollection::RenderOverlay(temp0);
      }
    else
      {
      op->RenderOverlay(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}

static PyMethodDef PyvtkActor2DCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkActor2DCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkActor2DCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkActor2DCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkActor2DCollection\nC++: vtkActor2DCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkActor2DCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkActor2DCollection\nC++: vtkActor2DCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Sort",                (PyCFunction)PyvtkActor2DCollection_Sort, 1,
   (char*)"V.Sort()\nC++: void Sort ();\n\n Sorts the vtkActor2DCollection by layer number.  Smaller layer\n numbers are first.  Layer numbers can be any integer value.\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkActor2DCollection_AddItem, 1,
   (char*)"V.AddItem(vtkActor2D)\nC++: void AddItem (vtkActor2D *a);\n\n Add an actor to the list.  The new actor is inserted in the list\n according to it's layer number.\n"},
  {(char*)"IsItemPresent",                (PyCFunction)PyvtkActor2DCollection_IsItemPresent, 1,
   (char*)"V.IsItemPresent(vtkActor2D) -> int\nC++: int IsItemPresent (vtkActor2D *a);\n\n Standard Collection methods\n"},
  {(char*)"GetNextActor2D",                (PyCFunction)PyvtkActor2DCollection_GetNextActor2D, 1,
   (char*)"V.GetNextActor2D() -> vtkActor2D\nC++: vtkActor2D *GetNextActor2D ();\n\n Standard Collection methods\n"},
  {(char*)"GetLastActor2D",                (PyCFunction)PyvtkActor2DCollection_GetLastActor2D, 1,
   (char*)"V.GetLastActor2D() -> vtkActor2D\nC++: vtkActor2D *GetLastActor2D ();\n\n Standard Collection methods\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkActor2DCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkActor2D\nC++: vtkActor2D *GetNextItem ();\n\n Access routines that are provided for compatibility with previous\n version of VTK.  Please use the GetNextActor2D(), GetLastActor2D()\n variants where possible.\n"},
  {(char*)"GetLastItem",                (PyCFunction)PyvtkActor2DCollection_GetLastItem, 1,
   (char*)"V.GetLastItem() -> vtkActor2D\nC++: vtkActor2D *GetLastItem ();\n\n Access routines that are provided for compatibility with previous\n version of VTK.  Please use the GetNextActor2D(), GetLastActor2D()\n variants where possible.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkActor2DCollection_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport)\nC++: void RenderOverlay (vtkViewport *viewport);\n\n Sort and then render the collection of 2D actors.  \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkActor2DCollectionDoc[] = {
  (char*)"vtkActor2DCollection -  a list of 2D actors\n\n",
  "Super Class:\n\n vtkPropCollection\n\n",
  (char*)" vtkActor2DCollection is a subclass of vtkCollection.  vtkActor2DCollection\n maintains a collection of vtkActor2D objects that is sorted by layer\n number, with lower layer numbers at the start of the list.  This allows\n the vtkActor2D objects to be rendered in the correct order. \n\n",
  "See Also:\n\n vtkActor2D vtkCollection\n\n",
  NULL
};

static vtkObjectBase *vtkActor2DCollectionStaticNew()
{
  return vtkActor2DCollection::New();
}

PyObject *PyVTKClass_vtkActor2DCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkActor2DCollectionStaticNew,
                        PyvtkActor2DCollectionMethods,
                        (char*)"vtkActor2DCollection",modulename,
                        (char**)vtkActor2DCollectionDoc,
                        PyVTKClass_vtkPropCollectionNew(modulename));
}

