// python wrapper for vtkActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkActor2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkActor2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkActor2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPropNew(char *); }

static PyObject *PyvtkActor2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  const char    *temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkActor2D  *temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkActor2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkActor2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkActor2D_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkActor2D_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkActor2D_RenderTranslucentGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::RenderTranslucentGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkActor2D_SetMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkMapper2D  *temp0;
  PyObject *tempH0;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMapper2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMapper2D");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2D::SetMapper(temp0);
      }
    else
      {
      op->SetMapper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkActor2D_GetMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkMapper2D  *temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::GetMapper();
      }
    else
      {
      temp20 = op->GetMapper();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_SetLayerNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  int      temp0;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2D::SetLayerNumber(temp0);
      }
    else
      {
      op->SetLayerNumber(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_GetLayerNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  int      temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::GetLayerNumber();
      }
    else
      {
      temp20 = op->GetLayerNumber();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkProperty2D  *temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_SetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkProperty2D  *temp0;
  PyObject *tempH0;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProperty2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty2D");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2D::SetProperty(temp0);
      }
    else
      {
      op->SetProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkActor2D_GetPositionCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkCoordinate  *temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::GetPositionCoordinate();
      }
    else
      {
      temp20 = op->GetPositionCoordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2D::SetPosition(temp0,temp1);
      }
    else
      {
      op->SetPosition(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkActor2D *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2D::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  double  *temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_SetDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2D::SetDisplayPosition(temp0,temp1);
      }
    else
      {
      op->SetDisplayPosition(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_GetPosition2Coordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkCoordinate  *temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::GetPosition2Coordinate();
      }
    else
      {
      temp20 = op->GetPosition2Coordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_SetPosition2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2D::SetPosition2(temp0,temp1);
      }
    else
      {
      op->SetPosition2(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkActor2D *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2D::SetPosition2(temp0);
      }
    else
      {
      op->SetPosition2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_GetPosition2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  double  *temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::GetPosition2();
      }
    else
      {
      temp20 = op->GetPosition2();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_SetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  double   temp0;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2D::SetWidth(temp0);
      }
    else
      {
      op->SetWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_GetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  double   temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::GetWidth();
      }
    else
      {
      temp20 = op->GetWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_SetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  double   temp0;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2D::SetHeight(temp0);
      }
    else
      {
      op->SetHeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_GetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  double   temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::GetHeight();
      }
    else
      {
      temp20 = op->GetHeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  unsigned long     temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2D::GetActors2D(temp0);
      }
    else
      {
      op->GetActors2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkActor2D_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2D::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkActor2D_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkActor2D::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkActor2D_GetActualPositionCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkCoordinate  *temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::GetActualPositionCoordinate();
      }
    else
      {
      temp20 = op->GetActualPositionCoordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActor2D_GetActualPosition2Coordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActor2D *op;

  vtkCoordinate  *temp20;
  if ((op = (vtkActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActor2D::GetActualPosition2Coordinate();
      }
    else
      {
      temp20 = op->GetActualPosition2Coordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkActor2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkActor2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkActor2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkActor2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkActor2D\nC++: vtkActor2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkActor2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkActor2D\nC++: vtkActor2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkActor2D_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: int RenderOverlay (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkActor2D_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"RenderTranslucentGeometry",                (PyCFunction)PyvtkActor2D_RenderTranslucentGeometry, 1,
   (char*)"V.RenderTranslucentGeometry(vtkViewport) -> int\nC++: int RenderTranslucentGeometry (vtkViewport *viewport);\n\n Support the standard render methods.\n"},
  {(char*)"SetMapper",                (PyCFunction)PyvtkActor2D_SetMapper, 1,
   (char*)"V.SetMapper(vtkMapper2D)\nC++: virtual void SetMapper (vtkMapper2D *mapper);\n\n Set/Get the vtkMapper2D which defines the data to be drawn.\n"},
  {(char*)"GetMapper",                (PyCFunction)PyvtkActor2D_GetMapper, 1,
   (char*)"V.GetMapper() -> vtkMapper2D\nC++: vtkMapper2D *GetMapper ();\n\n Set/Get the vtkMapper2D which defines the data to be drawn.\n"},
  {(char*)"SetLayerNumber",                (PyCFunction)PyvtkActor2D_SetLayerNumber, 1,
   (char*)"V.SetLayerNumber(int)\nC++: void SetLayerNumber (int );\n\n Set/Get the layer number in the overlay planes into which to render.\n"},
  {(char*)"GetLayerNumber",                (PyCFunction)PyvtkActor2D_GetLayerNumber, 1,
   (char*)"V.GetLayerNumber() -> int\nC++: int GetLayerNumber ();\n\n Set/Get the layer number in the overlay planes into which to render.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkActor2D_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetProperty ();\n\n Returns this actor's vtkProperty2D.  Creates a property if one\n doesn't already exist.\n"},
  {(char*)"SetProperty",                (PyCFunction)PyvtkActor2D_SetProperty, 1,
   (char*)"V.SetProperty(vtkProperty2D)\nC++: virtual void SetProperty (vtkProperty2D *);\n\n Set this vtkProp's vtkProperty2D.\n"},
  {(char*)"GetPositionCoordinate",                (PyCFunction)PyvtkActor2D_GetPositionCoordinate, 1,
   (char*)"V.GetPositionCoordinate() -> vtkCoordinate\nC++: vtkCoordinate *GetPositionCoordinate ();\n\n Get the PositionCoordinate instance of vtkCoordinate.\n This is used for for complicated or relative positioning.\n The position variable controls the lower left corner of the Actor2D\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkActor2D_SetPosition, 1,
   (char*)"V.SetPosition(float, float)\nC++: void SetPosition (double, double);\nV.SetPosition((float, float))\nC++: void SetPosition (double a[2]);\n\n Get the PositionCoordinate instance of vtkCoordinate.\n This is used for for complicated or relative positioning.\n The position variable controls the lower left corner of the Actor2D\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkActor2D_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float)\nC++: double *GetPosition ();\n\n Get the PositionCoordinate instance of vtkCoordinate.\n This is used for for complicated or relative positioning.\n The position variable controls the lower left corner of the Actor2D\n"},
  {(char*)"SetDisplayPosition",                (PyCFunction)PyvtkActor2D_SetDisplayPosition, 1,
   (char*)"V.SetDisplayPosition(int, int)\nC++: void SetDisplayPosition (int , int );\n\n Set the Prop2D's position in display coordinates.\n"},
  {(char*)"GetPosition2Coordinate",                (PyCFunction)PyvtkActor2D_GetPosition2Coordinate, 1,
   (char*)"V.GetPosition2Coordinate() -> vtkCoordinate\nC++: vtkCoordinate *GetPosition2Coordinate ();\n\n Access the Position2 instance variable. This variable controls\n the upper right corner of the Actor2D. It is by default\n relative to Position and in normalized viewport coordinates.\n Some 2D actor subclasses ignore the position2 variable\n"},
  {(char*)"SetPosition2",                (PyCFunction)PyvtkActor2D_SetPosition2, 1,
   (char*)"V.SetPosition2(float, float)\nC++: void SetPosition2 (double, double);\nV.SetPosition2((float, float))\nC++: void SetPosition2 (double a[2]);\n\n Access the Position2 instance variable. This variable controls\n the upper right corner of the Actor2D. It is by default\n relative to Position and in normalized viewport coordinates.\n Some 2D actor subclasses ignore the position2 variable\n"},
  {(char*)"GetPosition2",                (PyCFunction)PyvtkActor2D_GetPosition2, 1,
   (char*)"V.GetPosition2() -> (float, float)\nC++: double *GetPosition2 ();\n\n Access the Position2 instance variable. This variable controls\n the upper right corner of the Actor2D. It is by default\n relative to Position and in normalized viewport coordinates.\n Some 2D actor subclasses ignore the position2 variable\n"},
  {(char*)"SetWidth",                (PyCFunction)PyvtkActor2D_SetWidth, 1,
   (char*)"V.SetWidth(float)\nC++: void SetWidth (double w);\n\n Set/Get the height and width of the Actor2D. The value is expressed\n as a fraction of the viewport. This really is just another way of\n setting the Position2 instance variable.\n"},
  {(char*)"GetWidth",                (PyCFunction)PyvtkActor2D_GetWidth, 1,
   (char*)"V.GetWidth() -> float\nC++: double GetWidth ();\n\n Set/Get the height and width of the Actor2D. The value is expressed\n as a fraction of the viewport. This really is just another way of\n setting the Position2 instance variable.\n"},
  {(char*)"SetHeight",                (PyCFunction)PyvtkActor2D_SetHeight, 1,
   (char*)"V.SetHeight(float)\nC++: void SetHeight (double h);\n\n Set/Get the height and width of the Actor2D. The value is expressed\n as a fraction of the viewport. This really is just another way of\n setting the Position2 instance variable.\n"},
  {(char*)"GetHeight",                (PyCFunction)PyvtkActor2D_GetHeight, 1,
   (char*)"V.GetHeight() -> float\nC++: double GetHeight ();\n\n Set/Get the height and width of the Actor2D. The value is expressed\n as a fraction of the viewport. This really is just another way of\n setting the Position2 instance variable.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkActor2D_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return this objects MTime.\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkActor2D_GetActors2D, 1,
   (char*)"V.GetActors2D(vtkPropCollection)\nC++: virtual void GetActors2D (vtkPropCollection *pc);\n\n For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkActor2D_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of this vtkActor2D. Overloads the virtual vtkProp method.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkActor2D_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"GetActualPositionCoordinate",                (PyCFunction)PyvtkActor2D_GetActualPositionCoordinate, 1,
   (char*)"V.GetActualPositionCoordinate() -> vtkCoordinate\nC++: virtual vtkCoordinate *GetActualPositionCoordinate (void );return this PositionCoordinate \n\n Return the actual vtkCoordinate reference that the mapper should use\n to position the actor. This is used internally by the mappers and should\n be overridden in specialized subclasses and otherwise ignored.\n"},
  {(char*)"GetActualPosition2Coordinate",                (PyCFunction)PyvtkActor2D_GetActualPosition2Coordinate, 1,
   (char*)"V.GetActualPosition2Coordinate() -> vtkCoordinate\nC++: virtual vtkCoordinate *GetActualPosition2Coordinate (void );return this Position2Coordinate \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkActor2DDoc[] = {
  (char*)"vtkActor2D - a actor that draws 2D data\n\n",
  "Super Class:\n\n vtkProp\n\n",
  (char*)" vtkActor2D is similar to vtkActor, but it is made to be used with two\n dimensional images and annotation.  vtkActor2D has a position but does not\n use a transformation matrix like vtkActor (see the superclass vtkProp\n for information on positioning vtkActor2D).  vtkActor2D has a reference to\n a vtkMapper2D object which does the rendering.\n\n",
  "See Also:\n\n vtkProp vtkMapper2D vtkProperty2D\n\n",
  NULL
};

static vtkObjectBase *vtkActor2DStaticNew()
{
  return vtkActor2D::New();
}

PyObject *PyVTKClass_vtkActor2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkActor2DStaticNew,
                        PyvtkActor2DMethods,
                        (char*)"vtkActor2D",modulename,
                        (char**)vtkActor2DDoc,
                        PyVTKClass_vtkPropNew(modulename));
}

