// tcl wrapper for vtkAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAlgorithm.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkAlgorithmNewCommand()
{
  vtkAlgorithm *temp = vtkAlgorithm::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAlgorithmCppCommand((vtkAlgorithm *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAlgorithm",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAlgorithm  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAlgorithm  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAlgorithm  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAlgorithm");
    return TCL_OK;
    }
    }
  if ((!strcmp("HasExecutive",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasExecutive();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExecutive",argv[1]))&&(argc == 2))
    {
    vtkExecutive  *temp20;
    temp20 = (op)->GetExecutive();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkExecutive");
    return TCL_OK;
    }
  if ((!strcmp("SetExecutive",argv[1]))&&(argc == 3))
    {
    vtkExecutive  *temp0;
    error = 0;

    temp0 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkExecutive",interp,error));
    if (!error)
    {
    op->SetExecutive(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ModifyRequest",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ModifyRequest(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputPortInformation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkInformation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputPortInformation(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputPortInformation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkInformation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutputPortInformation(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInformation",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->GetInformation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("SetInformation",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    op->SetInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfInputPorts",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfInputPorts();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfOutputPorts",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfOutputPorts();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Register",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->Register(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAbortExecute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAbortExecute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAbortExecute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAbortExecute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AbortExecuteOn",argv[1]))&&(argc == 2))
    {
    op->AbortExecuteOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AbortExecuteOff",argv[1]))&&(argc == 2))
    {
    op->AbortExecuteOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProgress",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetProgress(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProgressMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetProgressMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProgressMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetProgressMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProgress",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetProgress();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateProgress",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->UpdateProgress(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProgressText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetProgressText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProgressText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetProgressText();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetErrorCode",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetErrorCode();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("INPUT_IS_OPTIONAL",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->INPUT_IS_OPTIONAL();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("INPUT_IS_REPEATABLE",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->INPUT_IS_REPEATABLE();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("INPUT_REQUIRED_FIELDS",argv[1]))&&(argc == 2))
    {
    vtkInformationInformationVectorKey  *temp20;
    temp20 = (op)->INPUT_REQUIRED_FIELDS();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationInformationVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("INPUT_REQUIRED_DATA_TYPE",argv[1]))&&(argc == 2))
    {
    vtkInformationStringKey  *temp20;
    temp20 = (op)->INPUT_REQUIRED_DATA_TYPE();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationStringKey");
    return TCL_OK;
    }
  if ((!strcmp("INPUT_ARRAYS_TO_PROCESS",argv[1]))&&(argc == 2))
    {
    vtkInformationInformationVectorKey  *temp20;
    temp20 = (op)->INPUT_ARRAYS_TO_PROCESS();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationInformationVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("INPUT_PORT",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->INPUT_PORT();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("INPUT_CONNECTION",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->INPUT_CONNECTION();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("SetInputArrayToProcess",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    char    *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = argv[6];
    if (!error)
    {
    op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputArrayToProcess",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputArrayToProcess",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkInformation  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    op->SetInputArrayToProcess(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputArrayToProcess",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    char    *temp3;
    char    *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = argv[5];
    temp4 = argv[6];
    if (!error)
    {
    op->SetInputArrayToProcess(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputArrayInformation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkInformation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputArrayInformation(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllInputs",argv[1]))&&(argc == 2))
    {
    op->RemoveAllInputs();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutputDataObject",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutputDataObject(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkAlgorithmOutput",interp,error));
    if (!error)
    {
    op->SetInputConnection(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkAlgorithmOutput",interp,error));
    if (!error)
    {
    op->SetInputConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInputConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkAlgorithmOutput",interp,error));
    if (!error)
    {
    op->AddInputConnection(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInputConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkAlgorithmOutput",interp,error));
    if (!error)
    {
    op->AddInputConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveInputConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkAlgorithmOutput",interp,error));
    if (!error)
    {
    op->RemoveInputConnection(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputPort",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutputPort(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAlgorithmOutput");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputPort",argv[1]))&&(argc == 2))
    {
    vtkAlgorithmOutput  *temp20;
    temp20 = (op)->GetOutputPort();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAlgorithmOutput");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfInputConnections",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfInputConnections(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTotalNumberOfInputConnections",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTotalNumberOfInputConnections();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInputConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkAlgorithmOutput  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputConnection(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAlgorithmOutput");
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateInformation",argv[1]))&&(argc == 2))
    {
    op->UpdateInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateWholeExtent",argv[1]))&&(argc == 2))
    {
    op->UpdateWholeExtent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReleaseDataFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReleaseDataFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReleaseDataFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReleaseDataFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseDataFlagOn",argv[1]))&&(argc == 2))
    {
    op->ReleaseDataFlagOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseDataFlagOff",argv[1]))&&(argc == 2))
    {
    op->ReleaseDataFlagOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateExtentIsEmpty",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    temp20 = (op)->UpdateExtentIsEmpty(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateExtentIsEmpty",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->UpdateExtentIsEmpty(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkAlgorithmCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAlgorithm:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasExecutive\n",NULL);
    Tcl_AppendResult(interp,"  GetExecutive\n",NULL);
    Tcl_AppendResult(interp,"  SetExecutive\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ModifyRequest\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInputPortInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputPortInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInformation\n",NULL);
    Tcl_AppendResult(interp,"  SetInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfInputPorts\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfOutputPorts\n",NULL);
    Tcl_AppendResult(interp,"  Register\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAbortExecute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAbortExecute\n",NULL);
    Tcl_AppendResult(interp,"  AbortExecuteOn\n",NULL);
    Tcl_AppendResult(interp,"  AbortExecuteOff\n",NULL);
    Tcl_AppendResult(interp,"  SetProgress\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProgressMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProgressMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProgress\n",NULL);
    Tcl_AppendResult(interp,"  UpdateProgress\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProgressText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProgressText\n",NULL);
    Tcl_AppendResult(interp,"  GetErrorCode\n",NULL);
    Tcl_AppendResult(interp,"  INPUT_IS_OPTIONAL\n",NULL);
    Tcl_AppendResult(interp,"  INPUT_IS_REPEATABLE\n",NULL);
    Tcl_AppendResult(interp,"  INPUT_REQUIRED_FIELDS\n",NULL);
    Tcl_AppendResult(interp,"  INPUT_REQUIRED_DATA_TYPE\n",NULL);
    Tcl_AppendResult(interp,"  INPUT_ARRAYS_TO_PROCESS\n",NULL);
    Tcl_AppendResult(interp,"  INPUT_PORT\n",NULL);
    Tcl_AppendResult(interp,"  INPUT_CONNECTION\n",NULL);
    Tcl_AppendResult(interp,"  SetInputArrayToProcess\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputArrayToProcess\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputArrayToProcess\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputArrayToProcess\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInputArrayInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllInputs\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputDataObject\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddInputConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddInputConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveInputConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputPort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputPort\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfInputConnections\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalNumberOfInputConnections\n",NULL);
    Tcl_AppendResult(interp,"  GetInputConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  UpdateInformation\n",NULL);
    Tcl_AppendResult(interp,"  UpdateWholeExtent\n",NULL);
    Tcl_AppendResult(interp,"  SetReleaseDataFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReleaseDataFlag\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseDataFlagOn\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseDataFlagOff\n",NULL);
    Tcl_AppendResult(interp,"  UpdateExtentIsEmpty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateExtentIsEmpty\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
