// python wrapper for vtkCardinalSpline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCardinalSpline.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCardinalSplineNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCardinalSplineNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSplineNew(char *); }

static PyObject *PyvtkCardinalSpline_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCardinalSpline *op;

  const char    *temp20;
  if ((op = (vtkCardinalSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCardinalSpline::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCardinalSpline_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCardinalSpline *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCardinalSpline *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCardinalSpline::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCardinalSpline_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCardinalSpline *op;

  vtkCardinalSpline  *temp20;
  if ((op = (vtkCardinalSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCardinalSpline::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCardinalSpline_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCardinalSpline  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCardinalSpline::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCardinalSpline_Compute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCardinalSpline *op;

  if ((op = (vtkCardinalSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCardinalSpline::Compute();
      }
    else
      {
      op->Compute();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCardinalSpline_Evaluate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCardinalSpline *op;

  double   temp0;
  double   temp20;
  if ((op = (vtkCardinalSpline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCardinalSpline::Evaluate(temp0);
      }
    else
      {
      temp20 = op->Evaluate(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCardinalSpline_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCardinalSpline *op;

  vtkSpline  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCardinalSpline *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSpline *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSpline");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkCardinalSpline::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkCardinalSplineMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCardinalSpline_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCardinalSpline_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCardinalSpline_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCardinalSpline\nC++: vtkCardinalSpline *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCardinalSpline_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCardinalSpline\nC++: vtkCardinalSpline *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Compute",                (PyCFunction)PyvtkCardinalSpline_Compute, 1,
   (char*)"V.Compute()\nC++: void Compute ();\n\n"},
  {(char*)"Evaluate",                (PyCFunction)PyvtkCardinalSpline_Evaluate, 1,
   (char*)"V.Evaluate(float) -> float\nC++: virtual double Evaluate (double t);\n\n Evaluate a 1D cardinal spline.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkCardinalSpline_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkSpline)\nC++: virtual void DeepCopy (vtkSpline *s);\n\n Deep copy of cardinal spline data.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCardinalSplineDoc[] = {
  (char*)"vtkCardinalSpline - computes an interpolating spline using a\n\n",
  "Super Class:\n\n vtkSpline\n\n",
  (char*)" vtkCardinalSpline is a concrete implementation of vtkSpline using a\n Cardinal basis.\n\n",
  "See Also:\n\n vtkSpline vtkKochanekSpline\n\n",
  NULL
};

static vtkObjectBase *vtkCardinalSplineStaticNew()
{
  return vtkCardinalSpline::New();
}

PyObject *PyVTKClass_vtkCardinalSplineNew(char *modulename)
{
  return PyVTKClass_New(&vtkCardinalSplineStaticNew,
                        PyvtkCardinalSplineMethods,
                        (char*)"vtkCardinalSpline",modulename,
                        (char**)vtkCardinalSplineDoc,
                        PyVTKClass_vtkSplineNew(modulename));
}

