// tcl wrapper for vtkCell3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCell3D.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkCellCppCommand(vtkCell *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCell3DCppCommand(vtkCell3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCell3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCell3DCppCommand((vtkCell3D *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCell3DCppCommand(vtkCell3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCell3D",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkCellCppCommand((vtkCell *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkCell", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCell3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCell3D");
    return TCL_OK;
    }
  if ((!strcmp("Contour",argv[1]))&&(argc == 13))
    {
    double   temp0;
    vtkDataArray  *temp1;
    vtkPointLocator  *temp2;
    vtkCellArray  *temp3;
    vtkCellArray  *temp4;
    vtkCellArray  *temp5;
    vtkPointData  *temp6;
    vtkPointData  *temp7;
    vtkCellData  *temp8;
    vtkIdType   temp9;
    vtkCellData  *temp10;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataArray",interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPointLocator",interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkCellArray",interp,error));
    temp4 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkCellArray",interp,error));
    temp5 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkCellArray",interp,error));
    temp6 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[8],(char *) "vtkPointData",interp,error));
    temp7 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[9],(char *) "vtkPointData",interp,error));
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[11],&tempi) != TCL_OK) error = 1;
    temp9 = tempi;
    temp10 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[12],(char *) "vtkCellData",interp,error));
    if (!error)
    {
    op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Clip",argv[1]))&&(argc == 12))
    {
    double   temp0;
    vtkDataArray  *temp1;
    vtkPointLocator  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    vtkPointData  *temp5;
    vtkCellData  *temp6;
    vtkIdType   temp7;
    vtkCellData  *temp8;
    int      temp9;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataArray",interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPointLocator",interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkCellArray",interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointData",interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkPointData",interp,error));
    temp6 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[8],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[11],&tempi) != TCL_OK) error = 1;
    temp9 = tempi;
    if (!error)
    {
    op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMergeTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMergeTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMergeToleranceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMergeToleranceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMergeToleranceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMergeToleranceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMergeTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMergeTolerance();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkCell3DCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkCellCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCell3D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Contour\t with 11 args\n",NULL);
    Tcl_AppendResult(interp,"  Clip\t with 10 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellDimension\n",NULL);
    Tcl_AppendResult(interp,"  SetMergeTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMergeToleranceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMergeToleranceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMergeTolerance\n",NULL);
    return TCL_OK;
    }

  if (vtkCellCppCommand((vtkCell *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
