// python wrapper for vtkCellData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCellData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCellDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCellDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAttributesNew(char *); }

static PyObject *PyvtkCellData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellData *op;

  const char    *temp20;
  if ((op = (vtkCellData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellData *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCellData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellData *op;

  vtkCellData  *temp20;
  if ((op = (vtkCellData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCellData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCellData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkCellDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCellData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCellData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCellData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCellData\nC++: vtkCellData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCellData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCellData\nC++: vtkCellData *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCellDataDoc[] = {
  (char*)"vtkCellData - represent and manipulate cell attribute data\n\n",
  "Super Class:\n\n vtkDataSetAttributes\n\n",
  (char*)" vtkCellData is a class that is used to represent and manipulate\n cell attribute data (e.g., scalars, vectors, normals, texture \n coordinates, etc.) Special methods are provided to work with filter\n objects, such as passing data through filter, copying data from one \n cell to another, and interpolating data given cell interpolation weights.\n\n",
  NULL
};

static vtkObjectBase *vtkCellDataStaticNew()
{
  return vtkCellData::New();
}

PyObject *PyVTKClass_vtkCellDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkCellDataStaticNew,
                        PyvtkCellDataMethods,
                        (char*)"vtkCellData",modulename,
                        (char**)vtkCellDataDoc,
                        PyVTKClass_vtkDataSetAttributesNew(modulename));
}

