// python wrapper for vtkCellLinks object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCellLinks.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCellLinksNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCellLinksNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCellLinks_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  const char    *temp20;
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLinks::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLinks_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLinks::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLinks_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  vtkCellLinks  *temp20;
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLinks::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLinks_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCellLinks  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCellLinks::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCellLinks_Allocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLinks::Allocate(temp0,temp1);
      }
    else
      {
      op->Allocate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLinks_GetNcells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  vtkIdType   temp0;
  unsigned short    temp20;
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLinks::GetNcells(temp0);
      }
    else
      {
      temp20 = op->GetNcells(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLinks_BuildLinks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLinks::BuildLinks(temp0);
      }
    else
      {
      op->BuildLinks(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  vtkCellArray  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkCellArray");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLinks::BuildLinks(temp0,temp1);
      }
    else
      {
      op->BuildLinks(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkCellLinks_InsertNextPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  int      temp0;
  vtkIdType   temp20;
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLinks::InsertNextPoint(temp0);
      }
    else
      {
      temp20 = op->InsertNextPoint(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLinks_InsertNextCellReference(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLinks::InsertNextCellReference(temp0,temp1);
      }
    else
      {
      op->InsertNextCellReference(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLinks_DeletePoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  vtkIdType   temp0;
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLinks::DeletePoint(temp0);
      }
    else
      {
      op->DeletePoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLinks_RemoveCellReference(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLinks::RemoveCellReference(temp0,temp1);
      }
    else
      {
      op->RemoveCellReference(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLinks_AddCellReference(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLinks::AddCellReference(temp0,temp1);
      }
    else
      {
      op->AddCellReference(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLinks_ResizeCellList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  vtkIdType   temp0;
  int      temp1;
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLinks::ResizeCellList(temp0,temp1);
      }
    else
      {
      op->ResizeCellList(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLinks_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLinks::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLinks_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLinks::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLinks_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  unsigned long     temp20;
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellLinks::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellLinks_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellLinks *op;

  vtkCellLinks  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCellLinks *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCellLinks *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCellLinks");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkCellLinks::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}

static PyMethodDef PyvtkCellLinksMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCellLinks_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCellLinks_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCellLinks_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCellLinks\nC++: vtkCellLinks *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCellLinks_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCellLinks\nC++: vtkCellLinks *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Allocate",                (PyCFunction)PyvtkCellLinks_Allocate, 1,
   (char*)"V.Allocate(int, int)\nC++: void Allocate (vtkIdType numLinks, vtkIdType ext);\n\n Allocate the specified number of links (i.e., number of points) that\n will be built.\n"},
  {(char*)"GetNcells",                (PyCFunction)PyvtkCellLinks_GetNcells, 1,
   (char*)"V.GetNcells(int) -> int\nC++: unsigned short GetNcells (vtkIdType ptId);return this Array ptId ncells \n\n Get the number of cells using the point specified by ptId.\n"},
  {(char*)"BuildLinks",                (PyCFunction)PyvtkCellLinks_BuildLinks, 1,
   (char*)"V.BuildLinks(vtkDataSet)\nC++: void BuildLinks (vtkDataSet *data);\nV.BuildLinks(vtkDataSet, vtkCellArray)\nC++: void BuildLinks (vtkDataSet *data, vtkCellArray *Connectivity);\n\n Build the link list array.\n"},
  {(char*)"InsertNextPoint",                (PyCFunction)PyvtkCellLinks_InsertNextPoint, 1,
   (char*)"V.InsertNextPoint(int) -> int\nC++: vtkIdType InsertNextPoint (int numLinks);\n\n Insert a new point into the cell-links data structure. The size parameter\n is the initial size of the list.\n"},
  {(char*)"InsertNextCellReference",                (PyCFunction)PyvtkCellLinks_InsertNextCellReference, 1,
   (char*)"V.InsertNextCellReference(int, int)\nC++: void InsertNextCellReference (vtkIdType ptId, vtkIdType cellId);\n\n Insert a cell id into the list of cells (at the end) using the cell id \n provided. (Make sure to extend the link list (if necessary) using the\n method ResizeCellList().)\n"},
  {(char*)"DeletePoint",                (PyCFunction)PyvtkCellLinks_DeletePoint, 1,
   (char*)"V.DeletePoint(int)\nC++: void DeletePoint (vtkIdType ptId);\n\n Delete point (and storage) by destroying links to using cells.\n"},
  {(char*)"RemoveCellReference",                (PyCFunction)PyvtkCellLinks_RemoveCellReference, 1,
   (char*)"V.RemoveCellReference(int, int)\nC++: void RemoveCellReference (vtkIdType cellId, vtkIdType ptId);\n\n Delete the reference to the cell (cellId) from the point (ptId). This\n removes the reference to the cellId from the cell list, but does not\n resize the list (recover memory with ResizeCellList(), if necessary).\n"},
  {(char*)"AddCellReference",                (PyCFunction)PyvtkCellLinks_AddCellReference, 1,
   (char*)"V.AddCellReference(int, int)\nC++: void AddCellReference (vtkIdType cellId, vtkIdType ptId);\n\n Add the reference to the cell (cellId) from the point (ptId). This\n adds a reference to the cellId from the cell list, but does not resize\n the list (extend memory with ResizeCellList(), if necessary).\n"},
  {(char*)"ResizeCellList",                (PyCFunction)PyvtkCellLinks_ResizeCellList, 1,
   (char*)"V.ResizeCellList(int, int)\nC++: void ResizeCellList (vtkIdType ptId, int size);\n\n Change the length of a point's link list (i.e., list of cells using a\n point) by the size specified.\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkCellLinks_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: void Squeeze ();\n\n Reclaim any unused memory.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkCellLinks_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n Reset to a state of no entries without freeing the memory.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkCellLinks_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: unsigned long GetActualMemorySize ();\n\n Return the memory in kilobytes consumed by this cell links array. \n Used to support streaming and reading/writing data. The value \n returned is guaranteed to be greater than or equal to the memory \n required to actually represent the data represented by this object. \n The information returned is valid only after the pipeline has \n been updated.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkCellLinks_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkCellLinks)\nC++: void DeepCopy (vtkCellLinks *src);\n\n Standard DeepCopy method.  Since this object contains no reference\n to other objects, there is no ShallowCopy.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCellLinksDoc[] = {
  (char*)"vtkCellLinks - object represents upward pointers from points to list of cells using each point\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkCellLinks is a supplemental object to vtkCellArray and vtkCellTypes, \n enabling access from points to the cells using the points. vtkCellLinks is\n a list of Links, each link represents a dynamic list of cell id's using the \n point. The information provided by this object can be used to determine \n neighbors and construct other local topological information.\n\n",
  "See Also:\n\n vtkCellArray vtkCellTypes\n\n",
  NULL
};

static vtkObjectBase *vtkCellLinksStaticNew()
{
  return vtkCellLinks::New();
}

PyObject *PyVTKClass_vtkCellLinksNew(char *modulename)
{
  return PyVTKClass_New(&vtkCellLinksStaticNew,
                        PyvtkCellLinksMethods,
                        (char*)"vtkCellLinks",modulename,
                        (char**)vtkCellLinksDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

