// python wrapper for vtkCell object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCell.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCellNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCellNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCell_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  const char    *temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  vtkCell  *temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  vtkCell  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkCell::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCell_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  vtkCell  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCell::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCell_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  int      temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetCellType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_GetCellDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  int      temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetCellDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_IsLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  int      temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::IsLinear();
      }
    else
      {
      temp20 = op->IsLinear();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_RequiresInitialization(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  int      temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::RequiresInitialization();
      }
    else
      {
      temp20 = op->RequiresInitialization();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCell::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_IsExplicitCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  int      temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::IsExplicitCell();
      }
    else
      {
      temp20 = op->IsExplicitCell();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_GetPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  vtkPoints  *temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::GetPoints();
      }
    else
      {
      temp20 = op->GetPoints();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  int      temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_GetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  int      temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_GetNumberOfFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  int      temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfFaces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_GetPointIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  vtkIdList  *temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::GetPointIds();
      }
    else
      {
      temp20 = op->GetPointIds();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_GetPointId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  int      temp0;
  vtkIdType   temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::GetPointId(temp0);
      }
    else
      {
      temp20 = op->GetPointId(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_GetEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  int      temp0;
  vtkCell  *temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetEdge(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_GetFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  int      temp0;
  vtkCell  *temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetFace(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_CellBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  int      temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2)))
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->CellBoundary(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkCell_Contour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkCellArray  *temp4;
  PyObject *tempH4;
  vtkCellArray  *temp5;
  PyObject *tempH5;
  vtkPointData  *temp6;
  PyObject *tempH6;
  vtkPointData  *temp7;
  PyObject *tempH7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  PyObject *tempH10;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOOOiO", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7, &tempH8, &temp9, &tempH10)))
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break20;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break20;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break20;
    temp4 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCellArray");
    if (!temp4 && tempH4 != Py_None) goto break20;
    temp5 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellArray");
    if (!temp5 && tempH5 != Py_None) goto break20;
    temp6 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkPointData");
    if (!temp6 && tempH6 != Py_None) goto break20;
    temp7 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkPointData");
    if (!temp7 && tempH7 != Py_None) goto break20;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break20;
    temp10 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH10,(char*)"vtkCellData");
    if (!temp10 && tempH10 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkCell_Clip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  int      temp9;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOiOi", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8, &temp9)))
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break21;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break21;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break21;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break21;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break21;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break21;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkCell_Triangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkPoints  *temp2;
  PyObject *tempH2;
  int      temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2)))
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break22;
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Triangulate(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkCell_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  double temp0[6];
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCell::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCell *op;

  double  *temp20;
  PyErr_Clear();
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_GetLength2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  double   temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::GetLength2();
      }
    else
      {
      temp20 = op->GetLength2();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_GetParametricCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  double temp0[3];
  int      temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::GetParametricCenter(temp0);
      }
    else
      {
      temp20 = op->GetParametricCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_GetParametricDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  double temp0[3];
  double   temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::GetParametricDistance(temp0);
      }
    else
      {
      temp20 = op->GetParametricDistance(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCell_IsPrimaryCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell *op;

  int      temp20;
  if ((op = (vtkCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCell::IsPrimaryCell();
      }
    else
      {
      temp20 = op->IsPrimaryCell();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCellMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCell_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCell_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCell_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCell\nC++: vtkCell *NewInstance ();\n\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkCell_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkCell)\nC++: virtual void ShallowCopy (vtkCell *c);\n\n Copy this cell by reference counting the internal data structures. \n This is safe if you want a \"read-only\" copy. If you modify the cell\n you might wish to use DeepCopy().\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkCell_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkCell)\nC++: virtual void DeepCopy (vtkCell *c);\n\n Copy this cell by completely copying internal data structures. This is\n slower but safer than ShallowCopy().\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkCell_GetCellType, 1,
   (char*)"V.GetCellType() -> int\nC++: virtual int GetCellType () = 0;\n\n Return the type of cell.\n"},
  {(char*)"GetCellDimension",                (PyCFunction)PyvtkCell_GetCellDimension, 1,
   (char*)"V.GetCellDimension() -> int\nC++: virtual int GetCellDimension () = 0;\n\n Return the topological dimensional of the cell (0,1,2, or 3).\n"},
  {(char*)"IsLinear",                (PyCFunction)PyvtkCell_IsLinear, 1,
   (char*)"V.IsLinear() -> int\nC++: virtual int IsLinear ();return \n\n Some cells require initialization prior to access. For example, they\n may have to triangulate themselves or set up internal data structures.\n"},
  {(char*)"RequiresInitialization",                (PyCFunction)PyvtkCell_RequiresInitialization, 1,
   (char*)"V.RequiresInitialization() -> int\nC++: virtual int RequiresInitialization ();return \n\n Some cells require initialization prior to access. For example, they\n may have to triangulate themselves or set up internal data structures.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkCell_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Explicit cells require additional representational information\n beyond the usual cell type and connectivity list information.\n Most cells in VTK are implicit cells.\n"},
  {(char*)"IsExplicitCell",                (PyCFunction)PyvtkCell_IsExplicitCell, 1,
   (char*)"V.IsExplicitCell() -> int\nC++: virtual int IsExplicitCell ();return \n\n Get the point coordinates for the cell.\n"},
  {(char*)"GetPoints",                (PyCFunction)PyvtkCell_GetPoints, 1,
   (char*)"V.GetPoints() -> vtkPoints\nC++: vtkPoints *GetPoints ();return this Points \n\n Return the number of points in the cell.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkCell_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: int GetNumberOfPoints ();return this PointIds GetNumberOfIds \n\n Return the number of edges in the cell.\n"},
  {(char*)"GetNumberOfEdges",                (PyCFunction)PyvtkCell_GetNumberOfEdges, 1,
   (char*)"V.GetNumberOfEdges() -> int\nC++: virtual int GetNumberOfEdges () = 0;\n\n Return the number of edges in the cell.\n"},
  {(char*)"GetNumberOfFaces",                (PyCFunction)PyvtkCell_GetNumberOfFaces, 1,
   (char*)"V.GetNumberOfFaces() -> int\nC++: virtual int GetNumberOfFaces () = 0;\n\n Return the number of faces in the cell.\n"},
  {(char*)"GetPointIds",                (PyCFunction)PyvtkCell_GetPointIds, 1,
   (char*)"V.GetPointIds() -> vtkIdList\nC++: vtkIdList *GetPointIds ();return this PointIds \n\n For cell point i, return the actual point id.\n"},
  {(char*)"GetPointId",                (PyCFunction)PyvtkCell_GetPointId, 1,
   (char*)"V.GetPointId(int) -> int\nC++: vtkIdType GetPointId (int ptId);return this PointIds GetId ptId \n\n Return the edge cell from the edgeId of the cell.\n"},
  {(char*)"GetEdge",                (PyCFunction)PyvtkCell_GetEdge, 1,
   (char*)"V.GetEdge(int) -> vtkCell\nC++: virtual vtkCell *GetEdge (int edgeId) = 0;\n\n Return the edge cell from the edgeId of the cell.\n"},
  {(char*)"GetFace",                (PyCFunction)PyvtkCell_GetFace, 1,
   (char*)"V.GetFace(int) -> vtkCell\nC++: virtual vtkCell *GetFace (int faceId) = 0;\n\n Return the face cell from the faceId of the cell.\n"},
  {(char*)"CellBoundary",                (PyCFunction)PyvtkCell_CellBoundary, 1,
   (char*)"V.CellBoundary(int, (float, float, float), vtkIdList) -> int\nC++: virtual int CellBoundary (int subId, double pcoords[3], vtkIdList *pts) = 0;\n\n Given parametric coordinates of a point, return the closest cell\n boundary, and whether the point is inside or outside of the cell. The\n cell boundary is defined by a list of points (pts) that specify a face\n (3D cell), edge (2D cell), or vertex (1D cell). If the return value of\n the method is != 0, then the point is inside the cell.\n"},
  {(char*)"Contour",                (PyCFunction)PyvtkCell_Contour, 1,
   (char*)"V.Contour(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkCellArray, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: virtual void Contour (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd) = 0;\n\n Generate contouring primitives. The scalar list cellScalars are\n scalar values at each cell point. The point locator is essentially a \n points list that merges points as they are inserted (i.e., prevents \n duplicates). Contouring primitives can be vertices, lines, or\n polygons. It is possible to interpolate point data along the edge\n by providing input and output point data - if outPd is NULL, then\n no interpolation is performed. Also, if the output cell data is\n non-NULL, the cell data from the contoured cell is passed to the\n generated contouring primitives. (Note: the CopyAllocate() method\n must be invoked on both the output cell and point data. The \n cellId refers to the cell from which the cell data is copied.)\n"},
  {(char*)"Clip",                (PyCFunction)PyvtkCell_Clip, 1,
   (char*)"V.Clip(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData, int)\nC++: virtual void Clip (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *connectivity, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut) = 0;\n\n Cut (or clip) the cell based on the input cellScalars and the\n specified value. The output of the clip operation will be one or\n more cells of the same topological dimension as the original cell. \n The flag insideOut controls what part of the cell is considered inside - \n normally cell points whose scalar value is greater than \"value\" are\n considered inside. If insideOut is on, this is reversed. Also, if the \n output cell data is non-NULL, the cell data from the clipped cell is \n passed to the generated contouring primitives. (Note: the CopyAllocate() \n method must be invoked on both the output cell and point data. The\n cellId refers to the cell from which the cell data is copied.)\n"},
  {(char*)"Triangulate",                (PyCFunction)PyvtkCell_Triangulate, 1,
   (char*)"V.Triangulate(int, vtkIdList, vtkPoints) -> int\nC++: virtual int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts) = 0;\n\n Generate simplices of proper dimension. If cell is 3D, tetrahedron are \n generated; if 2D triangles; if 1D lines; if 0D points. The form of the\n output is a sequence of points, each n+1 points (where n is topological \n cell dimension) defining a simplex. The index is a parameter that controls\n which triangulation to use (if more than one is possible). If numerical\n degeneracy encountered, 0 is returned, otherwise 1 is returned.\n This method does not insert new points: all the points that define the\n simplices are the points that define the cell.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkCell_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);\nV.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds ();\n\n Compute cell bounding box (xmin,xmax,ymin,ymax,zmin,zmax). Copy result\n into user provided array.\n"},
  {(char*)"GetLength2",                (PyCFunction)PyvtkCell_GetLength2, 1,
   (char*)"V.GetLength2() -> float\nC++: double GetLength2 ();\n\n Compute Length squared of cell (i.e., bounding box diagonal squared).\n"},
  {(char*)"GetParametricCenter",                (PyCFunction)PyvtkCell_GetParametricCenter, 1,
   (char*)"V.GetParametricCenter((float, float, float)) -> int\nC++: virtual int GetParametricCenter (double pcoords[3]);\n\n Return center of the cell in parametric coordinates.  Note that the\n parametric center is not always located at (0.5,0.5,0.5). The return\n value is the subId that the center is in (if a composite cell). If you\n want the center in x-y-z space, invoke the EvaluateLocation() method.\n"},
  {(char*)"GetParametricDistance",                (PyCFunction)PyvtkCell_GetParametricDistance, 1,
   (char*)"V.GetParametricDistance((float, float, float)) -> float\nC++: virtual double GetParametricDistance (double pcoords[3]);\n\n Return the distance of the parametric coordinate provided to the\n cell. If inside the cell, a distance of zero is returned. This is\n used during picking to get the correct cell picked. (The tolerance\n will occasionally allow cells to be picked who are not really\n intersected \"inside\" the cell.)\n"},
  {(char*)"IsPrimaryCell",                (PyCFunction)PyvtkCell_IsPrimaryCell, 1,
   (char*)"V.IsPrimaryCell() -> int\nC++: virtual int IsPrimaryCell ();return \n\n Return a contiguous array of parametric coordinates of the points\n defining this cell. In other words, (px,py,pz, px,py,pz, etc..)  The\n coordinates are ordered consistent with the definition of the point\n ordering for the cell. This method returns a non-NULL pointer when\n the cell is a primary type (i.e., IsPrimaryCell() is true). Note that\n 3D parametric coordinates are returned no matter what the topological\n dimension of the cell.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCellDoc[] = {
  (char*)"vtkCell - abstract class to specify cell behavior\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkCell is an abstract class that specifies the interfaces for data cells.\n Data cells are simple topological elements like points, lines, polygons, \n and tetrahedra of which visualization datasets are composed. In some \n cases visualization datasets may explicitly represent cells (e.g., \n vtkPolyData, vtkUnstructuredGrid), and in some cases, the datasets are \n implicitly composed of cells (e.g.,",
  (char*)" vtkStructuredPoints).\n\n\n",
  "Caveats:\n\n The #define VTK_CELL_SIZE is a parameter used to construct cells and provide\n a general guideline for controlling object execution. This parameter is \n not a hard boundary: you can create cells with more points.\n\n",
  "See Also:\n\n vtkHexahedron vtkLine vtkPixel vtkPolyLine vtkPolyVertex\n vtkPolygon vtkQuad vtkTetra vtkTriangle \n vtkTriangleStrip vtkVertex vtkVoxel vtkWedge vtkPyramid\n\n",
  NULL
};

PyObject *PyVTKClass_vtkCellNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkCellMethods,
                        (char*)"vtkCell",modulename,
                        (char**)vtkCellDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

