// tcl wrapper for vtkCell object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCell.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCellCppCommand(vtkCell *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCellCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCellCppCommand((vtkCell *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCellCppCommand(vtkCell *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCell",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCell  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCell");
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsLinear",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsLinear();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RequiresInitialization",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->RequiresInitialization();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsExplicitCell",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsExplicitCell();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPoints",argv[1]))&&(argc == 2))
    {
    vtkPoints  *temp20;
    temp20 = (op)->GetPoints();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPoints");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfEdges",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFaces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFaces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointIds",argv[1]))&&(argc == 2))
    {
    vtkIdList  *temp20;
    temp20 = (op)->GetPointIds();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkIdList");
    return TCL_OK;
    }
  if ((!strcmp("GetPointId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointId(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdge",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkCell  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEdge(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCell");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFace",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkCell  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFace(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCell");
    return TCL_OK;
    }
    }
  if ((!strcmp("Contour",argv[1]))&&(argc == 13))
    {
    double   temp0;
    vtkDataArray  *temp1;
    vtkPointLocator  *temp2;
    vtkCellArray  *temp3;
    vtkCellArray  *temp4;
    vtkCellArray  *temp5;
    vtkPointData  *temp6;
    vtkPointData  *temp7;
    vtkCellData  *temp8;
    vtkIdType   temp9;
    vtkCellData  *temp10;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataArray",interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPointLocator",interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkCellArray",interp,error));
    temp4 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkCellArray",interp,error));
    temp5 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkCellArray",interp,error));
    temp6 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[8],(char *) "vtkPointData",interp,error));
    temp7 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[9],(char *) "vtkPointData",interp,error));
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[11],&tempi) != TCL_OK) error = 1;
    temp9 = tempi;
    temp10 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[12],(char *) "vtkCellData",interp,error));
    if (!error)
    {
    op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Clip",argv[1]))&&(argc == 12))
    {
    double   temp0;
    vtkDataArray  *temp1;
    vtkPointLocator  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    vtkPointData  *temp5;
    vtkCellData  *temp6;
    vtkIdType   temp7;
    vtkCellData  *temp8;
    int      temp9;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataArray",interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPointLocator",interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkCellArray",interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointData",interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkPointData",interp,error));
    temp6 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[8],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[11],&tempi) != TCL_OK) error = 1;
    temp9 = tempi;
    if (!error)
    {
    op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Triangulate",argv[1]))&&(argc == 5))
    {
    int      temp0;
    vtkIdList  *temp1;
    vtkPoints  *temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkIdList",interp,error));
    temp2 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPoints",interp,error));
    if (!error)
    {
    temp20 = (op)->Triangulate(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLength2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLength2();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetParametricCenter",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetParametricCenter(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParametricDistance",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetParametricDistance(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsPrimaryCell",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsPrimaryCell();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkCellCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCell:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellType\n",NULL);
    Tcl_AppendResult(interp,"  GetCellDimension\n",NULL);
    Tcl_AppendResult(interp,"  IsLinear\n",NULL);
    Tcl_AppendResult(interp,"  RequiresInitialization\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  IsExplicitCell\n",NULL);
    Tcl_AppendResult(interp,"  GetPoints\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdges\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFaces\n",NULL);
    Tcl_AppendResult(interp,"  GetPointIds\n",NULL);
    Tcl_AppendResult(interp,"  GetPointId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdge\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Contour\t with 11 args\n",NULL);
    Tcl_AppendResult(interp,"  Clip\t with 10 args\n",NULL);
    Tcl_AppendResult(interp,"  Triangulate\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetLength2\n",NULL);
    Tcl_AppendResult(interp,"  GetParametricCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetParametricDistance\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  IsPrimaryCell\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
