// python wrapper for vtkCompositeDataIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCompositeDataIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompositeDataIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompositeDataIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCompositeDataIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  const char    *temp20;
  if ((op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  vtkCompositeDataIterator  *temp20;
  if ((op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_InitTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  if ((op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataIterator::InitTraversal();
      }
    else
      {
      op->InitTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_GoToFirstItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  if ((op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GoToFirstItem();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_GoToNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  if ((op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GoToNextItem();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_IsDoneWithTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  int      temp20;
  if ((op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->IsDoneWithTraversal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataIterator_GetCurrentDataObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataIterator *op;

  vtkDataObject  *temp20;
  if ((op = (vtkCompositeDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetCurrentDataObject();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCompositeDataIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompositeDataIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompositeDataIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompositeDataIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompositeDataIterator\nC++: vtkCompositeDataIterator *NewInstance ();\n\n"},
  {(char*)"InitTraversal",                (PyCFunction)PyvtkCompositeDataIterator_InitTraversal, 1,
   (char*)"V.InitTraversal()\nC++: void InitTraversal ();this GoToFirstItem \n\n Move the iterator to the beginning of the collection.\n"},
  {(char*)"GoToFirstItem",                (PyCFunction)PyvtkCompositeDataIterator_GoToFirstItem, 1,
   (char*)"V.GoToFirstItem()\nC++: virtual void GoToFirstItem () = 0;\n\n Move the iterator to the beginning of the collection.\n"},
  {(char*)"GoToNextItem",                (PyCFunction)PyvtkCompositeDataIterator_GoToNextItem, 1,
   (char*)"V.GoToNextItem()\nC++: virtual void GoToNextItem () = 0;\n\n Move the iterator to the next item in the collection.\n"},
  {(char*)"IsDoneWithTraversal",                (PyCFunction)PyvtkCompositeDataIterator_IsDoneWithTraversal, 1,
   (char*)"V.IsDoneWithTraversal() -> int\nC++: virtual int IsDoneWithTraversal () = 0;\n\n Test whether the iterator is currently pointing to a valid\n item. Returns 1 for yes, 0 for no.\n"},
  {(char*)"GetCurrentDataObject",                (PyCFunction)PyvtkCompositeDataIterator_GetCurrentDataObject, 1,
   (char*)"V.GetCurrentDataObject() -> vtkDataObject\nC++: virtual vtkDataObject *GetCurrentDataObject () = 0;\n\n Get the current item. Valid only when IsDoneWithTraversal()\n returns 1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompositeDataIteratorDoc[] = {
  (char*)"vtkCompositeDataIterator - abstract superclass for composite data iterators\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkCompositeDataIterator provides an interface for accessing datasets\n in a collection (vtkCompositeDataIterator). Sub-classes provide the\n actual implementation.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkCompositeDataIteratorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkCompositeDataIteratorMethods,
                        (char*)"vtkCompositeDataIterator",modulename,
                        (char**)vtkCompositeDataIteratorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

