// python wrapper for vtkCompositeDataPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCompositeDataPipeline.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompositeDataPipelineNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompositeDataPipelineNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStreamingDemandDrivenPipelineNew(char *); }

static PyObject *PyvtkCompositeDataPipeline_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataPipeline *op;

  const char    *temp20;
  if ((op = (vtkCompositeDataPipeline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataPipeline::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataPipeline *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCompositeDataPipeline *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataPipeline::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataPipeline *op;

  vtkCompositeDataPipeline  *temp20;
  if ((op = (vtkCompositeDataPipeline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataPipeline::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCompositeDataPipeline  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCompositeDataPipeline::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_GetCompositeOutputData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataPipeline *op;

  int      temp0;
  vtkDataObject  *temp20;
  if ((op = (vtkCompositeDataPipeline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataPipeline::GetCompositeOutputData(temp0);
      }
    else
      {
      temp20 = op->GetCompositeOutputData(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_BEGIN_LOOP(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCompositeDataPipeline::BEGIN_LOOP();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_END_LOOP(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCompositeDataPipeline::END_LOOP();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_COMPOSITE_DATA_TYPE_NAME(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationStringKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCompositeDataPipeline::COMPOSITE_DATA_TYPE_NAME();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_COMPOSITE_DATA_INFORMATION(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCompositeDataPipeline::COMPOSITE_DATA_INFORMATION();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_MARKED_FOR_UPDATE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCompositeDataPipeline::MARKED_FOR_UPDATE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_INPUT_REQUIRED_COMPOSITE_DATA_TYPE(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationStringKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCompositeDataPipeline::INPUT_REQUIRED_COMPOSITE_DATA_TYPE();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataPipeline_UPDATE_BLOCKS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationObjectBaseKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCompositeDataPipeline::UPDATE_BLOCKS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCompositeDataPipelineMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompositeDataPipeline_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompositeDataPipeline_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompositeDataPipeline_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompositeDataPipeline\nC++: vtkCompositeDataPipeline *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCompositeDataPipeline_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCompositeDataPipeline\nC++: vtkCompositeDataPipeline *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetCompositeOutputData",                (PyCFunction)PyvtkCompositeDataPipeline_GetCompositeOutputData, 1,
   (char*)"V.GetCompositeOutputData(int) -> vtkDataObject\nC++: vtkDataObject *GetCompositeOutputData (int port);\n\n Returns the data object stored with the COMPOSITE_DATA_SET() in the\n output port\n"},
  {(char*)"BEGIN_LOOP",                (PyCFunction)PyvtkCompositeDataPipeline_BEGIN_LOOP, 1,
   (char*)"V.BEGIN_LOOP() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *BEGIN_LOOP ();\n\n vtkCompositeDataPipeline specific keys\n"},
  {(char*)"END_LOOP",                (PyCFunction)PyvtkCompositeDataPipeline_END_LOOP, 1,
   (char*)"V.END_LOOP() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *END_LOOP ();\n\n vtkCompositeDataPipeline specific keys\n"},
  {(char*)"COMPOSITE_DATA_TYPE_NAME",                (PyCFunction)PyvtkCompositeDataPipeline_COMPOSITE_DATA_TYPE_NAME, 1,
   (char*)"V.COMPOSITE_DATA_TYPE_NAME() -> vtkInformationStringKey\nC++: static vtkInformationStringKey *COMPOSITE_DATA_TYPE_NAME ();\n\n vtkCompositeDataPipeline specific keys\n"},
  {(char*)"COMPOSITE_DATA_INFORMATION",                (PyCFunction)PyvtkCompositeDataPipeline_COMPOSITE_DATA_INFORMATION, 1,
   (char*)"V.COMPOSITE_DATA_INFORMATION() -> vtkInformationObjectBaseKey\nC++: static vtkInformationObjectBaseKey *COMPOSITE_DATA_INFORMATION ();\n\n vtkCompositeDataPipeline specific keys\n"},
  {(char*)"MARKED_FOR_UPDATE",                (PyCFunction)PyvtkCompositeDataPipeline_MARKED_FOR_UPDATE, 1,
   (char*)"V.MARKED_FOR_UPDATE() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *MARKED_FOR_UPDATE ();\n\n vtkCompositeDataPipeline specific keys\n"},
  {(char*)"INPUT_REQUIRED_COMPOSITE_DATA_TYPE",                (PyCFunction)PyvtkCompositeDataPipeline_INPUT_REQUIRED_COMPOSITE_DATA_TYPE, 1,
   (char*)"V.INPUT_REQUIRED_COMPOSITE_DATA_TYPE() -> vtkInformationStringKey\nC++: static vtkInformationStringKey *INPUT_REQUIRED_COMPOSITE_DATA_TYPE ();\n\n vtkCompositeDataPipeline specific keys\n"},
  {(char*)"UPDATE_BLOCKS",                (PyCFunction)PyvtkCompositeDataPipeline_UPDATE_BLOCKS, 1,
   (char*)"V.UPDATE_BLOCKS() -> vtkInformationObjectBaseKey\nC++: static vtkInformationObjectBaseKey *UPDATE_BLOCKS ();\n\n vtkCompositeDataPipeline specific keys\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompositeDataPipelineDoc[] = {
  (char*)"vtkCompositeDataPipeline - Executive supporting composite datasets.\n\n",
  "Super Class:\n\n vtkStreamingDemandDrivenPipeline\n\n",
  (char*)" vtkCompositeDataPipeline is an executive that supports the processing of\n composite dataset. It supports algorithms that are aware of composite\n dataset as well as those that are not. Portions of the pipeline that are\n note composite dataset-aware are looped by the next consumer that is\n composite dataset-aware. Type checking is performed at run\n time. Algorithms that are not composite dataset-aw",
  (char*)"are have to support\n all dataset types contained in the composite dataset. The pipeline\n execution can be summarized as follows: \n\n * REQUEST_INFORMATION: The producers have to provide information about\n the contents of the composite dataset in this pass. This is accomplished\n by creating and populating a vtkHierarchicalDataInformation and setting\n it using the COMPOSITE_DATA_INFORMATION() key in ",
  (char*)"the output information\n vector. Sources that can produce more than one piece (note that a piece is\n different than a block; each piece consistes of 0 or more blocks) should\n set MAXIMUM_NUMBER_OF_PIECES to -1.\n\n * REQUEST_UPDATE_EXTENT: This pass is identical to the one implemented\n in vtkStreamingDemandDrivenPipeline\n\n * BEGIN_LOOP: The source is told that looping is about to start. \n The source ",
  (char*)"has to perform  \"extent translation\". This is the process \n by which the piece request is converted to a block request. \n This is done by adding a MARKED_FOR_UPDATE() key to the appropriate blocks \n in UPDATE_BLOCKS().\n\n * REQUEST_DATA: This is where the algorithms execute. If a composite\n data algorithm is consuming the output of a simple data algorithm, the\n executive will execute the streaming ",
  (char*)"demand driven pipeline passes for\n each block:\n @verbatim\n for each block\n    REQUEST_PIPELINE_MODIFIED_TIME()\n    REQUEST_DATA_OBJECT()\n    REQUEST_INFORMATION()\n    REQUEST_DATA()\n @endverbatim\n The request passed to these passes will contain a LEVEL() and INDEX() key\n of each block to be updated. \n Shallow copies of individual blocks are added to the composite input\n of the algorithm. Finally, ",
  (char*)"the request is passed to the algorithm.\n If the algorithm it points to is simple, the executive will also call\n it on each block and collect the results as the output.\n Furthermore, if the vtkCompositeDataPipeline is assigned to a simple filter, \n it will invoke the  vtkStreamingDemandDrivenPipeline passes in a loop, \n passing a different block each time and will collect the results in a \n composi",
  (char*)"te dataset (vtkHierarchicalDataSet).\n .SECTION See also\n  vtkHierarchicalDataInformation vtkCompositeDataSet vtkHierarchicalDataSet\n\n",
  NULL
};

static vtkObjectBase *vtkCompositeDataPipelineStaticNew()
{
  return vtkCompositeDataPipeline::New();
}

PyObject *PyVTKClass_vtkCompositeDataPipelineNew(char *modulename)
{
  return PyVTKClass_New(&vtkCompositeDataPipelineStaticNew,
                        PyvtkCompositeDataPipelineMethods,
                        (char*)"vtkCompositeDataPipeline",modulename,
                        (char**)vtkCompositeDataPipelineDoc,
                        PyVTKClass_vtkStreamingDemandDrivenPipelineNew(modulename));
}

