// tcl wrapper for vtkCompositeDataPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeDataPipeline.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkCompositeDataPipelineNewCommand()
{
  vtkCompositeDataPipeline *temp = vtkCompositeDataPipeline::New();
  return ((ClientData)temp);
}

int vtkStreamingDemandDrivenPipelineCppCommand(vtkStreamingDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCompositeDataPipelineCppCommand(vtkCompositeDataPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCompositeDataPipelineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCompositeDataPipelineCppCommand((vtkCompositeDataPipeline *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCompositeDataPipelineCppCommand(vtkCompositeDataPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCompositeDataPipeline",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkStreamingDemandDrivenPipelineCppCommand((vtkStreamingDemandDrivenPipeline *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkStreamingDemandDrivenPipeline", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCompositeDataPipeline  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCompositeDataPipeline");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCompositeDataPipeline  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCompositeDataPipeline");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCompositeDataPipeline  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCompositeDataPipeline");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompositeOutputData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCompositeOutputData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("BEGIN_LOOP",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->BEGIN_LOOP();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("END_LOOP",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->END_LOOP();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("COMPOSITE_DATA_TYPE_NAME",argv[1]))&&(argc == 2))
    {
    vtkInformationStringKey  *temp20;
    temp20 = (op)->COMPOSITE_DATA_TYPE_NAME();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationStringKey");
    return TCL_OK;
    }
  if ((!strcmp("COMPOSITE_DATA_INFORMATION",argv[1]))&&(argc == 2))
    {
    vtkInformationObjectBaseKey  *temp20;
    temp20 = (op)->COMPOSITE_DATA_INFORMATION();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationObjectBaseKey");
    return TCL_OK;
    }
  if ((!strcmp("MARKED_FOR_UPDATE",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->MARKED_FOR_UPDATE();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("INPUT_REQUIRED_COMPOSITE_DATA_TYPE",argv[1]))&&(argc == 2))
    {
    vtkInformationStringKey  *temp20;
    temp20 = (op)->INPUT_REQUIRED_COMPOSITE_DATA_TYPE();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationStringKey");
    return TCL_OK;
    }
  if ((!strcmp("UPDATE_BLOCKS",argv[1]))&&(argc == 2))
    {
    vtkInformationObjectBaseKey  *temp20;
    temp20 = (op)->UPDATE_BLOCKS();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationObjectBaseKey");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkCompositeDataPipelineCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkStreamingDemandDrivenPipelineCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCompositeDataPipeline:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeOutputData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BEGIN_LOOP\n",NULL);
    Tcl_AppendResult(interp,"  END_LOOP\n",NULL);
    Tcl_AppendResult(interp,"  COMPOSITE_DATA_TYPE_NAME\n",NULL);
    Tcl_AppendResult(interp,"  COMPOSITE_DATA_INFORMATION\n",NULL);
    Tcl_AppendResult(interp,"  MARKED_FOR_UPDATE\n",NULL);
    Tcl_AppendResult(interp,"  INPUT_REQUIRED_COMPOSITE_DATA_TYPE\n",NULL);
    Tcl_AppendResult(interp,"  UPDATE_BLOCKS\n",NULL);
    return TCL_OK;
    }

  if (vtkStreamingDemandDrivenPipelineCppCommand((vtkStreamingDemandDrivenPipeline *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
