// python wrapper for vtkCompositeDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCompositeDataSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompositeDataSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompositeDataSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }

static PyObject *PyvtkCompositeDataSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  const char    *temp20;
  if ((op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkCompositeDataSet  *temp20;
  if ((op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_NewIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkCompositeDataIterator  *temp20;
  if ((op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->NewIterator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  int      temp20;
  if ((op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  if ((op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataSet::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_AddDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  if ((op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->AddDataSet(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp20;
  if ((op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDataSet(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_SetPipelineInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompositeDataSet::SetPipelineInformation(temp0);
      }
    else
      {
      op->SetPipelineInformation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_GetProducerPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompositeDataSet *op;

  vtkAlgorithmOutput  *temp20;
  if ((op = (vtkCompositeDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompositeDataSet::GetProducerPort();
      }
    else
      {
      temp20 = op->GetProducerPort();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_INDEX(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCompositeDataSet::INDEX();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompositeDataSet_COMPOSITE_DATA_SET(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDataObjectKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkCompositeDataSet::COMPOSITE_DATA_SET();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCompositeDataSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompositeDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompositeDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompositeDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompositeDataSet\nC++: vtkCompositeDataSet *NewInstance ();\n\n"},
  {(char*)"NewIterator",                (PyCFunction)PyvtkCompositeDataSet_NewIterator, 1,
   (char*)"V.NewIterator() -> vtkCompositeDataIterator\nC++: virtual vtkCompositeDataIterator *NewIterator () = 0;\n\n Return a new (forward) iterator \n (the iterator has to be deleted by user)\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkCompositeDataSet_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_COMPOSITE_DATA_SET \n\n Restore data object to initial state,\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkCompositeDataSet_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Restore data object to initial state,\n"},
  {(char*)"AddDataSet",                (PyCFunction)PyvtkCompositeDataSet_AddDataSet, 1,
   (char*)"V.AddDataSet(vtkInformation, vtkDataObject)\nC++: virtual void AddDataSet (vtkInformation *index, vtkDataObject *dobj) = 0;\n\n Adds dobj to the composite dataset. Where the dataset goes is determined\n by appropriate keys in the index information object. Which keys are used\n depends on the actual subclass.\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkCompositeDataSet_GetDataSet, 1,
   (char*)"V.GetDataSet(vtkInformation) -> vtkDataObject\nC++: virtual vtkDataObject *GetDataSet (vtkInformation *index) = 0;\n\n Returns a dataset pointed by appropriate keys in the index information\n object.  Which keys are used depends on the actual subclass.\n"},
  {(char*)"SetPipelineInformation",                (PyCFunction)PyvtkCompositeDataSet_SetPipelineInformation, 1,
   (char*)"V.SetPipelineInformation(vtkInformation)\nC++: virtual void SetPipelineInformation (vtkInformation *);\n\n Set the pipeline information object that owns this data\n object.\n"},
  {(char*)"GetProducerPort",                (PyCFunction)PyvtkCompositeDataSet_GetProducerPort, 1,
   (char*)"V.GetProducerPort() -> vtkAlgorithmOutput\nC++: virtual vtkAlgorithmOutput *GetProducerPort ();\n\n Get the port currently producing this object.\n"},
  {(char*)"INDEX",                (PyCFunction)PyvtkCompositeDataSet_INDEX, 1,
   (char*)"V.INDEX() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *INDEX ();\n\n"},
  {(char*)"COMPOSITE_DATA_SET",                (PyCFunction)PyvtkCompositeDataSet_COMPOSITE_DATA_SET, 1,
   (char*)"V.COMPOSITE_DATA_SET() -> vtkInformationDataObjectKey\nC++: static vtkInformationDataObjectKey *COMPOSITE_DATA_SET ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompositeDataSetDoc[] = {
  (char*)"vtkCompositeDataSet - abstact superclass for composite (multi-block or AMR) datasets\n\n",
  "Super Class:\n\n vtkDataObject\n\n",
  (char*)" vtkCompositeDataSet is an abstract class that represents a collection\n of datasets (including other composite datasets). This superclass\n does not implement an actual method for storing datasets. It\n only provides an interface to access the datasets through iterators.\n\n",
  "See Also:\n\n vtkCompositeDataIterator \n\n",
  NULL
};

PyObject *PyVTKClass_vtkCompositeDataSetNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkCompositeDataSetMethods,
                        (char*)"vtkCompositeDataSet",modulename,
                        (char**)vtkCompositeDataSetDoc,
                        PyVTKClass_vtkDataObjectNew(modulename));
}

