// python wrapper for vtkConvexPointSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkConvexPointSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkConvexPointSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkConvexPointSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCell3DNew(char *); }

static PyObject *PyvtkConvexPointSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  const char    *temp20;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvexPointSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConvexPointSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvexPointSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvexPointSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  vtkConvexPointSet  *temp20;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvexPointSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvexPointSet_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkConvexPointSet  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkConvexPointSet::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkConvexPointSet_HasFixedTopology(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  int      temp20;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvexPointSet::HasFixedTopology();
      }
    else
      {
      temp20 = op->HasFixedTopology();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvexPointSet_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  int      temp20;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvexPointSet::GetCellType();
      }
    else
      {
      temp20 = op->GetCellType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvexPointSet_RequiresInitialization(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  int      temp20;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvexPointSet::RequiresInitialization();
      }
    else
      {
      temp20 = op->RequiresInitialization();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvexPointSet_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConvexPointSet::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConvexPointSet_GetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  int      temp20;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvexPointSet::GetNumberOfEdges();
      }
    else
      {
      temp20 = op->GetNumberOfEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvexPointSet_GetEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  int      temp0;
  vtkCell  *temp20;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvexPointSet::GetEdge(temp0);
      }
    else
      {
      temp20 = op->GetEdge(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvexPointSet_GetNumberOfFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  int      temp20;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvexPointSet::GetNumberOfFaces();
      }
    else
      {
      temp20 = op->GetNumberOfFaces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvexPointSet_GetFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  int      temp0;
  vtkCell  *temp20;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvexPointSet::GetFace(temp0);
      }
    else
      {
      temp20 = op->GetFace(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvexPointSet_Contour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkCellArray  *temp4;
  PyObject *tempH4;
  vtkCellArray  *temp5;
  PyObject *tempH5;
  vtkPointData  *temp6;
  PyObject *tempH6;
  vtkPointData  *temp7;
  PyObject *tempH7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  PyObject *tempH10;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOOOiO", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7, &tempH8, &temp9, &tempH10)))
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break12;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break12;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break12;
    temp4 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCellArray");
    if (!temp4 && tempH4 != Py_None) goto break12;
    temp5 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellArray");
    if (!temp5 && tempH5 != Py_None) goto break12;
    temp6 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkPointData");
    if (!temp6 && tempH6 != Py_None) goto break12;
    temp7 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkPointData");
    if (!temp7 && tempH7 != Py_None) goto break12;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break12;
    temp10 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH10,(char*)"vtkCellData");
    if (!temp10 && tempH10 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkConvexPointSet::Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    else
      {
      op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkConvexPointSet_Clip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  int      temp9;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOiOi", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8, &temp9)))
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break13;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break13;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break13;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break13;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break13;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break13;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkConvexPointSet::Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkConvexPointSet_Triangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkPoints  *temp2;
  PyObject *tempH2;
  int      temp20;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2)))
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break14;
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvexPointSet::Triangulate(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Triangulate(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkConvexPointSet_CellBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  int      temp20;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2)))
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvexPointSet::CellBoundary(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->CellBoundary(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkConvexPointSet_GetParametricCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  double temp0[3];
  int      temp20;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvexPointSet::GetParametricCenter(temp0);
      }
    else
      {
      temp20 = op->GetParametricCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConvexPointSet_IsPrimaryCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConvexPointSet *op;

  int      temp20;
  if ((op = (vtkConvexPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConvexPointSet::IsPrimaryCell();
      }
    else
      {
      temp20 = op->IsPrimaryCell();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkConvexPointSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkConvexPointSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkConvexPointSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkConvexPointSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkConvexPointSet\nC++: vtkConvexPointSet *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkConvexPointSet_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkConvexPointSet\nC++: vtkConvexPointSet *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"HasFixedTopology",                (PyCFunction)PyvtkConvexPointSet_HasFixedTopology, 1,
   (char*)"V.HasFixedTopology() -> int\nC++: virtual int HasFixedTopology ();return \n\n See vtkCell3D API for description of these methods.\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkConvexPointSet_GetCellType, 1,
   (char*)"V.GetCellType() -> int\nC++: virtual int GetCellType ();return VTK_CONVEX_POINT_SET \n\n This cell requires that it be initialized prior to access.\n"},
  {(char*)"RequiresInitialization",                (PyCFunction)PyvtkConvexPointSet_RequiresInitialization, 1,
   (char*)"V.RequiresInitialization() -> int\nC++: virtual int RequiresInitialization ();return \n\n This cell requires that it be initialized prior to access.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkConvexPointSet_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n This cell requires that it be initialized prior to access.\n"},
  {(char*)"GetNumberOfEdges",                (PyCFunction)PyvtkConvexPointSet_GetNumberOfEdges, 1,
   (char*)"V.GetNumberOfEdges() -> int\nC++: virtual int GetNumberOfEdges ();return \n\n A convex point set has no explicit cell edge or faces; however\n implicitly (after triangulation) it does. Currently the method\n GetNumberOfEdges() always returns 0 while the GetNumberOfFaces() returns\n the number of boundary triangles of the triangulation of the convex\n point set. The method GetNumberOfFaces() triggers a triangulation of the\n convex point set; repeated calls to GetFace() then return the boundary\n faces. (Note: GetNumberOfEdges() currently returns 0 because it is a \n rarely used method and hard to implement. It can be changed in the future.\n"},
  {(char*)"GetEdge",                (PyCFunction)PyvtkConvexPointSet_GetEdge, 1,
   (char*)"V.GetEdge(int) -> vtkCell\nC++: virtual vtkCell *GetEdge (int );return NULL \n\n A convex point set has no explicit cell edge or faces; however\n implicitly (after triangulation) it does. Currently the method\n GetNumberOfEdges() always returns 0 while the GetNumberOfFaces() returns\n the number of boundary triangles of the triangulation of the convex\n point set. The method GetNumberOfFaces() triggers a triangulation of the\n convex point set; repeated calls to GetFace() then return the boundary\n faces. (Note: GetNumberOfEdges() currently returns 0 because it is a \n rarely used method and hard to implement. It can be changed in the future.\n"},
  {(char*)"GetNumberOfFaces",                (PyCFunction)PyvtkConvexPointSet_GetNumberOfFaces, 1,
   (char*)"V.GetNumberOfFaces() -> int\nC++: virtual int GetNumberOfFaces ();\n\n A convex point set has no explicit cell edge or faces; however\n implicitly (after triangulation) it does. Currently the method\n GetNumberOfEdges() always returns 0 while the GetNumberOfFaces() returns\n the number of boundary triangles of the triangulation of the convex\n point set. The method GetNumberOfFaces() triggers a triangulation of the\n convex point set; repeated calls to GetFace() then return the boundary\n faces. (Note: GetNumberOfEdges() currently returns 0 because it is a \n rarely used method and hard to implement. It can be changed in the future.\n"},
  {(char*)"GetFace",                (PyCFunction)PyvtkConvexPointSet_GetFace, 1,
   (char*)"V.GetFace(int) -> vtkCell\nC++: virtual vtkCell *GetFace (int faceId);\n\n A convex point set has no explicit cell edge or faces; however\n implicitly (after triangulation) it does. Currently the method\n GetNumberOfEdges() always returns 0 while the GetNumberOfFaces() returns\n the number of boundary triangles of the triangulation of the convex\n point set. The method GetNumberOfFaces() triggers a triangulation of the\n convex point set; repeated calls to GetFace() then return the boundary\n faces. (Note: GetNumberOfEdges() currently returns 0 because it is a \n rarely used method and hard to implement. It can be changed in the future.\n"},
  {(char*)"Contour",                (PyCFunction)PyvtkConvexPointSet_Contour, 1,
   (char*)"V.Contour(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkCellArray, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: virtual void Contour (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd);\n\n Satisfy the vtkCell API. This method contours by triangulating the\n cell and then contouring the resulting tetrahedra.\n"},
  {(char*)"Clip",                (PyCFunction)PyvtkConvexPointSet_Clip, 1,
   (char*)"V.Clip(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData, int)\nC++: virtual void Clip (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *connectivity, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut);\n\n Satisfy the vtkCell API. This method contours by triangulating the\n cell and then adding clip-edge intersection points into the\n triangulation; extracting the clipped region.\n"},
  {(char*)"Triangulate",                (PyCFunction)PyvtkConvexPointSet_Triangulate, 1,
   (char*)"V.Triangulate(int, vtkIdList, vtkPoints) -> int\nC++: virtual int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts);\n\n Triangulate using methods of vtkOrderedTriangulator.\n"},
  {(char*)"CellBoundary",                (PyCFunction)PyvtkConvexPointSet_CellBoundary, 1,
   (char*)"V.CellBoundary(int, (float, float, float), vtkIdList) -> int\nC++: virtual int CellBoundary (int subId, double pcoords[3], vtkIdList *pts);\n\n Returns the set of points forming a face of the triangulation of these\n points that are on the boundary of the cell that are closest \n parametrically to the point specified.\n"},
  {(char*)"GetParametricCenter",                (PyCFunction)PyvtkConvexPointSet_GetParametricCenter, 1,
   (char*)"V.GetParametricCenter((float, float, float)) -> int\nC++: virtual int GetParametricCenter (double pcoords[3]);\n\n Return the center of the cell in parametric coordinates. \n"},
  {(char*)"IsPrimaryCell",                (PyCFunction)PyvtkConvexPointSet_IsPrimaryCell, 1,
   (char*)"V.IsPrimaryCell() -> int\nC++: int IsPrimaryCell ();return \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkConvexPointSetDoc[] = {
  (char*)"vtkConvexPointSet - a 3D cell defined by a set of convex points\n\n",
  "Super Class:\n\n vtkCell3D\n\n",
  (char*)" vtkConvexPointSet is a concrete implementation that represents a 3D cell\n defined by a convex set of points. An example of such a cell is an octant\n (from an octree). vtkConvexPointSet uses the ordered triangulations\n approach (vtkOrderedTriangulator) to create triangulations guaranteed to\n be compatible across shared faces. This allows a general approach to \n processing complex, convex cell type",
  (char*)"s.\n\n",
  "See Also:\n\n vtkHexahedron vtkPyramid vtkTetra vtkVoxel vtkWedge\n\n",
  NULL
};

static vtkObjectBase *vtkConvexPointSetStaticNew()
{
  return vtkConvexPointSet::New();
}

PyObject *PyVTKClass_vtkConvexPointSetNew(char *modulename)
{
  return PyVTKClass_New(&vtkConvexPointSetStaticNew,
                        PyvtkConvexPointSetMethods,
                        (char*)"vtkConvexPointSet",modulename,
                        (char**)vtkConvexPointSetDoc,
                        PyVTKClass_vtkCell3DNew(modulename));
}

