// python wrapper for vtkCoordinate object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCoordinate.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCoordinateNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCoordinateNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCoordinate_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  const char    *temp20;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoordinate::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoordinate::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  vtkCoordinate  *temp20;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoordinate::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCoordinate  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCoordinate::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCoordinate_SetCoordinateSystem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  int      temp0;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCoordinate::SetCoordinateSystem(temp0);
      }
    else
      {
      op->SetCoordinateSystem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_GetCoordinateSystem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  int      temp20;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoordinate::GetCoordinateSystem();
      }
    else
      {
      temp20 = op->GetCoordinateSystem();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_SetCoordinateSystemToDisplay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCoordinate::SetCoordinateSystemToDisplay();
      }
    else
      {
      op->SetCoordinateSystemToDisplay();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_SetCoordinateSystemToNormalizedDisplay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCoordinate::SetCoordinateSystemToNormalizedDisplay();
      }
    else
      {
      op->SetCoordinateSystemToNormalizedDisplay();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_SetCoordinateSystemToViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCoordinate::SetCoordinateSystemToViewport();
      }
    else
      {
      op->SetCoordinateSystemToViewport();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_SetCoordinateSystemToNormalizedViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCoordinate::SetCoordinateSystemToNormalizedViewport();
      }
    else
      {
      op->SetCoordinateSystemToNormalizedViewport();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_SetCoordinateSystemToView(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCoordinate::SetCoordinateSystemToView();
      }
    else
      {
      op->SetCoordinateSystemToView();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_SetCoordinateSystemToWorld(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCoordinate::SetCoordinateSystemToWorld();
      }
    else
      {
      op->SetCoordinateSystemToWorld();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_GetCoordinateSystemAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  const char    *temp20;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoordinate::GetCoordinateSystemAsString();
      }
    else
      {
      temp20 = op->GetCoordinateSystemAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCoordinate::SetValue(temp0,temp1,temp2);
      }
    else
      {
      op->SetValue(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCoordinate::SetValue(temp0);
      }
    else
      {
      op->SetValue(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  double   temp0;
  double   temp1;
  PyErr_Clear();
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCoordinate::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  double  *temp20;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoordinate::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_SetReferenceCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  vtkCoordinate  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCoordinate *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCoordinate");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkCoordinate::SetReferenceCoordinate(temp0);
      }
    else
      {
      op->SetReferenceCoordinate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkCoordinate_GetReferenceCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  vtkCoordinate  *temp20;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoordinate::GetReferenceCoordinate();
      }
    else
      {
      temp20 = op->GetReferenceCoordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_SetViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkCoordinate::SetViewport(temp0);
      }
    else
      {
      op->SetViewport(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkCoordinate_GetViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  vtkViewport  *temp20;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoordinate::GetViewport();
      }
    else
      {
      temp20 = op->GetViewport();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCoordinate_GetComputedWorldValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  double  *temp20;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoordinate::GetComputedWorldValue(temp0);
      }
    else
      {
      temp20 = op->GetComputedWorldValue(temp0);
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkCoordinate_GetComputedViewportValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int     *temp20;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoordinate::GetComputedViewportValue(temp0);
      }
    else
      {
      temp20 = op->GetComputedViewportValue(temp0);
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkCoordinate_GetComputedDisplayValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int     *temp20;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoordinate::GetComputedDisplayValue(temp0);
      }
    else
      {
      temp20 = op->GetComputedDisplayValue(temp0);
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkCoordinate_GetComputedLocalDisplayValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int     *temp20;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoordinate::GetComputedLocalDisplayValue(temp0);
      }
    else
      {
      temp20 = op->GetComputedLocalDisplayValue(temp0);
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkCoordinate_GetComputedDoubleViewportValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  double  *temp20;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoordinate::GetComputedDoubleViewportValue(temp0);
      }
    else
      {
      temp20 = op->GetComputedDoubleViewportValue(temp0);
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkCoordinate_GetComputedDoubleDisplayValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCoordinate *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  double  *temp20;
  if ((op = (vtkCoordinate *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCoordinate::GetComputedDoubleDisplayValue(temp0);
      }
    else
      {
      temp20 = op->GetComputedDoubleDisplayValue(temp0);
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
 break26:
  return NULL;
}

static PyMethodDef PyvtkCoordinateMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCoordinate_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCoordinate_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCoordinate_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCoordinate\nC++: vtkCoordinate *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCoordinate_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCoordinate\nC++: vtkCoordinate *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCoordinateSystem",                (PyCFunction)PyvtkCoordinate_SetCoordinateSystem, 1,
   (char*)"V.SetCoordinateSystem(int)\nC++: void SetCoordinateSystem (int );\n\n Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n"},
  {(char*)"GetCoordinateSystem",                (PyCFunction)PyvtkCoordinate_GetCoordinateSystem, 1,
   (char*)"V.GetCoordinateSystem() -> int\nC++: int GetCoordinateSystem ();\n\n Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n"},
  {(char*)"SetCoordinateSystemToDisplay",                (PyCFunction)PyvtkCoordinate_SetCoordinateSystemToDisplay, 1,
   (char*)"V.SetCoordinateSystemToDisplay()\nC++: void SetCoordinateSystemToDisplay ();this SetCoordinateSystem VTK_DISPLAY \n\n Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n"},
  {(char*)"SetCoordinateSystemToNormalizedDisplay",                (PyCFunction)PyvtkCoordinate_SetCoordinateSystemToNormalizedDisplay, 1,
   (char*)"V.SetCoordinateSystemToNormalizedDisplay()\nC++: void SetCoordinateSystemToNormalizedDisplay ();this SetCoordinateSystem VTK_NORMALIZED_DISPLAY \n\n Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n"},
  {(char*)"SetCoordinateSystemToViewport",                (PyCFunction)PyvtkCoordinate_SetCoordinateSystemToViewport, 1,
   (char*)"V.SetCoordinateSystemToViewport()\nC++: void SetCoordinateSystemToViewport ();this SetCoordinateSystem VTK_VIEWPORT \n\n Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n"},
  {(char*)"SetCoordinateSystemToNormalizedViewport",                (PyCFunction)PyvtkCoordinate_SetCoordinateSystemToNormalizedViewport, 1,
   (char*)"V.SetCoordinateSystemToNormalizedViewport()\nC++: void SetCoordinateSystemToNormalizedViewport ();this SetCoordinateSystem VTK_NORMALIZED_VIEWPORT \n\n Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n"},
  {(char*)"SetCoordinateSystemToView",                (PyCFunction)PyvtkCoordinate_SetCoordinateSystemToView, 1,
   (char*)"V.SetCoordinateSystemToView()\nC++: void SetCoordinateSystemToView ();this SetCoordinateSystem VTK_VIEW \n\n Set/get the coordinate system which this coordinate\n is defined in. The options are Display, Normalized Display,\n Viewport, Normalized Viewport, View, and World.\n"},
  {(char*)"SetCoordinateSystemToWorld",                (PyCFunction)PyvtkCoordinate_SetCoordinateSystemToWorld, 1,
   (char*)"V.SetCoordinateSystemToWorld()\nC++: void SetCoordinateSystemToWorld ();this SetCoordinateSystem VTK_WORLD \n\n"},
  {(char*)"GetCoordinateSystemAsString",                (PyCFunction)PyvtkCoordinate_GetCoordinateSystemAsString, 1,
   (char*)"V.GetCoordinateSystemAsString() -> string\nC++: const char *GetCoordinateSystemAsString ();\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkCoordinate_SetValue, 1,
   (char*)"V.SetValue(float, float, float)\nC++: void SetValue (double , double , double );\nV.SetValue((float, float, float))\nC++: void SetValue (double  a[3]);\nV.SetValue(float, float)\nC++: void SetValue (double a, double b);this SetValue a b \n\n Set/get the value of this coordinate. This can be thought of as\n the position of this coordinate in its coordinate system.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkCoordinate_GetValue, 1,
   (char*)"V.GetValue() -> (float, float, float)\nC++: double  *GetValue ();\n\n Set/get the value of this coordinate. This can be thought of as\n the position of this coordinate in its coordinate system.\n"},
  {(char*)"SetReferenceCoordinate",                (PyCFunction)PyvtkCoordinate_SetReferenceCoordinate, 1,
   (char*)"V.SetReferenceCoordinate(vtkCoordinate)\nC++: virtual void SetReferenceCoordinate (vtkCoordinate *);\n\n If this coordinate is relative to another coordinate,\n then specify that coordinate as the ReferenceCoordinate.\n If this is NULL the coordinate is assumed to be absolute.\n"},
  {(char*)"GetReferenceCoordinate",                (PyCFunction)PyvtkCoordinate_GetReferenceCoordinate, 1,
   (char*)"V.GetReferenceCoordinate() -> vtkCoordinate\nC++: vtkCoordinate *GetReferenceCoordinate ();\n\n If this coordinate is relative to another coordinate,\n then specify that coordinate as the ReferenceCoordinate.\n If this is NULL the coordinate is assumed to be absolute.\n"},
  {(char*)"SetViewport",                (PyCFunction)PyvtkCoordinate_SetViewport, 1,
   (char*)"V.SetViewport(vtkViewport)\nC++: void SetViewport (vtkViewport *viewport);\n\n If you want this coordinate to be relative to a specific\n vtkViewport (vtkRenderer) then you can specify\n that here.\n"},
  {(char*)"GetViewport",                (PyCFunction)PyvtkCoordinate_GetViewport, 1,
   (char*)"V.GetViewport() -> vtkViewport\nC++: vtkViewport *GetViewport ();\n\n If you want this coordinate to be relative to a specific\n vtkViewport (vtkRenderer) then you can specify\n that here.\n"},
  {(char*)"GetComputedWorldValue",                (PyCFunction)PyvtkCoordinate_GetComputedWorldValue, 1,
   (char*)"V.GetComputedWorldValue(vtkViewport) -> (float, float, float)\nC++: double *GetComputedWorldValue (vtkViewport *);\n\n Return the computed value in a specified coordinate system.\n"},
  {(char*)"GetComputedViewportValue",                (PyCFunction)PyvtkCoordinate_GetComputedViewportValue, 1,
   (char*)"V.GetComputedViewportValue(vtkViewport) -> (int, int)\nC++: int *GetComputedViewportValue (vtkViewport *);\n\n Return the computed value in a specified coordinate system.\n"},
  {(char*)"GetComputedDisplayValue",                (PyCFunction)PyvtkCoordinate_GetComputedDisplayValue, 1,
   (char*)"V.GetComputedDisplayValue(vtkViewport) -> (int, int)\nC++: int *GetComputedDisplayValue (vtkViewport *);\n\n Return the computed value in a specified coordinate system.\n"},
  {(char*)"GetComputedLocalDisplayValue",                (PyCFunction)PyvtkCoordinate_GetComputedLocalDisplayValue, 1,
   (char*)"V.GetComputedLocalDisplayValue(vtkViewport) -> (int, int)\nC++: int *GetComputedLocalDisplayValue (vtkViewport *);\n\n Return the computed value in a specified coordinate system.\n"},
  {(char*)"GetComputedDoubleViewportValue",                (PyCFunction)PyvtkCoordinate_GetComputedDoubleViewportValue, 1,
   (char*)"V.GetComputedDoubleViewportValue(vtkViewport) -> (float, float)\nC++: double *GetComputedDoubleViewportValue (vtkViewport *);\n\n"},
  {(char*)"GetComputedDoubleDisplayValue",                (PyCFunction)PyvtkCoordinate_GetComputedDoubleDisplayValue, 1,
   (char*)"V.GetComputedDoubleDisplayValue(vtkViewport) -> (float, float)\nC++: double *GetComputedDoubleDisplayValue (vtkViewport *);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCoordinateDoc[] = {
  (char*)"vtkCoordinate - perform coordinate transformation, and represent position, in a variety of vtk coordinate systems\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkCoordinate represents position in a variety of coordinate systems, and\n converts position to other coordinate systems. It also supports relative\n positioning, so you can create a cascade of vtkCoordinate objects (no loops\n please!) that refer to each other. The typical usage of this object is\n to set the coordinate system in which to represent a position (e.g., \n SetCoordinateSystemToNormalize",
  (char*)"dDisplay()), set the value of the coordinate\n (e.g., SetValue()), and then invoke the appropriate method to convert to \n another coordinate system (e.g., GetComputedWorldValue()).\n \n The coordinate systems in vtk are as follows:\n<PRE>\n  DISPLAY -             x-y pixel values in window\n  NORMALIZED DISPLAY -  x-y (0,1) normalized values\n  VIEWPORT -            x-y pixel values in viewport\n  NORMALI",
  (char*)"ZED VIEWPORT - x-y (0,1) normalized value in viewport\n  VIEW -                x-y-z (-1,1) values in camera coordinates. (z is depth)\n  WORLD -               x-y-z global coordinate values\n  USERDEFINED -         x-y-z in User defined space\n</PRE>\n\n If you cascade vtkCoordinate objects, you refer to another vtkCoordinate\n object which in turn can refer to others, and so on. This allows you to\n cre",
  (char*)"ate composite groups of things like vtkActor2D that are positioned\n relative to one another. Note that in cascaded sequences, each\n vtkCoordinate object may be specified in different coordinate systems!\n\n",
  "See Also:\n\n vtkActor2D vtkScalarBarActor\n\n",
  NULL
};

static vtkObjectBase *vtkCoordinateStaticNew()
{
  return vtkCoordinate::New();
}

PyObject *PyVTKClass_vtkCoordinateNew(char *modulename)
{
  return PyVTKClass_New(&vtkCoordinateStaticNew,
                        PyvtkCoordinateMethods,
                        (char*)"vtkCoordinate",modulename,
                        (char**)vtkCoordinateDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

