// python wrapper for vtkDataObjectSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDataObjectSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataObjectSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataObjectSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSourceNew(char *); }

static PyObject *PyvtkDataObjectSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectSource *op;

  const char    *temp20;
  if ((op = (vtkDataObjectSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataObjectSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectSource *op;

  vtkDataObjectSource  *temp20;
  if ((op = (vtkDataObjectSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectSource_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectSource *op;

  vtkDataObject  *temp20;
  if ((op = (vtkDataObjectSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectSource::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataObjectSource *op;

  int      temp0;
  vtkDataObject  *temp20;
  PyErr_Clear();
  if ((op = (vtkDataObjectSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataObjectSource::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataObjectSource_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataObjectSource *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataObjectSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataObjectSource::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkDataObjectSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataObjectSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataObjectSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataObjectSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataObjectSource\nC++: vtkDataObjectSource *NewInstance ();\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkDataObjectSource_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkDataObject\nC++: vtkDataObject *GetOutput ();\nV.GetOutput(int) -> vtkDataObject\nC++: vtkDataObject *GetOutput (int idx);return vtkDataObject this vtkSource GetOutput idx \n\n Get the output field of this source.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkDataObjectSource_SetOutput, 1,
   (char*)"V.SetOutput(vtkDataObject)\nC++: void SetOutput (vtkDataObject *);\n\n Get the output field of this source.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataObjectSourceDoc[] = {
  (char*)"vtkDataObjectSource - abstract class specifies interface for\n\n",
  "Super Class:\n\n vtkSource\n\n",
  (char*)" vtkDataObjectSource is an abstract object that specifies behavior and\n interface of field source objects. Field source objects are source objects\n that create vtkFieldData (field data) on output.\n\n Concrete subclasses of vtkDataObjectSource must define Update() and\n Execute() methods. The public method Update() invokes network execution\n and will bring the network up-to-date. The protected Execut",
  (char*)"e() method\n actually does the work of data creation/generation. The difference between\n the two methods is that Update() implements input consistency checks and\n modified time comparisons and then invokes the Execute() which is an\n implementation of a particular algorithm.\n\n vtkDataObjectSource provides a mechanism for invoking the methods\n StartMethod() and EndMethod() before and after object exe",
  (char*)"cution (via\n Execute()). These are convenience methods you can use for any purpose\n (e.g., debugging info, highlighting/notifying user interface, etc.) These\n methods accept a single void* pointer that can be used to send data to the\n methods. It is also possible to specify a function to delete the argument\n via StartMethodArgDelete and EndMethodArgDelete.\n\n Another method, ProgressMethod() can be",
  (char*)" specified. Some filters invoke this \n method periodically during their execution. The use is similar to that of \n StartMethod() and EndMethod().\n\n An important feature of subclasses of vtkDataObjectSource is that it is\n possible to control the memory-management model (i.e., retain output\n versus delete output data). If enabled the ReleaseDataFlag enables the\n deletion of the output data once the ",
  (char*)"downstream process object finishes\n processing the data (please see text).\n\n",
  "See Also:\n\n vtkSource vtkFilter vtkFieldDataFilter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDataObjectSourceNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDataObjectSourceMethods,
                        (char*)"vtkDataObjectSource",modulename,
                        (char**)vtkDataObjectSourceDoc,
                        PyVTKClass_vtkSourceNew(modulename));
}

