// tcl wrapper for vtkDataObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObject.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkDataObjectNewCommand()
{
  vtkDataObject *temp = vtkDataObject::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataObjectCppCommand(vtkDataObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataObjectCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataObjectCppCommand((vtkDataObject *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataObjectCppCommand(vtkDataObject *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataObject",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataObject  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 2))
    {
    vtkSource  *temp20;
    temp20 = (op)->GetSource();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSource");
    return TCL_OK;
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 3))
    {
    vtkSource  *temp0;
    error = 0;

    temp0 = (vtkSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSource",interp,error));
    if (!error)
    {
    op->SetSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInformation",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->GetInformation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("SetInformation",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    op->SetInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPipelineInformation",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->GetPipelineInformation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("SetPipelineInformation",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    op->SetPipelineInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProducerPort",argv[1]))&&(argc == 2))
    {
    vtkAlgorithmOutput  *temp20;
    temp20 = (op)->GetProducerPort();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAlgorithmOutput");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseData",argv[1]))&&(argc == 2))
    {
    op->ReleaseData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShouldIReleaseData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->ShouldIReleaseData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataReleased",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataReleased();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReleaseDataFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReleaseDataFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReleaseDataFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReleaseDataFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseDataFlagOn",argv[1]))&&(argc == 2))
    {
    op->ReleaseDataFlagOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseDataFlagOff",argv[1]))&&(argc == 2))
    {
    op->ReleaseDataFlagOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalReleaseDataFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGlobalReleaseDataFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GlobalReleaseDataFlagOn",argv[1]))&&(argc == 2))
    {
    op->GlobalReleaseDataFlagOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GlobalReleaseDataFlagOff",argv[1]))&&(argc == 2))
    {
    op->GlobalReleaseDataFlagOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalReleaseDataFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGlobalReleaseDataFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFieldData",argv[1]))&&(argc == 3))
    {
    vtkFieldData  *temp0;
    error = 0;

    temp0 = (vtkFieldData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkFieldData",interp,error));
    if (!error)
    {
    op->SetFieldData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldData",argv[1]))&&(argc == 2))
    {
    vtkFieldData  *temp20;
    temp20 = (op)->GetFieldData();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkFieldData");
    return TCL_OK;
    }
  if ((!strcmp("Register",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->Register(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateInformation",argv[1]))&&(argc == 2))
    {
    op->UpdateInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PropagateUpdateExtent",argv[1]))&&(argc == 2))
    {
    op->PropagateUpdateExtent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TriggerAsynchronousUpdate",argv[1]))&&(argc == 2))
    {
    op->TriggerAsynchronousUpdate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateData",argv[1]))&&(argc == 2))
    {
    op->UpdateData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEstimatedMemorySize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetEstimatedMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUpdateExtent",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetUpdateExtent(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetUpdateExtent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetUpdateExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetUpdateExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdateExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetUpdateExtent();
    char tempResult[1024];
    sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUpdateExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->GetUpdateExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUpdateTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetUpdateTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUpdateExtentToWholeExtent",argv[1]))&&(argc == 2))
    {
    op->SetUpdateExtentToWholeExtent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPipelineMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetPipelineMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetActualMemorySize",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetActualMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyInformation",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->CopyInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyTypeSpecificInformation",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->CopyTypeSpecificInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdatePiece",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUpdatePiece(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateNumberOfPieces",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUpdateNumberOfPieces(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdatePiece",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUpdatePiece();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUpdateNumberOfPieces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUpdateNumberOfPieces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUpdateGhostLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUpdateGhostLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdateGhostLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUpdateGhostLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRequestExactExtent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRequestExactExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRequestExactExtent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRequestExactExtent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RequestExactExtentOn",argv[1]))&&(argc == 2))
    {
    op->RequestExactExtentOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RequestExactExtentOff",argv[1]))&&(argc == 2))
    {
    op->RequestExactExtentOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWholeExtent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetWholeExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWholeExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetWholeExtent();
    char tempResult[1024];
    sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWholeExtent",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->GetWholeExtent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeBoundingBox",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetWholeBoundingBox(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeBoundingBox",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetWholeBoundingBox(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWholeBoundingBox",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetWholeBoundingBox(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumNumberOfPieces",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfPieces(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfPieces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfPieces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyInformationToPipeline",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    vtkInformation  *temp1;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    op->CopyInformationToPipeline(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyInformationFromPipeline",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    op->CopyInformationFromPipeline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActiveFieldInformation",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp2;
    vtkInformation  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetActiveFieldInformation(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNamedFieldInformation",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    int      temp1;
    char    *temp2;
    vtkInformation  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->GetNamedFieldInformation(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveNamedFieldInformation",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    int      temp1;
    char    *temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (!error)
    {
    op->RemoveNamedFieldInformation(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveAttribute",argv[1]))&&(argc == 6))
    {
    vtkInformation  *temp0;
    int      temp1;
    char    *temp2;
    int      temp3;
    vtkInformation  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->SetActiveAttribute(temp0,temp1,temp2,temp3);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveAttributeInfo",argv[1]))&&(argc == 9))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp2;
    char    *temp3;
    int      temp4;
    int      temp5;
    int      temp6;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = argv[5];
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    op->SetActiveAttributeInfo(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointDataActiveScalarInfo",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetPointDataActiveScalarInfo(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DataHasBeenGenerated",argv[1]))&&(argc == 2))
    {
    op->DataHasBeenGenerated();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrepareForNewData",argv[1]))&&(argc == 2))
    {
    op->PrepareForNewData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExtentTranslator",argv[1]))&&(argc == 3))
    {
    vtkExtentTranslator  *temp0;
    error = 0;

    temp0 = (vtkExtentTranslator *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkExtentTranslator",interp,error));
    if (!error)
    {
    op->SetExtentTranslator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtentTranslator",argv[1]))&&(argc == 2))
    {
    vtkExtentTranslator  *temp20;
    temp20 = (op)->GetExtentTranslator();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkExtentTranslator");
    return TCL_OK;
    }
  if ((!strcmp("GetExtentType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtentType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Crop",argv[1]))&&(argc == 2))
    {
    op->Crop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAssociationTypeAsString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAssociationTypeAsString(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("DATA_TYPE_NAME",argv[1]))&&(argc == 2))
    {
    vtkInformationStringKey  *temp20;
    temp20 = (op)->DATA_TYPE_NAME();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationStringKey");
    return TCL_OK;
    }
  if ((!strcmp("DATA_OBJECT",argv[1]))&&(argc == 2))
    {
    vtkInformationDataObjectKey  *temp20;
    temp20 = (op)->DATA_OBJECT();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationDataObjectKey");
    return TCL_OK;
    }
  if ((!strcmp("DATA_EXTENT_TYPE",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->DATA_EXTENT_TYPE();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("DATA_EXTENT",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerPointerKey  *temp20;
    temp20 = (op)->DATA_EXTENT();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerPointerKey");
    return TCL_OK;
    }
  if ((!strcmp("DATA_PIECE_NUMBER",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->DATA_PIECE_NUMBER();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("DATA_NUMBER_OF_PIECES",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->DATA_NUMBER_OF_PIECES();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("DATA_NUMBER_OF_GHOST_LEVELS",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->DATA_NUMBER_OF_GHOST_LEVELS();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("DATA_TIME_INDEX",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->DATA_TIME_INDEX();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("DATA_TIME",argv[1]))&&(argc == 2))
    {
    vtkInformationDoubleKey  *temp20;
    temp20 = (op)->DATA_TIME();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationDoubleKey");
    return TCL_OK;
    }
  if ((!strcmp("POINT_DATA_VECTOR",argv[1]))&&(argc == 2))
    {
    vtkInformationInformationVectorKey  *temp20;
    temp20 = (op)->POINT_DATA_VECTOR();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationInformationVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("CELL_DATA_VECTOR",argv[1]))&&(argc == 2))
    {
    vtkInformationInformationVectorKey  *temp20;
    temp20 = (op)->CELL_DATA_VECTOR();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationInformationVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("FIELD_ARRAY_TYPE",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->FIELD_ARRAY_TYPE();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("FIELD_ASSOCIATION",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->FIELD_ASSOCIATION();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("FIELD_ATTRIBUTE_TYPE",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->FIELD_ATTRIBUTE_TYPE();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("FIELD_ACTIVE_ATTRIBUTE",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->FIELD_ACTIVE_ATTRIBUTE();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("FIELD_NUMBER_OF_COMPONENTS",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->FIELD_NUMBER_OF_COMPONENTS();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("FIELD_NUMBER_OF_TUPLES",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->FIELD_NUMBER_OF_TUPLES();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("FIELD_OPERATION",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->FIELD_OPERATION();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("FIELD_NAME",argv[1]))&&(argc == 2))
    {
    vtkInformationStringKey  *temp20;
    temp20 = (op)->FIELD_NAME();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationStringKey");
    return TCL_OK;
    }
  if ((!strcmp("ORIGIN",argv[1]))&&(argc == 2))
    {
    vtkInformationDoubleVectorKey  *temp20;
    temp20 = (op)->ORIGIN();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationDoubleVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("SPACING",argv[1]))&&(argc == 2))
    {
    vtkInformationDoubleVectorKey  *temp20;
    temp20 = (op)->SPACING();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationDoubleVectorKey");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkDataObjectCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataObject:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSource\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInformation\n",NULL);
    Tcl_AppendResult(interp,"  SetInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPipelineInformation\n",NULL);
    Tcl_AppendResult(interp,"  SetPipelineInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProducerPort\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseData\n",NULL);
    Tcl_AppendResult(interp,"  ShouldIReleaseData\n",NULL);
    Tcl_AppendResult(interp,"  GetDataReleased\n",NULL);
    Tcl_AppendResult(interp,"  SetReleaseDataFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReleaseDataFlag\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseDataFlagOn\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseDataFlagOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalReleaseDataFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GlobalReleaseDataFlagOn\n",NULL);
    Tcl_AppendResult(interp,"  GlobalReleaseDataFlagOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalReleaseDataFlag\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldData\n",NULL);
    Tcl_AppendResult(interp,"  Register\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  UpdateInformation\n",NULL);
    Tcl_AppendResult(interp,"  PropagateUpdateExtent\n",NULL);
    Tcl_AppendResult(interp,"  TriggerAsynchronousUpdate\n",NULL);
    Tcl_AppendResult(interp,"  UpdateData\n",NULL);
    Tcl_AppendResult(interp,"  GetEstimatedMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtent\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateExtent\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectType\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateTime\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtentToWholeExtent\n",NULL);
    Tcl_AppendResult(interp,"  GetPipelineMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetActualMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  CopyInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyTypeSpecificInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdatePiece\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdatePiece\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateNumberOfPieces\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateGhostLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateGhostLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestExactExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRequestExactExtent\n",NULL);
    Tcl_AppendResult(interp,"  RequestExactExtentOn\n",NULL);
    Tcl_AppendResult(interp,"  RequestExactExtentOff\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeExtent\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeExtent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeBoundingBox\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeBoundingBox\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeBoundingBox\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPieces\n",NULL);
    Tcl_AppendResult(interp,"  CopyInformationToPipeline\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyInformationFromPipeline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveFieldInformation\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNamedFieldInformation\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveNamedFieldInformation\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveAttribute\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveAttributeInfo\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointDataActiveScalarInfo\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  DataHasBeenGenerated\n",NULL);
    Tcl_AppendResult(interp,"  PrepareForNewData\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetExtentTranslator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtentTranslator\n",NULL);
    Tcl_AppendResult(interp,"  GetExtentType\n",NULL);
    Tcl_AppendResult(interp,"  Crop\n",NULL);
    Tcl_AppendResult(interp,"  GetAssociationTypeAsString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DATA_TYPE_NAME\n",NULL);
    Tcl_AppendResult(interp,"  DATA_OBJECT\n",NULL);
    Tcl_AppendResult(interp,"  DATA_EXTENT_TYPE\n",NULL);
    Tcl_AppendResult(interp,"  DATA_EXTENT\n",NULL);
    Tcl_AppendResult(interp,"  DATA_PIECE_NUMBER\n",NULL);
    Tcl_AppendResult(interp,"  DATA_NUMBER_OF_PIECES\n",NULL);
    Tcl_AppendResult(interp,"  DATA_NUMBER_OF_GHOST_LEVELS\n",NULL);
    Tcl_AppendResult(interp,"  DATA_TIME_INDEX\n",NULL);
    Tcl_AppendResult(interp,"  DATA_TIME\n",NULL);
    Tcl_AppendResult(interp,"  POINT_DATA_VECTOR\n",NULL);
    Tcl_AppendResult(interp,"  CELL_DATA_VECTOR\n",NULL);
    Tcl_AppendResult(interp,"  FIELD_ARRAY_TYPE\n",NULL);
    Tcl_AppendResult(interp,"  FIELD_ASSOCIATION\n",NULL);
    Tcl_AppendResult(interp,"  FIELD_ATTRIBUTE_TYPE\n",NULL);
    Tcl_AppendResult(interp,"  FIELD_ACTIVE_ATTRIBUTE\n",NULL);
    Tcl_AppendResult(interp,"  FIELD_NUMBER_OF_COMPONENTS\n",NULL);
    Tcl_AppendResult(interp,"  FIELD_NUMBER_OF_TUPLES\n",NULL);
    Tcl_AppendResult(interp,"  FIELD_OPERATION\n",NULL);
    Tcl_AppendResult(interp,"  FIELD_NAME\n",NULL);
    Tcl_AppendResult(interp,"  ORIGIN\n",NULL);
    Tcl_AppendResult(interp,"  SPACING\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
