// tcl wrapper for vtkDataSetAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetAlgorithm.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkDataSetAlgorithmNewCommand()
{
  vtkDataSetAlgorithm *temp = vtkDataSetAlgorithm::New();
  return ((ClientData)temp);
}

int vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataSetAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataSetAlgorithmCppCommand((vtkDataSetAlgorithm *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataSetAlgorithm",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkAlgorithmCppCommand((vtkAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataSetAlgorithm  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSetAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataSetAlgorithm  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSetAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataSetAlgorithm  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSetAlgorithm");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataSet  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSet");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("GetPolyDataOutput",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetPolyDataOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetStructuredPointsOutput",argv[1]))&&(argc == 2))
    {
    vtkStructuredPoints  *temp20;
    temp20 = (op)->GetStructuredPointsOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkStructuredPoints");
    return TCL_OK;
    }
  if ((!strcmp("GetImageDataOutput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetImageDataOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("GetStructuredGridOutput",argv[1]))&&(argc == 2))
    {
    vtkStructuredGrid  *temp20;
    temp20 = (op)->GetStructuredGridOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkStructuredGrid");
    return TCL_OK;
    }
  if ((!strcmp("GetUnstructuredGridOutput",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGrid  *temp20;
    temp20 = (op)->GetUnstructuredGridOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkUnstructuredGrid");
    return TCL_OK;
    }
  if ((!strcmp("GetRectilinearGridOutput",argv[1]))&&(argc == 2))
    {
    vtkRectilinearGrid  *temp20;
    temp20 = (op)->GetRectilinearGridOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRectilinearGrid");
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataObject  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->SetInput(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataSet  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->SetInput(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->AddInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInput",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->AddInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInput",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataSet  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->AddInput(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInput",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataObject  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->AddInput(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkDataSetAlgorithmCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataSetAlgorithm:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyDataOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetStructuredPointsOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetImageDataOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetStructuredGridOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetUnstructuredGridOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetRectilinearGridOutput\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddInput\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddInput\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (vtkAlgorithmCppCommand((vtkAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
