// python wrapper for vtkDataSetAttributes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDataSetAttributes.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetAttributesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetAttributesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkFieldDataNew(char *); }

static PyObject *PyvtkDataSetAttributes_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  const char    *temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataSetAttributes  *temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataSetAttributes  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataSetAttributes::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_PassData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkFieldData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFieldData");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::PassData(temp0);
      }
    else
      {
      op->PassData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyAllocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataSetAttributes  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSetAttributes");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyAllocate(temp0,temp1,temp2);
      }
    else
      {
      op->CopyAllocate(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataSetAttributes  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSetAttributes");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyData(temp0,temp1,temp2);
      }
    else
      {
      op->CopyData(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_InterpolateAllocate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataSetAttributes  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSetAttributes");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::InterpolateAllocate(temp0,temp1,temp2);
      }
    else
      {
      op->InterpolateAllocate(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_InterpolateEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataSetAttributes  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  double   temp4;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"Oiiid", &tempH0, &temp1, &temp2, &temp3, &temp4)))
    {
    temp0 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSetAttributes");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::InterpolateEdge(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->InterpolateEdge(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_InterpolateTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataSetAttributes  *temp0;
  PyObject *tempH0;
  vtkDataSetAttributes  *temp1;
  PyObject *tempH1;
  vtkIdType   temp2;
  double   temp3;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"OOid", &tempH0, &tempH1, &temp2, &temp3)))
    {
    temp0 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSetAttributes");
    if (!temp0 && tempH0 != Py_None) goto break11;
    temp1 = (vtkDataSetAttributes *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSetAttributes");
    if (!temp1 && tempH1 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::InterpolateTime(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->InterpolateTime(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkFieldData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFieldData");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkFieldData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkFieldData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFieldData");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetScalars(temp0);
      }
    else
      {
      temp20 = op->SetScalars(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetActiveScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveScalars(temp0);
      }
    else
      {
      temp20 = op->SetActiveScalars(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetScalars();
      }
    else
      {
      temp20 = op->GetScalars();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  vtkDataArray  *temp20;
  PyErr_Clear();
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetScalars(temp0);
      }
    else
      {
      temp20 = op->GetScalars(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetVectors(temp0);
      }
    else
      {
      temp20 = op->SetVectors(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetActiveVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveVectors(temp0);
      }
    else
      {
      temp20 = op->SetActiveVectors(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetVectors();
      }
    else
      {
      temp20 = op->GetVectors();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  vtkDataArray  *temp20;
  PyErr_Clear();
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetVectors(temp0);
      }
    else
      {
      temp20 = op->GetVectors(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetNormals(temp0);
      }
    else
      {
      temp20 = op->SetNormals(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetActiveNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveNormals(temp0);
      }
    else
      {
      temp20 = op->SetActiveNormals(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetNormals();
      }
    else
      {
      temp20 = op->GetNormals();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  vtkDataArray  *temp20;
  PyErr_Clear();
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetNormals(temp0);
      }
    else
      {
      temp20 = op->GetNormals(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetTCoords(temp0);
      }
    else
      {
      temp20 = op->SetTCoords(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetActiveTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveTCoords(temp0);
      }
    else
      {
      temp20 = op->SetActiveTCoords(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetTCoords();
      }
    else
      {
      temp20 = op->GetTCoords();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  vtkDataArray  *temp20;
  PyErr_Clear();
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetTCoords(temp0);
      }
    else
      {
      temp20 = op->GetTCoords(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetTensors(temp0);
      }
    else
      {
      temp20 = op->SetTensors(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetActiveTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveTensors(temp0);
      }
    else
      {
      temp20 = op->SetActiveTensors(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetTensors();
      }
    else
      {
      temp20 = op->GetTensors();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  vtkDataArray  *temp20;
  PyErr_Clear();
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetTensors(temp0);
      }
    else
      {
      temp20 = op->GetTensors(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetActiveAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  int      temp1;
  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveAttribute(temp0,temp1);
      }
    else
      {
      temp20 = op->SetActiveAttribute(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::SetActiveAttribute(temp0,temp1);
      }
    else
      {
      temp20 = op->SetActiveAttribute(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetCopyAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::SetCopyAttribute(temp0,temp1);
      }
    else
      {
      op->SetCopyAttribute(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetCopyScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::SetCopyScalars(temp0);
      }
    else
      {
      op->SetCopyScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetCopyScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetCopyScalars();
      }
    else
      {
      temp20 = op->GetCopyScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyScalarsOn();
      }
    else
      {
      op->CopyScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyScalarsOff();
      }
    else
      {
      op->CopyScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetCopyVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::SetCopyVectors(temp0);
      }
    else
      {
      op->SetCopyVectors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetCopyVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetCopyVectors();
      }
    else
      {
      temp20 = op->GetCopyVectors();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyVectorsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyVectorsOn();
      }
    else
      {
      op->CopyVectorsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyVectorsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyVectorsOff();
      }
    else
      {
      op->CopyVectorsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetCopyNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::SetCopyNormals(temp0);
      }
    else
      {
      op->SetCopyNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetCopyNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetCopyNormals();
      }
    else
      {
      temp20 = op->GetCopyNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyNormalsOn();
      }
    else
      {
      op->CopyNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyNormalsOff();
      }
    else
      {
      op->CopyNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetCopyTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::SetCopyTCoords(temp0);
      }
    else
      {
      op->SetCopyTCoords(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetCopyTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetCopyTCoords();
      }
    else
      {
      temp20 = op->GetCopyTCoords();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyTCoordsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyTCoordsOn();
      }
    else
      {
      op->CopyTCoordsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyTCoordsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyTCoordsOff();
      }
    else
      {
      op->CopyTCoordsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_SetCopyTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::SetCopyTensors(temp0);
      }
    else
      {
      op->SetCopyTensors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetCopyTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetCopyTensors();
      }
    else
      {
      temp20 = op->GetCopyTensors();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyTensorsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyTensorsOn();
      }
    else
      {
      op->CopyTensorsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyTensorsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyTensorsOff();
      }
    else
      {
      op->CopyTensorsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyAllOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyAllOn();
      }
    else
      {
      op->CopyAllOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyAllOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyAllOff();
      }
    else
      {
      op->CopyAllOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_CopyTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"OOii", &tempH0, &tempH1, &temp2, &temp3)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break59;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break59;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::CopyTuple(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->CopyTuple(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break59:
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_IsArrayAnAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::IsArrayAnAttribute(temp0);
      }
    else
      {
      temp20 = op->IsArrayAnAttribute(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  int      temp0;
  vtkDataArray  *temp20;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetAttributes::GetAttribute(temp0);
      }
    else
      {
      temp20 = op->GetAttribute(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_RemoveArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetAttributes *op;

  char    *temp0;
  if ((op = (vtkDataSetAttributes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetAttributes::RemoveArray(temp0);
      }
    else
      {
      op->RemoveArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetAttributeTypeAsString(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkDataSetAttributes::GetAttributeTypeAsString(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetAttributes_GetLongAttributeTypeAsString(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkDataSetAttributes::GetLongAttributeTypeAsString(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataSetAttributesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetAttributes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetAttributes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetAttributes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetAttributes\nC++: vtkDataSetAttributes *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataSetAttributes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataSetAttributes\nC++: vtkDataSetAttributes *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkDataSetAttributes_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Initialize all of the object's data to NULL\n Also, clear the copy flags.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkDataSetAttributes_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Pass entire arrays of input data through to output. Obey the \"copy\"\n flags. When passing a field,  the following copying rules are \n followed: 1) Check if a field is an attribute, if yes and if there\n is a copy flag for that attribute (on or off), obey the  flag for \n that attribute, ignore (2) and (3), 2) if there is a copy field for\n that field (on or off), obey the flag, ignore (3) 3) obey\n CopyAllOn/Off\n"},
  {(char*)"PassData",                (PyCFunction)PyvtkDataSetAttributes_PassData, 1,
   (char*)"V.PassData(vtkFieldData)\nC++: virtual void PassData (vtkFieldData *fd);\n\n Pass entire arrays of input data through to output. Obey the \"copy\"\n flags. When passing a field,  the following copying rules are \n followed: 1) Check if a field is an attribute, if yes and if there\n is a copy flag for that attribute (on or off), obey the  flag for \n that attribute, ignore (2) and (3), 2) if there is a copy field for\n that field (on or off), obey the flag, ignore (3) 3) obey\n CopyAllOn/Off\n"},
  {(char*)"CopyAllocate",                (PyCFunction)PyvtkDataSetAttributes_CopyAllocate, 1,
   (char*)"V.CopyAllocate(vtkDataSetAttributes, int, int)\nC++: void CopyAllocate (vtkDataSetAttributes *pd, vtkIdType sze, vtkIdType ext);\n\n Allocates point data for point-by-point (or cell-by-cell) copy operation.\n If sze=0, then use the input DataSetAttributes to create (i.e., find \n initial size of) new objects; otherwise use the sze variable.\n Note that pd HAS to be the vtkDataSetAttributes object which\n will later be used with CopyData. If this is not the case,\n consider using the alternative forms of CopyAllocate and CopyData.\n ext is no longer used.\n"},
  {(char*)"CopyData",                (PyCFunction)PyvtkDataSetAttributes_CopyData, 1,
   (char*)"V.CopyData(vtkDataSetAttributes, int, int)\nC++: void CopyData (vtkDataSetAttributes *fromPd, vtkIdType fromId, vtkIdType toId);\n\n Copy the attribute data from one id to another. Make sure CopyAllocate()\n has been invoked before using this method. When copying a field,  \n the following copying rules are \n followed: 1) Check if a field is an attribute, if yes and if there\n is a copy flag for that attribute (on or off), obey the  flag for \n that attribute, ignore (2) and (3), 2) if there is a copy field for\n that field (on or off), obey the flag, ignore (3) 3) obey\n CopyAllOn/Off\n"},
  {(char*)"InterpolateAllocate",                (PyCFunction)PyvtkDataSetAttributes_InterpolateAllocate, 1,
   (char*)"V.InterpolateAllocate(vtkDataSetAttributes, int, int)\nC++: void InterpolateAllocate (vtkDataSetAttributes *pd, vtkIdType sze, vtkIdType ext);\n\n Initialize point interpolation method.\n Note that pd HAS to be the vtkDataSetAttributes object which\n will later be used with InterpolatePoint or InterpolateEdge.\n ext is no longer used.\n"},
  {(char*)"InterpolateEdge",                (PyCFunction)PyvtkDataSetAttributes_InterpolateEdge, 1,
   (char*)"V.InterpolateEdge(vtkDataSetAttributes, int, int, int, float)\nC++: void InterpolateEdge (vtkDataSetAttributes *fromPd, vtkIdType toId, vtkIdType p1, vtkIdType p2, double t);\n\n Interpolate data from the two points p1,p2 (forming an edge) and an \n interpolation factor, t, along the edge. The weight ranges from (0,1), \n with t=0 located at p1. Make sure that the method InterpolateAllocate() \n has been invoked before using this method.\n"},
  {(char*)"InterpolateTime",                (PyCFunction)PyvtkDataSetAttributes_InterpolateTime, 1,
   (char*)"V.InterpolateTime(vtkDataSetAttributes, vtkDataSetAttributes, int, float)\nC++: void InterpolateTime (vtkDataSetAttributes *from1, vtkDataSetAttributes *from2, vtkIdType id, double t);\n\n Interpolate data from the same id (point or cell) at different points\n in time (parameter t). Two input data set attributes objects are input.\n The parameter t lies between (0<=t<=1). IMPORTANT: it is assumed that\n the number of attributes and number of components is the same for both\n from1 and from2, and the type of data for from1 and from2 are the same.\n Make sure that the method InterpolateAllocate() has been invoked before \n using this method.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkDataSetAttributes_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkFieldData)\nC++: virtual void DeepCopy (vtkFieldData *pd);\n\n Deep copy of data (i.e., create new data arrays and\n copy from input data).\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkDataSetAttributes_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkFieldData)\nC++: virtual void ShallowCopy (vtkFieldData *pd);\n\n Shallow copy of data (i.e., use reference counting).\n"},
  {(char*)"SetScalars",                (PyCFunction)PyvtkDataSetAttributes_SetScalars, 1,
   (char*)"V.SetScalars(vtkDataArray) -> int\nC++: int SetScalars (vtkDataArray *da);\n\n Set/Get the scalar data.\n"},
  {(char*)"SetActiveScalars",                (PyCFunction)PyvtkDataSetAttributes_SetActiveScalars, 1,
   (char*)"V.SetActiveScalars(string) -> int\nC++: int SetActiveScalars (const char *name);\n\n Set/Get the scalar data.\n"},
  {(char*)"GetScalars",                (PyCFunction)PyvtkDataSetAttributes_GetScalars, 1,
   (char*)"V.GetScalars() -> vtkDataArray\nC++: vtkDataArray *GetScalars ();\nV.GetScalars(string) -> vtkDataArray\nC++: vtkDataArray *GetScalars (const char *name);\n\n Set/Get the scalar data.\n"},
  {(char*)"SetVectors",                (PyCFunction)PyvtkDataSetAttributes_SetVectors, 1,
   (char*)"V.SetVectors(vtkDataArray) -> int\nC++: int SetVectors (vtkDataArray *da);\n\n Set/Get the vector data.\n"},
  {(char*)"SetActiveVectors",                (PyCFunction)PyvtkDataSetAttributes_SetActiveVectors, 1,
   (char*)"V.SetActiveVectors(string) -> int\nC++: int SetActiveVectors (const char *name);\n\n Set/Get the vector data.\n"},
  {(char*)"GetVectors",                (PyCFunction)PyvtkDataSetAttributes_GetVectors, 1,
   (char*)"V.GetVectors() -> vtkDataArray\nC++: vtkDataArray *GetVectors ();\nV.GetVectors(string) -> vtkDataArray\nC++: vtkDataArray *GetVectors (const char *name);\n\n Set/Get the vector data.\n"},
  {(char*)"SetNormals",                (PyCFunction)PyvtkDataSetAttributes_SetNormals, 1,
   (char*)"V.SetNormals(vtkDataArray) -> int\nC++: int SetNormals (vtkDataArray *da);\n\n Set/get the normal data.\n"},
  {(char*)"SetActiveNormals",                (PyCFunction)PyvtkDataSetAttributes_SetActiveNormals, 1,
   (char*)"V.SetActiveNormals(string) -> int\nC++: int SetActiveNormals (const char *name);\n\n Set/get the normal data.\n"},
  {(char*)"GetNormals",                (PyCFunction)PyvtkDataSetAttributes_GetNormals, 1,
   (char*)"V.GetNormals() -> vtkDataArray\nC++: vtkDataArray *GetNormals ();\nV.GetNormals(string) -> vtkDataArray\nC++: vtkDataArray *GetNormals (const char *name);\n\n Set/get the normal data.\n"},
  {(char*)"SetTCoords",                (PyCFunction)PyvtkDataSetAttributes_SetTCoords, 1,
   (char*)"V.SetTCoords(vtkDataArray) -> int\nC++: int SetTCoords (vtkDataArray *da);\n\n Set/Get the texture coordinate data.\n"},
  {(char*)"SetActiveTCoords",                (PyCFunction)PyvtkDataSetAttributes_SetActiveTCoords, 1,
   (char*)"V.SetActiveTCoords(string) -> int\nC++: int SetActiveTCoords (const char *name);\n\n Set/Get the texture coordinate data.\n"},
  {(char*)"GetTCoords",                (PyCFunction)PyvtkDataSetAttributes_GetTCoords, 1,
   (char*)"V.GetTCoords() -> vtkDataArray\nC++: vtkDataArray *GetTCoords ();\nV.GetTCoords(string) -> vtkDataArray\nC++: vtkDataArray *GetTCoords (const char *name);\n\n Set/Get the texture coordinate data.\n"},
  {(char*)"SetTensors",                (PyCFunction)PyvtkDataSetAttributes_SetTensors, 1,
   (char*)"V.SetTensors(vtkDataArray) -> int\nC++: int SetTensors (vtkDataArray *da);\n\n Set/Get the tensor data.\n"},
  {(char*)"SetActiveTensors",                (PyCFunction)PyvtkDataSetAttributes_SetActiveTensors, 1,
   (char*)"V.SetActiveTensors(string) -> int\nC++: int SetActiveTensors (const char *name);\n\n Set/Get the tensor data.\n"},
  {(char*)"GetTensors",                (PyCFunction)PyvtkDataSetAttributes_GetTensors, 1,
   (char*)"V.GetTensors() -> vtkDataArray\nC++: vtkDataArray *GetTensors ();\nV.GetTensors(string) -> vtkDataArray\nC++: vtkDataArray *GetTensors (const char *name);\n\n Set/Get the tensor data.\n"},
  {(char*)"SetActiveAttribute",                (PyCFunction)PyvtkDataSetAttributes_SetActiveAttribute, 1,
   (char*)"V.SetActiveAttribute(string, int) -> int\nC++: int SetActiveAttribute (const char *name, int attributeType);\nV.SetActiveAttribute(int, int) -> int\nC++: int SetActiveAttribute (int index, int attributeType);\n\n Make the array with the given name the active attribute.\n Attribute types are:\n  vtkDataSetAttributes::SCALARS = 0\n  vtkDataSetAttributes::VECTORS = 1\n  vtkDataSetAttributes::NORMALS = 2\n  vtkDataSetAttributes::TCOORDS = 3\n  vtkDataSetAttributes::TENSORS = 4\n Returns the index of the array if succesful, -1 if the array \n is not in the list of arrays.\n"},
  {(char*)"SetCopyAttribute",                (PyCFunction)PyvtkDataSetAttributes_SetCopyAttribute, 1,
   (char*)"V.SetCopyAttribute(int, int)\nC++: void SetCopyAttribute (int index, int value);\n\n Specify whether to copy the data attribute referred to by index i.\n"},
  {(char*)"SetCopyScalars",                (PyCFunction)PyvtkDataSetAttributes_SetCopyScalars, 1,
   (char*)"V.SetCopyScalars(int)\nC++: void SetCopyScalars (int i);\n\n Turn on/off the copying of scalar data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"GetCopyScalars",                (PyCFunction)PyvtkDataSetAttributes_GetCopyScalars, 1,
   (char*)"V.GetCopyScalars() -> int\nC++: int GetCopyScalars ();\n\n Turn on/off the copying of scalar data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyScalarsOn",                (PyCFunction)PyvtkDataSetAttributes_CopyScalarsOn, 1,
   (char*)"V.CopyScalarsOn()\nC++: void CopyScalarsOn ();\n\n Turn on/off the copying of scalar data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyScalarsOff",                (PyCFunction)PyvtkDataSetAttributes_CopyScalarsOff, 1,
   (char*)"V.CopyScalarsOff()\nC++: void CopyScalarsOff ();\n\n Turn on/off the copying of scalar data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"SetCopyVectors",                (PyCFunction)PyvtkDataSetAttributes_SetCopyVectors, 1,
   (char*)"V.SetCopyVectors(int)\nC++: void SetCopyVectors (int i);\n\n Turn on/off the copying of vector data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"GetCopyVectors",                (PyCFunction)PyvtkDataSetAttributes_GetCopyVectors, 1,
   (char*)"V.GetCopyVectors() -> int\nC++: int GetCopyVectors ();\n\n Turn on/off the copying of vector data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyVectorsOn",                (PyCFunction)PyvtkDataSetAttributes_CopyVectorsOn, 1,
   (char*)"V.CopyVectorsOn()\nC++: void CopyVectorsOn ();\n\n Turn on/off the copying of vector data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyVectorsOff",                (PyCFunction)PyvtkDataSetAttributes_CopyVectorsOff, 1,
   (char*)"V.CopyVectorsOff()\nC++: void CopyVectorsOff ();\n\n Turn on/off the copying of vector data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"SetCopyNormals",                (PyCFunction)PyvtkDataSetAttributes_SetCopyNormals, 1,
   (char*)"V.SetCopyNormals(int)\nC++: void SetCopyNormals (int i);\n\n Turn on/off the copying of normals data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"GetCopyNormals",                (PyCFunction)PyvtkDataSetAttributes_GetCopyNormals, 1,
   (char*)"V.GetCopyNormals() -> int\nC++: int GetCopyNormals ();\n\n Turn on/off the copying of normals data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyNormalsOn",                (PyCFunction)PyvtkDataSetAttributes_CopyNormalsOn, 1,
   (char*)"V.CopyNormalsOn()\nC++: void CopyNormalsOn ();\n\n Turn on/off the copying of normals data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyNormalsOff",                (PyCFunction)PyvtkDataSetAttributes_CopyNormalsOff, 1,
   (char*)"V.CopyNormalsOff()\nC++: void CopyNormalsOff ();\n\n Turn on/off the copying of normals data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"SetCopyTCoords",                (PyCFunction)PyvtkDataSetAttributes_SetCopyTCoords, 1,
   (char*)"V.SetCopyTCoords(int)\nC++: void SetCopyTCoords (int i);\n\n Turn on/off the copying of texture coordinates data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"GetCopyTCoords",                (PyCFunction)PyvtkDataSetAttributes_GetCopyTCoords, 1,
   (char*)"V.GetCopyTCoords() -> int\nC++: int GetCopyTCoords ();\n\n Turn on/off the copying of texture coordinates data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyTCoordsOn",                (PyCFunction)PyvtkDataSetAttributes_CopyTCoordsOn, 1,
   (char*)"V.CopyTCoordsOn()\nC++: void CopyTCoordsOn ();\n\n Turn on/off the copying of texture coordinates data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyTCoordsOff",                (PyCFunction)PyvtkDataSetAttributes_CopyTCoordsOff, 1,
   (char*)"V.CopyTCoordsOff()\nC++: void CopyTCoordsOff ();\n\n Turn on/off the copying of texture coordinates data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"SetCopyTensors",                (PyCFunction)PyvtkDataSetAttributes_SetCopyTensors, 1,
   (char*)"V.SetCopyTensors(int)\nC++: void SetCopyTensors (int i);\n\n Turn on/off the copying of tensor data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"GetCopyTensors",                (PyCFunction)PyvtkDataSetAttributes_GetCopyTensors, 1,
   (char*)"V.GetCopyTensors() -> int\nC++: int GetCopyTensors ();\n\n Turn on/off the copying of tensor data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyTensorsOn",                (PyCFunction)PyvtkDataSetAttributes_CopyTensorsOn, 1,
   (char*)"V.CopyTensorsOn()\nC++: void CopyTensorsOn ();\n\n Turn on/off the copying of tensor data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyTensorsOff",                (PyCFunction)PyvtkDataSetAttributes_CopyTensorsOff, 1,
   (char*)"V.CopyTensorsOff()\nC++: void CopyTensorsOff ();\n\n Turn on/off the copying of tensor data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyAllOn",                (PyCFunction)PyvtkDataSetAttributes_CopyAllOn, 1,
   (char*)"V.CopyAllOn()\nC++: virtual void CopyAllOn ();\n\n Turn on copying of all data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyAllOff",                (PyCFunction)PyvtkDataSetAttributes_CopyAllOff, 1,
   (char*)"V.CopyAllOff()\nC++: virtual void CopyAllOff ();\n\n Turn off copying of all data.\n During the copy/pass, the following rules are followed for each\n array:\n 1. If the copy flag for an attribute is set (on or off), it is applied.\n    This overrides rules 2 and 3.\n 2. If the copy flag for an array is set (on or off), it is applied\n    This overrides rule 3.\n 3. If CopyAllOn is set, copy the array.\n    If CopyAllOff is set, do not copy the array\n"},
  {(char*)"CopyTuple",                (PyCFunction)PyvtkDataSetAttributes_CopyTuple, 1,
   (char*)"V.CopyTuple(vtkDataArray, vtkDataArray, int, int)\nC++: void CopyTuple (vtkDataArray *fromData, vtkDataArray *toData, vtkIdType fromId, vtkIdType toId);\n\n Copy a tuple of data from one data array to another. This method (and\n following ones) assume that the fromData and toData objects are of the\n same type, and have the same number of components. This is true if you\n invoke CopyAllocate() or InterpolateAllocate().\n"},
  {(char*)"IsArrayAnAttribute",                (PyCFunction)PyvtkDataSetAttributes_IsArrayAnAttribute, 1,
   (char*)"V.IsArrayAnAttribute(int) -> int\nC++: int IsArrayAnAttribute (int idx);\n\n Determine whether a data array of index idx is considered a data set\n attribute (i.e., scalar, vector, tensor, etc). Return less-than zero \n if it is, otherwise an index 0<=idx<NUM_ATTRIBUTES to indicate \n which attribute.\n"},
  {(char*)"GetAttribute",                (PyCFunction)PyvtkDataSetAttributes_GetAttribute, 1,
   (char*)"V.GetAttribute(int) -> vtkDataArray\nC++: vtkDataArray *GetAttribute (int attributeType);\n\n Return an attribute given the attribute type\n (see vtkDataSetAttributes::AttributeTypes).\n"},
  {(char*)"RemoveArray",                (PyCFunction)PyvtkDataSetAttributes_RemoveArray, 1,
   (char*)"V.RemoveArray(string)\nC++: virtual void RemoveArray (const char *name);\n\n Remove an array (with the given name) from the list of arrays.\n"},
  {(char*)"GetAttributeTypeAsString",                (PyCFunction)PyvtkDataSetAttributes_GetAttributeTypeAsString, 1,
   (char*)"V.GetAttributeTypeAsString(int) -> string\nC++: static const char *GetAttributeTypeAsString (int attributeType);\n\n Given an integer attribute type, this static method returns a string type\n for the attribute (i.e. type = 0: returns \"Scalars\").\n"},
  {(char*)"GetLongAttributeTypeAsString",                (PyCFunction)PyvtkDataSetAttributes_GetLongAttributeTypeAsString, 1,
   (char*)"V.GetLongAttributeTypeAsString(int) -> string\nC++: static const char *GetLongAttributeTypeAsString (int attributeType);\n\n Given an integer attribute type, this static method returns a string type\n for the attribute (i.e. type = 0: returns \"Scalars\").\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetAttributesDoc[] = {
  (char*)"vtkDataSetAttributes - represent and manipulate attribute data in a dataset\n\n",
  "Super Class:\n\n vtkFieldData\n\n",
  (char*)" vtkDataSetAttributes is a class that is used to represent and manipulate\n attribute data (e.g., scalars, vectors, normals, texture coordinates,\n tensors, and field data) Special methods are provided to work with filter\n objects, such as passing data through filter, copying data from one\n attribute set to another, and interpolating data given cell interpolation\n weights.\n\n",
  NULL
};

static vtkObjectBase *vtkDataSetAttributesStaticNew()
{
  return vtkDataSetAttributes::New();
}

PyObject *PyVTKClass_vtkDataSetAttributesNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataSetAttributesStaticNew,
                        PyvtkDataSetAttributesMethods,
                        (char*)"vtkDataSetAttributes",modulename,
                        (char**)vtkDataSetAttributesDoc,
                        PyVTKClass_vtkFieldDataNew(modulename));
}

