// tcl wrapper for vtkDataSetAttributes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataSetAttributes.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkDataSetAttributesNewCommand()
{
  vtkDataSetAttributes *temp = vtkDataSetAttributes::New();
  return ((ClientData)temp);
}

int vtkFieldDataCppCommand(vtkFieldData *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataSetAttributesCppCommand(vtkDataSetAttributes *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataSetAttributesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataSetAttributesCppCommand((vtkDataSetAttributes *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataSetAttributesCppCommand(vtkDataSetAttributes *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataSetAttributes",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkFieldDataCppCommand((vtkFieldData *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkFieldData", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataSetAttributes  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSetAttributes");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataSetAttributes  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSetAttributes");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataSetAttributes  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSetAttributes");
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassData",argv[1]))&&(argc == 3))
    {
    vtkFieldData  *temp0;
    error = 0;

    temp0 = (vtkFieldData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkFieldData",interp,error));
    if (!error)
    {
    op->PassData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyAllocate",argv[1]))&&(argc == 5))
    {
    vtkDataSetAttributes  *temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    error = 0;

    temp0 = (vtkDataSetAttributes *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSetAttributes",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyAllocate(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyData",argv[1]))&&(argc == 5))
    {
    vtkDataSetAttributes  *temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    error = 0;

    temp0 = (vtkDataSetAttributes *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSetAttributes",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyData(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateAllocate",argv[1]))&&(argc == 5))
    {
    vtkDataSetAttributes  *temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    error = 0;

    temp0 = (vtkDataSetAttributes *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSetAttributes",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->InterpolateAllocate(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateEdge",argv[1]))&&(argc == 7))
    {
    vtkDataSetAttributes  *temp0;
    vtkIdType   temp1;
    vtkIdType   temp2;
    vtkIdType   temp3;
    double   temp4;
    error = 0;

    temp0 = (vtkDataSetAttributes *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSetAttributes",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (!error)
    {
    op->InterpolateEdge(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateTime",argv[1]))&&(argc == 6))
    {
    vtkDataSetAttributes  *temp0;
    vtkDataSetAttributes  *temp1;
    vtkIdType   temp2;
    double   temp3;
    error = 0;

    temp0 = (vtkDataSetAttributes *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSetAttributes",interp,error));
    temp1 = (vtkDataSetAttributes *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataSetAttributes",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->InterpolateTime(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkFieldData  *temp0;
    error = 0;

    temp0 = (vtkFieldData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkFieldData",interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkFieldData  *temp0;
    error = 0;

    temp0 = (vtkFieldData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkFieldData",interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalars",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataArray",interp,error));
    if (!error)
    {
    temp20 = (op)->SetScalars(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveScalars",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetActiveScalars(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalars",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetScalars();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("SetVectors",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataArray",interp,error));
    if (!error)
    {
    temp20 = (op)->SetVectors(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveVectors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetActiveVectors(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectors",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetVectors();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("SetNormals",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataArray",interp,error));
    if (!error)
    {
    temp20 = (op)->SetNormals(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveNormals",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetActiveNormals(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormals",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetNormals();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("SetTCoords",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataArray",interp,error));
    if (!error)
    {
    temp20 = (op)->SetTCoords(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveTCoords",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetActiveTCoords(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoords",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetTCoords();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("SetTensors",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataArray",interp,error));
    if (!error)
    {
    temp20 = (op)->SetTensors(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveTensors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetActiveTensors(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensors",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetTensors();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("GetScalars",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkDataArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetScalars(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkDataArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetVectors(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormals",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkDataArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNormals(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoords",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkDataArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetTCoords(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkDataArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetTensors(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveAttribute",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetActiveAttribute(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveAttribute",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetActiveAttribute(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCopyAttribute",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCopyAttribute(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCopyScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCopyScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCopyScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyScalarsOn",argv[1]))&&(argc == 2))
    {
    op->CopyScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyScalarsOff",argv[1]))&&(argc == 2))
    {
    op->CopyScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCopyVectors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCopyVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyVectors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCopyVectors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyVectorsOn",argv[1]))&&(argc == 2))
    {
    op->CopyVectorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyVectorsOff",argv[1]))&&(argc == 2))
    {
    op->CopyVectorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCopyNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCopyNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCopyNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyNormalsOn",argv[1]))&&(argc == 2))
    {
    op->CopyNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyNormalsOff",argv[1]))&&(argc == 2))
    {
    op->CopyNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCopyTCoords",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCopyTCoords(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyTCoords",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCopyTCoords();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyTCoordsOn",argv[1]))&&(argc == 2))
    {
    op->CopyTCoordsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyTCoordsOff",argv[1]))&&(argc == 2))
    {
    op->CopyTCoordsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCopyTensors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCopyTensors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyTensors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCopyTensors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyTensorsOn",argv[1]))&&(argc == 2))
    {
    op->CopyTensorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyTensorsOff",argv[1]))&&(argc == 2))
    {
    op->CopyTensorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyAllOn",argv[1]))&&(argc == 2))
    {
    op->CopyAllOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyAllOff",argv[1]))&&(argc == 2))
    {
    op->CopyAllOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyTuple",argv[1]))&&(argc == 6))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    vtkIdType   temp2;
    vtkIdType   temp3;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataArray",interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataArray",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->CopyTuple(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsArrayAnAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsArrayAnAttribute(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAttribute(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->RemoveArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeTypeAsString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAttributeTypeAsString(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLongAttributeTypeAsString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLongAttributeTypeAsString(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkDataSetAttributesCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkFieldDataCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataSetAttributes:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  PassData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyAllocate\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyData\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateAllocate\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateEdge\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateTime\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalars\n",NULL);
    Tcl_AppendResult(interp,"  SetVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectors\n",NULL);
    Tcl_AppendResult(interp,"  SetNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormals\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoords\n",NULL);
    Tcl_AppendResult(interp,"  SetTensors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveTensors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensors\n",NULL);
    Tcl_AppendResult(interp,"  GetScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyScalars\n",NULL);
    Tcl_AppendResult(interp,"  CopyScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyVectors\n",NULL);
    Tcl_AppendResult(interp,"  CopyVectorsOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyVectorsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyNormals\n",NULL);
    Tcl_AppendResult(interp,"  CopyNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyTCoords\n",NULL);
    Tcl_AppendResult(interp,"  CopyTCoordsOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyTCoordsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyTensors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyTensors\n",NULL);
    Tcl_AppendResult(interp,"  CopyTensorsOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyTensorsOff\n",NULL);
    Tcl_AppendResult(interp,"  CopyAllOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyAllOff\n",NULL);
    Tcl_AppendResult(interp,"  CopyTuple\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  IsArrayAnAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeTypeAsString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLongAttributeTypeAsString\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkFieldDataCppCommand((vtkFieldData *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
