// python wrapper for vtkDataSetCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDataSetCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkDataSetCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetCollection *op;

  const char    *temp20;
  if ((op = (vtkDataSetCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetCollection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetCollection *op;

  vtkDataSetCollection  *temp20;
  if ((op = (vtkDataSetCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataSetCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataSetCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetCollection *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataSetCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDataSetCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetCollection *op;

  vtkDataSet  *temp20;
  if ((op = (vtkDataSetCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetCollection_GetNextDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetCollection *op;

  vtkDataSet  *temp20;
  if ((op = (vtkDataSetCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetCollection::GetNextDataSet();
      }
    else
      {
      temp20 = op->GetNextDataSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetCollection_GetItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetCollection *op;

  int      temp0;
  vtkDataSet  *temp20;
  if ((op = (vtkDataSetCollection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetCollection::GetItem(temp0);
      }
    else
      {
      temp20 = op->GetItem(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetCollection_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetCollection *op;

  int      temp0;
  vtkDataSet  *temp20;
  if ((op = (vtkDataSetCollection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetCollection::GetDataSet(temp0);
      }
    else
      {
      temp20 = op->GetDataSet(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataSetCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetCollection\nC++: vtkDataSetCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataSetCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataSetCollection\nC++: vtkDataSetCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkDataSetCollection_AddItem, 1,
   (char*)"V.AddItem(vtkDataSet)\nC++: void AddItem (vtkDataSet *ds);this vtkCollection AddItem vtkObject ds \n\n Add a dataset to the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkDataSetCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkDataSet\nC++: vtkDataSet *GetNextItem ();return static_cast vtkDataSet this GetNextItemAsObject \n\n Get the next dataset in the list.\n"},
  {(char*)"GetNextDataSet",                (PyCFunction)PyvtkDataSetCollection_GetNextDataSet, 1,
   (char*)"V.GetNextDataSet() -> vtkDataSet\nC++: vtkDataSet *GetNextDataSet ();return static_cast vtkDataSet this GetNextItemAsObject \n\n Get the next dataset in the list.\n"},
  {(char*)"GetItem",                (PyCFunction)PyvtkDataSetCollection_GetItem, 1,
   (char*)"V.GetItem(int) -> vtkDataSet\nC++: vtkDataSet *GetItem (int i);return static_cast vtkDataSet this GetItemAsObject i \n\n Get the ith dataset in the list.\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkDataSetCollection_GetDataSet, 1,
   (char*)"V.GetDataSet(int) -> vtkDataSet\nC++: vtkDataSet *GetDataSet (int i);return static_cast vtkDataSet this GetItemAsObject i \n\n Get the ith dataset in the list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetCollectionDoc[] = {
  (char*)"vtkDataSetCollection - maintain an unordered list of dataset objects\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkDataSetCollection is an object that creates and manipulates lists of\n datasets. See also vtkCollection and subclasses.\n\n",
  NULL
};

static vtkObjectBase *vtkDataSetCollectionStaticNew()
{
  return vtkDataSetCollection::New();
}

PyObject *PyVTKClass_vtkDataSetCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataSetCollectionStaticNew,
                        PyvtkDataSetCollectionMethods,
                        (char*)"vtkDataSetCollection",modulename,
                        (char**)vtkDataSetCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

