// python wrapper for vtkDataSetToImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDataSetToImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetToImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetToImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageSourceNew(char *); }

static PyObject *PyvtkDataSetToImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToImageFilter *op;

  const char    *temp20;
  if ((op = (vtkDataSetToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToImageFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToImageFilter *op;

  vtkDataSetToImageFilter  *temp20;
  if ((op = (vtkDataSetToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToImageFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToImageFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataSetToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToImageFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetToImageFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToImageFilter *op;

  vtkDataSet  *temp20;
  if ((op = (vtkDataSetToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToImageFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataSetToImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetToImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetToImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetToImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetToImageFilter\nC++: vtkDataSetToImageFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkDataSetToImageFilter_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: virtual void SetInput (vtkDataSet *input);\n\n Set / get the input data or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkDataSetToImageFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataSet\nC++: vtkDataSet *GetInput ();\n\n Set / get the input data or filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetToImageFilterDoc[] = {
  (char*)"vtkDataSetToImageFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkImageSource\n\n",
  (char*)" vtkDataSetToImageFilter is an abstract filter class whose subclasses take\n as input any dataset and generate image data on output.\n\n",
  "See Also:\n\n vtkGaussianSplatter vtkImplicitModeller vtkShepardMethod vtkVoxelModeller\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDataSetToImageFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDataSetToImageFilterMethods,
                        (char*)"vtkDataSetToImageFilter",modulename,
                        (char**)vtkDataSetToImageFilterDoc,
                        PyVTKClass_vtkImageSourceNew(modulename));
}

