// python wrapper for vtkDataSetToPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDataSetToPolyDataFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetToPolyDataFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetToPolyDataFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataSourceNew(char *); }

static PyObject *PyvtkDataSetToPolyDataFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToPolyDataFilter *op;

  const char    *temp20;
  if ((op = (vtkDataSetToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToPolyDataFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToPolyDataFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToPolyDataFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToPolyDataFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToPolyDataFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToPolyDataFilter *op;

  vtkDataSetToPolyDataFilter  *temp20;
  if ((op = (vtkDataSetToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToPolyDataFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToPolyDataFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToPolyDataFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataSetToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToPolyDataFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetToPolyDataFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToPolyDataFilter *op;

  vtkDataSet  *temp20;
  if ((op = (vtkDataSetToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToPolyDataFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToPolyDataFilter_ComputeInputUpdateExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToPolyDataFilter *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataSetToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToPolyDataFilter::ComputeInputUpdateExtents(temp0);
      }
    else
      {
      op->ComputeInputUpdateExtents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkDataSetToPolyDataFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetToPolyDataFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetToPolyDataFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetToPolyDataFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetToPolyDataFilter\nC++: vtkDataSetToPolyDataFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkDataSetToPolyDataFilter_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: virtual void SetInput (vtkDataSet *input);\n\n Set / get the input data or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkDataSetToPolyDataFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataSet\nC++: vtkDataSet *GetInput ();\n\n Set / get the input data or filter.\n"},
  {(char*)"ComputeInputUpdateExtents",                (PyCFunction)PyvtkDataSetToPolyDataFilter_ComputeInputUpdateExtents, 1,
   (char*)"V.ComputeInputUpdateExtents(vtkDataObject)\nC++: virtual void ComputeInputUpdateExtents (vtkDataObject *output);\n\n Do not let images return more than requested.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetToPolyDataFilterDoc[] = {
  (char*)"vtkDataSetToPolyDataFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkPolyDataSource\n\n",
  (char*)" vtkDataSetToPolyDataFilter is an abstract filter class whose subclasses \n take as input any dataset and generate polygonal data on output.\n\n",
  "See Also:\n\n vtkContourFilter vtkCutter vtkEdgePoints vtkExtractEdges\n vtkGeometryFilter vtkGlyph3D vtkHedgeHog vtkHyperStreamline\n vtkMaskPoints vtkOutlineFilter vtkStreamer vtkTensorGlyph\n vtkThresholdPoints vtkVectorTopology\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDataSetToPolyDataFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDataSetToPolyDataFilterMethods,
                        (char*)"vtkDataSetToPolyDataFilter",modulename,
                        (char**)vtkDataSetToPolyDataFilterDoc,
                        PyVTKClass_vtkPolyDataSourceNew(modulename));
}

