// python wrapper for vtkDataSetToStructuredGridFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDataSetToStructuredGridFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetToStructuredGridFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetToStructuredGridFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStructuredGridSourceNew(char *); }

static PyObject *PyvtkDataSetToStructuredGridFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToStructuredGridFilter *op;

  const char    *temp20;
  if ((op = (vtkDataSetToStructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToStructuredGridFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToStructuredGridFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToStructuredGridFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetToStructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToStructuredGridFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToStructuredGridFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToStructuredGridFilter *op;

  vtkDataSetToStructuredGridFilter  *temp20;
  if ((op = (vtkDataSetToStructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToStructuredGridFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToStructuredGridFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToStructuredGridFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataSetToStructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToStructuredGridFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetToStructuredGridFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToStructuredGridFilter *op;

  vtkDataSet  *temp20;
  if ((op = (vtkDataSetToStructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToStructuredGridFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataSetToStructuredGridFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetToStructuredGridFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetToStructuredGridFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetToStructuredGridFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetToStructuredGridFilter\nC++: vtkDataSetToStructuredGridFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkDataSetToStructuredGridFilter_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: virtual void SetInput (vtkDataSet *input);\n\n Set / get the input data or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkDataSetToStructuredGridFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataSet\nC++: vtkDataSet *GetInput ();\n\n Set / get the input data or filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetToStructuredGridFilterDoc[] = {
  (char*)"vtkDataSetToStructuredGridFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkStructuredGridSource\n\n",
  (char*)" vtkDataSetToStructuredGridFilter is an abstract filter class whose \n subclasses take as input any dataset and generate a structured\n grid on output.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDataSetToStructuredGridFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDataSetToStructuredGridFilterMethods,
                        (char*)"vtkDataSetToStructuredGridFilter",modulename,
                        (char**)vtkDataSetToStructuredGridFilterDoc,
                        PyVTKClass_vtkStructuredGridSourceNew(modulename));
}

