// python wrapper for vtkDataSetToUnstructuredGridFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDataSetToUnstructuredGridFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetToUnstructuredGridFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetToUnstructuredGridFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridSourceNew(char *); }

static PyObject *PyvtkDataSetToUnstructuredGridFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToUnstructuredGridFilter *op;

  const char    *temp20;
  if ((op = (vtkDataSetToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToUnstructuredGridFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToUnstructuredGridFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToUnstructuredGridFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToUnstructuredGridFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToUnstructuredGridFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToUnstructuredGridFilter *op;

  vtkDataSetToUnstructuredGridFilter  *temp20;
  if ((op = (vtkDataSetToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToUnstructuredGridFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToUnstructuredGridFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToUnstructuredGridFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataSetToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToUnstructuredGridFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetToUnstructuredGridFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToUnstructuredGridFilter *op;

  vtkDataSet  *temp20;
  if ((op = (vtkDataSetToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToUnstructuredGridFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataSetToUnstructuredGridFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetToUnstructuredGridFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetToUnstructuredGridFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetToUnstructuredGridFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetToUnstructuredGridFilter\nC++: vtkDataSetToUnstructuredGridFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkDataSetToUnstructuredGridFilter_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: virtual void SetInput (vtkDataSet *input);\n\n Set / get the input data or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkDataSetToUnstructuredGridFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataSet\nC++: vtkDataSet *GetInput ();\n\n Set / get the input data or filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetToUnstructuredGridFilterDoc[] = {
  (char*)"vtkDataSetToUnstructuredGridFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkUnstructuredGridSource\n\n",
  (char*)" vtkDataSetToUnstructuredGridFilter is an abstract filter class whose \n subclasses take as input any dataset and generate an unstructured\n grid on output.\n\n",
  "See Also:\n\n vtkAppendFilter vtkConnectivityFilter vtkExtractGeometry\n vtkShrinkFilter vtkThreshold\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDataSetToUnstructuredGridFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDataSetToUnstructuredGridFilterMethods,
                        (char*)"vtkDataSetToUnstructuredGridFilter",modulename,
                        (char**)vtkDataSetToUnstructuredGridFilterDoc,
                        PyVTKClass_vtkUnstructuredGridSourceNew(modulename));
}

