// python wrapper for vtkDemandDrivenPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDemandDrivenPipeline.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDemandDrivenPipelineNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDemandDrivenPipelineNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExecutiveNew(char *); }

static PyObject *PyvtkDemandDrivenPipeline_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDemandDrivenPipeline *op;

  const char    *temp20;
  if ((op = (vtkDemandDrivenPipeline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDemandDrivenPipeline::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDemandDrivenPipeline *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDemandDrivenPipeline *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDemandDrivenPipeline::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDemandDrivenPipeline *op;

  vtkDemandDrivenPipeline  *temp20;
  if ((op = (vtkDemandDrivenPipeline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDemandDrivenPipeline::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDemandDrivenPipeline  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDemandDrivenPipeline::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDemandDrivenPipeline *op;

  int      temp20;
  if ((op = (vtkDemandDrivenPipeline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDemandDrivenPipeline::Update();
      }
    else
      {
      temp20 = op->Update();
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkDemandDrivenPipeline *op;

  int      temp0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkDemandDrivenPipeline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDemandDrivenPipeline::Update(temp0);
      }
    else
      {
      temp20 = op->Update(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_GetPipelineMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDemandDrivenPipeline *op;

  unsigned long     temp20;
  if ((op = (vtkDemandDrivenPipeline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDemandDrivenPipeline::GetPipelineMTime();
      }
    else
      {
      temp20 = op->GetPipelineMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_SetReleaseDataFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDemandDrivenPipeline *op;

  int      temp0;
  int      temp1;
  int      temp20;
  if ((op = (vtkDemandDrivenPipeline *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDemandDrivenPipeline::SetReleaseDataFlag(temp0,temp1);
      }
    else
      {
      temp20 = op->SetReleaseDataFlag(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_GetReleaseDataFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDemandDrivenPipeline *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkDemandDrivenPipeline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDemandDrivenPipeline::GetReleaseDataFlag(temp0);
      }
    else
      {
      temp20 = op->GetReleaseDataFlag(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_UpdatePipelineMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDemandDrivenPipeline *op;

  int      temp20;
  if ((op = (vtkDemandDrivenPipeline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDemandDrivenPipeline::UpdatePipelineMTime();
      }
    else
      {
      temp20 = op->UpdatePipelineMTime();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_UpdateDataObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDemandDrivenPipeline *op;

  int      temp20;
  if ((op = (vtkDemandDrivenPipeline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDemandDrivenPipeline::UpdateDataObject();
      }
    else
      {
      temp20 = op->UpdateDataObject();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_UpdateInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDemandDrivenPipeline *op;

  int      temp20;
  if ((op = (vtkDemandDrivenPipeline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDemandDrivenPipeline::UpdateInformation();
      }
    else
      {
      temp20 = op->UpdateInformation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_UpdateData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDemandDrivenPipeline *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkDemandDrivenPipeline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDemandDrivenPipeline::UpdateData(temp0);
      }
    else
      {
      temp20 = op->UpdateData(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_REQUEST_DATA_OBJECT(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationRequestKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDemandDrivenPipeline::REQUEST_DATA_OBJECT();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_REQUEST_INFORMATION(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationRequestKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDemandDrivenPipeline::REQUEST_INFORMATION();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_REQUEST_DATA(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationRequestKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDemandDrivenPipeline::REQUEST_DATA();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_REQUEST_DATA_NOT_GENERATED(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationRequestKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDemandDrivenPipeline::REQUEST_DATA_NOT_GENERATED();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_RELEASE_DATA(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDemandDrivenPipeline::RELEASE_DATA();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_DATA_NOT_GENERATED(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkDemandDrivenPipeline::DATA_NOT_GENERATED();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDemandDrivenPipeline_NewDataObject(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  vtkDataObject  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkDemandDrivenPipeline::NewDataObject(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDemandDrivenPipelineMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDemandDrivenPipeline_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDemandDrivenPipeline_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDemandDrivenPipeline_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDemandDrivenPipeline\nC++: vtkDemandDrivenPipeline *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDemandDrivenPipeline_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDemandDrivenPipeline\nC++: vtkDemandDrivenPipeline *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkDemandDrivenPipeline_Update, 1,
   (char*)"V.Update() -> int\nC++: virtual int Update ();\nV.Update(int) -> int\nC++: virtual int Update (int port);\n\n Bring the algorithm's outputs up-to-date.  Returns 1 for success\n and 0 for failure.\n"},
  {(char*)"GetPipelineMTime",                (PyCFunction)PyvtkDemandDrivenPipeline_GetPipelineMTime, 1,
   (char*)"V.GetPipelineMTime() -> int\nC++: long unsigned GetPipelineMTime ();\n\n Get the PipelineMTime for this exective.\n"},
  {(char*)"SetReleaseDataFlag",                (PyCFunction)PyvtkDemandDrivenPipeline_SetReleaseDataFlag, 1,
   (char*)"V.SetReleaseDataFlag(int, int) -> int\nC++: virtual int SetReleaseDataFlag (int port, int n);\n\n Set whether the given output port releases data when it is\n consumed.  Returns 1 if the the value changes and 0 otherwise.\n"},
  {(char*)"GetReleaseDataFlag",                (PyCFunction)PyvtkDemandDrivenPipeline_GetReleaseDataFlag, 1,
   (char*)"V.GetReleaseDataFlag(int) -> int\nC++: virtual int GetReleaseDataFlag (int port);\n\n Get whether the given output port releases data when it is consumed.\n"},
  {(char*)"UpdatePipelineMTime",                (PyCFunction)PyvtkDemandDrivenPipeline_UpdatePipelineMTime, 1,
   (char*)"V.UpdatePipelineMTime() -> int\nC++: virtual int UpdatePipelineMTime ();\n\n Bring the PipelineMTime up to date.\n"},
  {(char*)"UpdateDataObject",                (PyCFunction)PyvtkDemandDrivenPipeline_UpdateDataObject, 1,
   (char*)"V.UpdateDataObject() -> int\nC++: virtual int UpdateDataObject ();\n\n Bring the output data object's existence up to date.  This does\n not actually produce data, but does create the data object that\n will store data produced during the UpdateData step.\n"},
  {(char*)"UpdateInformation",                (PyCFunction)PyvtkDemandDrivenPipeline_UpdateInformation, 1,
   (char*)"V.UpdateInformation() -> int\nC++: virtual int UpdateInformation ();\n\n Bring the output information up to date.\n"},
  {(char*)"UpdateData",                (PyCFunction)PyvtkDemandDrivenPipeline_UpdateData, 1,
   (char*)"V.UpdateData(int) -> int\nC++: virtual int UpdateData (int outputPort);\n\n Bring the output data up to date.  This should be called only\n when information is up to date.  Use the Update method if it is\n not known that the information is up to date.\n"},
  {(char*)"REQUEST_DATA_OBJECT",                (PyCFunction)PyvtkDemandDrivenPipeline_REQUEST_DATA_OBJECT, 1,
   (char*)"V.REQUEST_DATA_OBJECT() -> vtkInformationRequestKey\nC++: static vtkInformationRequestKey *REQUEST_DATA_OBJECT ();\n\n Key defining a request to make sure the output data objects exist.\n"},
  {(char*)"REQUEST_INFORMATION",                (PyCFunction)PyvtkDemandDrivenPipeline_REQUEST_INFORMATION, 1,
   (char*)"V.REQUEST_INFORMATION() -> vtkInformationRequestKey\nC++: static vtkInformationRequestKey *REQUEST_INFORMATION ();\n\n Key defining a request to make sure the output information is up to date.\n"},
  {(char*)"REQUEST_DATA",                (PyCFunction)PyvtkDemandDrivenPipeline_REQUEST_DATA, 1,
   (char*)"V.REQUEST_DATA() -> vtkInformationRequestKey\nC++: static vtkInformationRequestKey *REQUEST_DATA ();\n\n Key defining a request to make sure the output data are up to date.\n"},
  {(char*)"REQUEST_DATA_NOT_GENERATED",                (PyCFunction)PyvtkDemandDrivenPipeline_REQUEST_DATA_NOT_GENERATED, 1,
   (char*)"V.REQUEST_DATA_NOT_GENERATED() -> vtkInformationRequestKey\nC++: static vtkInformationRequestKey *REQUEST_DATA_NOT_GENERATED ();\n\n Key defining a request to mark outputs that will NOT be generated\n during a REQUEST_DATA.\n"},
  {(char*)"RELEASE_DATA",                (PyCFunction)PyvtkDemandDrivenPipeline_RELEASE_DATA, 1,
   (char*)"V.RELEASE_DATA() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *RELEASE_DATA ();\n\n Key to specify in pipeline information the request that data be\n released after it is used.\n"},
  {(char*)"DATA_NOT_GENERATED",                (PyCFunction)PyvtkDemandDrivenPipeline_DATA_NOT_GENERATED, 1,
   (char*)"V.DATA_NOT_GENERATED() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *DATA_NOT_GENERATED ();\n\n Key to store a mark for an output that will not be generated.\n Algorithms use this to tell the executive that they will not\n generate certain outputs for a REQUEST_DATA.\n"},
  {(char*)"NewDataObject",                (PyCFunction)PyvtkDemandDrivenPipeline_NewDataObject, 1,
   (char*)"V.NewDataObject(string) -> vtkDataObject\nC++: static vtkDataObject *NewDataObject (const char *type);\n\n Create (New) and return a data object of the given type.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDemandDrivenPipelineDoc[] = {
  (char*)"vtkDemandDrivenPipeline - Executive supporting on-demand execution.\n\n",
  "Super Class:\n\n vtkExecutive\n\n",
  (char*)" vtkDemandDrivenPipeline is an executive that will execute an\n algorithm only when its outputs are out-of-date with respect to its\n inputs.\n\n",
  NULL
};

static vtkObjectBase *vtkDemandDrivenPipelineStaticNew()
{
  return vtkDemandDrivenPipeline::New();
}

PyObject *PyVTKClass_vtkDemandDrivenPipelineNew(char *modulename)
{
  return PyVTKClass_New(&vtkDemandDrivenPipelineStaticNew,
                        PyvtkDemandDrivenPipelineMethods,
                        (char*)"vtkDemandDrivenPipeline",modulename,
                        (char**)vtkDemandDrivenPipelineDoc,
                        PyVTKClass_vtkExecutiveNew(modulename));
}

