// tcl wrapper for vtkExecutive object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExecutive.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExecutiveCppCommand(vtkExecutive *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExecutiveCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExecutiveCppCommand((vtkExecutive *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExecutiveCppCommand(vtkExecutive *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExecutive",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExecutive  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkExecutive");
    return TCL_OK;
    }
  if ((!strcmp("GetAlgorithm",argv[1]))&&(argc == 2))
    {
    vtkAlgorithm  *temp20;
    temp20 = (op)->GetAlgorithm();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Update();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->Update(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfInputPorts",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfInputPorts();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfOutputPorts",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfOutputPorts();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfInputConnections",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfInputConnections(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputInformation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkInformation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutputInformation(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputInformation",argv[1]))&&(argc == 2))
    {
    vtkInformationVector  *temp20;
    temp20 = (op)->GetOutputInformation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationVector");
    return TCL_OK;
    }
  if ((!strcmp("GetInputInformation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkInformation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputInformation(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputInformation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkInformationVector  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputInformation(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationVector");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputExecutive",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkExecutive  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputExecutive(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkExecutive");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutputData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputData",argv[1]))&&(argc == 5))
    {
    int      temp0;
    vtkDataObject  *temp1;
    vtkInformation  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataObject",interp,error));
    temp2 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    op->SetOutputData(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutputData",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataObject  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->SetOutputData(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputData",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputData(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProducerPort",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    vtkAlgorithmOutput  *temp20;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    temp20 = (op)->GetProducerPort(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAlgorithmOutput");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSharedOutputInformation",argv[1]))&&(argc == 3))
    {
    vtkInformationVector  *temp0;
    error = 0;

    temp0 = (vtkInformationVector *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationVector",interp,error));
    if (!error)
    {
    op->SetSharedOutputInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Register",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->Register(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PRODUCER",argv[1]))&&(argc == 2))
    {
    vtkInformationExecutivePortKey  *temp20;
    temp20 = (op)->PRODUCER();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationExecutivePortKey");
    return TCL_OK;
    }
  if ((!strcmp("CONSUMERS",argv[1]))&&(argc == 2))
    {
    vtkInformationExecutivePortVectorKey  *temp20;
    temp20 = (op)->CONSUMERS();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationExecutivePortVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("FROM_OUTPUT_PORT",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->FROM_OUTPUT_PORT();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("ALGORITHM_BEFORE_FORWARD",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->ALGORITHM_BEFORE_FORWARD();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("ALGORITHM_AFTER_FORWARD",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->ALGORITHM_AFTER_FORWARD();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("ALGORITHM_DIRECTION",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->ALGORITHM_DIRECTION();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("FORWARD_DIRECTION",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->FORWARD_DIRECTION();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("KEYS_TO_COPY",argv[1]))&&(argc == 2))
    {
    vtkInformationKeyVectorKey  *temp20;
    temp20 = (op)->KEYS_TO_COPY();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationKeyVectorKey");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkExecutiveCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExecutive:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetAlgorithm\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Update\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfInputPorts\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfOutputPorts\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfInputConnections\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputInformation\n",NULL);
    Tcl_AppendResult(interp,"  GetInputInformation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInputInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputExecutive\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputData\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInputData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetProducerPort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSharedOutputInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Register\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PRODUCER\n",NULL);
    Tcl_AppendResult(interp,"  CONSUMERS\n",NULL);
    Tcl_AppendResult(interp,"  FROM_OUTPUT_PORT\n",NULL);
    Tcl_AppendResult(interp,"  ALGORITHM_BEFORE_FORWARD\n",NULL);
    Tcl_AppendResult(interp,"  ALGORITHM_AFTER_FORWARD\n",NULL);
    Tcl_AppendResult(interp,"  ALGORITHM_DIRECTION\n",NULL);
    Tcl_AppendResult(interp,"  FORWARD_DIRECTION\n",NULL);
    Tcl_AppendResult(interp,"  KEYS_TO_COPY\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
