// tcl wrapper for vtkGenericAdaptorCell object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericAdaptorCell.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGenericAdaptorCellCppCommand(vtkGenericAdaptorCell *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGenericAdaptorCellCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGenericAdaptorCellCppCommand((vtkGenericAdaptorCell *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGenericAdaptorCellCppCommand(vtkGenericAdaptorCell *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGenericAdaptorCell",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGenericAdaptorCell  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkGenericAdaptorCell");
    return TCL_OK;
    }
  if ((!strcmp("GetId",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsInDataSet",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsInDataSet();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGeometryOrder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGeometryOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsGeometryLinear",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsGeometryLinear();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributeOrder",argv[1]))&&(argc == 3))
    {
    vtkGenericAttribute  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkGenericAttribute *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericAttribute",interp,error));
    if (!error)
    {
    temp20 = (op)->GetAttributeOrder(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHighestOrderAttribute",argv[1]))&&(argc == 3))
    {
    vtkGenericAttributeCollection  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericAttributeCollection",interp,error));
    if (!error)
    {
    temp20 = (op)->GetHighestOrderAttribute(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsAttributeLinear",argv[1]))&&(argc == 3))
    {
    vtkGenericAttribute  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkGenericAttribute *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericAttribute",interp,error));
    if (!error)
    {
    temp20 = (op)->IsAttributeLinear(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsPrimary",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsPrimary();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfBoundaries",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfBoundaries(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfDOFNodes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfDOFNodes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointIterator",argv[1]))&&(argc == 3))
    {
    vtkGenericPointIterator  *temp0;
    error = 0;

    temp0 = (vtkGenericPointIterator *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericPointIterator",interp,error));
    if (!error)
    {
    op->GetPointIterator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewCellIterator",argv[1]))&&(argc == 2))
    {
    vtkGenericCellIterator  *temp20;
    temp20 = (op)->NewCellIterator();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkGenericCellIterator");
    return TCL_OK;
    }
  if ((!strcmp("GetBoundaryIterator",argv[1]))&&(argc == 4))
    {
    vtkGenericCellIterator  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkGenericCellIterator *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericCellIterator",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->GetBoundaryIterator(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CountNeighbors",argv[1]))&&(argc == 3))
    {
    vtkGenericAdaptorCell  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkGenericAdaptorCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericAdaptorCell",interp,error));
    if (!error)
    {
    temp20 = (op)->CountNeighbors(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNeighbors",argv[1]))&&(argc == 4))
    {
    vtkGenericAdaptorCell  *temp0;
    vtkGenericCellIterator  *temp1;
    error = 0;

    temp0 = (vtkGenericAdaptorCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericAdaptorCell",interp,error));
    temp1 = (vtkGenericCellIterator *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkGenericCellIterator",interp,error));
    if (!error)
    {
    op->GetNeighbors(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Contour",argv[1]))&&(argc == 15))
    {
    vtkContourValues  *temp0;
    vtkImplicitFunction  *temp1;
    vtkGenericAttributeCollection  *temp2;
    vtkGenericCellTessellator  *temp3;
    vtkPointLocator  *temp4;
    vtkCellArray  *temp5;
    vtkCellArray  *temp6;
    vtkCellArray  *temp7;
    vtkPointData  *temp8;
    vtkCellData  *temp9;
    vtkPointData  *temp10;
    vtkPointData  *temp11;
    vtkCellData  *temp12;
    error = 0;

    temp0 = (vtkContourValues *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkContourValues",interp,error));
    temp1 = (vtkImplicitFunction *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkImplicitFunction",interp,error));
    temp2 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkGenericAttributeCollection",interp,error));
    temp3 = (vtkGenericCellTessellator *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkGenericCellTessellator",interp,error));
    temp4 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointLocator",interp,error));
    temp5 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkCellArray",interp,error));
    temp6 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[8],(char *) "vtkCellArray",interp,error));
    temp7 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[9],(char *) "vtkCellArray",interp,error));
    temp8 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[10],(char *) "vtkPointData",interp,error));
    temp9 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[11],(char *) "vtkCellData",interp,error));
    temp10 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[12],(char *) "vtkPointData",interp,error));
    temp11 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[13],(char *) "vtkPointData",interp,error));
    temp12 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[14],(char *) "vtkCellData",interp,error));
    if (!error)
    {
    op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10,temp11,temp12);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Clip",argv[1]))&&(argc == 14))
    {
    double   temp0;
    vtkImplicitFunction  *temp1;
    vtkGenericAttributeCollection  *temp2;
    vtkGenericCellTessellator  *temp3;
    int      temp4;
    vtkPointLocator  *temp5;
    vtkCellArray  *temp6;
    vtkPointData  *temp7;
    vtkCellData  *temp8;
    vtkPointData  *temp9;
    vtkPointData  *temp10;
    vtkCellData  *temp11;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkImplicitFunction *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkImplicitFunction",interp,error));
    temp2 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkGenericAttributeCollection",interp,error));
    temp3 = (vtkGenericCellTessellator *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkGenericCellTessellator",interp,error));
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkPointLocator",interp,error));
    temp6 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[8],(char *) "vtkCellArray",interp,error));
    temp7 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[9],(char *) "vtkPointData",interp,error));
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],(char *) "vtkCellData",interp,error));
    temp9 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[11],(char *) "vtkPointData",interp,error));
    temp10 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[12],(char *) "vtkPointData",interp,error));
    temp11 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[13],(char *) "vtkCellData",interp,error));
    if (!error)
    {
    op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10,temp11);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLength2",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLength2();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetParametricCenter",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetParametricCenter(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParametricDistance",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetParametricDistance(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Tessellate",argv[1]))&&(argc == 11))
    {
    vtkGenericAttributeCollection  *temp0;
    vtkGenericCellTessellator  *temp1;
    vtkPoints  *temp2;
    vtkPointLocator  *temp3;
    vtkCellArray  *temp4;
    vtkPointData  *temp5;
    vtkPointData  *temp6;
    vtkCellData  *temp7;
    vtkUnsignedCharArray  *temp8;
    error = 0;

    temp0 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericAttributeCollection",interp,error));
    temp1 = (vtkGenericCellTessellator *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkGenericCellTessellator",interp,error));
    temp2 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPoints",interp,error));
    temp3 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkPointLocator",interp,error));
    temp4 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkCellArray",interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkPointData",interp,error));
    temp6 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[8],(char *) "vtkPointData",interp,error));
    temp7 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[9],(char *) "vtkCellData",interp,error));
    temp8 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[10],(char *) "vtkUnsignedCharArray",interp,error));
    if (!error)
    {
    op->Tessellate(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsFaceOnBoundary",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsFaceOnBoundary(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsOnBoundary",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsOnBoundary();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TriangulateFace",argv[1]))&&(argc == 11))
    {
    vtkGenericAttributeCollection  *temp0;
    vtkGenericCellTessellator  *temp1;
    int      temp2;
    vtkPoints  *temp3;
    vtkPointLocator  *temp4;
    vtkCellArray  *temp5;
    vtkPointData  *temp6;
    vtkPointData  *temp7;
    vtkCellData  *temp8;
    error = 0;

    temp0 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericAttributeCollection",interp,error));
    temp1 = (vtkGenericCellTessellator *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkGenericCellTessellator",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkPoints",interp,error));
    temp4 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointLocator",interp,error));
    temp5 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkCellArray",interp,error));
    temp6 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[8],(char *) "vtkPointData",interp,error));
    temp7 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[9],(char *) "vtkPointData",interp,error));
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],(char *) "vtkCellData",interp,error));
    if (!error)
    {
    op->TriangulateFace(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfVerticesOnFace",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfVerticesOnFace(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkGenericAdaptorCellCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGenericAdaptorCell:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetId\n",NULL);
    Tcl_AppendResult(interp,"  IsInDataSet\n",NULL);
    Tcl_AppendResult(interp,"  GetType\n",NULL);
    Tcl_AppendResult(interp,"  GetDimension\n",NULL);
    Tcl_AppendResult(interp,"  GetGeometryOrder\n",NULL);
    Tcl_AppendResult(interp,"  IsGeometryLinear\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHighestOrderAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsAttributeLinear\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsPrimary\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfBoundaries\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfDOFNodes\n",NULL);
    Tcl_AppendResult(interp,"  GetPointIterator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewCellIterator\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundaryIterator\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CountNeighbors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNeighbors\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Contour\t with 13 args\n",NULL);
    Tcl_AppendResult(interp,"  Clip\t with 12 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLength2\n",NULL);
    Tcl_AppendResult(interp,"  GetParametricCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetParametricDistance\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Tessellate\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  IsFaceOnBoundary\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsOnBoundary\n",NULL);
    Tcl_AppendResult(interp,"  TriangulateFace\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVerticesOnFace\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
