// python wrapper for vtkGenericAttributeCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGenericAttributeCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericAttributeCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericAttributeCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGenericAttributeCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  const char    *temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  vtkGenericAttributeCollection  *temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericAttributeCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericAttributeCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_GetNumberOfAttributes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  int      temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::GetNumberOfAttributes();
      }
    else
      {
      temp20 = op->GetNumberOfAttributes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_GetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  int      temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::GetNumberOfComponents();
      }
    else
      {
      temp20 = op->GetNumberOfComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_GetNumberOfPointCenteredComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  int      temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::GetNumberOfPointCenteredComponents();
      }
    else
      {
      temp20 = op->GetNumberOfPointCenteredComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_GetMaxNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  int      temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::GetMaxNumberOfComponents();
      }
    else
      {
      temp20 = op->GetMaxNumberOfComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  unsigned long     temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_IsEmpty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  int      temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::IsEmpty();
      }
    else
      {
      temp20 = op->IsEmpty();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_GetAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  int      temp0;
  vtkGenericAttribute  *temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::GetAttribute(temp0);
      }
    else
      {
      temp20 = op->GetAttribute(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_FindAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::FindAttribute(temp0);
      }
    else
      {
      temp20 = op->FindAttribute(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_GetAttributeIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::GetAttributeIndex(temp0);
      }
    else
      {
      temp20 = op->GetAttributeIndex(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_InsertNextAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  vtkGenericAttribute  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkGenericAttribute *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAttribute");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericAttributeCollection::InsertNextAttribute(temp0);
      }
    else
      {
      op->InsertNextAttribute(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_InsertAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  int      temp0;
  vtkGenericAttribute  *temp1;
  PyObject *tempH1;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkGenericAttribute *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericAttribute");
    if (!temp1 && tempH1 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericAttributeCollection::InsertAttribute(temp0,temp1);
      }
    else
      {
      op->InsertAttribute(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_RemoveAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  int      temp0;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericAttributeCollection::RemoveAttribute(temp0);
      }
    else
      {
      op->RemoveAttribute(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericAttributeCollection::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  vtkGenericAttributeCollection  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkGenericAttributeCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAttributeCollection");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericAttributeCollection::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  vtkGenericAttributeCollection  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkGenericAttributeCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAttributeCollection");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericAttributeCollection::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  unsigned long     temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_GetActiveAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  int      temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::GetActiveAttribute();
      }
    else
      {
      temp20 = op->GetActiveAttribute();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_GetActiveComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  int      temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::GetActiveComponent();
      }
    else
      {
      temp20 = op->GetActiveComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_SetActiveAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericAttributeCollection::SetActiveAttribute(temp0,temp1);
      }
    else
      {
      op->SetActiveAttribute(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_GetNumberOfAttributesToInterpolate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  int      temp20;
  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttributeCollection::GetNumberOfAttributesToInterpolate();
      }
    else
      {
      temp20 = op->GetNumberOfAttributesToInterpolate();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttributeCollection_SetAttributesToInterpolateToAll(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttributeCollection *op;

  if ((op = (vtkGenericAttributeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericAttributeCollection::SetAttributesToInterpolateToAll();
      }
    else
      {
      op->SetAttributesToInterpolateToAll();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericAttributeCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericAttributeCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard type definition and print methods for a VTK class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericAttributeCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard type definition and print methods for a VTK class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericAttributeCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericAttributeCollection\nC++: vtkGenericAttributeCollection *NewInstance ();\n\n Standard type definition and print methods for a VTK class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericAttributeCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericAttributeCollection\nC++: vtkGenericAttributeCollection *SafeDownCast (vtkObject* o);\n\n Standard type definition and print methods for a VTK class.\n"},
  {(char*)"GetNumberOfAttributes",                (PyCFunction)PyvtkGenericAttributeCollection_GetNumberOfAttributes, 1,
   (char*)"V.GetNumberOfAttributes() -> int\nC++: int GetNumberOfAttributes ();\n\n Return the number of attributes (e.g., instances of vtkGenericAttribute) \n in the collection.\n \\post positive_result: result>=0\n"},
  {(char*)"GetNumberOfComponents",                (PyCFunction)PyvtkGenericAttributeCollection_GetNumberOfComponents, 1,
   (char*)"V.GetNumberOfComponents() -> int\nC++: int GetNumberOfComponents ();\n\n Return the number of components. This is the sum of all components\n found in all attributes.\n \\post positive_result: result>=0\n"},
  {(char*)"GetNumberOfPointCenteredComponents",                (PyCFunction)PyvtkGenericAttributeCollection_GetNumberOfPointCenteredComponents, 1,
   (char*)"V.GetNumberOfPointCenteredComponents() -> int\nC++: int GetNumberOfPointCenteredComponents ();\n\n Return the number of components. This is the sum of all components\n found in all point centered attributes.\n \\post positive_result: result>=0\n"},
  {(char*)"GetMaxNumberOfComponents",                (PyCFunction)PyvtkGenericAttributeCollection_GetMaxNumberOfComponents, 1,
   (char*)"V.GetMaxNumberOfComponents() -> int\nC++: int GetMaxNumberOfComponents ();\n\n Maximum number of components encountered among all attributes.\n \\post positive_result: result>=0\n \\post valid_result: result<=GetNumberOfComponents()\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkGenericAttributeCollection_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: unsigned long GetActualMemorySize ();\n\n Actual size of the data in kilobytes; only valid after the pipeline has\n updated. It is guaranteed to be greater than or equal to the memory\n required to represent the data.\n"},
  {(char*)"IsEmpty",                (PyCFunction)PyvtkGenericAttributeCollection_IsEmpty, 1,
   (char*)"V.IsEmpty() -> int\nC++: int IsEmpty ();\n\n Indicate whether the collection contains any attributes.\n \\post definition: result==(GetNumberOfAttributes()==0)\n"},
  {(char*)"GetAttribute",                (PyCFunction)PyvtkGenericAttributeCollection_GetAttribute, 1,
   (char*)"V.GetAttribute(int) -> vtkGenericAttribute\nC++: vtkGenericAttribute *GetAttribute (int i);\n\n Return a pointer to the ith instance of vtkGenericAttribute.\n \\pre not_empty: !IsEmpty()\n \\pre valid_i: i>=0 && i<GetNumberOfAttributes()\n \\post result_exists: result!=0\n"},
  {(char*)"FindAttribute",                (PyCFunction)PyvtkGenericAttributeCollection_FindAttribute, 1,
   (char*)"V.FindAttribute(string) -> int\nC++: int FindAttribute (const char *name);\n\n Return the index of the attribute named `name'. Return the non-negative\n index if found. Return -1 otherwise.\n \\pre name_exists: name!=0\n \\post valid_result: (result==-1) || (result>=0) && (result<=GetNumberOfAttributes())\n"},
  {(char*)"GetAttributeIndex",                (PyCFunction)PyvtkGenericAttributeCollection_GetAttributeIndex, 1,
   (char*)"V.GetAttributeIndex(int) -> int\nC++: int GetAttributeIndex (int i);\n\n Return the index of the first component of attribute `i' in an array of\n format attrib0comp0 attrib0comp1 ... attrib4comp0 ...\n \\pre valid_i: i>=0 && i<GetNumberOfAttributes()\n \\pre is_point_centered: GetAttribute(i)->GetCentering()==vtkPointCentered\n"},
  {(char*)"InsertNextAttribute",                (PyCFunction)PyvtkGenericAttributeCollection_InsertNextAttribute, 1,
   (char*)"V.InsertNextAttribute(vtkGenericAttribute)\nC++: void InsertNextAttribute (vtkGenericAttribute *a);\n\n Add the attribute `a' to the end of the collection.\n \\pre a_exists: a!=0\n \\post more_items: GetNumberOfAttributes()==old GetNumberOfAttributes()+1\n \\post a_is_set: GetAttribute(GetNumberOfAttributes()-1)==a\n"},
  {(char*)"InsertAttribute",                (PyCFunction)PyvtkGenericAttributeCollection_InsertAttribute, 1,
   (char*)"V.InsertAttribute(int, vtkGenericAttribute)\nC++: void InsertAttribute (int i, vtkGenericAttribute *a);\n\n Replace the attribute at index `i' by `a'.\n \\pre not_empty: !IsEmpty()\n \\pre a_exists: a!=0\n \\pre valid_i: i>=0 && i<GetNumberOfAttributes()\n \\post same_size: GetNumberOfAttributes()==old GetNumberOfAttributes()\n \\post item_is_set: GetAttribute(i)==a\n"},
  {(char*)"RemoveAttribute",                (PyCFunction)PyvtkGenericAttributeCollection_RemoveAttribute, 1,
   (char*)"V.RemoveAttribute(int)\nC++: void RemoveAttribute (int i);\n\n Remove the attribute at `i'.\n \\pre not_empty: !IsEmpty()\n \\pre valid_i: i>=0 && i<GetNumberOfAttributes()\n \\post fewer_items: GetNumberOfAttributes()==old GetNumberOfAttributes()-1\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkGenericAttributeCollection_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n Remove all attributes.\n \\post is_empty: GetNumberOfAttributes()==0\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkGenericAttributeCollection_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkGenericAttributeCollection)\nC++: void DeepCopy (vtkGenericAttributeCollection *other);\n\n Copy, without reference counting, the other attribute array.\n \\pre other_exists: other!=0\n \\pre not_self: other!=this\n \\post same_size: GetNumberOfAttributes()==other->GetNumberOfAttributes()\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkGenericAttributeCollection_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkGenericAttributeCollection)\nC++: void ShallowCopy (vtkGenericAttributeCollection *other);\n\n Copy, via reference counting, the other attribute array.\n \\pre other_exists: other!=0\n \\pre not_self: other!=this\n \\post same_size: GetNumberOfAttributes()==other->GetNumberOfAttributes()\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkGenericAttributeCollection_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n vtkAttributeCollection is a composite object and needs to check each\n member of its collection for modified time.\n"},
  {(char*)"GetActiveAttribute",                (PyCFunction)PyvtkGenericAttributeCollection_GetActiveAttribute, 1,
   (char*)"V.GetActiveAttribute() -> int\nC++: int GetActiveAttribute ();\n\n Index of the attribute to be processed (not necessarily scalar).\n \\pre not_empty: !IsEmpty()\n \\post valid_result: result>=0 && result<GetNumberOfAttributes()\n"},
  {(char*)"GetActiveComponent",                (PyCFunction)PyvtkGenericAttributeCollection_GetActiveComponent, 1,
   (char*)"V.GetActiveComponent() -> int\nC++: int GetActiveComponent ();\n\n Component of the active attribute to be processed. -1 means module.\n \\pre not_empty: GetNumberOfAttributes()>0\n \\post valid_result: result>=-1 &&\n       result<GetAttribute(GetActiveAttribute())->GetNumberOfComponents()\n"},
  {(char*)"SetActiveAttribute",                (PyCFunction)PyvtkGenericAttributeCollection_SetActiveAttribute, 1,
   (char*)"V.SetActiveAttribute(int, int)\nC++: void SetActiveAttribute (int attribute, int component);\n\n Set the scalar attribute to be processed. -1 means module.\n \\pre not_empty: !IsEmpty()\n \\pre valid_attribute: attribute>=0 && attribute<GetNumberOfAttributes()\n \\pre valid_component: component>=-1 &&\n              component<GetAttribute(attribute)->GetNumberOfComponents()\n \\post is_set: GetActiveAttribute()==attribute &&\n               GetActiveComponent()==component\n"},
  {(char*)"GetNumberOfAttributesToInterpolate",                (PyCFunction)PyvtkGenericAttributeCollection_GetNumberOfAttributesToInterpolate, 1,
   (char*)"V.GetNumberOfAttributesToInterpolate() -> int\nC++: int GetNumberOfAttributesToInterpolate ();\n\n Number of attributes to interpolate.\n \\pre not_empty: !IsEmpty()\n \\post positive_result: result>=0\n"},
  {(char*)"SetAttributesToInterpolateToAll",                (PyCFunction)PyvtkGenericAttributeCollection_SetAttributesToInterpolateToAll, 1,
   (char*)"V.SetAttributesToInterpolateToAll()\nC++: void SetAttributesToInterpolateToAll ();\n\n Set the attributes to interpolate.\n \\pre not_empty: !IsEmpty()\n \\pre positive_size: size>=0\n \\pre valid_attributes: size>0 implies attributes!=0\n \\pre valid_attributes_contents: attributes!=0 implies\n                     !HasAttributes(size,attributes,GetActiveAttribute())\n \\post is_set: (GetNumberOfAttributesToInterpolate()==size)&&\n               (GetAttributesToInterpolate()==attributes)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericAttributeCollectionDoc[] = {
  (char*)"vtkGenericAttributeCollection - a collection of attributes\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkGenericAttributeCollection is a class that collects attributes \n (represented by vtkGenericAttribute).\n\n",
  NULL
};

static vtkObjectBase *vtkGenericAttributeCollectionStaticNew()
{
  return vtkGenericAttributeCollection::New();
}

PyObject *PyVTKClass_vtkGenericAttributeCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericAttributeCollectionStaticNew,
                        PyvtkGenericAttributeCollectionMethods,
                        (char*)"vtkGenericAttributeCollection",modulename,
                        (char**)vtkGenericAttributeCollectionDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

