// python wrapper for vtkGenericAttribute object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGenericAttribute.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericAttributeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericAttributeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGenericAttribute_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  const char    *temp20;
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttribute::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttribute_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttribute::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttribute_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  vtkGenericAttribute  *temp20;
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericAttribute::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttribute_GetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  const char    *temp20;
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttribute_GetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  int      temp20;
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttribute_GetCentering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  int      temp20;
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetCentering();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttribute_GetType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  int      temp20;
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttribute_GetComponentType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  int      temp20;
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetComponentType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttribute_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  vtkIdType   temp20;
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetSize();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttribute_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  unsigned long     temp20;
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttribute_GetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  int      temp0;
  double temp1[2];
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->GetRange(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttribute_GetMaxNorm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  double   temp20;
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetMaxNorm();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericAttribute_GetComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  int      temp0;
  vtkGenericPointIterator  *temp1;
  PyObject *tempH1;
  double   temp20;
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkGenericPointIterator *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericPointIterator");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetComponent(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkGenericAttribute_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  vtkGenericAttribute  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkGenericAttribute *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAttribute");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkGenericAttribute_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericAttribute *op;

  vtkGenericAttribute  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericAttribute *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkGenericAttribute *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAttribute");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}

static PyMethodDef PyvtkGenericAttributeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericAttribute_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericAttribute_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericAttribute_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericAttribute\nC++: vtkGenericAttribute *NewInstance ();\n\n"},
  {(char*)"GetName",                (PyCFunction)PyvtkGenericAttribute_GetName, 1,
   (char*)"V.GetName() -> string\nC++: virtual const char *GetName () = 0;\n\n Name of the attribute. (e.g. \"velocity\")\n \\post result_may_not_exist: result!=0 || result==0\n"},
  {(char*)"GetNumberOfComponents",                (PyCFunction)PyvtkGenericAttribute_GetNumberOfComponents, 1,
   (char*)"V.GetNumberOfComponents() -> int\nC++: virtual int GetNumberOfComponents () = 0;\n\n Dimension of the attribute. (1 for scalar, 3 for velocity)\n \\post positive_result: result>=0\n \\post GetType()==VTK_SCALARS implies result==1\n \\post (GetType()==VTK_VECTORS||(GetType()==VTK_NORMALS)||(GetType()==VTK_TCOORDS) implies result==3\n \\post GetType()==VTK_TENSORS implies result==6\n"},
  {(char*)"GetCentering",                (PyCFunction)PyvtkGenericAttribute_GetCentering, 1,
   (char*)"V.GetCentering() -> int\nC++: virtual int GetCentering () = 0;\n\n Is the attribute centered either on points, cells or boundaries?\n \\post valid_result: (result==vtkPointCentered)||(result==vtkCellCentered)\n"},
  {(char*)"GetType",                (PyCFunction)PyvtkGenericAttribute_GetType, 1,
   (char*)"V.GetType() -> int\nC++: virtual int GetType () = 0;\n\n Type of the attribute: scalar, vector, normal, texture coordinate, tensor\n \\post valid_result: (result==vtkDataSetAttributes::SCALARS)\n                   ||(result==vtkDataSetAttributes::VECTORS)\n                   ||(result==vtkDataSetAttributes::NORMALS)\n                   ||(result==vtkDataSetAttributes::TCOORDS)\n                   ||(result==vtkDataSetAttributes::TENSORS)\n"},
  {(char*)"GetComponentType",                (PyCFunction)PyvtkGenericAttribute_GetComponentType, 1,
   (char*)"V.GetComponentType() -> int\nC++: virtual int GetComponentType () = 0;\n\n Type of the components of the attribute: int, float, double\n \\post valid_result: (result==VTK_BIT)           ||(result==VTK_CHAR)\n                   ||(result==VTK_UNSIGNED_CHAR) ||(result==VTK_SHORT)\n                   ||(result==VTK_UNSIGNED_SHORT)||(result==VTK_INT)\n                   ||(result==VTK_UNSIGNED_INT)  ||(result==VTK_LONG)\n                   ||(result==VTK_UNSIGNED_LONG) ||(result==VTK_FLOAT)\n                   ||(result==VTK_DOUBLE)        ||(result==VTK_ID_TYPE)\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkGenericAttribute_GetSize, 1,
   (char*)"V.GetSize() -> int\nC++: virtual vtkIdType GetSize () = 0;\n\n Number of tuples.\n \\post valid_result: result>=0\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkGenericAttribute_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: virtual unsigned long GetActualMemorySize () = 0;\n\n Size in kilobytes taken by the attribute.\n"},
  {(char*)"GetRange",                (PyCFunction)PyvtkGenericAttribute_GetRange, 1,
   (char*)"V.GetRange(int, (float, float))\nC++: virtual void GetRange (int component, double range[2]) = 0;\n\n Range of the attribute component `component'. If `component'==-1, it\n returns the range of the magnitude (euclidean norm).\n THREAD SAFE\n \\pre valid_component: (component>=-1)&&(component<GetNumberOfComponents())\n"},
  {(char*)"GetMaxNorm",                (PyCFunction)PyvtkGenericAttribute_GetMaxNorm, 1,
   (char*)"V.GetMaxNorm() -> float\nC++: virtual double GetMaxNorm () = 0;\n\n Return the maximum euclidean norm for the tuples.\n \\post positive_result: result>=0\n"},
  {(char*)"GetComponent",                (PyCFunction)PyvtkGenericAttribute_GetComponent, 1,
   (char*)"V.GetComponent(int, vtkGenericPointIterator) -> float\nC++: virtual double GetComponent (int i, vtkGenericPointIterator *p) = 0;\n\n Value of the component `i' of the attribute at position `p'.\n \\pre valid_component: (i>=0) && (i<GetNumberOfComponents())\n \\pre p_exists: p!=0\n \\pre p_valid: !p->IsAtEnd()\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkGenericAttribute_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkGenericAttribute)\nC++: virtual void DeepCopy (vtkGenericAttribute *other) = 0;\n\n Recursive duplication of `other' in `this'.\n \\pre other_exists: other!=0\n \\pre not_self: other!=this\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkGenericAttribute_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkGenericAttribute)\nC++: virtual void ShallowCopy (vtkGenericAttribute *other) = 0;\n\n Update `this' using fields of `other'.\n \\pre other_exists: other!=0\n \\pre not_self: other!=this\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericAttributeDoc[] = {
  (char*)"vtkGenericAttribute - abstract class defined API for attribute data\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkGenericAttribute is an abstract class that defines an API for attribute\n data. Attribute data is data associated with the topology or geometry of\n a dataset (i.e., points, cells, etc.). vtkGenericAttribute is part of the\n adaptor framework (see GenericFiltering/README.html).\n\n vtkGenericAttribute provides a more general interface to attribute data\n than its counterpart vtkDataArray (which assu",
  (char*)"mes a linear, contiguous\n array). It adopts an iterator interface, and allows attributes to be\n associated with points, edges, faces, or edges.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkGenericAttributeNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkGenericAttributeMethods,
                        (char*)"vtkGenericAttribute",modulename,
                        (char**)vtkGenericAttributeDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

