// python wrapper for vtkGenericCell object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGenericCell.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericCellNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericCellNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCellNew(char *); }

static PyObject *PyvtkGenericCell_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  const char    *temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  vtkGenericCell  *temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericCell  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericCell::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericCell_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  vtkCell  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGenericCell_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  vtkCell  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGenericCell_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  int      temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::GetCellType();
      }
    else
      {
      temp20 = op->GetCellType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_GetCellDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  int      temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::GetCellDimension();
      }
    else
      {
      temp20 = op->GetCellDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_IsLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  int      temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::IsLinear();
      }
    else
      {
      temp20 = op->IsLinear();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_RequiresInitialization(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  int      temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::RequiresInitialization();
      }
    else
      {
      temp20 = op->RequiresInitialization();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_GetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  int      temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::GetNumberOfEdges();
      }
    else
      {
      temp20 = op->GetNumberOfEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_GetNumberOfFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  int      temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::GetNumberOfFaces();
      }
    else
      {
      temp20 = op->GetNumberOfFaces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_GetEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  int      temp0;
  vtkCell  *temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::GetEdge(temp0);
      }
    else
      {
      temp20 = op->GetEdge(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_GetFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  int      temp0;
  vtkCell  *temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::GetFace(temp0);
      }
    else
      {
      temp20 = op->GetFace(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_CellBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  int      temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2)))
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::CellBoundary(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->CellBoundary(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkGenericCell_Contour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkCellArray  *temp4;
  PyObject *tempH4;
  vtkCellArray  *temp5;
  PyObject *tempH5;
  vtkPointData  *temp6;
  PyObject *tempH6;
  vtkPointData  *temp7;
  PyObject *tempH7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  vtkIdType   temp9;
  vtkCellData  *temp10;
  PyObject *tempH10;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOOOiO", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &tempH7, &tempH8, &temp9, &tempH10)))
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break16;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break16;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break16;
    temp4 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCellArray");
    if (!temp4 && tempH4 != Py_None) goto break16;
    temp5 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellArray");
    if (!temp5 && tempH5 != Py_None) goto break16;
    temp6 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkPointData");
    if (!temp6 && tempH6 != Py_None) goto break16;
    temp7 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkPointData");
    if (!temp7 && tempH7 != Py_None) goto break16;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break16;
    temp10 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH10,(char*)"vtkCellData");
    if (!temp10 && tempH10 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    else
      {
      op->Contour(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9,temp10);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkGenericCell_Clip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  double   temp0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  int      temp9;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"dOOOOOOiOi", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8, &temp9)))
    {
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break17;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break17;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break17;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break17;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break17;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break17;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    else
      {
      op->Clip(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8,temp9);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkGenericCell_Triangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkPoints  *temp2;
  PyObject *tempH2;
  int      temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2)))
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break18;
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::Triangulate(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Triangulate(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkGenericCell_GetParametricCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  double temp0[3];
  int      temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::GetParametricCenter(temp0);
      }
    else
      {
      temp20 = op->GetParametricCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_IsPrimaryCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  int      temp20;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCell::IsPrimaryCell();
      }
    else
      {
      temp20 = op->IsPrimaryCell();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  int      temp0;
  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellType(temp0);
      }
    else
      {
      op->SetCellType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToEmptyCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToEmptyCell();
      }
    else
      {
      op->SetCellTypeToEmptyCell();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToVertex();
      }
    else
      {
      op->SetCellTypeToVertex();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToPolyVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToPolyVertex();
      }
    else
      {
      op->SetCellTypeToPolyVertex();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToLine();
      }
    else
      {
      op->SetCellTypeToLine();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToPolyLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToPolyLine();
      }
    else
      {
      op->SetCellTypeToPolyLine();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToTriangle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToTriangle();
      }
    else
      {
      op->SetCellTypeToTriangle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToTriangleStrip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToTriangleStrip();
      }
    else
      {
      op->SetCellTypeToTriangleStrip();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToPolygon(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToPolygon();
      }
    else
      {
      op->SetCellTypeToPolygon();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToPixel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToPixel();
      }
    else
      {
      op->SetCellTypeToPixel();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToQuad(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToQuad();
      }
    else
      {
      op->SetCellTypeToQuad();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToTetra(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToTetra();
      }
    else
      {
      op->SetCellTypeToTetra();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToVoxel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToVoxel();
      }
    else
      {
      op->SetCellTypeToVoxel();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToHexahedron(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToHexahedron();
      }
    else
      {
      op->SetCellTypeToHexahedron();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToWedge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToWedge();
      }
    else
      {
      op->SetCellTypeToWedge();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToPyramid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToPyramid();
      }
    else
      {
      op->SetCellTypeToPyramid();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToPentagonalPrism(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToPentagonalPrism();
      }
    else
      {
      op->SetCellTypeToPentagonalPrism();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToHexagonalPrism(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToHexagonalPrism();
      }
    else
      {
      op->SetCellTypeToHexagonalPrism();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToConvexPointSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToConvexPointSet();
      }
    else
      {
      op->SetCellTypeToConvexPointSet();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToQuadraticEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToQuadraticEdge();
      }
    else
      {
      op->SetCellTypeToQuadraticEdge();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToQuadraticTriangle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToQuadraticTriangle();
      }
    else
      {
      op->SetCellTypeToQuadraticTriangle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToQuadraticQuad(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToQuadraticQuad();
      }
    else
      {
      op->SetCellTypeToQuadraticQuad();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToQuadraticTetra(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToQuadraticTetra();
      }
    else
      {
      op->SetCellTypeToQuadraticTetra();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToQuadraticHexahedron(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToQuadraticHexahedron();
      }
    else
      {
      op->SetCellTypeToQuadraticHexahedron();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToQuadraticWedge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToQuadraticWedge();
      }
    else
      {
      op->SetCellTypeToQuadraticWedge();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCell_SetCellTypeToQuadraticPyramid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCell *op;

  if ((op = (vtkGenericCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCell::SetCellTypeToQuadraticPyramid();
      }
    else
      {
      op->SetCellTypeToQuadraticPyramid();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericCellMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericCell_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericCell_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericCell_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericCell\nC++: vtkGenericCell *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericCell_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericCell\nC++: vtkGenericCell *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkGenericCell_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkCell)\nC++: void ShallowCopy (vtkCell *c);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkGenericCell_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkCell)\nC++: void DeepCopy (vtkCell *c);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkGenericCell_GetCellType, 1,
   (char*)"V.GetCellType() -> int\nC++: int GetCellType ();\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetCellDimension",                (PyCFunction)PyvtkGenericCell_GetCellDimension, 1,
   (char*)"V.GetCellDimension() -> int\nC++: int GetCellDimension ();\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"IsLinear",                (PyCFunction)PyvtkGenericCell_IsLinear, 1,
   (char*)"V.IsLinear() -> int\nC++: int IsLinear ();\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"RequiresInitialization",                (PyCFunction)PyvtkGenericCell_RequiresInitialization, 1,
   (char*)"V.RequiresInitialization() -> int\nC++: int RequiresInitialization ();\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkGenericCell_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetNumberOfEdges",                (PyCFunction)PyvtkGenericCell_GetNumberOfEdges, 1,
   (char*)"V.GetNumberOfEdges() -> int\nC++: int GetNumberOfEdges ();\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetNumberOfFaces",                (PyCFunction)PyvtkGenericCell_GetNumberOfFaces, 1,
   (char*)"V.GetNumberOfFaces() -> int\nC++: int GetNumberOfFaces ();\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetEdge",                (PyCFunction)PyvtkGenericCell_GetEdge, 1,
   (char*)"V.GetEdge(int) -> vtkCell\nC++: vtkCell *GetEdge (int edgeId);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetFace",                (PyCFunction)PyvtkGenericCell_GetFace, 1,
   (char*)"V.GetFace(int) -> vtkCell\nC++: vtkCell *GetFace (int faceId);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"CellBoundary",                (PyCFunction)PyvtkGenericCell_CellBoundary, 1,
   (char*)"V.CellBoundary(int, (float, float, float), vtkIdList) -> int\nC++: int CellBoundary (int subId, double pcoords[3], vtkIdList *pts);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Contour",                (PyCFunction)PyvtkGenericCell_Contour, 1,
   (char*)"V.Contour(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkCellArray, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void Contour (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Clip",                (PyCFunction)PyvtkGenericCell_Clip, 1,
   (char*)"V.Clip(float, vtkDataArray, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData, int)\nC++: void Clip (double value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *connectivity, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"Triangulate",                (PyCFunction)PyvtkGenericCell_Triangulate, 1,
   (char*)"V.Triangulate(int, vtkIdList, vtkPoints) -> int\nC++: int Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"GetParametricCenter",                (PyCFunction)PyvtkGenericCell_GetParametricCenter, 1,
   (char*)"V.GetParametricCenter((float, float, float)) -> int\nC++: int GetParametricCenter (double pcoords[3]);\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"IsPrimaryCell",                (PyCFunction)PyvtkGenericCell_IsPrimaryCell, 1,
   (char*)"V.IsPrimaryCell() -> int\nC++: int IsPrimaryCell ();\n\n See the vtkCell API for descriptions of these methods.\n"},
  {(char*)"SetCellType",                (PyCFunction)PyvtkGenericCell_SetCellType, 1,
   (char*)"V.SetCellType(int)\nC++: void SetCellType (int cellType);\n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToEmptyCell",                (PyCFunction)PyvtkGenericCell_SetCellTypeToEmptyCell, 1,
   (char*)"V.SetCellTypeToEmptyCell()\nC++: void SetCellTypeToEmptyCell ();this SetCellType VTK_EMPTY_CELL \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToVertex",                (PyCFunction)PyvtkGenericCell_SetCellTypeToVertex, 1,
   (char*)"V.SetCellTypeToVertex()\nC++: void SetCellTypeToVertex ();this SetCellType VTK_VERTEX \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToPolyVertex",                (PyCFunction)PyvtkGenericCell_SetCellTypeToPolyVertex, 1,
   (char*)"V.SetCellTypeToPolyVertex()\nC++: void SetCellTypeToPolyVertex ();this SetCellType VTK_POLY_VERTEX \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToLine",                (PyCFunction)PyvtkGenericCell_SetCellTypeToLine, 1,
   (char*)"V.SetCellTypeToLine()\nC++: void SetCellTypeToLine ();this SetCellType VTK_LINE \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToPolyLine",                (PyCFunction)PyvtkGenericCell_SetCellTypeToPolyLine, 1,
   (char*)"V.SetCellTypeToPolyLine()\nC++: void SetCellTypeToPolyLine ();this SetCellType VTK_POLY_LINE \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToTriangle",                (PyCFunction)PyvtkGenericCell_SetCellTypeToTriangle, 1,
   (char*)"V.SetCellTypeToTriangle()\nC++: void SetCellTypeToTriangle ();this SetCellType VTK_TRIANGLE \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToTriangleStrip",                (PyCFunction)PyvtkGenericCell_SetCellTypeToTriangleStrip, 1,
   (char*)"V.SetCellTypeToTriangleStrip()\nC++: void SetCellTypeToTriangleStrip ();this SetCellType VTK_TRIANGLE_STRIP \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToPolygon",                (PyCFunction)PyvtkGenericCell_SetCellTypeToPolygon, 1,
   (char*)"V.SetCellTypeToPolygon()\nC++: void SetCellTypeToPolygon ();this SetCellType VTK_POLYGON \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToPixel",                (PyCFunction)PyvtkGenericCell_SetCellTypeToPixel, 1,
   (char*)"V.SetCellTypeToPixel()\nC++: void SetCellTypeToPixel ();this SetCellType VTK_PIXEL \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToQuad",                (PyCFunction)PyvtkGenericCell_SetCellTypeToQuad, 1,
   (char*)"V.SetCellTypeToQuad()\nC++: void SetCellTypeToQuad ();this SetCellType VTK_QUAD \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToTetra",                (PyCFunction)PyvtkGenericCell_SetCellTypeToTetra, 1,
   (char*)"V.SetCellTypeToTetra()\nC++: void SetCellTypeToTetra ();this SetCellType VTK_TETRA \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToVoxel",                (PyCFunction)PyvtkGenericCell_SetCellTypeToVoxel, 1,
   (char*)"V.SetCellTypeToVoxel()\nC++: void SetCellTypeToVoxel ();this SetCellType VTK_VOXEL \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToHexahedron",                (PyCFunction)PyvtkGenericCell_SetCellTypeToHexahedron, 1,
   (char*)"V.SetCellTypeToHexahedron()\nC++: void SetCellTypeToHexahedron ();this SetCellType VTK_HEXAHEDRON \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToWedge",                (PyCFunction)PyvtkGenericCell_SetCellTypeToWedge, 1,
   (char*)"V.SetCellTypeToWedge()\nC++: void SetCellTypeToWedge ();this SetCellType VTK_WEDGE \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToPyramid",                (PyCFunction)PyvtkGenericCell_SetCellTypeToPyramid, 1,
   (char*)"V.SetCellTypeToPyramid()\nC++: void SetCellTypeToPyramid ();this SetCellType VTK_PYRAMID \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToPentagonalPrism",                (PyCFunction)PyvtkGenericCell_SetCellTypeToPentagonalPrism, 1,
   (char*)"V.SetCellTypeToPentagonalPrism()\nC++: void SetCellTypeToPentagonalPrism ();this SetCellType VTK_PENTAGONAL_PRISM \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToHexagonalPrism",                (PyCFunction)PyvtkGenericCell_SetCellTypeToHexagonalPrism, 1,
   (char*)"V.SetCellTypeToHexagonalPrism()\nC++: void SetCellTypeToHexagonalPrism ();this SetCellType VTK_HEXAGONAL_PRISM \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToConvexPointSet",                (PyCFunction)PyvtkGenericCell_SetCellTypeToConvexPointSet, 1,
   (char*)"V.SetCellTypeToConvexPointSet()\nC++: void SetCellTypeToConvexPointSet ();this SetCellType VTK_CONVEX_POINT_SET \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToQuadraticEdge",                (PyCFunction)PyvtkGenericCell_SetCellTypeToQuadraticEdge, 1,
   (char*)"V.SetCellTypeToQuadraticEdge()\nC++: void SetCellTypeToQuadraticEdge ();this SetCellType VTK_QUADRATIC_EDGE \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToQuadraticTriangle",                (PyCFunction)PyvtkGenericCell_SetCellTypeToQuadraticTriangle, 1,
   (char*)"V.SetCellTypeToQuadraticTriangle()\nC++: void SetCellTypeToQuadraticTriangle ();this SetCellType VTK_QUADRATIC_TRIANGLE \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToQuadraticQuad",                (PyCFunction)PyvtkGenericCell_SetCellTypeToQuadraticQuad, 1,
   (char*)"V.SetCellTypeToQuadraticQuad()\nC++: void SetCellTypeToQuadraticQuad ();this SetCellType VTK_QUADRATIC_QUAD \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToQuadraticTetra",                (PyCFunction)PyvtkGenericCell_SetCellTypeToQuadraticTetra, 1,
   (char*)"V.SetCellTypeToQuadraticTetra()\nC++: void SetCellTypeToQuadraticTetra ();this SetCellType VTK_QUADRATIC_TETRA \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToQuadraticHexahedron",                (PyCFunction)PyvtkGenericCell_SetCellTypeToQuadraticHexahedron, 1,
   (char*)"V.SetCellTypeToQuadraticHexahedron()\nC++: void SetCellTypeToQuadraticHexahedron ();this SetCellType VTK_QUADRATIC_HEXAHEDRON \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToQuadraticWedge",                (PyCFunction)PyvtkGenericCell_SetCellTypeToQuadraticWedge, 1,
   (char*)"V.SetCellTypeToQuadraticWedge()\nC++: void SetCellTypeToQuadraticWedge ();this SetCellType VTK_QUADRATIC_WEDGE \n\n This method is used to support the vtkDataSet::GetCell(vtkGenericCell *)\n method. It allows vtkGenericCell to act like any cell type by\n dereferencing an internal instance of a concrete cell type. When\n you set the cell type, you are resetting a pointer to an internal\n cell which is then used for computation.\n"},
  {(char*)"SetCellTypeToQuadraticPyramid",                (PyCFunction)PyvtkGenericCell_SetCellTypeToQuadraticPyramid, 1,
   (char*)"V.SetCellTypeToQuadraticPyramid()\nC++: void SetCellTypeToQuadraticPyramid ();this SetCellType VTK_QUADRATIC_PYRAMID \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericCellDoc[] = {
  (char*)"vtkGenericCell - provides thread-safe access to cells\n\n",
  "Super Class:\n\n vtkCell\n\n",
  (char*)" vtkGenericCell is a class that provides access to concrete types of cells.\n It's main purpose is to allow thread-safe access to cells, supporting\n the vtkDataSet::GetCell(vtkGenericCell *) method. vtkGenericCell acts\n like any type of cell, it just dereferences an internal representation.\n The SetCellType() methods use #define constants; these are defined in\n the file vtkCellType.h.\n\n",
  "See Also:\n\n vtkCell vtkDataSet\n\n",
  NULL
};

static vtkObjectBase *vtkGenericCellStaticNew()
{
  return vtkGenericCell::New();
}

PyObject *PyVTKClass_vtkGenericCellNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericCellStaticNew,
                        PyvtkGenericCellMethods,
                        (char*)"vtkGenericCell",modulename,
                        (char**)vtkGenericCellDoc,
                        PyVTKClass_vtkCellNew(modulename));
}

