// python wrapper for vtkGenericCellTessellator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGenericCellTessellator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericCellTessellatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericCellTessellatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkGenericCellTessellator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellTessellator *op;

  const char    *temp20;
  if ((op = (vtkGenericCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCellTessellator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCellTessellator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellTessellator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGenericCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCellTessellator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCellTessellator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellTessellator *op;

  vtkGenericCellTessellator  *temp20;
  if ((op = (vtkGenericCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCellTessellator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCellTessellator_TessellateFace(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellTessellator *op;

  vtkGenericAdaptorCell  *temp0;
  PyObject *tempH0;
  vtkGenericAttributeCollection  *temp1;
  PyObject *tempH1;
  vtkIdType   temp2;
  vtkDoubleArray  *temp3;
  PyObject *tempH3;
  vtkCellArray  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  if ((op = (vtkGenericCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"OOiOOO", &tempH0, &tempH1, &temp2, &tempH3, &tempH4, &tempH5)))
    {
    temp0 = (vtkGenericAdaptorCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAdaptorCell");
    if (!temp0 && tempH0 != Py_None) goto break3;
    temp1 = (vtkGenericAttributeCollection *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericAttributeCollection");
    if (!temp1 && tempH1 != Py_None) goto break3;
    temp3 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDoubleArray");
    if (!temp3 && tempH3 != Py_None) goto break3;
    temp4 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCellArray");
    if (!temp4 && tempH4 != Py_None) goto break3;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->TessellateFace(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericCellTessellator_Tessellate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellTessellator *op;

  vtkGenericAdaptorCell  *temp0;
  PyObject *tempH0;
  vtkGenericAttributeCollection  *temp1;
  PyObject *tempH1;
  vtkDoubleArray  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  if ((op = (vtkGenericCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"OOOOO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4)))
    {
    temp0 = (vtkGenericAdaptorCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAdaptorCell");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkGenericAttributeCollection *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericAttributeCollection");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp2 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDoubleArray");
    if (!temp2 && tempH2 != Py_None) goto break4;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break4;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Tessellate(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGenericCellTessellator_Triangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellTessellator *op;

  vtkGenericAdaptorCell  *temp0;
  PyObject *tempH0;
  vtkGenericAttributeCollection  *temp1;
  PyObject *tempH1;
  vtkDoubleArray  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  if ((op = (vtkGenericCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"OOOOO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4)))
    {
    temp0 = (vtkGenericAdaptorCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericAdaptorCell");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkGenericAttributeCollection *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericAttributeCollection");
    if (!temp1 && tempH1 != Py_None) goto break5;
    temp2 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDoubleArray");
    if (!temp2 && tempH2 != Py_None) goto break5;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break5;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Triangulate(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkGenericCellTessellator_SetErrorMetrics(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellTessellator *op;

  vtkCollection  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCollection");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCellTessellator::SetErrorMetrics(temp0);
      }
    else
      {
      op->SetErrorMetrics(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkGenericCellTessellator_GetErrorMetrics(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellTessellator *op;

  vtkCollection  *temp20;
  if ((op = (vtkGenericCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCellTessellator::GetErrorMetrics();
      }
    else
      {
      temp20 = op->GetErrorMetrics();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCellTessellator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellTessellator *op;

  vtkGenericDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkGenericDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericDataSet");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Initialize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkGenericCellTessellator_InitErrorMetrics(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellTessellator *op;

  vtkGenericDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkGenericDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericDataSet");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCellTessellator::InitErrorMetrics(temp0);
      }
    else
      {
      op->InitErrorMetrics(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkGenericCellTessellator_GetMeasurement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellTessellator *op;

  int      temp20;
  if ((op = (vtkGenericCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCellTessellator::GetMeasurement();
      }
    else
      {
      temp20 = op->GetMeasurement();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCellTessellator_SetMeasurement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCellTessellator *op;

  int      temp0;
  if ((op = (vtkGenericCellTessellator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCellTessellator::SetMeasurement(temp0);
      }
    else
      {
      op->SetMeasurement(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericCellTessellatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericCellTessellator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericCellTessellator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericCellTessellator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericCellTessellator\nC++: vtkGenericCellTessellator *NewInstance ();\n\n"},
  {(char*)"TessellateFace",                (PyCFunction)PyvtkGenericCellTessellator_TessellateFace, 1,
   (char*)"V.TessellateFace(vtkGenericAdaptorCell, vtkGenericAttributeCollection, int, vtkDoubleArray, vtkCellArray, vtkPointData)\nC++: virtual void TessellateFace (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkIdType index, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd) = 0;\n\n Tessellate a face of a 3D `cell'. The face is specified by the\n index value.\n The result is a set of smaller linear triangles in `cellArray' with\n `points' and point data `internalPd'.\n \\pre cell_exists: cell!=0\n \\pre valid_dimension: cell->GetDimension()==3\n \\pre valid_index_range: (index>=0) && (index<cell->GetNumberOfBoundaries(2))\n \\pre att_exists: att!=0\n \\pre points_exists: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: internalPd!=0\n"},
  {(char*)"Tessellate",                (PyCFunction)PyvtkGenericCellTessellator_Tessellate, 1,
   (char*)"V.Tessellate(vtkGenericAdaptorCell, vtkGenericAttributeCollection, vtkDoubleArray, vtkCellArray, vtkPointData)\nC++: virtual void Tessellate (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd) = 0;\n\n Tessellate a 3D `cell'. The result is a set of smaller linear\n tetrahedra in `cellArray' with `points' and point data `internalPd'.\n \\pre cell_exists: cell!=0\n \\pre valid_dimension: cell->GetDimension()==3\n \\pre att_exists: att!=0\n \\pre points_exists: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: internalPd!=0\n"},
  {(char*)"Triangulate",                (PyCFunction)PyvtkGenericCellTessellator_Triangulate, 1,
   (char*)"V.Triangulate(vtkGenericAdaptorCell, vtkGenericAttributeCollection, vtkDoubleArray, vtkCellArray, vtkPointData)\nC++: virtual void Triangulate (vtkGenericAdaptorCell *cell, vtkGenericAttributeCollection *att, vtkDoubleArray *points, vtkCellArray *cellArray, vtkPointData *internalPd) = 0;\n\n Triangulate a 2D `cell'. The result is a set of smaller linear triangles\n in `cellArray' with `points' and point data `internalPd'.\n \\pre cell_exists: cell!=0\n \\pre valid_dimension: cell->GetDimension()==2\n \\pre att_exists: att!=0\n \\pre points_exists: points!=0\n \\pre cellArray_exists: cellArray!=0\n \\pre internalPd_exists: internalPd!=0\n"},
  {(char*)"SetErrorMetrics",                (PyCFunction)PyvtkGenericCellTessellator_SetErrorMetrics, 1,
   (char*)"V.SetErrorMetrics(vtkCollection)\nC++: virtual void SetErrorMetrics (vtkCollection *someErrorMetrics);\n\n Specify the list of error metrics used to decide if an edge has to be\n splitted or not. It is a collection of vtkGenericSubdivisionErrorMetric-s.\n"},
  {(char*)"GetErrorMetrics",                (PyCFunction)PyvtkGenericCellTessellator_GetErrorMetrics, 1,
   (char*)"V.GetErrorMetrics() -> vtkCollection\nC++: vtkCollection *GetErrorMetrics ();\n\n Specify the list of error metrics used to decide if an edge has to be\n splitted or not. It is a collection of vtkGenericSubdivisionErrorMetric-s.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkGenericCellTessellator_Initialize, 1,
   (char*)"V.Initialize(vtkGenericDataSet)\nC++: virtual void Initialize (vtkGenericDataSet *ds) = 0;\n\n Initialize the tessellator with a data set `ds'.\n"},
  {(char*)"InitErrorMetrics",                (PyCFunction)PyvtkGenericCellTessellator_InitErrorMetrics, 1,
   (char*)"V.InitErrorMetrics(vtkGenericDataSet)\nC++: void InitErrorMetrics (vtkGenericDataSet *ds);\n\n Init the error metric with the dataset. Should be called in each filter\n before any tessellation of any cell.\n"},
  {(char*)"GetMeasurement",                (PyCFunction)PyvtkGenericCellTessellator_GetMeasurement, 1,
   (char*)"V.GetMeasurement() -> int\nC++: int GetMeasurement ();\n\n If true, measure the quality of the fixed subdivision.\n"},
  {(char*)"SetMeasurement",                (PyCFunction)PyvtkGenericCellTessellator_SetMeasurement, 1,
   (char*)"V.SetMeasurement(int)\nC++: void SetMeasurement (int flag);\n\n If true, measure the quality of the fixed subdivision.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericCellTessellatorDoc[] = {
  (char*)"vtkGenericCellTessellator - helper class to perform cell tessellation\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkGenericCellTessellator is a helper class to perform adaptive tessellation\n of particular cell topologies. The major purpose for this class is to\n transform higher-order cell types (e.g., higher-order finite elements)\n into linear cells that can then be easily visualized by VTK. This class\n works in conjunction with the vtkGenericDataSet and vtkGenericAdaptorCell\n classes.\n\n This algorithm is b",
  (char*)"ased on edge subdivision. An error metric along each\n edge is evaluated, and if the error is greater than some tolerance, the\n edge is subdivided (as well as all connected 2D and 3D cells). The process\n repeats until the error metric is satisfied. \n\n A significant issue addressed by this algorithm is to insure face\n compatibility across neigboring cells. That is, diagaonals due to face\n triangulat",
  (char*)"ion must match to insure that the mesh is compatible. The\n algorithm employs a precomputed table to accelerate the tessellation\n process. The table was generated with the help of vtkOrderedTriangulator;\n the basic idea is that the choice of diagonal is made by considering the\n relative value of the point ids.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkGenericCellTessellatorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkGenericCellTessellatorMethods,
                        (char*)"vtkGenericCellTessellator",modulename,
                        (char**)vtkGenericCellTessellatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

