// python wrapper for vtkGeometricErrorMetric object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGeometricErrorMetric.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeometricErrorMetricNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeometricErrorMetricNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGenericSubdivisionErrorMetricNew(char *); }

static PyObject *PyvtkGeometricErrorMetric_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeometricErrorMetric *op;

  const char    *temp20;
  if ((op = (vtkGeometricErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeometricErrorMetric::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeometricErrorMetric_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeometricErrorMetric *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGeometricErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeometricErrorMetric::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeometricErrorMetric_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeometricErrorMetric *op;

  vtkGeometricErrorMetric  *temp20;
  if ((op = (vtkGeometricErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeometricErrorMetric::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeometricErrorMetric_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeometricErrorMetric  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeometricErrorMetric::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeometricErrorMetric_GetAbsoluteGeometricTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeometricErrorMetric *op;

  double   temp20;
  if ((op = (vtkGeometricErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeometricErrorMetric::GetAbsoluteGeometricTolerance();
      }
    else
      {
      temp20 = op->GetAbsoluteGeometricTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeometricErrorMetric_SetAbsoluteGeometricTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeometricErrorMetric *op;

  double   temp0;
  if ((op = (vtkGeometricErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeometricErrorMetric::SetAbsoluteGeometricTolerance(temp0);
      }
    else
      {
      op->SetAbsoluteGeometricTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeometricErrorMetric_SetRelativeGeometricTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeometricErrorMetric *op;

  double   temp0;
  vtkGenericDataSet  *temp1;
  PyObject *tempH1;
  if ((op = (vtkGeometricErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"dO", &temp0, &tempH1)))
    {
    temp1 = (vtkGenericDataSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericDataSet");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeometricErrorMetric::SetRelativeGeometricTolerance(temp0,temp1);
      }
    else
      {
      op->SetRelativeGeometricTolerance(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkGeometricErrorMetric_GetRelative(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeometricErrorMetric *op;

  int      temp20;
  if ((op = (vtkGeometricErrorMetric *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeometricErrorMetric::GetRelative();
      }
    else
      {
      temp20 = op->GetRelative();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeometricErrorMetricMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeometricErrorMetric_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK type and error macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeometricErrorMetric_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK type and error macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeometricErrorMetric_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeometricErrorMetric\nC++: vtkGeometricErrorMetric *NewInstance ();\n\n Standard VTK type and error macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeometricErrorMetric_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeometricErrorMetric\nC++: vtkGeometricErrorMetric *SafeDownCast (vtkObject* o);\n\n Standard VTK type and error macros.\n"},
  {(char*)"GetAbsoluteGeometricTolerance",                (PyCFunction)PyvtkGeometricErrorMetric_GetAbsoluteGeometricTolerance, 1,
   (char*)"V.GetAbsoluteGeometricTolerance() -> float\nC++: double GetAbsoluteGeometricTolerance ();\n\n Return the squared absolute geometric accuracy. See\n SetAbsoluteGeometricTolerance() for details.\n \\post positive_result: result>0\n"},
  {(char*)"SetAbsoluteGeometricTolerance",                (PyCFunction)PyvtkGeometricErrorMetric_SetAbsoluteGeometricTolerance, 1,
   (char*)"V.SetAbsoluteGeometricTolerance(float)\nC++: void SetAbsoluteGeometricTolerance (double value);\n\n Set the geometric accuracy with a squared absolute value.\n This is the geometric object-based accuracy.\n Subdivision will be required if the square distance between the real\n point and the straight line passing through the vertices of the edge is\n greater than `value'. For instance 0.01 will give better result than 0.1.\n \\pre positive_value: value>0\n"},
  {(char*)"SetRelativeGeometricTolerance",                (PyCFunction)PyvtkGeometricErrorMetric_SetRelativeGeometricTolerance, 1,
   (char*)"V.SetRelativeGeometricTolerance(float, vtkGenericDataSet)\nC++: void SetRelativeGeometricTolerance (double value, vtkGenericDataSet *ds);\n\n Set the geometric accuracy with a value relative to the length of the\n bounding box of the dataset. Internally compute the absolute tolerance.\n For instance 0.01 will give better result than 0.1.\n \\pre valid_range_value: value>0 && value<1\n \\pre ds_exists: ds!=0\n"},
  {(char*)"GetRelative",                (PyCFunction)PyvtkGeometricErrorMetric_GetRelative, 1,
   (char*)"V.GetRelative() -> int\nC++: int GetRelative ();\n\n Return the type of output of GetError()\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeometricErrorMetricDoc[] = {
  (char*)"vtkGeometricErrorMetric - Objects that compute\n\n",
  "Super Class:\n\n vtkGenericSubdivisionErrorMetric\n\n",
  (char*)" It is a concrete error metric, based on a geometric criterium:\n the variation of the edge from a straight line.\n\n\n",
  "See Also:\n\n vtkGenericCellTessellator vtkGenericSubdivisionErrorMetric\n\n",
  NULL
};

static vtkObjectBase *vtkGeometricErrorMetricStaticNew()
{
  return vtkGeometricErrorMetric::New();
}

PyObject *PyVTKClass_vtkGeometricErrorMetricNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeometricErrorMetricStaticNew,
                        PyvtkGeometricErrorMetricMethods,
                        (char*)"vtkGeometricErrorMetric",modulename,
                        (char**)vtkGeometricErrorMetricDoc,
                        PyVTKClass_vtkGenericSubdivisionErrorMetricNew(modulename));
}

