// python wrapper for vtkHierarchicalBoxDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkHierarchicalBoxDataSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalBoxDataSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalBoxDataSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHierarchicalDataSetNew(char *); }

static PyObject *PyvtkHierarchicalBoxDataSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  const char    *temp20;
  if ((op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  vtkHierarchicalBoxDataSet  *temp20;
  if ((op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalBoxDataSet  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalBoxDataSet::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  int      temp20;
  if ((op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  unsigned int      temp0;
  unsigned int      temp1;
  vtkDataObject  *temp20;
  if ((op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetDataSet(temp0,temp1);
      }
    else
      {
      temp20 = op->GetDataSet(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp20;
  PyErr_Clear();
  if ((op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetDataSet(temp0);
      }
    else
      {
      temp20 = op->GetDataSet(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_SetRefinementRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  unsigned int      temp0;
  int      temp1;
  if ((op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalBoxDataSet::SetRefinementRatio(temp0,temp1);
      }
    else
      {
      op->SetRefinementRatio(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_GetRefinementRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  unsigned int      temp0;
  int      temp20;
  if ((op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetRefinementRatio(temp0);
      }
    else
      {
      temp20 = op->GetRefinementRatio(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_GenerateVisibilityArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  if ((op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalBoxDataSet::GenerateVisibilityArrays();
      }
    else
      {
      op->GenerateVisibilityArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalBoxDataSet::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalBoxDataSet::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_BOX(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerVectorKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkHierarchicalBoxDataSet::BOX();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_NUMBER_OF_BLANKED_POINTS(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIdTypeKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkHierarchicalBoxDataSet::NUMBER_OF_BLANKED_POINTS();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalBoxDataSet_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalBoxDataSet *op;

  vtkIdType   temp20;
  if ((op = (vtkHierarchicalBoxDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalBoxDataSet::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHierarchicalBoxDataSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalBoxDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalBoxDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalBoxDataSet\nC++: vtkHierarchicalBoxDataSet *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalBoxDataSet_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalBoxDataSet\nC++: vtkHierarchicalBoxDataSet *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_HIERARCHICAL_BOX_DATA_SET \n\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GetDataSet, 1,
   (char*)"V.GetDataSet(int, int) -> vtkDataObject\nC++: vtkDataObject *GetDataSet (unsigned int level, unsigned int id);return this Superclass GetDataSet level id \nV.GetDataSet(vtkInformation) -> vtkDataObject\nC++: vtkDataObject *GetDataSet (vtkInformation *index);return this Superclass GetDataSet index \n\n"},
  {(char*)"SetRefinementRatio",                (PyCFunction)PyvtkHierarchicalBoxDataSet_SetRefinementRatio, 1,
   (char*)"V.SetRefinementRatio(int, int)\nC++: void SetRefinementRatio (unsigned int level, int refRatio);\n\n Sets the refinement of a given level.\n"},
  {(char*)"GetRefinementRatio",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GetRefinementRatio, 1,
   (char*)"V.GetRefinementRatio(int) -> int\nC++: int GetRefinementRatio (unsigned int level);\n\n Returns the refinement of a given level.\n"},
  {(char*)"GenerateVisibilityArrays",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GenerateVisibilityArrays, 1,
   (char*)"V.GenerateVisibilityArrays()\nC++: void GenerateVisibilityArrays ();\n\n Blank lower level cells if they are overlapped by higher\n level ones.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkHierarchicalBoxDataSet_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: virtual void ShallowCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkHierarchicalBoxDataSet_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: virtual void DeepCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"BOX",                (PyCFunction)PyvtkHierarchicalBoxDataSet_BOX, 1,
   (char*)"V.BOX() -> vtkInformationIntegerVectorKey\nC++: static vtkInformationIntegerVectorKey *BOX ();\n\n"},
  {(char*)"NUMBER_OF_BLANKED_POINTS",                (PyCFunction)PyvtkHierarchicalBoxDataSet_NUMBER_OF_BLANKED_POINTS, 1,
   (char*)"V.NUMBER_OF_BLANKED_POINTS() -> vtkInformationIdTypeKey\nC++: static vtkInformationIdTypeKey *NUMBER_OF_BLANKED_POINTS ();\n\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkHierarchicalBoxDataSet_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: virtual vtkIdType GetNumberOfPoints ();\n\n Returns the total number of points of all blocks. This will\n iterate over all blocks and call GetNumberOfPoints() so it\n might be expansive. Does not include the number of blanked\n points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalBoxDataSetDoc[] = {
  (char*)"vtkHierarchicalBoxDataSet - hierarchical dataset of vtkUniformGrids\n\n",
  "Super Class:\n\n vtkHierarchicalDataSet\n\n",
  (char*)" vtkHierarchicalBoxDataSet is a concrete implementation of  \n vtkHierarchicalDataSet. The dataset type is restricted to\n vtkUniformGrid. Each dataset has an associated vtkAMRBox\n that represents it's region (similar to extent) in space.\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalBoxDataSetStaticNew()
{
  return vtkHierarchicalBoxDataSet::New();
}

PyObject *PyVTKClass_vtkHierarchicalBoxDataSetNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalBoxDataSetStaticNew,
                        PyvtkHierarchicalBoxDataSetMethods,
                        (char*)"vtkHierarchicalBoxDataSet",modulename,
                        (char**)vtkHierarchicalBoxDataSetDoc,
                        PyVTKClass_vtkHierarchicalDataSetNew(modulename));
}

