// python wrapper for vtkHierarchicalDataInformation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkHierarchicalDataInformation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalDataInformationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalDataInformationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkHierarchicalDataInformation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataInformation *op;

  const char    *temp20;
  if ((op = (vtkHierarchicalDataInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataInformation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataInformation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataInformation *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkHierarchicalDataInformation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataInformation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataInformation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataInformation *op;

  vtkHierarchicalDataInformation  *temp20;
  if ((op = (vtkHierarchicalDataInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataInformation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataInformation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalDataInformation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalDataInformation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHierarchicalDataInformation_GetNumberOfLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataInformation *op;

  unsigned int      temp20;
  if ((op = (vtkHierarchicalDataInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataInformation::GetNumberOfLevels();
      }
    else
      {
      temp20 = op->GetNumberOfLevels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataInformation_SetNumberOfLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataInformation *op;

  unsigned int      temp0;
  if ((op = (vtkHierarchicalDataInformation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataInformation::SetNumberOfLevels(temp0);
      }
    else
      {
      op->SetNumberOfLevels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataInformation_GetNumberOfDataSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataInformation *op;

  unsigned int      temp0;
  unsigned int      temp20;
  if ((op = (vtkHierarchicalDataInformation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataInformation::GetNumberOfDataSets(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfDataSets(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataInformation_SetNumberOfDataSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataInformation *op;

  unsigned int      temp0;
  unsigned int      temp1;
  if ((op = (vtkHierarchicalDataInformation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataInformation::SetNumberOfDataSets(temp0,temp1);
      }
    else
      {
      op->SetNumberOfDataSets(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataInformation_GetInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataInformation *op;

  unsigned int      temp0;
  unsigned int      temp1;
  vtkInformation  *temp20;
  if ((op = (vtkHierarchicalDataInformation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataInformation::GetInformation(temp0,temp1);
      }
    else
      {
      temp20 = op->GetInformation(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataInformation_HasInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataInformation *op;

  unsigned int      temp0;
  unsigned int      temp1;
  int      temp20;
  if ((op = (vtkHierarchicalDataInformation *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataInformation::HasInformation(temp0,temp1);
      }
    else
      {
      temp20 = op->HasInformation(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataInformation_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataInformation *op;

  vtkHierarchicalDataInformation  *temp0;
  PyObject *tempH0;
  if ((op = (vtkHierarchicalDataInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkHierarchicalDataInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHierarchicalDataInformation");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataInformation::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkHierarchicalDataInformation_Clear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataInformation *op;

  if ((op = (vtkHierarchicalDataInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataInformation::Clear();
      }
    else
      {
      op->Clear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHierarchicalDataInformationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalDataInformation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalDataInformation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalDataInformation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalDataInformation\nC++: vtkHierarchicalDataInformation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalDataInformation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalDataInformation\nC++: vtkHierarchicalDataInformation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfLevels",                (PyCFunction)PyvtkHierarchicalDataInformation_GetNumberOfLevels, 1,
   (char*)"V.GetNumberOfLevels() -> int\nC++: unsigned int GetNumberOfLevels ();\n\n Returns the number of hierarchy levels.\n"},
  {(char*)"SetNumberOfLevels",                (PyCFunction)PyvtkHierarchicalDataInformation_SetNumberOfLevels, 1,
   (char*)"V.SetNumberOfLevels(int)\nC++: void SetNumberOfLevels (unsigned int numLevels);\n\n Set the number of hierarchy levels.\n"},
  {(char*)"GetNumberOfDataSets",                (PyCFunction)PyvtkHierarchicalDataInformation_GetNumberOfDataSets, 1,
   (char*)"V.GetNumberOfDataSets(int) -> int\nC++: unsigned int GetNumberOfDataSets (unsigned int level);\n\n Given a level, returns the number of datasets.\n"},
  {(char*)"SetNumberOfDataSets",                (PyCFunction)PyvtkHierarchicalDataInformation_SetNumberOfDataSets, 1,
   (char*)"V.SetNumberOfDataSets(int, int)\nC++: void SetNumberOfDataSets (unsigned int level, unsigned int numDataSets);\n\n Given a level, sets the number of datasets.\n"},
  {(char*)"GetInformation",                (PyCFunction)PyvtkHierarchicalDataInformation_GetInformation, 1,
   (char*)"V.GetInformation(int, int) -> vtkInformation\nC++: vtkInformation *GetInformation (unsigned int level, unsigned int id);\n\n Given a level and a dataset id, returns the corresponding information\n object. If the information does not exist, one is created. Use\n HasInformation() to check whether the information already exists.\n"},
  {(char*)"HasInformation",                (PyCFunction)PyvtkHierarchicalDataInformation_HasInformation, 1,
   (char*)"V.HasInformation(int, int) -> int\nC++: int HasInformation (unsigned int level, unsigned int id);\n\n Returns 1 if information exists, 0 otherwise.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkHierarchicalDataInformation_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkHierarchicalDataInformation)\nC++: void DeepCopy (vtkHierarchicalDataInformation *from);\n\n Creates a duplicate hierarchy and calls Copy() on each information\n object.\n"},
  {(char*)"Clear",                (PyCFunction)PyvtkHierarchicalDataInformation_Clear, 1,
   (char*)"V.Clear()\nC++: void Clear ();\n\n Initializes the data structure to empty.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalDataInformationDoc[] = {
  (char*)"vtkHierarchicalDataInformation - hierarchical information collection\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkHierarchicalDataInformation stores information objects in a structure\n corresponding to that of a hierarchical dataset. This is essentially a\n vector of vectors of information object pointers. Each entry in the\n outer vector corresponds to one levels, whereas each entry in the inner\n vector corresponds to one dataset.\n\n",
  "See Also:\n\n vtkHierarchicalDataSet vtkCompositeDataPipeline\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalDataInformationStaticNew()
{
  return vtkHierarchicalDataInformation::New();
}

PyObject *PyVTKClass_vtkHierarchicalDataInformationNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalDataInformationStaticNew,
                        PyvtkHierarchicalDataInformationMethods,
                        (char*)"vtkHierarchicalDataInformation",modulename,
                        (char**)vtkHierarchicalDataInformationDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

