// python wrapper for vtkHierarchicalDataIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkHierarchicalDataIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalDataIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalDataIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCompositeDataIteratorNew(char *); }

static PyObject *PyvtkHierarchicalDataIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataIterator *op;

  const char    *temp20;
  if ((op = (vtkHierarchicalDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataIterator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkHierarchicalDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataIterator *op;

  vtkHierarchicalDataIterator  *temp20;
  if ((op = (vtkHierarchicalDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataIterator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalDataIterator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalDataIterator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHierarchicalDataIterator_GoToFirstItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataIterator *op;

  if ((op = (vtkHierarchicalDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataIterator::GoToFirstItem();
      }
    else
      {
      op->GoToFirstItem();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataIterator_GoToNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataIterator *op;

  if ((op = (vtkHierarchicalDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataIterator::GoToNextItem();
      }
    else
      {
      op->GoToNextItem();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataIterator_IsDoneWithTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataIterator *op;

  int      temp20;
  if ((op = (vtkHierarchicalDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataIterator::IsDoneWithTraversal();
      }
    else
      {
      temp20 = op->IsDoneWithTraversal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataIterator_GetCurrentDataObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataIterator *op;

  vtkDataObject  *temp20;
  if ((op = (vtkHierarchicalDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataIterator::GetCurrentDataObject();
      }
    else
      {
      temp20 = op->GetCurrentDataObject();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataIterator_SetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataIterator *op;

  vtkHierarchicalDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkHierarchicalDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkHierarchicalDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHierarchicalDataSet");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataIterator::SetDataSet(temp0);
      }
    else
      {
      op->SetDataSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkHierarchicalDataIterator_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataIterator *op;

  vtkHierarchicalDataSet  *temp20;
  if ((op = (vtkHierarchicalDataIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataIterator::GetDataSet();
      }
    else
      {
      temp20 = op->GetDataSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHierarchicalDataIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalDataIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalDataIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalDataIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalDataIterator\nC++: vtkHierarchicalDataIterator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalDataIterator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalDataIterator\nC++: vtkHierarchicalDataIterator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GoToFirstItem",                (PyCFunction)PyvtkHierarchicalDataIterator_GoToFirstItem, 1,
   (char*)"V.GoToFirstItem()\nC++: virtual void GoToFirstItem ();\n\n Move the iterator to the beginning of the collection.\n"},
  {(char*)"GoToNextItem",                (PyCFunction)PyvtkHierarchicalDataIterator_GoToNextItem, 1,
   (char*)"V.GoToNextItem()\nC++: virtual void GoToNextItem ();\n\n Move the iterator to the next item in the collection.\n"},
  {(char*)"IsDoneWithTraversal",                (PyCFunction)PyvtkHierarchicalDataIterator_IsDoneWithTraversal, 1,
   (char*)"V.IsDoneWithTraversal() -> int\nC++: virtual int IsDoneWithTraversal ();\n\n Test whether the iterator is currently pointing to a valid\n item. Returns 1 for yes, 0 for no.\n"},
  {(char*)"GetCurrentDataObject",                (PyCFunction)PyvtkHierarchicalDataIterator_GetCurrentDataObject, 1,
   (char*)"V.GetCurrentDataObject() -> vtkDataObject\nC++: virtual vtkDataObject *GetCurrentDataObject ();\n\n Get the current item. Valid only when IsDoneWithTraversal()\n returns 1.\n"},
  {(char*)"SetDataSet",                (PyCFunction)PyvtkHierarchicalDataIterator_SetDataSet, 1,
   (char*)"V.SetDataSet(vtkHierarchicalDataSet)\nC++: void SetDataSet (vtkHierarchicalDataSet *dataset);\n\n Set the data object to iterator over.\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkHierarchicalDataIterator_GetDataSet, 1,
   (char*)"V.GetDataSet() -> vtkHierarchicalDataSet\nC++: vtkHierarchicalDataSet *GetDataSet ();\n\n Set the data object to iterator over.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalDataIteratorDoc[] = {
  (char*)"vtkHierarchicalDataIterator - iterator to access datasets in a vtkHierarchicalDataIterator\n\n",
  "Super Class:\n\n vtkCompositeDataIterator\n\n",
  (char*)" vtkHierarchicalDataIterator is a concrete implementation of \n vtkCompositeDataIterator for vtkHierarchicalDataSet. It allows flat\n and forward access to the datasets in the hierchical dataset.\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalDataIteratorStaticNew()
{
  return vtkHierarchicalDataIterator::New();
}

PyObject *PyVTKClass_vtkHierarchicalDataIteratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalDataIteratorStaticNew,
                        PyvtkHierarchicalDataIteratorMethods,
                        (char*)"vtkHierarchicalDataIterator",modulename,
                        (char**)vtkHierarchicalDataIteratorDoc,
                        PyVTKClass_vtkCompositeDataIteratorNew(modulename));
}

