// python wrapper for vtkHierarchicalDataSetAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkHierarchicalDataSetAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalDataSetAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalDataSetAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkHierarchicalDataSetAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSetAlgorithm *op;

  const char    *temp20;
  if ((op = (vtkHierarchicalDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSetAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSetAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSetAlgorithm *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkHierarchicalDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSetAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSetAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSetAlgorithm *op;

  vtkHierarchicalDataSetAlgorithm  *temp20;
  if ((op = (vtkHierarchicalDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSetAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSetAlgorithm_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSetAlgorithm *op;

  vtkHierarchicalDataSet  *temp20;
  if ((op = (vtkHierarchicalDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSetAlgorithm::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkHierarchicalDataSetAlgorithm *op;

  int      temp0;
  vtkHierarchicalDataSet  *temp20;
  PyErr_Clear();
  if ((op = (vtkHierarchicalDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSetAlgorithm::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSetAlgorithm_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSetAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkHierarchicalDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataSetAlgorithm::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  /* handle an occurrence */
  {
  vtkHierarchicalDataSetAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkHierarchicalDataSetAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataSetAlgorithm::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkHierarchicalDataSetAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalDataSetAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalDataSetAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalDataSetAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalDataSetAlgorithm\nC++: vtkHierarchicalDataSetAlgorithm *NewInstance ();\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkHierarchicalDataSetAlgorithm_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkHierarchicalDataSet\nC++: vtkHierarchicalDataSet *GetOutput ();\nV.GetOutput(int) -> vtkHierarchicalDataSet\nC++: vtkHierarchicalDataSet *GetOutput (int );\n\n Get the output data object for a port on this algorithm.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkHierarchicalDataSetAlgorithm_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *);\nV.SetInput(int, vtkDataObject)\nC++: void SetInput (int , vtkDataObject *);\n\n Set an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline.\n Note that these methods support old-style pipeline connections.\n When writing new code you should use the more general\n vtkAlgorithm::SetInputConnection().  These methods transform the\n input index to the input port index, not an index of a connection\n within a single port.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalDataSetAlgorithmDoc[] = {
  (char*)"vtkHierarchicalDataSetAlgorithm - Superclass for algorithms that produce only vtkHierarchicalDataSet as output\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" Algorithms that take any type of data object (including composite dataset)\n and produce a vtkHierarchicalDataSet in the output can subclass from this\n class.\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalDataSetAlgorithmStaticNew()
{
  return vtkHierarchicalDataSetAlgorithm::New();
}

PyObject *PyVTKClass_vtkHierarchicalDataSetAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalDataSetAlgorithmStaticNew,
                        PyvtkHierarchicalDataSetAlgorithmMethods,
                        (char*)"vtkHierarchicalDataSetAlgorithm",modulename,
                        (char**)vtkHierarchicalDataSetAlgorithmDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

