// python wrapper for vtkHierarchicalDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkHierarchicalDataSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalDataSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalDataSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCompositeDataSetNew(char *); }

static PyObject *PyvtkHierarchicalDataSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  const char    *temp20;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  vtkHierarchicalDataSet  *temp20;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalDataSet  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalDataSet::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_NewIterator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  vtkCompositeDataIterator  *temp20;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSet::NewIterator();
      }
    else
      {
      temp20 = op->NewIterator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  int      temp20;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSet::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataSet::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_SetNumberOfLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  unsigned int      temp0;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataSet::SetNumberOfLevels(temp0);
      }
    else
      {
      op->SetNumberOfLevels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_GetNumberOfLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  unsigned int      temp20;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSet::GetNumberOfLevels();
      }
    else
      {
      temp20 = op->GetNumberOfLevels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_SetNumberOfDataSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  unsigned int      temp0;
  unsigned int      temp1;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataSet::SetNumberOfDataSets(temp0,temp1);
      }
    else
      {
      op->SetNumberOfDataSets(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_GetNumberOfDataSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  unsigned int      temp0;
  unsigned int      temp20;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSet::GetNumberOfDataSets(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfDataSets(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_InitializeNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  unsigned int      temp0;
  unsigned int      temp1;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataSet::InitializeNode(temp0,temp1);
      }
    else
      {
      op->InitializeNode(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_SetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  unsigned int      temp0;
  unsigned int      temp1;
  vtkDataObject  *temp2;
  PyObject *tempH2;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2)))
    {
    temp2 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataObject");
    if (!temp2 && tempH2 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataSet::SetDataSet(temp0,temp1,temp2);
      }
    else
      {
      op->SetDataSet(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_AddDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break13;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataSet::AddDataSet(temp0,temp1);
      }
    else
      {
      op->AddDataSet(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  unsigned int      temp0;
  unsigned int      temp1;
  vtkDataObject  *temp20;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSet::GetDataSet(temp0,temp1);
      }
    else
      {
      temp20 = op->GetDataSet(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp20;
  PyErr_Clear();
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSet::GetDataSet(temp0);
      }
    else
      {
      temp20 = op->GetDataSet(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataSet::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataSet::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_GetHierarchicalDataInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  vtkHierarchicalDataInformation  *temp20;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSet::GetHierarchicalDataInformation();
      }
    else
      {
      temp20 = op->GetHierarchicalDataInformation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_SetHierarchicalDataInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  vtkHierarchicalDataInformation  *temp0;
  PyObject *tempH0;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkHierarchicalDataInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHierarchicalDataInformation");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataSet::SetHierarchicalDataInformation(temp0);
      }
    else
      {
      op->SetHierarchicalDataInformation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataSet *op;

  vtkIdType   temp20;
  if ((op = (vtkHierarchicalDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataSet::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataSet_LEVEL(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkHierarchicalDataSet::LEVEL();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHierarchicalDataSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalDataSet\nC++: vtkHierarchicalDataSet *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalDataSet_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalDataSet\nC++: vtkHierarchicalDataSet *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"NewIterator",                (PyCFunction)PyvtkHierarchicalDataSet_NewIterator, 1,
   (char*)"V.NewIterator() -> vtkCompositeDataIterator\nC++: virtual vtkCompositeDataIterator *NewIterator ();\n\n Return a new (forward) iterator \n (the iterator has to be deleted by user)\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkHierarchicalDataSet_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_HIERARCHICAL_DATA_SET \n\n Restore data object to initial state,\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkHierarchicalDataSet_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Restore data object to initial state,\n"},
  {(char*)"SetNumberOfLevels",                (PyCFunction)PyvtkHierarchicalDataSet_SetNumberOfLevels, 1,
   (char*)"V.SetNumberOfLevels(int)\nC++: void SetNumberOfLevels (unsigned int numLevels);\n\n Set the number of refinement levels. This call might cause\n allocation if the new number of levels is larger than the\n current one.\n"},
  {(char*)"GetNumberOfLevels",                (PyCFunction)PyvtkHierarchicalDataSet_GetNumberOfLevels, 1,
   (char*)"V.GetNumberOfLevels() -> int\nC++: unsigned int GetNumberOfLevels ();\n\n Returns the number of levels.\n"},
  {(char*)"SetNumberOfDataSets",                (PyCFunction)PyvtkHierarchicalDataSet_SetNumberOfDataSets, 1,
   (char*)"V.SetNumberOfDataSets(int, int)\nC++: void SetNumberOfDataSets (unsigned int level, unsigned int numDataSets);\n\n Set the number of datasets in a given level. This call might\n cause allocation if the new number of datasets is larger\n than the current one.\n"},
  {(char*)"GetNumberOfDataSets",                (PyCFunction)PyvtkHierarchicalDataSet_GetNumberOfDataSets, 1,
   (char*)"V.GetNumberOfDataSets(int) -> int\nC++: unsigned int GetNumberOfDataSets (unsigned int level);\n\n Returns the number of datasets in a given level.\n"},
  {(char*)"InitializeNode",                (PyCFunction)PyvtkHierarchicalDataSet_InitializeNode, 1,
   (char*)"V.InitializeNode(int, int)\nC++: void InitializeNode (unsigned int level, unsigned int id);\n\n Initialize the entry for a dataset node. This removes all\n parent/child links between the given node and others.\n"},
  {(char*)"SetDataSet",                (PyCFunction)PyvtkHierarchicalDataSet_SetDataSet, 1,
   (char*)"V.SetDataSet(int, int, vtkDataObject)\nC++: void SetDataSet (unsigned int level, unsigned int id, vtkDataObject *dataSet);\n\n Set the dataset pointer for a given node. This method does\n not remove the existing parent/child links. It only replaces\n the dataset pointer.\n"},
  {(char*)"AddDataSet",                (PyCFunction)PyvtkHierarchicalDataSet_AddDataSet, 1,
   (char*)"V.AddDataSet(vtkInformation, vtkDataObject)\nC++: virtual void AddDataSet (vtkInformation *index, vtkDataObject *dobj);\n\n Uses keys LEVEL() and INDEX() to call SetDataSet(LEVEL, INDEX, dobj)\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkHierarchicalDataSet_GetDataSet, 1,
   (char*)"V.GetDataSet(int, int) -> vtkDataObject\nC++: vtkDataObject *GetDataSet (unsigned int level, unsigned int id);\nV.GetDataSet(vtkInformation) -> vtkDataObject\nC++: virtual vtkDataObject *GetDataSet (vtkInformation *index);\n\n Get a dataset give a level and an id.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkHierarchicalDataSet_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: virtual void ShallowCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkHierarchicalDataSet_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: virtual void DeepCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"GetHierarchicalDataInformation",                (PyCFunction)PyvtkHierarchicalDataSet_GetHierarchicalDataInformation, 1,
   (char*)"V.GetHierarchicalDataInformation() -> vtkHierarchicalDataInformation\nC++: vtkHierarchicalDataInformation *GetHierarchicalDataInformation ();\n\n Returns the data structure containing information about\n the datasets.\n"},
  {(char*)"SetHierarchicalDataInformation",                (PyCFunction)PyvtkHierarchicalDataSet_SetHierarchicalDataInformation, 1,
   (char*)"V.SetHierarchicalDataInformation(vtkHierarchicalDataInformation)\nC++: void SetHierarchicalDataInformation (vtkHierarchicalDataInformation *info);\n\n Set the information about the datasets.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkHierarchicalDataSet_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: virtual vtkIdType GetNumberOfPoints ();\n\n Returns the total number of points of all blocks. This will\n iterate over all blocks and call GetNumberOfPoints() so it\n might be expansive.\n"},
  {(char*)"LEVEL",                (PyCFunction)PyvtkHierarchicalDataSet_LEVEL, 1,
   (char*)"V.LEVEL() -> vtkInformationIntegerKey\nC++: static vtkInformationIntegerKey *LEVEL ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalDataSetDoc[] = {
  (char*)"vtkHierarchicalDataSet - abstract superclass for hierarchical datasets\n\n",
  "Super Class:\n\n vtkCompositeDataSet\n\n",
  (char*)" vtkHierarchicalDataSet is a vtkCompositeDataSet that stores\n a hierarchy of datasets. The dataset collection consists of\n multiple levels. Each dataset can have an arbitrary number of\n parents and children at levels above and below. Currently,\n the interface for connecting parents-children is incomplete.\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalDataSetStaticNew()
{
  return vtkHierarchicalDataSet::New();
}

PyObject *PyVTKClass_vtkHierarchicalDataSetNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalDataSetStaticNew,
                        PyvtkHierarchicalDataSetMethods,
                        (char*)"vtkHierarchicalDataSet",modulename,
                        (char**)vtkHierarchicalDataSetDoc,
                        PyVTKClass_vtkCompositeDataSetNew(modulename));
}

