// python wrapper for vtkImageAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkImageAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAlgorithm *op;

  const char    *temp20;
  if ((op = (vtkImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAlgorithm *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAlgorithm *op;

  vtkImageAlgorithm  *temp20;
  if ((op = (vtkImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAlgorithm_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAlgorithm *op;

  vtkImageData  *temp20;
  if ((op = (vtkImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAlgorithm::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImageAlgorithm *op;

  int      temp0;
  vtkImageData  *temp20;
  PyErr_Clear();
  if ((op = (vtkImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAlgorithm::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAlgorithm_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAlgorithm::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkImageAlgorithm_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAlgorithm::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkImageAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAlgorithm::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkImageAlgorithm_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp20;
  if ((op = (vtkImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAlgorithm::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImageAlgorithm *op;

  vtkDataObject  *temp20;
  PyErr_Clear();
  if ((op = (vtkImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAlgorithm::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAlgorithm_GetImageDataInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAlgorithm *op;

  int      temp0;
  vtkImageData  *temp20;
  if ((op = (vtkImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAlgorithm::GetImageDataInput(temp0);
      }
    else
      {
      temp20 = op->GetImageDataInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAlgorithm_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAlgorithm *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAlgorithm::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  /* handle an occurrence */
  {
  vtkImageAlgorithm *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAlgorithm::AddInput(temp0,temp1);
      }
    else
      {
      op->AddInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}

static PyMethodDef PyvtkImageAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageAlgorithm\nC++: vtkImageAlgorithm *NewInstance ();\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkImageAlgorithm_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkImageData\nC++: vtkImageData *GetOutput ();\nV.GetOutput(int) -> vtkImageData\nC++: vtkImageData *GetOutput (int );\n\n Get the output data object for a port on this algorithm.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkImageAlgorithm_SetOutput, 1,
   (char*)"V.SetOutput(vtkDataObject)\nC++: virtual void SetOutput (vtkDataObject *d);\n\n Get the output data object for a port on this algorithm.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkImageAlgorithm_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *);\nV.SetInput(int, vtkDataObject)\nC++: void SetInput (int , vtkDataObject *);\n\n Set an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline.\n Note that these methods support old-style pipeline connections.\n When writing new code you should use the more general\n vtkAlgorithm::SetInputConnection().  These methods transform the\n input index to the input port index, not an index of a connection\n within a single port.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkImageAlgorithm_GetInput, 1,
   (char*)"V.GetInput(int) -> vtkDataObject\nC++: vtkDataObject *GetInput (int port);\nV.GetInput() -> vtkDataObject\nC++: vtkDataObject *GetInput ();return this GetInput \n\n"},
  {(char*)"GetImageDataInput",                (PyCFunction)PyvtkImageAlgorithm_GetImageDataInput, 1,
   (char*)"V.GetImageDataInput(int) -> vtkImageData\nC++: vtkImageData *GetImageDataInput (int port);\n\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkImageAlgorithm_AddInput, 1,
   (char*)"V.AddInput(vtkDataObject)\nC++: virtual void AddInput (vtkDataObject *);\nV.AddInput(int, vtkDataObject)\nC++: virtual void AddInput (int , vtkDataObject *);\n\n Add an input of this algorithm.  Note that these methods support\n old-style pipeline connections.  When writing new code you should\n use the more general vtkAlgorithm::AddInputConnection().  See\n SetInput() for details.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageAlgorithmDoc[] = {
  (char*)"vtkImageAlgorithm - Generic algorithm superclass for image algs\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkImageToImageAlgorithm is a filter superclass that hides much of the \n pipeline  complexity. It handles breaking the pipeline execution \n into smaller extents so that the vtkImageData limits are observed. It \n also provides support for multithreading. If you don't need any of this\n functionality, consider using vtkSimpleImageToImageAlgorithm instead.\n .SECTION See also\n vtkSimpleImageToImageAlg",
  (char*)"orithm\n\n",
  NULL
};

PyObject *PyVTKClass_vtkImageAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkImageAlgorithmMethods,
                        (char*)"vtkImageAlgorithm",modulename,
                        (char**)vtkImageAlgorithmDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

