// python wrapper for vtkImageData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetNew(char *); }

static PyObject *PyvtkImageData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  const char    *temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkImageData  *temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageData_CopyStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::CopyStructure(temp0);
      }
    else
      {
      op->CopyStructure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageData_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkIdType   temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkIdType   temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkIdType   temp0;
  double  *temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetPoint(temp0);
      }
    else
      {
      temp20 = op->GetPoint(temp0);
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkIdType   temp0;
  double temp1[3];
  PyErr_Clear();
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::GetPoint(temp0,temp1);
      }
    else
      {
      op->GetPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkIdType   temp0;
  vtkCell  *temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetCell(temp0);
      }
    else
      {
      temp20 = op->GetCell(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::GetCell(temp0,temp1);
      }
    else
      {
      op->GetCell(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkImageData_GetCellBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkIdType   temp0;
  double temp1[6];
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"i(dddddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::GetCellBounds(temp0,temp1);
      }
    else
      {
      op->GetCellBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_FindPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::FindPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FindPoint(temp0,temp1,temp2);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImageData *op;

  double temp0[3];
  vtkIdType   temp20;
  PyErr_Clear();
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::FindPoint(temp0);
      }
    else
      {
      temp20 = op->FindPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkIdType   temp0;
  int      temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetCellType(temp0);
      }
    else
      {
      temp20 = op->GetCellType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetCellPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::GetCellPoints(temp0,temp1);
      }
    else
      {
      op->GetCellPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkImageData_GetPointCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::GetPointCells(temp0,temp1);
      }
    else
      {
      op->GetPointCells(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkImageData_ComputeBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::ComputeBounds();
      }
    else
      {
      op->ComputeBounds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetMaxCellSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetMaxCellSize();
      }
    else
      {
      temp20 = op->GetMaxCellSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetDimensions(temp0,temp1,temp2);
      }
    else
      {
      op->SetDimensions(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageData *op;

  int    temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetDimensions(temp0);
      }
    else
      {
      op->SetDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int     *temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetDimensions();
      }
    else
      {
      temp20 = op->GetDimensions();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  vtkImageData *op;

  int    temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::GetDimensions(temp0);
      }
    else
      {
      op->GetDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_ComputeStructuredCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  double temp0[3];
  int    temp1[3];
  double temp2[3];
  int      temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(iii)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::ComputeStructuredCoordinates(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeStructuredCoordinates(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetVoxelGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  vtkDataArray  *temp3;
  PyObject *tempH3;
  vtkDataArray  *temp4;
  PyObject *tempH4;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"iiiOO", &temp0, &temp1, &temp2, &tempH3, &tempH4)))
    {
    temp3 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDataArray");
    if (!temp3 && tempH3 != Py_None) goto break26;
    temp4 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkDataArray");
    if (!temp4 && tempH4 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::GetVoxelGradient(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->GetVoxelGradient(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkImageData_GetPointGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  vtkDataArray  *temp3;
  PyObject *tempH3;
  double temp4[3];
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"iiiO(ddd)", &temp0, &temp1, &temp2, &tempH3, temp4 + 0, temp4 + 1, temp4 + 2)))
    {
    temp3 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDataArray");
    if (!temp3 && tempH3 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::GetPointGradient(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->GetPointGradient(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,4,temp4,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkImageData_GetDataDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetDataDimension();
      }
    else
      {
      temp20 = op->GetDataDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_ComputePointId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int    temp0[3];
  vtkIdType   temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::ComputePointId(temp0);
      }
    else
      {
      temp20 = op->ComputePointId(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_ComputeCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int    temp0[3];
  vtkIdType   temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::ComputeCellId(temp0);
      }
    else
      {
      temp20 = op->ComputeCellId(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetAxisUpdateExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetAxisUpdateExtent(temp0,temp1,temp2);
      }
    else
      {
      op->SetAxisUpdateExtent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_UpdateInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::UpdateInformation();
      }
    else
      {
      op->UpdateInformation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int    temp0[6];
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetExtent(temp0);
      }
    else
      {
      op->SetExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int     *temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetExtent();
      }
    else
      {
      temp20 = op->GetExtent();
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetEstimatedMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  unsigned long     temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetEstimatedMemorySize();
      }
    else
      {
      temp20 = op->GetEstimatedMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetScalarTypeMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  double   temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetScalarTypeMin();
      }
    else
      {
      temp20 = op->GetScalarTypeMin();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetScalarTypeMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  double   temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetScalarTypeMax();
      }
    else
      {
      temp20 = op->GetScalarTypeMax();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetScalarSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetScalarSize();
      }
    else
      {
      temp20 = op->GetScalarSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetIncrements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkIdType  *temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetIncrements();
      }
    else
      {
      temp20 = op->GetIncrements();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkIdType temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::GetIncrements(temp0);
      }
    else
      {
      op->GetIncrements(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetScalarPointerForExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int    temp0[6];
  void    *temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetScalarPointerForExtent(temp0);
      }
    else
      {
      temp20 = op->GetScalarPointerForExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetScalarPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int    temp0[3];
  void    *temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetScalarPointer(temp0);
      }
    else
      {
      temp20 = op->GetScalarPointer(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  void    *temp20;
  PyErr_Clear();
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetScalarPointer(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetScalarPointer(temp0,temp1,temp2);
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  /* handle an occurrence */
  {
  vtkImageData *op;

  void    *temp20;
  PyErr_Clear();
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetScalarPointer();
      }
    else
      {
      temp20 = op->GetScalarPointer();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetScalarComponentAsFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  float    temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetScalarComponentAsFloat(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->GetScalarComponentAsFloat(temp0,temp1,temp2,temp3);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetScalarComponentFromFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  float    temp4;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"iiiif", &temp0, &temp1, &temp2, &temp3, &temp4)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetScalarComponentFromFloat(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SetScalarComponentFromFloat(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetScalarComponentAsDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  double   temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetScalarComponentAsDouble(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->GetScalarComponentAsDouble(temp0,temp1,temp2,temp3);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetScalarComponentFromDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  double   temp4;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"iiiid", &temp0, &temp1, &temp2, &temp3, &temp4)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetScalarComponentFromDouble(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SetScalarComponentFromDouble(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_AllocateScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::AllocateScalars();
      }
    else
      {
      op->AllocateScalars();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_CopyAndCastFrom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  int    temp1[6];
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"O(iiiiii)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break51;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::CopyAndCastFrom(temp0,temp1);
      }
    else
      {
      op->CopyAndCastFrom(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break51:
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  PyErr_Clear();
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"Oiiiiii", &tempH0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break52;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::CopyAndCastFrom(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      op->CopyAndCastFrom(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break52:
  return NULL;
}


static PyObject *PyvtkImageData_Crop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::Crop();
      }
    else
      {
      op->Crop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  unsigned long     temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageData *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetSpacing(temp0);
      }
    else
      {
      op->SetSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  double  *temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetSpacing();
      }
    else
      {
      temp20 = op->GetSpacing();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageData *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  double  *temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetScalarTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetScalarTypeToFloat();
      }
    else
      {
      op->SetScalarTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetScalarTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetScalarTypeToDouble();
      }
    else
      {
      op->SetScalarTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetScalarTypeToInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetScalarTypeToInt();
      }
    else
      {
      op->SetScalarTypeToInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetScalarTypeToUnsignedInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetScalarTypeToUnsignedInt();
      }
    else
      {
      op->SetScalarTypeToUnsignedInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetScalarTypeToLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetScalarTypeToLong();
      }
    else
      {
      op->SetScalarTypeToLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetScalarTypeToUnsignedLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetScalarTypeToUnsignedLong();
      }
    else
      {
      op->SetScalarTypeToUnsignedLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetScalarTypeToShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetScalarTypeToShort();
      }
    else
      {
      op->SetScalarTypeToShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetScalarTypeToChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetScalarTypeToChar();
      }
    else
      {
      op->SetScalarTypeToChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp0;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetScalarType(temp0);
      }
    else
      {
      op->SetScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetScalarType();
      }
    else
      {
      temp20 = op->GetScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetScalarTypeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  const char    *temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetScalarTypeAsString();
      }
    else
      {
      temp20 = op->GetScalarTypeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_SetNumberOfScalarComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp0;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::SetNumberOfScalarComponents(temp0);
      }
    else
      {
      op->SetNumberOfScalarComponents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_GetNumberOfScalarComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetNumberOfScalarComponents();
      }
    else
      {
      temp20 = op->GetNumberOfScalarComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_CopyTypeSpecificInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break76;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::CopyTypeSpecificInformation(temp0);
      }
    else
      {
      op->CopyTypeSpecificInformation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break76:
  return NULL;
}


static PyObject *PyvtkImageData_CopyInformationToPipeline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break77;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break77;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::CopyInformationToPipeline(temp0,temp1);
      }
    else
      {
      op->CopyInformationToPipeline(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break77:
  return NULL;
}


static PyObject *PyvtkImageData_CopyInformationFromPipeline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break78;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::CopyInformationFromPipeline(temp0);
      }
    else
      {
      op->CopyInformationFromPipeline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break78:
  return NULL;
}


static PyObject *PyvtkImageData_PrepareForNewData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::PrepareForNewData();
      }
    else
      {
      op->PrepareForNewData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageData_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break80;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break80:
  return NULL;
}


static PyObject *PyvtkImageData_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break81;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break81:
  return NULL;
}


static PyObject *PyvtkImageData_GetArrayPointerForExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int    temp1[6];
  void    *temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"O(iiiiii)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break82;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetArrayPointerForExtent(temp0,temp1);
      }
    else
      {
      temp20 = op->GetArrayPointerForExtent(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
 break82:
  return NULL;
}


static PyObject *PyvtkImageData_GetArrayPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int    temp1[3];
  void    *temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"O(iii)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break83;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetArrayPointer(temp0,temp1);
      }
    else
      {
      temp20 = op->GetArrayPointer(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
 break83:
  return NULL;
}


static PyObject *PyvtkImageData_GetArrayIncrements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkIdType temp1[3];
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"O(iii)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break84;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageData::GetArrayIncrements(temp0,temp1);
      }
    else
      {
      op->GetArrayIncrements(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break84:
  return NULL;
}


static PyObject *PyvtkImageData_GetExtentType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageData *op;

  int      temp20;
  if ((op = (vtkImageData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageData::GetExtentType();
      }
    else
      {
      temp20 = op->GetExtentType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageData\nC++: vtkImageData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageData\nC++: vtkImageData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CopyStructure",                (PyCFunction)PyvtkImageData_CopyStructure, 1,
   (char*)"V.CopyStructure(vtkDataSet)\nC++: virtual void CopyStructure (vtkDataSet *ds);\n\n Copy the geometric and topological structure of an input image data\n object.\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkImageData_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_IMAGE_DATA \n\n Return what type of dataset this is.\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkImageData_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: virtual vtkIdType GetNumberOfCells ();\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkImageData_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: virtual vtkIdType GetNumberOfPoints ();\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetPoint",                (PyCFunction)PyvtkImageData_GetPoint, 1,
   (char*)"V.GetPoint(int) -> (float, float, float)\nC++: virtual double *GetPoint (vtkIdType ptId);\nV.GetPoint(int, (float, float, float))\nC++: virtual void GetPoint (vtkIdType id, double x[3]);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCell",                (PyCFunction)PyvtkImageData_GetCell, 1,
   (char*)"V.GetCell(int) -> vtkCell\nC++: virtual vtkCell *GetCell (vtkIdType cellId);\nV.GetCell(int, vtkGenericCell)\nC++: virtual void GetCell (vtkIdType cellId, vtkGenericCell *cell);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCellBounds",                (PyCFunction)PyvtkImageData_GetCellBounds, 1,
   (char*)"V.GetCellBounds(int, (float, float, float, float, float, float))\nC++: virtual void GetCellBounds (vtkIdType cellId, double bounds[6]);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"FindPoint",                (PyCFunction)PyvtkImageData_FindPoint, 1,
   (char*)"V.FindPoint(float, float, float) -> int\nC++: virtual vtkIdType FindPoint (double x, double y, double z);return this vtkDataSet FindPoint x y z \nV.FindPoint((float, float, float)) -> int\nC++: virtual vtkIdType FindPoint (double x[3]);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkImageData_GetCellType, 1,
   (char*)"V.GetCellType(int) -> int\nC++: virtual int GetCellType (vtkIdType cellId);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCellPoints",                (PyCFunction)PyvtkImageData_GetCellPoints, 1,
   (char*)"V.GetCellPoints(int, vtkIdList)\nC++: virtual void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds);vtkStructuredData GetCellPoints cellId ptIds this DataDescription this GetDimensions \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetPointCells",                (PyCFunction)PyvtkImageData_GetPointCells, 1,
   (char*)"V.GetPointCells(int, vtkIdList)\nC++: virtual void GetPointCells (vtkIdType ptId, vtkIdList *cellIds);vtkStructuredData GetPointCells ptId cellIds this GetDimensions \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"ComputeBounds",                (PyCFunction)PyvtkImageData_ComputeBounds, 1,
   (char*)"V.ComputeBounds()\nC++: virtual void ComputeBounds ();\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetMaxCellSize",                (PyCFunction)PyvtkImageData_GetMaxCellSize, 1,
   (char*)"V.GetMaxCellSize() -> int\nC++: virtual int GetMaxCellSize ();return \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkImageData_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Restore data object to initial state,\n"},
  {(char*)"SetDimensions",                (PyCFunction)PyvtkImageData_SetDimensions, 1,
   (char*)"V.SetDimensions(int, int, int)\nC++: virtual void SetDimensions (int i, int j, int k);\nV.SetDimensions((int, int, int))\nC++: virtual void SetDimensions (int dims[3]);\n\n Set dimensions of structured points dataset.\n"},
  {(char*)"GetDimensions",                (PyCFunction)PyvtkImageData_GetDimensions, 1,
   (char*)"V.GetDimensions() -> (int, int, int)\nC++: virtual int *GetDimensions ();\nV.GetDimensions((int, int, int))\nC++: virtual void GetDimensions (int dims[3]);\n\n Get dimensions of this structured points dataset.\n It is the number of points on each axis.\n Dimensions are computed from Extents during this call.\n"},
  {(char*)"ComputeStructuredCoordinates",                (PyCFunction)PyvtkImageData_ComputeStructuredCoordinates, 1,
   (char*)"V.ComputeStructuredCoordinates((float, float, float), (int, int, int), (float, float, float)) -> int\nC++: virtual int ComputeStructuredCoordinates (double x[3], int ijk[3], double pcoords[3]);\n\n Convenience function computes the structured coordinates for a point x[3].\n The voxel is specified by the array ijk[3], and the parametric coordinates\n in the cell are specified with pcoords[3]. The function returns a 0 if the\n point x is outside of the volume, and a 1 if inside the volume.\n"},
  {(char*)"GetVoxelGradient",                (PyCFunction)PyvtkImageData_GetVoxelGradient, 1,
   (char*)"V.GetVoxelGradient(int, int, int, vtkDataArray, vtkDataArray)\nC++: virtual void GetVoxelGradient (int i, int j, int k, vtkDataArray *s, vtkDataArray *g);\n\n Given structured coordinates (i,j,k) for a voxel cell, compute the eight \n gradient values for the voxel corners. The order in which the gradient\n vectors are arranged corresponds to the ordering of the voxel points. \n Gradient vector is computed by central differences (except on edges of \n volume where forward difference is used). The scalars s are the scalars\n from which the gradient is to be computed. This method will treat \n only 3D structured point datasets (i.e., volumes).\n"},
  {(char*)"GetPointGradient",                (PyCFunction)PyvtkImageData_GetPointGradient, 1,
   (char*)"V.GetPointGradient(int, int, int, vtkDataArray, (float, float, float))\nC++: virtual void GetPointGradient (int i, int j, int k, vtkDataArray *s, double g[3]);\n\n Given structured coordinates (i,j,k) for a point in a structured point \n dataset, compute the gradient vector from the scalar data at that point. \n The scalars s are the scalars from which the gradient is to be computed.\n This method will treat structured point datasets of any dimension.\n"},
  {(char*)"GetDataDimension",                (PyCFunction)PyvtkImageData_GetDataDimension, 1,
   (char*)"V.GetDataDimension() -> int\nC++: virtual int GetDataDimension ();\n\n Return the dimensionality of the data.\n"},
  {(char*)"ComputePointId",                (PyCFunction)PyvtkImageData_ComputePointId, 1,
   (char*)"V.ComputePointId((int, int, int)) -> int\nC++: virtual vtkIdType ComputePointId (int ijk[3]);return vtkStructuredData ComputePointId this GetDimensions ijk \n\n Given a location in structured coordinates (i-j-k), return the point id.\n"},
  {(char*)"ComputeCellId",                (PyCFunction)PyvtkImageData_ComputeCellId, 1,
   (char*)"V.ComputeCellId((int, int, int)) -> int\nC++: virtual vtkIdType ComputeCellId (int ijk[3]);return vtkStructuredData ComputeCellId this GetDimensions ijk \n\n Given a location in structured coordinates (i-j-k), return the cell id.\n"},
  {(char*)"SetAxisUpdateExtent",                (PyCFunction)PyvtkImageData_SetAxisUpdateExtent, 1,
   (char*)"V.SetAxisUpdateExtent(int, int, int)\nC++: virtual void SetAxisUpdateExtent (int axis, int min, int max);\n\n Set / Get the extent on just one axis\n"},
  {(char*)"UpdateInformation",                (PyCFunction)PyvtkImageData_UpdateInformation, 1,
   (char*)"V.UpdateInformation()\nC++: virtual void UpdateInformation ();\n\n Override to copy information from pipeline information to data\n information for backward compatibility.  See\n vtkDataObject::UpdateInformation for details.\n"},
  {(char*)"SetExtent",                (PyCFunction)PyvtkImageData_SetExtent, 1,
   (char*)"V.SetExtent((int, int, int, int, int, int))\nC++: virtual void SetExtent (int extent[6]);\nV.SetExtent(int, int, int, int, int, int)\nC++: virtual void SetExtent (int x1, int x2, int y1, int y2, int z1, int z2);\n\n Set/Get the extent. On each axis, the extent is defined by the index\n of the first point and the index of the last point.  The extent should\n be set before the \"Scalars\" are set or allocated.  The Extent is\n stored in the order (X, Y, Z).\n"},
  {(char*)"GetExtent",                (PyCFunction)PyvtkImageData_GetExtent, 1,
   (char*)"V.GetExtent() -> (int, int, int, int, int, int)\nC++: int  *GetExtent ();\n\n Set/Get the extent. On each axis, the extent is defined by the index\n of the first point and the index of the last point.  The extent should\n be set before the \"Scalars\" are set or allocated.  The Extent is\n stored in the order (X, Y, Z).\n"},
  {(char*)"GetEstimatedMemorySize",                (PyCFunction)PyvtkImageData_GetEstimatedMemorySize, 1,
   (char*)"V.GetEstimatedMemorySize() -> int\nC++: virtual unsigned long GetEstimatedMemorySize ();\n\n Get the estimated size of this data object itself. Should be called\n after UpdateInformation() and PropagateUpdateExtent() have both been \n called. This estimate should be fairly accurate since this is structured\n data.\n"},
  {(char*)"GetScalarTypeMin",                (PyCFunction)PyvtkImageData_GetScalarTypeMin, 1,
   (char*)"V.GetScalarTypeMin() -> float\nC++: virtual double GetScalarTypeMin ();\n\n These returns the minimum and maximum values the ScalarType can hold\n without overflowing.\n"},
  {(char*)"GetScalarTypeMax",                (PyCFunction)PyvtkImageData_GetScalarTypeMax, 1,
   (char*)"V.GetScalarTypeMax() -> float\nC++: virtual double GetScalarTypeMax ();\n\n These returns the minimum and maximum values the ScalarType can hold\n without overflowing.\n"},
  {(char*)"GetScalarSize",                (PyCFunction)PyvtkImageData_GetScalarSize, 1,
   (char*)"V.GetScalarSize() -> int\nC++: virtual int GetScalarSize ();\n\n Set the size of the scalar type in bytes.\n"},
  {(char*)"GetIncrements",                (PyCFunction)PyvtkImageData_GetIncrements, 1,
   (char*)"V.GetIncrements() -> (int, int, int)\nC++: virtual vtkIdType *GetIncrements ();\nV.GetIncrements((int, int, int))\nC++: virtual void GetIncrements (vtkIdType inc[3]);\n\n Different ways to get the increments for moving around the data.\n GetIncrements() calls ComputeIncrements() to ensure the increments are\n up to date.\n"},
  {(char*)"GetScalarPointerForExtent",                (PyCFunction)PyvtkImageData_GetScalarPointerForExtent, 1,
   (char*)"V.GetScalarPointerForExtent((int, int, int, int, int, int)) -> string\nC++: virtual void *GetScalarPointerForExtent (int extent[6]);\n\n Access the native pointer for the scalar data\n"},
  {(char*)"GetScalarPointer",                (PyCFunction)PyvtkImageData_GetScalarPointer, 1,
   (char*)"V.GetScalarPointer((int, int, int)) -> string\nC++: virtual void *GetScalarPointer (int coordinates[3]);\nV.GetScalarPointer(int, int, int) -> string\nC++: virtual void *GetScalarPointer (int x, int y, int z);\nV.GetScalarPointer() -> string\nC++: virtual void *GetScalarPointer ();\n\n Access the native pointer for the scalar data\n"},
  {(char*)"GetScalarComponentAsFloat",                (PyCFunction)PyvtkImageData_GetScalarComponentAsFloat, 1,
   (char*)"V.GetScalarComponentAsFloat(int, int, int, int) -> float\nC++: virtual float GetScalarComponentAsFloat (int x, int y, int z, int component);\n\n For access to data from tcl\n"},
  {(char*)"SetScalarComponentFromFloat",                (PyCFunction)PyvtkImageData_SetScalarComponentFromFloat, 1,
   (char*)"V.SetScalarComponentFromFloat(int, int, int, int, float)\nC++: virtual void SetScalarComponentFromFloat (int x, int y, int z, int component, float v);\n\n For access to data from tcl\n"},
  {(char*)"GetScalarComponentAsDouble",                (PyCFunction)PyvtkImageData_GetScalarComponentAsDouble, 1,
   (char*)"V.GetScalarComponentAsDouble(int, int, int, int) -> float\nC++: virtual double GetScalarComponentAsDouble (int x, int y, int z, int component);\n\n For access to data from tcl\n"},
  {(char*)"SetScalarComponentFromDouble",                (PyCFunction)PyvtkImageData_SetScalarComponentFromDouble, 1,
   (char*)"V.SetScalarComponentFromDouble(int, int, int, int, float)\nC++: virtual void SetScalarComponentFromDouble (int x, int y, int z, int component, double v);\n\n For access to data from tcl\n"},
  {(char*)"AllocateScalars",                (PyCFunction)PyvtkImageData_AllocateScalars, 1,
   (char*)"V.AllocateScalars()\nC++: virtual void AllocateScalars ();\n\n Allocate the vtkScalars object associated with this object.\n"},
  {(char*)"CopyAndCastFrom",                (PyCFunction)PyvtkImageData_CopyAndCastFrom, 1,
   (char*)"V.CopyAndCastFrom(vtkImageData, (int, int, int, int, int, int))\nC++: virtual void CopyAndCastFrom (vtkImageData *inData, int extent[6]);\nV.CopyAndCastFrom(vtkImageData, int, int, int, int, int, int)\nC++: virtual void CopyAndCastFrom (vtkImageData *inData, int x0, int x1, int y0, int y1, int z0, int z1);int e e x0 e x1 e y0 e y1 e z0 e z1 this CopyAndCastFrom inData e \n\n This method is passed a input and output region, and executes the filter\n algorithm to fill the output from the input.\n It just executes a switch statement to call the correct function for\n the regions data types.\n"},
  {(char*)"Crop",                (PyCFunction)PyvtkImageData_Crop, 1,
   (char*)"V.Crop()\nC++: virtual void Crop ();\n\n Reallocates and copies to set the Extent to the UpdateExtent.\n This is used internally when the exact extent is requested, \n and the source generated more than the update extent. \n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkImageData_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: virtual unsigned long GetActualMemorySize ();\n\n Return the actual size of the data in kilobytes. This number\n is valid only after the pipeline has updated. The memory size\n returned is guaranteed to be greater than or equal to the\n memory required to represent the data (e.g., extra space in\n arrays, etc. are not included in the return value). THIS METHOD\n IS THREAD SAFE.\n"},
  {(char*)"SetSpacing",                (PyCFunction)PyvtkImageData_SetSpacing, 1,
   (char*)"V.SetSpacing(float, float, float)\nC++: void SetSpacing (double , double , double );\nV.SetSpacing((float, float, float))\nC++: void SetSpacing (double  a[3]);\n\n Set the spacing (width,height,length) of the cubical cells that\n compose the data set.\n"},
  {(char*)"GetSpacing",                (PyCFunction)PyvtkImageData_GetSpacing, 1,
   (char*)"V.GetSpacing() -> (float, float, float)\nC++: double  *GetSpacing ();\n\n Set the spacing (width,height,length) of the cubical cells that\n compose the data set.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkImageData_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n Set the origin of the data. The origin plus spacing determine the\n position in space of the points.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkImageData_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n Set the origin of the data. The origin plus spacing determine the\n position in space of the points.\n"},
  {(char*)"SetScalarTypeToFloat",                (PyCFunction)PyvtkImageData_SetScalarTypeToFloat, 1,
   (char*)"V.SetScalarTypeToFloat()\nC++: void SetScalarTypeToFloat ();this SetScalarType VTK_FLOAT \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToDouble",                (PyCFunction)PyvtkImageData_SetScalarTypeToDouble, 1,
   (char*)"V.SetScalarTypeToDouble()\nC++: void SetScalarTypeToDouble ();this SetScalarType VTK_DOUBLE \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToInt",                (PyCFunction)PyvtkImageData_SetScalarTypeToInt, 1,
   (char*)"V.SetScalarTypeToInt()\nC++: void SetScalarTypeToInt ();this SetScalarType VTK_INT \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToUnsignedInt",                (PyCFunction)PyvtkImageData_SetScalarTypeToUnsignedInt, 1,
   (char*)"V.SetScalarTypeToUnsignedInt()\nC++: void SetScalarTypeToUnsignedInt ();this SetScalarType VTK_UNSIGNED_INT \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToLong",                (PyCFunction)PyvtkImageData_SetScalarTypeToLong, 1,
   (char*)"V.SetScalarTypeToLong()\nC++: void SetScalarTypeToLong ();this SetScalarType VTK_LONG \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToUnsignedLong",                (PyCFunction)PyvtkImageData_SetScalarTypeToUnsignedLong, 1,
   (char*)"V.SetScalarTypeToUnsignedLong()\nC++: void SetScalarTypeToUnsignedLong ();this SetScalarType VTK_UNSIGNED_LONG \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToShort",                (PyCFunction)PyvtkImageData_SetScalarTypeToShort, 1,
   (char*)"V.SetScalarTypeToShort()\nC++: void SetScalarTypeToShort ();this SetScalarType VTK_SHORT \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToUnsignedShort",                (PyCFunction)PyvtkImageData_SetScalarTypeToUnsignedShort, 1,
   (char*)"V.SetScalarTypeToUnsignedShort()\nC++: void SetScalarTypeToUnsignedShort ();this SetScalarType VTK_UNSIGNED_SHORT \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToUnsignedChar",                (PyCFunction)PyvtkImageData_SetScalarTypeToUnsignedChar, 1,
   (char*)"V.SetScalarTypeToUnsignedChar()\nC++: void SetScalarTypeToUnsignedChar ();this SetScalarType VTK_UNSIGNED_CHAR \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarTypeToChar",                (PyCFunction)PyvtkImageData_SetScalarTypeToChar, 1,
   (char*)"V.SetScalarTypeToChar()\nC++: void SetScalarTypeToChar ();this SetScalarType VTK_CHAR \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetScalarType",                (PyCFunction)PyvtkImageData_SetScalarType, 1,
   (char*)"V.SetScalarType(int)\nC++: void SetScalarType (int );\n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"GetScalarType",                (PyCFunction)PyvtkImageData_GetScalarType, 1,
   (char*)"V.GetScalarType() -> int\nC++: int GetScalarType ();\n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"GetScalarTypeAsString",                (PyCFunction)PyvtkImageData_GetScalarTypeAsString, 1,
   (char*)"V.GetScalarTypeAsString() -> string\nC++: const char *GetScalarTypeAsString ();return vtkImageScalarTypeNameMacro this GetScalarType \n\n Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods\n are setting and getting the pipeline scalar type. i.e. they are setting\n the type that the image data will be once it has executed. Until the\n REQUEST_DATA pass the actual scalars may be of some other type. This is\n for backwards compatibility\n"},
  {(char*)"SetNumberOfScalarComponents",                (PyCFunction)PyvtkImageData_SetNumberOfScalarComponents, 1,
   (char*)"V.SetNumberOfScalarComponents(int)\nC++: void SetNumberOfScalarComponents (int n);\n\n Set/Get the number of scalar components for points. As with the\n SetScalarType method this is setting pipeline info.\n"},
  {(char*)"GetNumberOfScalarComponents",                (PyCFunction)PyvtkImageData_GetNumberOfScalarComponents, 1,
   (char*)"V.GetNumberOfScalarComponents() -> int\nC++: int GetNumberOfScalarComponents ();\n\n Set/Get the number of scalar components for points. As with the\n SetScalarType method this is setting pipeline info.\n"},
  {(char*)"CopyTypeSpecificInformation",                (PyCFunction)PyvtkImageData_CopyTypeSpecificInformation, 1,
   (char*)"V.CopyTypeSpecificInformation(vtkDataObject)\nC++: virtual void CopyTypeSpecificInformation (vtkDataObject *image);\n\n"},
  {(char*)"CopyInformationToPipeline",                (PyCFunction)PyvtkImageData_CopyInformationToPipeline, 1,
   (char*)"V.CopyInformationToPipeline(vtkInformation, vtkInformation)\nC++: virtual void CopyInformationToPipeline (vtkInformation *request, vtkInformation *input);\n\n Override these to handle origin, spacing, scalar type, and scalar\n number of components.  See vtkDataObject for details.\n"},
  {(char*)"CopyInformationFromPipeline",                (PyCFunction)PyvtkImageData_CopyInformationFromPipeline, 1,
   (char*)"V.CopyInformationFromPipeline(vtkInformation)\nC++: virtual void CopyInformationFromPipeline (vtkInformation *request);\n\n Override these to handle origin, spacing, scalar type, and scalar\n number of components.  See vtkDataObject for details.\n"},
  {(char*)"PrepareForNewData",                (PyCFunction)PyvtkImageData_PrepareForNewData, 1,
   (char*)"V.PrepareForNewData()\nC++: virtual void PrepareForNewData ();\n\n make the output data ready for new data to be inserted. For most \n objects we just call Initialize. But for image data we leave the old\n data in case the memory can be reused.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkImageData_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: virtual void ShallowCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkImageData_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: virtual void DeepCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"GetArrayPointerForExtent",                (PyCFunction)PyvtkImageData_GetArrayPointerForExtent, 1,
   (char*)"V.GetArrayPointerForExtent(vtkDataArray, (int, int, int, int, int, int)) -> string\nC++: void *GetArrayPointerForExtent (vtkDataArray *array, int extent[6]);\n\n These are convenience methods for getting a pointer\n from any filed array.  It is a start at expanding image filters\n to process any array (not just scalars).\n"},
  {(char*)"GetArrayPointer",                (PyCFunction)PyvtkImageData_GetArrayPointer, 1,
   (char*)"V.GetArrayPointer(vtkDataArray, (int, int, int)) -> string\nC++: void *GetArrayPointer (vtkDataArray *array, int coordinates[3]);\n\n These are convenience methods for getting a pointer\n from any filed array.  It is a start at expanding image filters\n to process any array (not just scalars).\n"},
  {(char*)"GetArrayIncrements",                (PyCFunction)PyvtkImageData_GetArrayIncrements, 1,
   (char*)"V.GetArrayIncrements(vtkDataArray, (int, int, int))\nC++: void GetArrayIncrements (vtkDataArray *array, vtkIdType increments[3]);\n\n Since various arrays have different number of components,\n the will have different increments.\n"},
  {(char*)"GetExtentType",                (PyCFunction)PyvtkImageData_GetExtentType, 1,
   (char*)"V.GetExtentType() -> int\nC++: virtual int GetExtentType ();return VTK_3D_EXTENT \n\n The extent type is a 3D extent\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageDataDoc[] = {
  (char*)"vtkImageData - topologically and geometrically regular array of data\n\n",
  "Super Class:\n\n vtkDataSet\n\n",
  (char*)" vtkImageData is a data object that is a concrete implementation of\n vtkDataSet. vtkImageData represents a geometric structure that is \n a topological and geometrical regular array of points. Examples include\n volumes (voxel data) and pixmaps. \n\n",
  NULL
};

static vtkObjectBase *vtkImageDataStaticNew()
{
  return vtkImageData::New();
}

PyObject *PyVTKClass_vtkImageDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageDataStaticNew,
                        PyvtkImageDataMethods,
                        (char*)"vtkImageData",modulename,
                        (char**)vtkImageDataDoc,
                        PyVTKClass_vtkDataSetNew(modulename));
}

