// python wrapper for vtkImageMultipleInputOutputFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageMultipleInputOutputFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMultipleInputOutputFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMultipleInputOutputFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageMultipleInputFilterNew(char *); }

static PyObject *PyvtkImageMultipleInputOutputFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputOutputFilter *op;

  const char    *temp20;
  if ((op = (vtkImageMultipleInputOutputFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputOutputFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputOutputFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputOutputFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageMultipleInputOutputFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputOutputFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputOutputFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputOutputFilter *op;

  vtkImageMultipleInputOutputFilter  *temp20;
  if ((op = (vtkImageMultipleInputOutputFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputOutputFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMultipleInputOutputFilter_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMultipleInputOutputFilter *op;

  int      temp0;
  vtkImageData  *temp20;
  if ((op = (vtkImageMultipleInputOutputFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputOutputFilter::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImageMultipleInputOutputFilter *op;

  vtkImageData  *temp20;
  PyErr_Clear();
  if ((op = (vtkImageMultipleInputOutputFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMultipleInputOutputFilter::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageMultipleInputOutputFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageMultipleInputOutputFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageMultipleInputOutputFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageMultipleInputOutputFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMultipleInputOutputFilter\nC++: vtkImageMultipleInputOutputFilter *NewInstance ();\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkImageMultipleInputOutputFilter_GetOutput, 1,
   (char*)"V.GetOutput(int) -> vtkImageData\nC++: vtkImageData *GetOutput (int num);\nV.GetOutput() -> vtkImageData\nC++: vtkImageData *GetOutput ();\n\n Get one input to this filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageMultipleInputOutputFilterDoc[] = {
  (char*)"vtkImageMultipleInputOutputFilter - Generic filter that has N inputs.\n\n",
  "Super Class:\n\n vtkImageMultipleInputFilter\n\n",
  (char*)" vtkImageMultipleInputOutputFilter is a super class for filters that \n have any number of inputs. Steaming is not available in this class yet.\n\n",
  "See Also:\n\n vtkImageToImageFilter vtkImageInPlaceFilter vtkImageTwoInputFilter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkImageMultipleInputOutputFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkImageMultipleInputOutputFilterMethods,
                        (char*)"vtkImageMultipleInputOutputFilter",modulename,
                        (char**)vtkImageMultipleInputOutputFilterDoc,
                        PyVTKClass_vtkImageMultipleInputFilterNew(modulename));
}

