// python wrapper for vtkImageTwoInputFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageTwoInputFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageTwoInputFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageTwoInputFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageMultipleInputFilterNew(char *); }

static PyObject *PyvtkImageTwoInputFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTwoInputFilter *op;

  const char    *temp20;
  if ((op = (vtkImageTwoInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTwoInputFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTwoInputFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTwoInputFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageTwoInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTwoInputFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTwoInputFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTwoInputFilter *op;

  vtkImageTwoInputFilter  *temp20;
  if ((op = (vtkImageTwoInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTwoInputFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTwoInputFilter_SetInput1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTwoInputFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageTwoInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTwoInputFilter::SetInput1(temp0);
      }
    else
      {
      op->SetInput1(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageTwoInputFilter_SetInput2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTwoInputFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageTwoInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTwoInputFilter::SetInput2(temp0);
      }
    else
      {
      op->SetInput2(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageTwoInputFilter_GetInput1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTwoInputFilter *op;

  vtkImageData  *temp20;
  if ((op = (vtkImageTwoInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTwoInputFilter::GetInput1();
      }
    else
      {
      temp20 = op->GetInput1();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTwoInputFilter_GetInput2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTwoInputFilter *op;

  vtkImageData  *temp20;
  if ((op = (vtkImageTwoInputFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTwoInputFilter::GetInput2();
      }
    else
      {
      temp20 = op->GetInput2();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageTwoInputFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageTwoInputFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageTwoInputFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageTwoInputFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageTwoInputFilter\nC++: vtkImageTwoInputFilter *NewInstance ();\n\n"},
  {(char*)"SetInput1",                (PyCFunction)PyvtkImageTwoInputFilter_SetInput1, 1,
   (char*)"V.SetInput1(vtkImageData)\nC++: virtual void SetInput1 (vtkImageData *input);\n\n Set the Input1 of this filter. If a ScalarType has not been set,\n then the ScalarType of the input is used.\n"},
  {(char*)"SetInput2",                (PyCFunction)PyvtkImageTwoInputFilter_SetInput2, 1,
   (char*)"V.SetInput2(vtkImageData)\nC++: virtual void SetInput2 (vtkImageData *input);\n\n Set the Input2 of this filter. If a ScalarType has not been set,\n then the ScalarType of the input is used.\n"},
  {(char*)"GetInput1",                (PyCFunction)PyvtkImageTwoInputFilter_GetInput1, 1,
   (char*)"V.GetInput1() -> vtkImageData\nC++: vtkImageData *GetInput1 ();\n\n Get the inputs to this filter.\n"},
  {(char*)"GetInput2",                (PyCFunction)PyvtkImageTwoInputFilter_GetInput2, 1,
   (char*)"V.GetInput2() -> vtkImageData\nC++: vtkImageData *GetInput2 ();\n\n Get the inputs to this filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageTwoInputFilterDoc[] = {
  (char*)"vtkImageTwoInputFilter - Generic superclass for filters that have\n\n",
  "Super Class:\n\n vtkImageMultipleInputFilter\n\n",
  (char*)" vtkImageTwoInputFilter handles two inputs.  \n It is just a subclass of vtkImageMultipleInputFilter with some\n methods that are specific to two inputs.  Although the inputs are labeled\n input1 and input2, they are stored in an array indexed starting at 0.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkImageTwoInputFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkImageTwoInputFilterMethods,
                        (char*)"vtkImageTwoInputFilter",modulename,
                        (char**)vtkImageTwoInputFilterDoc,
                        PyVTKClass_vtkImageMultipleInputFilterNew(modulename));
}

