// python wrapper for vtkImplicitVolume object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImplicitVolume.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImplicitVolumeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImplicitVolumeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }

static PyObject *PyvtkImplicitVolume_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitVolume *op;

  const char    *temp20;
  if ((op = (vtkImplicitVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitVolume::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitVolume_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitVolume *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImplicitVolume *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitVolume::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitVolume_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitVolume *op;

  vtkImplicitVolume  *temp20;
  if ((op = (vtkImplicitVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitVolume::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitVolume_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImplicitVolume  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImplicitVolume::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImplicitVolume_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitVolume *op;

  unsigned long     temp20;
  if ((op = (vtkImplicitVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitVolume::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitVolume_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitVolume *op;

  double temp0[3];
  double   temp20;
  if ((op = (vtkImplicitVolume *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitVolume::EvaluateFunction(temp0);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitVolume *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  if ((op = (vtkImplicitVolume *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitVolume::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitVolume_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitVolume *op;

  double temp0[3];
  double temp1[3];
  if ((op = (vtkImplicitVolume *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitVolume::EvaluateGradient(temp0,temp1);
      }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitVolume_SetVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitVolume *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImplicitVolume *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitVolume::SetVolume(temp0);
      }
    else
      {
      op->SetVolume(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkImplicitVolume_GetVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitVolume *op;

  vtkImageData  *temp20;
  if ((op = (vtkImplicitVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitVolume::GetVolume();
      }
    else
      {
      temp20 = op->GetVolume();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitVolume_SetOutValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitVolume *op;

  double   temp0;
  if ((op = (vtkImplicitVolume *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitVolume::SetOutValue(temp0);
      }
    else
      {
      op->SetOutValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitVolume_GetOutValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitVolume *op;

  double   temp20;
  if ((op = (vtkImplicitVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitVolume::GetOutValue();
      }
    else
      {
      temp20 = op->GetOutValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitVolume_SetOutGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitVolume *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImplicitVolume *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitVolume::SetOutGradient(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutGradient(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitVolume *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImplicitVolume *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitVolume::SetOutGradient(temp0);
      }
    else
      {
      op->SetOutGradient(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitVolume_GetOutGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitVolume *op;

  double  *temp20;
  if ((op = (vtkImplicitVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitVolume::GetOutGradient();
      }
    else
      {
      temp20 = op->GetOutGradient();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImplicitVolumeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImplicitVolume_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImplicitVolume_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImplicitVolume_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImplicitVolume\nC++: vtkImplicitVolume *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImplicitVolume_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImplicitVolume\nC++: vtkImplicitVolume *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkImplicitVolume_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Returns the mtime also considering the volume.  This also calls Update\n on the volume, and it therefore must be called before the function is\n evaluated.\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkImplicitVolume_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: double EvaluateFunction (double x[3]);\nV.EvaluateFunction(float, float, float) -> float\nC++: double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z \n\n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkImplicitVolume_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: void EvaluateGradient (double x[3], double n[3]);\n\n"},
  {(char*)"SetVolume",                (PyCFunction)PyvtkImplicitVolume_SetVolume, 1,
   (char*)"V.SetVolume(vtkImageData)\nC++: virtual void SetVolume (vtkImageData *);\n\n Specify the volume for the implicit function.\n"},
  {(char*)"GetVolume",                (PyCFunction)PyvtkImplicitVolume_GetVolume, 1,
   (char*)"V.GetVolume() -> vtkImageData\nC++: vtkImageData *GetVolume ();\n\n Specify the volume for the implicit function.\n"},
  {(char*)"SetOutValue",                (PyCFunction)PyvtkImplicitVolume_SetOutValue, 1,
   (char*)"V.SetOutValue(float)\nC++: void SetOutValue (double );\n\n Set the function value to use for points outside of the dataset.\n"},
  {(char*)"GetOutValue",                (PyCFunction)PyvtkImplicitVolume_GetOutValue, 1,
   (char*)"V.GetOutValue() -> float\nC++: double GetOutValue ();\n\n Set the function value to use for points outside of the dataset.\n"},
  {(char*)"SetOutGradient",                (PyCFunction)PyvtkImplicitVolume_SetOutGradient, 1,
   (char*)"V.SetOutGradient(float, float, float)\nC++: void SetOutGradient (double , double , double );\nV.SetOutGradient((float, float, float))\nC++: void SetOutGradient (double  a[3]);\n\n Set the function gradient to use for points outside of the dataset.\n"},
  {(char*)"GetOutGradient",                (PyCFunction)PyvtkImplicitVolume_GetOutGradient, 1,
   (char*)"V.GetOutGradient() -> (float, float, float)\nC++: double  *GetOutGradient ();\n\n Set the function gradient to use for points outside of the dataset.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImplicitVolumeDoc[] = {
  (char*)"vtkImplicitVolume - treat a volume as if it were an implicit function\n\n",
  "Super Class:\n\n vtkImplicitFunction\n\n",
  (char*)" vtkImplicitVolume treats a volume (e.g., structured point dataset)\n as if it were an implicit function. This means it computes a function\n value and gradient. vtkImplicitVolume is a concrete implementation of \n vtkImplicitFunction.\n\n vtkImplicitDataSet computes the function (at the point x) by performing \n cell interpolation. That is, it finds the cell containing x, and then\n uses the cell's inte",
  (char*)"rpolation functions to compute an interpolated\n scalar value at x. (A similar approach is used to find the\n gradient, if requested.) Points outside of the dataset are assigned \n the value of the ivar OutValue, and the gradient value OutGradient.\n\n",
  "Caveats:\n\n The input volume data is only updated when GetMTime() is called.\n Works for 3D structured points datasets, 0D-2D datasets won't work properly.\n\n",
  "See Also:\n\n vtkImplicitFunction vtkImplicitDataSet vtkClipPolyData vtkCutter\n vtkImplicitWindowFunction\n\n",
  NULL
};

static vtkObjectBase *vtkImplicitVolumeStaticNew()
{
  return vtkImplicitVolume::New();
}

PyObject *PyVTKClass_vtkImplicitVolumeNew(char *modulename)
{
  return PyVTKClass_New(&vtkImplicitVolumeStaticNew,
                        PyvtkImplicitVolumeMethods,
                        (char*)"vtkImplicitVolume",modulename,
                        (char**)vtkImplicitVolumeDoc,
                        PyVTKClass_vtkImplicitFunctionNew(modulename));
}

