// python wrapper for vtkImplicitWindowFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImplicitWindowFunction.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImplicitWindowFunctionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImplicitWindowFunctionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImplicitFunctionNew(char *); }

static PyObject *PyvtkImplicitWindowFunction_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  const char    *temp20;
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitWindowFunction::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitWindowFunction_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitWindowFunction::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitWindowFunction_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  vtkImplicitWindowFunction  *temp20;
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitWindowFunction::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitWindowFunction_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImplicitWindowFunction  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImplicitWindowFunction::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImplicitWindowFunction_EvaluateFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  double temp0[3];
  double   temp20;
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitWindowFunction::EvaluateFunction(temp0);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  PyErr_Clear();
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitWindowFunction::EvaluateFunction(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateFunction(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitWindowFunction_EvaluateGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  double temp0[3];
  double temp1[3];
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitWindowFunction::EvaluateGradient(temp0,temp1);
      }
    else
      {
      op->EvaluateGradient(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitWindowFunction_SetImplicitFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitWindowFunction::SetImplicitFunction(temp0);
      }
    else
      {
      op->SetImplicitFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkImplicitWindowFunction_GetImplicitFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  vtkImplicitFunction  *temp20;
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitWindowFunction::GetImplicitFunction();
      }
    else
      {
      temp20 = op->GetImplicitFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitWindowFunction_SetWindowRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitWindowFunction::SetWindowRange(temp0,temp1);
      }
    else
      {
      op->SetWindowRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitWindowFunction::SetWindowRange(temp0);
      }
    else
      {
      op->SetWindowRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitWindowFunction_GetWindowRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  double  *temp20;
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitWindowFunction::GetWindowRange();
      }
    else
      {
      temp20 = op->GetWindowRange();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitWindowFunction_SetWindowValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitWindowFunction::SetWindowValues(temp0,temp1);
      }
    else
      {
      op->SetWindowValues(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitWindowFunction::SetWindowValues(temp0);
      }
    else
      {
      op->SetWindowValues(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitWindowFunction_GetWindowValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  double  *temp20;
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitWindowFunction::GetWindowValues();
      }
    else
      {
      temp20 = op->GetWindowValues();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitWindowFunction_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  unsigned long     temp20;
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitWindowFunction::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitWindowFunction_Register(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitWindowFunction::Register(temp0);
      }
    else
      {
      op->Register(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkImplicitWindowFunction_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitWindowFunction *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImplicitWindowFunction *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitWindowFunction::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}

static PyMethodDef PyvtkImplicitWindowFunctionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImplicitWindowFunction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImplicitWindowFunction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImplicitWindowFunction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImplicitWindowFunction\nC++: vtkImplicitWindowFunction *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImplicitWindowFunction_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImplicitWindowFunction\nC++: vtkImplicitWindowFunction *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"EvaluateFunction",                (PyCFunction)PyvtkImplicitWindowFunction_EvaluateFunction, 1,
   (char*)"V.EvaluateFunction((float, float, float)) -> float\nC++: double EvaluateFunction (double x[3]);\nV.EvaluateFunction(float, float, float) -> float\nC++: double EvaluateFunction (double x, double y, double z);return this vtkImplicitFunction EvaluateFunction x y z \n\n"},
  {(char*)"EvaluateGradient",                (PyCFunction)PyvtkImplicitWindowFunction_EvaluateGradient, 1,
   (char*)"V.EvaluateGradient((float, float, float), (float, float, float))\nC++: void EvaluateGradient (double x[3], double n[3]);\n\n"},
  {(char*)"SetImplicitFunction",                (PyCFunction)PyvtkImplicitWindowFunction_SetImplicitFunction, 1,
   (char*)"V.SetImplicitFunction(vtkImplicitFunction)\nC++: virtual void SetImplicitFunction (vtkImplicitFunction *);\n\n Specify an implicit function to operate on.\n"},
  {(char*)"GetImplicitFunction",                (PyCFunction)PyvtkImplicitWindowFunction_GetImplicitFunction, 1,
   (char*)"V.GetImplicitFunction() -> vtkImplicitFunction\nC++: vtkImplicitFunction *GetImplicitFunction ();\n\n Specify an implicit function to operate on.\n"},
  {(char*)"SetWindowRange",                (PyCFunction)PyvtkImplicitWindowFunction_SetWindowRange, 1,
   (char*)"V.SetWindowRange(float, float)\nC++: void SetWindowRange (double , double );\nV.SetWindowRange((float, float))\nC++: void SetWindowRange (double  a[2]);\n\n Specify the range of function values which are considered to lie within\n the window. WindowRange[0] is assumed to be less than WindowRange[1].\n"},
  {(char*)"GetWindowRange",                (PyCFunction)PyvtkImplicitWindowFunction_GetWindowRange, 1,
   (char*)"V.GetWindowRange() -> (float, float)\nC++: double  *GetWindowRange ();\n\n Specify the range of function values which are considered to lie within\n the window. WindowRange[0] is assumed to be less than WindowRange[1].\n"},
  {(char*)"SetWindowValues",                (PyCFunction)PyvtkImplicitWindowFunction_SetWindowValues, 1,
   (char*)"V.SetWindowValues(float, float)\nC++: void SetWindowValues (double , double );\nV.SetWindowValues((float, float))\nC++: void SetWindowValues (double  a[2]);\n\n Specify the range of output values that the window range is mapped\n into. This is effectively a scaling and shifting of the original\n function values.\n"},
  {(char*)"GetWindowValues",                (PyCFunction)PyvtkImplicitWindowFunction_GetWindowValues, 1,
   (char*)"V.GetWindowValues() -> (float, float)\nC++: double  *GetWindowValues ();\n\n Specify the range of output values that the window range is mapped\n into. This is effectively a scaling and shifting of the original\n function values.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkImplicitWindowFunction_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override modified time retrieval because of object dependencies.\n"},
  {(char*)"Register",                (PyCFunction)PyvtkImplicitWindowFunction_Register, 1,
   (char*)"V.Register(vtkObjectBase)\nC++: virtual void Register (vtkObjectBase *o);\n\n Participate in garbage collection.\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkImplicitWindowFunction_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *o);\n\n Participate in garbage collection.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImplicitWindowFunctionDoc[] = {
  (char*)"vtkImplicitWindowFunction - implicit function maps another implicit function to lie within a specified range\n\n",
  "Super Class:\n\n vtkImplicitFunction\n\n",
  (char*)" vtkImplicitWindowFunction is used to modify the output of another\n implicit function to lie within a specified \"window\", or function\n range. This can be used to add \"thickness\" to cutting or clipping\n functions. \n\n This class works as follows. First, it evaluates the function value of the \n user-specified implicit function. Then, based on the window range specified,\n it maps the function value in",
  (char*)"to the window values specified. \n\n\n",
  "See Also:\n\n vtkImplicitFunction\n\n",
  NULL
};

static vtkObjectBase *vtkImplicitWindowFunctionStaticNew()
{
  return vtkImplicitWindowFunction::New();
}

PyObject *PyVTKClass_vtkImplicitWindowFunctionNew(char *modulename)
{
  return PyVTKClass_New(&vtkImplicitWindowFunctionStaticNew,
                        PyvtkImplicitWindowFunctionMethods,
                        (char*)"vtkImplicitWindowFunction",modulename,
                        (char**)vtkImplicitWindowFunctionDoc,
                        PyVTKClass_vtkImplicitFunctionNew(modulename));
}

