// python wrapper for vtkInformationExecutivePortKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkInformationExecutivePortKey.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInformationExecutivePortKeyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInformationExecutivePortKeyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInformationKeyNew(char *); }

static PyObject *PyvtkInformationExecutivePortKey_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationExecutivePortKey *op;

  const char    *temp20;
  if ((op = (vtkInformationExecutivePortKey *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationExecutivePortKey::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationExecutivePortKey_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationExecutivePortKey *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkInformationExecutivePortKey *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationExecutivePortKey::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationExecutivePortKey_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationExecutivePortKey *op;

  vtkInformationExecutivePortKey  *temp20;
  if ((op = (vtkInformationExecutivePortKey *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationExecutivePortKey::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationExecutivePortKey_Set(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationExecutivePortKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkExecutive  *temp1;
  PyObject *tempH1;
  int      temp2;
  if ((op = (vtkInformationExecutivePortKey *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break3;
    temp1 = (vtkExecutive *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkExecutive");
    if (!temp1 && tempH1 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationExecutivePortKey::Set(temp0,temp1,temp2);
      }
    else
      {
      op->Set(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInformationExecutivePortKey_GetExecutive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationExecutivePortKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkExecutive  *temp20;
  if ((op = (vtkInformationExecutivePortKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationExecutivePortKey::GetExecutive(temp0);
      }
    else
      {
      temp20 = op->GetExecutive(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInformationExecutivePortKey_GetPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationExecutivePortKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkInformationExecutivePortKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationExecutivePortKey::GetPort(temp0);
      }
    else
      {
      temp20 = op->GetPort(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkInformationExecutivePortKey_Has(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationExecutivePortKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkInformationExecutivePortKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationExecutivePortKey::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkInformationExecutivePortKey_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationExecutivePortKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  if ((op = (vtkInformationExecutivePortKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationExecutivePortKey::ShallowCopy(temp0,temp1);
      }
    else
      {
      op->ShallowCopy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkInformationExecutivePortKey_Report(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationExecutivePortKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkGarbageCollector  *temp1;
  PyObject *tempH1;
  if ((op = (vtkInformationExecutivePortKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkGarbageCollector *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGarbageCollector");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationExecutivePortKey::Report(temp0,temp1);
      }
    else
      {
      op->Report(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}

static PyMethodDef PyvtkInformationExecutivePortKeyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInformationExecutivePortKey_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInformationExecutivePortKey_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInformationExecutivePortKey_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInformationExecutivePortKey\nC++: vtkInformationExecutivePortKey *NewInstance ();\n\n"},
  {(char*)"Set",                (PyCFunction)PyvtkInformationExecutivePortKey_Set, 1,
   (char*)"V.Set(vtkInformation, vtkExecutive, int)\nC++: void Set (vtkInformation *info, vtkExecutive *, int );\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"GetExecutive",                (PyCFunction)PyvtkInformationExecutivePortKey_GetExecutive, 1,
   (char*)"V.GetExecutive(vtkInformation) -> vtkExecutive\nC++: vtkExecutive *GetExecutive (vtkInformation *info);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"GetPort",                (PyCFunction)PyvtkInformationExecutivePortKey_GetPort, 1,
   (char*)"V.GetPort(vtkInformation) -> int\nC++: int GetPort (vtkInformation *info);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"Has",                (PyCFunction)PyvtkInformationExecutivePortKey_Has, 1,
   (char*)"V.Has(vtkInformation) -> int\nC++: int Has (vtkInformation *info);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkInformationExecutivePortKey_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkInformation, vtkInformation)\nC++: virtual void ShallowCopy (vtkInformation *from, vtkInformation *to);\n\n Copy the entry associated with this key from one information\n object to another.  If there is no entry in the first information\n object for this key, the value is removed from the second.\n"},
  {(char*)"Report",                (PyCFunction)PyvtkInformationExecutivePortKey_Report, 1,
   (char*)"V.Report(vtkInformation, vtkGarbageCollector)\nC++: virtual void Report (vtkInformation *info, vtkGarbageCollector *collector);\n\n Report a reference this key has in the given information object.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInformationExecutivePortKeyDoc[] = {
  (char*)"vtkInformationExecutivePortKey - Key for vtkExecutive/Port value pairs.\n\n",
  "Super Class:\n\n vtkInformationKey\n\n",
  (char*)" vtkInformationExecutivePortKey is used to represent keys in\n vtkInformation for values that are vtkExecutive instances paired\n with port numbers.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkInformationExecutivePortKeyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkInformationExecutivePortKeyMethods,
                        (char*)"vtkInformationExecutivePortKey",modulename,
                        (char**)vtkInformationExecutivePortKeyDoc,
                        PyVTKClass_vtkInformationKeyNew(modulename));
}

