// tcl wrapper for vtkInformationExecutivePortKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformationExecutivePortKey.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkInformationKeyCppCommand(vtkInformationKey *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInformationExecutivePortKeyCppCommand(vtkInformationExecutivePortKey *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInformationExecutivePortKeyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInformationExecutivePortKeyCppCommand((vtkInformationExecutivePortKey *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInformationExecutivePortKeyCppCommand(vtkInformationExecutivePortKey *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInformationExecutivePortKey",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkInformationKeyCppCommand((vtkInformationKey *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkInformationKey", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInformationExecutivePortKey  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationExecutivePortKey");
    return TCL_OK;
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkExecutive  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkExecutive",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->Set(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExecutive",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    vtkExecutive  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    temp20 = (op)->GetExecutive(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkExecutive");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPort",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    temp20 = (op)->GetPort(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    vtkInformation  *temp1;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Report",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    vtkGarbageCollector  *temp1;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkGarbageCollector *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkGarbageCollector",interp,error));
    if (!error)
    {
    op->Report(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkInformationExecutivePortKeyCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkInformationKeyCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInformationExecutivePortKey:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetExecutive\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Report\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (vtkInformationKeyCppCommand((vtkInformationKey *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
