// python wrapper for vtkInformationIdTypeKey object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkInformationIdTypeKey.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInformationIdTypeKeyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInformationIdTypeKeyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInformationKeyNew(char *); }

static PyObject *PyvtkInformationIdTypeKey_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIdTypeKey *op;

  const char    *temp20;
  if ((op = (vtkInformationIdTypeKey *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationIdTypeKey::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationIdTypeKey_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIdTypeKey *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkInformationIdTypeKey *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationIdTypeKey::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationIdTypeKey_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIdTypeKey *op;

  vtkInformationIdTypeKey  *temp20;
  if ((op = (vtkInformationIdTypeKey *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationIdTypeKey::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformationIdTypeKey_Set(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIdTypeKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  if ((op = (vtkInformationIdTypeKey *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationIdTypeKey::Set(temp0,temp1);
      }
    else
      {
      op->Set(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInformationIdTypeKey_Get(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIdTypeKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkIdType   temp20;
  if ((op = (vtkInformationIdTypeKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationIdTypeKey::Get(temp0);
      }
    else
      {
      temp20 = op->Get(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInformationIdTypeKey_Has(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIdTypeKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkInformationIdTypeKey *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformationIdTypeKey::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkInformationIdTypeKey_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationIdTypeKey *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  if ((op = (vtkInformationIdTypeKey *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformationIdTypeKey::ShallowCopy(temp0,temp1);
      }
    else
      {
      op->ShallowCopy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkInformationIdTypeKeyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInformationIdTypeKey_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInformationIdTypeKey_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInformationIdTypeKey_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInformationIdTypeKey\nC++: vtkInformationIdTypeKey *NewInstance ();\n\n"},
  {(char*)"Set",                (PyCFunction)PyvtkInformationIdTypeKey_Set, 1,
   (char*)"V.Set(vtkInformation, int)\nC++: void Set (vtkInformation *info, vtkIdType );\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"Get",                (PyCFunction)PyvtkInformationIdTypeKey_Get, 1,
   (char*)"V.Get(vtkInformation) -> int\nC++: vtkIdType Get (vtkInformation *info);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"Has",                (PyCFunction)PyvtkInformationIdTypeKey_Has, 1,
   (char*)"V.Has(vtkInformation) -> int\nC++: int Has (vtkInformation *info);\n\n Get/Set the value associated with this key in the given\n information object.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkInformationIdTypeKey_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkInformation, vtkInformation)\nC++: virtual void ShallowCopy (vtkInformation *from, vtkInformation *to);\n\n Copy the entry associated with this key from one information\n object to another.  If there is no entry in the first information\n object for this key, the value is removed from the second.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInformationIdTypeKeyDoc[] = {
  (char*)"vtkInformationIdTypeKey - Key for vtkIdType values in vtkInformation.\n\n",
  "Super Class:\n\n vtkInformationKey\n\n",
  (char*)" vtkInformationIdTypeKey is used to represent keys for vtkIdType values\n in vtkInformation.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkInformationIdTypeKeyNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkInformationIdTypeKeyMethods,
                        (char*)"vtkInformationIdTypeKey",modulename,
                        (char**)vtkInformationIdTypeKeyDoc,
                        PyVTKClass_vtkInformationKeyNew(modulename));
}

