// python wrapper for vtkInformation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkInformation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInformationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInformationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkInformation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  const char    *temp20;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInformation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformation  *temp20;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInformation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInformation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInformation_Clear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Clear();
      }
    else
      {
      op->Clear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInformation_Copy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Copy(temp0,temp1);
      }
    else
      {
      op->Copy(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkInformation_CopyEntry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp1;
  PyObject *tempH1;
  int      temp2;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkInformationKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationKey");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::CopyEntry(temp0,temp1,temp2);
      }
    else
      {
      op->CopyEntry(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationDataObjectKey  *temp1;
  PyObject *tempH1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkInformationDataObjectKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationDataObjectKey");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::CopyEntry(temp0,temp1,temp2);
      }
    else
      {
      op->CopyEntry(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationDoubleVectorKey  *temp1;
  PyObject *tempH1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkInformationDoubleVectorKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationDoubleVectorKey");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::CopyEntry(temp0,temp1,temp2);
      }
    else
      {
      op->CopyEntry(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationExecutivePortKey  *temp1;
  PyObject *tempH1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break9;
    temp1 = (vtkInformationExecutivePortKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationExecutivePortKey");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::CopyEntry(temp0,temp1,temp2);
      }
    else
      {
      op->CopyEntry(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationInformationKey  *temp1;
  PyObject *tempH1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break10;
    temp1 = (vtkInformationInformationKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationInformationKey");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::CopyEntry(temp0,temp1,temp2);
      }
    else
      {
      op->CopyEntry(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationInformationVectorKey  *temp1;
  PyObject *tempH1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break11;
    temp1 = (vtkInformationInformationVectorKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationInformationVectorKey");
    if (!temp1 && tempH1 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::CopyEntry(temp0,temp1,temp2);
      }
    else
      {
      op->CopyEntry(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationIntegerKey  *temp1;
  PyObject *tempH1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break12;
    temp1 = (vtkInformationIntegerKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationIntegerKey");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::CopyEntry(temp0,temp1,temp2);
      }
    else
      {
      op->CopyEntry(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationIntegerVectorKey  *temp1;
  PyObject *tempH1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break13;
    temp1 = (vtkInformationIntegerVectorKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationIntegerVectorKey");
    if (!temp1 && tempH1 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::CopyEntry(temp0,temp1,temp2);
      }
    else
      {
      op->CopyEntry(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationRequestKey  *temp1;
  PyObject *tempH1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break14;
    temp1 = (vtkInformationRequestKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationRequestKey");
    if (!temp1 && tempH1 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::CopyEntry(temp0,temp1,temp2);
      }
    else
      {
      op->CopyEntry(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationStringKey  *temp1;
  PyObject *tempH1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break15;
    temp1 = (vtkInformationStringKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationStringKey");
    if (!temp1 && tempH1 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::CopyEntry(temp0,temp1,temp2);
      }
    else
      {
      op->CopyEntry(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationUnsignedLongKey  *temp1;
  PyObject *tempH1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break16;
    temp1 = (vtkInformationUnsignedLongKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationUnsignedLongKey");
    if (!temp1 && tempH1 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::CopyEntry(temp0,temp1,temp2);
      }
    else
      {
      op->CopyEntry(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkInformation_CopyEntries(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  vtkInformationKeyVectorKey  *temp1;
  PyObject *tempH1;
  int      temp2;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break17;
    temp1 = (vtkInformationKeyVectorKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationKeyVectorKey");
    if (!temp1 && tempH1 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::CopyEntries(temp0,temp1,temp2);
      }
    else
      {
      op->CopyEntries(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkInformation_Set(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationRequestKey  *temp0;
  PyObject *tempH0;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationRequestKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationRequestKey");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0);
      }
    else
      {
      op->Set(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIntegerKey  *temp0;
  PyObject *tempH0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformationIntegerKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerKey");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0,temp1);
      }
    else
      {
      op->Set(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIdTypeKey  *temp0;
  PyObject *tempH0;
  vtkIdType   temp1;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformationIdTypeKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIdTypeKey");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0,temp1);
      }
    else
      {
      op->Set(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationDoubleKey  *temp0;
  PyObject *tempH0;
  double   temp1;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"Od", &tempH0, &temp1)))
    {
    temp0 = (vtkInformationDoubleKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDoubleKey");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0,temp1);
      }
    else
      {
      op->Set(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIntegerVectorKey  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp3;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"Oiii", &tempH0, &temp1, &temp2, &temp3)))
    {
    temp0 = (vtkInformationIntegerVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->Set(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break34:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIntegerVectorKey  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"Oiiiiii", &tempH0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6)))
    {
    temp0 = (vtkInformationIntegerVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break35;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      op->Set(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break35:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationUnsignedLongKey  *temp0;
  PyObject *tempH0;
  unsigned long     temp1;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"Ol", &tempH0, &temp1)))
    {
    temp0 = (vtkInformationUnsignedLongKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationUnsignedLongKey");
    if (!temp0 && tempH0 != Py_None) goto break42;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0,temp1);
      }
    else
      {
      op->Set(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break42:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationDoubleVectorKey  *temp0;
  PyObject *tempH0;
  double   temp1;
  double   temp2;
  double   temp3;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"Oddd", &tempH0, &temp1, &temp2, &temp3)))
    {
    temp0 = (vtkInformationDoubleVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDoubleVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break47;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->Set(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break47:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationDoubleVectorKey  *temp0;
  PyObject *tempH0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"Odddddd", &tempH0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6)))
    {
    temp0 = (vtkInformationDoubleVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDoubleVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break48;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      op->Set(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break48:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationStringKey  *temp0;
  PyObject *tempH0;
  char    *temp1;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"Oz", &tempH0, &temp1)))
    {
    temp0 = (vtkInformationStringKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationStringKey");
    if (!temp0 && tempH0 != Py_None) goto break58;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0,temp1);
      }
    else
      {
      op->Set(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break58:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationInformationKey  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkInformationInformationKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationInformationKey");
    if (!temp0 && tempH0 != Py_None) goto break62;
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break62;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0,temp1);
      }
    else
      {
      op->Set(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break62:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationInformationVectorKey  *temp0;
  PyObject *tempH0;
  vtkInformationVector  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkInformationInformationVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationInformationVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break66;
    temp1 = (vtkInformationVector *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationVector");
    if (!temp1 && tempH1 != Py_None) goto break66;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0,temp1);
      }
    else
      {
      op->Set(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break66:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationObjectBaseKey  *temp0;
  PyObject *tempH0;
  vtkObjectBase  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkInformationObjectBaseKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationObjectBaseKey");
    if (!temp0 && tempH0 != Py_None) goto break70;
    temp1 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkObjectBase");
    if (!temp1 && tempH1 != Py_None) goto break70;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0,temp1);
      }
    else
      {
      op->Set(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break70:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationDataObjectKey  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkInformationDataObjectKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDataObjectKey");
    if (!temp0 && tempH0 != Py_None) goto break74;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break74;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0,temp1);
      }
    else
      {
      op->Set(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break74:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationExecutivePortKey  *temp0;
  PyObject *tempH0;
  vtkExecutive  *temp1;
  PyObject *tempH1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformationExecutivePortKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationExecutivePortKey");
    if (!temp0 && tempH0 != Py_None) goto break78;
    temp1 = (vtkExecutive *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkExecutive");
    if (!temp1 && tempH1 != Py_None) goto break78;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Set(temp0,temp1,temp2);
      }
    else
      {
      op->Set(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break78:
  return NULL;
}


static PyObject *PyvtkInformation_Remove(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationRequestKey  *temp0;
  PyObject *tempH0;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationRequestKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationRequestKey");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIntegerKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationIntegerKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerKey");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIdTypeKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationIdTypeKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIdTypeKey");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationDoubleKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationDoubleKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDoubleKey");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIntegerVectorKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationIntegerVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break37;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break37:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIntegerPointerKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationIntegerPointerKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerPointerKey");
    if (!temp0 && tempH0 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break40:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationUnsignedLongKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationUnsignedLongKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationUnsignedLongKey");
    if (!temp0 && tempH0 != Py_None) goto break44;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break44:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationDoubleVectorKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationDoubleVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDoubleVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break50;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break50:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationKeyVectorKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkInformationKeyVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationKeyVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break54;
    temp1 = (vtkInformationKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationKey");
    if (!temp1 && tempH1 != Py_None) goto break54;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0,temp1);
      }
    else
      {
      op->Remove(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break54:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationKeyVectorKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationKeyVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationKeyVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break56;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break56:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationStringKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationStringKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationStringKey");
    if (!temp0 && tempH0 != Py_None) goto break60;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break60:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationInformationKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationInformationKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationInformationKey");
    if (!temp0 && tempH0 != Py_None) goto break64;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break64:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationInformationVectorKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationInformationVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationInformationVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break68;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break68:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationObjectBaseKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationObjectBaseKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationObjectBaseKey");
    if (!temp0 && tempH0 != Py_None) goto break72;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break72:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationDataObjectKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationDataObjectKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDataObjectKey");
    if (!temp0 && tempH0 != Py_None) goto break76;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break76:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationExecutivePortKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationExecutivePortKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationExecutivePortKey");
    if (!temp0 && tempH0 != Py_None) goto break81;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break81:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationExecutivePortVectorKey  *temp0;
  PyObject *tempH0;
  vtkExecutive  *temp1;
  PyObject *tempH1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformationExecutivePortVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationExecutivePortVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break84;
    temp1 = (vtkExecutive *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkExecutive");
    if (!temp1 && tempH1 != Py_None) goto break84;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0,temp1,temp2);
      }
    else
      {
      op->Remove(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break84:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationExecutivePortVectorKey  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationExecutivePortVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationExecutivePortVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break86;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Remove(temp0);
      }
    else
      {
      op->Remove(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break86:
  return NULL;
}


static PyObject *PyvtkInformation_Has(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationRequestKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationRequestKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationRequestKey");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break20:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIntegerKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationIntegerKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerKey");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break24:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIdTypeKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationIdTypeKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIdTypeKey");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break28:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationDoubleKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationDoubleKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDoubleKey");
    if (!temp0 && tempH0 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break32:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIntegerVectorKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationIntegerVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break38:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIntegerPointerKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationIntegerPointerKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerPointerKey");
    if (!temp0 && tempH0 != Py_None) goto break41;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break41:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationUnsignedLongKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationUnsignedLongKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationUnsignedLongKey");
    if (!temp0 && tempH0 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break45:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationDoubleVectorKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationDoubleVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDoubleVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break51;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break51:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationKeyVectorKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationKeyVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationKeyVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break57;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break57:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationStringKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationStringKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationStringKey");
    if (!temp0 && tempH0 != Py_None) goto break61;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break61:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationInformationKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationInformationKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationInformationKey");
    if (!temp0 && tempH0 != Py_None) goto break65;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break65:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationInformationVectorKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationInformationVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationInformationVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break69;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break69:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationObjectBaseKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationObjectBaseKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationObjectBaseKey");
    if (!temp0 && tempH0 != Py_None) goto break73;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break73:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationDataObjectKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationDataObjectKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDataObjectKey");
    if (!temp0 && tempH0 != Py_None) goto break77;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break77:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationExecutivePortKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationExecutivePortKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationExecutivePortKey");
    if (!temp0 && tempH0 != Py_None) goto break82;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break82:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationExecutivePortVectorKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationExecutivePortVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationExecutivePortVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break87;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Has(temp0);
      }
    else
      {
      temp20 = op->Has(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break87:
  return NULL;
}


static PyObject *PyvtkInformation_Get(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIntegerKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationIntegerKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerKey");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Get(temp0);
      }
    else
      {
      temp20 = op->Get(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break22:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIdTypeKey  *temp0;
  PyObject *tempH0;
  vtkIdType   temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationIdTypeKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIdTypeKey");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Get(temp0);
      }
    else
      {
      temp20 = op->Get(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break26:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationDoubleKey  *temp0;
  PyObject *tempH0;
  double   temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationDoubleKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDoubleKey");
    if (!temp0 && tempH0 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Get(temp0);
      }
    else
      {
      temp20 = op->Get(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break30:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationUnsignedLongKey  *temp0;
  PyObject *tempH0;
  unsigned long     temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationUnsignedLongKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationUnsignedLongKey");
    if (!temp0 && tempH0 != Py_None) goto break43;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Get(temp0);
      }
    else
      {
      temp20 = op->Get(temp0);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
 break43:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationStringKey  *temp0;
  PyObject *tempH0;
  const char    *temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationStringKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationStringKey");
    if (!temp0 && tempH0 != Py_None) goto break59;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Get(temp0);
      }
    else
      {
      temp20 = op->Get(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
 break59:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationInformationKey  *temp0;
  PyObject *tempH0;
  vtkInformation  *temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationInformationKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationInformationKey");
    if (!temp0 && tempH0 != Py_None) goto break63;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Get(temp0);
      }
    else
      {
      temp20 = op->Get(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break63:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationInformationVectorKey  *temp0;
  PyObject *tempH0;
  vtkInformationVector  *temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationInformationVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationInformationVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break67;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Get(temp0);
      }
    else
      {
      temp20 = op->Get(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break67:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationObjectBaseKey  *temp0;
  PyObject *tempH0;
  vtkObjectBase  *temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationObjectBaseKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationObjectBaseKey");
    if (!temp0 && tempH0 != Py_None) goto break71;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Get(temp0);
      }
    else
      {
      temp20 = op->Get(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break71:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationDataObjectKey  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationDataObjectKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDataObjectKey");
    if (!temp0 && tempH0 != Py_None) goto break75;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Get(temp0);
      }
    else
      {
      temp20 = op->Get(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break75:
  return NULL;
}


static PyObject *PyvtkInformation_Append(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIntegerVectorKey  *temp0;
  PyObject *tempH0;
  int      temp1;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformationIntegerVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break33;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Append(temp0,temp1);
      }
    else
      {
      op->Append(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break33:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationDoubleVectorKey  *temp0;
  PyObject *tempH0;
  double   temp1;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"Od", &tempH0, &temp1)))
    {
    temp0 = (vtkInformationDoubleVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDoubleVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break46;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Append(temp0,temp1);
      }
    else
      {
      op->Append(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break46:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationKeyVectorKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkInformationKeyVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationKeyVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break52;
    temp1 = (vtkInformationKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationKey");
    if (!temp1 && tempH1 != Py_None) goto break52;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Append(temp0,temp1);
      }
    else
      {
      op->Append(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break52:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationExecutivePortVectorKey  *temp0;
  PyObject *tempH0;
  vtkExecutive  *temp1;
  PyObject *tempH1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkInformationExecutivePortVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationExecutivePortVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break83;
    temp1 = (vtkExecutive *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkExecutive");
    if (!temp1 && tempH1 != Py_None) goto break83;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Append(temp0,temp1,temp2);
      }
    else
      {
      op->Append(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break83:
  return NULL;
}


static PyObject *PyvtkInformation_Length(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIntegerVectorKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationIntegerVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Length(temp0);
      }
    else
      {
      temp20 = op->Length(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break36:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationIntegerPointerKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationIntegerPointerKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerPointerKey");
    if (!temp0 && tempH0 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Length(temp0);
      }
    else
      {
      temp20 = op->Length(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break39:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationDoubleVectorKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationDoubleVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDoubleVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break49;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Length(temp0);
      }
    else
      {
      temp20 = op->Length(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break49:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationKeyVectorKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationKeyVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationKeyVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break55;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Length(temp0);
      }
    else
      {
      temp20 = op->Length(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break55:
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationExecutivePortVectorKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationExecutivePortVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationExecutivePortVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break85;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::Length(temp0);
      }
    else
      {
      temp20 = op->Length(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break85:
  return NULL;
}


static PyObject *PyvtkInformation_AppendUnique(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationKeyVectorKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp1;
  PyObject *tempH1;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkInformationKeyVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationKeyVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break53;
    temp1 = (vtkInformationKey *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformationKey");
    if (!temp1 && tempH1 != Py_None) goto break53;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::AppendUnique(temp0,temp1);
      }
    else
      {
      op->AppendUnique(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break53:
  return NULL;
}


static PyObject *PyvtkInformation_GetExecutive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationExecutivePortKey  *temp0;
  PyObject *tempH0;
  vtkExecutive  *temp20;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationExecutivePortKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationExecutivePortKey");
    if (!temp0 && tempH0 != Py_None) goto break79;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::GetExecutive(temp0);
      }
    else
      {
      temp20 = op->GetExecutive(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break79:
  return NULL;
}


static PyObject *PyvtkInformation_GetPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationExecutivePortKey  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationExecutivePortKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationExecutivePortKey");
    if (!temp0 && tempH0 != Py_None) goto break80;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::GetPort(temp0);
      }
    else
      {
      temp20 = op->GetPort(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break80:
  return NULL;
}


static PyObject *PyvtkInformation_GetKey(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformationDataObjectKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationDataObjectKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDataObjectKey");
    if (!temp0 && tempH0 != Py_None) goto break88;
      {
      temp20 = vtkInformation::GetKey(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break88:
  /* handle an occurrence */
  {
  vtkInformationDoubleKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationDoubleKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDoubleKey");
    if (!temp0 && tempH0 != Py_None) goto break89;
      {
      temp20 = vtkInformation::GetKey(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break89:
  /* handle an occurrence */
  {
  vtkInformationDoubleVectorKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationDoubleVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationDoubleVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break90;
      {
      temp20 = vtkInformation::GetKey(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break90:
  /* handle an occurrence */
  {
  vtkInformationExecutivePortKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationExecutivePortKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationExecutivePortKey");
    if (!temp0 && tempH0 != Py_None) goto break91;
      {
      temp20 = vtkInformation::GetKey(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break91:
  /* handle an occurrence */
  {
  vtkInformationInformationKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationInformationKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationInformationKey");
    if (!temp0 && tempH0 != Py_None) goto break92;
      {
      temp20 = vtkInformation::GetKey(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break92:
  /* handle an occurrence */
  {
  vtkInformationInformationVectorKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationInformationVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationInformationVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break93;
      {
      temp20 = vtkInformation::GetKey(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break93:
  /* handle an occurrence */
  {
  vtkInformationIntegerKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationIntegerKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerKey");
    if (!temp0 && tempH0 != Py_None) goto break94;
      {
      temp20 = vtkInformation::GetKey(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break94:
  /* handle an occurrence */
  {
  vtkInformationIntegerVectorKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationIntegerVectorKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationIntegerVectorKey");
    if (!temp0 && tempH0 != Py_None) goto break95;
      {
      temp20 = vtkInformation::GetKey(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break95:
  /* handle an occurrence */
  {
  vtkInformationRequestKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationRequestKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationRequestKey");
    if (!temp0 && tempH0 != Py_None) goto break96;
      {
      temp20 = vtkInformation::GetKey(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break96:
  /* handle an occurrence */
  {
  vtkInformationStringKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationStringKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationStringKey");
    if (!temp0 && tempH0 != Py_None) goto break97;
      {
      temp20 = vtkInformation::GetKey(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break97:
  /* handle an occurrence */
  {
  vtkInformationKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationKey");
    if (!temp0 && tempH0 != Py_None) goto break98;
      {
      temp20 = vtkInformation::GetKey(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break98:
  /* handle an occurrence */
  {
  vtkInformationUnsignedLongKey  *temp0;
  PyObject *tempH0;
  vtkInformationKey  *temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationUnsignedLongKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationUnsignedLongKey");
    if (!temp0 && tempH0 != Py_None) goto break99;
      {
      temp20 = vtkInformation::GetKey(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break99:
  return NULL;
}


static PyObject *PyvtkInformation_Register(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break100;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::Register(temp0);
      }
    else
      {
      op->Register(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break100:
  return NULL;
}


static PyObject *PyvtkInformation_UnRegister(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkObjectBase  *temp0;
  PyObject *tempH0;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObjectBase *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObjectBase");
    if (!temp0 && tempH0 != Py_None) goto break101;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::UnRegister(temp0);
      }
    else
      {
      op->UnRegister(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break101:
  return NULL;
}


static PyObject *PyvtkInformation_SetRequest(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationRequestKey  *temp0;
  PyObject *tempH0;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInformationRequestKey *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformationRequestKey");
    if (!temp0 && tempH0 != Py_None) goto break102;
    if (PyVTKClass_Check(self))
      {
      op->vtkInformation::SetRequest(temp0);
      }
    else
      {
      op->SetRequest(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break102:
  return NULL;
}


static PyObject *PyvtkInformation_GetRequest(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInformation *op;

  vtkInformationRequestKey  *temp20;
  if ((op = (vtkInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInformation::GetRequest();
      }
    else
      {
      temp20 = op->GetRequest();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkInformationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInformation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInformation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInformation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInformation\nC++: vtkInformation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInformation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInformation\nC++: vtkInformation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Clear",                (PyCFunction)PyvtkInformation_Clear, 1,
   (char*)"V.Clear()\nC++: void Clear ();\n\n Clear all information entries.\n"},
  {(char*)"Copy",                (PyCFunction)PyvtkInformation_Copy, 1,
   (char*)"V.Copy(vtkInformation, int)\nC++: void Copy (vtkInformation *from, int deep);\n\n Copy all information entries from the given vtkInformation\n instance.  Any previously existing entries are removed.  If \n deep==1, a deep copy of the information structure is performed (new \n instances of any contained vtkInformation and vtkInformationVector \n objects are created).\n"},
  {(char*)"CopyEntry",                (PyCFunction)PyvtkInformation_CopyEntry, 1,
   (char*)"V.CopyEntry(vtkInformation, vtkInformationKey, int)\nC++: void CopyEntry (vtkInformation *from, vtkInformationKey *key, int deep);\nV.CopyEntry(vtkInformation, vtkInformationDataObjectKey, int)\nC++: void CopyEntry (vtkInformation *from, vtkInformationDataObjectKey *key, int deep);\nV.CopyEntry(vtkInformation, vtkInformationDoubleVectorKey, int)\nC++: void CopyEntry (vtkInformation *from, vtkInformationDoubleVectorKey *key, int deep);\nV.CopyEntry(vtkInformation, vtkInformationExecutivePortKey, int)\nC++: void CopyEntry (vtkInformation *from, vtkInformationExecutivePortKey *key, int deep);\nV.CopyEntry(vtkInformation, vtkInformationInformationKey, int)\nC++: void CopyEntry (vtkInformation *from, vtkInformationInformationKey *key, int deep);\nV.CopyEntry(vtkInformation, vtkInformationInformationVectorKey, int)\nC++: void CopyEntry (vtkInformation *from, vtkInformationInformationVectorKey *key, int deep);\nV.CopyEntry(vtkInformation, vtkInformationIntegerKey, int)\nC++: void CopyEntry (vtkInformation *from, vtkInformationIntegerKey *key, int deep);\nV.CopyEntry(vtkInformation, vtkInformationIntegerVectorKey, int)\nC++: void CopyEntry (vtkInformation *from, vtkInformationIntegerVectorKey *key, int deep);\nV.CopyEntry(vtkInformation, vtkInformationRequestKey, int)\nC++: void CopyEntry (vtkInformation *from, vtkInformationRequestKey *key, int deep);\nV.CopyEntry(vtkInformation, vtkInformationStringKey, int)\nC++: void CopyEntry (vtkInformation *from, vtkInformationStringKey *key, int deep);\nV.CopyEntry(vtkInformation, vtkInformationUnsignedLongKey, int)\nC++: void CopyEntry (vtkInformation *from, vtkInformationUnsignedLongKey *key, int deep);\n\n Copy the key/value pair associated with the given key in the\n given information object.  If deep=1, a deep copy of the information\n structure is performed (new instances of any contained vtkInformation and \n vtkInformationVector objects are created).\n"},
  {(char*)"CopyEntries",                (PyCFunction)PyvtkInformation_CopyEntries, 1,
   (char*)"V.CopyEntries(vtkInformation, vtkInformationKeyVectorKey, int)\nC++: void CopyEntries (vtkInformation *from, vtkInformationKeyVectorKey *key, int deep);\n\n Use the given key to lookup a list of other keys in the given\n information object.  The key/value pairs associated with these\n other keys will be copied.  If deep==1, a deep copy of the\n information structure is performed.\n"},
  {(char*)"Set",                (PyCFunction)PyvtkInformation_Set, 1,
   (char*)"V.Set(vtkInformationRequestKey)\nC++: void Set (vtkInformationRequestKey *key);\nV.Set(vtkInformationIntegerKey, int)\nC++: void Set (vtkInformationIntegerKey *key, int value);\nV.Set(vtkInformationIdTypeKey, int)\nC++: void Set (vtkInformationIdTypeKey *key, vtkIdType value);\nV.Set(vtkInformationDoubleKey, float)\nC++: void Set (vtkInformationDoubleKey *key, double value);\nV.Set(vtkInformationIntegerVectorKey, int, int, int)\nC++: void Set (vtkInformationIntegerVectorKey *key, int value1, int value2, int value3);\nV.Set(vtkInformationIntegerVectorKey, int, int, int, int, int, int)\nC++: void Set (vtkInformationIntegerVectorKey *key, int value1, int value2, int value3, int value4, int value5, int value6);\nV.Set(vtkInformationUnsignedLongKey, int)\nC++: void Set (vtkInformationUnsignedLongKey *key, unsigned long value);\nV.Set(vtkInformationDoubleVectorKey, float, float, float)\nC++: void Set (vtkInformationDoubleVectorKey *key, double value1, double value2, double value3);\nV.Set(vtkInformationDoubleVectorKey, float, float, float, float, float, float)\nC++: void Set (vtkInformationDoubleVectorKey *key, double value1, double value2, double value3, double value4, double value5, double value6);\nV.Set(vtkInformationStringKey, string)\nC++: void Set (vtkInformationStringKey *key, const char *);\nV.Set(vtkInformationInformationKey, vtkInformation)\nC++: void Set (vtkInformationInformationKey *key, vtkInformation *);\nV.Set(vtkInformationInformationVectorKey, vtkInformationVector)\nC++: void Set (vtkInformationInformationVectorKey *key, vtkInformationVector *);\nV.Set(vtkInformationObjectBaseKey, vtkObjectBase)\nC++: void Set (vtkInformationObjectBaseKey *key, vtkObjectBase *);\nV.Set(vtkInformationDataObjectKey, vtkDataObject)\nC++: void Set (vtkInformationDataObjectKey *key, vtkDataObject *);\nV.Set(vtkInformationExecutivePortKey, vtkExecutive, int)\nC++: void Set (vtkInformationExecutivePortKey *key, vtkExecutive *, int );\n\n Get/Set a request-valued entry.\n"},
  {(char*)"Remove",                (PyCFunction)PyvtkInformation_Remove, 1,
   (char*)"V.Remove(vtkInformationRequestKey)\nC++: void Remove (vtkInformationRequestKey *key);\nV.Remove(vtkInformationIntegerKey)\nC++: void Remove (vtkInformationIntegerKey *key);\nV.Remove(vtkInformationIdTypeKey)\nC++: void Remove (vtkInformationIdTypeKey *key);\nV.Remove(vtkInformationDoubleKey)\nC++: void Remove (vtkInformationDoubleKey *key);\nV.Remove(vtkInformationIntegerVectorKey)\nC++: void Remove (vtkInformationIntegerVectorKey *key);\nV.Remove(vtkInformationIntegerPointerKey)\nC++: void Remove (vtkInformationIntegerPointerKey *key);\nV.Remove(vtkInformationUnsignedLongKey)\nC++: void Remove (vtkInformationUnsignedLongKey *key);\nV.Remove(vtkInformationDoubleVectorKey)\nC++: void Remove (vtkInformationDoubleVectorKey *key);\nV.Remove(vtkInformationKeyVectorKey, vtkInformationKey)\nC++: void Remove (vtkInformationKeyVectorKey *key, vtkInformationKey *value);\nV.Remove(vtkInformationKeyVectorKey)\nC++: void Remove (vtkInformationKeyVectorKey *key);\nV.Remove(vtkInformationStringKey)\nC++: void Remove (vtkInformationStringKey *key);\nV.Remove(vtkInformationInformationKey)\nC++: void Remove (vtkInformationInformationKey *key);\nV.Remove(vtkInformationInformationVectorKey)\nC++: void Remove (vtkInformationInformationVectorKey *key);\nV.Remove(vtkInformationObjectBaseKey)\nC++: void Remove (vtkInformationObjectBaseKey *key);\nV.Remove(vtkInformationDataObjectKey)\nC++: void Remove (vtkInformationDataObjectKey *key);\nV.Remove(vtkInformationExecutivePortKey)\nC++: void Remove (vtkInformationExecutivePortKey *key);\nV.Remove(vtkInformationExecutivePortVectorKey, vtkExecutive, int)\nC++: void Remove (vtkInformationExecutivePortVectorKey *key, vtkExecutive *executive, int port);\nV.Remove(vtkInformationExecutivePortVectorKey)\nC++: void Remove (vtkInformationExecutivePortVectorKey *key);\n\n Get/Set a request-valued entry.\n"},
  {(char*)"Has",                (PyCFunction)PyvtkInformation_Has, 1,
   (char*)"V.Has(vtkInformationRequestKey) -> int\nC++: int Has (vtkInformationRequestKey *key);\nV.Has(vtkInformationIntegerKey) -> int\nC++: int Has (vtkInformationIntegerKey *key);\nV.Has(vtkInformationIdTypeKey) -> int\nC++: int Has (vtkInformationIdTypeKey *key);\nV.Has(vtkInformationDoubleKey) -> int\nC++: int Has (vtkInformationDoubleKey *key);\nV.Has(vtkInformationIntegerVectorKey) -> int\nC++: int Has (vtkInformationIntegerVectorKey *key);\nV.Has(vtkInformationIntegerPointerKey) -> int\nC++: int Has (vtkInformationIntegerPointerKey *key);\nV.Has(vtkInformationUnsignedLongKey) -> int\nC++: int Has (vtkInformationUnsignedLongKey *key);\nV.Has(vtkInformationDoubleVectorKey) -> int\nC++: int Has (vtkInformationDoubleVectorKey *key);\nV.Has(vtkInformationKeyVectorKey) -> int\nC++: int Has (vtkInformationKeyVectorKey *key);\nV.Has(vtkInformationStringKey) -> int\nC++: int Has (vtkInformationStringKey *key);\nV.Has(vtkInformationInformationKey) -> int\nC++: int Has (vtkInformationInformationKey *key);\nV.Has(vtkInformationInformationVectorKey) -> int\nC++: int Has (vtkInformationInformationVectorKey *key);\nV.Has(vtkInformationObjectBaseKey) -> int\nC++: int Has (vtkInformationObjectBaseKey *key);\nV.Has(vtkInformationDataObjectKey) -> int\nC++: int Has (vtkInformationDataObjectKey *key);\nV.Has(vtkInformationExecutivePortKey) -> int\nC++: int Has (vtkInformationExecutivePortKey *key);\nV.Has(vtkInformationExecutivePortVectorKey) -> int\nC++: int Has (vtkInformationExecutivePortVectorKey *key);\n\n Get/Set a request-valued entry.\n"},
  {(char*)"Get",                (PyCFunction)PyvtkInformation_Get, 1,
   (char*)"V.Get(vtkInformationIntegerKey) -> int\nC++: int Get (vtkInformationIntegerKey *key);\nV.Get(vtkInformationIdTypeKey) -> int\nC++: vtkIdType Get (vtkInformationIdTypeKey *key);\nV.Get(vtkInformationDoubleKey) -> float\nC++: double Get (vtkInformationDoubleKey *key);\nV.Get(vtkInformationUnsignedLongKey) -> int\nC++: unsigned long Get (vtkInformationUnsignedLongKey *key);\nV.Get(vtkInformationStringKey) -> string\nC++: const char *Get (vtkInformationStringKey *key);\nV.Get(vtkInformationInformationKey) -> vtkInformation\nC++: vtkInformation *Get (vtkInformationInformationKey *key);\nV.Get(vtkInformationInformationVectorKey) -> vtkInformationVector\nC++: vtkInformationVector *Get (vtkInformationInformationVectorKey *key);\nV.Get(vtkInformationObjectBaseKey) -> vtkObjectBase\nC++: vtkObjectBase *Get (vtkInformationObjectBaseKey *key);\nV.Get(vtkInformationDataObjectKey) -> vtkDataObject\nC++: vtkDataObject *Get (vtkInformationDataObjectKey *key);\n\n Get/Set an integer-valued entry.\n"},
  {(char*)"Append",                (PyCFunction)PyvtkInformation_Append, 1,
   (char*)"V.Append(vtkInformationIntegerVectorKey, int)\nC++: void Append (vtkInformationIntegerVectorKey *key, int value);\nV.Append(vtkInformationDoubleVectorKey, float)\nC++: void Append (vtkInformationDoubleVectorKey *key, double value);\nV.Append(vtkInformationKeyVectorKey, vtkInformationKey)\nC++: void Append (vtkInformationKeyVectorKey *key, vtkInformationKey *value);\nV.Append(vtkInformationExecutivePortVectorKey, vtkExecutive, int)\nC++: void Append (vtkInformationExecutivePortVectorKey *key, vtkExecutive *executive, int port);\n\n Get/Set an integer-vector-valued entry.\n"},
  {(char*)"Length",                (PyCFunction)PyvtkInformation_Length, 1,
   (char*)"V.Length(vtkInformationIntegerVectorKey) -> int\nC++: int Length (vtkInformationIntegerVectorKey *key);\nV.Length(vtkInformationIntegerPointerKey) -> int\nC++: int Length (vtkInformationIntegerPointerKey *key);\nV.Length(vtkInformationDoubleVectorKey) -> int\nC++: int Length (vtkInformationDoubleVectorKey *key);\nV.Length(vtkInformationKeyVectorKey) -> int\nC++: int Length (vtkInformationKeyVectorKey *key);\nV.Length(vtkInformationExecutivePortVectorKey) -> int\nC++: int Length (vtkInformationExecutivePortVectorKey *key);\n\n Get/Set an integer-vector-valued entry.\n"},
  {(char*)"AppendUnique",                (PyCFunction)PyvtkInformation_AppendUnique, 1,
   (char*)"V.AppendUnique(vtkInformationKeyVectorKey, vtkInformationKey)\nC++: void AppendUnique (vtkInformationKeyVectorKey *key, vtkInformationKey *value);\n\n Get/Set an InformationKey-vector-valued entry.\n"},
  {(char*)"GetExecutive",                (PyCFunction)PyvtkInformation_GetExecutive, 1,
   (char*)"V.GetExecutive(vtkInformationExecutivePortKey) -> vtkExecutive\nC++: vtkExecutive *GetExecutive (vtkInformationExecutivePortKey *key);\n\n Get/Set an entry storing a vtkExecutive/port number pair.\n"},
  {(char*)"GetPort",                (PyCFunction)PyvtkInformation_GetPort, 1,
   (char*)"V.GetPort(vtkInformationExecutivePortKey) -> int\nC++: int GetPort (vtkInformationExecutivePortKey *key);\n\n Get/Set an entry storing a vtkExecutive/port number pair.\n"},
  {(char*)"GetKey",                (PyCFunction)PyvtkInformation_GetKey, 1,
   (char*)"V.GetKey(vtkInformationDataObjectKey) -> vtkInformationKey\nC++: static vtkInformationKey *GetKey (vtkInformationDataObjectKey *key);\nV.GetKey(vtkInformationDoubleKey) -> vtkInformationKey\nC++: static vtkInformationKey *GetKey (vtkInformationDoubleKey *key);\nV.GetKey(vtkInformationDoubleVectorKey) -> vtkInformationKey\nC++: static vtkInformationKey *GetKey (vtkInformationDoubleVectorKey *key);\nV.GetKey(vtkInformationExecutivePortKey) -> vtkInformationKey\nC++: static vtkInformationKey *GetKey (vtkInformationExecutivePortKey *key);\nV.GetKey(vtkInformationInformationKey) -> vtkInformationKey\nC++: static vtkInformationKey *GetKey (vtkInformationInformationKey *key);\nV.GetKey(vtkInformationInformationVectorKey) -> vtkInformationKey\nC++: static vtkInformationKey *GetKey (vtkInformationInformationVectorKey *key);\nV.GetKey(vtkInformationIntegerKey) -> vtkInformationKey\nC++: static vtkInformationKey *GetKey (vtkInformationIntegerKey *key);\nV.GetKey(vtkInformationIntegerVectorKey) -> vtkInformationKey\nC++: static vtkInformationKey *GetKey (vtkInformationIntegerVectorKey *key);\nV.GetKey(vtkInformationRequestKey) -> vtkInformationKey\nC++: static vtkInformationKey *GetKey (vtkInformationRequestKey *key);\nV.GetKey(vtkInformationStringKey) -> vtkInformationKey\nC++: static vtkInformationKey *GetKey (vtkInformationStringKey *key);\nV.GetKey(vtkInformationKey) -> vtkInformationKey\nC++: static vtkInformationKey *GetKey (vtkInformationKey *key);\nV.GetKey(vtkInformationUnsignedLongKey) -> vtkInformationKey\nC++: static vtkInformationKey *GetKey (vtkInformationUnsignedLongKey *key);\n\n Upcast the given key instance.\n"},
  {(char*)"Register",                (PyCFunction)PyvtkInformation_Register, 1,
   (char*)"V.Register(vtkObjectBase)\nC++: virtual void Register (vtkObjectBase *o);\n\n Initiate garbage collection when a reference is removed.\n"},
  {(char*)"UnRegister",                (PyCFunction)PyvtkInformation_UnRegister, 1,
   (char*)"V.UnRegister(vtkObjectBase)\nC++: virtual void UnRegister (vtkObjectBase *o);\n\n Initiate garbage collection when a reference is removed.\n"},
  {(char*)"SetRequest",                (PyCFunction)PyvtkInformation_SetRequest, 1,
   (char*)"V.SetRequest(vtkInformationRequestKey)\nC++: void SetRequest (vtkInformationRequestKey *request);this Request request \n\n Get/Set the Request ivar\n"},
  {(char*)"GetRequest",                (PyCFunction)PyvtkInformation_GetRequest, 1,
   (char*)"V.GetRequest() -> vtkInformationRequestKey\nC++: vtkInformationRequestKey *GetRequest ();return this Request \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInformationDoc[] = {
  (char*)"vtkInformation - Store vtkAlgorithm input/output information.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkInformation represents information and/or data for one input or\n one output of a vtkAlgorithm.  It maps from keys to values of\n several data types.  Instances of this class are collected in\n vtkInformationVector instances and passed to\n vtkAlgorithm::ProcessRequest calls.  The information and\n data referenced by the instance on a particular input or output\n define the request made to the vtkAl",
  (char*)"gorithm instance.\n\n",
  NULL
};

static vtkObjectBase *vtkInformationStaticNew()
{
  return vtkInformation::New();
}

PyObject *PyVTKClass_vtkInformationNew(char *modulename)
{
  return PyVTKClass_New(&vtkInformationStaticNew,
                        PyvtkInformationMethods,
                        (char*)"vtkInformation",modulename,
                        (char**)vtkInformationDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

