// tcl wrapper for vtkInformation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInformation.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkInformationNewCommand()
{
  vtkInformation *temp = vtkInformation::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInformationCppCommand(vtkInformation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInformationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInformationCppCommand((vtkInformation *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInformationCppCommand(vtkInformation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInformation",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkInformation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("Clear",argv[1]))&&(argc == 2))
    {
    op->Clear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Copy",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Copy(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkInformationKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationKey",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationDataObjectKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkInformationDataObjectKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationDataObjectKey",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationDoubleVectorKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationDoubleVectorKey",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationExecutivePortKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkInformationExecutivePortKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationExecutivePortKey",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationInformationKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkInformationInformationKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationInformationKey",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationInformationVectorKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkInformationInformationVectorKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationInformationVectorKey",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationIntegerKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkInformationIntegerKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationIntegerKey",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationIntegerVectorKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationIntegerVectorKey",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationRequestKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkInformationRequestKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationRequestKey",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationStringKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkInformationStringKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationStringKey",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntry",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationUnsignedLongKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkInformationUnsignedLongKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationUnsignedLongKey",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyEntries",argv[1]))&&(argc == 5))
    {
    vtkInformation  *temp0;
    vtkInformationKeyVectorKey  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationKeyVectorKey",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CopyEntries(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 3))
    {
    vtkInformationRequestKey  *temp0;
    error = 0;

    temp0 = (vtkInformationRequestKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationRequestKey",interp,error));
    if (!error)
    {
    op->Set(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationRequestKey  *temp0;
    error = 0;

    temp0 = (vtkInformationRequestKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationRequestKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationRequestKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationRequestKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationRequestKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationIntegerKey  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkInformationIntegerKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerKey",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIntegerKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerKey  *temp0;
    error = 0;

    temp0 = (vtkInformationIntegerKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIntegerKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationIdTypeKey  *temp0;
    vtkIdType   temp1;
    error = 0;

    temp0 = (vtkInformationIdTypeKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIdTypeKey",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationIdTypeKey  *temp0;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkInformationIdTypeKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIdTypeKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationIdTypeKey  *temp0;
    error = 0;

    temp0 = (vtkInformationIdTypeKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIdTypeKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationIdTypeKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIdTypeKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIdTypeKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationDoubleKey  *temp0;
    double   temp1;
    error = 0;

    temp0 = (vtkInformationDoubleKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDoubleKey",interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleKey  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkInformationDoubleKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDoubleKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleKey  *temp0;
    error = 0;

    temp0 = (vtkInformationDoubleKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDoubleKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationDoubleKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDoubleKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Append",argv[1]))&&(argc == 4))
    {
    vtkInformationIntegerVectorKey  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerVectorKey",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Append(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 6))
    {
    vtkInformationIntegerVectorKey  *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerVectorKey",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->Set(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 9))
    {
    vtkInformationIntegerVectorKey  *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    int      temp6;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerVectorKey",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    op->Set(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Length",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerVectorKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Length(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerVectorKey  *temp0;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerVectorKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerVectorKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Length",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerPointerKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIntegerPointerKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerPointerKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Length(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerPointerKey  *temp0;
    error = 0;

    temp0 = (vtkInformationIntegerPointerKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerPointerKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerPointerKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationIntegerPointerKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerPointerKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationUnsignedLongKey  *temp0;
    unsigned long     temp1;
    error = 0;

    temp0 = (vtkInformationUnsignedLongKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationUnsignedLongKey",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = (unsigned long)tempi;
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationUnsignedLongKey  *temp0;
    unsigned long     temp20;
    error = 0;

    temp0 = (vtkInformationUnsignedLongKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationUnsignedLongKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationUnsignedLongKey  *temp0;
    error = 0;

    temp0 = (vtkInformationUnsignedLongKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationUnsignedLongKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationUnsignedLongKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationUnsignedLongKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationUnsignedLongKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Append",argv[1]))&&(argc == 4))
    {
    vtkInformationDoubleVectorKey  *temp0;
    double   temp1;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDoubleVectorKey",interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->Append(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 6))
    {
    vtkInformationDoubleVectorKey  *temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDoubleVectorKey",interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->Set(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 9))
    {
    vtkInformationDoubleVectorKey  *temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    double   temp6;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDoubleVectorKey",interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp6 = tempd;
    if (!error)
    {
    op->Set(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Length",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDoubleVectorKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Length(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleVectorKey  *temp0;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDoubleVectorKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDoubleVectorKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Append",argv[1]))&&(argc == 4))
    {
    vtkInformationKeyVectorKey  *temp0;
    vtkInformationKey  *temp1;
    error = 0;

    temp0 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationKeyVectorKey",interp,error));
    temp1 = (vtkInformationKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationKey",interp,error));
    if (!error)
    {
    op->Append(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AppendUnique",argv[1]))&&(argc == 4))
    {
    vtkInformationKeyVectorKey  *temp0;
    vtkInformationKey  *temp1;
    error = 0;

    temp0 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationKeyVectorKey",interp,error));
    temp1 = (vtkInformationKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationKey",interp,error));
    if (!error)
    {
    op->AppendUnique(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 4))
    {
    vtkInformationKeyVectorKey  *temp0;
    vtkInformationKey  *temp1;
    error = 0;

    temp0 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationKeyVectorKey",interp,error));
    temp1 = (vtkInformationKey *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationKey",interp,error));
    if (!error)
    {
    op->Remove(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Length",argv[1]))&&(argc == 3))
    {
    vtkInformationKeyVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationKeyVectorKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Length(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationKeyVectorKey  *temp0;
    error = 0;

    temp0 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationKeyVectorKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationKeyVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationKeyVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationKeyVectorKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationStringKey  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkInformationStringKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationStringKey",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationStringKey  *temp0;
    const char    *temp20;
    error = 0;

    temp0 = (vtkInformationStringKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationStringKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationStringKey  *temp0;
    error = 0;

    temp0 = (vtkInformationStringKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationStringKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationStringKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationStringKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationStringKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationInformationKey  *temp0;
    vtkInformation  *temp1;
    error = 0;

    temp0 = (vtkInformationInformationKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationInformationKey",interp,error));
    temp1 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationKey  *temp0;
    vtkInformation  *temp20;
    error = 0;

    temp0 = (vtkInformationInformationKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationInformationKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationKey  *temp0;
    error = 0;

    temp0 = (vtkInformationInformationKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationInformationKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationInformationKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationInformationKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationInformationVectorKey  *temp0;
    vtkInformationVector  *temp1;
    error = 0;

    temp0 = (vtkInformationInformationVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationInformationVectorKey",interp,error));
    temp1 = (vtkInformationVector *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkInformationVector",interp,error));
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationVectorKey  *temp0;
    vtkInformationVector  *temp20;
    error = 0;

    temp0 = (vtkInformationInformationVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationInformationVectorKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationVector");
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationVectorKey  *temp0;
    error = 0;

    temp0 = (vtkInformationInformationVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationInformationVectorKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationInformationVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationInformationVectorKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationObjectBaseKey  *temp0;
    vtkObjectBase  *temp1;
    error = 0;

    temp0 = (vtkInformationObjectBaseKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationObjectBaseKey",interp,error));
    temp1 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationObjectBaseKey  *temp0;
    vtkObjectBase  *temp20;
    error = 0;

    temp0 = (vtkInformationObjectBaseKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationObjectBaseKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkObjectBase");
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationObjectBaseKey  *temp0;
    error = 0;

    temp0 = (vtkInformationObjectBaseKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationObjectBaseKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationObjectBaseKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationObjectBaseKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationObjectBaseKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 4))
    {
    vtkInformationDataObjectKey  *temp0;
    vtkDataObject  *temp1;
    error = 0;

    temp0 = (vtkInformationDataObjectKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDataObjectKey",interp,error));
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->Set(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Get",argv[1]))&&(argc == 3))
    {
    vtkInformationDataObjectKey  *temp0;
    vtkDataObject  *temp20;
    error = 0;

    temp0 = (vtkInformationDataObjectKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDataObjectKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Get(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationDataObjectKey  *temp0;
    error = 0;

    temp0 = (vtkInformationDataObjectKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDataObjectKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationDataObjectKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationDataObjectKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDataObjectKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Set",argv[1]))&&(argc == 5))
    {
    vtkInformationExecutivePortKey  *temp0;
    vtkExecutive  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformationExecutivePortKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationExecutivePortKey",interp,error));
    temp1 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkExecutive",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->Set(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExecutive",argv[1]))&&(argc == 3))
    {
    vtkInformationExecutivePortKey  *temp0;
    vtkExecutive  *temp20;
    error = 0;

    temp0 = (vtkInformationExecutivePortKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationExecutivePortKey",interp,error));
    if (!error)
    {
    temp20 = (op)->GetExecutive(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkExecutive");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPort",argv[1]))&&(argc == 3))
    {
    vtkInformationExecutivePortKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationExecutivePortKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationExecutivePortKey",interp,error));
    if (!error)
    {
    temp20 = (op)->GetPort(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationExecutivePortKey  *temp0;
    error = 0;

    temp0 = (vtkInformationExecutivePortKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationExecutivePortKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationExecutivePortKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationExecutivePortKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationExecutivePortKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Append",argv[1]))&&(argc == 5))
    {
    vtkInformationExecutivePortVectorKey  *temp0;
    vtkExecutive  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformationExecutivePortVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationExecutivePortVectorKey",interp,error));
    temp1 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkExecutive",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->Append(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 5))
    {
    vtkInformationExecutivePortVectorKey  *temp0;
    vtkExecutive  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkInformationExecutivePortVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationExecutivePortVectorKey",interp,error));
    temp1 = (vtkExecutive *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkExecutive",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->Remove(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Length",argv[1]))&&(argc == 3))
    {
    vtkInformationExecutivePortVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationExecutivePortVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationExecutivePortVectorKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Length(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Remove",argv[1]))&&(argc == 3))
    {
    vtkInformationExecutivePortVectorKey  *temp0;
    error = 0;

    temp0 = (vtkInformationExecutivePortVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationExecutivePortVectorKey",interp,error));
    if (!error)
    {
    op->Remove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Has",argv[1]))&&(argc == 3))
    {
    vtkInformationExecutivePortVectorKey  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformationExecutivePortVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationExecutivePortVectorKey",interp,error));
    if (!error)
    {
    temp20 = (op)->Has(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationDataObjectKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationDataObjectKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDataObjectKey",interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationDoubleKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDoubleKey",interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationDoubleVectorKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationDoubleVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationDoubleVectorKey",interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationExecutivePortKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationExecutivePortKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationExecutivePortKey",interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationInformationKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationInformationKey",interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationInformationVectorKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationInformationVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationInformationVectorKey",interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationIntegerKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerKey",interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationIntegerVectorKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationIntegerVectorKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationIntegerVectorKey",interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationRequestKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationRequestKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationRequestKey",interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationStringKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationStringKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationStringKey",interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationKey",interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 3))
    {
    vtkInformationUnsignedLongKey  *temp0;
    vtkInformationKey  *temp20;
    error = 0;

    temp0 = (vtkInformationUnsignedLongKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationUnsignedLongKey",interp,error));
    if (!error)
    {
    temp20 = (op)->GetKey(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationKey");
    return TCL_OK;
    }
    }
  if ((!strcmp("Register",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->Register(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRequest",argv[1]))&&(argc == 3))
    {
    vtkInformationRequestKey  *temp0;
    error = 0;

    temp0 = (vtkInformationRequestKey *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformationRequestKey",interp,error));
    if (!error)
    {
    op->SetRequest(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRequest",argv[1]))&&(argc == 2))
    {
    vtkInformationRequestKey  *temp20;
    temp20 = (op)->GetRequest();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationRequestKey");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkInformationCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInformation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Clear\n",NULL);
    Tcl_AppendResult(interp,"  Copy\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyEntries\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Append\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  Length\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Length\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Append\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  Length\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Append\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AppendUnique\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Length\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Get\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Set\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetExecutive\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Append\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Length\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Remove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Has\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Register\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRequest\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRequest\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
