// tcl wrapper for vtkInterpolatedVelocityField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInterpolatedVelocityField.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkInterpolatedVelocityFieldNewCommand()
{
  vtkInterpolatedVelocityField *temp = vtkInterpolatedVelocityField::New();
  return ((ClientData)temp);
}

int vtkFunctionSetCppCommand(vtkFunctionSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInterpolatedVelocityFieldCppCommand(vtkInterpolatedVelocityField *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInterpolatedVelocityFieldCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInterpolatedVelocityFieldCppCommand((vtkInterpolatedVelocityField *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInterpolatedVelocityFieldCppCommand(vtkInterpolatedVelocityField *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInterpolatedVelocityField",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkFunctionSetCppCommand((vtkFunctionSet *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkFunctionSet", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInterpolatedVelocityField  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInterpolatedVelocityField");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkInterpolatedVelocityField  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInterpolatedVelocityField");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkInterpolatedVelocityField  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInterpolatedVelocityField");
    return TCL_OK;
    }
  if ((!strcmp("AddDataSet",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->AddDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLastCellId",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetLastCellId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLastCellId",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLastCellId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearLastCellId",argv[1]))&&(argc == 2))
    {
    op->ClearLastCellId();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLastLocalCoordinates",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetLastLocalCoordinates(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaching",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCaching();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCaching",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCaching(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CachingOn",argv[1]))&&(argc == 2))
    {
    op->CachingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CachingOff",argv[1]))&&(argc == 2))
    {
    op->CachingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCacheHit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCacheHit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCacheMiss",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCacheMiss();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVectorsSelection",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetVectorsSelection();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SelectVectors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLastDataSet",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetLastDataSet();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("CopyParameters",argv[1]))&&(argc == 3))
    {
    vtkInterpolatedVelocityField  *temp0;
    error = 0;

    temp0 = (vtkInterpolatedVelocityField *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInterpolatedVelocityField",interp,error));
    if (!error)
    {
    op->CopyParameters(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkInterpolatedVelocityFieldCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkFunctionSetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInterpolatedVelocityField:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  AddDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLastCellId\n",NULL);
    Tcl_AppendResult(interp,"  SetLastCellId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClearLastCellId\n",NULL);
    Tcl_AppendResult(interp,"  GetLastLocalCoordinates\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCaching\n",NULL);
    Tcl_AppendResult(interp,"  SetCaching\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CachingOn\n",NULL);
    Tcl_AppendResult(interp,"  CachingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetCacheHit\n",NULL);
    Tcl_AppendResult(interp,"  GetCacheMiss\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorsSelection\n",NULL);
    Tcl_AppendResult(interp,"  SelectVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLastDataSet\n",NULL);
    Tcl_AppendResult(interp,"  CopyParameters\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkFunctionSetCppCommand((vtkFunctionSet *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
