// python wrapper for vtkNonLinearCell object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkNonLinearCell.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkNonLinearCellNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkNonLinearCellNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCellNew(char *); }

static PyObject *PyvtkNonLinearCell_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonLinearCell *op;

  const char    *temp20;
  if ((op = (vtkNonLinearCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNonLinearCell::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkNonLinearCell_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonLinearCell *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkNonLinearCell *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNonLinearCell::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNonLinearCell_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonLinearCell *op;

  vtkNonLinearCell  *temp20;
  if ((op = (vtkNonLinearCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNonLinearCell::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNonLinearCell_SetError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonLinearCell *op;

  double   temp0;
  if ((op = (vtkNonLinearCell *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkNonLinearCell::SetError(temp0);
      }
    else
      {
      op->SetError(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkNonLinearCell_GetErrorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonLinearCell *op;

  double   temp20;
  if ((op = (vtkNonLinearCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNonLinearCell::GetErrorMinValue();
      }
    else
      {
      temp20 = op->GetErrorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNonLinearCell_GetErrorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonLinearCell *op;

  double   temp20;
  if ((op = (vtkNonLinearCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNonLinearCell::GetErrorMaxValue();
      }
    else
      {
      temp20 = op->GetErrorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNonLinearCell_GetError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonLinearCell *op;

  double   temp20;
  if ((op = (vtkNonLinearCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNonLinearCell::GetError();
      }
    else
      {
      temp20 = op->GetError();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNonLinearCell_IsLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonLinearCell *op;

  int      temp20;
  if ((op = (vtkNonLinearCell *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkNonLinearCell::IsLinear();
      }
    else
      {
      temp20 = op->IsLinear();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkNonLinearCell_Tessellate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkNonLinearCell *op;

  vtkIdType   temp0;
  vtkDataSet  *temp1;
  PyObject *tempH1;
  vtkPolyData  *temp2;
  PyObject *tempH2;
  vtkPointLocator  *temp3;
  PyObject *tempH3;
  if ((op = (vtkNonLinearCell *)PyArg_VTKParseTuple(self, args, (char*)"iOOO", &temp0, &tempH1, &tempH2, &tempH3)))
    {
    temp1 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSet");
    if (!temp1 && tempH1 != Py_None) goto break8;
    temp2 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPolyData");
    if (!temp2 && tempH2 != Py_None) goto break8;
    temp3 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkPointLocator");
    if (!temp3 && tempH3 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkNonLinearCell::Tessellate(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->Tessellate(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkNonLinearCell *op;

  vtkIdType   temp0;
  vtkDataSet  *temp1;
  PyObject *tempH1;
  vtkUnstructuredGrid  *temp2;
  PyObject *tempH2;
  vtkPointLocator  *temp3;
  PyObject *tempH3;
  PyErr_Clear();
  if ((op = (vtkNonLinearCell *)PyArg_VTKParseTuple(self, args, (char*)"iOOO", &temp0, &tempH1, &tempH2, &tempH3)))
    {
    temp1 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSet");
    if (!temp1 && tempH1 != Py_None) goto break9;
    temp2 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkUnstructuredGrid");
    if (!temp2 && tempH2 != Py_None) goto break9;
    temp3 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkPointLocator");
    if (!temp3 && tempH3 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkNonLinearCell::Tessellate(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->Tessellate(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}

static PyMethodDef PyvtkNonLinearCellMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkNonLinearCell_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkNonLinearCell_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkNonLinearCell_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkNonLinearCell\nC++: vtkNonLinearCell *NewInstance ();\n\n"},
  {(char*)"SetError",                (PyCFunction)PyvtkNonLinearCell_SetError, 1,
   (char*)"V.SetError(float)\nC++: void SetError (double );\n\n Set/Get the normalized error measure used to control the \n tessellation of the cell.\n"},
  {(char*)"GetErrorMinValue",                (PyCFunction)PyvtkNonLinearCell_GetErrorMinValue, 1,
   (char*)"V.GetErrorMinValue() -> float\nC++: double GetErrorMinValue ();\n\n Set/Get the normalized error measure used to control the \n tessellation of the cell.\n"},
  {(char*)"GetErrorMaxValue",                (PyCFunction)PyvtkNonLinearCell_GetErrorMaxValue, 1,
   (char*)"V.GetErrorMaxValue() -> float\nC++: double GetErrorMaxValue ();\n\n Set/Get the normalized error measure used to control the \n tessellation of the cell.\n"},
  {(char*)"GetError",                (PyCFunction)PyvtkNonLinearCell_GetError, 1,
   (char*)"V.GetError() -> float\nC++: double GetError ();\n\n Set/Get the normalized error measure used to control the \n tessellation of the cell.\n"},
  {(char*)"IsLinear",                (PyCFunction)PyvtkNonLinearCell_IsLinear, 1,
   (char*)"V.IsLinear() -> int\nC++: virtual int IsLinear ();return \n\n This method tessellates the cell returning polydata. (The Error ivar\n controls the tessellation depth.) The new dataset will contain polydata\n primitives, possibly new points as well as interpolated point and cell\n data.  The user must provide (the output) polydata which is filled in by\n the method. If the optional PointLocator is supplied, then any new\n points that are created are inserted through the vtkPointLocator, rather\n than directly in the vtkPolyData.  (Note: the input dataset and cellId\n are used if the cell requires access to its owning dataset.) This method\n is called when the topological dimension of the cell is 2D or less.\n"},
  {(char*)"Tessellate",                (PyCFunction)PyvtkNonLinearCell_Tessellate, 1,
   (char*)"V.Tessellate(int, vtkDataSet, vtkPolyData, vtkPointLocator)\nC++: virtual void Tessellate (vtkIdType cellId, vtkDataSet *input, vtkPolyData *output, vtkPointLocator *locatorNULL);\nV.Tessellate(int, vtkDataSet, vtkUnstructuredGrid, vtkPointLocator)\nC++: virtual void Tessellate (vtkIdType cellId, vtkDataSet *input, vtkUnstructuredGrid *output, vtkPointLocator *locatorNULL);\n\n This method tessellates the cell returning polydata. (The Error ivar\n controls the tessellation depth.) The new dataset will contain polydata\n primitives, possibly new points as well as interpolated point and cell\n data.  The user must provide (the output) polydata which is filled in by\n the method. If the optional PointLocator is supplied, then any new\n points that are created are inserted through the vtkPointLocator, rather\n than directly in the vtkPolyData.  (Note: the input dataset and cellId\n are used if the cell requires access to its owning dataset.) This method\n is called when the topological dimension of the cell is 2D or less.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkNonLinearCellDoc[] = {
  (char*)"vtkNonLinearCell - abstract superclass for non-linear cells\n\n",
  "Super Class:\n\n vtkCell\n\n",
  (char*)" vtkNonLinearCell is an abstract superclass for non-linear cell types.\n Cells that are a direct subclass of vtkCell or vtkCell3D are linear;\n cells that are a subclass of vtkNonLinearCell have non-linear interpolation\n functions. Non-linear cells require special treatment when tessellating\n or converting to graphics primitives. Note that the linearity of the cell\n is a function of whether the cell",
  (char*)" needs tessellation, which does not \n strictly correlate with interpolation order (e.g., vtkHexahedron has\n non-linear interpolation functions (a product of three linear functions\n in r-s-t) even thought vtkHexahedron is considered linear.)\n\n The Error instance variable is used to control the tessellation of the\n cell. Error is normalized between (0.001,1) and typically measures the\n chordal devia",
  (char*)"tion of linear (tessellated) primitives from the actual\n cell boundary. Each cell may have its own interpretation of this error\n measure.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkNonLinearCellNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkNonLinearCellMethods,
                        (char*)"vtkNonLinearCell",modulename,
                        (char**)vtkNonLinearCellDoc,
                        PyVTKClass_vtkCellNew(modulename));
}

