// python wrapper for vtkOrderedTriangulator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOrderedTriangulator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOrderedTriangulatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOrderedTriangulatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkOrderedTriangulator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  const char    *temp20;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  vtkOrderedTriangulator  *temp20;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOrderedTriangulator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOrderedTriangulator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_InitTriangulation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp6;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"ddddddi", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::InitTriangulation(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      op->InitTriangulation(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  double temp0[6];
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)i", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::InitTriangulation(temp0,temp1);
      }
    else
      {
      op->InitTriangulation(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_InsertPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  vtkIdType   temp0;
  double temp1[3];
  double temp2[3];
  int      temp3;
  vtkIdType   temp20;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)(ddd)i", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::InsertPoint(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->InsertPoint(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  double temp2[3];
  double temp3[3];
  int      temp4;
  vtkIdType   temp20;
  PyErr_Clear();
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"ii(ddd)(ddd)i", &temp0, &temp1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, &temp4)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::InsertPoint(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->InsertPoint(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  double temp3[3];
  double temp4[3];
  int      temp5;
  vtkIdType   temp20;
  PyErr_Clear();
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"iii(ddd)(ddd)i", &temp0, &temp1, &temp2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::InsertPoint(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->InsertPoint(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,3)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_Triangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::Triangulate();
      }
    else
      {
      op->Triangulate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_TemplateTriangulate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::TemplateTriangulate(temp0,temp1,temp2);
      }
    else
      {
      op->TemplateTriangulate(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_UpdatePointType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  vtkIdType   temp0;
  int      temp1;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::UpdatePointType(temp0,temp1);
      }
    else
      {
      op->UpdatePointType(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_GetPointId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::GetPointId(temp0);
      }
    else
      {
      temp20 = op->GetPointId(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  int      temp20;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_SetUseTemplates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  int      temp0;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::SetUseTemplates(temp0);
      }
    else
      {
      op->SetUseTemplates(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_GetUseTemplates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  int      temp20;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::GetUseTemplates();
      }
    else
      {
      temp20 = op->GetUseTemplates();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_UseTemplatesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::UseTemplatesOn();
      }
    else
      {
      op->UseTemplatesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_UseTemplatesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::UseTemplatesOff();
      }
    else
      {
      op->UseTemplatesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_SetPreSorted(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  int      temp0;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::SetPreSorted(temp0);
      }
    else
      {
      op->SetPreSorted(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_GetPreSorted(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  int      temp20;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::GetPreSorted();
      }
    else
      {
      temp20 = op->GetPreSorted();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_PreSortedOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::PreSortedOn();
      }
    else
      {
      op->PreSortedOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_PreSortedOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::PreSortedOff();
      }
    else
      {
      op->PreSortedOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_SetUseTwoSortIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  int      temp0;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::SetUseTwoSortIds(temp0);
      }
    else
      {
      op->SetUseTwoSortIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_GetUseTwoSortIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  int      temp20;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::GetUseTwoSortIds();
      }
    else
      {
      temp20 = op->GetUseTwoSortIds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_UseTwoSortIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::UseTwoSortIdsOn();
      }
    else
      {
      op->UseTwoSortIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_UseTwoSortIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::UseTwoSortIdsOff();
      }
    else
      {
      op->UseTwoSortIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_GetTetras(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  int      temp0;
  vtkUnstructuredGrid  *temp1;
  PyObject *tempH1;
  vtkIdType   temp20;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkUnstructuredGrid");
    if (!temp1 && tempH1 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::GetTetras(temp0,temp1);
      }
    else
      {
      temp20 = op->GetTetras(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_AddTetras(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  int      temp0;
  vtkUnstructuredGrid  *temp1;
  PyObject *tempH1;
  vtkIdType   temp20;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkUnstructuredGrid");
    if (!temp1 && tempH1 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::AddTetras(temp0,temp1);
      }
    else
      {
      temp20 = op->AddTetras(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break27:
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  int      temp0;
  vtkCellArray  *temp1;
  PyObject *tempH1;
  vtkIdType   temp20;
  PyErr_Clear();
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkCellArray");
    if (!temp1 && tempH1 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::AddTetras(temp0,temp1);
      }
    else
      {
      temp20 = op->AddTetras(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break28:
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  int      temp0;
  vtkPointLocator  *temp1;
  PyObject *tempH1;
  vtkCellArray  *temp2;
  PyObject *tempH2;
  vtkPointData  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkCellData  *temp5;
  PyObject *tempH5;
  vtkIdType   temp6;
  vtkCellData  *temp7;
  PyObject *tempH7;
  vtkIdType   temp20;
  PyErr_Clear();
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"iOOOOOiO", &temp0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &temp6, &tempH7)))
    {
    temp1 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPointLocator");
    if (!temp1 && tempH1 != Py_None) goto break29;
    temp2 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkCellArray");
    if (!temp2 && tempH2 != Py_None) goto break29;
    temp3 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkPointData");
    if (!temp3 && tempH3 != Py_None) goto break29;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break29;
    temp5 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellData");
    if (!temp5 && tempH5 != Py_None) goto break29;
    temp7 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkCellData");
    if (!temp7 && tempH7 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::AddTetras(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    else
      {
      temp20 = op->AddTetras(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break29:
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  int      temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  vtkPoints  *temp2;
  PyObject *tempH2;
  vtkIdType   temp20;
  PyErr_Clear();
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"iOO", &temp0, &tempH1, &tempH2)))
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break30;
    temp2 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPoints");
    if (!temp2 && tempH2 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::AddTetras(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->AddTetras(temp0,temp1,temp2);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_AddTriangles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  vtkCellArray  *temp0;
  PyObject *tempH0;
  vtkIdType   temp20;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCellArray");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::AddTriangles(temp0);
      }
    else
      {
      temp20 = op->AddTriangles(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break31:
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  vtkIdType   temp0;
  vtkCellArray  *temp1;
  PyObject *tempH1;
  vtkIdType   temp20;
  PyErr_Clear();
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkCellArray");
    if (!temp1 && tempH1 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::AddTriangles(temp0,temp1);
      }
    else
      {
      temp20 = op->AddTriangles(temp0,temp1);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break32:
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_InitTetraTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrderedTriangulator::InitTetraTraversal();
      }
    else
      {
      op->InitTetraTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrderedTriangulator_GetNextTetra(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrderedTriangulator *op;

  int      temp0;
  vtkTetra  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  vtkDoubleArray  *temp3;
  PyObject *tempH3;
  int      temp20;
  if ((op = (vtkOrderedTriangulator *)PyArg_VTKParseTuple(self, args, (char*)"iOOO", &temp0, &tempH1, &tempH2, &tempH3)))
    {
    temp1 = (vtkTetra *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkTetra");
    if (!temp1 && tempH1 != Py_None) goto break34;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break34;
    temp3 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDoubleArray");
    if (!temp3 && tempH3 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrderedTriangulator::GetNextTetra(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->GetNextTetra(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break34:
  return NULL;
}

static PyMethodDef PyvtkOrderedTriangulatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOrderedTriangulator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOrderedTriangulator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOrderedTriangulator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOrderedTriangulator\nC++: vtkOrderedTriangulator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOrderedTriangulator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOrderedTriangulator\nC++: vtkOrderedTriangulator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"InitTriangulation",                (PyCFunction)PyvtkOrderedTriangulator_InitTriangulation, 1,
   (char*)"V.InitTriangulation(float, float, float, float, float, float, int)\nC++: void InitTriangulation (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax, int numPts);\nV.InitTriangulation((float, float, float, float, float, float), int)\nC++: void InitTriangulation (double bounds[6], int numPts);\n\n Initialize the triangulation process. Provide a bounding box and\n the maximum number of points to be inserted. Note that since the\n triangulation is performed using parametric coordinates (see\n InsertPoint()) the bounds should be represent the range of the\n parametric coordinates inserted.\n \\post no_point_inserted: GetNumberOfPoints()==0\n"},
  {(char*)"InsertPoint",                (PyCFunction)PyvtkOrderedTriangulator_InsertPoint, 1,
   (char*)"V.InsertPoint(int, (float, float, float), (float, float, float), int) -> int\nC++: vtkIdType InsertPoint (vtkIdType id, double x[3], double p[3], int type);\nV.InsertPoint(int, int, (float, float, float), (float, float, float), int) -> int\nC++: vtkIdType InsertPoint (vtkIdType id, vtkIdType sortid, double x[3], double p[3], int type);\nV.InsertPoint(int, int, int, (float, float, float), (float, float, float), int) -> int\nC++: vtkIdType InsertPoint (vtkIdType id, vtkIdType sortid, vtkIdType sortid2, double x[3], double p[3], int type);\n\n For each point to be inserted, provide an id, a position x, parametric\n coordinate p, and whether the point is inside (type=0), outside\n (type=1), or on the boundary (type=2). You must call InitTriangulation()\n prior to invoking this method. Make sure that the number of points\n inserted does not exceed the numPts specified in\n InitTriangulation(). Also note that the \"id\" can be any integer and can\n be greater than numPts. It is used to create tetras (in AddTetras()) with\n the appropriate connectivity ids. The method returns an internal id that\n can be used prior to the Triangulate() method to update the type of the\n point with UpdatePointType(). (Note: the algorithm triangulated with the\n parametric coordinate p[3] and creates tetras with the global coordinate\n x[3]. The parametric coordinates and global coordinates may be the same.)\n"},
  {(char*)"Triangulate",                (PyCFunction)PyvtkOrderedTriangulator_Triangulate, 1,
   (char*)"V.Triangulate()\nC++: void Triangulate ();\n\n Perform the triangulation. (Complete all calls to InsertPoint() prior\n to invoking this method.) A special version is available when templates\n should be used.\n"},
  {(char*)"TemplateTriangulate",                (PyCFunction)PyvtkOrderedTriangulator_TemplateTriangulate, 1,
   (char*)"V.TemplateTriangulate(int, int, int)\nC++: void TemplateTriangulate (int cellType, int numPts, int numEdges);\n\n Perform the triangulation. (Complete all calls to InsertPoint() prior\n to invoking this method.) A special version is available when templates\n should be used.\n"},
  {(char*)"UpdatePointType",                (PyCFunction)PyvtkOrderedTriangulator_UpdatePointType, 1,
   (char*)"V.UpdatePointType(int, int)\nC++: void UpdatePointType (vtkIdType internalId, int type);\n\n Update the point type. This is useful when the merging of nearly \n coincident points is performed. The id is the internal id returned\n from InsertPoint(). The method should be invoked prior to the\n Triangulate method. The type is specified as inside (type=0), \n outside (type=1), or on the boundary (type=2).\n \\pre valid_range: internalId>=0 && internalId<this->GetNumberOfPoints()\n"},
  {(char*)"GetPointId",                (PyCFunction)PyvtkOrderedTriangulator_GetPointId, 1,
   (char*)"V.GetPointId(int) -> int\nC++: vtkIdType GetPointId (vtkIdType internalId);\n\n Return the Id of point `internalId'. This id is the one passed in\n argument of InsertPoint.\n It assumes that the point has already been inserted.\n The method should be invoked prior to the Triangulate method.\n \\pre valid_range: internalId>=0 && internalId<this->GetNumberOfPoints()\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkOrderedTriangulator_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: int GetNumberOfPoints ();\n\n Return the number of inserted points.\n"},
  {(char*)"SetUseTemplates",                (PyCFunction)PyvtkOrderedTriangulator_SetUseTemplates, 1,
   (char*)"V.SetUseTemplates(int)\nC++: void SetUseTemplates (int );\n\n If this flag is set, then the ordered triangulator will create\n and use templates for the triangulation. To use templates, the\n TemplateTriangulate() method should be called when appropriate.\n (Note: the TemplateTriangulate() method works for complete \n (interior) cells without extra points due to intersection, etc.)\n"},
  {(char*)"GetUseTemplates",                (PyCFunction)PyvtkOrderedTriangulator_GetUseTemplates, 1,
   (char*)"V.GetUseTemplates() -> int\nC++: int GetUseTemplates ();\n\n If this flag is set, then the ordered triangulator will create\n and use templates for the triangulation. To use templates, the\n TemplateTriangulate() method should be called when appropriate.\n (Note: the TemplateTriangulate() method works for complete \n (interior) cells without extra points due to intersection, etc.)\n"},
  {(char*)"UseTemplatesOn",                (PyCFunction)PyvtkOrderedTriangulator_UseTemplatesOn, 1,
   (char*)"V.UseTemplatesOn()\nC++: void UseTemplatesOn ();\n\n If this flag is set, then the ordered triangulator will create\n and use templates for the triangulation. To use templates, the\n TemplateTriangulate() method should be called when appropriate.\n (Note: the TemplateTriangulate() method works for complete \n (interior) cells without extra points due to intersection, etc.)\n"},
  {(char*)"UseTemplatesOff",                (PyCFunction)PyvtkOrderedTriangulator_UseTemplatesOff, 1,
   (char*)"V.UseTemplatesOff()\nC++: void UseTemplatesOff ();\n\n If this flag is set, then the ordered triangulator will create\n and use templates for the triangulation. To use templates, the\n TemplateTriangulate() method should be called when appropriate.\n (Note: the TemplateTriangulate() method works for complete \n (interior) cells without extra points due to intersection, etc.)\n"},
  {(char*)"SetPreSorted",                (PyCFunction)PyvtkOrderedTriangulator_SetPreSorted, 1,
   (char*)"V.SetPreSorted(int)\nC++: void SetPreSorted (int );\n\n Boolean indicates whether the points have been pre-sorted. If \n pre-sorted is enabled, the points are not sorted on point id.\n By default, presorted is off. (The point id is defined in\n InsertPoint().)\n"},
  {(char*)"GetPreSorted",                (PyCFunction)PyvtkOrderedTriangulator_GetPreSorted, 1,
   (char*)"V.GetPreSorted() -> int\nC++: int GetPreSorted ();\n\n Boolean indicates whether the points have been pre-sorted. If \n pre-sorted is enabled, the points are not sorted on point id.\n By default, presorted is off. (The point id is defined in\n InsertPoint().)\n"},
  {(char*)"PreSortedOn",                (PyCFunction)PyvtkOrderedTriangulator_PreSortedOn, 1,
   (char*)"V.PreSortedOn()\nC++: void PreSortedOn ();\n\n Boolean indicates whether the points have been pre-sorted. If \n pre-sorted is enabled, the points are not sorted on point id.\n By default, presorted is off. (The point id is defined in\n InsertPoint().)\n"},
  {(char*)"PreSortedOff",                (PyCFunction)PyvtkOrderedTriangulator_PreSortedOff, 1,
   (char*)"V.PreSortedOff()\nC++: void PreSortedOff ();\n\n Boolean indicates whether the points have been pre-sorted. If \n pre-sorted is enabled, the points are not sorted on point id.\n By default, presorted is off. (The point id is defined in\n InsertPoint().)\n"},
  {(char*)"SetUseTwoSortIds",                (PyCFunction)PyvtkOrderedTriangulator_SetUseTwoSortIds, 1,
   (char*)"V.SetUseTwoSortIds(int)\nC++: void SetUseTwoSortIds (int );\n\n Tells the triangulator that a second sort id is provided\n for each point and should also be considered when sorting.\n"},
  {(char*)"GetUseTwoSortIds",                (PyCFunction)PyvtkOrderedTriangulator_GetUseTwoSortIds, 1,
   (char*)"V.GetUseTwoSortIds() -> int\nC++: int GetUseTwoSortIds ();\n\n Tells the triangulator that a second sort id is provided\n for each point and should also be considered when sorting.\n"},
  {(char*)"UseTwoSortIdsOn",                (PyCFunction)PyvtkOrderedTriangulator_UseTwoSortIdsOn, 1,
   (char*)"V.UseTwoSortIdsOn()\nC++: void UseTwoSortIdsOn ();\n\n Tells the triangulator that a second sort id is provided\n for each point and should also be considered when sorting.\n"},
  {(char*)"UseTwoSortIdsOff",                (PyCFunction)PyvtkOrderedTriangulator_UseTwoSortIdsOff, 1,
   (char*)"V.UseTwoSortIdsOff()\nC++: void UseTwoSortIdsOff ();\n\n Tells the triangulator that a second sort id is provided\n for each point and should also be considered when sorting.\n"},
  {(char*)"GetTetras",                (PyCFunction)PyvtkOrderedTriangulator_GetTetras, 1,
   (char*)"V.GetTetras(int, vtkUnstructuredGrid) -> int\nC++: vtkIdType GetTetras (int classification, vtkUnstructuredGrid *ugrid);\n\n Initialize and add the tetras and points from the triangulation to the\n unstructured grid provided.  New points are created and the mesh is\n allocated. (This method differs from AddTetras() in that it inserts\n points and cells; AddTetras only adds the tetra cells.) The tetrahdera\n added are of the type specified (0=inside,1=outside,2=all). Inside\n tetrahedron are those whose points are classified \"inside\" or on the\n \"boundary.\"  Outside tetrahedron have at least one point classified\n \"outside.\"  The method returns the number of tetrahedrahedron of the\n type requested.\n"},
  {(char*)"AddTetras",                (PyCFunction)PyvtkOrderedTriangulator_AddTetras, 1,
   (char*)"V.AddTetras(int, vtkUnstructuredGrid) -> int\nC++: vtkIdType AddTetras (int classification, vtkUnstructuredGrid *ugrid);\nV.AddTetras(int, vtkCellArray) -> int\nC++: vtkIdType AddTetras (int classification, vtkCellArray *connectivity);\nV.AddTetras(int, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData) -> int\nC++: vtkIdType AddTetras (int classification, vtkPointLocator *locator, vtkCellArray *outConnectivity, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD);\nV.AddTetras(int, vtkIdList, vtkPoints) -> int\nC++: vtkIdType AddTetras (int classification, vtkIdList *ptIds, vtkPoints *pts);\n\n Add the tetras to the unstructured grid provided. The unstructured\n grid is assumed to have been initialized (with Allocate()) and\n points set (with SetPoints()). The tetrahdera added are of the type\n specified (0=inside,1=outside,2=all). Inside tetrahedron are \n those whose points are classified \"inside\" or on the \"boundary.\" \n Outside tetrahedron have at least one point classified \"outside.\" \n The method returns the number of tetrahedrahedron of the type \n requested.\n"},
  {(char*)"AddTriangles",                (PyCFunction)PyvtkOrderedTriangulator_AddTriangles, 1,
   (char*)"V.AddTriangles(vtkCellArray) -> int\nC++: vtkIdType AddTriangles (vtkCellArray *connectivity);\nV.AddTriangles(int, vtkCellArray) -> int\nC++: vtkIdType AddTriangles (vtkIdType id, vtkCellArray *connectivity);\n\n Add the triangle faces classified (2=boundary) to the connectivity\n list provided. The method returns the number of triangles.\n"},
  {(char*)"InitTetraTraversal",                (PyCFunction)PyvtkOrderedTriangulator_InitTetraTraversal, 1,
   (char*)"V.InitTetraTraversal()\nC++: void InitTetraTraversal ();\n\n Methods to get one tetra at a time. Start with InitTetraTraversal()\n and then invoke GetNextTetra() until the method returns 0.\n"},
  {(char*)"GetNextTetra",                (PyCFunction)PyvtkOrderedTriangulator_GetNextTetra, 1,
   (char*)"V.GetNextTetra(int, vtkTetra, vtkDataArray, vtkDoubleArray) -> int\nC++: int GetNextTetra (int classification, vtkTetra *tet, vtkDataArray *cellScalars, vtkDoubleArray *tetScalars);\n\n Methods to get one tetra at a time. Start with InitTetraTraversal()\n and then invoke GetNextTetra() until the method returns 0.\n cellScalars are point-centered scalars on the original cell.\n tetScalars are point-centered scalars on the tetra: the values will be\n copied from cellScalars.\n \\pre tet_exists: tet!=0\n \\pre cellScalars_exists: cellScalars!=0\n \\pre tetScalars_exists: tetScalars!=0\n \\pre tetScalars_valid_size: tetScalars->GetNumberOfTuples()==4\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOrderedTriangulatorDoc[] = {
  (char*)"vtkOrderedTriangulator - helper class to generate triangulations\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class is used to generate unique triangulations of points. The\n uniqueness of the triangulation is controlled by the id of the inserted\n points in combination with a Delaunay criterion. The class is designed to\n be as fast as possible (since the algorithm can be slow) and uses block\n memory allocations to support rapid triangulation generation. Also, the\n assumption behind the class is that ",
  (char*)"a maximum of hundreds of points are to\n be triangulated. If you desire more robust triangulation methods use\n vtkPolygon::Triangulate(), vtkDelaunay2D, or vtkDelaunay3D.\n\n .SECTION Background\n This work is documented in the technical paper: W.J. Schroeder, B. Geveci,\n M. Malaterre. Compatible Triangulations of Spatial Decompositions. In\n Proceedings of Visualization 2004, IEEE Press October 2004.\n",
  (char*)"\n Delaunay triangulations are unique assuming a random distribution of input\n points. The 3D Delaunay criterion is as follows: the circumsphere of each\n tetrahedron contains no other points of the triangulation except for the\n four points defining the tetrahedron.  In application this property is\n hard to satisfy because objects like cubes are defined by eight points all\n sharing the same circumsp",
  (char*)"here (center and radius); hence the Delaunay\n triangulation is not unique.  These so-called degenerate situations are\n typically resolved by arbitrary selecting a triangulation. This code does\n something different: it resolves degenerate triangulations by modifying\n the \"InCircumsphere\" method to use a slightly smaller radius. Hence,\n degenerate points are always considered \"out\" of the circumsphe",
  (char*)"re. This,\n in combination with an ordering (based on id) of the input points,\n guarantees a unique triangulation.\n\n There is another related characteristic of Delaunay triangulations. Given\n a N-dimensional Delaunay triangulation, points lying on a (N-1) dimensional\n plane also form a (N-1) Delaunay triangulation. This means for example,\n that if a 3D cell is defined by a set of (2D) planar faces,",
  (char*)" then the\n face triangulations are Delaunay. Combining this with the method to\n generate unique triangulations described previously, the triangulations\n on the face are guaranteed unique. This fact can be used to triangulate\n 3D objects in such a way to guarantee compatible face triangulations.\n This is a very useful fact for parallel processing, or performing\n operations like clipping that requir",
  (char*)"e compatible triangulations across\n 3D cell faces. (See vtkClipVolume for an example.)\n\n A special feature of this class is that it can generate triangulation \n templates on the fly. If template triangulation is enabled, then the\n ordered triangulator will first triangulate the cell using the slower\n ordered Delaunay approach, and then store the result as a template.\n Later, if the same cell type ",
  (char*)"and cell configuration is encountered,\n then the template is reused which greatly speeds the triangulation.\n\n",
  "Caveats:\n\n Duplicate vertices will be ignored, i.e., if two points have the same\n coordinates the second one is discarded. The implications are that the\n user of this class must prevent duplicate points. Because the precision\n of this algorithm is double, it's also a good idea to merge points\n that are within some epsilon of one another.\n\n The triangulation is performed using the parametric coordinates of the\n inserted points. Therefore the bounds (see InitTriangulation()) shou ...\n [Truncated]\n\n",
  "See Also:\n\n vtkDelaunay2D vtkDelaunay3D vtkPolygon\n\n",
  NULL
};

static vtkObjectBase *vtkOrderedTriangulatorStaticNew()
{
  return vtkOrderedTriangulator::New();
}

PyObject *PyVTKClass_vtkOrderedTriangulatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkOrderedTriangulatorStaticNew,
                        PyvtkOrderedTriangulatorMethods,
                        (char*)"vtkOrderedTriangulator",modulename,
                        (char**)vtkOrderedTriangulatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

