// tcl wrapper for vtkOrderedTriangulator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOrderedTriangulator.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkOrderedTriangulatorNewCommand()
{
  vtkOrderedTriangulator *temp = vtkOrderedTriangulator::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOrderedTriangulatorCppCommand(vtkOrderedTriangulator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkOrderedTriangulatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkOrderedTriangulatorCppCommand((vtkOrderedTriangulator *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOrderedTriangulatorCppCommand(vtkOrderedTriangulator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkOrderedTriangulator",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkOrderedTriangulator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkOrderedTriangulator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkOrderedTriangulator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkOrderedTriangulator");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkOrderedTriangulator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkOrderedTriangulator");
    return TCL_OK;
    }
  if ((!strcmp("InitTriangulation",argv[1]))&&(argc == 9))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    int      temp6;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    op->InitTriangulation(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Triangulate",argv[1]))&&(argc == 2))
    {
    op->Triangulate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TemplateTriangulate",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->TemplateTriangulate(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdatePointType",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->UpdatePointType(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointId",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointId(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseTemplates",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseTemplates(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseTemplates",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseTemplates();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseTemplatesOn",argv[1]))&&(argc == 2))
    {
    op->UseTemplatesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseTemplatesOff",argv[1]))&&(argc == 2))
    {
    op->UseTemplatesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPreSorted",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPreSorted(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreSorted",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPreSorted();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PreSortedOn",argv[1]))&&(argc == 2))
    {
    op->PreSortedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PreSortedOff",argv[1]))&&(argc == 2))
    {
    op->PreSortedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseTwoSortIds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseTwoSortIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseTwoSortIds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseTwoSortIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseTwoSortIdsOn",argv[1]))&&(argc == 2))
    {
    op->UseTwoSortIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseTwoSortIdsOff",argv[1]))&&(argc == 2))
    {
    op->UseTwoSortIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTetras",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkUnstructuredGrid  *temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkUnstructuredGrid *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkUnstructuredGrid",interp,error));
    if (!error)
    {
    temp20 = (op)->GetTetras(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTetras",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkUnstructuredGrid  *temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkUnstructuredGrid *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkUnstructuredGrid",interp,error));
    if (!error)
    {
    temp20 = (op)->AddTetras(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTetras",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkCellArray  *temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkCellArray",interp,error));
    if (!error)
    {
    temp20 = (op)->AddTetras(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTetras",argv[1]))&&(argc == 10))
    {
    int      temp0;
    vtkPointLocator  *temp1;
    vtkCellArray  *temp2;
    vtkPointData  *temp3;
    vtkPointData  *temp4;
    vtkCellData  *temp5;
    vtkIdType   temp6;
    vtkCellData  *temp7;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPointLocator",interp,error));
    temp2 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkCellArray",interp,error));
    temp3 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkPointData",interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointData",interp,error));
    temp5 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    temp7 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[9],(char *) "vtkCellData",interp,error));
    if (!error)
    {
    temp20 = (op)->AddTetras(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTetras",argv[1]))&&(argc == 5))
    {
    int      temp0;
    vtkIdList  *temp1;
    vtkPoints  *temp2;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkIdList",interp,error));
    temp2 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPoints",interp,error));
    if (!error)
    {
    temp20 = (op)->AddTetras(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTriangles",argv[1]))&&(argc == 3))
    {
    vtkCellArray  *temp0;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCellArray",interp,error));
    if (!error)
    {
    temp20 = (op)->AddTriangles(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTriangles",argv[1]))&&(argc == 4))
    {
    vtkIdType   temp0;
    vtkCellArray  *temp1;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkCellArray",interp,error));
    if (!error)
    {
    temp20 = (op)->AddTriangles(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitTetraTraversal",argv[1]))&&(argc == 2))
    {
    op->InitTetraTraversal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNextTetra",argv[1]))&&(argc == 6))
    {
    int      temp0;
    vtkTetra  *temp1;
    vtkDataArray  *temp2;
    vtkDoubleArray  *temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkTetra *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkTetra",interp,error));
    temp2 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkDataArray",interp,error));
    temp3 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkDoubleArray",interp,error));
    if (!error)
    {
    temp20 = (op)->GetNextTetra(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkOrderedTriangulatorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOrderedTriangulator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  InitTriangulation\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  Triangulate\n",NULL);
    Tcl_AppendResult(interp,"  TemplateTriangulate\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdatePointType\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetUseTemplates\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseTemplates\n",NULL);
    Tcl_AppendResult(interp,"  UseTemplatesOn\n",NULL);
    Tcl_AppendResult(interp,"  UseTemplatesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPreSorted\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreSorted\n",NULL);
    Tcl_AppendResult(interp,"  PreSortedOn\n",NULL);
    Tcl_AppendResult(interp,"  PreSortedOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseTwoSortIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseTwoSortIds\n",NULL);
    Tcl_AppendResult(interp,"  UseTwoSortIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseTwoSortIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetTetras\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTetras\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTetras\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTetras\t with 8 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTetras\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTriangles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddTriangles\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InitTetraTraversal\n",NULL);
    Tcl_AppendResult(interp,"  GetNextTetra\t with 4 args\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
