// python wrapper for vtkParametricSpline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkParametricSpline.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParametricSplineNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParametricSplineNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkParametricFunctionNew(char *); }

static PyObject *PyvtkParametricSpline_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  const char    *temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  vtkParametricSpline  *temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkParametricSpline  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkParametricSpline::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  int      temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetDimension();
      }
    else
      {
      temp20 = op->GetDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_Evaluate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  double temp0[3];
  double temp1[3];
  double temp2[9];
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::Evaluate(temp0,temp1,temp2);
      }
    else
      {
      op->Evaluate(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_EvaluateScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  double temp0[3];
  double temp1[3];
  double temp2[9];
  double   temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::EvaluateScalar(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->EvaluateScalar(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_SetXSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  vtkSpline  *temp0;
  PyObject *tempH0;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSpline *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSpline");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::SetXSpline(temp0);
      }
    else
      {
      op->SetXSpline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkParametricSpline_SetYSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  vtkSpline  *temp0;
  PyObject *tempH0;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSpline *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSpline");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::SetYSpline(temp0);
      }
    else
      {
      op->SetYSpline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkParametricSpline_SetZSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  vtkSpline  *temp0;
  PyObject *tempH0;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSpline *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSpline");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::SetZSpline(temp0);
      }
    else
      {
      op->SetZSpline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetXSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  vtkSpline  *temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetXSpline();
      }
    else
      {
      temp20 = op->GetXSpline();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetYSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  vtkSpline  *temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetYSpline();
      }
    else
      {
      temp20 = op->GetYSpline();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetZSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  vtkSpline  *temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetZSpline();
      }
    else
      {
      temp20 = op->GetZSpline();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_SetPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::SetPoints(temp0);
      }
    else
      {
      op->SetPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  vtkPoints  *temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetPoints();
      }
    else
      {
      temp20 = op->GetPoints();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_SetClosed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  int      temp0;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::SetClosed(temp0);
      }
    else
      {
      op->SetClosed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetClosed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  int      temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetClosed();
      }
    else
      {
      temp20 = op->GetClosed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_ClosedOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::ClosedOn();
      }
    else
      {
      op->ClosedOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_ClosedOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::ClosedOff();
      }
    else
      {
      op->ClosedOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_SetParameterizeByLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  int      temp0;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::SetParameterizeByLength(temp0);
      }
    else
      {
      op->SetParameterizeByLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetParameterizeByLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  int      temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetParameterizeByLength();
      }
    else
      {
      temp20 = op->GetParameterizeByLength();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_ParameterizeByLengthOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::ParameterizeByLengthOn();
      }
    else
      {
      op->ParameterizeByLengthOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_ParameterizeByLengthOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::ParameterizeByLengthOff();
      }
    else
      {
      op->ParameterizeByLengthOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_SetLeftConstraint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  int      temp0;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::SetLeftConstraint(temp0);
      }
    else
      {
      op->SetLeftConstraint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetLeftConstraintMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  int      temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetLeftConstraintMinValue();
      }
    else
      {
      temp20 = op->GetLeftConstraintMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetLeftConstraintMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  int      temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetLeftConstraintMaxValue();
      }
    else
      {
      temp20 = op->GetLeftConstraintMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetLeftConstraint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  int      temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetLeftConstraint();
      }
    else
      {
      temp20 = op->GetLeftConstraint();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_SetRightConstraint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  int      temp0;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::SetRightConstraint(temp0);
      }
    else
      {
      op->SetRightConstraint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetRightConstraintMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  int      temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetRightConstraintMinValue();
      }
    else
      {
      temp20 = op->GetRightConstraintMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetRightConstraintMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  int      temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetRightConstraintMaxValue();
      }
    else
      {
      temp20 = op->GetRightConstraintMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetRightConstraint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  int      temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetRightConstraint();
      }
    else
      {
      temp20 = op->GetRightConstraint();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_SetLeftValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  double   temp0;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::SetLeftValue(temp0);
      }
    else
      {
      op->SetLeftValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetLeftValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  double   temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetLeftValue();
      }
    else
      {
      temp20 = op->GetLeftValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_SetRightValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  double   temp0;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricSpline::SetRightValue(temp0);
      }
    else
      {
      op->SetRightValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricSpline_GetRightValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricSpline *op;

  double   temp20;
  if ((op = (vtkParametricSpline *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricSpline::GetRightValue();
      }
    else
      {
      temp20 = op->GetRightValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkParametricSplineMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParametricSpline_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParametricSpline_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParametricSpline_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParametricSpline\nC++: vtkParametricSpline *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkParametricSpline_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkParametricSpline\nC++: vtkParametricSpline *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDimension",                (PyCFunction)PyvtkParametricSpline_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: virtual int GetDimension ();return \n\n Evaluate the spline at parametric coordinate u[0] returning\n the point coordinate Pt[3].\n"},
  {(char*)"Evaluate",                (PyCFunction)PyvtkParametricSpline_Evaluate, 1,
   (char*)"V.Evaluate((float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float))\nC++: virtual void Evaluate (double u[3], double Pt[3], double Du[9]);\n\n Evaluate the spline at parametric coordinate u[0] returning\n the point coordinate Pt[3].\n"},
  {(char*)"EvaluateScalar",                (PyCFunction)PyvtkParametricSpline_EvaluateScalar, 1,
   (char*)"V.EvaluateScalar((float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> float\nC++: virtual double EvaluateScalar (double u[3], double Pt[3], double Du[9]);\n\n Evaluate a scalar value at parametric coordinate u[0] and Pt[3].\n The scalar value is just the parameter u[0].\n"},
  {(char*)"SetXSpline",                (PyCFunction)PyvtkParametricSpline_SetXSpline, 1,
   (char*)"V.SetXSpline(vtkSpline)\nC++: void SetXSpline (vtkSpline *);\n\n By default, this class is constructed with three instances of\n vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may\n choose to create and assign their own instances of vtkSpline.\n"},
  {(char*)"SetYSpline",                (PyCFunction)PyvtkParametricSpline_SetYSpline, 1,
   (char*)"V.SetYSpline(vtkSpline)\nC++: void SetYSpline (vtkSpline *);\n\n By default, this class is constructed with three instances of\n vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may\n choose to create and assign their own instances of vtkSpline.\n"},
  {(char*)"SetZSpline",                (PyCFunction)PyvtkParametricSpline_SetZSpline, 1,
   (char*)"V.SetZSpline(vtkSpline)\nC++: void SetZSpline (vtkSpline *);\n\n By default, this class is constructed with three instances of\n vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may\n choose to create and assign their own instances of vtkSpline.\n"},
  {(char*)"GetXSpline",                (PyCFunction)PyvtkParametricSpline_GetXSpline, 1,
   (char*)"V.GetXSpline() -> vtkSpline\nC++: vtkSpline *GetXSpline ();\n\n By default, this class is constructed with three instances of\n vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may\n choose to create and assign their own instances of vtkSpline.\n"},
  {(char*)"GetYSpline",                (PyCFunction)PyvtkParametricSpline_GetYSpline, 1,
   (char*)"V.GetYSpline() -> vtkSpline\nC++: vtkSpline *GetYSpline ();\n\n By default, this class is constructed with three instances of\n vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may\n choose to create and assign their own instances of vtkSpline.\n"},
  {(char*)"GetZSpline",                (PyCFunction)PyvtkParametricSpline_GetZSpline, 1,
   (char*)"V.GetZSpline() -> vtkSpline\nC++: vtkSpline *GetZSpline ();\n\n By default, this class is constructed with three instances of\n vtkCardinalSpline (for each of the x-y-z coordinate axes). The user may\n choose to create and assign their own instances of vtkSpline.\n"},
  {(char*)"SetPoints",                (PyCFunction)PyvtkParametricSpline_SetPoints, 1,
   (char*)"V.SetPoints(vtkPoints)\nC++: void SetPoints (vtkPoints *);\n\n Specify the list of points defining the spline. Do this by \n specifying a vtkPoints array containing the points. Note that\n the order of the points in vtkPoints is the order that the\n splines will be fit.\n"},
  {(char*)"GetPoints",                (PyCFunction)PyvtkParametricSpline_GetPoints, 1,
   (char*)"V.GetPoints() -> vtkPoints\nC++: vtkPoints *GetPoints ();\n\n Specify the list of points defining the spline. Do this by \n specifying a vtkPoints array containing the points. Note that\n the order of the points in vtkPoints is the order that the\n splines will be fit.\n"},
  {(char*)"SetClosed",                (PyCFunction)PyvtkParametricSpline_SetClosed, 1,
   (char*)"V.SetClosed(int)\nC++: void SetClosed (int );\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n"},
  {(char*)"GetClosed",                (PyCFunction)PyvtkParametricSpline_GetClosed, 1,
   (char*)"V.GetClosed() -> int\nC++: int GetClosed ();\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n"},
  {(char*)"ClosedOn",                (PyCFunction)PyvtkParametricSpline_ClosedOn, 1,
   (char*)"V.ClosedOn()\nC++: void ClosedOn ();\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n"},
  {(char*)"ClosedOff",                (PyCFunction)PyvtkParametricSpline_ClosedOff, 1,
   (char*)"V.ClosedOff()\nC++: void ClosedOff ();\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.\n"},
  {(char*)"SetParameterizeByLength",                (PyCFunction)PyvtkParametricSpline_SetParameterizeByLength, 1,
   (char*)"V.SetParameterizeByLength(int)\nC++: void SetParameterizeByLength (int );\n\n Control whether the spline is parameterized by length or by point index.\n Default is by length.\n"},
  {(char*)"GetParameterizeByLength",                (PyCFunction)PyvtkParametricSpline_GetParameterizeByLength, 1,
   (char*)"V.GetParameterizeByLength() -> int\nC++: int GetParameterizeByLength ();\n\n Control whether the spline is parameterized by length or by point index.\n Default is by length.\n"},
  {(char*)"ParameterizeByLengthOn",                (PyCFunction)PyvtkParametricSpline_ParameterizeByLengthOn, 1,
   (char*)"V.ParameterizeByLengthOn()\nC++: void ParameterizeByLengthOn ();\n\n Control whether the spline is parameterized by length or by point index.\n Default is by length.\n"},
  {(char*)"ParameterizeByLengthOff",                (PyCFunction)PyvtkParametricSpline_ParameterizeByLengthOff, 1,
   (char*)"V.ParameterizeByLengthOff()\nC++: void ParameterizeByLengthOff ();\n\n Control whether the spline is parameterized by length or by point index.\n Default is by length.\n"},
  {(char*)"SetLeftConstraint",                (PyCFunction)PyvtkParametricSpline_SetLeftConstraint, 1,
   (char*)"V.SetLeftConstraint(int)\nC++: void SetLeftConstraint (int );\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"GetLeftConstraintMinValue",                (PyCFunction)PyvtkParametricSpline_GetLeftConstraintMinValue, 1,
   (char*)"V.GetLeftConstraintMinValue() -> int\nC++: int GetLeftConstraintMinValue ();\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"GetLeftConstraintMaxValue",                (PyCFunction)PyvtkParametricSpline_GetLeftConstraintMaxValue, 1,
   (char*)"V.GetLeftConstraintMaxValue() -> int\nC++: int GetLeftConstraintMaxValue ();\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"GetLeftConstraint",                (PyCFunction)PyvtkParametricSpline_GetLeftConstraint, 1,
   (char*)"V.GetLeftConstraint() -> int\nC++: int GetLeftConstraint ();\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"SetRightConstraint",                (PyCFunction)PyvtkParametricSpline_SetRightConstraint, 1,
   (char*)"V.SetRightConstraint(int)\nC++: void SetRightConstraint (int );\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"GetRightConstraintMinValue",                (PyCFunction)PyvtkParametricSpline_GetRightConstraintMinValue, 1,
   (char*)"V.GetRightConstraintMinValue() -> int\nC++: int GetRightConstraintMinValue ();\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"GetRightConstraintMaxValue",                (PyCFunction)PyvtkParametricSpline_GetRightConstraintMaxValue, 1,
   (char*)"V.GetRightConstraintMaxValue() -> int\nC++: int GetRightConstraintMaxValue ();\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"GetRightConstraint",                (PyCFunction)PyvtkParametricSpline_GetRightConstraint, 1,
   (char*)"V.GetRightConstraint() -> int\nC++: int GetRightConstraint ();\n\n Set the type of constraint of the left(right) end points. Four\n constraints are available:\n\n 0: the first derivative at left(right) most point is determined\n from the line defined from the first(last) two points.\n\n 1: the first derivative at left(right) most point is set to\n Left(Right)Value.\n \n 2: the second derivative at left(right) most point is set to\n Left(Right)Value.\n \n 3: the second derivative at left(right)most points is Left(Right)Value\n times second derivative at first interior point.\n"},
  {(char*)"SetLeftValue",                (PyCFunction)PyvtkParametricSpline_SetLeftValue, 1,
   (char*)"V.SetLeftValue(float)\nC++: void SetLeftValue (double );\n\n The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n"},
  {(char*)"GetLeftValue",                (PyCFunction)PyvtkParametricSpline_GetLeftValue, 1,
   (char*)"V.GetLeftValue() -> float\nC++: double GetLeftValue ();\n\n The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n"},
  {(char*)"SetRightValue",                (PyCFunction)PyvtkParametricSpline_SetRightValue, 1,
   (char*)"V.SetRightValue(float)\nC++: void SetRightValue (double );\n\n The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n"},
  {(char*)"GetRightValue",                (PyCFunction)PyvtkParametricSpline_GetRightValue, 1,
   (char*)"V.GetRightValue() -> float\nC++: double GetRightValue ();\n\n The values of the derivative on the left and right sides. The value\n is used only if the left(right) constraint is type 1-3.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParametricSplineDoc[] = {
  (char*)"vtkParametricSpline - parametric function for 1D interpolating splines\n\n",
  "Super Class:\n\n vtkParametricFunction\n\n",
  (char*)" vtkParametricSpline is a parametric function for 1D interpolating splines.\n vtkParametricSpline maps the single parameter u into a 3D point (x,y,z)\n using three instances of interpolating splines.  This family of 1D splines\n is quaranteed to be parameterized in the interval [0,1].  Attempting to\n evaluate outside this interval will cause the parameter u to be clamped in\n the range [0,1].\n\n When c",
  (char*)"onstructed, this class creates instances of vtkCardinalSpline for\n each of the x-y-z coordinates. The user may choose to replace these with\n their own instances of subclasses of vtkSpline.\n\n\n",
  "Caveats:\n\n If you wish to tessellate the spline, use the class \n vtkParametricFunctionSource.\n\n\n",
  "See Also:\n\n vtkSpline vtkKochanekSpline vtkCardinalSpline\n\n",
  NULL
};

static vtkObjectBase *vtkParametricSplineStaticNew()
{
  return vtkParametricSpline::New();
}

PyObject *PyVTKClass_vtkParametricSplineNew(char *modulename)
{
  return PyVTKClass_New(&vtkParametricSplineStaticNew,
                        PyvtkParametricSplineMethods,
                        (char*)"vtkParametricSpline",modulename,
                        (char**)vtkParametricSplineDoc,
                        PyVTKClass_vtkParametricFunctionNew(modulename));
}

