// tcl wrapper for vtkParametricSpline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParametricSpline.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkParametricSplineNewCommand()
{
  vtkParametricSpline *temp = vtkParametricSpline::New();
  return ((ClientData)temp);
}

int vtkParametricFunctionCppCommand(vtkParametricFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParametricSplineCppCommand(vtkParametricSpline *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParametricSplineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParametricSplineCppCommand((vtkParametricSpline *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParametricSplineCppCommand(vtkParametricSpline *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParametricSpline",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkParametricFunctionCppCommand((vtkParametricFunction *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkParametricFunction", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParametricSpline  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkParametricSpline");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkParametricSpline  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkParametricSpline");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkParametricSpline  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkParametricSpline");
    return TCL_OK;
    }
  if ((!strcmp("GetDimension",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimension();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetXSpline",argv[1]))&&(argc == 3))
    {
    vtkSpline  *temp0;
    error = 0;

    temp0 = (vtkSpline *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSpline",interp,error));
    if (!error)
    {
    op->SetXSpline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetYSpline",argv[1]))&&(argc == 3))
    {
    vtkSpline  *temp0;
    error = 0;

    temp0 = (vtkSpline *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSpline",interp,error));
    if (!error)
    {
    op->SetYSpline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetZSpline",argv[1]))&&(argc == 3))
    {
    vtkSpline  *temp0;
    error = 0;

    temp0 = (vtkSpline *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSpline",interp,error));
    if (!error)
    {
    op->SetZSpline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXSpline",argv[1]))&&(argc == 2))
    {
    vtkSpline  *temp20;
    temp20 = (op)->GetXSpline();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSpline");
    return TCL_OK;
    }
  if ((!strcmp("GetYSpline",argv[1]))&&(argc == 2))
    {
    vtkSpline  *temp20;
    temp20 = (op)->GetYSpline();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSpline");
    return TCL_OK;
    }
  if ((!strcmp("GetZSpline",argv[1]))&&(argc == 2))
    {
    vtkSpline  *temp20;
    temp20 = (op)->GetZSpline();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSpline");
    return TCL_OK;
    }
  if ((!strcmp("SetPoints",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPoints",interp,error));
    if (!error)
    {
    op->SetPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoints",argv[1]))&&(argc == 2))
    {
    vtkPoints  *temp20;
    temp20 = (op)->GetPoints();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPoints");
    return TCL_OK;
    }
  if ((!strcmp("SetClosed",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClosed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClosed",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClosed();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClosedOn",argv[1]))&&(argc == 2))
    {
    op->ClosedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClosedOff",argv[1]))&&(argc == 2))
    {
    op->ClosedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterizeByLength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParameterizeByLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterizeByLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParameterizeByLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ParameterizeByLengthOn",argv[1]))&&(argc == 2))
    {
    op->ParameterizeByLengthOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParameterizeByLengthOff",argv[1]))&&(argc == 2))
    {
    op->ParameterizeByLengthOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLeftConstraint",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLeftConstraint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeftConstraintMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftConstraintMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeftConstraintMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftConstraintMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeftConstraint",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftConstraint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRightConstraint",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRightConstraint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRightConstraintMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightConstraintMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRightConstraintMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightConstraintMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRightConstraint",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightConstraint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLeftValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLeftValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeftValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLeftValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRightValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRightValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRightValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRightValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkParametricSplineCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkParametricFunctionCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParametricSpline:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetDimension\n",NULL);
    Tcl_AppendResult(interp,"  SetXSpline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetYSpline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetZSpline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXSpline\n",NULL);
    Tcl_AppendResult(interp,"  GetYSpline\n",NULL);
    Tcl_AppendResult(interp,"  GetZSpline\n",NULL);
    Tcl_AppendResult(interp,"  SetPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetClosed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClosed\n",NULL);
    Tcl_AppendResult(interp,"  ClosedOn\n",NULL);
    Tcl_AppendResult(interp,"  ClosedOff\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterizeByLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterizeByLength\n",NULL);
    Tcl_AppendResult(interp,"  ParameterizeByLengthOn\n",NULL);
    Tcl_AppendResult(interp,"  ParameterizeByLengthOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLeftConstraint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftConstraintMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftConstraintMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftConstraint\n",NULL);
    Tcl_AppendResult(interp,"  SetRightConstraint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRightConstraintMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRightConstraintMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRightConstraint\n",NULL);
    Tcl_AppendResult(interp,"  SetLeftValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftValue\n",NULL);
    Tcl_AppendResult(interp,"  SetRightValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRightValue\n",NULL);
    return TCL_OK;
    }

  if (vtkParametricFunctionCppCommand((vtkParametricFunction *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
