// python wrapper for vtkPointLocator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPointLocator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointLocatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointLocatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLocatorNew(char *); }

static PyObject *PyvtkPointLocator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  const char    *temp20;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  vtkPointLocator  *temp20;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPointLocator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPointLocator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPointLocator_SetDivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLocator::SetDivisions(temp0,temp1,temp2);
      }
    else
      {
      op->SetDivisions(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  int    temp0[3];
  PyErr_Clear();
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLocator::SetDivisions(temp0);
      }
    else
      {
      op->SetDivisions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_GetDivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  int     *temp20;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::GetDivisions();
      }
    else
      {
      temp20 = op->GetDivisions();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_SetNumberOfPointsPerBucket(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  int      temp0;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLocator::SetNumberOfPointsPerBucket(temp0);
      }
    else
      {
      op->SetNumberOfPointsPerBucket(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_GetNumberOfPointsPerBucketMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  int      temp20;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::GetNumberOfPointsPerBucketMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfPointsPerBucketMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_GetNumberOfPointsPerBucketMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  int      temp20;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::GetNumberOfPointsPerBucketMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfPointsPerBucketMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_GetNumberOfPointsPerBucket(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  int      temp20;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::GetNumberOfPointsPerBucket();
      }
    else
      {
      temp20 = op->GetNumberOfPointsPerBucket();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_FindClosestPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::FindClosestPoint(temp0);
      }
    else
      {
      temp20 = op->FindClosestPoint(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  PyErr_Clear();
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::FindClosestPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FindClosestPoint(temp0,temp1,temp2);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_InitPointInsertion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  double temp1[6];
  int      temp20;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"O(dddddd)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::InitPointInsertion(temp0,temp1);
      }
    else
      {
      temp20 = op->InitPointInsertion(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  double temp1[6];
  vtkIdType   temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"O(dddddd)i", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, &temp2)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::InitPointInsertion(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->InitPointInsertion(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkPointLocator_InsertPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  vtkIdType   temp0;
  double temp1[3];
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLocator::InsertPoint(temp0,temp1);
      }
    else
      {
      op->InsertPoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_InsertNextPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::InsertNextPoint(temp0);
      }
    else
      {
      temp20 = op->InsertNextPoint(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_IsInsertedPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::IsInsertedPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->IsInsertedPoint(temp0,temp1,temp2);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  PyErr_Clear();
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::IsInsertedPoint(temp0);
      }
    else
      {
      temp20 = op->IsInsertedPoint(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_FindClosestInsertedPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  double temp0[3];
  vtkIdType   temp20;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::FindClosestInsertedPoint(temp0);
      }
    else
      {
      temp20 = op->FindClosestInsertedPoint(temp0);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_FindClosestNPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2)))
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLocator::FindClosestNPoints(temp0,temp1,temp2);
      }
    else
      {
      op->FindClosestNPoints(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkIdList  *temp4;
  PyObject *tempH4;
  PyErr_Clear();
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"idddO", &temp0, &temp1, &temp2, &temp3, &tempH4)))
    {
    temp4 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkIdList");
    if (!temp4 && tempH4 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLocator::FindClosestNPoints(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->FindClosestNPoints(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkPointLocator_FindDistributedPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  int      temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  int      temp3;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)Oi", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2, &temp3)))
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLocator::FindDistributedPoints(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->FindDistributedPoints(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkIdList  *temp4;
  PyObject *tempH4;
  int      temp5;
  PyErr_Clear();
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"idddOi", &temp0, &temp1, &temp2, &temp3, &tempH4, &temp5)))
    {
    temp4 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkIdList");
    if (!temp4 && tempH4 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLocator::FindDistributedPoints(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->FindDistributedPoints(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkPointLocator_FindPointsWithinRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  double   temp0;
  double temp1[3];
  vtkIdList  *temp2;
  PyObject *tempH2;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"d(ddd)O", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &tempH2)))
    {
    temp2 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkIdList");
    if (!temp2 && tempH2 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLocator::FindPointsWithinRadius(temp0,temp1,temp2);
      }
    else
      {
      op->FindPointsWithinRadius(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  vtkIdList  *temp4;
  PyObject *tempH4;
  PyErr_Clear();
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"ddddO", &temp0, &temp1, &temp2, &temp3, &tempH4)))
    {
    temp4 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkIdList");
    if (!temp4 && tempH4 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLocator::FindPointsWithinRadius(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->FindPointsWithinRadius(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkPointLocator_GetPointsInBucket(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  double temp0[3];
  int    temp1[3];
  vtkIdList  *temp20;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(iii)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::GetPointsInBucket(temp0,temp1);
      }
    else
      {
      temp20 = op->GetPointsInBucket(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_GetPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  vtkPoints  *temp20;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLocator::GetPoints();
      }
    else
      {
      temp20 = op->GetPoints();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLocator::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_FreeSearchStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLocator::FreeSearchStructure();
      }
    else
      {
      op->FreeSearchStructure();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_BuildLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLocator::BuildLocator();
      }
    else
      {
      op->BuildLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLocator_GenerateRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLocator *op;

  int      temp0;
  vtkPolyData  *temp1;
  PyObject *tempH1;
  if ((op = (vtkPointLocator *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPolyData");
    if (!temp1 && tempH1 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLocator::GenerateRepresentation(temp0,temp1);
      }
    else
      {
      op->GenerateRepresentation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  return NULL;
}

static PyMethodDef PyvtkPointLocatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointLocator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointLocator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointLocator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointLocator\nC++: vtkPointLocator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPointLocator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPointLocator\nC++: vtkPointLocator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDivisions",                (PyCFunction)PyvtkPointLocator_SetDivisions, 1,
   (char*)"V.SetDivisions(int, int, int)\nC++: void SetDivisions (int , int , int );\nV.SetDivisions((int, int, int))\nC++: void SetDivisions (int  a[3]);\n\n Set the number of divisions in x-y-z directions.\n"},
  {(char*)"GetDivisions",                (PyCFunction)PyvtkPointLocator_GetDivisions, 1,
   (char*)"V.GetDivisions() -> (int, int, int)\nC++: int  *GetDivisions ();\n\n Set the number of divisions in x-y-z directions.\n"},
  {(char*)"SetNumberOfPointsPerBucket",                (PyCFunction)PyvtkPointLocator_SetNumberOfPointsPerBucket, 1,
   (char*)"V.SetNumberOfPointsPerBucket(int)\nC++: void SetNumberOfPointsPerBucket (int );\n\n Specify the average number of points in each bucket.\n"},
  {(char*)"GetNumberOfPointsPerBucketMinValue",                (PyCFunction)PyvtkPointLocator_GetNumberOfPointsPerBucketMinValue, 1,
   (char*)"V.GetNumberOfPointsPerBucketMinValue() -> int\nC++: int GetNumberOfPointsPerBucketMinValue ();\n\n Specify the average number of points in each bucket.\n"},
  {(char*)"GetNumberOfPointsPerBucketMaxValue",                (PyCFunction)PyvtkPointLocator_GetNumberOfPointsPerBucketMaxValue, 1,
   (char*)"V.GetNumberOfPointsPerBucketMaxValue() -> int\nC++: int GetNumberOfPointsPerBucketMaxValue ();\n\n Specify the average number of points in each bucket.\n"},
  {(char*)"GetNumberOfPointsPerBucket",                (PyCFunction)PyvtkPointLocator_GetNumberOfPointsPerBucket, 1,
   (char*)"V.GetNumberOfPointsPerBucket() -> int\nC++: int GetNumberOfPointsPerBucket ();\n\n Specify the average number of points in each bucket.\n"},
  {(char*)"FindClosestPoint",                (PyCFunction)PyvtkPointLocator_FindClosestPoint, 1,
   (char*)"V.FindClosestPoint((float, float, float)) -> int\nC++: virtual vtkIdType FindClosestPoint (const double x[3]);\nV.FindClosestPoint(float, float, float) -> int\nC++: vtkIdType FindClosestPoint (double x, double y, double z);\n\n Given a position x, return the id of the point closest to it. Alternative\n method requires separate x-y-z values.\n These methods are thread safe if BuildLocator() is directly or\n indirectly called from a single thread first.\n"},
  {(char*)"InitPointInsertion",                (PyCFunction)PyvtkPointLocator_InitPointInsertion, 1,
   (char*)"V.InitPointInsertion(vtkPoints, (float, float, float, float, float, float)) -> int\nC++: virtual int InitPointInsertion (vtkPoints *newPts, const double bounds[6]);\nV.InitPointInsertion(vtkPoints, (float, float, float, float, float, float), int) -> int\nC++: virtual int InitPointInsertion (vtkPoints *newPts, const double bounds[6], vtkIdType estSize);\n\n Initialize the point insertion process. The newPts is an object\n representing point coordinates into which incremental insertion methods\n place their data. Bounds are the box that the points lie in.\n Not thread safe.\n"},
  {(char*)"InsertPoint",                (PyCFunction)PyvtkPointLocator_InsertPoint, 1,
   (char*)"V.InsertPoint(int, (float, float, float))\nC++: virtual void InsertPoint (vtkIdType ptId, const double x[3]);\n\n Incrementally insert a point into search structure with a particular\n index value. You should use the method IsInsertedPoint() to see whether \n this point has already been inserted (that is, if you desire to prevent\n duplicate points). Before using this method you must make sure that \n newPts have been supplied, the bounds has been set properly, and that \n divs are properly set. (See InitPointInsertion().)\n Not thread safe.\n"},
  {(char*)"InsertNextPoint",                (PyCFunction)PyvtkPointLocator_InsertNextPoint, 1,
   (char*)"V.InsertNextPoint((float, float, float)) -> int\nC++: virtual vtkIdType InsertNextPoint (const double x[3]);\n\n Incrementally insert a point into search structure. The method returns\n the insertion location (i.e., point id). You should use the method \n IsInsertedPoint() to see whether this point has already been\n inserted (that is, if you desire to prevent duplicate points).\n Before using this method you must make sure that newPts have been\n supplied, the bounds has been set properly, and that divs are \n properly set. (See InitPointInsertion().)\n Not thread safe.\n"},
  {(char*)"IsInsertedPoint",                (PyCFunction)PyvtkPointLocator_IsInsertedPoint, 1,
   (char*)"V.IsInsertedPoint(float, float, float) -> int\nC++: vtkIdType IsInsertedPoint (double x, double y, double z);double xyz xyz x xyz y xyz z return this IsInsertedPoint xyz \nV.IsInsertedPoint((float, float, float)) -> int\nC++: virtual vtkIdType IsInsertedPoint (const double x[3]);\n\n Determine whether point given by x[3] has been inserted into points list.\n Return id of previously inserted point if this is true, otherwise return\n -1. This method is thread safe.\n"},
  {(char*)"FindClosestInsertedPoint",                (PyCFunction)PyvtkPointLocator_FindClosestInsertedPoint, 1,
   (char*)"V.FindClosestInsertedPoint((float, float, float)) -> int\nC++: virtual vtkIdType FindClosestInsertedPoint (const double x[3]);\n\n Given a position x, return the id of the point closest to it. This method\n is used when performing incremental point insertion. Note that -1 \n indicates that no point was found.\n This method is thread safe if  BuildLocator() is directly or\n indirectly called from a single thread first.\n"},
  {(char*)"FindClosestNPoints",                (PyCFunction)PyvtkPointLocator_FindClosestNPoints, 1,
   (char*)"V.FindClosestNPoints(int, (float, float, float), vtkIdList)\nC++: virtual void FindClosestNPoints (int N, const double x[3], vtkIdList *result);\nV.FindClosestNPoints(int, float, float, float, vtkIdList)\nC++: virtual void FindClosestNPoints (int N, double x, double y, double z, vtkIdList *result);\n\n Find the closest N points to a position. This returns the closest\n N points to a position. A faster method could be created that returned\n N close points to a position, but necessarily the exact N closest.\n The returned points are sorted from closest to farthest.\n These methods are thread safe if BuildLocator() is directly or\n indirectly called from a single thread first.\n"},
  {(char*)"FindDistributedPoints",                (PyCFunction)PyvtkPointLocator_FindDistributedPoints, 1,
   (char*)"V.FindDistributedPoints(int, (float, float, float), vtkIdList, int)\nC++: virtual void FindDistributedPoints (int N, const double x[3], vtkIdList *result, int M);\nV.FindDistributedPoints(int, float, float, float, vtkIdList, int)\nC++: virtual void FindDistributedPoints (int N, double x, double y, double z, vtkIdList *result, int M);\n\n Find the closest points to a position such that each octant of\n space around the position contains at least N points. Loosely \n limit the search to a maximum number of points evaluated, M. \n These methods are thread safe if BuildLocator() is directly or\n indirectly called from a single thread first.\n"},
  {(char*)"FindPointsWithinRadius",                (PyCFunction)PyvtkPointLocator_FindPointsWithinRadius, 1,
   (char*)"V.FindPointsWithinRadius(float, (float, float, float), vtkIdList)\nC++: virtual void FindPointsWithinRadius (double R, const double x[3], vtkIdList *result);\nV.FindPointsWithinRadius(float, float, float, float, vtkIdList)\nC++: virtual void FindPointsWithinRadius (double R, double x, double y, double z, vtkIdList *result);\n\n Find all points within a specified radius R of position x.\n The result is not sorted in any specific manner.\n These methods are thread safe if BuildLocator() is directly or\n indirectly called from a single thread first.\n"},
  {(char*)"GetPointsInBucket",                (PyCFunction)PyvtkPointLocator_GetPointsInBucket, 1,
   (char*)"V.GetPointsInBucket((float, float, float), (int, int, int)) -> vtkIdList\nC++: virtual vtkIdList *GetPointsInBucket (const double x[3], int ijk[3]);\n\n Given a position x, return the list of points in the bucket that\n contains the point. It is possible that NULL is returned. The user\n provides an ijk array that is the indices into the locator.\n This method is thread safe.\n"},
  {(char*)"GetPoints",                (PyCFunction)PyvtkPointLocator_GetPoints, 1,
   (char*)"V.GetPoints() -> vtkPoints\nC++: vtkPoints *GetPoints ();\n\n Provide an accessor to the points.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkPointLocator_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n See vtkLocator interface documentation.\n These methods are not thread safe.\n"},
  {(char*)"FreeSearchStructure",                (PyCFunction)PyvtkPointLocator_FreeSearchStructure, 1,
   (char*)"V.FreeSearchStructure()\nC++: void FreeSearchStructure ();\n\n See vtkLocator interface documentation.\n These methods are not thread safe.\n"},
  {(char*)"BuildLocator",                (PyCFunction)PyvtkPointLocator_BuildLocator, 1,
   (char*)"V.BuildLocator()\nC++: void BuildLocator ();\n\n See vtkLocator interface documentation.\n These methods are not thread safe.\n"},
  {(char*)"GenerateRepresentation",                (PyCFunction)PyvtkPointLocator_GenerateRepresentation, 1,
   (char*)"V.GenerateRepresentation(int, vtkPolyData)\nC++: void GenerateRepresentation (int level, vtkPolyData *pd);\n\n See vtkLocator interface documentation.\n These methods are not thread safe.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointLocatorDoc[] = {
  (char*)"vtkPointLocator - quickly locate points in 3-space\n\n",
  "Super Class:\n\n vtkLocator\n\n",
  (char*)" vtkPointLocator is a spatial search object to quickly locate points in 3D.\n vtkPointLocator works by dividing a specified region of space into a regular\n array of \"rectangular\" buckets, and then keeping a list of points that \n lie in each bucket. Typical operation involves giving a position in 3D \n and finding the closest point.\n\n vtkPointLocator has two distinct methods of interaction. In the fi",
  (char*)"rst\n method, you supply it with a dataset, and it operates on the points in \n the dataset. In the second method, you supply it with an array of points,\n and the object operates on the array.\n\n",
  "Caveats:\n\n Many other types of spatial locators have been developed such as \n octrees and kd-trees. These are often more efficient for the \n operations described here.\n\n",
  "See Also:\n\n vtkCellPicker vtkPointPicker\n\n",
  NULL
};

static vtkObjectBase *vtkPointLocatorStaticNew()
{
  return vtkPointLocator::New();
}

PyObject *PyVTKClass_vtkPointLocatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkPointLocatorStaticNew,
                        PyvtkPointLocatorMethods,
                        (char*)"vtkPointLocator",modulename,
                        (char**)vtkPointLocatorDoc,
                        PyVTKClass_vtkLocatorNew(modulename));
}

