// python wrapper for vtkPointSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPointSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetNew(char *); }

static PyObject *PyvtkPointSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  const char    *temp20;
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  vtkPointSet  *temp20;
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSet_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSet::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSet_CopyStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSet::CopyStructure(temp0);
      }
    else
      {
      op->CopyStructure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPointSet_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  vtkIdType   temp20;
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSet::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSet_GetPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  vtkIdType   temp0;
  double  *temp20;
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSet::GetPoint(temp0);
      }
    else
      {
      temp20 = op->GetPoint(temp0);
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  vtkPointSet *op;

  vtkIdType   temp0;
  double temp1[3];
  PyErr_Clear();
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSet::GetPoint(temp0,temp1);
      }
    else
      {
      op->GetPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSet_FindPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  double temp0[3];
  vtkIdType   temp20;
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSet::FindPoint(temp0);
      }
    else
      {
      temp20 = op->FindPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPointSet *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkIdType   temp20;
  PyErr_Clear();
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSet::FindPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FindPoint(temp0,temp1,temp2);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSet_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  unsigned long     temp20;
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSet::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSet_ComputeBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSet::ComputeBounds();
      }
    else
      {
      op->ComputeBounds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSet_Squeeze(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSet::Squeeze();
      }
    else
      {
      op->Squeeze();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSet_SetPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSet::SetPoints(temp0);
      }
    else
      {
      op->SetPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkPointSet_GetPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  vtkPoints  *temp20;
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSet::GetPoints();
      }
    else
      {
      temp20 = op->GetPoints();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSet_GetActualMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  unsigned long     temp20;
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSet::GetActualMemorySize();
      }
    else
      {
      temp20 = op->GetActualMemorySize();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSet_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSet::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkPointSet_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSet *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPointSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSet::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}

static PyMethodDef PyvtkPointSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointSet\nC++: vtkPointSet *NewInstance ();\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkPointSet_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Reset to an empty state and free any memory.\n"},
  {(char*)"CopyStructure",                (PyCFunction)PyvtkPointSet_CopyStructure, 1,
   (char*)"V.CopyStructure(vtkDataSet)\nC++: void CopyStructure (vtkDataSet *pd);\n\n Copy the geometric structure of an input point set object.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkPointSet_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: vtkIdType GetNumberOfPoints ();\n\n See vtkDataSet for additional information.\n"},
  {(char*)"GetPoint",                (PyCFunction)PyvtkPointSet_GetPoint, 1,
   (char*)"V.GetPoint(int) -> (float, float, float)\nC++: double *GetPoint (vtkIdType ptId);return this Points GetPoint ptId \nV.GetPoint(int, (float, float, float))\nC++: void GetPoint (vtkIdType ptId, double x[3]);this Points GetPoint ptId x \n\n See vtkDataSet for additional information.\n"},
  {(char*)"FindPoint",                (PyCFunction)PyvtkPointSet_FindPoint, 1,
   (char*)"V.FindPoint((float, float, float)) -> int\nC++: vtkIdType FindPoint (double x[3]);\nV.FindPoint(float, float, float) -> int\nC++: vtkIdType FindPoint (double x, double y, double z);return this vtkDataSet FindPoint x y z \n\n See vtkDataSet for additional information.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkPointSet_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get MTime which also considers its vtkPoints MTime.\n"},
  {(char*)"ComputeBounds",                (PyCFunction)PyvtkPointSet_ComputeBounds, 1,
   (char*)"V.ComputeBounds()\nC++: void ComputeBounds ();\n\n Compute the (X, Y, Z)  bounds of the data.\n"},
  {(char*)"Squeeze",                (PyCFunction)PyvtkPointSet_Squeeze, 1,
   (char*)"V.Squeeze()\nC++: void Squeeze ();\n\n Reclaim any unused memory.\n"},
  {(char*)"SetPoints",                (PyCFunction)PyvtkPointSet_SetPoints, 1,
   (char*)"V.SetPoints(vtkPoints)\nC++: virtual void SetPoints (vtkPoints *);\n\n Specify point array to define point coordinates.\n"},
  {(char*)"GetPoints",                (PyCFunction)PyvtkPointSet_GetPoints, 1,
   (char*)"V.GetPoints() -> vtkPoints\nC++: vtkPoints *GetPoints ();\n\n Specify point array to define point coordinates.\n"},
  {(char*)"GetActualMemorySize",                (PyCFunction)PyvtkPointSet_GetActualMemorySize, 1,
   (char*)"V.GetActualMemorySize() -> int\nC++: unsigned long GetActualMemorySize ();\n\n Return the actual size of the data in kilobytes. This number\n is valid only after the pipeline has updated. The memory size\n returned is guaranteed to be greater than or equal to the\n memory required to represent the data (e.g., extra space in\n arrays, etc. are not included in the return value). THIS METHOD\n IS THREAD SAFE.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkPointSet_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: void ShallowCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkPointSet_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: void DeepCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointSetDoc[] = {
  (char*)"vtkPointSet - abstract class for specifying dataset behavior\n\n",
  "Super Class:\n\n vtkDataSet\n\n",
  (char*)" vtkPointSet is an abstract class that specifies the interface for \n datasets that explicitly use \"point\" arrays to represent geometry.\n For example, vtkPolyData and vtkUnstructuredGrid require point arrays\n to specify point position, while vtkStructuredPoints generates point\n positions implicitly.\n\n",
  "See Also:\n\n vtkPolyData vtkStructuredGrid vtkUnstructuredGrid\n\n",
  NULL
};

PyObject *PyVTKClass_vtkPointSetNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkPointSetMethods,
                        (char*)"vtkPointSet",modulename,
                        (char**)vtkPointSetDoc,
                        PyVTKClass_vtkDataSetNew(modulename));
}

