// python wrapper for vtkPointSetSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPointSetSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointSetSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointSetSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSourceNew(char *); }

static PyObject *PyvtkPointSetSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetSource *op;

  const char    *temp20;
  if ((op = (vtkPointSetSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPointSetSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetSource *op;

  vtkPointSetSource  *temp20;
  if ((op = (vtkPointSetSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetSource_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetSource *op;

  vtkPointSet  *temp20;
  if ((op = (vtkPointSetSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetSource::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPointSetSource *op;

  int      temp0;
  vtkPointSet  *temp20;
  PyErr_Clear();
  if ((op = (vtkPointSetSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetSource::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetSource_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetSource *op;

  vtkPointSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPointSetSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPointSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointSet");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetSource::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkPointSetSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointSetSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointSetSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointSetSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointSetSource\nC++: vtkPointSetSource *NewInstance ();\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkPointSetSource_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkPointSet\nC++: vtkPointSet *GetOutput ();\nV.GetOutput(int) -> vtkPointSet\nC++: vtkPointSet *GetOutput (int idx);\n\n Get the output of this source.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkPointSetSource_SetOutput, 1,
   (char*)"V.SetOutput(vtkPointSet)\nC++: void SetOutput (vtkPointSet *output);\n\n Get the output of this source.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointSetSourceDoc[] = {
  (char*)"vtkPointSetSource - abstract class whose subclasses generate point data\n\n",
  "Super Class:\n\n vtkSource\n\n",
  (char*)" vtkPointSetSource is an abstract class whose subclasses generate pointdata.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkPointSetSourceNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkPointSetSourceMethods,
                        (char*)"vtkPointSetSource",modulename,
                        (char**)vtkPointSetSourceDoc,
                        PyVTKClass_vtkSourceNew(modulename));
}

