// python wrapper for vtkPolyDataSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPolyDataSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSourceNew(char *); }

static PyObject *PyvtkPolyDataSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSource *op;

  const char    *temp20;
  if ((op = (vtkPolyDataSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPolyDataSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSource *op;

  vtkPolyDataSource  *temp20;
  if ((op = (vtkPolyDataSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSource_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSource *op;

  vtkPolyData  *temp20;
  if ((op = (vtkPolyDataSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSource::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataSource *op;

  int      temp0;
  vtkPolyData  *temp20;
  PyErr_Clear();
  if ((op = (vtkPolyDataSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSource::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSource_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSource *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPolyDataSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSource::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkPolyDataSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataSource\nC++: vtkPolyDataSource *NewInstance ();\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkPolyDataSource_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkPolyData\nC++: vtkPolyData *GetOutput ();\nV.GetOutput(int) -> vtkPolyData\nC++: vtkPolyData *GetOutput (int idx);\n\n Get the output of this source.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkPolyDataSource_SetOutput, 1,
   (char*)"V.SetOutput(vtkPolyData)\nC++: void SetOutput (vtkPolyData *output);\n\n Get the output of this source.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataSourceDoc[] = {
  (char*)"vtkPolyDataSource - abstract class whose subclasses generate polygonal data\n\n",
  "Super Class:\n\n vtkSource\n\n",
  (char*)" vtkPolyDataSource is an abstract class whose subclasses generate polygonal\n data.\n\n",
  "See Also:\n\n vtkPolyDataReader vtkAxes vtkBYUReader vtkConeSource vtkCubeSource\n vtkCursor3D vtkCyberReader vtkCylinderSource vtkDiskSource vtkLineSource\n vtkMCubesReader vtkOutlineSource vtkPlaneSource vtkPointSource vtkSTLReader\n vtkSphereSource vtkTextSource vtkUGFacetReader vtkVectorText\n\n",
  NULL
};

PyObject *PyVTKClass_vtkPolyDataSourceNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkPolyDataSourceMethods,
                        (char*)"vtkPolyDataSource",modulename,
                        (char**)vtkPolyDataSourceDoc,
                        PyVTKClass_vtkSourceNew(modulename));
}

