// python wrapper for vtkPolyDataToPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPolyDataToPolyDataFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataToPolyDataFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataToPolyDataFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataSourceNew(char *); }

static PyObject *PyvtkPolyDataToPolyDataFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToPolyDataFilter *op;

  const char    *temp20;
  if ((op = (vtkPolyDataToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToPolyDataFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToPolyDataFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToPolyDataFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPolyDataToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToPolyDataFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToPolyDataFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToPolyDataFilter *op;

  vtkPolyDataToPolyDataFilter  *temp20;
  if ((op = (vtkPolyDataToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToPolyDataFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToPolyDataFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToPolyDataFilter *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPolyDataToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataToPolyDataFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyDataToPolyDataFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToPolyDataFilter *op;

  vtkPolyData  *temp20;
  if ((op = (vtkPolyDataToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToPolyDataFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolyDataToPolyDataFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataToPolyDataFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataToPolyDataFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataToPolyDataFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataToPolyDataFilter\nC++: vtkPolyDataToPolyDataFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkPolyDataToPolyDataFilter_SetInput, 1,
   (char*)"V.SetInput(vtkPolyData)\nC++: virtual void SetInput (vtkPolyData *input);\n\n Set / get the input data or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkPolyDataToPolyDataFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkPolyData\nC++: vtkPolyData *GetInput ();\n\n Set / get the input data or filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataToPolyDataFilterDoc[] = {
  (char*)"vtkPolyDataToPolyDataFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkPolyDataSource\n\n",
  (char*)" vtkPolyDataToPolyDataFilter is an abstract filter class whose subclasses\n take as input polygonal data and generate polygonal data on output.\n\n",
  "See Also:\n\n vtkCleanPolyData vtkDecimate vtkFeatureEdges \n vtkMaskPolyData vtkPolyDataNormals vtkSmoothPolyDataFilter vtkStripper\n vtkTransformPolyDataFilter vtkTriangleFilter vtkTubeFilter\n vtkLinearExtrusionFilter vtkRibbonFilter vtkRotationalExtrusionFilter\n vtkShrinkPolyData\n\n",
  NULL
};

PyObject *PyVTKClass_vtkPolyDataToPolyDataFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkPolyDataToPolyDataFilterMethods,
                        (char*)"vtkPolyDataToPolyDataFilter",modulename,
                        (char**)vtkPolyDataToPolyDataFilterDoc,
                        PyVTKClass_vtkPolyDataSourceNew(modulename));
}

