// python wrapper for vtkRectilinearGridSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkRectilinearGridSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRectilinearGridSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRectilinearGridSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSourceNew(char *); }

static PyObject *PyvtkRectilinearGridSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridSource *op;

  const char    *temp20;
  if ((op = (vtkRectilinearGridSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGridSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkRectilinearGridSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGridSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridSource *op;

  vtkRectilinearGridSource  *temp20;
  if ((op = (vtkRectilinearGridSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGridSource_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridSource *op;

  vtkRectilinearGrid  *temp20;
  if ((op = (vtkRectilinearGridSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridSource::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkRectilinearGridSource *op;

  int      temp0;
  vtkRectilinearGrid  *temp20;
  PyErr_Clear();
  if ((op = (vtkRectilinearGridSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridSource::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGridSource_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridSource *op;

  vtkRectilinearGrid  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRectilinearGridSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRectilinearGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRectilinearGrid");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGridSource::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkRectilinearGridSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRectilinearGridSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRectilinearGridSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRectilinearGridSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRectilinearGridSource\nC++: vtkRectilinearGridSource *NewInstance ();\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkRectilinearGridSource_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkRectilinearGrid\nC++: vtkRectilinearGrid *GetOutput ();\nV.GetOutput(int) -> vtkRectilinearGrid\nC++: vtkRectilinearGrid *GetOutput (int idx);\n\n Get the output of this source.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkRectilinearGridSource_SetOutput, 1,
   (char*)"V.SetOutput(vtkRectilinearGrid)\nC++: void SetOutput (vtkRectilinearGrid *output);\n\n Get the output of this source.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRectilinearGridSourceDoc[] = {
  (char*)"vtkRectilinearGridSource - Abstract class whose subclasses generates rectilinear grid data\n\n",
  "Super Class:\n\n vtkSource\n\n",
  (char*)" vtkRectilinearGridSource is an abstract class whose subclasses generate\n rectilinear grid data.\n\n",
  "See Also:\n\n vtkRectilinearGridReader\n\n",
  NULL
};

PyObject *PyVTKClass_vtkRectilinearGridSourceNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkRectilinearGridSourceMethods,
                        (char*)"vtkRectilinearGridSource",modulename,
                        (char**)vtkRectilinearGridSourceDoc,
                        PyVTKClass_vtkSourceNew(modulename));
}

