// python wrapper for vtkRectilinearGridToPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkRectilinearGridToPolyDataFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRectilinearGridToPolyDataFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRectilinearGridToPolyDataFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataSourceNew(char *); }

static PyObject *PyvtkRectilinearGridToPolyDataFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridToPolyDataFilter *op;

  const char    *temp20;
  if ((op = (vtkRectilinearGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridToPolyDataFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGridToPolyDataFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridToPolyDataFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkRectilinearGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridToPolyDataFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGridToPolyDataFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridToPolyDataFilter *op;

  vtkRectilinearGridToPolyDataFilter  *temp20;
  if ((op = (vtkRectilinearGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridToPolyDataFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearGridToPolyDataFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridToPolyDataFilter *op;

  vtkRectilinearGrid  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRectilinearGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRectilinearGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRectilinearGrid");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearGridToPolyDataFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRectilinearGridToPolyDataFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearGridToPolyDataFilter *op;

  vtkRectilinearGrid  *temp20;
  if ((op = (vtkRectilinearGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearGridToPolyDataFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRectilinearGridToPolyDataFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRectilinearGridToPolyDataFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRectilinearGridToPolyDataFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRectilinearGridToPolyDataFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRectilinearGridToPolyDataFilter\nC++: vtkRectilinearGridToPolyDataFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkRectilinearGridToPolyDataFilter_SetInput, 1,
   (char*)"V.SetInput(vtkRectilinearGrid)\nC++: void SetInput (vtkRectilinearGrid *input);\n\n Set / get the input Grid or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkRectilinearGridToPolyDataFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkRectilinearGrid\nC++: vtkRectilinearGrid *GetInput ();\n\n Set / get the input Grid or filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRectilinearGridToPolyDataFilterDoc[] = {
  (char*)"vtkRectilinearGridToPolyDataFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkPolyDataSource\n\n",
  (char*)" vtkRectilinearGridToPolyDataFilter is a filter whose subclasses take as\n input rectilinear grid datasets and generate polygonal data on output.\n\n",
  "See Also:\n\n vtkRectilinearGridGeometryFilter vtkRectilinearGridOutlineFilter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkRectilinearGridToPolyDataFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkRectilinearGridToPolyDataFilterMethods,
                        (char*)"vtkRectilinearGridToPolyDataFilter",modulename,
                        (char**)vtkRectilinearGridToPolyDataFilterDoc,
                        PyVTKClass_vtkPolyDataSourceNew(modulename));
}

