// python wrapper for vtkScalarTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkScalarTree.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkScalarTreeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkScalarTreeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkScalarTree_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarTree *op;

  const char    *temp20;
  if ((op = (vtkScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarTree::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarTree_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarTree *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarTree::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarTree_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarTree *op;

  vtkScalarTree  *temp20;
  if ((op = (vtkScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarTree::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarTree_SetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarTree *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarTree::SetDataSet(temp0);
      }
    else
      {
      op->SetDataSet(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkScalarTree_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarTree *op;

  vtkDataSet  *temp20;
  if ((op = (vtkScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarTree::GetDataSet();
      }
    else
      {
      temp20 = op->GetDataSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarTree_BuildTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarTree *op;

  if ((op = (vtkScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->BuildTree();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarTree_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarTree *op;

  if ((op = (vtkScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarTree_InitTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarTree *op;

  double   temp0;
  if ((op = (vtkScalarTree *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->InitTraversal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkScalarTreeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkScalarTree_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkScalarTree_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkScalarTree_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkScalarTree\nC++: vtkScalarTree *NewInstance ();\n\n"},
  {(char*)"SetDataSet",                (PyCFunction)PyvtkScalarTree_SetDataSet, 1,
   (char*)"V.SetDataSet(vtkDataSet)\nC++: virtual void SetDataSet (vtkDataSet *);\n\n Build the tree from the points/cells defining this dataset.\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkScalarTree_GetDataSet, 1,
   (char*)"V.GetDataSet() -> vtkDataSet\nC++: vtkDataSet *GetDataSet ();\n\n Build the tree from the points/cells defining this dataset.\n"},
  {(char*)"BuildTree",                (PyCFunction)PyvtkScalarTree_BuildTree, 1,
   (char*)"V.BuildTree()\nC++: virtual void BuildTree () = 0;\n\n Construct the scalar tree from the dataset provided. Checks build times\n and modified time from input and reconstructs the tree if necessary.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkScalarTree_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize () = 0;\n\n Initialize locator. Frees memory and resets object as appropriate.\n"},
  {(char*)"InitTraversal",                (PyCFunction)PyvtkScalarTree_InitTraversal, 1,
   (char*)"V.InitTraversal(float)\nC++: virtual void InitTraversal (double scalarValue) = 0;\n\n Begin to traverse the cells based on a scalar value. Returned cells\n will have scalar values that span the scalar value specified.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkScalarTreeDoc[] = {
  (char*)"vtkScalarTree - organize data according to scalar values (used to accelerate contouring operations)\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkScalarTree is an abstract class that defines the API to concrete\n scalar tree subclasses. A scalar tree is a data structure that organizes\n data according to its scalar value. This allows rapid access to data for\n those algorithms that access the data based on scalar value. For example,\n isocontouring operates on cells based on the scalar (isocontour) value.\n\n To use subclasses of this class, ",
  (char*)"you must specify a dataset to operate on,\n and then specify a scalar value in the InitTraversal() method. Then\n calls to GetNextCell() return cells whose scalar data contains the\n scalar value specified.\n\n",
  "See Also:\n\n vtkSimpleScalarTree \n\n",
  NULL
};

PyObject *PyVTKClass_vtkScalarTreeNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkScalarTreeMethods,
                        (char*)"vtkScalarTree",modulename,
                        (char**)vtkScalarTreeDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

