// tcl wrapper for vtkSimpleCellTessellator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSimpleCellTessellator.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkSimpleCellTessellatorNewCommand()
{
  vtkSimpleCellTessellator *temp = vtkSimpleCellTessellator::New();
  return ((ClientData)temp);
}

int vtkGenericCellTessellatorCppCommand(vtkGenericCellTessellator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSimpleCellTessellatorCppCommand(vtkSimpleCellTessellator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSimpleCellTessellatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSimpleCellTessellatorCppCommand((vtkSimpleCellTessellator *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSimpleCellTessellatorCppCommand(vtkSimpleCellTessellator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSimpleCellTessellator",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkGenericCellTessellatorCppCommand((vtkGenericCellTessellator *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkGenericCellTessellator", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSimpleCellTessellator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSimpleCellTessellator");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSimpleCellTessellator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSimpleCellTessellator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSimpleCellTessellator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSimpleCellTessellator");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenericCell",argv[1]))&&(argc == 2))
    {
    vtkGenericAdaptorCell  *temp20;
    temp20 = (op)->GetGenericCell();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkGenericAdaptorCell");
    return TCL_OK;
    }
  if ((!strcmp("TessellateFace",argv[1]))&&(argc == 8))
    {
    vtkGenericAdaptorCell  *temp0;
    vtkGenericAttributeCollection  *temp1;
    vtkIdType   temp2;
    vtkDoubleArray  *temp3;
    vtkCellArray  *temp4;
    vtkPointData  *temp5;
    error = 0;

    temp0 = (vtkGenericAdaptorCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericAdaptorCell",interp,error));
    temp1 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkGenericAttributeCollection",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkDoubleArray",interp,error));
    temp4 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkCellArray",interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkPointData",interp,error));
    if (!error)
    {
    op->TessellateFace(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Tessellate",argv[1]))&&(argc == 7))
    {
    vtkGenericAdaptorCell  *temp0;
    vtkGenericAttributeCollection  *temp1;
    vtkDoubleArray  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    error = 0;

    temp0 = (vtkGenericAdaptorCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericAdaptorCell",interp,error));
    temp1 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkGenericAttributeCollection",interp,error));
    temp2 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkDoubleArray",interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkCellArray",interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointData",interp,error));
    if (!error)
    {
    op->Tessellate(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Triangulate",argv[1]))&&(argc == 7))
    {
    vtkGenericAdaptorCell  *temp0;
    vtkGenericAttributeCollection  *temp1;
    vtkDoubleArray  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    error = 0;

    temp0 = (vtkGenericAdaptorCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericAdaptorCell",interp,error));
    temp1 = (vtkGenericAttributeCollection *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkGenericAttributeCollection",interp,error));
    temp2 = (vtkDoubleArray *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkDoubleArray",interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkCellArray",interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointData",interp,error));
    if (!error)
    {
    op->Triangulate(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 3))
    {
    vtkGenericDataSet  *temp0;
    error = 0;

    temp0 = (vtkGenericDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericDataSet",interp,error));
    if (!error)
    {
    op->Initialize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFixedSubdivisions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFixedSubdivisions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxSubdivisionLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxSubdivisionLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxAdaptiveSubdivisions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxAdaptiveSubdivisions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFixedSubdivisions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFixedSubdivisions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaxSubdivisionLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxSubdivisionLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSubdivisionLevels",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSubdivisionLevels(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkSimpleCellTessellatorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkGenericCellTessellatorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSimpleCellTessellator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenericCell\n",NULL);
    Tcl_AppendResult(interp,"  TessellateFace\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  Tessellate\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  Triangulate\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFixedSubdivisions\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxSubdivisionLevel\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxAdaptiveSubdivisions\n",NULL);
    Tcl_AppendResult(interp,"  SetFixedSubdivisions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxSubdivisionLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSubdivisionLevels\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (vtkGenericCellTessellatorCppCommand((vtkGenericCellTessellator *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
