// python wrapper for vtkSimpleImageToImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSimpleImageToImageFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSimpleImageToImageFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSimpleImageToImageFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkSimpleImageToImageFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleImageToImageFilter *op;

  const char    *temp20;
  if ((op = (vtkSimpleImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleImageToImageFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleImageToImageFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleImageToImageFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSimpleImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleImageToImageFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleImageToImageFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleImageToImageFilter *op;

  vtkSimpleImageToImageFilter  *temp20;
  if ((op = (vtkSimpleImageToImageFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleImageToImageFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSimpleImageToImageFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSimpleImageToImageFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSimpleImageToImageFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSimpleImageToImageFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSimpleImageToImageFilter\nC++: vtkSimpleImageToImageFilter *NewInstance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSimpleImageToImageFilterDoc[] = {
  (char*)"vtkSimpleImageToImageFilter - Generic image filter with one input.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkSimpleImageToImageFilter is a filter which aims to avoid much\n of the complexity associated with vtkImageAlgorithm (i.e.\n support for pieces, multi-threaded operation). If you need to write\n a simple image-image filter which operates on the whole input, use\n this as the superclass. The subclass has to provide only an execute\n method which takes input and output as arguments. Memory allocation\n",
  (char*)" is handled in vtkSimpleImageToImageFilter. Also, you are guaranteed to\n have a valid input in the Execute(input, output) method. By default, \n this filter\n requests it's input's whole extent and copies the input's information\n (spacing, whole extent etc...) to the output. If the output's setup\n is different (for example, if it performs some sort of sub-sampling),\n ExecuteInformation has to be ove",
  (char*)"rwritten. As an example of how this\n can be done, you can look at vtkImageShrink3D::ExecuteInformation.\n For a complete example which uses templates to support generic data\n types, see  vtkSimpleFilterExample.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkSimpleImageToImageFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkSimpleImageToImageFilterMethods,
                        (char*)"vtkSimpleImageToImageFilter",modulename,
                        (char**)vtkSimpleImageToImageFilterDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

