// python wrapper for vtkSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkProcessObjectNew(char *); }

static PyObject *PyvtkSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  const char    *temp20;
  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  vtkSource  *temp20;
  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSource_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSource::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSource_UpdateWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSource::UpdateWholeExtent();
      }
    else
      {
      op->UpdateWholeExtent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSource_UpdateInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSource::UpdateInformation();
      }
    else
      {
      op->UpdateInformation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSource_PropagateUpdateExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkSource::PropagateUpdateExtent(temp0);
      }
    else
      {
      op->PropagateUpdateExtent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkSource_TriggerAsynchronousUpdate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSource::TriggerAsynchronousUpdate();
      }
    else
      {
      op->TriggerAsynchronousUpdate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSource_UpdateData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkSource::UpdateData(temp0);
      }
    else
      {
      op->UpdateData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkSource_ComputeInputUpdateExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkSource::ComputeInputUpdateExtents(temp0);
      }
    else
      {
      op->ComputeInputUpdateExtents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkSource_SetReleaseDataFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  int      temp0;
  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSource::SetReleaseDataFlag(temp0);
      }
    else
      {
      op->SetReleaseDataFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSource_GetReleaseDataFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  int      temp20;
  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSource::GetReleaseDataFlag();
      }
    else
      {
      temp20 = op->GetReleaseDataFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSource_ReleaseDataFlagOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSource::ReleaseDataFlagOn();
      }
    else
      {
      op->ReleaseDataFlagOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSource_ReleaseDataFlagOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSource::ReleaseDataFlagOff();
      }
    else
      {
      op->ReleaseDataFlagOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSource_GetNumberOfOutputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  int      temp20;
  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSource::GetNumberOfOutputs();
      }
    else
      {
      temp20 = op->GetNumberOfOutputs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSource_UnRegisterAllOutputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSource::UnRegisterAllOutputs();
      }
    else
      {
      op->UnRegisterAllOutputs();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSource_GetOutputIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSource::GetOutputIndex(temp0);
      }
    else
      {
      temp20 = op->GetOutputIndex(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkSource_SetExecutive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSource *op;

  vtkExecutive  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkExecutive *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkExecutive");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkSource::SetExecutive(temp0);
      }
    else
      {
      op->SetExecutive(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}

static PyMethodDef PyvtkSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSource\nC++: vtkSource *NewInstance ();\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkSource_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Bring object up-to-date before execution. Update() checks modified\n time against last execution time, and re-executes object if necessary.\n"},
  {(char*)"UpdateWholeExtent",                (PyCFunction)PyvtkSource_UpdateWholeExtent, 1,
   (char*)"V.UpdateWholeExtent()\nC++: virtual void UpdateWholeExtent ();\n\n Like update, but make sure the update extent is the whole extent in\n the output.\n"},
  {(char*)"UpdateInformation",                (PyCFunction)PyvtkSource_UpdateInformation, 1,
   (char*)"V.UpdateInformation()\nC++: virtual void UpdateInformation ();\n\n Updates any global information about the data \n (like spacing for images)\n"},
  {(char*)"PropagateUpdateExtent",                (PyCFunction)PyvtkSource_PropagateUpdateExtent, 1,
   (char*)"V.PropagateUpdateExtent(vtkDataObject)\nC++: virtual void PropagateUpdateExtent (vtkDataObject *output);\n\n"},
  {(char*)"TriggerAsynchronousUpdate",                (PyCFunction)PyvtkSource_TriggerAsynchronousUpdate, 1,
   (char*)"V.TriggerAsynchronousUpdate()\nC++: virtual void TriggerAsynchronousUpdate ();\n\n"},
  {(char*)"UpdateData",                (PyCFunction)PyvtkSource_UpdateData, 1,
   (char*)"V.UpdateData(vtkDataObject)\nC++: virtual void UpdateData (vtkDataObject *output);\n\n"},
  {(char*)"ComputeInputUpdateExtents",                (PyCFunction)PyvtkSource_ComputeInputUpdateExtents, 1,
   (char*)"V.ComputeInputUpdateExtents(vtkDataObject)\nC++: virtual void ComputeInputUpdateExtents (vtkDataObject *output);\n\n What is the input update extent that is required to produce the\n desired output? By default, the whole input is always required but\n this is overridden in many subclasses. \n"},
  {(char*)"SetReleaseDataFlag",                (PyCFunction)PyvtkSource_SetReleaseDataFlag, 1,
   (char*)"V.SetReleaseDataFlag(int)\nC++: virtual void SetReleaseDataFlag (int );\n\n Turn on/off flag to control whether this object's data is released\n after being used by a source.\n"},
  {(char*)"GetReleaseDataFlag",                (PyCFunction)PyvtkSource_GetReleaseDataFlag, 1,
   (char*)"V.GetReleaseDataFlag() -> int\nC++: virtual int GetReleaseDataFlag ();\n\n Turn on/off flag to control whether this object's data is released\n after being used by a source.\n"},
  {(char*)"ReleaseDataFlagOn",                (PyCFunction)PyvtkSource_ReleaseDataFlagOn, 1,
   (char*)"V.ReleaseDataFlagOn()\nC++: void ReleaseDataFlagOn ();\n\n Turn on/off flag to control whether this object's data is released\n after being used by a source.\n"},
  {(char*)"ReleaseDataFlagOff",                (PyCFunction)PyvtkSource_ReleaseDataFlagOff, 1,
   (char*)"V.ReleaseDataFlagOff()\nC++: void ReleaseDataFlagOff ();\n\n Turn on/off flag to control whether this object's data is released\n after being used by a source.\n"},
  {(char*)"GetNumberOfOutputs",                (PyCFunction)PyvtkSource_GetNumberOfOutputs, 1,
   (char*)"V.GetNumberOfOutputs() -> int\nC++: int GetNumberOfOutputs ();\n\n Return an array with all the inputs of this process object.\n This is useful for tracing back in the pipeline to construct\n graphs etc.\n"},
  {(char*)"UnRegisterAllOutputs",                (PyCFunction)PyvtkSource_UnRegisterAllOutputs, 1,
   (char*)"V.UnRegisterAllOutputs()\nC++: void UnRegisterAllOutputs (void );\n\n Release/disconnect all outputs of this source. This is intended to be\n called prior to Delete() if the user is concerned about outputs holding\n on to the filter/source.\n"},
  {(char*)"GetOutputIndex",                (PyCFunction)PyvtkSource_GetOutputIndex, 1,
   (char*)"V.GetOutputIndex(vtkDataObject) -> int\nC++: int GetOutputIndex (vtkDataObject *out);\n\n Return what index output the passed in output is, return -1 if it\n does not match any of the outputs\n"},
  {(char*)"SetExecutive",                (PyCFunction)PyvtkSource_SetExecutive, 1,
   (char*)"V.SetExecutive(vtkExecutive)\nC++: virtual void SetExecutive (vtkExecutive *executive);\n\n Set this algorithm's executive.  This algorithm is removed from\n any executive to which it has previously been assigned and then\n assigned to the given executive.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSourceDoc[] = {
  (char*)"vtkSource - abstract class specifies interface for visualization network source\n\n",
  "Super Class:\n\n vtkProcessObject\n\n",
  (char*)" vtkSource is an abstract object that specifies behavior and interface\n of source objects. Source objects are objects that begin visualization\n pipeline. Sources include readers (read data from file or communications\n port) and procedural sources (generate data programmatically). vtkSource \n objects are also objects that generate output data. In this sense\n vtkSource is used as a superclass to vtk",
  (char*)"Filter.\n\n Concrete subclasses of vtkSource must define Update() and Execute() \n methods. The public method Update() invokes network execution and will\n bring the network up-to-date. The protected Execute() method actually\n does the work of data creation/generation. The difference between the two\n methods is that Update() implements input consistency checks and modified\n time comparisons and then i",
  (char*)"nvokes the Execute() which is an implementation \n of a particular algorithm.\n\n An important feature of subclasses of vtkSource is that it is possible \n to control the memory-management model (i.e., retain output versus delete\n output data). If enabled the ReleaseDataFlag enables the deletion of the\n output data once the downstream process object finishes processing the\n data (please see text).\n\n",
  "See Also:\n\n vtkProcessObject vtkDataSetReader vtkFilter vtkPolyDataSource \n vtkStructuredGridSource vtkStructuredPointsSource vtkUnstructuredGridSource\n\n",
  NULL
};

PyObject *PyVTKClass_vtkSourceNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkSourceMethods,
                        (char*)"vtkSource",modulename,
                        (char**)vtkSourceDoc,
                        PyVTKClass_vtkProcessObjectNew(modulename));
}

