// tcl wrapper for vtkStreamingDemandDrivenPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamingDemandDrivenPipeline.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkStreamingDemandDrivenPipelineNewCommand()
{
  vtkStreamingDemandDrivenPipeline *temp = vtkStreamingDemandDrivenPipeline::New();
  return ((ClientData)temp);
}

int vtkDemandDrivenPipelineCppCommand(vtkDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStreamingDemandDrivenPipelineCppCommand(vtkStreamingDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkStreamingDemandDrivenPipelineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkStreamingDemandDrivenPipelineCppCommand((vtkStreamingDemandDrivenPipeline *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStreamingDemandDrivenPipelineCppCommand(vtkStreamingDemandDrivenPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkStreamingDemandDrivenPipeline",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkDemandDrivenPipelineCppCommand((vtkDemandDrivenPipeline *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkDemandDrivenPipeline", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkStreamingDemandDrivenPipeline  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkStreamingDemandDrivenPipeline");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkStreamingDemandDrivenPipeline  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkStreamingDemandDrivenPipeline");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkStreamingDemandDrivenPipeline  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkStreamingDemandDrivenPipeline");
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Update();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->Update(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateWholeExtent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->UpdateWholeExtent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PropagateUpdateExtent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->PropagateUpdateExtent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumNumberOfPieces",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetMaximumNumberOfPieces(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfPieces",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    temp20 = (op)->GetMaximumNumberOfPieces(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtentToWholeExtent",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    temp20 = (op)->SetUpdateExtentToWholeExtent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateExtent",argv[1]))&&(argc == 6))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdateExtent(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdatePiece",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdatePiece(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdatePiece",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    temp20 = (op)->GetUpdatePiece(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateNumberOfPieces",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdateNumberOfPieces(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdateNumberOfPieces",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    temp20 = (op)->GetUpdateNumberOfPieces(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUpdateGhostLevel",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetUpdateGhostLevel(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdateGhostLevel",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    temp20 = (op)->GetUpdateGhostLevel(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRequestExactExtent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SetRequestExactExtent(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRequestExactExtent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRequestExactExtent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExtentTranslator",argv[1]))&&(argc == 4))
    {
    vtkInformation  *temp0;
    vtkExtentTranslator  *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    temp1 = (vtkExtentTranslator *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkExtentTranslator",interp,error));
    if (!error)
    {
    temp20 = (op)->SetExtentTranslator(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtentTranslator",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    vtkExtentTranslator  *temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    temp20 = (op)->GetExtentTranslator(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkExtentTranslator");
    return TCL_OK;
    }
    }
  if ((!strcmp("REQUEST_UPDATE_EXTENT",argv[1]))&&(argc == 2))
    {
    vtkInformationRequestKey  *temp20;
    temp20 = (op)->REQUEST_UPDATE_EXTENT();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationRequestKey");
    return TCL_OK;
    }
  if ((!strcmp("CONTINUE_EXECUTING",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->CONTINUE_EXECUTING();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("EXTENT_TRANSLATOR",argv[1]))&&(argc == 2))
    {
    vtkInformationObjectBaseKey  *temp20;
    temp20 = (op)->EXTENT_TRANSLATOR();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationObjectBaseKey");
    return TCL_OK;
    }
  if ((!strcmp("UPDATE_EXTENT_INITIALIZED",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->UPDATE_EXTENT_INITIALIZED();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("UPDATE_EXTENT",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerVectorKey  *temp20;
    temp20 = (op)->UPDATE_EXTENT();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("UPDATE_PIECE_NUMBER",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->UPDATE_PIECE_NUMBER();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("UPDATE_NUMBER_OF_PIECES",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->UPDATE_NUMBER_OF_PIECES();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("UPDATE_NUMBER_OF_GHOST_LEVELS",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->UPDATE_NUMBER_OF_GHOST_LEVELS();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("WHOLE_EXTENT",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerVectorKey  *temp20;
    temp20 = (op)->WHOLE_EXTENT();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("MAXIMUM_NUMBER_OF_PIECES",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->MAXIMUM_NUMBER_OF_PIECES();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("WHOLE_BOUNDING_BOX",argv[1]))&&(argc == 2))
    {
    vtkInformationDoubleVectorKey  *temp20;
    temp20 = (op)->WHOLE_BOUNDING_BOX();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationDoubleVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("EXACT_EXTENT",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->EXACT_EXTENT();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }
  if ((!strcmp("TIME_STEPS",argv[1]))&&(argc == 2))
    {
    vtkInformationDoubleVectorKey  *temp20;
    temp20 = (op)->TIME_STEPS();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationDoubleVectorKey");
    return TCL_OK;
    }
  if ((!strcmp("UPDATE_TIME_INDEX",argv[1]))&&(argc == 2))
    {
    vtkInformationIntegerKey  *temp20;
    temp20 = (op)->UPDATE_TIME_INDEX();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInformationIntegerKey");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkStreamingDemandDrivenPipelineCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDemandDrivenPipelineCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStreamingDemandDrivenPipeline:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Update\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateWholeExtent\n",NULL);
    Tcl_AppendResult(interp,"  PropagateUpdateExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfPieces\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtentToWholeExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateExtent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdatePiece\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdatePiece\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateNumberOfPieces\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateNumberOfPieces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateGhostLevel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateGhostLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestExactExtent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRequestExactExtent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetExtentTranslator\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetExtentTranslator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  REQUEST_UPDATE_EXTENT\n",NULL);
    Tcl_AppendResult(interp,"  CONTINUE_EXECUTING\n",NULL);
    Tcl_AppendResult(interp,"  EXTENT_TRANSLATOR\n",NULL);
    Tcl_AppendResult(interp,"  UPDATE_EXTENT_INITIALIZED\n",NULL);
    Tcl_AppendResult(interp,"  UPDATE_EXTENT\n",NULL);
    Tcl_AppendResult(interp,"  UPDATE_PIECE_NUMBER\n",NULL);
    Tcl_AppendResult(interp,"  UPDATE_NUMBER_OF_PIECES\n",NULL);
    Tcl_AppendResult(interp,"  UPDATE_NUMBER_OF_GHOST_LEVELS\n",NULL);
    Tcl_AppendResult(interp,"  WHOLE_EXTENT\n",NULL);
    Tcl_AppendResult(interp,"  MAXIMUM_NUMBER_OF_PIECES\n",NULL);
    Tcl_AppendResult(interp,"  WHOLE_BOUNDING_BOX\n",NULL);
    Tcl_AppendResult(interp,"  EXACT_EXTENT\n",NULL);
    Tcl_AppendResult(interp,"  TIME_STEPS\n",NULL);
    Tcl_AppendResult(interp,"  UPDATE_TIME_INDEX\n",NULL);
    return TCL_OK;
    }

  if (vtkDemandDrivenPipelineCppCommand((vtkDemandDrivenPipeline *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
