// python wrapper for vtkStructuredGridToPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkStructuredGridToPolyDataFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredGridToPolyDataFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredGridToPolyDataFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataSourceNew(char *); }

static PyObject *PyvtkStructuredGridToPolyDataFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridToPolyDataFilter *op;

  const char    *temp20;
  if ((op = (vtkStructuredGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridToPolyDataFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridToPolyDataFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridToPolyDataFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkStructuredGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridToPolyDataFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridToPolyDataFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridToPolyDataFilter *op;

  vtkStructuredGridToPolyDataFilter  *temp20;
  if ((op = (vtkStructuredGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridToPolyDataFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridToPolyDataFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridToPolyDataFilter *op;

  vtkStructuredGrid  *temp0;
  PyObject *tempH0;
  if ((op = (vtkStructuredGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkStructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGridToPolyDataFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStructuredGridToPolyDataFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridToPolyDataFilter *op;

  vtkStructuredGrid  *temp20;
  if ((op = (vtkStructuredGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridToPolyDataFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStructuredGridToPolyDataFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredGridToPolyDataFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredGridToPolyDataFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredGridToPolyDataFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredGridToPolyDataFilter\nC++: vtkStructuredGridToPolyDataFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkStructuredGridToPolyDataFilter_SetInput, 1,
   (char*)"V.SetInput(vtkStructuredGrid)\nC++: void SetInput (vtkStructuredGrid *input);\n\n Set / get the input Grid or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkStructuredGridToPolyDataFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetInput ();\n\n Set / get the input Grid or filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredGridToPolyDataFilterDoc[] = {
  (char*)"vtkStructuredGridToPolyDataFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkPolyDataSource\n\n",
  (char*)" vtkStructuredGridToPolyDataFilter is a filter whose subclasses take as input\n structured grid datasets and generate polygonal data on output. \n\n",
  "See Also:\n\n vtkStructuredGridGeometryFilter vtkStructuredGridOutlineFilter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkStructuredGridToPolyDataFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkStructuredGridToPolyDataFilterMethods,
                        (char*)"vtkStructuredGridToPolyDataFilter",modulename,
                        (char**)vtkStructuredGridToPolyDataFilterDoc,
                        PyVTKClass_vtkPolyDataSourceNew(modulename));
}

