// python wrapper for vtkStructuredGridToStructuredGridFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkStructuredGridToStructuredGridFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredGridToStructuredGridFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredGridToStructuredGridFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStructuredGridSourceNew(char *); }

static PyObject *PyvtkStructuredGridToStructuredGridFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridToStructuredGridFilter *op;

  const char    *temp20;
  if ((op = (vtkStructuredGridToStructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridToStructuredGridFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridToStructuredGridFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridToStructuredGridFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkStructuredGridToStructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridToStructuredGridFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridToStructuredGridFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridToStructuredGridFilter *op;

  vtkStructuredGridToStructuredGridFilter  *temp20;
  if ((op = (vtkStructuredGridToStructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridToStructuredGridFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridToStructuredGridFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridToStructuredGridFilter *op;

  vtkStructuredGrid  *temp0;
  PyObject *tempH0;
  if ((op = (vtkStructuredGridToStructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkStructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredGridToStructuredGridFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStructuredGridToStructuredGridFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridToStructuredGridFilter *op;

  vtkStructuredGrid  *temp20;
  if ((op = (vtkStructuredGridToStructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridToStructuredGridFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStructuredGridToStructuredGridFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredGridToStructuredGridFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredGridToStructuredGridFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredGridToStructuredGridFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredGridToStructuredGridFilter\nC++: vtkStructuredGridToStructuredGridFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkStructuredGridToStructuredGridFilter_SetInput, 1,
   (char*)"V.SetInput(vtkStructuredGrid)\nC++: void SetInput (vtkStructuredGrid *input);\n\n Set / get the input Grid or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkStructuredGridToStructuredGridFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetInput ();\n\n Set / get the input Grid or filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredGridToStructuredGridFilterDoc[] = {
  (char*)"vtkStructuredGridToStructuredGridFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkStructuredGridSource\n\n",
  (char*)" vtkStructuredPointsToStructuredPointsFilter is an abstract filter class \n whose subclasses take on input a structured grid  and generate a\n structured grid on output.\n\n",
  "See Also:\n\n vtkExtractGrid\n\n",
  NULL
};

PyObject *PyVTKClass_vtkStructuredGridToStructuredGridFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkStructuredGridToStructuredGridFilterMethods,
                        (char*)"vtkStructuredGridToStructuredGridFilter",modulename,
                        (char**)vtkStructuredGridToStructuredGridFilterDoc,
                        PyVTKClass_vtkStructuredGridSourceNew(modulename));
}

