// python wrapper for vtkStructuredPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkStructuredPoints.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredPointsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredPointsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageDataNew(char *); }

static PyObject *PyvtkStructuredPoints_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPoints *op;

  const char    *temp20;
  if ((op = (vtkStructuredPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPoints::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPoints_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPoints *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkStructuredPoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPoints::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPoints_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPoints *op;

  vtkStructuredPoints  *temp20;
  if ((op = (vtkStructuredPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPoints::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPoints_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStructuredPoints  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStructuredPoints::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStructuredPoints_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPoints *op;

  int      temp20;
  if ((op = (vtkStructuredPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPoints::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStructuredPointsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredPoints_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredPoints_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredPoints_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredPoints\nC++: vtkStructuredPoints *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStructuredPoints_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStructuredPoints\nC++: vtkStructuredPoints *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkStructuredPoints_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: int GetDataObjectType ();return VTK_STRUCTURED_POINTS \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredPointsDoc[] = {
  (char*)"vtkStructuredPoints - A subclass of ImageData.\n\n",
  "Super Class:\n\n vtkImageData\n\n",
  (char*)" StructuredPoints is a subclass of ImageData that requires the data extent\n to exactly match the update extent. Normall image data allows that the\n data extent may be larger than the update extent.\n StructuredPoints also defines the origin differently that vtkImageData.\n For structured points the origin is the location of first point. \n Whereas images define the origin as the location of point 0, ",
  (char*)"0, 0.\n Image Origin is stored in ivar, and structured points\n have special methods for setting/getting the origin/extents.\n\n",
  NULL
};

static vtkObjectBase *vtkStructuredPointsStaticNew()
{
  return vtkStructuredPoints::New();
}

PyObject *PyVTKClass_vtkStructuredPointsNew(char *modulename)
{
  return PyVTKClass_New(&vtkStructuredPointsStaticNew,
                        PyvtkStructuredPointsMethods,
                        (char*)"vtkStructuredPoints",modulename,
                        (char**)vtkStructuredPointsDoc,
                        PyVTKClass_vtkImageDataNew(modulename));
}

