// python wrapper for vtkStructuredPointsToPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkStructuredPointsToPolyDataFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredPointsToPolyDataFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredPointsToPolyDataFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataSourceNew(char *); }

static PyObject *PyvtkStructuredPointsToPolyDataFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToPolyDataFilter *op;

  const char    *temp20;
  if ((op = (vtkStructuredPointsToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsToPolyDataFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsToPolyDataFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToPolyDataFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkStructuredPointsToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsToPolyDataFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsToPolyDataFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToPolyDataFilter *op;

  vtkStructuredPointsToPolyDataFilter  *temp20;
  if ((op = (vtkStructuredPointsToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsToPolyDataFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsToPolyDataFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToPolyDataFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkStructuredPointsToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredPointsToPolyDataFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStructuredPointsToPolyDataFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToPolyDataFilter *op;

  vtkImageData  *temp20;
  if ((op = (vtkStructuredPointsToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsToPolyDataFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStructuredPointsToPolyDataFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredPointsToPolyDataFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredPointsToPolyDataFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredPointsToPolyDataFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredPointsToPolyDataFilter\nC++: vtkStructuredPointsToPolyDataFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkStructuredPointsToPolyDataFilter_SetInput, 1,
   (char*)"V.SetInput(vtkImageData)\nC++: virtual void SetInput (vtkImageData *input);\n\n Set / get the input data or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkStructuredPointsToPolyDataFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkImageData\nC++: vtkImageData *GetInput ();\n\n Set / get the input data or filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredPointsToPolyDataFilterDoc[] = {
  (char*)"vtkStructuredPointsToPolyDataFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkPolyDataSource\n\n",
  (char*)" vtkStructuredPointsToPolyDataFilter is an abstract filter class whose\n subclasses take on input structured points and generate polygonal \n data on output.\n\n",
  "See Also:\n\n vtkDividingCubes vtkMarchingCubes vtkMarchingSquares\n vtkRecursiveDividingCubes vtkImageDataGeometryFilter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkStructuredPointsToPolyDataFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkStructuredPointsToPolyDataFilterMethods,
                        (char*)"vtkStructuredPointsToPolyDataFilter",modulename,
                        (char**)vtkStructuredPointsToPolyDataFilterDoc,
                        PyVTKClass_vtkPolyDataSourceNew(modulename));
}

