// python wrapper for vtkStructuredPointsToUnstructuredGridFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkStructuredPointsToUnstructuredGridFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredPointsToUnstructuredGridFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredPointsToUnstructuredGridFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridSourceNew(char *); }

static PyObject *PyvtkStructuredPointsToUnstructuredGridFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToUnstructuredGridFilter *op;

  const char    *temp20;
  if ((op = (vtkStructuredPointsToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsToUnstructuredGridFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsToUnstructuredGridFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToUnstructuredGridFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkStructuredPointsToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsToUnstructuredGridFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsToUnstructuredGridFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToUnstructuredGridFilter *op;

  vtkStructuredPointsToUnstructuredGridFilter  *temp20;
  if ((op = (vtkStructuredPointsToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsToUnstructuredGridFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsToUnstructuredGridFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToUnstructuredGridFilter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkStructuredPointsToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkStructuredPointsToUnstructuredGridFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStructuredPointsToUnstructuredGridFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsToUnstructuredGridFilter *op;

  vtkImageData  *temp20;
  if ((op = (vtkStructuredPointsToUnstructuredGridFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsToUnstructuredGridFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkStructuredPointsToUnstructuredGridFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredPointsToUnstructuredGridFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredPointsToUnstructuredGridFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredPointsToUnstructuredGridFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredPointsToUnstructuredGridFilter\nC++: vtkStructuredPointsToUnstructuredGridFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkStructuredPointsToUnstructuredGridFilter_SetInput, 1,
   (char*)"V.SetInput(vtkImageData)\nC++: void SetInput (vtkImageData *input);\n\n Set / get the input data or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkStructuredPointsToUnstructuredGridFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkImageData\nC++: vtkImageData *GetInput ();\n\n Set / get the input data or filter.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredPointsToUnstructuredGridFilterDoc[] = {
  (char*)"vtkStructuredPointsToUnstructuredGridFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkUnstructuredGridSource\n\n",
  (char*)" vtkStructuredPointsToUnstructuredGridFilter is an abstract filter class \n whose subclasses take on input structured points and generate unstructured\n grid data on output.\n\n",
  "See Also:\n\n vtkClipVolume\n\n",
  NULL
};

PyObject *PyVTKClass_vtkStructuredPointsToUnstructuredGridFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkStructuredPointsToUnstructuredGridFilterMethods,
                        (char*)"vtkStructuredPointsToUnstructuredGridFilter",modulename,
                        (char**)vtkStructuredPointsToUnstructuredGridFilterDoc,
                        PyVTKClass_vtkUnstructuredGridSourceNew(modulename));
}

