// python wrapper for vtkThreadedImageAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkThreadedImageAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkThreadedImageAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadedImageAlgorithm *op;

  const char    *temp20;
  if ((op = (vtkThreadedImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreadedImageAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkThreadedImageAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadedImageAlgorithm *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkThreadedImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreadedImageAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreadedImageAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadedImageAlgorithm *op;

  vtkThreadedImageAlgorithm  *temp20;
  if ((op = (vtkThreadedImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreadedImageAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreadedImageAlgorithm_ThreadedExecute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadedImageAlgorithm *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  vtkImageData  *temp1;
  PyObject *tempH1;
  int    temp2[6];
  int      temp3;
  if ((op = (vtkThreadedImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"OO(iiiiii)i", &tempH0, &tempH1, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, &temp3)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break3;
    temp1 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkImageData");
    if (!temp1 && tempH1 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkThreadedImageAlgorithm::ThreadedExecute(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->ThreadedExecute(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,2,temp2,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkThreadedImageAlgorithm_SetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadedImageAlgorithm *op;

  int      temp0;
  if ((op = (vtkThreadedImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreadedImageAlgorithm::SetNumberOfThreads(temp0);
      }
    else
      {
      op->SetNumberOfThreads(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreadedImageAlgorithm_GetNumberOfThreadsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadedImageAlgorithm *op;

  int      temp20;
  if ((op = (vtkThreadedImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreadedImageAlgorithm::GetNumberOfThreadsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfThreadsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreadedImageAlgorithm_GetNumberOfThreadsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadedImageAlgorithm *op;

  int      temp20;
  if ((op = (vtkThreadedImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreadedImageAlgorithm::GetNumberOfThreadsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfThreadsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreadedImageAlgorithm_GetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadedImageAlgorithm *op;

  int      temp20;
  if ((op = (vtkThreadedImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreadedImageAlgorithm::GetNumberOfThreads();
      }
    else
      {
      temp20 = op->GetNumberOfThreads();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreadedImageAlgorithm_SplitExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreadedImageAlgorithm *op;

  int    temp0[6];
  int    temp1[6];
  int      temp2;
  int      temp3;
  int      temp20;
  if ((op = (vtkThreadedImageAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)(iiiiii)ii", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreadedImageAlgorithm::SplitExtent(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->SplitExtent(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkThreadedImageAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkThreadedImageAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkThreadedImageAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkThreadedImageAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkThreadedImageAlgorithm\nC++: vtkThreadedImageAlgorithm *NewInstance ();\n\n"},
  {(char*)"ThreadedExecute",                (PyCFunction)PyvtkThreadedImageAlgorithm_ThreadedExecute, 1,
   (char*)"V.ThreadedExecute(vtkImageData, vtkImageData, (int, int, int, int, int, int), int)\nC++: virtual void ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int threadId);\n\n"},
  {(char*)"SetNumberOfThreads",                (PyCFunction)PyvtkThreadedImageAlgorithm_SetNumberOfThreads, 1,
   (char*)"V.SetNumberOfThreads(int)\nC++: void SetNumberOfThreads (int );\n\n Get/Set the number of threads to create when rendering\n"},
  {(char*)"GetNumberOfThreadsMinValue",                (PyCFunction)PyvtkThreadedImageAlgorithm_GetNumberOfThreadsMinValue, 1,
   (char*)"V.GetNumberOfThreadsMinValue() -> int\nC++: int GetNumberOfThreadsMinValue ();\n\n Get/Set the number of threads to create when rendering\n"},
  {(char*)"GetNumberOfThreadsMaxValue",                (PyCFunction)PyvtkThreadedImageAlgorithm_GetNumberOfThreadsMaxValue, 1,
   (char*)"V.GetNumberOfThreadsMaxValue() -> int\nC++: int GetNumberOfThreadsMaxValue ();\n\n Get/Set the number of threads to create when rendering\n"},
  {(char*)"GetNumberOfThreads",                (PyCFunction)PyvtkThreadedImageAlgorithm_GetNumberOfThreads, 1,
   (char*)"V.GetNumberOfThreads() -> int\nC++: int GetNumberOfThreads ();\n\n Get/Set the number of threads to create when rendering\n"},
  {(char*)"SplitExtent",                (PyCFunction)PyvtkThreadedImageAlgorithm_SplitExtent, 1,
   (char*)"V.SplitExtent((int, int, int, int, int, int), (int, int, int, int, int, int), int, int) -> int\nC++: virtual int SplitExtent (int splitExt[6], int startExt[6], int num, int total);\n\n Putting this here until I merge graphics and imaging streaming.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkThreadedImageAlgorithmDoc[] = {
  (char*)"vtkImageToImageAlgorithm - Generic filter that has one input..\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageToImageAlgorithm is a filter superclass that hides much of the \n pipeline  complexity. It handles breaking the pipeline execution \n into smaller extents so that the vtkImageData limits are observed. It \n also provides support for multithreading. If you don't need any of this\n functionality, consider using vtkSimpleImageToImageAlgorithm instead.\n .SECTION See also\n vtkSimpleImageToImageAlg",
  (char*)"orithm\n\n",
  NULL
};

PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkThreadedImageAlgorithmMethods,
                        (char*)"vtkThreadedImageAlgorithm",modulename,
                        (char**)vtkThreadedImageAlgorithmDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

