// python wrapper for vtkTrivialProducer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTrivialProducer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTrivialProducerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTrivialProducerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkTrivialProducer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTrivialProducer *op;

  const char    *temp20;
  if ((op = (vtkTrivialProducer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTrivialProducer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTrivialProducer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTrivialProducer *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTrivialProducer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTrivialProducer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTrivialProducer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTrivialProducer *op;

  vtkTrivialProducer  *temp20;
  if ((op = (vtkTrivialProducer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTrivialProducer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTrivialProducer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTrivialProducer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTrivialProducer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTrivialProducer_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTrivialProducer *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTrivialProducer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTrivialProducer::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTrivialProducer_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTrivialProducer *op;

  unsigned long     temp20;
  if ((op = (vtkTrivialProducer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTrivialProducer::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTrivialProducerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTrivialProducer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTrivialProducer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTrivialProducer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTrivialProducer\nC++: vtkTrivialProducer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTrivialProducer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTrivialProducer\nC++: vtkTrivialProducer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkTrivialProducer_SetOutput, 1,
   (char*)"V.SetOutput(vtkDataObject)\nC++: virtual void SetOutput (vtkDataObject *output);\n\n Set the data object that is \"produced\" by this producer.  It is\n never really modified.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkTrivialProducer_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n The modified time of this producer is the newer of this object or\n the assigned output.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTrivialProducerDoc[] = {
  (char*)"vtkTrivialProducer - Producer for stand-alone data objects.\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkTrivialProducer allows stand-alone data objects to be connected\n as inputs in a pipeline.  All data objects that are connected to a\n pipeline involving vtkAlgorithm must have a producer.  This trivial\n producer allows data objects that are hand-constructed in a program\n without another vtk producer to be connected.\n\n",
  NULL
};

static vtkObjectBase *vtkTrivialProducerStaticNew()
{
  return vtkTrivialProducer::New();
}

PyObject *PyVTKClass_vtkTrivialProducerNew(char *modulename)
{
  return PyVTKClass_New(&vtkTrivialProducerStaticNew,
                        PyvtkTrivialProducerMethods,
                        (char*)"vtkTrivialProducer",modulename,
                        (char**)vtkTrivialProducerDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

