// python wrapper for vtkUniformGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkUniformGrid.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUniformGridNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUniformGridNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageDataNew(char *); }

static PyObject *PyvtkUniformGrid_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  const char    *temp20;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformGrid::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformGrid::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkUniformGrid  *temp20;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformGrid::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUniformGrid  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUniformGrid::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUniformGrid_CopyStructure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformGrid::CopyStructure(temp0);
      }
    else
      {
      op->CopyStructure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkUniformGrid_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  int      temp20;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformGrid::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_GetCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkIdType   temp0;
  vtkCell  *temp20;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformGrid::GetCell(temp0);
      }
    else
      {
      temp20 = op->GetCell(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkIdType   temp0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformGrid::GetCell(temp0,temp1);
      }
    else
      {
      op->GetCell(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkUniformGrid_GetCellType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkIdType   temp0;
  int      temp20;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformGrid::GetCellType(temp0);
      }
    else
      {
      temp20 = op->GetCellType(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_GetCellPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformGrid::GetCellPoints(temp0,temp1);
      }
    else
      {
      op->GetCellPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkUniformGrid_GetPointCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkIdType   temp0;
  vtkIdList  *temp1;
  PyObject *tempH1;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkIdList");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformGrid::GetPointCells(temp0,temp1);
      }
    else
      {
      op->GetPointCells(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkUniformGrid_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformGrid::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_GetMaxCellSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  int      temp20;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformGrid::GetMaxCellSize();
      }
    else
      {
      temp20 = op->GetMaxCellSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_GetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  double temp0[2];
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformGrid::GetScalarRange(temp0);
      }
    else
      {
      op->GetScalarRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformGrid::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkUniformGrid_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformGrid::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkUniformGrid_BlankPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkIdType   temp0;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformGrid::BlankPoint(temp0);
      }
    else
      {
      op->BlankPoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_UnBlankPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkIdType   temp0;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformGrid::UnBlankPoint(temp0);
      }
    else
      {
      op->UnBlankPoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_BlankCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkIdType   temp0;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformGrid::BlankCell(temp0);
      }
    else
      {
      op->BlankCell(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_UnBlankCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkIdType   temp0;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformGrid::UnBlankCell(temp0);
      }
    else
      {
      op->UnBlankCell(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_GetPointVisibilityArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkUnsignedCharArray  *temp20;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformGrid::GetPointVisibilityArray();
      }
    else
      {
      temp20 = op->GetPointVisibilityArray();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_SetPointVisibilityArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkUnsignedCharArray  *temp0;
  PyObject *tempH0;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnsignedCharArray");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformGrid::SetPointVisibilityArray(temp0);
      }
    else
      {
      op->SetPointVisibilityArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkUniformGrid_GetCellVisibilityArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkUnsignedCharArray  *temp20;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformGrid::GetCellVisibilityArray();
      }
    else
      {
      temp20 = op->GetCellVisibilityArray();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_SetCellVisibilityArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkUnsignedCharArray  *temp0;
  PyObject *tempH0;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnsignedCharArray");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkUniformGrid::SetCellVisibilityArray(temp0);
      }
    else
      {
      op->SetCellVisibilityArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkUniformGrid_IsPointVisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkIdType   temp0;
  unsigned char     temp20;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformGrid::IsPointVisible(temp0);
      }
    else
      {
      temp20 = op->IsPointVisible(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_IsCellVisible(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkIdType   temp0;
  unsigned char     temp20;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformGrid::IsCellVisible(temp0);
      }
    else
      {
      temp20 = op->IsCellVisible(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_GetPointBlanking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  unsigned char     temp20;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformGrid::GetPointBlanking();
      }
    else
      {
      temp20 = op->GetPointBlanking();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_GetCellBlanking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  unsigned char     temp20;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformGrid::GetCellBlanking();
      }
    else
      {
      temp20 = op->GetCellBlanking();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUniformGrid_NewImageDataCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUniformGrid *op;

  vtkImageData  *temp20;
  if ((op = (vtkUniformGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUniformGrid::NewImageDataCopy();
      }
    else
      {
      temp20 = op->NewImageDataCopy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUniformGridMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUniformGrid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUniformGrid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUniformGrid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUniformGrid\nC++: vtkUniformGrid *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUniformGrid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUniformGrid\nC++: vtkUniformGrid *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CopyStructure",                (PyCFunction)PyvtkUniformGrid_CopyStructure, 1,
   (char*)"V.CopyStructure(vtkDataSet)\nC++: virtual void CopyStructure (vtkDataSet *ds);\n\n Copy the geometric and topological structure of an input image data\n object.\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkUniformGrid_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: virtual int GetDataObjectType ();return VTK_UNIFORM_GRID \n\n Return what type of dataset this is.\n"},
  {(char*)"GetCell",                (PyCFunction)PyvtkUniformGrid_GetCell, 1,
   (char*)"V.GetCell(int) -> vtkCell\nC++: virtual vtkCell *GetCell (vtkIdType cellId);\nV.GetCell(int, vtkGenericCell)\nC++: virtual void GetCell (vtkIdType cellId, vtkGenericCell *cell);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCellType",                (PyCFunction)PyvtkUniformGrid_GetCellType, 1,
   (char*)"V.GetCellType(int) -> int\nC++: virtual int GetCellType (vtkIdType cellId);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetCellPoints",                (PyCFunction)PyvtkUniformGrid_GetCellPoints, 1,
   (char*)"V.GetCellPoints(int, vtkIdList)\nC++: virtual void GetCellPoints (vtkIdType cellId, vtkIdList *ptIds);vtkStructuredData GetCellPoints cellId ptIds this DataDescription this GetDimensions \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetPointCells",                (PyCFunction)PyvtkUniformGrid_GetPointCells, 1,
   (char*)"V.GetPointCells(int, vtkIdList)\nC++: virtual void GetPointCells (vtkIdType ptId, vtkIdList *cellIds);vtkStructuredData GetPointCells ptId cellIds this GetDimensions \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkUniformGrid_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetMaxCellSize",                (PyCFunction)PyvtkUniformGrid_GetMaxCellSize, 1,
   (char*)"V.GetMaxCellSize() -> int\nC++: virtual int GetMaxCellSize ();return \n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"GetScalarRange",                (PyCFunction)PyvtkUniformGrid_GetScalarRange, 1,
   (char*)"V.GetScalarRange((float, float))\nC++: virtual void GetScalarRange (double range[2]);\n\n Standard vtkDataSet API methods. See vtkDataSet for more information.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkUniformGrid_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: virtual void ShallowCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkUniformGrid_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: virtual void DeepCopy (vtkDataObject *src);\n\n Shallow and Deep copy.\n"},
  {(char*)"BlankPoint",                (PyCFunction)PyvtkUniformGrid_BlankPoint, 1,
   (char*)"V.BlankPoint(int)\nC++: virtual void BlankPoint (vtkIdType ptId);\n\n Methods for supporting blanking of cells. Blanking turns on or off\n points in the structured grid, and hence the cells connected to them.\n These methods should be called only after the dimensions of the\n grid are set.\n"},
  {(char*)"UnBlankPoint",                (PyCFunction)PyvtkUniformGrid_UnBlankPoint, 1,
   (char*)"V.UnBlankPoint(int)\nC++: virtual void UnBlankPoint (vtkIdType ptId);\n\n Methods for supporting blanking of cells. Blanking turns on or off\n points in the structured grid, and hence the cells connected to them.\n These methods should be called only after the dimensions of the\n grid are set.\n"},
  {(char*)"BlankCell",                (PyCFunction)PyvtkUniformGrid_BlankCell, 1,
   (char*)"V.BlankCell(int)\nC++: virtual void BlankCell (vtkIdType ptId);\n\n Methods for supporting blanking of cells. Blanking turns on or off\n cells in the structured grid.\n These methods should be called only after the dimensions of the\n grid are set.\n"},
  {(char*)"UnBlankCell",                (PyCFunction)PyvtkUniformGrid_UnBlankCell, 1,
   (char*)"V.UnBlankCell(int)\nC++: virtual void UnBlankCell (vtkIdType ptId);\n\n Methods for supporting blanking of cells. Blanking turns on or off\n cells in the structured grid.\n These methods should be called only after the dimensions of the\n grid are set.\n"},
  {(char*)"GetPointVisibilityArray",                (PyCFunction)PyvtkUniformGrid_GetPointVisibilityArray, 1,
   (char*)"V.GetPointVisibilityArray() -> vtkUnsignedCharArray\nC++: virtual vtkUnsignedCharArray *GetPointVisibilityArray ();\n\n Get the array that defines the blanking (visibility) of each point.\n"},
  {(char*)"SetPointVisibilityArray",                (PyCFunction)PyvtkUniformGrid_SetPointVisibilityArray, 1,
   (char*)"V.SetPointVisibilityArray(vtkUnsignedCharArray)\nC++: virtual void SetPointVisibilityArray (vtkUnsignedCharArray *pointVisibility);\n\n Set an array that defines the (blanking) visibility of the points \n in the grid. Make sure that length of the visibility array matches \n the number of points in the grid.\n"},
  {(char*)"GetCellVisibilityArray",                (PyCFunction)PyvtkUniformGrid_GetCellVisibilityArray, 1,
   (char*)"V.GetCellVisibilityArray() -> vtkUnsignedCharArray\nC++: virtual vtkUnsignedCharArray *GetCellVisibilityArray ();\n\n Get the array that defines the blanking (visibility) of each cell.\n"},
  {(char*)"SetCellVisibilityArray",                (PyCFunction)PyvtkUniformGrid_SetCellVisibilityArray, 1,
   (char*)"V.SetCellVisibilityArray(vtkUnsignedCharArray)\nC++: virtual void SetCellVisibilityArray (vtkUnsignedCharArray *pointVisibility);\n\n Set an array that defines the (blanking) visibility of the cells \n in the grid. Make sure that length of the visibility array matches \n the number of points in the grid.\n"},
  {(char*)"IsPointVisible",                (PyCFunction)PyvtkUniformGrid_IsPointVisible, 1,
   (char*)"V.IsPointVisible(int) -> int\nC++: virtual unsigned char IsPointVisible (vtkIdType ptId);\n\n Return non-zero value if specified point is visible.\n These methods should be called only after the dimensions of the\n grid are set.\n"},
  {(char*)"IsCellVisible",                (PyCFunction)PyvtkUniformGrid_IsCellVisible, 1,
   (char*)"V.IsCellVisible(int) -> int\nC++: virtual unsigned char IsCellVisible (vtkIdType cellId);\n\n Return non-zero value if specified point is visible.\n These methods should be called only after the dimensions of the\n grid are set.\n"},
  {(char*)"GetPointBlanking",                (PyCFunction)PyvtkUniformGrid_GetPointBlanking, 1,
   (char*)"V.GetPointBlanking() -> int\nC++: virtual unsigned char GetPointBlanking ();\n\n Returns 1 if there is any visibility constraint on the points,\n 0 otherwise.\n"},
  {(char*)"GetCellBlanking",                (PyCFunction)PyvtkUniformGrid_GetCellBlanking, 1,
   (char*)"V.GetCellBlanking() -> int\nC++: virtual unsigned char GetCellBlanking ();\n\n Returns 1 if there is any visibility constraint on the cells,\n 0 otherwise.\n"},
  {(char*)"NewImageDataCopy",                (PyCFunction)PyvtkUniformGrid_NewImageDataCopy, 1,
   (char*)"V.NewImageDataCopy() -> vtkImageData\nC++: virtual vtkImageData *NewImageDataCopy ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUniformGridDoc[] = {
  (char*)"vtkUniformGrid - image data with blanking\n\n",
  "Super Class:\n\n vtkImageData\n\n",
  (char*)" vtkUniformGrid is a subclass of vtkImageData. In addition to all\n the image data functionality, it supports blanking.\n\n",
  NULL
};

static vtkObjectBase *vtkUniformGridStaticNew()
{
  return vtkUniformGrid::New();
}

PyObject *PyVTKClass_vtkUniformGridNew(char *modulename)
{
  return PyVTKClass_New(&vtkUniformGridStaticNew,
                        PyvtkUniformGridMethods,
                        (char*)"vtkUniformGrid",modulename,
                        (char**)vtkUniformGridDoc,
                        PyVTKClass_vtkImageDataNew(modulename));
}

