// python wrapper for vtkUnstructuredGridToPolyDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkUnstructuredGridToPolyDataFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridToPolyDataFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridToPolyDataFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataSourceNew(char *); }

static PyObject *PyvtkUnstructuredGridToPolyDataFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridToPolyDataFilter *op;

  const char    *temp20;
  if ((op = (vtkUnstructuredGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridToPolyDataFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridToPolyDataFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridToPolyDataFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkUnstructuredGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridToPolyDataFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridToPolyDataFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridToPolyDataFilter *op;

  vtkUnstructuredGridToPolyDataFilter  *temp20;
  if ((op = (vtkUnstructuredGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridToPolyDataFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridToPolyDataFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridToPolyDataFilter *op;

  vtkUnstructuredGrid  *temp0;
  PyObject *tempH0;
  if ((op = (vtkUnstructuredGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridToPolyDataFilter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridToPolyDataFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridToPolyDataFilter *op;

  vtkUnstructuredGrid  *temp20;
  if ((op = (vtkUnstructuredGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridToPolyDataFilter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridToPolyDataFilter_ComputeInputUpdateExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridToPolyDataFilter *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkUnstructuredGridToPolyDataFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridToPolyDataFilter::ComputeInputUpdateExtents(temp0);
      }
    else
      {
      op->ComputeInputUpdateExtents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridToPolyDataFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGridToPolyDataFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGridToPolyDataFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGridToPolyDataFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGridToPolyDataFilter\nC++: vtkUnstructuredGridToPolyDataFilter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkUnstructuredGridToPolyDataFilter_SetInput, 1,
   (char*)"V.SetInput(vtkUnstructuredGrid)\nC++: virtual void SetInput (vtkUnstructuredGrid *input);\n\n Set / get the input data or filter.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkUnstructuredGridToPolyDataFilter_GetInput, 1,
   (char*)"V.GetInput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetInput ();\n\n Set / get the input data or filter.\n"},
  {(char*)"ComputeInputUpdateExtents",                (PyCFunction)PyvtkUnstructuredGridToPolyDataFilter_ComputeInputUpdateExtents, 1,
   (char*)"V.ComputeInputUpdateExtents(vtkDataObject)\nC++: virtual void ComputeInputUpdateExtents (vtkDataObject *output);\n\n Do not let datasets return more than requested.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridToPolyDataFilterDoc[] = {
  (char*)"vtkUnstructuredGridToPolyDataFilter - abstract filter class\n\n",
  "Super Class:\n\n vtkPolyDataSource\n\n",
  (char*)" vtkUnstructuredGridToPolyDataFilter is an abstract filter class whose\n subclasses take as input datasets of type vtkUnstructuredGrid and \n generate polygonal data on output.\n\n",
  "See Also:\n\n vtkContourGrid\n\n",
  NULL
};

PyObject *PyVTKClass_vtkUnstructuredGridToPolyDataFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkUnstructuredGridToPolyDataFilterMethods,
                        (char*)"vtkUnstructuredGridToPolyDataFilter",modulename,
                        (char**)vtkUnstructuredGridToPolyDataFilterDoc,
                        PyVTKClass_vtkPolyDataSourceNew(modulename));
}

