// python wrapper for vtkViewport object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkViewport.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkViewportNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkViewportNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkViewport_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  const char    *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  vtkViewport  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_AddViewProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::AddViewProp(temp0);
      }
    else
      {
      op->AddViewProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkViewport_GetViewProps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  vtkPropCollection  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetViewProps();
      }
    else
      {
      temp20 = op->GetViewProps();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_HasViewProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::HasViewProp(temp0);
      }
    else
      {
      temp20 = op->HasViewProp(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkViewport_RemoveViewProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::RemoveViewProp(temp0);
      }
    else
      {
      op->RemoveViewProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkViewport_RemoveAllViewProps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::RemoveAllViewProps();
      }
    else
      {
      op->RemoveAllViewProps();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_AddActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::AddActor2D(temp0);
      }
    else
      {
      op->AddActor2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkViewport_RemoveActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::RemoveActor2D(temp0);
      }
    else
      {
      op->RemoveActor2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkViewport_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  vtkActor2DCollection  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetActors2D();
      }
    else
      {
      temp20 = op->GetActors2D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_SetBackground(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::SetBackground(temp0,temp1,temp2);
      }
    else
      {
      op->SetBackground(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewport *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::SetBackground(temp0);
      }
    else
      {
      op->SetBackground(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_GetBackground(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetBackground();
      }
    else
      {
      temp20 = op->GetBackground();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_SetAspect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::SetAspect(temp0,temp1);
      }
    else
      {
      op->SetAspect(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewport *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::SetAspect(temp0);
      }
    else
      {
      op->SetAspect(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_GetAspect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetAspect();
      }
    else
      {
      temp20 = op->GetAspect();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_ComputeAspect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::ComputeAspect();
      }
    else
      {
      op->ComputeAspect();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_SetPixelAspect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::SetPixelAspect(temp0,temp1);
      }
    else
      {
      op->SetPixelAspect(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewport *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::SetPixelAspect(temp0);
      }
    else
      {
      op->SetPixelAspect(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_GetPixelAspect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetPixelAspect();
      }
    else
      {
      temp20 = op->GetPixelAspect();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_SetViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::SetViewport(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetViewport(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewport *op;

  double temp0[4];
  PyErr_Clear();
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::SetViewport(temp0);
      }
    else
      {
      op->SetViewport(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_GetViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetViewport();
      }
    else
      {
      temp20 = op->GetViewport();
      }
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_SetDisplayPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::SetDisplayPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetDisplayPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewport *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::SetDisplayPoint(temp0);
      }
    else
      {
      op->SetDisplayPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_GetDisplayPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetDisplayPoint();
      }
    else
      {
      temp20 = op->GetDisplayPoint();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_SetViewPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::SetViewPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetViewPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewport *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::SetViewPoint(temp0);
      }
    else
      {
      op->SetViewPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_GetViewPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetViewPoint();
      }
    else
      {
      temp20 = op->GetViewPoint();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_SetWorldPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::SetWorldPoint(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetWorldPoint(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkViewport *op;

  double temp0[4];
  PyErr_Clear();
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::SetWorldPoint(temp0);
      }
    else
      {
      op->SetWorldPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_GetWorldPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetWorldPoint();
      }
    else
      {
      temp20 = op->GetWorldPoint();
      }
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_IsInViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  int      temp0;
  int      temp1;
  int      temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::IsInViewport(temp0,temp1);
      }
    else
      {
      temp20 = op->IsInViewport(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_GetVTKWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  vtkWindow  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetVTKWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_DisplayToView(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::DisplayToView();
      }
    else
      {
      op->DisplayToView();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_ViewToDisplay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::ViewToDisplay();
      }
    else
      {
      op->ViewToDisplay();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_WorldToView(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::WorldToView();
      }
    else
      {
      op->WorldToView();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_ViewToWorld(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::ViewToWorld();
      }
    else
      {
      op->ViewToWorld();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_DisplayToWorld(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::DisplayToWorld();
      }
    else
      {
      op->DisplayToWorld();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_WorldToDisplay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::WorldToDisplay();
      }
    else
      {
      op->WorldToDisplay();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  int     *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  int     *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_PickProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double   temp0;
  double   temp1;
  vtkAssemblyPath  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->PickProp(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_PickPropFrom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double   temp0;
  double   temp1;
  vtkPropCollection  *temp2;
  PyObject *tempH2;
  vtkAssemblyPath  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"ddO", &temp0, &temp1, &tempH2)))
    {
    temp2 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPropCollection");
    if (!temp2 && tempH2 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::PickPropFrom(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->PickPropFrom(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break45:
  return NULL;
}


static PyObject *PyvtkViewport_GetPickX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double   temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetPickX();
      }
    else
      {
      temp20 = op->GetPickX();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_GetPickY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double   temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetPickY();
      }
    else
      {
      temp20 = op->GetPickY();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_GetIsPicking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  int      temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetIsPicking();
      }
    else
      {
      temp20 = op->GetIsPicking();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkViewport_GetPickedZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  double   temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetPickedZ();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkViewport_RemoveProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break50;
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::RemoveProp(temp0);
      }
    else
      {
      op->RemoveProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break50:
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkViewport_AddProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break51;
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::AddProp(temp0);
      }
    else
      {
      op->AddProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break51:
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkViewport_GetProps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  vtkPropCollection  *temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::GetProps();
      }
    else
      {
      temp20 = op->GetProps();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkViewport_HasProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break53;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkViewport::HasProp(temp0);
      }
    else
      {
      temp20 = op->HasProp(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break53:
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkViewport_RemoveAllProps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkViewport *op;

  if ((op = (vtkViewport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkViewport::RemoveAllProps();
      }
    else
      {
      op->RemoveAllProps();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif

static PyMethodDef PyvtkViewportMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkViewport_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkViewport_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkViewport_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkViewport\nC++: vtkViewport *NewInstance ();\n\n"},
  {(char*)"AddViewProp",                (PyCFunction)PyvtkViewport_AddViewProp, 1,
   (char*)"V.AddViewProp(vtkProp)\nC++: void AddViewProp (vtkProp *);\n\n Add a prop to the list of props. Prop is the superclass of all \n actors, volumes, 2D actors, composite props etc.\n"},
  {(char*)"GetViewProps",                (PyCFunction)PyvtkViewport_GetViewProps, 1,
   (char*)"V.GetViewProps() -> vtkPropCollection\nC++: vtkPropCollection *GetViewProps ();return this Props \n\n Return any props in this viewport.\n"},
  {(char*)"HasViewProp",                (PyCFunction)PyvtkViewport_HasViewProp, 1,
   (char*)"V.HasViewProp(vtkProp) -> int\nC++: int HasViewProp (vtkProp *);\n\n Query if a prop is in the list of props.\n"},
  {(char*)"RemoveViewProp",                (PyCFunction)PyvtkViewport_RemoveViewProp, 1,
   (char*)"V.RemoveViewProp(vtkProp)\nC++: void RemoveViewProp (vtkProp *);\n\n Remove an actor from the list of actors.\n"},
  {(char*)"RemoveAllViewProps",                (PyCFunction)PyvtkViewport_RemoveAllViewProps, 1,
   (char*)"V.RemoveAllViewProps()\nC++: void RemoveAllViewProps (void );\n\n Remove all actors from the list of actors.\n"},
  {(char*)"AddActor2D",                (PyCFunction)PyvtkViewport_AddActor2D, 1,
   (char*)"V.AddActor2D(vtkProp)\nC++: void AddActor2D (vtkProp *p);\n\n Add/Remove different types of props to the renderer.\n These methods are all synonyms to AddViewProp and RemoveViewProp.\n They are here for convenience and backwards compatibility.\n"},
  {(char*)"RemoveActor2D",                (PyCFunction)PyvtkViewport_RemoveActor2D, 1,
   (char*)"V.RemoveActor2D(vtkProp)\nC++: void RemoveActor2D (vtkProp *p);\n\n Add/Remove different types of props to the renderer.\n These methods are all synonyms to AddViewProp and RemoveViewProp.\n They are here for convenience and backwards compatibility.\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkViewport_GetActors2D, 1,
   (char*)"V.GetActors2D() -> vtkActor2DCollection\nC++: vtkActor2DCollection *GetActors2D ();\n\n Add/Remove different types of props to the renderer.\n These methods are all synonyms to AddViewProp and RemoveViewProp.\n They are here for convenience and backwards compatibility.\n"},
  {(char*)"SetBackground",                (PyCFunction)PyvtkViewport_SetBackground, 1,
   (char*)"V.SetBackground(float, float, float)\nC++: void SetBackground (double , double , double );\nV.SetBackground((float, float, float))\nC++: void SetBackground (double  a[3]);\n\n Set/Get the background color of the rendering screen using an rgb color\n specification.\n"},
  {(char*)"GetBackground",                (PyCFunction)PyvtkViewport_GetBackground, 1,
   (char*)"V.GetBackground() -> (float, float, float)\nC++: double  *GetBackground ();\n\n Set/Get the background color of the rendering screen using an rgb color\n specification.\n"},
  {(char*)"SetAspect",                (PyCFunction)PyvtkViewport_SetAspect, 1,
   (char*)"V.SetAspect(float, float)\nC++: void SetAspect (double , double );\nV.SetAspect((float, float))\nC++: void SetAspect (double  a[2]);\n\n Set the aspect ratio of the rendered image. This is computed \n automatically and should not be set by the user.\n"},
  {(char*)"GetAspect",                (PyCFunction)PyvtkViewport_GetAspect, 1,
   (char*)"V.GetAspect() -> (float, float)\nC++: double  *GetAspect ();\n\n Set the aspect ratio of the rendered image. This is computed \n automatically and should not be set by the user.\n"},
  {(char*)"ComputeAspect",                (PyCFunction)PyvtkViewport_ComputeAspect, 1,
   (char*)"V.ComputeAspect()\nC++: virtual void ComputeAspect ();\n\n Set the aspect ratio of the rendered image. This is computed \n automatically and should not be set by the user.\n"},
  {(char*)"SetPixelAspect",                (PyCFunction)PyvtkViewport_SetPixelAspect, 1,
   (char*)"V.SetPixelAspect(float, float)\nC++: void SetPixelAspect (double , double );\nV.SetPixelAspect((float, float))\nC++: void SetPixelAspect (double  a[2]);\n\n Set the aspect ratio of a pixel in the rendered image. \n This factor permits the image to rendered anisotropically\n (i.e., stretched in one direction or the other).\n"},
  {(char*)"GetPixelAspect",                (PyCFunction)PyvtkViewport_GetPixelAspect, 1,
   (char*)"V.GetPixelAspect() -> (float, float)\nC++: double  *GetPixelAspect ();\n\n Set the aspect ratio of a pixel in the rendered image. \n This factor permits the image to rendered anisotropically\n (i.e., stretched in one direction or the other).\n"},
  {(char*)"SetViewport",                (PyCFunction)PyvtkViewport_SetViewport, 1,
   (char*)"V.SetViewport(float, float, float, float)\nC++: void SetViewport (double , double , double , double );\nV.SetViewport((float, float, float, float))\nC++: void SetViewport (double  a[4]);\n\n Specify the viewport for the Viewport to draw in the rendering window. \n Coordinates are expressed as (xmin,ymin,xmax,ymax), where each\n coordinate is 0 <= coordinate <= 1.0.\n"},
  {(char*)"GetViewport",                (PyCFunction)PyvtkViewport_GetViewport, 1,
   (char*)"V.GetViewport() -> (float, float, float, float)\nC++: double  *GetViewport ();\n\n Specify the viewport for the Viewport to draw in the rendering window. \n Coordinates are expressed as (xmin,ymin,xmax,ymax), where each\n coordinate is 0 <= coordinate <= 1.0.\n"},
  {(char*)"SetDisplayPoint",                (PyCFunction)PyvtkViewport_SetDisplayPoint, 1,
   (char*)"V.SetDisplayPoint(float, float, float)\nC++: void SetDisplayPoint (double , double , double );\nV.SetDisplayPoint((float, float, float))\nC++: void SetDisplayPoint (double  a[3]);\n\n Set/get a point location in display (or screen) coordinates.\n The lower left corner of the window is the origin and y increases\n as you go up the screen.\n"},
  {(char*)"GetDisplayPoint",                (PyCFunction)PyvtkViewport_GetDisplayPoint, 1,
   (char*)"V.GetDisplayPoint() -> (float, float, float)\nC++: double  *GetDisplayPoint ();\n\n Set/get a point location in display (or screen) coordinates.\n The lower left corner of the window is the origin and y increases\n as you go up the screen.\n"},
  {(char*)"SetViewPoint",                (PyCFunction)PyvtkViewport_SetViewPoint, 1,
   (char*)"V.SetViewPoint(float, float, float)\nC++: void SetViewPoint (double , double , double );\nV.SetViewPoint((float, float, float))\nC++: void SetViewPoint (double  a[3]);\n\n Specify a point location in view coordinates. The origin is in the \n middle of the viewport and it extends from -1 to 1 in all three\n dimensions.\n"},
  {(char*)"GetViewPoint",                (PyCFunction)PyvtkViewport_GetViewPoint, 1,
   (char*)"V.GetViewPoint() -> (float, float, float)\nC++: double  *GetViewPoint ();\n\n Specify a point location in view coordinates. The origin is in the \n middle of the viewport and it extends from -1 to 1 in all three\n dimensions.\n"},
  {(char*)"SetWorldPoint",                (PyCFunction)PyvtkViewport_SetWorldPoint, 1,
   (char*)"V.SetWorldPoint(float, float, float, float)\nC++: void SetWorldPoint (double , double , double , double );\nV.SetWorldPoint((float, float, float, float))\nC++: void SetWorldPoint (double  a[4]);\n\n Specify a point location in world coordinates. This method takes \n homogeneous coordinates. \n"},
  {(char*)"GetWorldPoint",                (PyCFunction)PyvtkViewport_GetWorldPoint, 1,
   (char*)"V.GetWorldPoint() -> (float, float, float, float)\nC++: double  *GetWorldPoint ();\n\n Specify a point location in world coordinates. This method takes \n homogeneous coordinates. \n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkViewport_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float)\nC++: virtual double *GetCenter ();\n\n Return the center of this viewport in display coordinates.\n"},
  {(char*)"IsInViewport",                (PyCFunction)PyvtkViewport_IsInViewport, 1,
   (char*)"V.IsInViewport(int, int) -> int\nC++: virtual int IsInViewport (int x, int y);\n\n Is a given display point in this Viewport's viewport.\n"},
  {(char*)"GetVTKWindow",                (PyCFunction)PyvtkViewport_GetVTKWindow, 1,
   (char*)"V.GetVTKWindow() -> vtkWindow\nC++: virtual vtkWindow *GetVTKWindow () = 0;\n\n Return the vtkWindow that owns this vtkViewport.\n"},
  {(char*)"DisplayToView",                (PyCFunction)PyvtkViewport_DisplayToView, 1,
   (char*)"V.DisplayToView()\nC++: virtual void DisplayToView ();\n\n Convert display coordinates to view coordinates.\n"},
  {(char*)"ViewToDisplay",                (PyCFunction)PyvtkViewport_ViewToDisplay, 1,
   (char*)"V.ViewToDisplay()\nC++: virtual void ViewToDisplay ();\n\n Convert view coordinates to display coordinates.\n"},
  {(char*)"WorldToView",                (PyCFunction)PyvtkViewport_WorldToView, 1,
   (char*)"V.WorldToView()\nC++: virtual void WorldToView ();\n\n Convert world point coordinates to view coordinates.\n"},
  {(char*)"ViewToWorld",                (PyCFunction)PyvtkViewport_ViewToWorld, 1,
   (char*)"V.ViewToWorld()\nC++: virtual void ViewToWorld ();\n\n Convert view point coordinates to world coordinates.\n"},
  {(char*)"DisplayToWorld",                (PyCFunction)PyvtkViewport_DisplayToWorld, 1,
   (char*)"V.DisplayToWorld()\nC++: void DisplayToWorld ();this DisplayToView this ViewToWorld \n\n Convert display (or screen) coordinates to world coordinates.\n"},
  {(char*)"WorldToDisplay",                (PyCFunction)PyvtkViewport_WorldToDisplay, 1,
   (char*)"V.WorldToDisplay()\nC++: void WorldToDisplay ();this WorldToView this ViewToDisplay \n\n Convert world point coordinates to display (or screen) coordinates.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkViewport_GetSize, 1,
   (char*)"V.GetSize() -> (int, int)\nC++: int *GetSize ();\n\n Get the size and origin of the viewport in display coordinates. Note:\n if the window has not yet been realized, GetSize() and GetOrigin() \n return (0,0).\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkViewport_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (int, int)\nC++: int *GetOrigin ();\n\n Get the size and origin of the viewport in display coordinates. Note:\n if the window has not yet been realized, GetSize() and GetOrigin() \n return (0,0).\n"},
  {(char*)"PickProp",                (PyCFunction)PyvtkViewport_PickProp, 1,
   (char*)"V.PickProp(float, float) -> vtkAssemblyPath\nC++: virtual vtkAssemblyPath *PickProp (double selectionX, double selectionY) = 0;\n\n Return the Prop that has the highest z value at the given x, y position\n in the viewport.  Basically, the top most prop that renders the pixel at\n selectionX, selectionY will be returned.  If no Props are there NULL is\n returned.  This method selects from the Viewports Prop list.\n"},
  {(char*)"PickPropFrom",                (PyCFunction)PyvtkViewport_PickPropFrom, 1,
   (char*)"V.PickPropFrom(float, float, vtkPropCollection) -> vtkAssemblyPath\nC++: vtkAssemblyPath *PickPropFrom (double selectionX, double selectionY, vtkPropCollection *);\n\n Same as PickProp with two arguments, but selects from the given\n collection of Props instead of the Renderers props.  Make sure\n the Props in the collection are in this renderer.\n"},
  {(char*)"GetPickX",                (PyCFunction)PyvtkViewport_GetPickX, 1,
   (char*)"V.GetPickX() -> float\nC++: double GetPickX ();\n\n Methods used to return the pick (x,y) in local display coordinates (i.e.,\n it's that same as selectionX and selectionY).\n"},
  {(char*)"GetPickY",                (PyCFunction)PyvtkViewport_GetPickY, 1,
   (char*)"V.GetPickY() -> float\nC++: double GetPickY ();\n\n Methods used to return the pick (x,y) in local display coordinates (i.e.,\n it's that same as selectionX and selectionY).\n"},
  {(char*)"GetIsPicking",                (PyCFunction)PyvtkViewport_GetIsPicking, 1,
   (char*)"V.GetIsPicking() -> int\nC++: int GetIsPicking ();\n\n Methods used to return the pick (x,y) in local display coordinates (i.e.,\n it's that same as selectionX and selectionY).\n"},
  {(char*)"GetPickedZ",                (PyCFunction)PyvtkViewport_GetPickedZ, 1,
   (char*)"V.GetPickedZ() -> float\nC++: virtual double GetPickedZ () = 0;\n\n Return the Z value for the last picked Prop.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"RemoveProp",                (PyCFunction)PyvtkViewport_RemoveProp, 1,
   (char*)"V.RemoveProp(vtkProp)\nC++: void RemoveProp (vtkProp *);\n\n @deprecated Replaced by vtkViewport::RemoveViewProp() as of VTK 5.0.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"AddProp",                (PyCFunction)PyvtkViewport_AddProp, 1,
   (char*)"V.AddProp(vtkProp)\nC++: void AddProp (vtkProp *);\n\n @deprecated Replaced by vtkViewport::AddViewProp() as of VTK 5.0.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetProps",                (PyCFunction)PyvtkViewport_GetProps, 1,
   (char*)"V.GetProps() -> vtkPropCollection\nC++: vtkPropCollection *GetProps ();\n\n @deprecated Replaced by vtkViewport::GetViewProps() as of VTK 5.0.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"HasProp",                (PyCFunction)PyvtkViewport_HasProp, 1,
   (char*)"V.HasProp(vtkProp) -> int\nC++: int HasProp (vtkProp *);\n\n @deprecated Replaced by vtkViewport::HasViewProp() as of VTK 5.0.\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"RemoveAllProps",                (PyCFunction)PyvtkViewport_RemoveAllProps, 1,
   (char*)"V.RemoveAllProps()\nC++: void RemoveAllProps ();\n\n @deprecated Replaced by vtkViewport::RemoveAllViewProps() as of VTK 5.0.\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkViewportDoc[] = {
  (char*)"vtkViewport - abstract specification for Viewports\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkViewport provides an abstract specification for Viewports. A Viewport\n is an object that controls the rendering process for objects. Rendering\n is the process of converting geometry, a specification for lights, and \n a camera view into an image. vtkViewport also performs coordinate \n transformation between world coordinates, view coordinates (the computer\n graphics rendering coordinate system)",
  (char*)", and display coordinates (the \n actual screen coordinates on the display device). Certain advanced \n rendering features such as two-sided lighting can also be controlled.\n\n",
  "See Also:\n\n vtkWindow vtkRenderer\n\n",
  NULL
};

PyObject *PyVTKClass_vtkViewportNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkViewportMethods,
                        (char*)"vtkViewport",modulename,
                        (char**)vtkViewportDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

