// tcl wrapper for vtkViewport object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkViewport.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkViewportCppCommand(vtkViewport *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkViewportCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkViewportCppCommand((vtkViewport *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkViewportCppCommand(vtkViewport *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkViewport",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkViewport  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkViewport");
    return TCL_OK;
    }
  if ((!strcmp("AddViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->AddViewProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewProps",argv[1]))&&(argc == 2))
    {
    vtkPropCollection  *temp20;
    temp20 = (op)->GetViewProps();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPropCollection");
    return TCL_OK;
    }
  if ((!strcmp("HasViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    temp20 = (op)->HasViewProp(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->RemoveViewProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllViewProps",argv[1]))&&(argc == 2))
    {
    op->RemoveAllViewProps();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddActor2D",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->AddActor2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveActor2D",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->RemoveActor2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActors2D",argv[1]))&&(argc == 2))
    {
    vtkActor2DCollection  *temp20;
    temp20 = (op)->GetActors2D();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkActor2DCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetBackground",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetBackground(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackground",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetBackground(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackground",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBackground();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAspect",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetAspect(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAspect",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetAspect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAspect",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetAspect();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeAspect",argv[1]))&&(argc == 2))
    {
    op->ComputeAspect();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPixelAspect",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPixelAspect(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPixelAspect",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetPixelAspect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPixelAspect",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPixelAspect();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetViewport",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetViewport(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewport",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetViewport(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewport",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetViewport();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDisplayPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDisplayPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDisplayPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDisplayPoint();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetViewPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetViewPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetViewPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetViewPoint();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWorldPoint",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetWorldPoint(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWorldPoint",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetWorldPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWorldPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetWorldPoint();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCenter",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCenter();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsInViewport",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->IsInViewport(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVTKWindow",argv[1]))&&(argc == 2))
    {
    vtkWindow  *temp20;
    temp20 = (op)->GetVTKWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkWindow");
    return TCL_OK;
    }
  if ((!strcmp("DisplayToView",argv[1]))&&(argc == 2))
    {
    op->DisplayToView();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ViewToDisplay",argv[1]))&&(argc == 2))
    {
    op->ViewToDisplay();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WorldToView",argv[1]))&&(argc == 2))
    {
    op->WorldToView();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ViewToWorld",argv[1]))&&(argc == 2))
    {
    op->ViewToWorld();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayToWorld",argv[1]))&&(argc == 2))
    {
    op->DisplayToWorld();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WorldToDisplay",argv[1]))&&(argc == 2))
    {
    op->WorldToDisplay();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSize();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetOrigin();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PickProp",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    vtkAssemblyPath  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->PickProp(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAssemblyPath");
    return TCL_OK;
    }
    }
  if ((!strcmp("PickPropFrom",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    vtkPropCollection  *temp2;
    vtkAssemblyPath  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    temp2 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPropCollection",interp,error));
    if (!error)
    {
    temp20 = (op)->PickPropFrom(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAssemblyPath");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPickX",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPickX();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickY",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPickY();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIsPicking",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIsPicking();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickedZ",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPickedZ();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("RemoveProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->RemoveProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("AddProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->AddProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetProps",argv[1]))&&(argc == 2))
    {
    vtkPropCollection  *temp20;
    temp20 = (op)->GetProps();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPropCollection");
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("HasProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    temp20 = (op)->HasProp(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("RemoveAllProps",argv[1]))&&(argc == 2))
    {
    op->RemoveAllProps();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkViewportCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkViewport:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  AddViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewProps\n",NULL);
    Tcl_AppendResult(interp,"  HasViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllViewProps\n",NULL);
    Tcl_AppendResult(interp,"  AddActor2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveActor2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActors2D\n",NULL);
    Tcl_AppendResult(interp,"  SetBackground\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBackground\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBackground\n",NULL);
    Tcl_AppendResult(interp,"  SetAspect\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAspect\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAspect\n",NULL);
    Tcl_AppendResult(interp,"  ComputeAspect\n",NULL);
    Tcl_AppendResult(interp,"  SetPixelAspect\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPixelAspect\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPixelAspect\n",NULL);
    Tcl_AppendResult(interp,"  SetViewport\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewport\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetViewport\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetViewPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetViewPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetWorldPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWorldPoint\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWorldPoint\n",NULL);
    Tcl_AppendResult(interp,"  GetCenter\n",NULL);
    Tcl_AppendResult(interp,"  IsInViewport\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVTKWindow\n",NULL);
    Tcl_AppendResult(interp,"  DisplayToView\n",NULL);
    Tcl_AppendResult(interp,"  ViewToDisplay\n",NULL);
    Tcl_AppendResult(interp,"  WorldToView\n",NULL);
    Tcl_AppendResult(interp,"  ViewToWorld\n",NULL);
    Tcl_AppendResult(interp,"  DisplayToWorld\n",NULL);
    Tcl_AppendResult(interp,"  WorldToDisplay\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\n",NULL);
    Tcl_AppendResult(interp,"  PickProp\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  PickPropFrom\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPickX\n",NULL);
    Tcl_AppendResult(interp,"  GetPickY\n",NULL);
    Tcl_AppendResult(interp,"  GetIsPicking\n",NULL);
    Tcl_AppendResult(interp,"  GetPickedZ\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  RemoveProp\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  AddProp\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetProps\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  HasProp\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  RemoveAllProps\n",NULL);
#endif
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
