// python wrapper for vtkGenericCutter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGenericCutter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericCutterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericCutterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGenericCutter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  const char    *temp20;
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCutter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCutter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  vtkGenericCutter  *temp20;
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCutter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericCutter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericCutter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericCutter_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  int      temp0;
  double   temp1;
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCutter::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  int      temp0;
  double   temp20;
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCutter::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_SetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  int      temp0;
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCutter::SetNumberOfContours(temp0);
      }
    else
      {
      op->SetNumberOfContours(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_GetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  int      temp20;
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCutter::GetNumberOfContours();
      }
    else
      {
      temp20 = op->GetNumberOfContours();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_GenerateValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  int      temp0;
  double temp1[2];
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCutter::GenerateValues(temp0,temp1);
      }
    else
      {
      op->GenerateValues(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  int      temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCutter::GenerateValues(temp0,temp1,temp2);
      }
    else
      {
      op->GenerateValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  unsigned long     temp20;
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCutter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_SetCutFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCutter::SetCutFunction(temp0);
      }
    else
      {
      op->SetCutFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkGenericCutter_GetCutFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  vtkImplicitFunction  *temp20;
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCutter::GetCutFunction();
      }
    else
      {
      temp20 = op->GetCutFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_SetGenerateCutScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  int      temp0;
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCutter::SetGenerateCutScalars(temp0);
      }
    else
      {
      op->SetGenerateCutScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_GetGenerateCutScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  int      temp20;
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCutter::GetGenerateCutScalars();
      }
    else
      {
      temp20 = op->GetGenerateCutScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_GenerateCutScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCutter::GenerateCutScalarsOn();
      }
    else
      {
      op->GenerateCutScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_GenerateCutScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCutter::GenerateCutScalarsOff();
      }
    else
      {
      op->GenerateCutScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCutter::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkGenericCutter_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  vtkPointLocator  *temp20;
  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericCutter::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericCutter_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericCutter *op;

  if ((op = (vtkGenericCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericCutter::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericCutterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericCutter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericCutter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericCutter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericCutter\nC++: vtkGenericCutter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericCutter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericCutter\nC++: vtkGenericCutter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkGenericCutter_SetValue, 1,
   (char*)"V.SetValue(int, float)\nC++: void SetValue (int i, double value);\n\n Set a particular contour value at contour number i. The index i ranges \n between 0<=i<NumberOfContours.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkGenericCutter_GetValue, 1,
   (char*)"V.GetValue(int) -> float\nC++: double GetValue (int i);\n\n Get the ith contour value.\n"},
  {(char*)"SetNumberOfContours",                (PyCFunction)PyvtkGenericCutter_SetNumberOfContours, 1,
   (char*)"V.SetNumberOfContours(int)\nC++: void SetNumberOfContours (int number);\n\n Set the number of contours to place into the list. You only really\n need to use this method to reduce list size. The method SetValue()\n will automatically increase list size as needed.\n"},
  {(char*)"GetNumberOfContours",                (PyCFunction)PyvtkGenericCutter_GetNumberOfContours, 1,
   (char*)"V.GetNumberOfContours() -> int\nC++: int GetNumberOfContours ();\n\n Get the number of contours in the list of contour values.\n"},
  {(char*)"GenerateValues",                (PyCFunction)PyvtkGenericCutter_GenerateValues, 1,
   (char*)"V.GenerateValues(int, (float, float))\nC++: void GenerateValues (int numContours, double range[2]);\nV.GenerateValues(int, float, float)\nC++: void GenerateValues (int numContours, double rangeStart, double rangeEnd);\n\n Generate numContours equally spaced contour values between specified\n range. Contour values will include min/max range values.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkGenericCutter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override GetMTime because we delegate to vtkContourValues and refer to\n vtkImplicitFunction.\n"},
  {(char*)"SetCutFunction",                (PyCFunction)PyvtkGenericCutter_SetCutFunction, 1,
   (char*)"V.SetCutFunction(vtkImplicitFunction)\nC++: virtual void SetCutFunction (vtkImplicitFunction *);\n\n"},
  {(char*)"GetCutFunction",                (PyCFunction)PyvtkGenericCutter_GetCutFunction, 1,
   (char*)"V.GetCutFunction() -> vtkImplicitFunction\nC++: vtkImplicitFunction *GetCutFunction ();\n\n"},
  {(char*)"SetGenerateCutScalars",                (PyCFunction)PyvtkGenericCutter_SetGenerateCutScalars, 1,
   (char*)"V.SetGenerateCutScalars(int)\nC++: void SetGenerateCutScalars (int );\n\n If this flag is enabled, then the output scalar values will be\n interpolated from the implicit function values, and not the input scalar\n data.\n"},
  {(char*)"GetGenerateCutScalars",                (PyCFunction)PyvtkGenericCutter_GetGenerateCutScalars, 1,
   (char*)"V.GetGenerateCutScalars() -> int\nC++: int GetGenerateCutScalars ();\n\n If this flag is enabled, then the output scalar values will be\n interpolated from the implicit function values, and not the input scalar\n data.\n"},
  {(char*)"GenerateCutScalarsOn",                (PyCFunction)PyvtkGenericCutter_GenerateCutScalarsOn, 1,
   (char*)"V.GenerateCutScalarsOn()\nC++: void GenerateCutScalarsOn ();\n\n If this flag is enabled, then the output scalar values will be\n interpolated from the implicit function values, and not the input scalar\n data.\n"},
  {(char*)"GenerateCutScalarsOff",                (PyCFunction)PyvtkGenericCutter_GenerateCutScalarsOff, 1,
   (char*)"V.GenerateCutScalarsOff()\nC++: void GenerateCutScalarsOff ();\n\n If this flag is enabled, then the output scalar values will be\n interpolated from the implicit function values, and not the input scalar\n data.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkGenericCutter_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Specify a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkGenericCutter_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Specify a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkGenericCutter_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified. The \n locator is used to merge coincident points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericCutterDoc[] = {
  (char*)"vtkGenericCutter - cut a vtkGenericDataSet with an implicit function or scalar data\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkGenericCutter is a filter to cut through data using any subclass of \n vtkImplicitFunction. That is, a polygonal surface is created\n corresponding to the implicit function F(x,y,z) = value(s), where\n you can specify one or more values used to cut with.\n\n In VTK, cutting means reducing a cell of dimension N to a cut surface\n of dimension N-1. For example, a tetrahedron when cut by a plane (i.e.,",
  (char*)"\n vtkPlane implicit function) will generate triangles. (In comparison,\n clipping takes a N dimensional cell and creates N dimension primitives.)\n\n vtkGenericCutter is generally used to \"slice-through\" a dataset, generating\n a surface that can be visualized. It is also possible to use\n vtkGenericCutter to do a form of volume rendering. vtkGenericCutter does\n this by generating multiple cut surfaces",
  (char*)" (usually planes) which are ordered\n (and rendered) from back-to-front. The surfaces are set translucent to give\n a volumetric rendering effect.\n\n This filter has been implemented to operate on generic datasets, rather\n than the typical vtkDataSet (and subclasses). vtkGenericDataSet is a more\n complex cousin of vtkDataSet, typically consisting of nonlinear,\n higher-order cells. To process this typ",
  (char*)"e of data, generic cells are\n automatically tessellated into linear cells prior to isocontouring.\n\n",
  "See Also:\n\n vtkCutter vtkImplicitFunction vtkClipPolyData vtkGenericDataSet\n\n",
  NULL
};

static vtkObjectBase *vtkGenericCutterStaticNew()
{
  return vtkGenericCutter::New();
}

PyObject *PyVTKClass_vtkGenericCutterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericCutterStaticNew,
                        PyvtkGenericCutterMethods,
                        (char*)"vtkGenericCutter",modulename,
                        (char**)vtkGenericCutterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

