// python wrapper for vtkGenericDataSetTessellator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGenericDataSetTessellator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericDataSetTessellatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericDataSetTessellatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkGenericDataSetTessellator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  const char    *temp20;
  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetTessellator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetTessellator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  vtkGenericDataSetTessellator  *temp20;
  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetTessellator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericDataSetTessellator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericDataSetTessellator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_SetKeepCellIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  int      temp0;
  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSetTessellator::SetKeepCellIds(temp0);
      }
    else
      {
      op->SetKeepCellIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_GetKeepCellIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  int      temp20;
  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetTessellator::GetKeepCellIds();
      }
    else
      {
      temp20 = op->GetKeepCellIds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_KeepCellIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSetTessellator::KeepCellIdsOn();
      }
    else
      {
      op->KeepCellIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_KeepCellIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSetTessellator::KeepCellIdsOff();
      }
    else
      {
      op->KeepCellIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_SetMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  int      temp0;
  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSetTessellator::SetMerging(temp0);
      }
    else
      {
      op->SetMerging(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_GetMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  int      temp20;
  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetTessellator::GetMerging();
      }
    else
      {
      temp20 = op->GetMerging();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_MergingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSetTessellator::MergingOn();
      }
    else
      {
      op->MergingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_MergingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSetTessellator::MergingOff();
      }
    else
      {
      op->MergingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSetTessellator::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  vtkPointLocator  *temp20;
  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetTessellator::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericDataSetTessellator::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericDataSetTessellator_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericDataSetTessellator *op;

  unsigned long     temp20;
  if ((op = (vtkGenericDataSetTessellator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericDataSetTessellator::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericDataSetTessellatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericDataSetTessellator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericDataSetTessellator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericDataSetTessellator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericDataSetTessellator\nC++: vtkGenericDataSetTessellator *NewInstance ();\n\n Standard VTK methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericDataSetTessellator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericDataSetTessellator\nC++: vtkGenericDataSetTessellator *SafeDownCast (vtkObject* o);\n\n Standard VTK methods.\n"},
  {(char*)"SetKeepCellIds",                (PyCFunction)PyvtkGenericDataSetTessellator_SetKeepCellIds, 1,
   (char*)"V.SetKeepCellIds(int)\nC++: void SetKeepCellIds (int );\n\n"},
  {(char*)"GetKeepCellIds",                (PyCFunction)PyvtkGenericDataSetTessellator_GetKeepCellIds, 1,
   (char*)"V.GetKeepCellIds() -> int\nC++: int GetKeepCellIds ();\n\n"},
  {(char*)"KeepCellIdsOn",                (PyCFunction)PyvtkGenericDataSetTessellator_KeepCellIdsOn, 1,
   (char*)"V.KeepCellIdsOn()\nC++: void KeepCellIdsOn ();\n\n"},
  {(char*)"KeepCellIdsOff",                (PyCFunction)PyvtkGenericDataSetTessellator_KeepCellIdsOff, 1,
   (char*)"V.KeepCellIdsOff()\nC++: void KeepCellIdsOff ();\n\n"},
  {(char*)"SetMerging",                (PyCFunction)PyvtkGenericDataSetTessellator_SetMerging, 1,
   (char*)"V.SetMerging(int)\nC++: void SetMerging (int );\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"GetMerging",                (PyCFunction)PyvtkGenericDataSetTessellator_GetMerging, 1,
   (char*)"V.GetMerging() -> int\nC++: int GetMerging ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"MergingOn",                (PyCFunction)PyvtkGenericDataSetTessellator_MergingOn, 1,
   (char*)"V.MergingOn()\nC++: void MergingOn ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"MergingOff",                (PyCFunction)PyvtkGenericDataSetTessellator_MergingOff, 1,
   (char*)"V.MergingOff()\nC++: void MergingOff ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkGenericDataSetTessellator_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkGenericDataSetTessellator_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkGenericDataSetTessellator_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkGenericDataSetTessellator_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the locator.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericDataSetTessellatorDoc[] = {
  (char*)"vtkGenericDataSetTessellator - tessellates generic, higher-order datasets into linear cells\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  "See Also:\n\n vtkGenericDataSetTessellator vtkGenericCellTessellator \n vtkGenericSubdivisionErrorMetric\n\n",
  NULL
};

static vtkObjectBase *vtkGenericDataSetTessellatorStaticNew()
{
  return vtkGenericDataSetTessellator::New();
}

PyObject *PyVTKClass_vtkGenericDataSetTessellatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericDataSetTessellatorStaticNew,
                        PyvtkGenericDataSetTessellatorMethods,
                        (char*)"vtkGenericDataSetTessellator",modulename,
                        (char**)vtkGenericDataSetTessellatorDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

