// python wrapper for vtkGenericGeometryFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGenericGeometryFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericGeometryFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericGeometryFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGenericGeometryFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  const char    *temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkGenericGeometryFilter  *temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGenericGeometryFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGenericGeometryFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_SetPointClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  int      temp0;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::SetPointClipping(temp0);
      }
    else
      {
      op->SetPointClipping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetPointClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  int      temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetPointClipping();
      }
    else
      {
      temp20 = op->GetPointClipping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_PointClippingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::PointClippingOn();
      }
    else
      {
      op->PointClippingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_PointClippingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::PointClippingOff();
      }
    else
      {
      op->PointClippingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_SetCellClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  int      temp0;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::SetCellClipping(temp0);
      }
    else
      {
      op->SetCellClipping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetCellClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  int      temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetCellClipping();
      }
    else
      {
      temp20 = op->GetCellClipping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_CellClippingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::CellClippingOn();
      }
    else
      {
      op->CellClippingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_CellClippingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::CellClippingOff();
      }
    else
      {
      op->CellClippingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_SetExtentClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  int      temp0;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::SetExtentClipping(temp0);
      }
    else
      {
      op->SetExtentClipping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetExtentClipping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  int      temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetExtentClipping();
      }
    else
      {
      temp20 = op->GetExtentClipping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_ExtentClippingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::ExtentClippingOn();
      }
    else
      {
      op->ExtentClippingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_ExtentClippingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::ExtentClippingOff();
      }
    else
      {
      op->ExtentClippingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_SetPointMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp0;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::SetPointMinimum(temp0);
      }
    else
      {
      op->SetPointMinimum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetPointMinimumMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetPointMinimumMinValue();
      }
    else
      {
      temp20 = op->GetPointMinimumMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetPointMinimumMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetPointMinimumMaxValue();
      }
    else
      {
      temp20 = op->GetPointMinimumMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetPointMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetPointMinimum();
      }
    else
      {
      temp20 = op->GetPointMinimum();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_SetPointMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp0;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::SetPointMaximum(temp0);
      }
    else
      {
      op->SetPointMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetPointMaximumMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetPointMaximumMinValue();
      }
    else
      {
      temp20 = op->GetPointMaximumMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetPointMaximumMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetPointMaximumMaxValue();
      }
    else
      {
      temp20 = op->GetPointMaximumMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetPointMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetPointMaximum();
      }
    else
      {
      temp20 = op->GetPointMaximum();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_SetCellMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp0;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::SetCellMinimum(temp0);
      }
    else
      {
      op->SetCellMinimum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetCellMinimumMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetCellMinimumMinValue();
      }
    else
      {
      temp20 = op->GetCellMinimumMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetCellMinimumMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetCellMinimumMaxValue();
      }
    else
      {
      temp20 = op->GetCellMinimumMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetCellMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetCellMinimum();
      }
    else
      {
      temp20 = op->GetCellMinimum();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_SetCellMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp0;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::SetCellMaximum(temp0);
      }
    else
      {
      op->SetCellMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetCellMaximumMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetCellMaximumMinValue();
      }
    else
      {
      temp20 = op->GetCellMaximumMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetCellMaximumMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetCellMaximumMaxValue();
      }
    else
      {
      temp20 = op->GetCellMaximumMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetCellMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkIdType   temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetCellMaximum();
      }
    else
      {
      temp20 = op->GetCellMaximum();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_SetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  double temp0[6];
  PyErr_Clear();
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::SetExtent(temp0);
      }
    else
      {
      op->SetExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_SetMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  int      temp0;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::SetMerging(temp0);
      }
    else
      {
      op->SetMerging(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  int      temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetMerging();
      }
    else
      {
      temp20 = op->GetMerging();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_MergingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::MergingOn();
      }
    else
      {
      op->MergingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_MergingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::MergingOff();
      }
    else
      {
      op->MergingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  vtkPointLocator  *temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericGeometryFilter::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericGeometryFilter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericGeometryFilter *op;

  unsigned long     temp20;
  if ((op = (vtkGenericGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericGeometryFilter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericGeometryFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericGeometryFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericGeometryFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericGeometryFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericGeometryFilter\nC++: vtkGenericGeometryFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGenericGeometryFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGenericGeometryFilter\nC++: vtkGenericGeometryFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPointClipping",                (PyCFunction)PyvtkGenericGeometryFilter_SetPointClipping, 1,
   (char*)"V.SetPointClipping(int)\nC++: void SetPointClipping (int );\n\n Turn on/off selection of geometry by point id.\n"},
  {(char*)"GetPointClipping",                (PyCFunction)PyvtkGenericGeometryFilter_GetPointClipping, 1,
   (char*)"V.GetPointClipping() -> int\nC++: int GetPointClipping ();\n\n Turn on/off selection of geometry by point id.\n"},
  {(char*)"PointClippingOn",                (PyCFunction)PyvtkGenericGeometryFilter_PointClippingOn, 1,
   (char*)"V.PointClippingOn()\nC++: void PointClippingOn ();\n\n Turn on/off selection of geometry by point id.\n"},
  {(char*)"PointClippingOff",                (PyCFunction)PyvtkGenericGeometryFilter_PointClippingOff, 1,
   (char*)"V.PointClippingOff()\nC++: void PointClippingOff ();\n\n Turn on/off selection of geometry by point id.\n"},
  {(char*)"SetCellClipping",                (PyCFunction)PyvtkGenericGeometryFilter_SetCellClipping, 1,
   (char*)"V.SetCellClipping(int)\nC++: void SetCellClipping (int );\n\n Turn on/off selection of geometry by cell id.\n"},
  {(char*)"GetCellClipping",                (PyCFunction)PyvtkGenericGeometryFilter_GetCellClipping, 1,
   (char*)"V.GetCellClipping() -> int\nC++: int GetCellClipping ();\n\n Turn on/off selection of geometry by cell id.\n"},
  {(char*)"CellClippingOn",                (PyCFunction)PyvtkGenericGeometryFilter_CellClippingOn, 1,
   (char*)"V.CellClippingOn()\nC++: void CellClippingOn ();\n\n Turn on/off selection of geometry by cell id.\n"},
  {(char*)"CellClippingOff",                (PyCFunction)PyvtkGenericGeometryFilter_CellClippingOff, 1,
   (char*)"V.CellClippingOff()\nC++: void CellClippingOff ();\n\n Turn on/off selection of geometry by cell id.\n"},
  {(char*)"SetExtentClipping",                (PyCFunction)PyvtkGenericGeometryFilter_SetExtentClipping, 1,
   (char*)"V.SetExtentClipping(int)\nC++: void SetExtentClipping (int );\n\n Turn on/off selection of geometry via bounding box.\n"},
  {(char*)"GetExtentClipping",                (PyCFunction)PyvtkGenericGeometryFilter_GetExtentClipping, 1,
   (char*)"V.GetExtentClipping() -> int\nC++: int GetExtentClipping ();\n\n Turn on/off selection of geometry via bounding box.\n"},
  {(char*)"ExtentClippingOn",                (PyCFunction)PyvtkGenericGeometryFilter_ExtentClippingOn, 1,
   (char*)"V.ExtentClippingOn()\nC++: void ExtentClippingOn ();\n\n Turn on/off selection of geometry via bounding box.\n"},
  {(char*)"ExtentClippingOff",                (PyCFunction)PyvtkGenericGeometryFilter_ExtentClippingOff, 1,
   (char*)"V.ExtentClippingOff()\nC++: void ExtentClippingOff ();\n\n Turn on/off selection of geometry via bounding box.\n"},
  {(char*)"SetPointMinimum",                (PyCFunction)PyvtkGenericGeometryFilter_SetPointMinimum, 1,
   (char*)"V.SetPointMinimum(int)\nC++: void SetPointMinimum (vtkIdType );\n\n Specify the minimum point id for point id selection.\n"},
  {(char*)"GetPointMinimumMinValue",                (PyCFunction)PyvtkGenericGeometryFilter_GetPointMinimumMinValue, 1,
   (char*)"V.GetPointMinimumMinValue() -> int\nC++: vtkIdType GetPointMinimumMinValue ();\n\n Specify the minimum point id for point id selection.\n"},
  {(char*)"GetPointMinimumMaxValue",                (PyCFunction)PyvtkGenericGeometryFilter_GetPointMinimumMaxValue, 1,
   (char*)"V.GetPointMinimumMaxValue() -> int\nC++: vtkIdType GetPointMinimumMaxValue ();\n\n Specify the minimum point id for point id selection.\n"},
  {(char*)"GetPointMinimum",                (PyCFunction)PyvtkGenericGeometryFilter_GetPointMinimum, 1,
   (char*)"V.GetPointMinimum() -> int\nC++: vtkIdType GetPointMinimum ();\n\n Specify the minimum point id for point id selection.\n"},
  {(char*)"SetPointMaximum",                (PyCFunction)PyvtkGenericGeometryFilter_SetPointMaximum, 1,
   (char*)"V.SetPointMaximum(int)\nC++: void SetPointMaximum (vtkIdType );\n\n Specify the maximum point id for point id selection.\n"},
  {(char*)"GetPointMaximumMinValue",                (PyCFunction)PyvtkGenericGeometryFilter_GetPointMaximumMinValue, 1,
   (char*)"V.GetPointMaximumMinValue() -> int\nC++: vtkIdType GetPointMaximumMinValue ();\n\n Specify the maximum point id for point id selection.\n"},
  {(char*)"GetPointMaximumMaxValue",                (PyCFunction)PyvtkGenericGeometryFilter_GetPointMaximumMaxValue, 1,
   (char*)"V.GetPointMaximumMaxValue() -> int\nC++: vtkIdType GetPointMaximumMaxValue ();\n\n Specify the maximum point id for point id selection.\n"},
  {(char*)"GetPointMaximum",                (PyCFunction)PyvtkGenericGeometryFilter_GetPointMaximum, 1,
   (char*)"V.GetPointMaximum() -> int\nC++: vtkIdType GetPointMaximum ();\n\n Specify the maximum point id for point id selection.\n"},
  {(char*)"SetCellMinimum",                (PyCFunction)PyvtkGenericGeometryFilter_SetCellMinimum, 1,
   (char*)"V.SetCellMinimum(int)\nC++: void SetCellMinimum (vtkIdType );\n\n Specify the minimum cell id for point id selection.\n"},
  {(char*)"GetCellMinimumMinValue",                (PyCFunction)PyvtkGenericGeometryFilter_GetCellMinimumMinValue, 1,
   (char*)"V.GetCellMinimumMinValue() -> int\nC++: vtkIdType GetCellMinimumMinValue ();\n\n Specify the minimum cell id for point id selection.\n"},
  {(char*)"GetCellMinimumMaxValue",                (PyCFunction)PyvtkGenericGeometryFilter_GetCellMinimumMaxValue, 1,
   (char*)"V.GetCellMinimumMaxValue() -> int\nC++: vtkIdType GetCellMinimumMaxValue ();\n\n Specify the minimum cell id for point id selection.\n"},
  {(char*)"GetCellMinimum",                (PyCFunction)PyvtkGenericGeometryFilter_GetCellMinimum, 1,
   (char*)"V.GetCellMinimum() -> int\nC++: vtkIdType GetCellMinimum ();\n\n Specify the minimum cell id for point id selection.\n"},
  {(char*)"SetCellMaximum",                (PyCFunction)PyvtkGenericGeometryFilter_SetCellMaximum, 1,
   (char*)"V.SetCellMaximum(int)\nC++: void SetCellMaximum (vtkIdType );\n\n Specify the maximum cell id for point id selection.\n"},
  {(char*)"GetCellMaximumMinValue",                (PyCFunction)PyvtkGenericGeometryFilter_GetCellMaximumMinValue, 1,
   (char*)"V.GetCellMaximumMinValue() -> int\nC++: vtkIdType GetCellMaximumMinValue ();\n\n Specify the maximum cell id for point id selection.\n"},
  {(char*)"GetCellMaximumMaxValue",                (PyCFunction)PyvtkGenericGeometryFilter_GetCellMaximumMaxValue, 1,
   (char*)"V.GetCellMaximumMaxValue() -> int\nC++: vtkIdType GetCellMaximumMaxValue ();\n\n Specify the maximum cell id for point id selection.\n"},
  {(char*)"GetCellMaximum",                (PyCFunction)PyvtkGenericGeometryFilter_GetCellMaximum, 1,
   (char*)"V.GetCellMaximum() -> int\nC++: vtkIdType GetCellMaximum ();\n\n Specify the maximum cell id for point id selection.\n"},
  {(char*)"SetExtent",                (PyCFunction)PyvtkGenericGeometryFilter_SetExtent, 1,
   (char*)"V.SetExtent(float, float, float, float, float, float)\nC++: void SetExtent (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax);\nV.SetExtent((float, float, float, float, float, float))\nC++: void SetExtent (double extent[6]);\n\n Specify a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.\n"},
  {(char*)"SetMerging",                (PyCFunction)PyvtkGenericGeometryFilter_SetMerging, 1,
   (char*)"V.SetMerging(int)\nC++: void SetMerging (int );\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"GetMerging",                (PyCFunction)PyvtkGenericGeometryFilter_GetMerging, 1,
   (char*)"V.GetMerging() -> int\nC++: int GetMerging ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"MergingOn",                (PyCFunction)PyvtkGenericGeometryFilter_MergingOn, 1,
   (char*)"V.MergingOn()\nC++: void MergingOn ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"MergingOff",                (PyCFunction)PyvtkGenericGeometryFilter_MergingOff, 1,
   (char*)"V.MergingOff()\nC++: void MergingOff ();\n\n Turn on/off merging of coincident points. Note that is merging is\n on, points with different point attributes (e.g., normals) are merged,\n which may cause rendering artifacts.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkGenericGeometryFilter_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkGenericGeometryFilter_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkGenericGeometryFilter_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkGenericGeometryFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the locator.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericGeometryFilterDoc[] = {
  (char*)"vtkGenericGeometryFilter - extract geometry from data (or convert data to polygonal type)\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkGenericGeometryFilter is a general-purpose filter to extract geometry (and \n associated data) from any type of dataset. Geometry is obtained as \n follows: all 0D, 1D, and 2D cells are extracted. All 2D faces that are \n used by only one 3D cell (i.e., boundary faces) are extracted. It also is \n possible to specify conditions on point ids, cell ids, and on \n bounding box (referred to as \"Extent\"",
  (char*)") to control the extraction process.\n\n This filter also may be used to convert any type of data to polygonal\n type. The conversion process may be less than satisfactory for some 3D\n datasets. For example, this filter will extract the outer surface of a \n volume or structured grid dataset. (For structured data you may want to\n use vtkImageDataGeometryFilter, vtkStructuredGridGeometryFilter,\n vtkExt",
  (char*)"ractUnstructuredGrid, vtkRectilinearGridGeometryFilter, or \n vtkExtractVOI.)\n\n",
  "Caveats:\n\n When vtkGenericGeometryFilter extracts cells (or boundaries of cells) it\n will (by default) merge duplicate vertices. This may cause problems\n in some cases. For example, if you've run vtkPolyDataNormals to\n generate normals, which may split meshes and create duplicate\n vertices, vtkGenericGeometryFilter will merge these points back\n together. Turn merging off to prevent this from occurring.\n\n",
  "See Also:\n\n vtkImageDataGeometryFilter vtkStructuredGridGeometryFilter\n vtkExtractGeometry vtkExtractVOI\n\n",
  NULL
};

static vtkObjectBase *vtkGenericGeometryFilterStaticNew()
{
  return vtkGenericGeometryFilter::New();
}

PyObject *PyVTKClass_vtkGenericGeometryFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGenericGeometryFilterStaticNew,
                        PyvtkGenericGeometryFilterMethods,
                        (char*)"vtkGenericGeometryFilter",modulename,
                        (char**)vtkGenericGeometryFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

