// tcl wrapper for vtkGenericGlyph3DFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericGlyph3DFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkGenericGlyph3DFilterNewCommand()
{
  vtkGenericGlyph3DFilter *temp = vtkGenericGlyph3DFilter::New();
  return ((ClientData)temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGenericGlyph3DFilterCppCommand(vtkGenericGlyph3DFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGenericGlyph3DFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGenericGlyph3DFilterCppCommand((vtkGenericGlyph3DFilter *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGenericGlyph3DFilterCppCommand(vtkGenericGlyph3DFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGenericGlyph3DFilter",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand((vtkPolyDataAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPolyDataAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGenericGlyph3DFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkGenericGlyph3DFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGenericGlyph3DFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkGenericGlyph3DFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGenericGlyph3DFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkGenericGlyph3DFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPolyData",interp,error));
    if (!error)
    {
    op->SetSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPolyData  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPolyData",interp,error));
    if (!error)
    {
    op->SetSource(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPolyData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSource(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPolyData");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScaling",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScaling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ScalingOn",argv[1]))&&(argc == 2))
    {
    op->ScalingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalingOff",argv[1]))&&(argc == 2))
    {
    op->ScalingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScaling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScaling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScaleMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScaleMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleModeToScaleByScalar",argv[1]))&&(argc == 2))
    {
    op->SetScaleModeToScaleByScalar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleModeToScaleByVector",argv[1]))&&(argc == 2))
    {
    op->SetScaleModeToScaleByVector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleModeToScaleByVectorComponents",argv[1]))&&(argc == 2))
    {
    op->SetScaleModeToScaleByVectorComponents();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleModeToDataScalingOff",argv[1]))&&(argc == 2))
    {
    op->SetScaleModeToDataScalingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScaleModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScaleModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColorMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToColorByScale",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToColorByScale();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToColorByScalar",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToColorByScalar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToColorByVector",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToColorByVector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetColorModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetColorModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetScaleFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScaleFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScaleFactor();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRange();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrient",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOrient(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OrientOn",argv[1]))&&(argc == 2))
    {
    op->OrientOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OrientOff",argv[1]))&&(argc == 2))
    {
    op->OrientOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOrient",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrient();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetClamping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClamping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClampingOn",argv[1]))&&(argc == 2))
    {
    op->ClampingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClampingOff",argv[1]))&&(argc == 2))
    {
    op->ClampingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetClamping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClamping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVectorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVectorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorModeToUseVector",argv[1]))&&(argc == 2))
    {
    op->SetVectorModeToUseVector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorModeToUseNormal",argv[1]))&&(argc == 2))
    {
    op->SetVectorModeToUseNormal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorModeToVectorRotationOff",argv[1]))&&(argc == 2))
    {
    op->SetVectorModeToVectorRotationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetVectorModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVectorModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetIndexMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIndexMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndexMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndexMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIndexModeToScalar",argv[1]))&&(argc == 2))
    {
    op->SetIndexModeToScalar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIndexModeToVector",argv[1]))&&(argc == 2))
    {
    op->SetIndexModeToVector();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIndexModeToOff",argv[1]))&&(argc == 2))
    {
    op->SetIndexModeToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetIndexModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetIndexModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGeneratePointIds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGeneratePointIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGeneratePointIds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGeneratePointIds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointIdsOn",argv[1]))&&(argc == 2))
    {
    op->GeneratePointIdsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GeneratePointIdsOff",argv[1]))&&(argc == 2))
    {
    op->GeneratePointIdsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointIdsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPointIdsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointIdsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPointIdsName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetInputScalarsSelection",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetInputScalarsSelection();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SelectInputScalars",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectInputScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputVectorsSelection",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetInputVectorsSelection();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SelectInputVectors",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectInputVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputNormalsSelection",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetInputNormalsSelection();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SelectInputNormals",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectInputNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkGenericGlyph3DFilterCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGenericGlyph3DFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScaling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ScalingOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetScaling\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleMode\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleModeToScaleByScalar\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleModeToScaleByVector\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleModeToScaleByVectorComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleModeToDataScalingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetColorMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorMode\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToColorByScale\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToColorByScalar\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToColorByVector\n",NULL);
    Tcl_AppendResult(interp,"  GetColorModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\n",NULL);
    Tcl_AppendResult(interp,"  SetOrient\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OrientOn\n",NULL);
    Tcl_AppendResult(interp,"  OrientOff\n",NULL);
    Tcl_AppendResult(interp,"  GetOrient\n",NULL);
    Tcl_AppendResult(interp,"  SetClamping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClampingOn\n",NULL);
    Tcl_AppendResult(interp,"  ClampingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetClamping\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorMode\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorModeToUseVector\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorModeToUseNormal\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorModeToVectorRotationOff\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetIndexMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIndexMode\n",NULL);
    Tcl_AppendResult(interp,"  SetIndexModeToScalar\n",NULL);
    Tcl_AppendResult(interp,"  SetIndexModeToVector\n",NULL);
    Tcl_AppendResult(interp,"  SetIndexModeToOff\n",NULL);
    Tcl_AppendResult(interp,"  GetIndexModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetGeneratePointIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGeneratePointIds\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointIdsOn\n",NULL);
    Tcl_AppendResult(interp,"  GeneratePointIdsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPointIdsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointIdsName\n",NULL);
    Tcl_AppendResult(interp,"  GetInputScalarsSelection\n",NULL);
    Tcl_AppendResult(interp,"  SelectInputScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputVectorsSelection\n",NULL);
    Tcl_AppendResult(interp,"  SelectInputVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputNormalsSelection\n",NULL);
    Tcl_AppendResult(interp,"  SelectInputNormals\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkPolyDataAlgorithmCppCommand((vtkPolyDataAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
