// python wrapper for vtkAppendFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkAppendFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAppendFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAppendFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkAppendFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendFilter *op;

  const char    *temp20;
  if ((op = (vtkAppendFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAppendFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendFilter *op;

  vtkAppendFilter  *temp20;
  if ((op = (vtkAppendFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAppendFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAppendFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAppendFilter_RemoveInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendFilter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAppendFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendFilter::RemoveInput(temp0);
      }
    else
      {
      op->RemoveInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkAppendFilter_GetInputList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendFilter *op;

  vtkDataSetCollection  *temp20;
  if ((op = (vtkAppendFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendFilter::GetInputList();
      }
    else
      {
      temp20 = op->GetInputList();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAppendFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAppendFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAppendFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAppendFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAppendFilter\nC++: vtkAppendFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAppendFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAppendFilter\nC++: vtkAppendFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RemoveInput",                (PyCFunction)PyvtkAppendFilter_RemoveInput, 1,
   (char*)"V.RemoveInput(vtkDataSet)\nC++: void RemoveInput (vtkDataSet *in);\n\n Remove a dataset from the list of data to append.\n"},
  {(char*)"GetInputList",                (PyCFunction)PyvtkAppendFilter_GetInputList, 1,
   (char*)"V.GetInputList() -> vtkDataSetCollection\nC++: vtkDataSetCollection *GetInputList ();\n\n Returns a copy of the input array.  Modifications to this list\n will not be reflected in the actual inputs.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAppendFilterDoc[] = {
  (char*)"vtkAppendFilter - appends one or more datasets together into a single unstructured grid\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkAppendFilter is a filter that appends one of more datasets into a single\n unstructured grid. All geometry is extracted and appended, but point \n attributes (i.e., scalars, vectors, normals, field data, etc.) are extracted \n and appended only if all datasets have the point attributes available. \n (For example, if one dataset has scalars but another does not, scalars will \n not be appended.)\n\n",
  "See Also:\n\n vtkAppendPolyData\n\n",
  NULL
};

static vtkObjectBase *vtkAppendFilterStaticNew()
{
  return vtkAppendFilter::New();
}

PyObject *PyVTKClass_vtkAppendFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkAppendFilterStaticNew,
                        PyvtkAppendFilterMethods,
                        (char*)"vtkAppendFilter",modulename,
                        (char**)vtkAppendFilterDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

