// python wrapper for vtkAppendPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkAppendPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAppendPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAppendPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkAppendPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  const char    *temp20;
  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  vtkAppendPolyData  *temp20;
  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAppendPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAppendPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAppendPolyData_SetUserManagedInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  int      temp0;
  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendPolyData::SetUserManagedInputs(temp0);
      }
    else
      {
      op->SetUserManagedInputs(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPolyData_GetUserManagedInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  int      temp20;
  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendPolyData::GetUserManagedInputs();
      }
    else
      {
      temp20 = op->GetUserManagedInputs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPolyData_UserManagedInputsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendPolyData::UserManagedInputsOn();
      }
    else
      {
      op->UserManagedInputsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPolyData_UserManagedInputsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendPolyData::UserManagedInputsOff();
      }
    else
      {
      op->UserManagedInputsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPolyData_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendPolyData::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkAppendPolyData_RemoveInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendPolyData::RemoveInput(temp0);
      }
    else
      {
      op->RemoveInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkAppendPolyData_SetNumberOfInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  int      temp0;
  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendPolyData::SetNumberOfInputs(temp0);
      }
    else
      {
      op->SetNumberOfInputs(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPolyData_SetInputByNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  int      temp0;
  vtkPolyData  *temp1;
  PyObject *tempH1;
  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPolyData");
    if (!temp1 && tempH1 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendPolyData::SetInputByNumber(temp0,temp1);
      }
    else
      {
      op->SetInputByNumber(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkAppendPolyData_SetParallelStreaming(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  int      temp0;
  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendPolyData::SetParallelStreaming(temp0);
      }
    else
      {
      op->SetParallelStreaming(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPolyData_GetParallelStreaming(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  int      temp20;
  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAppendPolyData::GetParallelStreaming();
      }
    else
      {
      temp20 = op->GetParallelStreaming();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPolyData_ParallelStreamingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendPolyData::ParallelStreamingOn();
      }
    else
      {
      op->ParallelStreamingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAppendPolyData_ParallelStreamingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAppendPolyData *op;

  if ((op = (vtkAppendPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAppendPolyData::ParallelStreamingOff();
      }
    else
      {
      op->ParallelStreamingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAppendPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAppendPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAppendPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAppendPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAppendPolyData\nC++: vtkAppendPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAppendPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAppendPolyData\nC++: vtkAppendPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetUserManagedInputs",                (PyCFunction)PyvtkAppendPolyData_SetUserManagedInputs, 1,
   (char*)"V.SetUserManagedInputs(int)\nC++: void SetUserManagedInputs (int );\n\n UserManagedInputs allows the user to set inputs by number instead of\n using the AddInput/RemoveInput functions. Calls to\n SetNumberOfInputs/SetInputByNumber should not be mixed with calls\n to AddInput/RemoveInput. By default, UserManagedInputs is false.\n"},
  {(char*)"GetUserManagedInputs",                (PyCFunction)PyvtkAppendPolyData_GetUserManagedInputs, 1,
   (char*)"V.GetUserManagedInputs() -> int\nC++: int GetUserManagedInputs ();\n\n UserManagedInputs allows the user to set inputs by number instead of\n using the AddInput/RemoveInput functions. Calls to\n SetNumberOfInputs/SetInputByNumber should not be mixed with calls\n to AddInput/RemoveInput. By default, UserManagedInputs is false.\n"},
  {(char*)"UserManagedInputsOn",                (PyCFunction)PyvtkAppendPolyData_UserManagedInputsOn, 1,
   (char*)"V.UserManagedInputsOn()\nC++: void UserManagedInputsOn ();\n\n UserManagedInputs allows the user to set inputs by number instead of\n using the AddInput/RemoveInput functions. Calls to\n SetNumberOfInputs/SetInputByNumber should not be mixed with calls\n to AddInput/RemoveInput. By default, UserManagedInputs is false.\n"},
  {(char*)"UserManagedInputsOff",                (PyCFunction)PyvtkAppendPolyData_UserManagedInputsOff, 1,
   (char*)"V.UserManagedInputsOff()\nC++: void UserManagedInputsOff ();\n\n UserManagedInputs allows the user to set inputs by number instead of\n using the AddInput/RemoveInput functions. Calls to\n SetNumberOfInputs/SetInputByNumber should not be mixed with calls\n to AddInput/RemoveInput. By default, UserManagedInputs is false.\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkAppendPolyData_AddInput, 1,
   (char*)"V.AddInput(vtkPolyData)\nC++: void AddInput (vtkPolyData *);\n\n Add a dataset to the list of data to append. Should not be\n used when UserManagedInputs is true, use SetInputByNumber instead.\n"},
  {(char*)"RemoveInput",                (PyCFunction)PyvtkAppendPolyData_RemoveInput, 1,
   (char*)"V.RemoveInput(vtkPolyData)\nC++: void RemoveInput (vtkPolyData *);\n\n Remove a dataset from the list of data to append. Should not be\n used when UserManagedInputs is true, use SetInputByNumber (NULL) instead.\n"},
  {(char*)"SetNumberOfInputs",                (PyCFunction)PyvtkAppendPolyData_SetNumberOfInputs, 1,
   (char*)"V.SetNumberOfInputs(int)\nC++: void SetNumberOfInputs (int num);\n\n Directly set(allocate) number of inputs, should only be used\n when UserManagedInputs is true.\n"},
  {(char*)"SetInputByNumber",                (PyCFunction)PyvtkAppendPolyData_SetInputByNumber, 1,
   (char*)"V.SetInputByNumber(int, vtkPolyData)\nC++: void SetInputByNumber (int num, vtkPolyData *input);\n\n"},
  {(char*)"SetParallelStreaming",                (PyCFunction)PyvtkAppendPolyData_SetParallelStreaming, 1,
   (char*)"V.SetParallelStreaming(int)\nC++: void SetParallelStreaming (int );\n\n ParallelStreaming is for a particular application.\n It causes this filter to ask for a different piece\n from each of its inputs.  If all the inputs are the same,\n then the output of this append filter is the whole dataset\n pieced back together.  Duplicate points are create \n along the seams.  The purpose of this feature is to get \n data parallelism at a course scale.  Each of the inputs\n can be generated in a different process at the same time.\n"},
  {(char*)"GetParallelStreaming",                (PyCFunction)PyvtkAppendPolyData_GetParallelStreaming, 1,
   (char*)"V.GetParallelStreaming() -> int\nC++: int GetParallelStreaming ();\n\n ParallelStreaming is for a particular application.\n It causes this filter to ask for a different piece\n from each of its inputs.  If all the inputs are the same,\n then the output of this append filter is the whole dataset\n pieced back together.  Duplicate points are create \n along the seams.  The purpose of this feature is to get \n data parallelism at a course scale.  Each of the inputs\n can be generated in a different process at the same time.\n"},
  {(char*)"ParallelStreamingOn",                (PyCFunction)PyvtkAppendPolyData_ParallelStreamingOn, 1,
   (char*)"V.ParallelStreamingOn()\nC++: void ParallelStreamingOn ();\n\n ParallelStreaming is for a particular application.\n It causes this filter to ask for a different piece\n from each of its inputs.  If all the inputs are the same,\n then the output of this append filter is the whole dataset\n pieced back together.  Duplicate points are create \n along the seams.  The purpose of this feature is to get \n data parallelism at a course scale.  Each of the inputs\n can be generated in a different process at the same time.\n"},
  {(char*)"ParallelStreamingOff",                (PyCFunction)PyvtkAppendPolyData_ParallelStreamingOff, 1,
   (char*)"V.ParallelStreamingOff()\nC++: void ParallelStreamingOff ();\n\n ParallelStreaming is for a particular application.\n It causes this filter to ask for a different piece\n from each of its inputs.  If all the inputs are the same,\n then the output of this append filter is the whole dataset\n pieced back together.  Duplicate points are create \n along the seams.  The purpose of this feature is to get \n data parallelism at a course scale.  Each of the inputs\n can be generated in a different process at the same time.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAppendPolyDataDoc[] = {
  (char*)"vtkAppendPolyData - appends one or more polygonal datasets together\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" \n vtkAppendPolyData is a filter that appends one of more polygonal datasets\n into a single polygonal dataset. All geometry is extracted and appended,\n but point and cell attributes (i.e., scalars, vectors, normals) are\n extracted and appended only if all datasets have the point and/or cell\n attributes available.  (For example, if one dataset has point scalars but\n another does not, point scalars ",
  (char*)"will not be appended.)\n\n",
  "See Also:\n\n vtkAppendFilter\n\n",
  NULL
};

static vtkObjectBase *vtkAppendPolyDataStaticNew()
{
  return vtkAppendPolyData::New();
}

PyObject *PyVTKClass_vtkAppendPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkAppendPolyDataStaticNew,
                        PyvtkAppendPolyDataMethods,
                        (char*)"vtkAppendPolyData",modulename,
                        (char**)vtkAppendPolyDataDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

