// python wrapper for vtkArrayCalculator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkArrayCalculator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkArrayCalculatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkArrayCalculatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkArrayCalculator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  const char    *temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  vtkArrayCalculator  *temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkArrayCalculator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkArrayCalculator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkArrayCalculator_SetFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  char    *temp0;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::SetFunction(temp0);
      }
    else
      {
      op->SetFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_GetFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  char    *temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::GetFunction();
      }
    else
      {
      temp20 = op->GetFunction();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_AddScalarArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  char    *temp0;
  int      temp1;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::AddScalarArrayName(temp0,temp1);
      }
    else
      {
      op->AddScalarArrayName(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_AddVectorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::AddVectorArrayName(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->AddVectorArrayName(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_AddScalarVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  char    *temp0;
  char    *temp1;
  int      temp2;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"zzi", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::AddScalarVariable(temp0,temp1,temp2);
      }
    else
      {
      op->AddScalarVariable(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_AddVectorVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"zziii", &temp0, &temp1, &temp2, &temp3, &temp4)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::AddVectorVariable(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->AddVectorVariable(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_SetResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  char    *temp0;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::SetResultArrayName(temp0);
      }
    else
      {
      op->SetResultArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_GetResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  char    *temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::GetResultArrayName();
      }
    else
      {
      temp20 = op->GetResultArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_SetAttributeMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  int      temp0;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::SetAttributeMode(temp0);
      }
    else
      {
      op->SetAttributeMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_GetAttributeMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  int      temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::GetAttributeMode();
      }
    else
      {
      temp20 = op->GetAttributeMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_SetAttributeModeToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::SetAttributeModeToDefault();
      }
    else
      {
      op->SetAttributeModeToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_SetAttributeModeToUsePointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::SetAttributeModeToUsePointData();
      }
    else
      {
      op->SetAttributeModeToUsePointData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_SetAttributeModeToUseCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::SetAttributeModeToUseCellData();
      }
    else
      {
      op->SetAttributeModeToUseCellData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_GetAttributeModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  const char    *temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::GetAttributeModeAsString();
      }
    else
      {
      temp20 = op->GetAttributeModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_RemoveAllVariables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::RemoveAllVariables();
      }
    else
      {
      op->RemoveAllVariables();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_GetScalarArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  int      temp0;
  char    *temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::GetScalarArrayName(temp0);
      }
    else
      {
      temp20 = op->GetScalarArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_GetVectorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  int      temp0;
  char    *temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::GetVectorArrayName(temp0);
      }
    else
      {
      temp20 = op->GetVectorArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_GetScalarVariableName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  int      temp0;
  char    *temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::GetScalarVariableName(temp0);
      }
    else
      {
      temp20 = op->GetScalarVariableName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_GetVectorVariableName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  int      temp0;
  char    *temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::GetVectorVariableName(temp0);
      }
    else
      {
      temp20 = op->GetVectorVariableName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_GetSelectedScalarComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::GetSelectedScalarComponent(temp0);
      }
    else
      {
      temp20 = op->GetSelectedScalarComponent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_GetNumberOfScalarArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  int      temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::GetNumberOfScalarArrays();
      }
    else
      {
      temp20 = op->GetNumberOfScalarArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_GetNumberOfVectorArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  int      temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::GetNumberOfVectorArrays();
      }
    else
      {
      temp20 = op->GetNumberOfVectorArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_SetReplaceInvalidValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  int      temp0;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::SetReplaceInvalidValues(temp0);
      }
    else
      {
      op->SetReplaceInvalidValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_GetReplaceInvalidValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  int      temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::GetReplaceInvalidValues();
      }
    else
      {
      temp20 = op->GetReplaceInvalidValues();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_ReplaceInvalidValuesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::ReplaceInvalidValuesOn();
      }
    else
      {
      op->ReplaceInvalidValuesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_ReplaceInvalidValuesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::ReplaceInvalidValuesOff();
      }
    else
      {
      op->ReplaceInvalidValuesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_SetReplacementValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  double   temp0;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArrayCalculator::SetReplacementValue(temp0);
      }
    else
      {
      op->SetReplacementValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArrayCalculator_GetReplacementValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArrayCalculator *op;

  double   temp20;
  if ((op = (vtkArrayCalculator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArrayCalculator::GetReplacementValue();
      }
    else
      {
      temp20 = op->GetReplacementValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkArrayCalculatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkArrayCalculator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkArrayCalculator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkArrayCalculator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkArrayCalculator\nC++: vtkArrayCalculator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkArrayCalculator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkArrayCalculator\nC++: vtkArrayCalculator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFunction",                (PyCFunction)PyvtkArrayCalculator_SetFunction, 1,
   (char*)"V.SetFunction(string)\nC++: void SetFunction (const char *function);\n\n Set/Get the function to be evaluated.\n"},
  {(char*)"GetFunction",                (PyCFunction)PyvtkArrayCalculator_GetFunction, 1,
   (char*)"V.GetFunction() -> string\nC++: char *GetFunction ();\n\n Set/Get the function to be evaluated.\n"},
  {(char*)"AddScalarArrayName",                (PyCFunction)PyvtkArrayCalculator_AddScalarArrayName, 1,
   (char*)"V.AddScalarArrayName(string, int)\nC++: void AddScalarArrayName (const char *arrayName, int component);\n\n Add an array name to the list of arrays used in the function and specify\n which components of the array to use in evaluating the function.  The\n array name must match the name in the function.  Use AddScalarVariable or\n AddVectorVariable to use a variable name different from the array name.\n"},
  {(char*)"AddVectorArrayName",                (PyCFunction)PyvtkArrayCalculator_AddVectorArrayName, 1,
   (char*)"V.AddVectorArrayName(string, int, int, int)\nC++: void AddVectorArrayName (const char *arrayName, int component0, int component1, int component2);\n\n Add an array name to the list of arrays used in the function and specify\n which components of the array to use in evaluating the function.  The\n array name must match the name in the function.  Use AddScalarVariable or\n AddVectorVariable to use a variable name different from the array name.\n"},
  {(char*)"AddScalarVariable",                (PyCFunction)PyvtkArrayCalculator_AddScalarVariable, 1,
   (char*)"V.AddScalarVariable(string, string, int)\nC++: void AddScalarVariable (const char *variableName, const char *arrayName, int component);\n\n Add a variable name, a corresponding array name, and which components of\n the array to use.\n"},
  {(char*)"AddVectorVariable",                (PyCFunction)PyvtkArrayCalculator_AddVectorVariable, 1,
   (char*)"V.AddVectorVariable(string, string, int, int, int)\nC++: void AddVectorVariable (const char *variableName, const char *arrayName, int component0, int component1, int component2);\n\n Add a variable name, a corresponding array name, and which components of\n the array to use.\n"},
  {(char*)"SetResultArrayName",                (PyCFunction)PyvtkArrayCalculator_SetResultArrayName, 1,
   (char*)"V.SetResultArrayName(string)\nC++: void SetResultArrayName (const char *name);\n\n Set the name of the array in which to store the result of\n evaluating this function.  If this is the name of an existing array,\n that array will be overwritten.  Otherwise a new array will be\n created with the specified name.\n"},
  {(char*)"GetResultArrayName",                (PyCFunction)PyvtkArrayCalculator_GetResultArrayName, 1,
   (char*)"V.GetResultArrayName() -> string\nC++: char *GetResultArrayName ();\n\n Set the name of the array in which to store the result of\n evaluating this function.  If this is the name of an existing array,\n that array will be overwritten.  Otherwise a new array will be\n created with the specified name.\n"},
  {(char*)"SetAttributeMode",                (PyCFunction)PyvtkArrayCalculator_SetAttributeMode, 1,
   (char*)"V.SetAttributeMode(int)\nC++: void SetAttributeMode (int );\n\n Control whether the filter operates on point data or cell data.\n By default (AttributeModeToDefault), the filter uses point\n data. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n"},
  {(char*)"GetAttributeMode",                (PyCFunction)PyvtkArrayCalculator_GetAttributeMode, 1,
   (char*)"V.GetAttributeMode() -> int\nC++: int GetAttributeMode ();\n\n Control whether the filter operates on point data or cell data.\n By default (AttributeModeToDefault), the filter uses point\n data. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n"},
  {(char*)"SetAttributeModeToDefault",                (PyCFunction)PyvtkArrayCalculator_SetAttributeModeToDefault, 1,
   (char*)"V.SetAttributeModeToDefault()\nC++: void SetAttributeModeToDefault ();this SetAttributeMode VTK_ATTRIBUTE_MODE_DEFAULT \n\n Control whether the filter operates on point data or cell data.\n By default (AttributeModeToDefault), the filter uses point\n data. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n"},
  {(char*)"SetAttributeModeToUsePointData",                (PyCFunction)PyvtkArrayCalculator_SetAttributeModeToUsePointData, 1,
   (char*)"V.SetAttributeModeToUsePointData()\nC++: void SetAttributeModeToUsePointData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_POINT_DATA \n\n Control whether the filter operates on point data or cell data.\n By default (AttributeModeToDefault), the filter uses point\n data. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n"},
  {(char*)"SetAttributeModeToUseCellData",                (PyCFunction)PyvtkArrayCalculator_SetAttributeModeToUseCellData, 1,
   (char*)"V.SetAttributeModeToUseCellData()\nC++: void SetAttributeModeToUseCellData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_CELL_DATA \n\n Control whether the filter operates on point data or cell data.\n By default (AttributeModeToDefault), the filter uses point\n data. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n"},
  {(char*)"GetAttributeModeAsString",                (PyCFunction)PyvtkArrayCalculator_GetAttributeModeAsString, 1,
   (char*)"V.GetAttributeModeAsString() -> string\nC++: const char *GetAttributeModeAsString ();\n\n Control whether the filter operates on point data or cell data.\n By default (AttributeModeToDefault), the filter uses point\n data. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n"},
  {(char*)"RemoveAllVariables",                (PyCFunction)PyvtkArrayCalculator_RemoveAllVariables, 1,
   (char*)"V.RemoveAllVariables()\nC++: void RemoveAllVariables ();\n\n Remove all the variable names and their associated array names.\n"},
  {(char*)"GetScalarArrayName",                (PyCFunction)PyvtkArrayCalculator_GetScalarArrayName, 1,
   (char*)"V.GetScalarArrayName(int) -> string\nC++: char *GetScalarArrayName (int i);\n\n Methods to get information about the current variables.\n"},
  {(char*)"GetVectorArrayName",                (PyCFunction)PyvtkArrayCalculator_GetVectorArrayName, 1,
   (char*)"V.GetVectorArrayName(int) -> string\nC++: char *GetVectorArrayName (int i);\n\n Methods to get information about the current variables.\n"},
  {(char*)"GetScalarVariableName",                (PyCFunction)PyvtkArrayCalculator_GetScalarVariableName, 1,
   (char*)"V.GetScalarVariableName(int) -> string\nC++: char *GetScalarVariableName (int i);\n\n Methods to get information about the current variables.\n"},
  {(char*)"GetVectorVariableName",                (PyCFunction)PyvtkArrayCalculator_GetVectorVariableName, 1,
   (char*)"V.GetVectorVariableName(int) -> string\nC++: char *GetVectorVariableName (int i);\n\n Methods to get information about the current variables.\n"},
  {(char*)"GetSelectedScalarComponent",                (PyCFunction)PyvtkArrayCalculator_GetSelectedScalarComponent, 1,
   (char*)"V.GetSelectedScalarComponent(int) -> int\nC++: int GetSelectedScalarComponent (int i);\n\n Methods to get information about the current variables.\n"},
  {(char*)"GetNumberOfScalarArrays",                (PyCFunction)PyvtkArrayCalculator_GetNumberOfScalarArrays, 1,
   (char*)"V.GetNumberOfScalarArrays() -> int\nC++: int GetNumberOfScalarArrays ();\n\n Methods to get information about the current variables.\n"},
  {(char*)"GetNumberOfVectorArrays",                (PyCFunction)PyvtkArrayCalculator_GetNumberOfVectorArrays, 1,
   (char*)"V.GetNumberOfVectorArrays() -> int\nC++: int GetNumberOfVectorArrays ();\n\n Methods to get information about the current variables.\n"},
  {(char*)"SetReplaceInvalidValues",                (PyCFunction)PyvtkArrayCalculator_SetReplaceInvalidValues, 1,
   (char*)"V.SetReplaceInvalidValues(int)\nC++: void SetReplaceInvalidValues (int );\n\n When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n"},
  {(char*)"GetReplaceInvalidValues",                (PyCFunction)PyvtkArrayCalculator_GetReplaceInvalidValues, 1,
   (char*)"V.GetReplaceInvalidValues() -> int\nC++: int GetReplaceInvalidValues ();\n\n When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n"},
  {(char*)"ReplaceInvalidValuesOn",                (PyCFunction)PyvtkArrayCalculator_ReplaceInvalidValuesOn, 1,
   (char*)"V.ReplaceInvalidValuesOn()\nC++: void ReplaceInvalidValuesOn ();\n\n When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n"},
  {(char*)"ReplaceInvalidValuesOff",                (PyCFunction)PyvtkArrayCalculator_ReplaceInvalidValuesOff, 1,
   (char*)"V.ReplaceInvalidValuesOff()\nC++: void ReplaceInvalidValuesOff ();\n\n When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n"},
  {(char*)"SetReplacementValue",                (PyCFunction)PyvtkArrayCalculator_SetReplacementValue, 1,
   (char*)"V.SetReplacementValue(float)\nC++: void SetReplacementValue (double );\n\n When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n"},
  {(char*)"GetReplacementValue",                (PyCFunction)PyvtkArrayCalculator_GetReplacementValue, 1,
   (char*)"V.GetReplacementValue() -> float\nC++: double GetReplacementValue ();\n\n When ReplaceInvalidValues is on, all invalid values (such as\n sqrt(-2), note that function parser does not handle complex\n numbers) will be replaced by ReplacementValue. Otherwise an\n error will be reported\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkArrayCalculatorDoc[] = {
  (char*)"vtkArrayCalculator - perform mathematical operations on data in field data arrays\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkArrayCalculator performs operations on vectors or scalars in field\n data arrays.  It uses vtkFunctionParser to do the parsing and to\n evaluate the function for each entry in the input arrays.  The arrays\n used in a given function must be all in point data or all in cell data.\n The resulting array will be stored as a field data array.  The result\n array can either be stored in a new array or it",
  (char*)" can overwrite an existing\n array.\n\n The functions that this array calculator understands is:\n <pre>\n standard operations: + - * / ^ .\n access vector components: iHat, jHat, kHat\n abs\n acos\n asin\n atan\n ceil\n cos\n cosh\n exp\n floor\n log\n mag\n min\n max\n norm\n sign\n sin\n sinh\n sqrt\n tan\n tanh\n </pre>\n Note that some of these operations work on scalars, some on vectors, and some on\n both (e.g., you ca",
  (char*)"n multiply a scalar times a vector). The operations are performed\n tuple-wise (i.e., tuple-by-tuple). The user must specify which arrays to use as\n vectors and/or scalars, and the name of the output data array.\n\n\n",
  "See Also:\n\n vtkFunctionParser\n\n",
  NULL
};

static vtkObjectBase *vtkArrayCalculatorStaticNew()
{
  return vtkArrayCalculator::New();
}

PyObject *PyVTKClass_vtkArrayCalculatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkArrayCalculatorStaticNew,
                        PyvtkArrayCalculatorMethods,
                        (char*)"vtkArrayCalculator",modulename,
                        (char**)vtkArrayCalculatorDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

