// tcl wrapper for vtkArrayCalculator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkArrayCalculator.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkArrayCalculatorNewCommand()
{
  vtkArrayCalculator *temp = vtkArrayCalculator::New();
  return ((ClientData)temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkArrayCalculatorCppCommand(vtkArrayCalculator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkArrayCalculatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkArrayCalculatorCppCommand((vtkArrayCalculator *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkArrayCalculatorCppCommand(vtkArrayCalculator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkArrayCalculator",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand((vtkDataSetAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkDataSetAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkArrayCalculator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkArrayCalculator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkArrayCalculator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkArrayCalculator");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkArrayCalculator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkArrayCalculator");
    return TCL_OK;
    }
  if ((!strcmp("SetFunction",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFunction",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFunction();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("AddScalarArrayName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddScalarArrayName(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddVectorArrayName",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->AddVectorArrayName(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddScalarVariable",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AddScalarVariable(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddVectorVariable",argv[1]))&&(argc == 7))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    op->AddVectorVariable(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResultArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetResultArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResultArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetResultArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAttributeMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributeMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToUsePointData",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToUsePointData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToUseCellData",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToUseCellData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributeModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetAttributeModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllVariables",argv[1]))&&(argc == 2))
    {
    op->RemoveAllVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVectorArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarVariableName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarVariableName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorVariableName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVectorVariableName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedScalarComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSelectedScalarComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfScalarArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfScalarArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVectorArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVectorArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReplaceInvalidValues",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReplaceInvalidValues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplaceInvalidValues",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReplaceInvalidValues();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceInvalidValuesOn",argv[1]))&&(argc == 2))
    {
    op->ReplaceInvalidValuesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceInvalidValuesOff",argv[1]))&&(argc == 2))
    {
    op->ReplaceInvalidValuesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReplacementValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetReplacementValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplacementValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetReplacementValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkArrayCalculatorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkArrayCalculator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFunction\n",NULL);
    Tcl_AppendResult(interp,"  AddScalarArrayName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddVectorArrayName\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AddScalarVariable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddVectorVariable\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  SetResultArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResultArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeMode\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToUsePointData\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToUseCellData\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllVariables\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarVariableName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorVariableName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedScalarComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfScalarArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVectorArrays\n",NULL);
    Tcl_AppendResult(interp,"  SetReplaceInvalidValues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplaceInvalidValues\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceInvalidValuesOn\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceInvalidValuesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReplacementValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplacementValue\n",NULL);
    return TCL_OK;
    }

  if (vtkDataSetAlgorithmCppCommand((vtkDataSetAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
