// python wrapper for vtkAssignAttribute object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkAssignAttribute.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAssignAttributeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAssignAttributeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkAssignAttribute_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignAttribute *op;

  const char    *temp20;
  if ((op = (vtkAssignAttribute *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignAttribute::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignAttribute_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignAttribute *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAssignAttribute *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignAttribute::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignAttribute_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignAttribute *op;

  vtkAssignAttribute  *temp20;
  if ((op = (vtkAssignAttribute *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAssignAttribute::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAssignAttribute_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAssignAttribute  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAssignAttribute::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAssignAttribute_Assign(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAssignAttribute *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkAssignAttribute *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssignAttribute::Assign(temp0,temp1,temp2);
      }
    else
      {
      op->Assign(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAssignAttribute *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkAssignAttribute *)PyArg_VTKParseTuple(self, args, (char*)"zii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssignAttribute::Assign(temp0,temp1,temp2);
      }
    else
      {
      op->Assign(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAssignAttribute *op;

  char    *temp0;
  char    *temp1;
  char    *temp2;
  PyErr_Clear();
  if ((op = (vtkAssignAttribute *)PyArg_VTKParseTuple(self, args, (char*)"zzz", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAssignAttribute::Assign(temp0,temp1,temp2);
      }
    else
      {
      op->Assign(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAssignAttributeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAssignAttribute_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAssignAttribute_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAssignAttribute_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAssignAttribute\nC++: vtkAssignAttribute *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAssignAttribute_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAssignAttribute\nC++: vtkAssignAttribute *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Assign",                (PyCFunction)PyvtkAssignAttribute_Assign, 1,
   (char*)"V.Assign(int, int, int)\nC++: void Assign (int inputAttributeType, int attributeType, int attributeLoc);\nV.Assign(string, int, int)\nC++: void Assign (const char *fieldName, int attributeType, int attributeLoc);\nV.Assign(string, string, string)\nC++: void Assign (const char *name, const char *attributeType, const char *attributeLoc);\n\n Label an attribute as another attribute.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAssignAttributeDoc[] = {
  (char*)"vtkAssignAttribute - Labels a field as an attribute\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkAssignAttribute is use to label a field (vtkDataArray) as an attribute.\n A field name or an attribute to labeled can be specified. For example:\n @verbatim\n aa->Assign(\"foo\", vtkDataSetAttributes::SCALARS, \n            vtkAssignAttribute::POINT_DATA);\n @endverbatim\n tells vtkAssignAttribute to make the array in the point data called\n \"foo\" the active scalars. On the other hand,\n @verbatim\n aa->",
  (char*)"Assign(vtkDataSetAttributes::VECTORS, vtkDataSetAttributes::SCALARS, \n            vtkAssignAttribute::POINT_DATA);\n @endverbatim\n tells vtkAssignAttribute to make the active vectors also the active\n scalars. The same can be done more easily from Tcl by using the Assign()\n method which takes strings:\n @verbatim\n aa Assign \"foo\" SCALARS POINT_DATA \n or\n aa Assign SCALARS VECTORS POINT_DATA\n\n Attribu",
  (char*)"teTypes: SCALARS, VECTORS, NORMALS, TCOORDS, TENSORS\n Attribute locations: POINT_DATA, CELL_DATA\n @endverbatim\n\n",
  "Caveats:\n\n When using Tcl, Java, Python or Visual Basic bindings, the array name \n can not be one of the  AttributeTypes when calling Assign() which takes\n strings as arguments. The Tcl (Java etc.) command will\n always assume the string corresponds to an attribute type when\n the argument is one of the AttributeTypes. In this situation,\n use the Assign() which takes enums.\n\n",
  "See Also:\n\n vtkFieldData vtkDataSet vtkDataObjectToDataSetFilter\n vtkDataSetAttributes vtkDataArray vtkRearrangeFields\n vtkSplitField vtkMergeFields\n\n",
  NULL
};

static vtkObjectBase *vtkAssignAttributeStaticNew()
{
  return vtkAssignAttribute::New();
}

PyObject *PyVTKClass_vtkAssignAttributeNew(char *modulename)
{
  return PyVTKClass_New(&vtkAssignAttributeStaticNew,
                        PyvtkAssignAttributeMethods,
                        (char*)"vtkAssignAttribute",modulename,
                        (char**)vtkAssignAttributeDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

