// python wrapper for vtkAxes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkAxes.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAxesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAxesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkAxes_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  const char    *temp20;
  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxes::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxes_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxes::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxes_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  vtkAxes  *temp20;
  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxes::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxes_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAxes  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAxes::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAxes_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxes::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAxes *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxes::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxes_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  double  *temp20;
  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxes::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxes_SetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  double   temp0;
  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxes::SetScaleFactor(temp0);
      }
    else
      {
      op->SetScaleFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxes_GetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  double   temp20;
  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxes::GetScaleFactor();
      }
    else
      {
      temp20 = op->GetScaleFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxes_SetSymmetric(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  int      temp0;
  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxes::SetSymmetric(temp0);
      }
    else
      {
      op->SetSymmetric(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxes_GetSymmetric(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  int      temp20;
  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxes::GetSymmetric();
      }
    else
      {
      temp20 = op->GetSymmetric();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxes_SymmetricOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxes::SymmetricOn();
      }
    else
      {
      op->SymmetricOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxes_SymmetricOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxes::SymmetricOff();
      }
    else
      {
      op->SymmetricOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxes_SetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  int      temp0;
  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxes::SetComputeNormals(temp0);
      }
    else
      {
      op->SetComputeNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxes_GetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  int      temp20;
  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxes::GetComputeNormals();
      }
    else
      {
      temp20 = op->GetComputeNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxes_ComputeNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxes::ComputeNormalsOn();
      }
    else
      {
      op->ComputeNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxes_ComputeNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxes *op;

  if ((op = (vtkAxes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxes::ComputeNormalsOff();
      }
    else
      {
      op->ComputeNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAxesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAxes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAxes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAxes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAxes\nC++: vtkAxes *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAxes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAxes\nC++: vtkAxes *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkAxes_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n Set the origin of the axes.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkAxes_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n Set the origin of the axes.\n"},
  {(char*)"SetScaleFactor",                (PyCFunction)PyvtkAxes_SetScaleFactor, 1,
   (char*)"V.SetScaleFactor(float)\nC++: void SetScaleFactor (double );\n\n Set the scale factor of the axes. Used to control size.\n"},
  {(char*)"GetScaleFactor",                (PyCFunction)PyvtkAxes_GetScaleFactor, 1,
   (char*)"V.GetScaleFactor() -> float\nC++: double GetScaleFactor ();\n\n Set the scale factor of the axes. Used to control size.\n"},
  {(char*)"SetSymmetric",                (PyCFunction)PyvtkAxes_SetSymmetric, 1,
   (char*)"V.SetSymmetric(int)\nC++: void SetSymmetric (int );\n\n If Symetric is on, the the axis continue to negative values.\n"},
  {(char*)"GetSymmetric",                (PyCFunction)PyvtkAxes_GetSymmetric, 1,
   (char*)"V.GetSymmetric() -> int\nC++: int GetSymmetric ();\n\n If Symetric is on, the the axis continue to negative values.\n"},
  {(char*)"SymmetricOn",                (PyCFunction)PyvtkAxes_SymmetricOn, 1,
   (char*)"V.SymmetricOn()\nC++: void SymmetricOn ();\n\n If Symetric is on, the the axis continue to negative values.\n"},
  {(char*)"SymmetricOff",                (PyCFunction)PyvtkAxes_SymmetricOff, 1,
   (char*)"V.SymmetricOff()\nC++: void SymmetricOff ();\n\n If Symetric is on, the the axis continue to negative values.\n"},
  {(char*)"SetComputeNormals",                (PyCFunction)PyvtkAxes_SetComputeNormals, 1,
   (char*)"V.SetComputeNormals(int)\nC++: void SetComputeNormals (int );\n\n Option for computing normals.  By default they are computed.\n"},
  {(char*)"GetComputeNormals",                (PyCFunction)PyvtkAxes_GetComputeNormals, 1,
   (char*)"V.GetComputeNormals() -> int\nC++: int GetComputeNormals ();\n\n Option for computing normals.  By default they are computed.\n"},
  {(char*)"ComputeNormalsOn",                (PyCFunction)PyvtkAxes_ComputeNormalsOn, 1,
   (char*)"V.ComputeNormalsOn()\nC++: void ComputeNormalsOn ();\n\n Option for computing normals.  By default they are computed.\n"},
  {(char*)"ComputeNormalsOff",                (PyCFunction)PyvtkAxes_ComputeNormalsOff, 1,
   (char*)"V.ComputeNormalsOff()\nC++: void ComputeNormalsOff ();\n\n Option for computing normals.  By default they are computed.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAxesDoc[] = {
  (char*)"vtkAxes - create an x-y-z axes\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkAxes creates three lines that form an x-y-z axes. The origin of the\n axes is user specified (0,0,0 is default), and the size is specified with\n a scale factor. Three scalar values are generated for the three lines and\n can be used (via color map) to indicate a particular coordinate axis.\n\n",
  NULL
};

static vtkObjectBase *vtkAxesStaticNew()
{
  return vtkAxes::New();
}

PyObject *PyVTKClass_vtkAxesNew(char *modulename)
{
  return PyVTKClass_New(&vtkAxesStaticNew,
                        PyvtkAxesMethods,
                        (char*)"vtkAxes",modulename,
                        (char**)vtkAxesDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

