// python wrapper for vtkBlankStructuredGridWithImage object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkBlankStructuredGridWithImage.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBlankStructuredGridWithImageNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBlankStructuredGridWithImageNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkBlankStructuredGridWithImage_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGridWithImage *op;

  const char    *temp20;
  if ((op = (vtkBlankStructuredGridWithImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlankStructuredGridWithImage::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGridWithImage_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGridWithImage *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkBlankStructuredGridWithImage *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlankStructuredGridWithImage::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGridWithImage_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGridWithImage *op;

  vtkBlankStructuredGridWithImage  *temp20;
  if ((op = (vtkBlankStructuredGridWithImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlankStructuredGridWithImage::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBlankStructuredGridWithImage_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBlankStructuredGridWithImage  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBlankStructuredGridWithImage::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBlankStructuredGridWithImage_SetBlankingInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGridWithImage *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkBlankStructuredGridWithImage *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkBlankStructuredGridWithImage::SetBlankingInput(temp0);
      }
    else
      {
      op->SetBlankingInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkBlankStructuredGridWithImage_GetBlankingInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBlankStructuredGridWithImage *op;

  vtkImageData  *temp20;
  if ((op = (vtkBlankStructuredGridWithImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBlankStructuredGridWithImage::GetBlankingInput();
      }
    else
      {
      temp20 = op->GetBlankingInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBlankStructuredGridWithImageMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBlankStructuredGridWithImage_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBlankStructuredGridWithImage_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBlankStructuredGridWithImage_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBlankStructuredGridWithImage\nC++: vtkBlankStructuredGridWithImage *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBlankStructuredGridWithImage_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBlankStructuredGridWithImage\nC++: vtkBlankStructuredGridWithImage *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetBlankingInput",                (PyCFunction)PyvtkBlankStructuredGridWithImage_SetBlankingInput, 1,
   (char*)"V.SetBlankingInput(vtkImageData)\nC++: void SetBlankingInput (vtkImageData *input);\n\n Set / get the input image used to perform the blanking.\n"},
  {(char*)"GetBlankingInput",                (PyCFunction)PyvtkBlankStructuredGridWithImage_GetBlankingInput, 1,
   (char*)"V.GetBlankingInput() -> vtkImageData\nC++: vtkImageData *GetBlankingInput ();\n\n Set / get the input image used to perform the blanking.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBlankStructuredGridWithImageDoc[] = {
  (char*)"vtkBlankStructuredGridWithImage - blank a structured grid with an image\n\n",
  "Super Class:\n\n vtkStructuredGridAlgorithm\n\n",
  (char*)" This filter can be used to set the blanking in a structured grid with \n an image. The filter takes two inputs: the structured grid to blank, \n and the image used to set the blanking. Make sure that the dimensions of\n both the image and the structured grid are identical.\n\n Note that the image is interpreted as follows: zero values indicate that\n the structured grid point is blanked; non-zero value",
  (char*)"s indicate that the\n structured grid point is visible. The blanking data must be unsigned char.\n\n",
  "See Also:\n\n vtkStructuredGrid\n\n",
  NULL
};

static vtkObjectBase *vtkBlankStructuredGridWithImageStaticNew()
{
  return vtkBlankStructuredGridWithImage::New();
}

PyObject *PyVTKClass_vtkBlankStructuredGridWithImageNew(char *modulename)
{
  return PyVTKClass_New(&vtkBlankStructuredGridWithImageStaticNew,
                        PyvtkBlankStructuredGridWithImageMethods,
                        (char*)"vtkBlankStructuredGridWithImage",modulename,
                        (char**)vtkBlankStructuredGridWithImageDoc,
                        PyVTKClass_vtkStructuredGridAlgorithmNew(modulename));
}

