// python wrapper for vtkBoxClipDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkBoxClipDataSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBoxClipDataSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBoxClipDataSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkBoxClipDataSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  const char    *temp20;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxClipDataSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxClipDataSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  vtkBoxClipDataSet  *temp20;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxClipDataSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBoxClipDataSet  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBoxClipDataSet::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_SetBoxClip(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::SetBoxClip(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetBoxClip(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_SetGenerateClipScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  int      temp0;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::SetGenerateClipScalars(temp0);
      }
    else
      {
      op->SetGenerateClipScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_GetGenerateClipScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  int      temp20;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxClipDataSet::GetGenerateClipScalars();
      }
    else
      {
      temp20 = op->GetGenerateClipScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_GenerateClipScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::GenerateClipScalarsOn();
      }
    else
      {
      op->GenerateClipScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_GenerateClipScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::GenerateClipScalarsOff();
      }
    else
      {
      op->GenerateClipScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_SetGenerateClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  int      temp0;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::SetGenerateClippedOutput(temp0);
      }
    else
      {
      op->SetGenerateClippedOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_GetGenerateClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  int      temp20;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxClipDataSet::GetGenerateClippedOutput();
      }
    else
      {
      temp20 = op->GetGenerateClippedOutput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_GenerateClippedOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::GenerateClippedOutputOn();
      }
    else
      {
      op->GenerateClippedOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_GenerateClippedOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::GenerateClippedOutputOff();
      }
    else
      {
      op->GenerateClippedOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_GetClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  vtkUnstructuredGrid  *temp20;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxClipDataSet::GetClippedOutput();
      }
    else
      {
      temp20 = op->GetClippedOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_GetNumberOfOutputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  int      temp20;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxClipDataSet::GetNumberOfOutputs();
      }
    else
      {
      temp20 = op->GetNumberOfOutputs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  vtkPointLocator  *temp20;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxClipDataSet::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  unsigned long     temp20;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxClipDataSet::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_GetOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  unsigned int      temp20;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBoxClipDataSet::GetOrientation();
      }
    else
      {
      temp20 = op->GetOrientation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_SetOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  unsigned int      temp0;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::SetOrientation(temp0);
      }
    else
      {
      op->SetOrientation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_ClipBox(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOOOiO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break21;
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break21;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break21;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break21;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break21;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break21;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break21;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::ClipBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    else
      {
      op->ClipBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_ClipHexahedron(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOOOiO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break22;
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break22;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break22;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break22;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break22;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break22;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break22;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::ClipHexahedron(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    else
      {
      op->ClipHexahedron(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_ClipBox2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOOOiO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break23;
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break23;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break23;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break23;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break23;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break23;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break23;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::ClipBox2D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    else
      {
      op->ClipBox2D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_ClipHexahedron2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOOOiO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break24;
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break24;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break24;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break24;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break24;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break24;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break24;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::ClipHexahedron2D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    else
      {
      op->ClipHexahedron2D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_ClipBox1D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOOOiO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break25;
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break25;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break25;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break25;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break25;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break25;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break25;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::ClipBox1D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    else
      {
      op->ClipBox1D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_ClipHexahedron1D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  vtkGenericCell  *temp1;
  PyObject *tempH1;
  vtkPointLocator  *temp2;
  PyObject *tempH2;
  vtkCellArray  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkPointData  *temp5;
  PyObject *tempH5;
  vtkCellData  *temp6;
  PyObject *tempH6;
  vtkIdType   temp7;
  vtkCellData  *temp8;
  PyObject *tempH8;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOOOiO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &tempH6, &temp7, &tempH8)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break26;
    temp1 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkGenericCell");
    if (!temp1 && tempH1 != Py_None) goto break26;
    temp2 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkPointLocator");
    if (!temp2 && tempH2 != Py_None) goto break26;
    temp3 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkCellArray");
    if (!temp3 && tempH3 != Py_None) goto break26;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break26;
    temp5 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkPointData");
    if (!temp5 && tempH5 != Py_None) goto break26;
    temp6 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH6,(char*)"vtkCellData");
    if (!temp6 && tempH6 != Py_None) goto break26;
    temp8 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH8,(char*)"vtkCellData");
    if (!temp8 && tempH8 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::ClipHexahedron1D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    else
      {
      op->ClipHexahedron1D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_ClipBox0D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  vtkGenericCell  *temp0;
  PyObject *tempH0;
  vtkPointLocator  *temp1;
  PyObject *tempH1;
  vtkCellArray  *temp2;
  PyObject *tempH2;
  vtkPointData  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkCellData  *temp5;
  PyObject *tempH5;
  vtkIdType   temp6;
  vtkCellData  *temp7;
  PyObject *tempH7;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOOiO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &temp6, &tempH7)))
    {
    temp0 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericCell");
    if (!temp0 && tempH0 != Py_None) goto break27;
    temp1 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPointLocator");
    if (!temp1 && tempH1 != Py_None) goto break27;
    temp2 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkCellArray");
    if (!temp2 && tempH2 != Py_None) goto break27;
    temp3 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkPointData");
    if (!temp3 && tempH3 != Py_None) goto break27;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break27;
    temp5 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellData");
    if (!temp5 && tempH5 != Py_None) goto break27;
    temp7 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkCellData");
    if (!temp7 && tempH7 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::ClipBox0D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    else
      {
      op->ClipBox0D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkBoxClipDataSet_ClipHexahedron0D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBoxClipDataSet *op;

  vtkGenericCell  *temp0;
  PyObject *tempH0;
  vtkPointLocator  *temp1;
  PyObject *tempH1;
  vtkCellArray  *temp2;
  PyObject *tempH2;
  vtkPointData  *temp3;
  PyObject *tempH3;
  vtkPointData  *temp4;
  PyObject *tempH4;
  vtkCellData  *temp5;
  PyObject *tempH5;
  vtkIdType   temp6;
  vtkCellData  *temp7;
  PyObject *tempH7;
  if ((op = (vtkBoxClipDataSet *)PyArg_VTKParseTuple(self, args, (char*)"OOOOOOiO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5, &temp6, &tempH7)))
    {
    temp0 = (vtkGenericCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGenericCell");
    if (!temp0 && tempH0 != Py_None) goto break28;
    temp1 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPointLocator");
    if (!temp1 && tempH1 != Py_None) goto break28;
    temp2 = (vtkCellArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkCellArray");
    if (!temp2 && tempH2 != Py_None) goto break28;
    temp3 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkPointData");
    if (!temp3 && tempH3 != Py_None) goto break28;
    temp4 = (vtkPointData *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkPointData");
    if (!temp4 && tempH4 != Py_None) goto break28;
    temp5 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkCellData");
    if (!temp5 && tempH5 != Py_None) goto break28;
    temp7 = (vtkCellData *)vtkPythonGetPointerFromObject(tempH7,(char*)"vtkCellData");
    if (!temp7 && tempH7 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkBoxClipDataSet::ClipHexahedron0D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    else
      {
      op->ClipHexahedron0D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}

static PyMethodDef PyvtkBoxClipDataSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBoxClipDataSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBoxClipDataSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBoxClipDataSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBoxClipDataSet\nC++: vtkBoxClipDataSet *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBoxClipDataSet_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBoxClipDataSet\nC++: vtkBoxClipDataSet *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetBoxClip",                (PyCFunction)PyvtkBoxClipDataSet_SetBoxClip, 1,
   (char*)"V.SetBoxClip(float, float, float, float, float, float)\nC++: void SetBoxClip (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);\n\n"},
  {(char*)"SetGenerateClipScalars",                (PyCFunction)PyvtkBoxClipDataSet_SetGenerateClipScalars, 1,
   (char*)"V.SetGenerateClipScalars(int)\nC++: void SetGenerateClipScalars (int );\n\n If this flag is enabled, then the output scalar values will be \n interpolated, and not the input scalar data.\n"},
  {(char*)"GetGenerateClipScalars",                (PyCFunction)PyvtkBoxClipDataSet_GetGenerateClipScalars, 1,
   (char*)"V.GetGenerateClipScalars() -> int\nC++: int GetGenerateClipScalars ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated, and not the input scalar data.\n"},
  {(char*)"GenerateClipScalarsOn",                (PyCFunction)PyvtkBoxClipDataSet_GenerateClipScalarsOn, 1,
   (char*)"V.GenerateClipScalarsOn()\nC++: void GenerateClipScalarsOn ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated, and not the input scalar data.\n"},
  {(char*)"GenerateClipScalarsOff",                (PyCFunction)PyvtkBoxClipDataSet_GenerateClipScalarsOff, 1,
   (char*)"V.GenerateClipScalarsOff()\nC++: void GenerateClipScalarsOff ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated, and not the input scalar data.\n"},
  {(char*)"SetGenerateClippedOutput",                (PyCFunction)PyvtkBoxClipDataSet_SetGenerateClippedOutput, 1,
   (char*)"V.SetGenerateClippedOutput(int)\nC++: void SetGenerateClippedOutput (int );\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GetGenerateClippedOutput",                (PyCFunction)PyvtkBoxClipDataSet_GetGenerateClippedOutput, 1,
   (char*)"V.GetGenerateClippedOutput() -> int\nC++: int GetGenerateClippedOutput ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GenerateClippedOutputOn",                (PyCFunction)PyvtkBoxClipDataSet_GenerateClippedOutputOn, 1,
   (char*)"V.GenerateClippedOutputOn()\nC++: void GenerateClippedOutputOn ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GenerateClippedOutputOff",                (PyCFunction)PyvtkBoxClipDataSet_GenerateClippedOutputOff, 1,
   (char*)"V.GenerateClippedOutputOff()\nC++: void GenerateClippedOutputOff ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GetClippedOutput",                (PyCFunction)PyvtkBoxClipDataSet_GetClippedOutput, 1,
   (char*)"V.GetClippedOutput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetClippedOutput ();\n\n Return the Clipped output.\n"},
  {(char*)"GetNumberOfOutputs",                (PyCFunction)PyvtkBoxClipDataSet_GetNumberOfOutputs, 1,
   (char*)"V.GetNumberOfOutputs() -> int\nC++: virtual int GetNumberOfOutputs ();\n\n Return the Clipped output.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkBoxClipDataSet_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Specify a spatial locator for merging points. By default, an\n instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkBoxClipDataSet_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Specify a spatial locator for merging points. By default, an\n instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkBoxClipDataSet_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified. The \n locator is used to merge coincident points.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkBoxClipDataSet_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the mtime also considering the locator.\n"},
  {(char*)"GetOrientation",                (PyCFunction)PyvtkBoxClipDataSet_GetOrientation, 1,
   (char*)"V.GetOrientation() -> int\nC++: int unsigned GetOrientation ();\n\n"},
  {(char*)"SetOrientation",                (PyCFunction)PyvtkBoxClipDataSet_SetOrientation, 1,
   (char*)"V.SetOrientation(int)\nC++: void SetOrientation (unsigned int );\n\n"},
  {(char*)"ClipBox",                (PyCFunction)PyvtkBoxClipDataSet_ClipBox, 1,
   (char*)"V.ClipBox(vtkPoints, vtkGenericCell, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void ClipBox (vtkPoints *newPoints, vtkGenericCell *cell, vtkPointLocator *locator, vtkCellArray *tets, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD);\n\n"},
  {(char*)"ClipHexahedron",                (PyCFunction)PyvtkBoxClipDataSet_ClipHexahedron, 1,
   (char*)"V.ClipHexahedron(vtkPoints, vtkGenericCell, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void ClipHexahedron (vtkPoints *newPoints, vtkGenericCell *cell, vtkPointLocator *locator, vtkCellArray *tets, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD);\n\n"},
  {(char*)"ClipBox2D",                (PyCFunction)PyvtkBoxClipDataSet_ClipBox2D, 1,
   (char*)"V.ClipBox2D(vtkPoints, vtkGenericCell, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void ClipBox2D (vtkPoints *newPoints, vtkGenericCell *cell, vtkPointLocator *locator, vtkCellArray *tets, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD);\n\n"},
  {(char*)"ClipHexahedron2D",                (PyCFunction)PyvtkBoxClipDataSet_ClipHexahedron2D, 1,
   (char*)"V.ClipHexahedron2D(vtkPoints, vtkGenericCell, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void ClipHexahedron2D (vtkPoints *newPoints, vtkGenericCell *cell, vtkPointLocator *locator, vtkCellArray *tets, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD);\n\n"},
  {(char*)"ClipBox1D",                (PyCFunction)PyvtkBoxClipDataSet_ClipBox1D, 1,
   (char*)"V.ClipBox1D(vtkPoints, vtkGenericCell, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void ClipBox1D (vtkPoints *newPoints, vtkGenericCell *cell, vtkPointLocator *locator, vtkCellArray *lines, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD);\n\n"},
  {(char*)"ClipHexahedron1D",                (PyCFunction)PyvtkBoxClipDataSet_ClipHexahedron1D, 1,
   (char*)"V.ClipHexahedron1D(vtkPoints, vtkGenericCell, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void ClipHexahedron1D (vtkPoints *newPoints, vtkGenericCell *cell, vtkPointLocator *locator, vtkCellArray *lines, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD);\n\n"},
  {(char*)"ClipBox0D",                (PyCFunction)PyvtkBoxClipDataSet_ClipBox0D, 1,
   (char*)"V.ClipBox0D(vtkGenericCell, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void ClipBox0D (vtkGenericCell *cell, vtkPointLocator *locator, vtkCellArray *verts, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD);\n\n"},
  {(char*)"ClipHexahedron0D",                (PyCFunction)PyvtkBoxClipDataSet_ClipHexahedron0D, 1,
   (char*)"V.ClipHexahedron0D(vtkGenericCell, vtkPointLocator, vtkCellArray, vtkPointData, vtkPointData, vtkCellData, int, vtkCellData)\nC++: void ClipHexahedron0D (vtkGenericCell *cell, vtkPointLocator *locator, vtkCellArray *verts, vtkPointData *inPD, vtkPointData *outPD, vtkCellData *inCD, vtkIdType cellId, vtkCellData *outCD);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBoxClipDataSetDoc[] = {
  (char*)"vtkBoxClipDataSet - clip an unstructured grid\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" Clipping means that is actually 'cuts' through the cells of the dataset,\n returning tetrahedral cells inside of the box.\n The output of this filter is an unstructured grid.\n\n This filter can be configured to compute a second output. The\n second output is the part of the cell that is clipped away. Set the\n GenerateClippedData boolean on if you wish to access this output data.\n\n The vtkBoxClipDataS",
  (char*)"et will triangulate all types of 3D cells (i.e, create tetrahedra).\n This is necessary to preserve compatibility across face neighbors.\n\n To use this filter,you can decide if you will be clipping with a box or a hexahedral box.\n 1) Set orientation \n    if(SetOrientation(0)): box (parallel with coordinate axis)\n       SetBoxClip(xmin,xmax,ymin,ymax,zmin,zmax)  \n    if(SetOrientation(1)): hexahedral",
  (char*)" box (Default)\n       SetBoxClip(n[0],o[0],n[1],o[1],n[2],o[2],n[3],o[3],n[4],o[4],n[5],o[5])  \n       PlaneNormal[] normal of each plane\n       PlanePoint[] point on the plane \n 2) Apply the GenerateClipScalarsOn() \n 3) Execute clipping  Update();\n\n",
  NULL
};

static vtkObjectBase *vtkBoxClipDataSetStaticNew()
{
  return vtkBoxClipDataSet::New();
}

PyObject *PyVTKClass_vtkBoxClipDataSetNew(char *modulename)
{
  return PyVTKClass_New(&vtkBoxClipDataSetStaticNew,
                        PyvtkBoxClipDataSetMethods,
                        (char*)"vtkBoxClipDataSet",modulename,
                        (char**)vtkBoxClipDataSetDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

