// tcl wrapper for vtkBoxClipDataSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoxClipDataSet.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkBoxClipDataSetNewCommand()
{
  vtkBoxClipDataSet *temp = vtkBoxClipDataSet::New();
  return ((ClientData)temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBoxClipDataSetCppCommand(vtkBoxClipDataSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBoxClipDataSetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBoxClipDataSetCppCommand((vtkBoxClipDataSet *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBoxClipDataSetCppCommand(vtkBoxClipDataSet *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBoxClipDataSet",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand((vtkUnstructuredGridAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkUnstructuredGridAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBoxClipDataSet  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkBoxClipDataSet");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBoxClipDataSet  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkBoxClipDataSet");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBoxClipDataSet  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkBoxClipDataSet");
    return TCL_OK;
    }
  if ((!strcmp("SetBoxClip",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetBoxClip(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGenerateClipScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateClipScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateClipScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateClipScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateClipScalarsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateClipScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateClipScalarsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateClipScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateClippedOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateClippedOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateClippedOutput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateClippedOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateClippedOutputOn",argv[1]))&&(argc == 2))
    {
    op->GenerateClippedOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateClippedOutputOff",argv[1]))&&(argc == 2))
    {
    op->GenerateClippedOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetClippedOutput",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGrid  *temp20;
    temp20 = (op)->GetClippedOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkUnstructuredGrid");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfOutputs",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfOutputs();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLocator",argv[1]))&&(argc == 3))
    {
    vtkPointLocator  *temp0;
    error = 0;

    temp0 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPointLocator",interp,error));
    if (!error)
    {
    op->SetLocator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLocator",argv[1]))&&(argc == 2))
    {
    vtkPointLocator  *temp20;
    temp20 = (op)->GetLocator();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPointLocator");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultLocator",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOrientation",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetOrientation();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientation",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    op->SetOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClipBox",argv[1]))&&(argc == 11))
    {
    vtkPoints  *temp0;
    vtkGenericCell  *temp1;
    vtkPointLocator  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    vtkPointData  *temp5;
    vtkCellData  *temp6;
    vtkIdType   temp7;
    vtkCellData  *temp8;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPoints",interp,error));
    temp1 = (vtkGenericCell *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkGenericCell",interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPointLocator",interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkCellArray",interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointData",interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkPointData",interp,error));
    temp6 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[8],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],(char *) "vtkCellData",interp,error));
    if (!error)
    {
    op->ClipBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClipHexahedron",argv[1]))&&(argc == 11))
    {
    vtkPoints  *temp0;
    vtkGenericCell  *temp1;
    vtkPointLocator  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    vtkPointData  *temp5;
    vtkCellData  *temp6;
    vtkIdType   temp7;
    vtkCellData  *temp8;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPoints",interp,error));
    temp1 = (vtkGenericCell *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkGenericCell",interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPointLocator",interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkCellArray",interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointData",interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkPointData",interp,error));
    temp6 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[8],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],(char *) "vtkCellData",interp,error));
    if (!error)
    {
    op->ClipHexahedron(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClipBox2D",argv[1]))&&(argc == 11))
    {
    vtkPoints  *temp0;
    vtkGenericCell  *temp1;
    vtkPointLocator  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    vtkPointData  *temp5;
    vtkCellData  *temp6;
    vtkIdType   temp7;
    vtkCellData  *temp8;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPoints",interp,error));
    temp1 = (vtkGenericCell *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkGenericCell",interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPointLocator",interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkCellArray",interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointData",interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkPointData",interp,error));
    temp6 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[8],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],(char *) "vtkCellData",interp,error));
    if (!error)
    {
    op->ClipBox2D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClipHexahedron2D",argv[1]))&&(argc == 11))
    {
    vtkPoints  *temp0;
    vtkGenericCell  *temp1;
    vtkPointLocator  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    vtkPointData  *temp5;
    vtkCellData  *temp6;
    vtkIdType   temp7;
    vtkCellData  *temp8;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPoints",interp,error));
    temp1 = (vtkGenericCell *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkGenericCell",interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPointLocator",interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkCellArray",interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointData",interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkPointData",interp,error));
    temp6 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[8],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],(char *) "vtkCellData",interp,error));
    if (!error)
    {
    op->ClipHexahedron2D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClipBox1D",argv[1]))&&(argc == 11))
    {
    vtkPoints  *temp0;
    vtkGenericCell  *temp1;
    vtkPointLocator  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    vtkPointData  *temp5;
    vtkCellData  *temp6;
    vtkIdType   temp7;
    vtkCellData  *temp8;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPoints",interp,error));
    temp1 = (vtkGenericCell *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkGenericCell",interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPointLocator",interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkCellArray",interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointData",interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkPointData",interp,error));
    temp6 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[8],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],(char *) "vtkCellData",interp,error));
    if (!error)
    {
    op->ClipBox1D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClipHexahedron1D",argv[1]))&&(argc == 11))
    {
    vtkPoints  *temp0;
    vtkGenericCell  *temp1;
    vtkPointLocator  *temp2;
    vtkCellArray  *temp3;
    vtkPointData  *temp4;
    vtkPointData  *temp5;
    vtkCellData  *temp6;
    vtkIdType   temp7;
    vtkCellData  *temp8;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPoints",interp,error));
    temp1 = (vtkGenericCell *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkGenericCell",interp,error));
    temp2 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPointLocator",interp,error));
    temp3 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkCellArray",interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointData",interp,error));
    temp5 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkPointData",interp,error));
    temp6 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[8],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    temp8 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[10],(char *) "vtkCellData",interp,error));
    if (!error)
    {
    op->ClipHexahedron1D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClipBox0D",argv[1]))&&(argc == 10))
    {
    vtkGenericCell  *temp0;
    vtkPointLocator  *temp1;
    vtkCellArray  *temp2;
    vtkPointData  *temp3;
    vtkPointData  *temp4;
    vtkCellData  *temp5;
    vtkIdType   temp6;
    vtkCellData  *temp7;
    error = 0;

    temp0 = (vtkGenericCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericCell",interp,error));
    temp1 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPointLocator",interp,error));
    temp2 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkCellArray",interp,error));
    temp3 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkPointData",interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointData",interp,error));
    temp5 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    temp7 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[9],(char *) "vtkCellData",interp,error));
    if (!error)
    {
    op->ClipBox0D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClipHexahedron0D",argv[1]))&&(argc == 10))
    {
    vtkGenericCell  *temp0;
    vtkPointLocator  *temp1;
    vtkCellArray  *temp2;
    vtkPointData  *temp3;
    vtkPointData  *temp4;
    vtkCellData  *temp5;
    vtkIdType   temp6;
    vtkCellData  *temp7;
    error = 0;

    temp0 = (vtkGenericCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkGenericCell",interp,error));
    temp1 = (vtkPointLocator *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPointLocator",interp,error));
    temp2 = (vtkCellArray *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkCellArray",interp,error));
    temp3 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkPointData",interp,error));
    temp4 = (vtkPointData *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkPointData",interp,error));
    temp5 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkCellData",interp,error));
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    temp7 = (vtkCellData *)(vtkTclGetPointerFromObject(argv[9],(char *) "vtkCellData",interp,error));
    if (!error)
    {
    op->ClipHexahedron0D(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkBoxClipDataSetCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBoxClipDataSet:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetBoxClip\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateClipScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateClipScalars\n",NULL);
    Tcl_AppendResult(interp,"  GenerateClipScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateClipScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateClippedOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateClippedOutput\n",NULL);
    Tcl_AppendResult(interp,"  GenerateClippedOutputOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateClippedOutputOff\n",NULL);
    Tcl_AppendResult(interp,"  GetClippedOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfOutputs\n",NULL);
    Tcl_AppendResult(interp,"  SetLocator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLocator\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultLocator\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientation\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClipBox\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  ClipHexahedron\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  ClipBox2D\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  ClipHexahedron2D\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  ClipBox1D\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  ClipHexahedron1D\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  ClipBox0D\t with 8 args\n",NULL);
    Tcl_AppendResult(interp,"  ClipHexahedron0D\t with 8 args\n",NULL);
    return TCL_OK;
    }

  if (vtkUnstructuredGridAlgorithmCppCommand((vtkUnstructuredGridAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
