// python wrapper for vtkBrownianPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkBrownianPoints.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBrownianPointsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBrownianPointsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkBrownianPoints_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrownianPoints *op;

  const char    *temp20;
  if ((op = (vtkBrownianPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBrownianPoints::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBrownianPoints_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrownianPoints *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkBrownianPoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBrownianPoints::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBrownianPoints_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrownianPoints *op;

  vtkBrownianPoints  *temp20;
  if ((op = (vtkBrownianPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBrownianPoints::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBrownianPoints_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBrownianPoints  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBrownianPoints::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBrownianPoints_SetMinimumSpeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrownianPoints *op;

  double   temp0;
  if ((op = (vtkBrownianPoints *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBrownianPoints::SetMinimumSpeed(temp0);
      }
    else
      {
      op->SetMinimumSpeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBrownianPoints_GetMinimumSpeedMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrownianPoints *op;

  double   temp20;
  if ((op = (vtkBrownianPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBrownianPoints::GetMinimumSpeedMinValue();
      }
    else
      {
      temp20 = op->GetMinimumSpeedMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBrownianPoints_GetMinimumSpeedMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrownianPoints *op;

  double   temp20;
  if ((op = (vtkBrownianPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBrownianPoints::GetMinimumSpeedMaxValue();
      }
    else
      {
      temp20 = op->GetMinimumSpeedMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBrownianPoints_GetMinimumSpeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrownianPoints *op;

  double   temp20;
  if ((op = (vtkBrownianPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBrownianPoints::GetMinimumSpeed();
      }
    else
      {
      temp20 = op->GetMinimumSpeed();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBrownianPoints_SetMaximumSpeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrownianPoints *op;

  double   temp0;
  if ((op = (vtkBrownianPoints *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBrownianPoints::SetMaximumSpeed(temp0);
      }
    else
      {
      op->SetMaximumSpeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBrownianPoints_GetMaximumSpeedMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrownianPoints *op;

  double   temp20;
  if ((op = (vtkBrownianPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBrownianPoints::GetMaximumSpeedMinValue();
      }
    else
      {
      temp20 = op->GetMaximumSpeedMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBrownianPoints_GetMaximumSpeedMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrownianPoints *op;

  double   temp20;
  if ((op = (vtkBrownianPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBrownianPoints::GetMaximumSpeedMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumSpeedMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBrownianPoints_GetMaximumSpeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBrownianPoints *op;

  double   temp20;
  if ((op = (vtkBrownianPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBrownianPoints::GetMaximumSpeed();
      }
    else
      {
      temp20 = op->GetMaximumSpeed();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBrownianPointsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBrownianPoints_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBrownianPoints_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBrownianPoints_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBrownianPoints\nC++: vtkBrownianPoints *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBrownianPoints_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBrownianPoints\nC++: vtkBrownianPoints *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMinimumSpeed",                (PyCFunction)PyvtkBrownianPoints_SetMinimumSpeed, 1,
   (char*)"V.SetMinimumSpeed(float)\nC++: void SetMinimumSpeed (double );\n\n Set the minimum speed value.\n"},
  {(char*)"GetMinimumSpeedMinValue",                (PyCFunction)PyvtkBrownianPoints_GetMinimumSpeedMinValue, 1,
   (char*)"V.GetMinimumSpeedMinValue() -> float\nC++: double GetMinimumSpeedMinValue ();\n\n Set the minimum speed value.\n"},
  {(char*)"GetMinimumSpeedMaxValue",                (PyCFunction)PyvtkBrownianPoints_GetMinimumSpeedMaxValue, 1,
   (char*)"V.GetMinimumSpeedMaxValue() -> float\nC++: double GetMinimumSpeedMaxValue ();\n\n Set the minimum speed value.\n"},
  {(char*)"GetMinimumSpeed",                (PyCFunction)PyvtkBrownianPoints_GetMinimumSpeed, 1,
   (char*)"V.GetMinimumSpeed() -> float\nC++: double GetMinimumSpeed ();\n\n Set the minimum speed value.\n"},
  {(char*)"SetMaximumSpeed",                (PyCFunction)PyvtkBrownianPoints_SetMaximumSpeed, 1,
   (char*)"V.SetMaximumSpeed(float)\nC++: void SetMaximumSpeed (double );\n\n Set the maximum speed value.\n"},
  {(char*)"GetMaximumSpeedMinValue",                (PyCFunction)PyvtkBrownianPoints_GetMaximumSpeedMinValue, 1,
   (char*)"V.GetMaximumSpeedMinValue() -> float\nC++: double GetMaximumSpeedMinValue ();\n\n Set the maximum speed value.\n"},
  {(char*)"GetMaximumSpeedMaxValue",                (PyCFunction)PyvtkBrownianPoints_GetMaximumSpeedMaxValue, 1,
   (char*)"V.GetMaximumSpeedMaxValue() -> float\nC++: double GetMaximumSpeedMaxValue ();\n\n Set the maximum speed value.\n"},
  {(char*)"GetMaximumSpeed",                (PyCFunction)PyvtkBrownianPoints_GetMaximumSpeed, 1,
   (char*)"V.GetMaximumSpeed() -> float\nC++: double GetMaximumSpeed ();\n\n Set the maximum speed value.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBrownianPointsDoc[] = {
  (char*)"vtkBrownianPoints - assign random vector to points\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkBrownianPoints is a filter object that assigns a random vector (i.e.,\n magnitude and direction) to each point. The minimum and maximum speed\n values can be controlled by the user.\n\n",
  NULL
};

static vtkObjectBase *vtkBrownianPointsStaticNew()
{
  return vtkBrownianPoints::New();
}

PyObject *PyVTKClass_vtkBrownianPointsNew(char *modulename)
{
  return PyVTKClass_New(&vtkBrownianPointsStaticNew,
                        PyvtkBrownianPointsMethods,
                        (char*)"vtkBrownianPoints",modulename,
                        (char**)vtkBrownianPointsDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

