// python wrapper for vtkCellCenterDepthSort object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCellCenterDepthSort.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCellCenterDepthSortNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCellCenterDepthSortNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkVisibilitySortNew(char *); }

static PyObject *PyvtkCellCenterDepthSort_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellCenterDepthSort *op;

  const char    *temp20;
  if ((op = (vtkCellCenterDepthSort *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellCenterDepthSort::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellCenterDepthSort_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellCenterDepthSort *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCellCenterDepthSort *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellCenterDepthSort::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellCenterDepthSort_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellCenterDepthSort *op;

  vtkCellCenterDepthSort  *temp20;
  if ((op = (vtkCellCenterDepthSort *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellCenterDepthSort::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellCenterDepthSort_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCellCenterDepthSort  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCellCenterDepthSort::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCellCenterDepthSort_InitTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellCenterDepthSort *op;

  if ((op = (vtkCellCenterDepthSort *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellCenterDepthSort::InitTraversal();
      }
    else
      {
      op->InitTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellCenterDepthSort_GetNextCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellCenterDepthSort *op;

  vtkIdTypeArray  *temp20;
  if ((op = (vtkCellCenterDepthSort *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellCenterDepthSort::GetNextCells();
      }
    else
      {
      temp20 = op->GetNextCells();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCellCenterDepthSortMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCellCenterDepthSort_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCellCenterDepthSort_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCellCenterDepthSort_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCellCenterDepthSort\nC++: vtkCellCenterDepthSort *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCellCenterDepthSort_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCellCenterDepthSort\nC++: vtkCellCenterDepthSort *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"InitTraversal",                (PyCFunction)PyvtkCellCenterDepthSort_InitTraversal, 1,
   (char*)"V.InitTraversal()\nC++: virtual void InitTraversal ();\n\n"},
  {(char*)"GetNextCells",                (PyCFunction)PyvtkCellCenterDepthSort_GetNextCells, 1,
   (char*)"V.GetNextCells() -> vtkIdTypeArray\nC++: virtual vtkIdTypeArray *GetNextCells ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCellCenterDepthSortDoc[] = {
  (char*)"vtkCellCenterDepthSort - A simple implementation of vtkCellDepthSort.\n\n",
  "Super Class:\n\n vtkVisibilitySort\n\n",
  (char*)" vtkCellCenterDepthSort is a simple and fast implementation of depth\n sort, but it only provides approximate results.  The sorting algorithm\n finds the centroids of all the cells.  It then performs the dot product\n of the centroids against a vector pointing in the direction of the\n camera transformed into object space.  It then performs an ordinary sort\n on the result.\n\n\n",
  NULL
};

static vtkObjectBase *vtkCellCenterDepthSortStaticNew()
{
  return vtkCellCenterDepthSort::New();
}

PyObject *PyVTKClass_vtkCellCenterDepthSortNew(char *modulename)
{
  return PyVTKClass_New(&vtkCellCenterDepthSortStaticNew,
                        PyvtkCellCenterDepthSortMethods,
                        (char*)"vtkCellCenterDepthSort",modulename,
                        (char**)vtkCellCenterDepthSortDoc,
                        PyVTKClass_vtkVisibilitySortNew(modulename));
}

