// python wrapper for vtkCellDataToPointData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCellDataToPointData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCellDataToPointDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCellDataToPointDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkCellDataToPointData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDataToPointData *op;

  const char    *temp20;
  if ((op = (vtkCellDataToPointData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellDataToPointData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDataToPointData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDataToPointData *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCellDataToPointData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellDataToPointData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDataToPointData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDataToPointData *op;

  vtkCellDataToPointData  *temp20;
  if ((op = (vtkCellDataToPointData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellDataToPointData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDataToPointData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCellDataToPointData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCellDataToPointData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCellDataToPointData_SetPassCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDataToPointData *op;

  int      temp0;
  if ((op = (vtkCellDataToPointData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellDataToPointData::SetPassCellData(temp0);
      }
    else
      {
      op->SetPassCellData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDataToPointData_GetPassCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDataToPointData *op;

  int      temp20;
  if ((op = (vtkCellDataToPointData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellDataToPointData::GetPassCellData();
      }
    else
      {
      temp20 = op->GetPassCellData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDataToPointData_PassCellDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDataToPointData *op;

  if ((op = (vtkCellDataToPointData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellDataToPointData::PassCellDataOn();
      }
    else
      {
      op->PassCellDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCellDataToPointData_PassCellDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellDataToPointData *op;

  if ((op = (vtkCellDataToPointData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCellDataToPointData::PassCellDataOff();
      }
    else
      {
      op->PassCellDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCellDataToPointDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCellDataToPointData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCellDataToPointData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCellDataToPointData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCellDataToPointData\nC++: vtkCellDataToPointData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCellDataToPointData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCellDataToPointData\nC++: vtkCellDataToPointData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPassCellData",                (PyCFunction)PyvtkCellDataToPointData_SetPassCellData, 1,
   (char*)"V.SetPassCellData(int)\nC++: void SetPassCellData (int );\n\n Control whether the input cell data is to be passed to the output. If\n on, then the input cell data is passed through to the output; otherwise,\n only generated point data is placed into the output.\n"},
  {(char*)"GetPassCellData",                (PyCFunction)PyvtkCellDataToPointData_GetPassCellData, 1,
   (char*)"V.GetPassCellData() -> int\nC++: int GetPassCellData ();\n\n Control whether the input cell data is to be passed to the output. If\n on, then the input cell data is passed through to the output; otherwise,\n only generated point data is placed into the output.\n"},
  {(char*)"PassCellDataOn",                (PyCFunction)PyvtkCellDataToPointData_PassCellDataOn, 1,
   (char*)"V.PassCellDataOn()\nC++: void PassCellDataOn ();\n\n Control whether the input cell data is to be passed to the output. If\n on, then the input cell data is passed through to the output; otherwise,\n only generated point data is placed into the output.\n"},
  {(char*)"PassCellDataOff",                (PyCFunction)PyvtkCellDataToPointData_PassCellDataOff, 1,
   (char*)"V.PassCellDataOff()\nC++: void PassCellDataOff ();\n\n Control whether the input cell data is to be passed to the output. If\n on, then the input cell data is passed through to the output; otherwise,\n only generated point data is placed into the output.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCellDataToPointDataDoc[] = {
  (char*)"vtkCellDataToPointData - map cell data to point data\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkCellDataToPointData is a filter that transforms cell data (i.e., data\n specified per cell) into point data (i.e., data specified at cell\n points). The method of transformation is based on averaging the data\n values of all cells using a particular point. Optionally, the input cell\n data can be passed through to the output as well.\n\n",
  "Caveats:\n\n This filter is an abstract filter, that is, the output is an abstract type\n (i.e., vtkDataSet). Use the convenience methods (e.g.,\n vtkGetPolyDataOutput(), GetStructuredPointsOutput(), etc.) to get the type\n of output you want.\n\n",
  "See Also:\n\n vtkPointData vtkCellData vtkPointDataToCellData\n\n",
  NULL
};

static vtkObjectBase *vtkCellDataToPointDataStaticNew()
{
  return vtkCellDataToPointData::New();
}

PyObject *PyVTKClass_vtkCellDataToPointDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkCellDataToPointDataStaticNew,
                        PyvtkCellDataToPointDataMethods,
                        (char*)"vtkCellDataToPointData",modulename,
                        (char**)vtkCellDataToPointDataDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

