// python wrapper for vtkClipPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkClipPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkClipPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkClipPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkClipPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  const char    *temp20;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  vtkClipPolyData  *temp20;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkClipPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkClipPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkClipPolyData_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  double   temp0;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipPolyData::SetValue(temp0);
      }
    else
      {
      op->SetValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  double   temp20;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPolyData::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_SetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  int      temp0;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipPolyData::SetInsideOut(temp0);
      }
    else
      {
      op->SetInsideOut(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_GetInsideOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  int      temp20;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPolyData::GetInsideOut();
      }
    else
      {
      temp20 = op->GetInsideOut();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_InsideOutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipPolyData::InsideOutOn();
      }
    else
      {
      op->InsideOutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_InsideOutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipPolyData::InsideOutOff();
      }
    else
      {
      op->InsideOutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_SetClipFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkClipPolyData::SetClipFunction(temp0);
      }
    else
      {
      op->SetClipFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkClipPolyData_GetClipFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  vtkImplicitFunction  *temp20;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPolyData::GetClipFunction();
      }
    else
      {
      temp20 = op->GetClipFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_SetGenerateClipScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  int      temp0;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipPolyData::SetGenerateClipScalars(temp0);
      }
    else
      {
      op->SetGenerateClipScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_GetGenerateClipScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  int      temp20;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPolyData::GetGenerateClipScalars();
      }
    else
      {
      temp20 = op->GetGenerateClipScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_GenerateClipScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipPolyData::GenerateClipScalarsOn();
      }
    else
      {
      op->GenerateClipScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_GenerateClipScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipPolyData::GenerateClipScalarsOff();
      }
    else
      {
      op->GenerateClipScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_SetGenerateClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  int      temp0;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipPolyData::SetGenerateClippedOutput(temp0);
      }
    else
      {
      op->SetGenerateClippedOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_GetGenerateClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  int      temp20;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPolyData::GetGenerateClippedOutput();
      }
    else
      {
      temp20 = op->GetGenerateClippedOutput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_GenerateClippedOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipPolyData::GenerateClippedOutputOn();
      }
    else
      {
      op->GenerateClippedOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_GenerateClippedOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipPolyData::GenerateClippedOutputOff();
      }
    else
      {
      op->GenerateClippedOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_GetClippedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  vtkPolyData  *temp20;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPolyData::GetClippedOutput();
      }
    else
      {
      temp20 = op->GetClippedOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_GetClippedOutputPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  vtkAlgorithmOutput  *temp20;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPolyData::GetClippedOutputPort();
      }
    else
      {
      temp20 = op->GetClippedOutputPort();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkClipPolyData::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkClipPolyData_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  vtkPointLocator  *temp20;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPolyData::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkClipPolyData::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkClipPolyData_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkClipPolyData *op;

  unsigned long     temp20;
  if ((op = (vtkClipPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkClipPolyData::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkClipPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkClipPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkClipPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkClipPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkClipPolyData\nC++: vtkClipPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkClipPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkClipPolyData\nC++: vtkClipPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkClipPolyData_SetValue, 1,
   (char*)"V.SetValue(float)\nC++: void SetValue (double );\n\n Set the clipping value of the implicit function (if clipping with\n implicit function) or scalar value (if clipping with\n scalars). The default value is 0.0. \n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkClipPolyData_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: double GetValue ();\n\n Set the clipping value of the implicit function (if clipping with\n implicit function) or scalar value (if clipping with\n scalars). The default value is 0.0. \n"},
  {(char*)"SetInsideOut",                (PyCFunction)PyvtkClipPolyData_SetInsideOut, 1,
   (char*)"V.SetInsideOut(int)\nC++: void SetInsideOut (int );\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"GetInsideOut",                (PyCFunction)PyvtkClipPolyData_GetInsideOut, 1,
   (char*)"V.GetInsideOut() -> int\nC++: int GetInsideOut ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"InsideOutOn",                (PyCFunction)PyvtkClipPolyData_InsideOutOn, 1,
   (char*)"V.InsideOutOn()\nC++: void InsideOutOn ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"InsideOutOff",                (PyCFunction)PyvtkClipPolyData_InsideOutOff, 1,
   (char*)"V.InsideOutOff()\nC++: void InsideOutOff ();\n\n Set/Get the InsideOut flag. When off, a vertex is considered\n inside the implicit function if its value is greater than the\n Value ivar. When InsideOutside is turned on, a vertex is\n considered inside the implicit function if its implicit function\n value is less than or equal to the Value ivar.  InsideOut is off\n by default.\n"},
  {(char*)"SetClipFunction",                (PyCFunction)PyvtkClipPolyData_SetClipFunction, 1,
   (char*)"V.SetClipFunction(vtkImplicitFunction)\nC++: virtual void SetClipFunction (vtkImplicitFunction *);\n\n"},
  {(char*)"GetClipFunction",                (PyCFunction)PyvtkClipPolyData_GetClipFunction, 1,
   (char*)"V.GetClipFunction() -> vtkImplicitFunction\nC++: vtkImplicitFunction *GetClipFunction ();\n\n"},
  {(char*)"SetGenerateClipScalars",                (PyCFunction)PyvtkClipPolyData_SetGenerateClipScalars, 1,
   (char*)"V.SetGenerateClipScalars(int)\nC++: void SetGenerateClipScalars (int );\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GetGenerateClipScalars",                (PyCFunction)PyvtkClipPolyData_GetGenerateClipScalars, 1,
   (char*)"V.GetGenerateClipScalars() -> int\nC++: int GetGenerateClipScalars ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GenerateClipScalarsOn",                (PyCFunction)PyvtkClipPolyData_GenerateClipScalarsOn, 1,
   (char*)"V.GenerateClipScalarsOn()\nC++: void GenerateClipScalarsOn ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"GenerateClipScalarsOff",                (PyCFunction)PyvtkClipPolyData_GenerateClipScalarsOff, 1,
   (char*)"V.GenerateClipScalarsOff()\nC++: void GenerateClipScalarsOff ();\n\n If this flag is enabled, then the output scalar values will be \n interpolated from the implicit function values, and not the \n input scalar data. If you enable this flag but do not provide an\n implicit function an error will be reported.\n"},
  {(char*)"SetGenerateClippedOutput",                (PyCFunction)PyvtkClipPolyData_SetGenerateClippedOutput, 1,
   (char*)"V.SetGenerateClippedOutput(int)\nC++: void SetGenerateClippedOutput (int );\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GetGenerateClippedOutput",                (PyCFunction)PyvtkClipPolyData_GetGenerateClippedOutput, 1,
   (char*)"V.GetGenerateClippedOutput() -> int\nC++: int GetGenerateClippedOutput ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GenerateClippedOutputOn",                (PyCFunction)PyvtkClipPolyData_GenerateClippedOutputOn, 1,
   (char*)"V.GenerateClippedOutputOn()\nC++: void GenerateClippedOutputOn ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GenerateClippedOutputOff",                (PyCFunction)PyvtkClipPolyData_GenerateClippedOutputOff, 1,
   (char*)"V.GenerateClippedOutputOff()\nC++: void GenerateClippedOutputOff ();\n\n Control whether a second output is generated. The second output\n contains the polygonal data that's been clipped away.\n"},
  {(char*)"GetClippedOutput",                (PyCFunction)PyvtkClipPolyData_GetClippedOutput, 1,
   (char*)"V.GetClippedOutput() -> vtkPolyData\nC++: vtkPolyData *GetClippedOutput ();\n\n Return the Clipped output.\n"},
  {(char*)"GetClippedOutputPort",                (PyCFunction)PyvtkClipPolyData_GetClippedOutputPort, 1,
   (char*)"V.GetClippedOutputPort() -> vtkAlgorithmOutput\nC++: vtkAlgorithmOutput *GetClippedOutputPort ();return this GetOutputPort \n\n Specify a spatial locator for merging points. By default, an\n instance of vtkMergePoints is used.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkClipPolyData_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Specify a spatial locator for merging points. By default, an\n instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkClipPolyData_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Specify a spatial locator for merging points. By default, an\n instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkClipPolyData_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified. The \n locator is used to merge coincident points.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkClipPolyData_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the mtime also considering the locator and clip function.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkClipPolyDataDoc[] = {
  (char*)"vtkClipPolyData - clip polygonal data with user-specified implicit function or input scalar data\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkClipPolyData is a filter that clips polygonal data using either\n any subclass of vtkImplicitFunction, or the input scalar\n data. Clipping means that it actually \"cuts\" through the cells of\n the dataset, returning everything inside of the specified implicit\n function (or greater than the scalar value) including \"pieces\" of\n a cell. (Compare this with vtkExtractGeometry, which pulls out\n entire,",
  (char*)" uncut cells.) The output of this filter is polygonal data.\n\n To use this filter, you must decide if you will be clipping with an\n implicit function, or whether you will be using the input scalar\n data.  If you want to clip with an implicit function, you must:\n 1) define an implicit function\n 2) set it with the SetClipFunction method\n 3) apply the GenerateClipScalarsOn method\n If a ClipFunction is",
  (char*)" not specified, or GenerateClipScalars is off\n (the default), then the input's scalar data will be used to clip\n the polydata.\n\n You can also specify a scalar value, which is used to\n decide what is inside and outside of the implicit function. You can\n also reverse the sense of what inside/outside is by setting the\n InsideOut instance variable. (The cutting algorithm proceeds by\n computing an impl",
  (char*)"icit function value or using the input scalar data\n for each point in the dataset. This is compared to the scalar value\n to determine inside/outside.)\n\n This filter can be configured to compute a second output. The\n second output is the polygonal data that is clipped away. Set the\n GenerateClippedData boolean on if you wish to access this output data.\n\n",
  "Caveats:\n\n In order to cut all types of cells in polygonal data, vtkClipPolyData\n triangulates some cells, and then cuts the resulting simplices\n (i.e., points, lines, and triangles). This means that the resulting \n output may consist of different cell types than the input data.\n\n",
  "See Also:\n\n vtkImplicitFunction vtkCutter vtkClipVolume\n\n",
  NULL
};

static vtkObjectBase *vtkClipPolyDataStaticNew()
{
  return vtkClipPolyData::New();
}

PyObject *PyVTKClass_vtkClipPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkClipPolyDataStaticNew,
                        PyvtkClipPolyDataMethods,
                        (char*)"vtkClipPolyData",modulename,
                        (char**)vtkClipPolyDataDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

