// python wrapper for vtkConeSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkConeSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkConeSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkConeSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkConeSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  const char    *temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  vtkConeSource  *temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkConeSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkConeSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkConeSource_SetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double   temp0;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeSource::SetHeight(temp0);
      }
    else
      {
      op->SetHeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_GetHeightMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double   temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::GetHeightMinValue();
      }
    else
      {
      temp20 = op->GetHeightMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_GetHeightMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double   temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::GetHeightMaxValue();
      }
    else
      {
      temp20 = op->GetHeightMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_GetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double   temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::GetHeight();
      }
    else
      {
      temp20 = op->GetHeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double   temp0;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeSource::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_GetRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double   temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::GetRadiusMinValue();
      }
    else
      {
      temp20 = op->GetRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_GetRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double   temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::GetRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double   temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_SetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  int      temp0;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeSource::SetResolution(temp0);
      }
    else
      {
      op->SetResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_GetResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  int      temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::GetResolutionMinValue();
      }
    else
      {
      temp20 = op->GetResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_GetResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  int      temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::GetResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_GetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  int      temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::GetResolution();
      }
    else
      {
      temp20 = op->GetResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeSource::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeSource::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double  *temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_SetDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeSource::SetDirection(temp0,temp1,temp2);
      }
    else
      {
      op->SetDirection(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeSource::SetDirection(temp0);
      }
    else
      {
      op->SetDirection(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_GetDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double  *temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::GetDirection();
      }
    else
      {
      temp20 = op->GetDirection();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_SetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double   temp0;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeSource::SetAngle(temp0);
      }
    else
      {
      op->SetAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_GetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  double   temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::GetAngle();
      }
    else
      {
      temp20 = op->GetAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_SetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  int      temp0;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeSource::SetCapping(temp0);
      }
    else
      {
      op->SetCapping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_GetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  int      temp20;
  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkConeSource::GetCapping();
      }
    else
      {
      temp20 = op->GetCapping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_CappingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeSource::CappingOn();
      }
    else
      {
      op->CappingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkConeSource_CappingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkConeSource *op;

  if ((op = (vtkConeSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkConeSource::CappingOff();
      }
    else
      {
      op->CappingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkConeSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkConeSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkConeSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkConeSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkConeSource\nC++: vtkConeSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkConeSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkConeSource\nC++: vtkConeSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetHeight",                (PyCFunction)PyvtkConeSource_SetHeight, 1,
   (char*)"V.SetHeight(float)\nC++: void SetHeight (double );\n\n Set the height of the cone. This is the height along the cone in\n its specified direction.\n"},
  {(char*)"GetHeightMinValue",                (PyCFunction)PyvtkConeSource_GetHeightMinValue, 1,
   (char*)"V.GetHeightMinValue() -> float\nC++: double GetHeightMinValue ();\n\n Set the height of the cone. This is the height along the cone in\n its specified direction.\n"},
  {(char*)"GetHeightMaxValue",                (PyCFunction)PyvtkConeSource_GetHeightMaxValue, 1,
   (char*)"V.GetHeightMaxValue() -> float\nC++: double GetHeightMaxValue ();\n\n Set the height of the cone. This is the height along the cone in\n its specified direction.\n"},
  {(char*)"GetHeight",                (PyCFunction)PyvtkConeSource_GetHeight, 1,
   (char*)"V.GetHeight() -> float\nC++: double GetHeight ();\n\n Set the height of the cone. This is the height along the cone in\n its specified direction.\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkConeSource_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Set the base radius of the cone.\n"},
  {(char*)"GetRadiusMinValue",                (PyCFunction)PyvtkConeSource_GetRadiusMinValue, 1,
   (char*)"V.GetRadiusMinValue() -> float\nC++: double GetRadiusMinValue ();\n\n Set the base radius of the cone.\n"},
  {(char*)"GetRadiusMaxValue",                (PyCFunction)PyvtkConeSource_GetRadiusMaxValue, 1,
   (char*)"V.GetRadiusMaxValue() -> float\nC++: double GetRadiusMaxValue ();\n\n Set the base radius of the cone.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkConeSource_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Set the base radius of the cone.\n"},
  {(char*)"SetResolution",                (PyCFunction)PyvtkConeSource_SetResolution, 1,
   (char*)"V.SetResolution(int)\nC++: void SetResolution (int );\n\n Set the number of facets used to represent the cone.\n"},
  {(char*)"GetResolutionMinValue",                (PyCFunction)PyvtkConeSource_GetResolutionMinValue, 1,
   (char*)"V.GetResolutionMinValue() -> int\nC++: int GetResolutionMinValue ();\n\n Set the number of facets used to represent the cone.\n"},
  {(char*)"GetResolutionMaxValue",                (PyCFunction)PyvtkConeSource_GetResolutionMaxValue, 1,
   (char*)"V.GetResolutionMaxValue() -> int\nC++: int GetResolutionMaxValue ();\n\n Set the number of facets used to represent the cone.\n"},
  {(char*)"GetResolution",                (PyCFunction)PyvtkConeSource_GetResolution, 1,
   (char*)"V.GetResolution() -> int\nC++: int GetResolution ();\n\n Set the number of facets used to represent the cone.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkConeSource_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set the center of the cone. The default is 0,0,0.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkConeSource_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set the center of the cone. The default is 0,0,0.\n"},
  {(char*)"SetDirection",                (PyCFunction)PyvtkConeSource_SetDirection, 1,
   (char*)"V.SetDirection(float, float, float)\nC++: void SetDirection (double , double , double );\nV.SetDirection((float, float, float))\nC++: void SetDirection (double  a[3]);\n\n Set the orientation vector of the cone. The vector does not have\n to be normalized. The cone will point in the Direction specified.\n The default is (1,0,0).\n"},
  {(char*)"GetDirection",                (PyCFunction)PyvtkConeSource_GetDirection, 1,
   (char*)"V.GetDirection() -> (float, float, float)\nC++: double  *GetDirection ();\n\n Set the orientation vector of the cone. The vector does not have\n to be normalized. The cone will point in the Direction specified.\n The default is (1,0,0).\n"},
  {(char*)"SetAngle",                (PyCFunction)PyvtkConeSource_SetAngle, 1,
   (char*)"V.SetAngle(float)\nC++: void SetAngle (double angle);\n\n Set the angle of the cone. As a side effect, the angle plus height sets \n the base radius of the cone.\n"},
  {(char*)"GetAngle",                (PyCFunction)PyvtkConeSource_GetAngle, 1,
   (char*)"V.GetAngle() -> float\nC++: double GetAngle ();\n\n Set the angle of the cone. As a side effect, the angle plus height sets \n the base radius of the cone.\n"},
  {(char*)"SetCapping",                (PyCFunction)PyvtkConeSource_SetCapping, 1,
   (char*)"V.SetCapping(int)\nC++: void SetCapping (int );\n\n Turn on/off whether to cap the base of the cone with a polygon.\n"},
  {(char*)"GetCapping",                (PyCFunction)PyvtkConeSource_GetCapping, 1,
   (char*)"V.GetCapping() -> int\nC++: int GetCapping ();\n\n Turn on/off whether to cap the base of the cone with a polygon.\n"},
  {(char*)"CappingOn",                (PyCFunction)PyvtkConeSource_CappingOn, 1,
   (char*)"V.CappingOn()\nC++: void CappingOn ();\n\n Turn on/off whether to cap the base of the cone with a polygon.\n"},
  {(char*)"CappingOff",                (PyCFunction)PyvtkConeSource_CappingOff, 1,
   (char*)"V.CappingOff()\nC++: void CappingOff ();\n\n Turn on/off whether to cap the base of the cone with a polygon.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkConeSourceDoc[] = {
  (char*)"vtkConeSource - generate polygonal cone \n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkConeSource creates a cone centered at a specified point and pointing in\n a specified direction. (By default, the center is the origin and the\n direction is the x-axis.) Depending upon the resolution of this object,\n different representations are created. If resolution=0 a line is created;\n if resolution=1, a single triangle is created; if resolution=2, two\n crossed triangles are created. For r",
  (char*)"esolution > 2, a 3D cone (with\n resolution number of sides) is created. It also is possible to control\n whether the bottom of the cone is capped with a (resolution-sided)\n polygon, and to specify the height and radius of the cone.\n\n",
  NULL
};

static vtkObjectBase *vtkConeSourceStaticNew()
{
  return vtkConeSource::New();
}

PyObject *PyVTKClass_vtkConeSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkConeSourceStaticNew,
                        PyvtkConeSourceMethods,
                        (char*)"vtkConeSource",modulename,
                        (char**)vtkConeSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

