// tcl wrapper for vtkConnectivityFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkConnectivityFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkConnectivityFilterNewCommand()
{
  vtkConnectivityFilter *temp = vtkConnectivityFilter::New();
  return ((ClientData)temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkConnectivityFilterCppCommand(vtkConnectivityFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkConnectivityFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkConnectivityFilterCppCommand((vtkConnectivityFilter *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkConnectivityFilterCppCommand(vtkConnectivityFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkConnectivityFilter",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand((vtkUnstructuredGridAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkUnstructuredGridAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkConnectivityFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkConnectivityFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkConnectivityFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkConnectivityFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkConnectivityFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkConnectivityFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetScalarConnectivity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarConnectivity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarConnectivity",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarConnectivity();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalarConnectivityOn",argv[1]))&&(argc == 2))
    {
    op->ScalarConnectivityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarConnectivityOff",argv[1]))&&(argc == 2))
    {
    op->ScalarConnectivityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetScalarRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetScalarRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetScalarRange();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractionMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExtractionMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtractionModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractionModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExtractionModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractionModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExtractionMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractionMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractionModeToPointSeededRegions",argv[1]))&&(argc == 2))
    {
    op->SetExtractionModeToPointSeededRegions();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractionModeToCellSeededRegions",argv[1]))&&(argc == 2))
    {
    op->SetExtractionModeToCellSeededRegions();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractionModeToLargestRegion",argv[1]))&&(argc == 2))
    {
    op->SetExtractionModeToLargestRegion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractionModeToSpecifiedRegions",argv[1]))&&(argc == 2))
    {
    op->SetExtractionModeToSpecifiedRegions();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractionModeToClosestPointRegion",argv[1]))&&(argc == 2))
    {
    op->SetExtractionModeToClosestPointRegion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractionModeToAllRegions",argv[1]))&&(argc == 2))
    {
    op->SetExtractionModeToAllRegions();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetExtractionModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetExtractionModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("InitializeSeedList",argv[1]))&&(argc == 2))
    {
    op->InitializeSeedList();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddSeed",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->AddSeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeleteSeed",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DeleteSeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitializeSpecifiedRegionList",argv[1]))&&(argc == 2))
    {
    op->InitializeSpecifiedRegionList();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddSpecifiedRegion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->AddSpecifiedRegion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeleteSpecifiedRegion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DeleteSpecifiedRegion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClosestPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetClosestPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClosestPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetClosestPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClosestPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetClosestPoint();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfExtractedRegions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfExtractedRegions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorRegions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorRegions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorRegions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorRegions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorRegionsOn",argv[1]))&&(argc == 2))
    {
    op->ColorRegionsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorRegionsOff",argv[1]))&&(argc == 2))
    {
    op->ColorRegionsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkConnectivityFilterCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkConnectivityFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarConnectivity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarConnectivity\n",NULL);
    Tcl_AppendResult(interp,"  ScalarConnectivityOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalarConnectivityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarRange\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractionMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractionModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractionModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractionMode\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractionModeToPointSeededRegions\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractionModeToCellSeededRegions\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractionModeToLargestRegion\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractionModeToSpecifiedRegions\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractionModeToClosestPointRegion\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractionModeToAllRegions\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractionModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  InitializeSeedList\n",NULL);
    Tcl_AppendResult(interp,"  AddSeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeleteSeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InitializeSpecifiedRegionList\n",NULL);
    Tcl_AppendResult(interp,"  AddSpecifiedRegion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeleteSpecifiedRegion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetClosestPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetClosestPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetClosestPoint\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfExtractedRegions\n",NULL);
    Tcl_AppendResult(interp,"  SetColorRegions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorRegions\n",NULL);
    Tcl_AppendResult(interp,"  ColorRegionsOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorRegionsOff\n",NULL);
    return TCL_OK;
    }

  if (vtkUnstructuredGridAlgorithmCppCommand((vtkUnstructuredGridAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
