// python wrapper for vtkCutter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCutter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCutterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCutterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkCutter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  const char    *temp20;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  vtkCutter  *temp20;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCutter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCutter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCutter_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  int      temp0;
  double   temp1;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutter::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  int      temp0;
  double   temp20;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutter::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_SetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  int      temp0;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutter::SetNumberOfContours(temp0);
      }
    else
      {
      op->SetNumberOfContours(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_GetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  int      temp20;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutter::GetNumberOfContours();
      }
    else
      {
      temp20 = op->GetNumberOfContours();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_GenerateValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  int      temp0;
  double temp1[2];
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutter::GenerateValues(temp0,temp1);
      }
    else
      {
      op->GenerateValues(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCutter *op;

  int      temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutter::GenerateValues(temp0,temp1,temp2);
      }
    else
      {
      op->GenerateValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  unsigned long     temp20;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_SetCutFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  vtkImplicitFunction  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImplicitFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImplicitFunction");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkCutter::SetCutFunction(temp0);
      }
    else
      {
      op->SetCutFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkCutter_GetCutFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  vtkImplicitFunction  *temp20;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutter::GetCutFunction();
      }
    else
      {
      temp20 = op->GetCutFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_SetGenerateCutScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  int      temp0;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutter::SetGenerateCutScalars(temp0);
      }
    else
      {
      op->SetGenerateCutScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_GetGenerateCutScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  int      temp20;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutter::GetGenerateCutScalars();
      }
    else
      {
      temp20 = op->GetGenerateCutScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_GenerateCutScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutter::GenerateCutScalarsOn();
      }
    else
      {
      op->GenerateCutScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_GenerateCutScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutter::GenerateCutScalarsOff();
      }
    else
      {
      op->GenerateCutScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkCutter::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkCutter_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  vtkPointLocator  *temp20;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutter::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_SetSortBy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  int      temp0;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutter::SetSortBy(temp0);
      }
    else
      {
      op->SetSortBy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_GetSortByMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  int      temp20;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutter::GetSortByMinValue();
      }
    else
      {
      temp20 = op->GetSortByMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_GetSortByMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  int      temp20;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutter::GetSortByMaxValue();
      }
    else
      {
      temp20 = op->GetSortByMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_GetSortBy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  int      temp20;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutter::GetSortBy();
      }
    else
      {
      temp20 = op->GetSortBy();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_SetSortByToSortByValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutter::SetSortByToSortByValue();
      }
    else
      {
      op->SetSortByToSortByValue();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_SetSortByToSortByCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutter::SetSortByToSortByCell();
      }
    else
      {
      op->SetSortByToSortByCell();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_GetSortByAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  const char    *temp20;
  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutter::GetSortByAsString();
      }
    else
      {
      temp20 = op->GetSortByAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCutter_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutter *op;

  if ((op = (vtkCutter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutter::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCutterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCutter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCutter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCutter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCutter\nC++: vtkCutter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCutter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCutter\nC++: vtkCutter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkCutter_SetValue, 1,
   (char*)"V.SetValue(int, float)\nC++: void SetValue (int i, double value);this ContourValues SetValue i value \n\n Get the ith contour value.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkCutter_GetValue, 1,
   (char*)"V.GetValue(int) -> float\nC++: double GetValue (int i);return this ContourValues GetValue i \n\n Get a pointer to an array of contour values. There will be\n GetNumberOfContours() values in the list.\n"},
  {(char*)"SetNumberOfContours",                (PyCFunction)PyvtkCutter_SetNumberOfContours, 1,
   (char*)"V.SetNumberOfContours(int)\nC++: void SetNumberOfContours (int number);this ContourValues SetNumberOfContours number \n\n Get the number of contours in the list of contour values.\n"},
  {(char*)"GetNumberOfContours",                (PyCFunction)PyvtkCutter_GetNumberOfContours, 1,
   (char*)"V.GetNumberOfContours() -> int\nC++: int GetNumberOfContours ();return this ContourValues GetNumberOfContours \n\n Generate numContours equally spaced contour values between specified\n range. Contour values will include min/max range values.\n"},
  {(char*)"GenerateValues",                (PyCFunction)PyvtkCutter_GenerateValues, 1,
   (char*)"V.GenerateValues(int, (float, float))\nC++: void GenerateValues (int numContours, double range[2]);this ContourValues GenerateValues numContours range \nV.GenerateValues(int, float, float)\nC++: void GenerateValues (int numContours, double rangeStart, double rangeEnd);this ContourValues GenerateValues numContours rangeStart rangeEnd \n\n Generate numContours equally spaced contour values between specified\n range. Contour values will include min/max range values.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkCutter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override GetMTime because we delegate to vtkContourValues and refer to\n vtkImplicitFunction.\n"},
  {(char*)"SetCutFunction",                (PyCFunction)PyvtkCutter_SetCutFunction, 1,
   (char*)"V.SetCutFunction(vtkImplicitFunction)\nC++: virtual void SetCutFunction (vtkImplicitFunction *);\n\n"},
  {(char*)"GetCutFunction",                (PyCFunction)PyvtkCutter_GetCutFunction, 1,
   (char*)"V.GetCutFunction() -> vtkImplicitFunction\nC++: vtkImplicitFunction *GetCutFunction ();\n\n"},
  {(char*)"SetGenerateCutScalars",                (PyCFunction)PyvtkCutter_SetGenerateCutScalars, 1,
   (char*)"V.SetGenerateCutScalars(int)\nC++: void SetGenerateCutScalars (int );\n\n If this flag is enabled, then the output scalar values will be\n interpolated from the implicit function values, and not the input scalar\n data.\n"},
  {(char*)"GetGenerateCutScalars",                (PyCFunction)PyvtkCutter_GetGenerateCutScalars, 1,
   (char*)"V.GetGenerateCutScalars() -> int\nC++: int GetGenerateCutScalars ();\n\n If this flag is enabled, then the output scalar values will be\n interpolated from the implicit function values, and not the input scalar\n data.\n"},
  {(char*)"GenerateCutScalarsOn",                (PyCFunction)PyvtkCutter_GenerateCutScalarsOn, 1,
   (char*)"V.GenerateCutScalarsOn()\nC++: void GenerateCutScalarsOn ();\n\n If this flag is enabled, then the output scalar values will be\n interpolated from the implicit function values, and not the input scalar\n data.\n"},
  {(char*)"GenerateCutScalarsOff",                (PyCFunction)PyvtkCutter_GenerateCutScalarsOff, 1,
   (char*)"V.GenerateCutScalarsOff()\nC++: void GenerateCutScalarsOff ();\n\n If this flag is enabled, then the output scalar values will be\n interpolated from the implicit function values, and not the input scalar\n data.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkCutter_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Specify a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkCutter_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Specify a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"SetSortBy",                (PyCFunction)PyvtkCutter_SetSortBy, 1,
   (char*)"V.SetSortBy(int)\nC++: void SetSortBy (int );\n\n Set the sorting order for the generated polydata. There are two\n possibilities:\n   Sort by value = 0 - This is the most efficient sort. For each cell,\n      all contour values are processed. This is the default.\n   Sort by cell = 1 - For each contour value, all cells are processed.\n      This order should be used if the extracted polygons must be rendered\n      in a back-to-front or front-to-back order. This is very problem \n      dependent.\n For most applications, the default order is fine (and faster).\n\n Sort by cell is going to have a problem if the input has 2D and 3D cells.\n Cell data will be scrambled becauses with \n vtkPolyData output, verts and lines have lower cell ids than triangles.\n"},
  {(char*)"GetSortByMinValue",                (PyCFunction)PyvtkCutter_GetSortByMinValue, 1,
   (char*)"V.GetSortByMinValue() -> int\nC++: int GetSortByMinValue ();\n\n Set the sorting order for the generated polydata. There are two\n possibilities:\n   Sort by value = 0 - This is the most efficient sort. For each cell,\n      all contour values are processed. This is the default.\n   Sort by cell = 1 - For each contour value, all cells are processed.\n      This order should be used if the extracted polygons must be rendered\n      in a back-to-front or front-to-back order. This is very problem \n      dependent.\n For most applications, the default order is fine (and faster).\n\n Sort by cell is going to have a problem if the input has 2D and 3D cells.\n Cell data will be scrambled becauses with \n vtkPolyData output, verts and lines have lower cell ids than triangles.\n"},
  {(char*)"GetSortByMaxValue",                (PyCFunction)PyvtkCutter_GetSortByMaxValue, 1,
   (char*)"V.GetSortByMaxValue() -> int\nC++: int GetSortByMaxValue ();\n\n Set the sorting order for the generated polydata. There are two\n possibilities:\n   Sort by value = 0 - This is the most efficient sort. For each cell,\n      all contour values are processed. This is the default.\n   Sort by cell = 1 - For each contour value, all cells are processed.\n      This order should be used if the extracted polygons must be rendered\n      in a back-to-front or front-to-back order. This is very problem \n      dependent.\n For most applications, the default order is fine (and faster).\n\n Sort by cell is going to have a problem if the input has 2D and 3D cells.\n Cell data will be scrambled becauses with \n vtkPolyData output, verts and lines have lower cell ids than triangles.\n"},
  {(char*)"GetSortBy",                (PyCFunction)PyvtkCutter_GetSortBy, 1,
   (char*)"V.GetSortBy() -> int\nC++: int GetSortBy ();\n\n Set the sorting order for the generated polydata. There are two\n possibilities:\n   Sort by value = 0 - This is the most efficient sort. For each cell,\n      all contour values are processed. This is the default.\n   Sort by cell = 1 - For each contour value, all cells are processed.\n      This order should be used if the extracted polygons must be rendered\n      in a back-to-front or front-to-back order. This is very problem \n      dependent.\n For most applications, the default order is fine (and faster).\n\n Sort by cell is going to have a problem if the input has 2D and 3D cells.\n Cell data will be scrambled becauses with \n vtkPolyData output, verts and lines have lower cell ids than triangles.\n"},
  {(char*)"SetSortByToSortByValue",                (PyCFunction)PyvtkCutter_SetSortByToSortByValue, 1,
   (char*)"V.SetSortByToSortByValue()\nC++: void SetSortByToSortByValue ();this SetSortBy VTK_SORT_BY_VALUE \n\n Set the sorting order for the generated polydata. There are two\n possibilities:\n   Sort by value = 0 - This is the most efficient sort. For each cell,\n      all contour values are processed. This is the default.\n   Sort by cell = 1 - For each contour value, all cells are processed.\n      This order should be used if the extracted polygons must be rendered\n      in a back-to-front or front-to-back order. This is very problem \n      dependent.\n For most applications, the default order is fine (and faster).\n\n Sort by cell is going to have a problem if the input has 2D and 3D cells.\n Cell data will be scrambled becauses with \n vtkPolyData output, verts and lines have lower cell ids than triangles.\n"},
  {(char*)"SetSortByToSortByCell",                (PyCFunction)PyvtkCutter_SetSortByToSortByCell, 1,
   (char*)"V.SetSortByToSortByCell()\nC++: void SetSortByToSortByCell ();this SetSortBy VTK_SORT_BY_CELL \n\n Set the sorting order for the generated polydata. There are two\n possibilities:\n   Sort by value = 0 - This is the most efficient sort. For each cell,\n      all contour values are processed. This is the default.\n   Sort by cell = 1 - For each contour value, all cells are processed.\n      This order should be used if the extracted polygons must be rendered\n      in a back-to-front or front-to-back order. This is very problem \n      dependent.\n For most applications, the default order is fine (and faster).\n\n Sort by cell is going to have a problem if the input has 2D and 3D cells.\n Cell data will be scrambled becauses with \n vtkPolyData output, verts and lines have lower cell ids than triangles.\n"},
  {(char*)"GetSortByAsString",                (PyCFunction)PyvtkCutter_GetSortByAsString, 1,
   (char*)"V.GetSortByAsString() -> string\nC++: const char *GetSortByAsString ();\n\n Set the sorting order for the generated polydata. There are two\n possibilities:\n   Sort by value = 0 - This is the most efficient sort. For each cell,\n      all contour values are processed. This is the default.\n   Sort by cell = 1 - For each contour value, all cells are processed.\n      This order should be used if the extracted polygons must be rendered\n      in a back-to-front or front-to-back order. This is very problem \n      dependent.\n For most applications, the default order is fine (and faster).\n\n Sort by cell is going to have a problem if the input has 2D and 3D cells.\n Cell data will be scrambled becauses with \n vtkPolyData output, verts and lines have lower cell ids than triangles.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkCutter_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified. The \n locator is used to merge coincident points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCutterDoc[] = {
  (char*)"vtkCutter - Cut vtkDataSet with user-specified implicit function\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkCutter is a filter to cut through data using any subclass of \n vtkImplicitFunction. That is, a polygonal surface is created\n corresponding to the implicit function F(x,y,z) = value(s), where\n you can specify one or more values used to cut with.\n\n In VTK, cutting means reducing a cell of dimension N to a cut surface\n of dimension N-1. For example, a tetrahedron when cut by a plane (i.e.,\n vtkPl",
  (char*)"ane implicit function) will generate triangles. (In comparison,\n clipping takes a N dimensional cell and creates N dimension primitives.)\n\n vtkCutter is generally used to \"slice-through\" a dataset, generating\n a surface that can be visualized. It is also possible to use vtkCutter\n to do a form of volume rendering. vtkCutter does this by generating\n multiple cut surfaces (usually planes) which are ",
  (char*)"ordered (and rendered)\n from back-to-front. The surfaces are set translucent to give a \n volumetric rendering effect.\n\n Note that data can be cut using either 1) the scalar values associated\n with the dataset or 2) an implicit function associated with this class.\n By default, if an implicit function is set it is used to clip the data\n set, otherwise the dataset scalars are used to perform the clip",
  (char*)"ping.\n\n",
  "See Also:\n\n vtkImplicitFunction vtkClipPolyData\n\n",
  NULL
};

static vtkObjectBase *vtkCutterStaticNew()
{
  return vtkCutter::New();
}

PyObject *PyVTKClass_vtkCutterNew(char *modulename)
{
  return PyVTKClass_New(&vtkCutterStaticNew,
                        PyvtkCutterMethods,
                        (char*)"vtkCutter",modulename,
                        (char**)vtkCutterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

