// python wrapper for vtkCylinderSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCylinderSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCylinderSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCylinderSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkCylinderSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  const char    *temp20;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinderSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinderSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  vtkCylinderSource  *temp20;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinderSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCylinderSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCylinderSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCylinderSource_SetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  double   temp0;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCylinderSource::SetHeight(temp0);
      }
    else
      {
      op->SetHeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_GetHeightMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  double   temp20;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinderSource::GetHeightMinValue();
      }
    else
      {
      temp20 = op->GetHeightMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_GetHeightMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  double   temp20;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinderSource::GetHeightMaxValue();
      }
    else
      {
      temp20 = op->GetHeightMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_GetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  double   temp20;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinderSource::GetHeight();
      }
    else
      {
      temp20 = op->GetHeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  double   temp0;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCylinderSource::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_GetRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  double   temp20;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinderSource::GetRadiusMinValue();
      }
    else
      {
      temp20 = op->GetRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_GetRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  double   temp20;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinderSource::GetRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  double   temp20;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinderSource::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCylinderSource::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCylinderSource::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  double  *temp20;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinderSource::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_SetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  int      temp0;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCylinderSource::SetResolution(temp0);
      }
    else
      {
      op->SetResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_GetResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  int      temp20;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinderSource::GetResolutionMinValue();
      }
    else
      {
      temp20 = op->GetResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_GetResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  int      temp20;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinderSource::GetResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_GetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  int      temp20;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinderSource::GetResolution();
      }
    else
      {
      temp20 = op->GetResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_SetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  int      temp0;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCylinderSource::SetCapping(temp0);
      }
    else
      {
      op->SetCapping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_GetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  int      temp20;
  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCylinderSource::GetCapping();
      }
    else
      {
      temp20 = op->GetCapping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_CappingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCylinderSource::CappingOn();
      }
    else
      {
      op->CappingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCylinderSource_CappingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCylinderSource *op;

  if ((op = (vtkCylinderSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCylinderSource::CappingOff();
      }
    else
      {
      op->CappingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCylinderSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCylinderSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCylinderSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCylinderSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCylinderSource\nC++: vtkCylinderSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCylinderSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCylinderSource\nC++: vtkCylinderSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetHeight",                (PyCFunction)PyvtkCylinderSource_SetHeight, 1,
   (char*)"V.SetHeight(float)\nC++: void SetHeight (double );\n\n Set the height of the cylinder.\n"},
  {(char*)"GetHeightMinValue",                (PyCFunction)PyvtkCylinderSource_GetHeightMinValue, 1,
   (char*)"V.GetHeightMinValue() -> float\nC++: double GetHeightMinValue ();\n\n Set the height of the cylinder.\n"},
  {(char*)"GetHeightMaxValue",                (PyCFunction)PyvtkCylinderSource_GetHeightMaxValue, 1,
   (char*)"V.GetHeightMaxValue() -> float\nC++: double GetHeightMaxValue ();\n\n Set the height of the cylinder.\n"},
  {(char*)"GetHeight",                (PyCFunction)PyvtkCylinderSource_GetHeight, 1,
   (char*)"V.GetHeight() -> float\nC++: double GetHeight ();\n\n Set the height of the cylinder.\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkCylinderSource_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Set the radius of the cylinder.\n"},
  {(char*)"GetRadiusMinValue",                (PyCFunction)PyvtkCylinderSource_GetRadiusMinValue, 1,
   (char*)"V.GetRadiusMinValue() -> float\nC++: double GetRadiusMinValue ();\n\n Set the radius of the cylinder.\n"},
  {(char*)"GetRadiusMaxValue",                (PyCFunction)PyvtkCylinderSource_GetRadiusMaxValue, 1,
   (char*)"V.GetRadiusMaxValue() -> float\nC++: double GetRadiusMaxValue ();\n\n Set the radius of the cylinder.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkCylinderSource_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Set the radius of the cylinder.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkCylinderSource_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set/Get cylinder center\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkCylinderSource_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set/Get cylinder center\n"},
  {(char*)"SetResolution",                (PyCFunction)PyvtkCylinderSource_SetResolution, 1,
   (char*)"V.SetResolution(int)\nC++: void SetResolution (int );\n\n Set the number of facets used to define cylinder.\n"},
  {(char*)"GetResolutionMinValue",                (PyCFunction)PyvtkCylinderSource_GetResolutionMinValue, 1,
   (char*)"V.GetResolutionMinValue() -> int\nC++: int GetResolutionMinValue ();\n\n Set the number of facets used to define cylinder.\n"},
  {(char*)"GetResolutionMaxValue",                (PyCFunction)PyvtkCylinderSource_GetResolutionMaxValue, 1,
   (char*)"V.GetResolutionMaxValue() -> int\nC++: int GetResolutionMaxValue ();\n\n Set the number of facets used to define cylinder.\n"},
  {(char*)"GetResolution",                (PyCFunction)PyvtkCylinderSource_GetResolution, 1,
   (char*)"V.GetResolution() -> int\nC++: int GetResolution ();\n\n Set the number of facets used to define cylinder.\n"},
  {(char*)"SetCapping",                (PyCFunction)PyvtkCylinderSource_SetCapping, 1,
   (char*)"V.SetCapping(int)\nC++: void SetCapping (int );\n\n Turn on/off whether to cap cylinder with polygons.\n"},
  {(char*)"GetCapping",                (PyCFunction)PyvtkCylinderSource_GetCapping, 1,
   (char*)"V.GetCapping() -> int\nC++: int GetCapping ();\n\n Turn on/off whether to cap cylinder with polygons.\n"},
  {(char*)"CappingOn",                (PyCFunction)PyvtkCylinderSource_CappingOn, 1,
   (char*)"V.CappingOn()\nC++: void CappingOn ();\n\n Turn on/off whether to cap cylinder with polygons.\n"},
  {(char*)"CappingOff",                (PyCFunction)PyvtkCylinderSource_CappingOff, 1,
   (char*)"V.CappingOff()\nC++: void CappingOff ();\n\n Turn on/off whether to cap cylinder with polygons.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCylinderSourceDoc[] = {
  (char*)"vtkCylinderSource - generate a cylinder centered at origin\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkCylinderSource creates a polygonal cylinder centered at Center;\n The axis of the cylinder is aligned along the global y-axis.\n The height and radius of the cylinder can be specified, as well as the\n number of sides. It is also possible to control whether the cylinder is\n open-ended or capped.\n\n",
  NULL
};

static vtkObjectBase *vtkCylinderSourceStaticNew()
{
  return vtkCylinderSource::New();
}

PyObject *PyVTKClass_vtkCylinderSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkCylinderSourceStaticNew,
                        PyvtkCylinderSourceMethods,
                        (char*)"vtkCylinderSource",modulename,
                        (char**)vtkCylinderSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

