// tcl wrapper for vtkDataObjectToDataSetFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataObjectToDataSetFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkDataObjectToDataSetFilterNewCommand()
{
  vtkDataObjectToDataSetFilter *temp = vtkDataObjectToDataSetFilter::New();
  return ((ClientData)temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataObjectToDataSetFilterCppCommand(vtkDataObjectToDataSetFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataObjectToDataSetFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataObjectToDataSetFilterCppCommand((vtkDataObjectToDataSetFilter *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataObjectToDataSetFilterCppCommand(vtkDataObjectToDataSetFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataObjectToDataSetFilter",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand((vtkDataSetAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkDataSetAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataObjectToDataSetFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObjectToDataSetFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataObjectToDataSetFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObjectToDataSetFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataObjectToDataSetFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObjectToDataSetFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("SetDataSetType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataSetType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataSetType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataSetType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataSetTypeToPolyData",argv[1]))&&(argc == 2))
    {
    op->SetDataSetTypeToPolyData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataSetTypeToStructuredPoints",argv[1]))&&(argc == 2))
    {
    op->SetDataSetTypeToStructuredPoints();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataSetTypeToStructuredGrid",argv[1]))&&(argc == 2))
    {
    op->SetDataSetTypeToStructuredGrid();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataSetTypeToRectilinearGrid",argv[1]))&&(argc == 2))
    {
    op->SetDataSetTypeToRectilinearGrid();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataSetTypeToUnstructuredGrid",argv[1]))&&(argc == 2))
    {
    op->SetDataSetTypeToUnstructuredGrid();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataSet  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetOutput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSet");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolyDataOutput",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetPolyDataOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetStructuredPointsOutput",argv[1]))&&(argc == 2))
    {
    vtkStructuredPoints  *temp20;
    temp20 = (op)->GetStructuredPointsOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkStructuredPoints");
    return TCL_OK;
    }
  if ((!strcmp("GetStructuredGridOutput",argv[1]))&&(argc == 2))
    {
    vtkStructuredGrid  *temp20;
    temp20 = (op)->GetStructuredGridOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkStructuredGrid");
    return TCL_OK;
    }
  if ((!strcmp("GetUnstructuredGridOutput",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGrid  *temp20;
    temp20 = (op)->GetUnstructuredGridOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkUnstructuredGrid");
    return TCL_OK;
    }
  if ((!strcmp("GetRectilinearGridOutput",argv[1]))&&(argc == 2))
    {
    vtkRectilinearGrid  *temp20;
    temp20 = (op)->GetRectilinearGridOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRectilinearGrid");
    return TCL_OK;
    }
  if ((!strcmp("SetPointComponent",argv[1]))&&(argc == 8))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetPointComponent(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointComponent",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetPointComponent(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointComponentArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointComponentArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointComponentArrayComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointComponentArrayComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointComponentMinRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointComponentMinRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointComponentMaxRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointComponentMaxRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointComponentNormailzeFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointComponentNormailzeFlag(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVertsComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetVertsComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVertsComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetVertsComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertsComponentArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVertsComponentArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetVertsComponentArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVertsComponentArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVertsComponentMinRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVertsComponentMinRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVertsComponentMaxRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVertsComponentMaxRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLinesComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetLinesComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLinesComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetLinesComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLinesComponentArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLinesComponentArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetLinesComponentArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLinesComponentArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLinesComponentMinRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLinesComponentMinRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLinesComponentMaxRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLinesComponentMaxRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPolysComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetPolysComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPolysComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPolysComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolysComponentArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetPolysComponentArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPolysComponentArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPolysComponentArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPolysComponentMinRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPolysComponentMinRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPolysComponentMaxRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPolysComponentMaxRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStripsComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetStripsComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStripsComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetStripsComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStripsComponentArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetStripsComponentArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetStripsComponentArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStripsComponentArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStripsComponentMinRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStripsComponentMinRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStripsComponentMaxRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStripsComponentMaxRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCellTypeComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetCellTypeComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellTypeComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCellTypeComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellTypeComponentArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetCellTypeComponentArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCellTypeComponentArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellTypeComponentArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellTypeComponentMinRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellTypeComponentMinRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellTypeComponentMaxRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellTypeComponentMaxRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCellConnectivityComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetCellConnectivityComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellConnectivityComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCellConnectivityComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellConnectivityComponentArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetCellConnectivityComponentArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCellConnectivityComponentArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellConnectivityComponentArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellConnectivityComponentMinRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellConnectivityComponentMinRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellConnectivityComponentMaxRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCellConnectivityComponentMaxRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultNormalize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDefaultNormalize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultNormalize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDefaultNormalize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DefaultNormalizeOn",argv[1]))&&(argc == 2))
    {
    op->DefaultNormalizeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DefaultNormalizeOff",argv[1]))&&(argc == 2))
    {
    op->DefaultNormalizeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDimensions",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetDimensions(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDimensions",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDimensions",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetDimensions();
    char tempResult[1024];
    sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrigin();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSpacing",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSpacing(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpacing",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpacing",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSpacing();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDimensionsComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetDimensionsComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDimensionsComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetDimensionsComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpacingComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetSpacingComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpacingComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSpacingComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOriginComponent",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetOriginComponent(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOriginComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetOriginComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkDataObjectToDataSetFilterCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataObjectToDataSetFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSetType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSetType\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSetTypeToPolyData\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSetTypeToStructuredPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSetTypeToStructuredGrid\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSetTypeToRectilinearGrid\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSetTypeToUnstructuredGrid\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyDataOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetStructuredPointsOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetStructuredGridOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetUnstructuredGridOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetRectilinearGridOutput\n",NULL);
    Tcl_AppendResult(interp,"  SetPointComponent\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointComponent\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointComponentArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointComponentArrayComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointComponentMinRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointComponentMaxRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointComponentNormailzeFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVertsComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVertsComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVertsComponentArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetVertsComponentArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetVertsComponentMinRange\n",NULL);
    Tcl_AppendResult(interp,"  GetVertsComponentMaxRange\n",NULL);
    Tcl_AppendResult(interp,"  SetLinesComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLinesComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLinesComponentArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetLinesComponentArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetLinesComponentMinRange\n",NULL);
    Tcl_AppendResult(interp,"  GetLinesComponentMaxRange\n",NULL);
    Tcl_AppendResult(interp,"  SetPolysComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPolysComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPolysComponentArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetPolysComponentArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetPolysComponentMinRange\n",NULL);
    Tcl_AppendResult(interp,"  GetPolysComponentMaxRange\n",NULL);
    Tcl_AppendResult(interp,"  SetStripsComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStripsComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetStripsComponentArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetStripsComponentArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetStripsComponentMinRange\n",NULL);
    Tcl_AppendResult(interp,"  GetStripsComponentMaxRange\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTypeComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellTypeComponentArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetCellTypeComponentArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetCellTypeComponentMinRange\n",NULL);
    Tcl_AppendResult(interp,"  GetCellTypeComponentMaxRange\n",NULL);
    Tcl_AppendResult(interp,"  SetCellConnectivityComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellConnectivityComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellConnectivityComponentArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetCellConnectivityComponentArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetCellConnectivityComponentMinRange\n",NULL);
    Tcl_AppendResult(interp,"  GetCellConnectivityComponentMaxRange\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultNormalize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultNormalize\n",NULL);
    Tcl_AppendResult(interp,"  DefaultNormalizeOn\n",NULL);
    Tcl_AppendResult(interp,"  DefaultNormalizeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDimensions\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSpacing\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensionsComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDimensionsComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSpacingComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSpacingComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginComponent\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginComponent\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (vtkDataSetAlgorithmCppCommand((vtkDataSetAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
