// python wrapper for vtkDataSetSurfaceFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDataSetSurfaceFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetSurfaceFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetSurfaceFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkDataSetSurfaceFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetSurfaceFilter *op;

  const char    *temp20;
  if ((op = (vtkDataSetSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetSurfaceFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetSurfaceFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetSurfaceFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetSurfaceFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetSurfaceFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetSurfaceFilter *op;

  vtkDataSetSurfaceFilter  *temp20;
  if ((op = (vtkDataSetSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetSurfaceFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetSurfaceFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataSetSurfaceFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataSetSurfaceFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetSurfaceFilter_SetUseStrips(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetSurfaceFilter *op;

  int      temp0;
  if ((op = (vtkDataSetSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetSurfaceFilter::SetUseStrips(temp0);
      }
    else
      {
      op->SetUseStrips(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetSurfaceFilter_GetUseStrips(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetSurfaceFilter *op;

  int      temp20;
  if ((op = (vtkDataSetSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetSurfaceFilter::GetUseStrips();
      }
    else
      {
      temp20 = op->GetUseStrips();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetSurfaceFilter_UseStripsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetSurfaceFilter *op;

  if ((op = (vtkDataSetSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetSurfaceFilter::UseStripsOn();
      }
    else
      {
      op->UseStripsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetSurfaceFilter_UseStripsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetSurfaceFilter *op;

  if ((op = (vtkDataSetSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetSurfaceFilter::UseStripsOff();
      }
    else
      {
      op->UseStripsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetSurfaceFilter_SetPieceInvariant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetSurfaceFilter *op;

  int      temp0;
  if ((op = (vtkDataSetSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetSurfaceFilter::SetPieceInvariant(temp0);
      }
    else
      {
      op->SetPieceInvariant(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetSurfaceFilter_GetPieceInvariant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetSurfaceFilter *op;

  int      temp20;
  if ((op = (vtkDataSetSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetSurfaceFilter::GetPieceInvariant();
      }
    else
      {
      temp20 = op->GetPieceInvariant();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataSetSurfaceFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetSurfaceFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetSurfaceFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetSurfaceFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetSurfaceFilter\nC++: vtkDataSetSurfaceFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataSetSurfaceFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataSetSurfaceFilter\nC++: vtkDataSetSurfaceFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetUseStrips",                (PyCFunction)PyvtkDataSetSurfaceFilter_SetUseStrips, 1,
   (char*)"V.SetUseStrips(int)\nC++: void SetUseStrips (int );\n\n When input is structured data, this flag will generate faces with\n triangle strips.  This should render faster and use less memory, but no\n cell data is copied.  By default, UseStrips is Off.\n"},
  {(char*)"GetUseStrips",                (PyCFunction)PyvtkDataSetSurfaceFilter_GetUseStrips, 1,
   (char*)"V.GetUseStrips() -> int\nC++: int GetUseStrips ();\n\n When input is structured data, this flag will generate faces with\n triangle strips.  This should render faster and use less memory, but no\n cell data is copied.  By default, UseStrips is Off.\n"},
  {(char*)"UseStripsOn",                (PyCFunction)PyvtkDataSetSurfaceFilter_UseStripsOn, 1,
   (char*)"V.UseStripsOn()\nC++: void UseStripsOn ();\n\n When input is structured data, this flag will generate faces with\n triangle strips.  This should render faster and use less memory, but no\n cell data is copied.  By default, UseStrips is Off.\n"},
  {(char*)"UseStripsOff",                (PyCFunction)PyvtkDataSetSurfaceFilter_UseStripsOff, 1,
   (char*)"V.UseStripsOff()\nC++: void UseStripsOff ();\n\n When input is structured data, this flag will generate faces with\n triangle strips.  This should render faster and use less memory, but no\n cell data is copied.  By default, UseStrips is Off.\n"},
  {(char*)"SetPieceInvariant",                (PyCFunction)PyvtkDataSetSurfaceFilter_SetPieceInvariant, 1,
   (char*)"V.SetPieceInvariant(int)\nC++: void SetPieceInvariant (int );\n\n If PieceInvariant is true, vtkDataSetSurfaceFilter requests\n 1 ghost level from input in order to remove internal surface\n that are between processes. False by default.\n"},
  {(char*)"GetPieceInvariant",                (PyCFunction)PyvtkDataSetSurfaceFilter_GetPieceInvariant, 1,
   (char*)"V.GetPieceInvariant() -> int\nC++: int GetPieceInvariant ();\n\n If PieceInvariant is true, vtkDataSetSurfaceFilter requests\n 1 ghost level from input in order to remove internal surface\n that are between processes. False by default.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetSurfaceFilterDoc[] = {
  (char*)"vtkDataSetSurfaceFilter - Extracts outer (polygonal) surface.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkDataSetSurfaceFilter is a faster version of vtkGeometry filter, but it \n does not have an option to select bounds.  It may use more memory than\n vtkGeometryFilter.  It only has one option: whether to use triangle strips \n when the input type is structured.\n\n",
  "See Also:\n\n vtkGeometryFilter vtkStructuredGridGeometryFilter.\n\n",
  NULL
};

static vtkObjectBase *vtkDataSetSurfaceFilterStaticNew()
{
  return vtkDataSetSurfaceFilter::New();
}

PyObject *PyVTKClass_vtkDataSetSurfaceFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataSetSurfaceFilterStaticNew,
                        PyvtkDataSetSurfaceFilterMethods,
                        (char*)"vtkDataSetSurfaceFilter",modulename,
                        (char**)vtkDataSetSurfaceFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

