// python wrapper for vtkDataSetToDataObjectFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDataSetToDataObjectFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetToDataObjectFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetToDataObjectFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectAlgorithmNew(char *); }

static PyObject *PyvtkDataSetToDataObjectFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  const char    *temp20;
  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataObjectFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataObjectFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  vtkDataSetToDataObjectFilter  *temp20;
  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataObjectFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataSetToDataObjectFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataSetToDataObjectFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_SetGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  int      temp0;
  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::SetGeometry(temp0);
      }
    else
      {
      op->SetGeometry(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_GetGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  int      temp20;
  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataObjectFilter::GetGeometry();
      }
    else
      {
      temp20 = op->GetGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_GeometryOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::GeometryOn();
      }
    else
      {
      op->GeometryOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_GeometryOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::GeometryOff();
      }
    else
      {
      op->GeometryOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_SetTopology(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  int      temp0;
  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::SetTopology(temp0);
      }
    else
      {
      op->SetTopology(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_GetTopology(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  int      temp20;
  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataObjectFilter::GetTopology();
      }
    else
      {
      temp20 = op->GetTopology();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_TopologyOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::TopologyOn();
      }
    else
      {
      op->TopologyOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_TopologyOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::TopologyOff();
      }
    else
      {
      op->TopologyOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_SetFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  int      temp0;
  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::SetFieldData(temp0);
      }
    else
      {
      op->SetFieldData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_GetFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  int      temp20;
  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataObjectFilter::GetFieldData();
      }
    else
      {
      temp20 = op->GetFieldData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_FieldDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::FieldDataOn();
      }
    else
      {
      op->FieldDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_FieldDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::FieldDataOff();
      }
    else
      {
      op->FieldDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_SetPointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  int      temp0;
  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::SetPointData(temp0);
      }
    else
      {
      op->SetPointData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_GetPointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  int      temp20;
  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataObjectFilter::GetPointData();
      }
    else
      {
      temp20 = op->GetPointData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_PointDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::PointDataOn();
      }
    else
      {
      op->PointDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_PointDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::PointDataOff();
      }
    else
      {
      op->PointDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_SetCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  int      temp0;
  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::SetCellData(temp0);
      }
    else
      {
      op->SetCellData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_GetCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  int      temp20;
  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetToDataObjectFilter::GetCellData();
      }
    else
      {
      temp20 = op->GetCellData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_CellDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::CellDataOn();
      }
    else
      {
      op->CellDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetToDataObjectFilter_CellDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetToDataObjectFilter *op;

  if ((op = (vtkDataSetToDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetToDataObjectFilter::CellDataOff();
      }
    else
      {
      op->CellDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataSetToDataObjectFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetToDataObjectFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetToDataObjectFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetToDataObjectFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetToDataObjectFilter\nC++: vtkDataSetToDataObjectFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataSetToDataObjectFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataSetToDataObjectFilter\nC++: vtkDataSetToDataObjectFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGeometry",                (PyCFunction)PyvtkDataSetToDataObjectFilter_SetGeometry, 1,
   (char*)"V.SetGeometry(int)\nC++: void SetGeometry (int );\n\n Turn on/off the conversion of dataset geometry to a data object.\n"},
  {(char*)"GetGeometry",                (PyCFunction)PyvtkDataSetToDataObjectFilter_GetGeometry, 1,
   (char*)"V.GetGeometry() -> int\nC++: int GetGeometry ();\n\n Turn on/off the conversion of dataset geometry to a data object.\n"},
  {(char*)"GeometryOn",                (PyCFunction)PyvtkDataSetToDataObjectFilter_GeometryOn, 1,
   (char*)"V.GeometryOn()\nC++: void GeometryOn ();\n\n Turn on/off the conversion of dataset geometry to a data object.\n"},
  {(char*)"GeometryOff",                (PyCFunction)PyvtkDataSetToDataObjectFilter_GeometryOff, 1,
   (char*)"V.GeometryOff()\nC++: void GeometryOff ();\n\n Turn on/off the conversion of dataset geometry to a data object.\n"},
  {(char*)"SetTopology",                (PyCFunction)PyvtkDataSetToDataObjectFilter_SetTopology, 1,
   (char*)"V.SetTopology(int)\nC++: void SetTopology (int );\n\n Turn on/off the conversion of dataset topology to a data object.\n"},
  {(char*)"GetTopology",                (PyCFunction)PyvtkDataSetToDataObjectFilter_GetTopology, 1,
   (char*)"V.GetTopology() -> int\nC++: int GetTopology ();\n\n Turn on/off the conversion of dataset topology to a data object.\n"},
  {(char*)"TopologyOn",                (PyCFunction)PyvtkDataSetToDataObjectFilter_TopologyOn, 1,
   (char*)"V.TopologyOn()\nC++: void TopologyOn ();\n\n Turn on/off the conversion of dataset topology to a data object.\n"},
  {(char*)"TopologyOff",                (PyCFunction)PyvtkDataSetToDataObjectFilter_TopologyOff, 1,
   (char*)"V.TopologyOff()\nC++: void TopologyOff ();\n\n Turn on/off the conversion of dataset topology to a data object.\n"},
  {(char*)"SetFieldData",                (PyCFunction)PyvtkDataSetToDataObjectFilter_SetFieldData, 1,
   (char*)"V.SetFieldData(int)\nC++: void SetFieldData (int );\n\n Turn on/off the conversion of dataset field data to a data object.\n"},
  {(char*)"GetFieldData",                (PyCFunction)PyvtkDataSetToDataObjectFilter_GetFieldData, 1,
   (char*)"V.GetFieldData() -> int\nC++: int GetFieldData ();\n\n Turn on/off the conversion of dataset field data to a data object.\n"},
  {(char*)"FieldDataOn",                (PyCFunction)PyvtkDataSetToDataObjectFilter_FieldDataOn, 1,
   (char*)"V.FieldDataOn()\nC++: void FieldDataOn ();\n\n Turn on/off the conversion of dataset field data to a data object.\n"},
  {(char*)"FieldDataOff",                (PyCFunction)PyvtkDataSetToDataObjectFilter_FieldDataOff, 1,
   (char*)"V.FieldDataOff()\nC++: void FieldDataOff ();\n\n Turn on/off the conversion of dataset field data to a data object.\n"},
  {(char*)"SetPointData",                (PyCFunction)PyvtkDataSetToDataObjectFilter_SetPointData, 1,
   (char*)"V.SetPointData(int)\nC++: void SetPointData (int );\n\n Turn on/off the conversion of dataset point data to a data object.\n"},
  {(char*)"GetPointData",                (PyCFunction)PyvtkDataSetToDataObjectFilter_GetPointData, 1,
   (char*)"V.GetPointData() -> int\nC++: int GetPointData ();\n\n Turn on/off the conversion of dataset point data to a data object.\n"},
  {(char*)"PointDataOn",                (PyCFunction)PyvtkDataSetToDataObjectFilter_PointDataOn, 1,
   (char*)"V.PointDataOn()\nC++: void PointDataOn ();\n\n Turn on/off the conversion of dataset point data to a data object.\n"},
  {(char*)"PointDataOff",                (PyCFunction)PyvtkDataSetToDataObjectFilter_PointDataOff, 1,
   (char*)"V.PointDataOff()\nC++: void PointDataOff ();\n\n Turn on/off the conversion of dataset point data to a data object.\n"},
  {(char*)"SetCellData",                (PyCFunction)PyvtkDataSetToDataObjectFilter_SetCellData, 1,
   (char*)"V.SetCellData(int)\nC++: void SetCellData (int );\n\n Turn on/off the conversion of dataset cell data to a data object.\n"},
  {(char*)"GetCellData",                (PyCFunction)PyvtkDataSetToDataObjectFilter_GetCellData, 1,
   (char*)"V.GetCellData() -> int\nC++: int GetCellData ();\n\n Turn on/off the conversion of dataset cell data to a data object.\n"},
  {(char*)"CellDataOn",                (PyCFunction)PyvtkDataSetToDataObjectFilter_CellDataOn, 1,
   (char*)"V.CellDataOn()\nC++: void CellDataOn ();\n\n Turn on/off the conversion of dataset cell data to a data object.\n"},
  {(char*)"CellDataOff",                (PyCFunction)PyvtkDataSetToDataObjectFilter_CellDataOff, 1,
   (char*)"V.CellDataOff()\nC++: void CellDataOff ();\n\n Turn on/off the conversion of dataset cell data to a data object.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetToDataObjectFilterDoc[] = {
  (char*)"vtkDataSetToDataObjectFilter - map dataset into data object (i.e., a field)\n\n",
  "Super Class:\n\n vtkDataObjectAlgorithm\n\n",
  (char*)" vtkDataSetToDataObjectFilter is an class that transforms a dataset into\n data object (i.e., a field). The field will have labeled data arrays\n corresponding to the topology, geometry, field data, and point and cell\n attribute data.\n\n You can control what portions of the dataset are converted into the\n output data object's field data. The instance variables Geometry,\n Topology, FieldData, PointDat",
  (char*)"a, and CellData are flags that control\n whether the dataset's geometry (e.g., points, spacing, origin);\n topology (e.g., cell connectivity, dimensions); the field data\n associated with the dataset's superclass data object; the dataset's\n point data attributes; and the dataset's cell data attributes. (Note:\n the data attributes include scalars, vectors, tensors, normals, texture\n coordinates, and f",
  (char*)"ield data.)\n\n The names used to create the field data are as follows. For vtkPolyData, \n \"Points\", \"Verts\", \"Lines\", \"Polys\", and \"Strips\". For vtkUnstructuredGrid,\n \"Cells\" and \"CellTypes\". For vtkStructuredPoints, \"Dimensions\", \"Spacing\", \n and \"Origin\". For vtkStructuredGrid, \"Points\" and \"Dimensions\". For\n vtkRectilinearGrid, \"XCoordinates\", \"YCoordinates\", and \"ZCoordinates\".\n for point attri",
  (char*)"bute data, \"PointScalars\", \"PointVectors\", etc. For cell\n attribute data, \"CellScalars\", \"CellVectors\", etc. Field data arrays retain\n their original name.\n\n",
  "See Also:\n\n vtkDataObject vtkFieldData vtkDataObjectToDataSetFilter\n\n",
  NULL
};

static vtkObjectBase *vtkDataSetToDataObjectFilterStaticNew()
{
  return vtkDataSetToDataObjectFilter::New();
}

PyObject *PyVTKClass_vtkDataSetToDataObjectFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataSetToDataObjectFilterStaticNew,
                        PyvtkDataSetToDataObjectFilterMethods,
                        (char*)"vtkDataSetToDataObjectFilter",modulename,
                        (char**)vtkDataSetToDataObjectFilterDoc,
                        PyVTKClass_vtkDataObjectAlgorithmNew(modulename));
}

