// python wrapper for vtkDataSetTriangleFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDataSetTriangleFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetTriangleFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetTriangleFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkDataSetTriangleFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetTriangleFilter *op;

  const char    *temp20;
  if ((op = (vtkDataSetTriangleFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetTriangleFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetTriangleFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetTriangleFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetTriangleFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetTriangleFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetTriangleFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetTriangleFilter *op;

  vtkDataSetTriangleFilter  *temp20;
  if ((op = (vtkDataSetTriangleFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetTriangleFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetTriangleFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataSetTriangleFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataSetTriangleFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkDataSetTriangleFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetTriangleFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetTriangleFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetTriangleFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetTriangleFilter\nC++: vtkDataSetTriangleFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataSetTriangleFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataSetTriangleFilter\nC++: vtkDataSetTriangleFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetTriangleFilterDoc[] = {
  (char*)"vtkDataSetTriangleFilter - triangulate any type of dataset\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkDataSetTriangleFilter generates n-dimensional simplices from any input\n dataset. That is, 3D cells are converted to tetrahedral meshes, 2D cells\n to triangles, and so on. The triangulation is guaranteed to be compatible.\n\n This filter uses simple 1D and 2D triangulation techniques for cells\n that are of topological dimension 2 or less. For 3D cells--due to the\n issue of face compatibility acro",
  (char*)"ss quadrilateral faces (which way to\n orient the diagonal?)--a fancier ordered Delaunay triangulation is used.\n This approach produces templates on the fly for triangulating the\n cells. The templates are then used to do the actual triangulation.\n\n\n",
  "See Also:\n\n vtkOrderedTriangulator vtkTriangleFilter\n\n",
  NULL
};

static vtkObjectBase *vtkDataSetTriangleFilterStaticNew()
{
  return vtkDataSetTriangleFilter::New();
}

PyObject *PyVTKClass_vtkDataSetTriangleFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataSetTriangleFilterStaticNew,
                        PyvtkDataSetTriangleFilterMethods,
                        (char*)"vtkDataSetTriangleFilter",modulename,
                        (char**)vtkDataSetTriangleFilterDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

