// python wrapper for vtkDelaunay3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDelaunay3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDelaunay3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDelaunay3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkDelaunay3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  const char    *temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  vtkDelaunay3D  *temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDelaunay3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDelaunay3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDelaunay3D_SetAlpha(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  double   temp0;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay3D::SetAlpha(temp0);
      }
    else
      {
      op->SetAlpha(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_GetAlphaMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  double   temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::GetAlphaMinValue();
      }
    else
      {
      temp20 = op->GetAlphaMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_GetAlphaMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  double   temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::GetAlphaMaxValue();
      }
    else
      {
      temp20 = op->GetAlphaMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_GetAlpha(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  double   temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::GetAlpha();
      }
    else
      {
      temp20 = op->GetAlpha();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  double   temp0;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay3D::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  double   temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  double   temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  double   temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_SetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  double   temp0;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay3D::SetOffset(temp0);
      }
    else
      {
      op->SetOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_GetOffsetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  double   temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::GetOffsetMinValue();
      }
    else
      {
      temp20 = op->GetOffsetMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_GetOffsetMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  double   temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::GetOffsetMaxValue();
      }
    else
      {
      temp20 = op->GetOffsetMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_GetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  double   temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::GetOffset();
      }
    else
      {
      temp20 = op->GetOffset();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_SetBoundingTriangulation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  int      temp0;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay3D::SetBoundingTriangulation(temp0);
      }
    else
      {
      op->SetBoundingTriangulation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_GetBoundingTriangulation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  int      temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::GetBoundingTriangulation();
      }
    else
      {
      temp20 = op->GetBoundingTriangulation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_BoundingTriangulationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay3D::BoundingTriangulationOn();
      }
    else
      {
      op->BoundingTriangulationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_BoundingTriangulationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay3D::BoundingTriangulationOff();
      }
    else
      {
      op->BoundingTriangulationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay3D::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkDelaunay3D_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  vtkPointLocator  *temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay3D::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_InsertPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  vtkUnstructuredGrid  *temp0;
  PyObject *tempH0;
  vtkPoints  *temp1;
  PyObject *tempH1;
  vtkIdType   temp2;
  double temp3[3];
  vtkIdList  *temp4;
  PyObject *tempH4;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"OOi(ddd)O", &tempH0, &tempH1, &temp2, temp3 + 0, temp3 + 1, temp3 + 2, &tempH4)))
    {
    temp0 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break23;
    temp1 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints");
    if (!temp1 && tempH1 != Py_None) goto break23;
    temp4 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkIdList");
    if (!temp4 && tempH4 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay3D::InsertPoint(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->InsertPoint(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkDelaunay3D_EndPointInsertion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDelaunay3D::EndPointInsertion();
      }
    else
      {
      op->EndPointInsertion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDelaunay3D_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDelaunay3D *op;

  unsigned long     temp20;
  if ((op = (vtkDelaunay3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDelaunay3D::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDelaunay3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDelaunay3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDelaunay3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDelaunay3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDelaunay3D\nC++: vtkDelaunay3D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDelaunay3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDelaunay3D\nC++: vtkDelaunay3D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetAlpha",                (PyCFunction)PyvtkDelaunay3D_SetAlpha, 1,
   (char*)"V.SetAlpha(float)\nC++: void SetAlpha (double );\n\n Specify alpha (or distance) value to control output of this filter.\n For a non-zero alpha value, only edges, faces, or tetra contained \n within the circumsphere (of radius alpha) will be output. Otherwise,\n only tetrahedra will be output.\n"},
  {(char*)"GetAlphaMinValue",                (PyCFunction)PyvtkDelaunay3D_GetAlphaMinValue, 1,
   (char*)"V.GetAlphaMinValue() -> float\nC++: double GetAlphaMinValue ();\n\n Specify alpha (or distance) value to control output of this filter.\n For a non-zero alpha value, only edges, faces, or tetra contained \n within the circumsphere (of radius alpha) will be output. Otherwise,\n only tetrahedra will be output.\n"},
  {(char*)"GetAlphaMaxValue",                (PyCFunction)PyvtkDelaunay3D_GetAlphaMaxValue, 1,
   (char*)"V.GetAlphaMaxValue() -> float\nC++: double GetAlphaMaxValue ();\n\n Specify alpha (or distance) value to control output of this filter.\n For a non-zero alpha value, only edges, faces, or tetra contained \n within the circumsphere (of radius alpha) will be output. Otherwise,\n only tetrahedra will be output.\n"},
  {(char*)"GetAlpha",                (PyCFunction)PyvtkDelaunay3D_GetAlpha, 1,
   (char*)"V.GetAlpha() -> float\nC++: double GetAlpha ();\n\n Specify alpha (or distance) value to control output of this filter.\n For a non-zero alpha value, only edges, faces, or tetra contained \n within the circumsphere (of radius alpha) will be output. Otherwise,\n only tetrahedra will be output.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkDelaunay3D_SetTolerance, 1,
   (char*)"V.SetTolerance(float)\nC++: void SetTolerance (double );\n\n Specify a tolerance to control discarding of closely spaced points.\n This tolerance is specified as a fraction of the diagonal length of\n the bounding box of the points.\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkDelaunay3D_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> float\nC++: double GetToleranceMinValue ();\n\n Specify a tolerance to control discarding of closely spaced points.\n This tolerance is specified as a fraction of the diagonal length of\n the bounding box of the points.\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkDelaunay3D_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> float\nC++: double GetToleranceMaxValue ();\n\n Specify a tolerance to control discarding of closely spaced points.\n This tolerance is specified as a fraction of the diagonal length of\n the bounding box of the points.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkDelaunay3D_GetTolerance, 1,
   (char*)"V.GetTolerance() -> float\nC++: double GetTolerance ();\n\n Specify a tolerance to control discarding of closely spaced points.\n This tolerance is specified as a fraction of the diagonal length of\n the bounding box of the points.\n"},
  {(char*)"SetOffset",                (PyCFunction)PyvtkDelaunay3D_SetOffset, 1,
   (char*)"V.SetOffset(float)\nC++: void SetOffset (double );\n\n Specify a multiplier to control the size of the initial, bounding\n Delaunay triangulation.\n"},
  {(char*)"GetOffsetMinValue",                (PyCFunction)PyvtkDelaunay3D_GetOffsetMinValue, 1,
   (char*)"V.GetOffsetMinValue() -> float\nC++: double GetOffsetMinValue ();\n\n Specify a multiplier to control the size of the initial, bounding\n Delaunay triangulation.\n"},
  {(char*)"GetOffsetMaxValue",                (PyCFunction)PyvtkDelaunay3D_GetOffsetMaxValue, 1,
   (char*)"V.GetOffsetMaxValue() -> float\nC++: double GetOffsetMaxValue ();\n\n Specify a multiplier to control the size of the initial, bounding\n Delaunay triangulation.\n"},
  {(char*)"GetOffset",                (PyCFunction)PyvtkDelaunay3D_GetOffset, 1,
   (char*)"V.GetOffset() -> float\nC++: double GetOffset ();\n\n Specify a multiplier to control the size of the initial, bounding\n Delaunay triangulation.\n"},
  {(char*)"SetBoundingTriangulation",                (PyCFunction)PyvtkDelaunay3D_SetBoundingTriangulation, 1,
   (char*)"V.SetBoundingTriangulation(int)\nC++: void SetBoundingTriangulation (int );\n\n Boolean controls whether bounding triangulation points (and associated\n triangles) are included in the output. (These are introduced as an\n initial triangulation to begin the triangulation process. This feature\n is nice for debugging output.)\n"},
  {(char*)"GetBoundingTriangulation",                (PyCFunction)PyvtkDelaunay3D_GetBoundingTriangulation, 1,
   (char*)"V.GetBoundingTriangulation() -> int\nC++: int GetBoundingTriangulation ();\n\n Boolean controls whether bounding triangulation points (and associated\n triangles) are included in the output. (These are introduced as an\n initial triangulation to begin the triangulation process. This feature\n is nice for debugging output.)\n"},
  {(char*)"BoundingTriangulationOn",                (PyCFunction)PyvtkDelaunay3D_BoundingTriangulationOn, 1,
   (char*)"V.BoundingTriangulationOn()\nC++: void BoundingTriangulationOn ();\n\n Boolean controls whether bounding triangulation points (and associated\n triangles) are included in the output. (These are introduced as an\n initial triangulation to begin the triangulation process. This feature\n is nice for debugging output.)\n"},
  {(char*)"BoundingTriangulationOff",                (PyCFunction)PyvtkDelaunay3D_BoundingTriangulationOff, 1,
   (char*)"V.BoundingTriangulationOff()\nC++: void BoundingTriangulationOff ();\n\n Boolean controls whether bounding triangulation points (and associated\n triangles) are included in the output. (These are introduced as an\n initial triangulation to begin the triangulation process. This feature\n is nice for debugging output.)\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkDelaunay3D_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Set / get a spatial locator for merging points. By default, \n an instance of vtkPointLocator is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkDelaunay3D_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set / get a spatial locator for merging points. By default, \n an instance of vtkPointLocator is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkDelaunay3D_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified. The \n locator is used to eliminate \"coincident\" points.\n"},
  {(char*)"InsertPoint",                (PyCFunction)PyvtkDelaunay3D_InsertPoint, 1,
   (char*)"V.InsertPoint(vtkUnstructuredGrid, vtkPoints, int, (float, float, float), vtkIdList)\nC++: void InsertPoint (vtkUnstructuredGrid *Mesh, vtkPoints *points, vtkIdType id, double x[3], vtkIdList *holeTetras);\n\n This is a helper method used with InitPointInsertion() to create\n tetrahedronalizations of points. Its purpose is to inject point at\n coordinates specified into tetrahedronalization. The point id is an index\n into the list of points in the mesh structure.  (See\n vtkDelaunay3D::InitPointInsertion() for more information.)  When you have\n completed inserting points, traverse the mesh structure to extract desired\n tetrahedra (or tetra faces and edges).The holeTetras id list lists all the\n tetrahedra that are deleted (invalid) in the mesh structure.\n"},
  {(char*)"EndPointInsertion",                (PyCFunction)PyvtkDelaunay3D_EndPointInsertion, 1,
   (char*)"V.EndPointInsertion()\nC++: void EndPointInsertion ();\n\n Invoke this method after all points have been inserted. The purpose of\n the method is to clean up internal data structures. Note that the \n (vtkUnstructuredGrid *)Mesh returned from InitPointInsertion() is NOT\n deleted, you still are responsible for cleaning that up.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkDelaunay3D_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the locator.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDelaunay3DDoc[] = {
  (char*)"vtkDelaunay3D - create 3D Delaunay triangulation of input points\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkDelaunay3D is a filter that constructs a 3D Delaunay\n triangulation from a list of input points. These points may be\n represented by any dataset of type vtkPointSet and subclasses. The\n output of the filter is an unstructured grid dataset. Usually the\n output is a tetrahedral mesh, but if a non-zero alpha distance\n value is specified (called the \"alpha\" value), then only tetrahedra,\n triangles",
  (char*)", edges, and vertices lying within the alpha radius are \n output. In other words, non-zero alpha values may result in arbitrary\n combinations of tetrahedra, triangles, lines, and vertices. (The notion \n of alpha value is derived from Edelsbrunner's work on \"alpha shapes\".)\n \n The 3D Delaunay triangulation is defined as the triangulation that\n satisfies the Delaunay criterion for n-dimensional simp",
  (char*)"lexes (in\n this case n=3 and the simplexes are tetrahedra). This criterion\n states that a circumsphere of each simplex in a triangulation\n contains only the n+1 defining points of the simplex. (See text for\n more information.) While in two dimensions this translates into an\n \"optimal\" triangulation, this is not true in 3D, since a measurement \n for optimality in 3D is not agreed on.\n\n Delaunay tri",
  (char*)"angulations are used to build topological structures\n from unorganized (or unstructured) points. The input to this filter\n is a list of points specified in 3D. (If you wish to create 2D \n triangulations see vtkDelaunay2D.) The output is an unstructured grid.\n \n The Delaunay triangulation can be numerically sensitive. To prevent\n problems, try to avoid injecting points that will result in\n triangle",
  (char*)"s with bad aspect ratios (1000:1 or greater). In practice\n this means inserting points that are \"widely dispersed\", and\n enables smooth transition of triangle sizes throughout the\n mesh. (You may even want to add extra points to create a better\n point distribution.) If numerical problems are present, you will\n see a warning message to this effect at the end of the\n triangulation process.\n\n",
  "Caveats:\n\n Points arranged on a regular lattice (termed degenerate cases) can be \n triangulated in more than one way (at least according to the Delaunay \n criterion). The choice of triangulation (as implemented by \n this algorithm) depends on the order of the input points. The first four\n points will form a tetrahedron; other degenerate points (relative to this\n initial tetrahedron) will not break it.\n\n Points that are coincident (or nearly so) may be discarded by the\n algorit ...\n [Truncated]\n\n",
  "See Also:\n\n vtkDelaunay2D vtkGaussianSplatter vtkUnstructuredGrid\n\n",
  NULL
};

static vtkObjectBase *vtkDelaunay3DStaticNew()
{
  return vtkDelaunay3D::New();
}

PyObject *PyVTKClass_vtkDelaunay3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkDelaunay3DStaticNew,
                        PyvtkDelaunay3DMethods,
                        (char*)"vtkDelaunay3D",modulename,
                        (char**)vtkDelaunay3DDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

