// python wrapper for vtkDiscreteMarchingCubes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDiscreteMarchingCubes.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDiscreteMarchingCubesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDiscreteMarchingCubesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMarchingCubesNew(char *); }

static PyObject *PyvtkDiscreteMarchingCubes_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscreteMarchingCubes *op;

  const char    *temp20;
  if ((op = (vtkDiscreteMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiscreteMarchingCubes::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscreteMarchingCubes_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscreteMarchingCubes *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDiscreteMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiscreteMarchingCubes::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscreteMarchingCubes_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDiscreteMarchingCubes *op;

  vtkDiscreteMarchingCubes  *temp20;
  if ((op = (vtkDiscreteMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDiscreteMarchingCubes::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDiscreteMarchingCubes_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDiscreteMarchingCubes  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDiscreteMarchingCubes::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkDiscreteMarchingCubesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDiscreteMarchingCubes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDiscreteMarchingCubes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDiscreteMarchingCubes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDiscreteMarchingCubes\nC++: vtkDiscreteMarchingCubes *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDiscreteMarchingCubes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDiscreteMarchingCubes\nC++: vtkDiscreteMarchingCubes *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDiscreteMarchingCubesDoc[] = {
  (char*)"vtkDiscreteMarchingCubes - generate object boundaries from\n\n",
  "Super Class:\n\n vtkMarchingCubes\n\n",
  (char*)" takes as input a volume (e.g., 3D structured point set) of\n segmentation labels and generates on output one or more\n models representing the boundaries between the specified label and\n the adjacent structures.  One or more label values must be specified to\n generate the models.  The boundary positions are always defined to\n be half-way between adjacent voxels. This filter works best with\n integra",
  (char*)"l scalar values.\n If ComputeScalars is on (the default), each output cell will have\n cell data that corresponds to the scalar value (segmentation label)\n of the corresponding cube. Note that this differs from vtkMarchingCubes,\n which stores the scalar value as point data. The rationale for this\n difference is that cell vertices may be shared between multiple\n cells. This also means that the result",
  (char*)"ant polydata may be\n non-manifold (cell faces may be coincident). To further process the\n polydata, users should either: 1) extract cells that have a common\n scalar value using vtkThreshold, or 2) process the data with\n filters that can handle non-manifold polydata\n (e.g. vtkWindowedSincPolyDataFilter).\n Also note, Normals and Gradients are not computed.\n\n",
  "Caveats:\n\n This filter is specialized to volumes. If you are interested in \n contouring other types of data, use the general vtkContourFilter. If you\n want to contour an image (i.e., a volume slice), use vtkMarchingSquares.\n\n",
  "See Also:\n\n vtkContourFilter vtkSliceCubes vtkMarchingSquares vtkDividingCubes\n\n",
  NULL
};

static vtkObjectBase *vtkDiscreteMarchingCubesStaticNew()
{
  return vtkDiscreteMarchingCubes::New();
}

PyObject *PyVTKClass_vtkDiscreteMarchingCubesNew(char *modulename)
{
  return PyVTKClass_New(&vtkDiscreteMarchingCubesStaticNew,
                        PyvtkDiscreteMarchingCubesMethods,
                        (char*)"vtkDiscreteMarchingCubes",modulename,
                        (char**)vtkDiscreteMarchingCubesDoc,
                        PyVTKClass_vtkMarchingCubesNew(modulename));
}

