// python wrapper for vtkElevationFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkElevationFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkElevationFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkElevationFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkElevationFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkElevationFilter *op;

  const char    *temp20;
  if ((op = (vtkElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkElevationFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkElevationFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkElevationFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkElevationFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkElevationFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkElevationFilter *op;

  vtkElevationFilter  *temp20;
  if ((op = (vtkElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkElevationFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkElevationFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkElevationFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkElevationFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkElevationFilter_SetLowPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkElevationFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkElevationFilter::SetLowPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetLowPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkElevationFilter *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkElevationFilter::SetLowPoint(temp0);
      }
    else
      {
      op->SetLowPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkElevationFilter_GetLowPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkElevationFilter *op;

  double  *temp20;
  if ((op = (vtkElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkElevationFilter::GetLowPoint();
      }
    else
      {
      temp20 = op->GetLowPoint();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkElevationFilter_SetHighPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkElevationFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkElevationFilter::SetHighPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetHighPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkElevationFilter *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkElevationFilter::SetHighPoint(temp0);
      }
    else
      {
      op->SetHighPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkElevationFilter_GetHighPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkElevationFilter *op;

  double  *temp20;
  if ((op = (vtkElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkElevationFilter::GetHighPoint();
      }
    else
      {
      temp20 = op->GetHighPoint();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkElevationFilter_SetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkElevationFilter *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkElevationFilter::SetScalarRange(temp0,temp1);
      }
    else
      {
      op->SetScalarRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkElevationFilter *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkElevationFilter::SetScalarRange(temp0);
      }
    else
      {
      op->SetScalarRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkElevationFilter_GetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkElevationFilter *op;

  double  *temp20;
  if ((op = (vtkElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkElevationFilter::GetScalarRange();
      }
    else
      {
      temp20 = op->GetScalarRange();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkElevationFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkElevationFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkElevationFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkElevationFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkElevationFilter\nC++: vtkElevationFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkElevationFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkElevationFilter\nC++: vtkElevationFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLowPoint",                (PyCFunction)PyvtkElevationFilter_SetLowPoint, 1,
   (char*)"V.SetLowPoint(float, float, float)\nC++: void SetLowPoint (double , double , double );\nV.SetLowPoint((float, float, float))\nC++: void SetLowPoint (double  a[3]);\n\n Define one end of the line (small scalar values).  Default is\n (0,0,0).\n"},
  {(char*)"GetLowPoint",                (PyCFunction)PyvtkElevationFilter_GetLowPoint, 1,
   (char*)"V.GetLowPoint() -> (float, float, float)\nC++: double  *GetLowPoint ();\n\n Define one end of the line (small scalar values).  Default is\n (0,0,0).\n"},
  {(char*)"SetHighPoint",                (PyCFunction)PyvtkElevationFilter_SetHighPoint, 1,
   (char*)"V.SetHighPoint(float, float, float)\nC++: void SetHighPoint (double , double , double );\nV.SetHighPoint((float, float, float))\nC++: void SetHighPoint (double  a[3]);\n\n Define other end of the line (large scalar values).  Default is\n (0,0,1).\n"},
  {(char*)"GetHighPoint",                (PyCFunction)PyvtkElevationFilter_GetHighPoint, 1,
   (char*)"V.GetHighPoint() -> (float, float, float)\nC++: double  *GetHighPoint ();\n\n Define other end of the line (large scalar values).  Default is\n (0,0,1).\n"},
  {(char*)"SetScalarRange",                (PyCFunction)PyvtkElevationFilter_SetScalarRange, 1,
   (char*)"V.SetScalarRange(float, float)\nC++: void SetScalarRange (double , double );\nV.SetScalarRange((float, float))\nC++: void SetScalarRange (double  a[2]);\n\n Specify range to map scalars into.  Default is [0, 1].\n"},
  {(char*)"GetScalarRange",                (PyCFunction)PyvtkElevationFilter_GetScalarRange, 1,
   (char*)"V.GetScalarRange() -> (float, float)\nC++: double  *GetScalarRange ();\n\n Specify range to map scalars into.  Default is [0, 1].\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkElevationFilterDoc[] = {
  (char*)"vtkElevationFilter - generate scalars along a specified direction\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkElevationFilter is a filter to generate scalar values from a\n dataset.  The scalar values lie within a user specified range, and\n are generated by computing a projection of each dataset point onto\n a line. The line can be oriented arbitrarily. A typical example is\n to generate scalars based on elevation or height above a plane.\n\n",
  NULL
};

static vtkObjectBase *vtkElevationFilterStaticNew()
{
  return vtkElevationFilter::New();
}

PyObject *PyVTKClass_vtkElevationFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkElevationFilterStaticNew,
                        PyvtkElevationFilterMethods,
                        (char*)"vtkElevationFilter",modulename,
                        (char**)vtkElevationFilterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

