// python wrapper for vtkExtractRectilinearGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkExtractRectilinearGrid.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractRectilinearGridNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractRectilinearGridNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRectilinearGridAlgorithmNew(char *); }

static PyObject *PyvtkExtractRectilinearGrid_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractRectilinearGrid *op;

  const char    *temp20;
  if ((op = (vtkExtractRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractRectilinearGrid::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractRectilinearGrid_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractRectilinearGrid *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkExtractRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractRectilinearGrid::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractRectilinearGrid_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractRectilinearGrid *op;

  vtkExtractRectilinearGrid  *temp20;
  if ((op = (vtkExtractRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractRectilinearGrid::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractRectilinearGrid_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractRectilinearGrid  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractRectilinearGrid::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractRectilinearGrid_SetVOI(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractRectilinearGrid *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ((op = (vtkExtractRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractRectilinearGrid::SetVOI(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetVOI(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtractRectilinearGrid *op;

  int    temp0[6];
  PyErr_Clear();
  if ((op = (vtkExtractRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractRectilinearGrid::SetVOI(temp0);
      }
    else
      {
      op->SetVOI(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractRectilinearGrid_GetVOI(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractRectilinearGrid *op;

  int     *temp20;
  if ((op = (vtkExtractRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractRectilinearGrid::GetVOI();
      }
    else
      {
      temp20 = op->GetVOI();
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractRectilinearGrid_SetSampleRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractRectilinearGrid *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkExtractRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractRectilinearGrid::SetSampleRate(temp0,temp1,temp2);
      }
    else
      {
      op->SetSampleRate(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtractRectilinearGrid *op;

  int    temp0[3];
  PyErr_Clear();
  if ((op = (vtkExtractRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractRectilinearGrid::SetSampleRate(temp0);
      }
    else
      {
      op->SetSampleRate(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractRectilinearGrid_GetSampleRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractRectilinearGrid *op;

  int     *temp20;
  if ((op = (vtkExtractRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractRectilinearGrid::GetSampleRate();
      }
    else
      {
      temp20 = op->GetSampleRate();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractRectilinearGrid_SetIncludeBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractRectilinearGrid *op;

  int      temp0;
  if ((op = (vtkExtractRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractRectilinearGrid::SetIncludeBoundary(temp0);
      }
    else
      {
      op->SetIncludeBoundary(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractRectilinearGrid_GetIncludeBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractRectilinearGrid *op;

  int      temp20;
  if ((op = (vtkExtractRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractRectilinearGrid::GetIncludeBoundary();
      }
    else
      {
      temp20 = op->GetIncludeBoundary();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractRectilinearGrid_IncludeBoundaryOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractRectilinearGrid *op;

  if ((op = (vtkExtractRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractRectilinearGrid::IncludeBoundaryOn();
      }
    else
      {
      op->IncludeBoundaryOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractRectilinearGrid_IncludeBoundaryOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractRectilinearGrid *op;

  if ((op = (vtkExtractRectilinearGrid *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractRectilinearGrid::IncludeBoundaryOff();
      }
    else
      {
      op->IncludeBoundaryOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractRectilinearGridMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractRectilinearGrid_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractRectilinearGrid_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractRectilinearGrid_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractRectilinearGrid\nC++: vtkExtractRectilinearGrid *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractRectilinearGrid_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractRectilinearGrid\nC++: vtkExtractRectilinearGrid *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVOI",                (PyCFunction)PyvtkExtractRectilinearGrid_SetVOI, 1,
   (char*)"V.SetVOI(int, int, int, int, int, int)\nC++: void SetVOI (int , int , int , int , int , int );\nV.SetVOI((int, int, int, int, int, int))\nC++: void SetVOI (int  a[6]);\n\n Specify i-j-k (min,max) pairs to extract. The resulting structured grid\n dataset can be of any topological dimension (i.e., point, line, plane,\n or 3D grid). \n"},
  {(char*)"GetVOI",                (PyCFunction)PyvtkExtractRectilinearGrid_GetVOI, 1,
   (char*)"V.GetVOI() -> (int, int, int, int, int, int)\nC++: int  *GetVOI ();\n\n Specify i-j-k (min,max) pairs to extract. The resulting structured grid\n dataset can be of any topological dimension (i.e., point, line, plane,\n or 3D grid). \n"},
  {(char*)"SetSampleRate",                (PyCFunction)PyvtkExtractRectilinearGrid_SetSampleRate, 1,
   (char*)"V.SetSampleRate(int, int, int)\nC++: void SetSampleRate (int , int , int );\nV.SetSampleRate((int, int, int))\nC++: void SetSampleRate (int  a[3]);\n\n Set the sampling rate in the i, j, and k directions. If the rate is > 1,\n then the resulting VOI will be subsampled representation of the input.\n For example, if the SampleRate=(2,2,2), every other point will be\n selected, resulting in a volume 1/8th the original size.\n"},
  {(char*)"GetSampleRate",                (PyCFunction)PyvtkExtractRectilinearGrid_GetSampleRate, 1,
   (char*)"V.GetSampleRate() -> (int, int, int)\nC++: int  *GetSampleRate ();\n\n Set the sampling rate in the i, j, and k directions. If the rate is > 1,\n then the resulting VOI will be subsampled representation of the input.\n For example, if the SampleRate=(2,2,2), every other point will be\n selected, resulting in a volume 1/8th the original size.\n"},
  {(char*)"SetIncludeBoundary",                (PyCFunction)PyvtkExtractRectilinearGrid_SetIncludeBoundary, 1,
   (char*)"V.SetIncludeBoundary(int)\nC++: void SetIncludeBoundary (int );\n\n Control whether to enforce that the \"boundary\" of the grid is output in\n the subsampling process. (This ivar only has effect when the SampleRate\n in any direction is not equal to 1.) When this ivar IncludeBoundary is\n on, the subsampling will always include the boundary of the grid even\n though the sample rate is not an even multiple of the grid\n dimensions. (By default IncludeBoundary is off.)\n"},
  {(char*)"GetIncludeBoundary",                (PyCFunction)PyvtkExtractRectilinearGrid_GetIncludeBoundary, 1,
   (char*)"V.GetIncludeBoundary() -> int\nC++: int GetIncludeBoundary ();\n\n Control whether to enforce that the \"boundary\" of the grid is output in\n the subsampling process. (This ivar only has effect when the SampleRate\n in any direction is not equal to 1.) When this ivar IncludeBoundary is\n on, the subsampling will always include the boundary of the grid even\n though the sample rate is not an even multiple of the grid\n dimensions. (By default IncludeBoundary is off.)\n"},
  {(char*)"IncludeBoundaryOn",                (PyCFunction)PyvtkExtractRectilinearGrid_IncludeBoundaryOn, 1,
   (char*)"V.IncludeBoundaryOn()\nC++: void IncludeBoundaryOn ();\n\n Control whether to enforce that the \"boundary\" of the grid is output in\n the subsampling process. (This ivar only has effect when the SampleRate\n in any direction is not equal to 1.) When this ivar IncludeBoundary is\n on, the subsampling will always include the boundary of the grid even\n though the sample rate is not an even multiple of the grid\n dimensions. (By default IncludeBoundary is off.)\n"},
  {(char*)"IncludeBoundaryOff",                (PyCFunction)PyvtkExtractRectilinearGrid_IncludeBoundaryOff, 1,
   (char*)"V.IncludeBoundaryOff()\nC++: void IncludeBoundaryOff ();\n\n Control whether to enforce that the \"boundary\" of the grid is output in\n the subsampling process. (This ivar only has effect when the SampleRate\n in any direction is not equal to 1.) When this ivar IncludeBoundary is\n on, the subsampling will always include the boundary of the grid even\n though the sample rate is not an even multiple of the grid\n dimensions. (By default IncludeBoundary is off.)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractRectilinearGridDoc[] = {
  (char*)"vtkExtractRectilinearGrid - Extract a sub grid (VOI) from the structured rectilinear dataset.\n\n",
  "Super Class:\n\n vtkRectilinearGridAlgorithm\n\n",
  (char*)" vtkExtractRectilinearGrid rounds out the set of filters that extract\n a subgrid out of a larger structured data set.  RIght now, this filter\n only supports extracting a VOI.  In the future, it might support\n strides like the vtkExtract grid filter.\n\n",
  "See Also:\n\n vtkExtractGrid vtkImageClip vtkGeometryFilter vtkExtractGeometry vtkExtractVOI \n vtkStructuredGridGeometryFilter\n\n",
  NULL
};

static vtkObjectBase *vtkExtractRectilinearGridStaticNew()
{
  return vtkExtractRectilinearGrid::New();
}

PyObject *PyVTKClass_vtkExtractRectilinearGridNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractRectilinearGridStaticNew,
                        PyvtkExtractRectilinearGridMethods,
                        (char*)"vtkExtractRectilinearGrid",modulename,
                        (char**)vtkExtractRectilinearGridDoc,
                        PyVTKClass_vtkRectilinearGridAlgorithmNew(modulename));
}

