// tcl wrapper for vtkExtractTensorComponents object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExtractTensorComponents.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkExtractTensorComponentsNewCommand()
{
  vtkExtractTensorComponents *temp = vtkExtractTensorComponents::New();
  return ((ClientData)temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExtractTensorComponentsCppCommand(vtkExtractTensorComponents *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExtractTensorComponentsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExtractTensorComponentsCppCommand((vtkExtractTensorComponents *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExtractTensorComponentsCppCommand(vtkExtractTensorComponents *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExtractTensorComponents",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand((vtkDataSetAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkDataSetAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExtractTensorComponents  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkExtractTensorComponents");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkExtractTensorComponents  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkExtractTensorComponents");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkExtractTensorComponents  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkExtractTensorComponents");
    return TCL_OK;
    }
  if ((!strcmp("SetPassTensorsToOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPassTensorsToOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPassTensorsToOutput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPassTensorsToOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PassTensorsToOutputOn",argv[1]))&&(argc == 2))
    {
    op->PassTensorsToOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassTensorsToOutputOff",argv[1]))&&(argc == 2))
    {
    op->PassTensorsToOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExtractScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtractScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExtractScalarsOn",argv[1]))&&(argc == 2))
    {
    op->ExtractScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExtractScalarsOff",argv[1]))&&(argc == 2))
    {
    op->ExtractScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarComponents",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetScalarComponents(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarComponents",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetScalarComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarComponents",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetScalarComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToComponent",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToComponent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToEffectiveStress",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToEffectiveStress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToDeterminant",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToDeterminant();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarIsComponent",argv[1]))&&(argc == 2))
    {
    op->ScalarIsComponent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarIsEffectiveStress",argv[1]))&&(argc == 2))
    {
    op->ScalarIsEffectiveStress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarIsDeterminant",argv[1]))&&(argc == 2))
    {
    op->ScalarIsDeterminant();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractVectors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExtractVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtractVectors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractVectors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExtractVectorsOn",argv[1]))&&(argc == 2))
    {
    op->ExtractVectorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExtractVectorsOff",argv[1]))&&(argc == 2))
    {
    op->ExtractVectorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorComponents",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetVectorComponents(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVectorComponents",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetVectorComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorComponents",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetVectorComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExtractNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtractNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExtractNormalsOn",argv[1]))&&(argc == 2))
    {
    op->ExtractNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExtractNormalsOff",argv[1]))&&(argc == 2))
    {
    op->ExtractNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalizeNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalizeNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalizeNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalizeNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalizeNormalsOn",argv[1]))&&(argc == 2))
    {
    op->NormalizeNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalizeNormalsOff",argv[1]))&&(argc == 2))
    {
    op->NormalizeNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalComponents",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetNormalComponents(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormalComponents",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetNormalComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalComponents",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetNormalComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetExtractTCoords",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExtractTCoords(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExtractTCoords",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExtractTCoords();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExtractTCoordsOn",argv[1]))&&(argc == 2))
    {
    op->ExtractTCoordsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExtractTCoordsOff",argv[1]))&&(argc == 2))
    {
    op->ExtractTCoordsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfTCoords",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfTCoords(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfTCoordsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTCoordsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTCoordsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTCoordsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTCoords",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTCoords();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTCoordComponents",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetTCoordComponents(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTCoordComponents",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetTCoordComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoordComponents",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetTCoordComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkExtractTensorComponentsCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExtractTensorComponents:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetPassTensorsToOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPassTensorsToOutput\n",NULL);
    Tcl_AppendResult(interp,"  PassTensorsToOutputOn\n",NULL);
    Tcl_AppendResult(interp,"  PassTensorsToOutputOff\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractScalars\n",NULL);
    Tcl_AppendResult(interp,"  ExtractScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  ExtractScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarComponents\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarComponents\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarMode\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToEffectiveStress\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToDeterminant\n",NULL);
    Tcl_AppendResult(interp,"  ScalarIsComponent\n",NULL);
    Tcl_AppendResult(interp,"  ScalarIsEffectiveStress\n",NULL);
    Tcl_AppendResult(interp,"  ScalarIsDeterminant\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractVectors\n",NULL);
    Tcl_AppendResult(interp,"  ExtractVectorsOn\n",NULL);
    Tcl_AppendResult(interp,"  ExtractVectorsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorComponents\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorComponents\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractNormals\n",NULL);
    Tcl_AppendResult(interp,"  ExtractNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  ExtractNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalizeNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalizeNormals\n",NULL);
    Tcl_AppendResult(interp,"  NormalizeNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalizeNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalComponents\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalComponents\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetExtractTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExtractTCoords\n",NULL);
    Tcl_AppendResult(interp,"  ExtractTCoordsOn\n",NULL);
    Tcl_AppendResult(interp,"  ExtractTCoordsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTCoordsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTCoordsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTCoords\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoordComponents\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoordComponents\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordComponents\n",NULL);
    return TCL_OK;
    }

  if (vtkDataSetAlgorithmCppCommand((vtkDataSetAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
