// python wrapper for vtkExtractVectorComponents object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkExtractVectorComponents.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractVectorComponentsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractVectorComponentsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkExtractVectorComponents_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVectorComponents *op;

  const char    *temp20;
  if ((op = (vtkExtractVectorComponents *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractVectorComponents::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVectorComponents_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVectorComponents *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkExtractVectorComponents *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractVectorComponents::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVectorComponents_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVectorComponents *op;

  vtkExtractVectorComponents  *temp20;
  if ((op = (vtkExtractVectorComponents *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractVectorComponents::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVectorComponents_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractVectorComponents  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractVectorComponents::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractVectorComponents_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVectorComponents *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkExtractVectorComponents *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractVectorComponents::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkExtractVectorComponents_GetVxComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVectorComponents *op;

  vtkDataSet  *temp20;
  if ((op = (vtkExtractVectorComponents *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractVectorComponents::GetVxComponent();
      }
    else
      {
      temp20 = op->GetVxComponent();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVectorComponents_GetVyComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVectorComponents *op;

  vtkDataSet  *temp20;
  if ((op = (vtkExtractVectorComponents *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractVectorComponents::GetVyComponent();
      }
    else
      {
      temp20 = op->GetVyComponent();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVectorComponents_GetVzComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVectorComponents *op;

  vtkDataSet  *temp20;
  if ((op = (vtkExtractVectorComponents *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractVectorComponents::GetVzComponent();
      }
    else
      {
      temp20 = op->GetVzComponent();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVectorComponents_SetExtractToFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVectorComponents *op;

  int      temp0;
  if ((op = (vtkExtractVectorComponents *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractVectorComponents::SetExtractToFieldData(temp0);
      }
    else
      {
      op->SetExtractToFieldData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVectorComponents_GetExtractToFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVectorComponents *op;

  int      temp20;
  if ((op = (vtkExtractVectorComponents *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractVectorComponents::GetExtractToFieldData();
      }
    else
      {
      temp20 = op->GetExtractToFieldData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVectorComponents_ExtractToFieldDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVectorComponents *op;

  if ((op = (vtkExtractVectorComponents *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractVectorComponents::ExtractToFieldDataOn();
      }
    else
      {
      op->ExtractToFieldDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVectorComponents_ExtractToFieldDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVectorComponents *op;

  if ((op = (vtkExtractVectorComponents *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractVectorComponents::ExtractToFieldDataOff();
      }
    else
      {
      op->ExtractToFieldDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractVectorComponentsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractVectorComponents_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractVectorComponents_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractVectorComponents_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractVectorComponents\nC++: vtkExtractVectorComponents *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractVectorComponents_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractVectorComponents\nC++: vtkExtractVectorComponents *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkExtractVectorComponents_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: virtual void SetInput (vtkDataSet *input);\n\n Specify the input data or filter.\n"},
  {(char*)"GetVxComponent",                (PyCFunction)PyvtkExtractVectorComponents_GetVxComponent, 1,
   (char*)"V.GetVxComponent() -> vtkDataSet\nC++: vtkDataSet *GetVxComponent ();\n\n Get the output dataset representing velocity x-component. If output is\n NULL then input hasn't been set, which is necessary for abstract\n objects. (Note: this method returns the same information as the\n GetOutput() method with an index of 0.)\n"},
  {(char*)"GetVyComponent",                (PyCFunction)PyvtkExtractVectorComponents_GetVyComponent, 1,
   (char*)"V.GetVyComponent() -> vtkDataSet\nC++: vtkDataSet *GetVyComponent ();\n\n Get the output dataset representing velocity y-component. If output is\n NULL then input hasn't been set, which is necessary for abstract\n objects. (Note: this method returns the same information as the\n GetOutput() method with an index of 1.)\n Note that if ExtractToFieldData is true, this output will be empty.\n"},
  {(char*)"GetVzComponent",                (PyCFunction)PyvtkExtractVectorComponents_GetVzComponent, 1,
   (char*)"V.GetVzComponent() -> vtkDataSet\nC++: vtkDataSet *GetVzComponent ();\n\n Get the output dataset representing velocity z-component. If output is\n NULL then input hasn't been set, which is necessary for abstract\n objects. (Note: this method returns the same information as the\n GetOutput() method with an index of 2.)\n Note that if ExtractToFieldData is true, this output will be empty.\n"},
  {(char*)"SetExtractToFieldData",                (PyCFunction)PyvtkExtractVectorComponents_SetExtractToFieldData, 1,
   (char*)"V.SetExtractToFieldData(int)\nC++: void SetExtractToFieldData (int );\n\n Determines whether the vector components will be put\n in separate outputs or in the first output's field data\n"},
  {(char*)"GetExtractToFieldData",                (PyCFunction)PyvtkExtractVectorComponents_GetExtractToFieldData, 1,
   (char*)"V.GetExtractToFieldData() -> int\nC++: int GetExtractToFieldData ();\n\n Determines whether the vector components will be put\n in separate outputs or in the first output's field data\n"},
  {(char*)"ExtractToFieldDataOn",                (PyCFunction)PyvtkExtractVectorComponents_ExtractToFieldDataOn, 1,
   (char*)"V.ExtractToFieldDataOn()\nC++: void ExtractToFieldDataOn ();\n\n Determines whether the vector components will be put\n in separate outputs or in the first output's field data\n"},
  {(char*)"ExtractToFieldDataOff",                (PyCFunction)PyvtkExtractVectorComponents_ExtractToFieldDataOff, 1,
   (char*)"V.ExtractToFieldDataOff()\nC++: void ExtractToFieldDataOff ();\n\n Determines whether the vector components will be put\n in separate outputs or in the first output's field data\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractVectorComponentsDoc[] = {
  (char*)"vtkExtractVectorComponents - extract components of vector as separate scalars\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkExtractVectorComponents is a filter that extracts vector components as\n separate scalars. This is accomplished by creating three different outputs.\n Each output is the same as the input, except that the scalar values will be\n one of the three components of the vector. These can be found in the\n VxComponent, VyComponent, and VzComponent.\n Alternatively, if the ExtractToFieldData flag is set, th",
  (char*)"e filter will\n put all the components in the field data. The first component will be\n the scalar and the others will be non-attribute arrays.\n\n",
  "Caveats:\n\n This filter is unusual in that it creates multiple outputs. \n If you use the GetOutput() method, you will be retrieving the x vector \n component.\n\n",
  NULL
};

static vtkObjectBase *vtkExtractVectorComponentsStaticNew()
{
  return vtkExtractVectorComponents::New();
}

PyObject *PyVTKClass_vtkExtractVectorComponentsNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractVectorComponentsStaticNew,
                        PyvtkExtractVectorComponentsMethods,
                        (char*)"vtkExtractVectorComponents",modulename,
                        (char**)vtkExtractVectorComponentsDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

