// python wrapper for vtkFeatureEdges object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkFeatureEdges.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFeatureEdgesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFeatureEdgesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkFeatureEdges_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  const char    *temp20;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureEdges::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureEdges::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  vtkFeatureEdges  *temp20;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureEdges::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFeatureEdges  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFeatureEdges::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFeatureEdges_SetBoundaryEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  int      temp0;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::SetBoundaryEdges(temp0);
      }
    else
      {
      op->SetBoundaryEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_GetBoundaryEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  int      temp20;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureEdges::GetBoundaryEdges();
      }
    else
      {
      temp20 = op->GetBoundaryEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_BoundaryEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::BoundaryEdgesOn();
      }
    else
      {
      op->BoundaryEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_BoundaryEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::BoundaryEdgesOff();
      }
    else
      {
      op->BoundaryEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_SetFeatureEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  int      temp0;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::SetFeatureEdges(temp0);
      }
    else
      {
      op->SetFeatureEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_GetFeatureEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  int      temp20;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureEdges::GetFeatureEdges();
      }
    else
      {
      temp20 = op->GetFeatureEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_FeatureEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::FeatureEdgesOn();
      }
    else
      {
      op->FeatureEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_FeatureEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::FeatureEdgesOff();
      }
    else
      {
      op->FeatureEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_SetFeatureAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  double   temp0;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::SetFeatureAngle(temp0);
      }
    else
      {
      op->SetFeatureAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_GetFeatureAngleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  double   temp20;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureEdges::GetFeatureAngleMinValue();
      }
    else
      {
      temp20 = op->GetFeatureAngleMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_GetFeatureAngleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  double   temp20;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureEdges::GetFeatureAngleMaxValue();
      }
    else
      {
      temp20 = op->GetFeatureAngleMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_GetFeatureAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  double   temp20;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureEdges::GetFeatureAngle();
      }
    else
      {
      temp20 = op->GetFeatureAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_SetNonManifoldEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  int      temp0;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::SetNonManifoldEdges(temp0);
      }
    else
      {
      op->SetNonManifoldEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_GetNonManifoldEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  int      temp20;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureEdges::GetNonManifoldEdges();
      }
    else
      {
      temp20 = op->GetNonManifoldEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_NonManifoldEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::NonManifoldEdgesOn();
      }
    else
      {
      op->NonManifoldEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_NonManifoldEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::NonManifoldEdgesOff();
      }
    else
      {
      op->NonManifoldEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_SetManifoldEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  int      temp0;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::SetManifoldEdges(temp0);
      }
    else
      {
      op->SetManifoldEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_GetManifoldEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  int      temp20;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureEdges::GetManifoldEdges();
      }
    else
      {
      temp20 = op->GetManifoldEdges();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_ManifoldEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::ManifoldEdgesOn();
      }
    else
      {
      op->ManifoldEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_ManifoldEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::ManifoldEdgesOff();
      }
    else
      {
      op->ManifoldEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_SetColoring(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  int      temp0;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::SetColoring(temp0);
      }
    else
      {
      op->SetColoring(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_GetColoring(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  int      temp20;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureEdges::GetColoring();
      }
    else
      {
      temp20 = op->GetColoring();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_ColoringOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::ColoringOn();
      }
    else
      {
      op->ColoringOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_ColoringOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::ColoringOff();
      }
    else
      {
      op->ColoringOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkFeatureEdges_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  vtkPointLocator  *temp20;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureEdges::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFeatureEdges::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFeatureEdges_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFeatureEdges *op;

  unsigned long     temp20;
  if ((op = (vtkFeatureEdges *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFeatureEdges::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFeatureEdgesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFeatureEdges_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFeatureEdges_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFeatureEdges_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFeatureEdges\nC++: vtkFeatureEdges *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFeatureEdges_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFeatureEdges\nC++: vtkFeatureEdges *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetBoundaryEdges",                (PyCFunction)PyvtkFeatureEdges_SetBoundaryEdges, 1,
   (char*)"V.SetBoundaryEdges(int)\nC++: void SetBoundaryEdges (int );\n\n Turn on/off the extraction of boundary edges.\n"},
  {(char*)"GetBoundaryEdges",                (PyCFunction)PyvtkFeatureEdges_GetBoundaryEdges, 1,
   (char*)"V.GetBoundaryEdges() -> int\nC++: int GetBoundaryEdges ();\n\n Turn on/off the extraction of boundary edges.\n"},
  {(char*)"BoundaryEdgesOn",                (PyCFunction)PyvtkFeatureEdges_BoundaryEdgesOn, 1,
   (char*)"V.BoundaryEdgesOn()\nC++: void BoundaryEdgesOn ();\n\n Turn on/off the extraction of boundary edges.\n"},
  {(char*)"BoundaryEdgesOff",                (PyCFunction)PyvtkFeatureEdges_BoundaryEdgesOff, 1,
   (char*)"V.BoundaryEdgesOff()\nC++: void BoundaryEdgesOff ();\n\n Turn on/off the extraction of boundary edges.\n"},
  {(char*)"SetFeatureEdges",                (PyCFunction)PyvtkFeatureEdges_SetFeatureEdges, 1,
   (char*)"V.SetFeatureEdges(int)\nC++: void SetFeatureEdges (int );\n\n Turn on/off the extraction of feature edges.\n"},
  {(char*)"GetFeatureEdges",                (PyCFunction)PyvtkFeatureEdges_GetFeatureEdges, 1,
   (char*)"V.GetFeatureEdges() -> int\nC++: int GetFeatureEdges ();\n\n Turn on/off the extraction of feature edges.\n"},
  {(char*)"FeatureEdgesOn",                (PyCFunction)PyvtkFeatureEdges_FeatureEdgesOn, 1,
   (char*)"V.FeatureEdgesOn()\nC++: void FeatureEdgesOn ();\n\n Turn on/off the extraction of feature edges.\n"},
  {(char*)"FeatureEdgesOff",                (PyCFunction)PyvtkFeatureEdges_FeatureEdgesOff, 1,
   (char*)"V.FeatureEdgesOff()\nC++: void FeatureEdgesOff ();\n\n Turn on/off the extraction of feature edges.\n"},
  {(char*)"SetFeatureAngle",                (PyCFunction)PyvtkFeatureEdges_SetFeatureAngle, 1,
   (char*)"V.SetFeatureAngle(float)\nC++: void SetFeatureAngle (double );\n\n Specify the feature angle for extracting feature edges.\n"},
  {(char*)"GetFeatureAngleMinValue",                (PyCFunction)PyvtkFeatureEdges_GetFeatureAngleMinValue, 1,
   (char*)"V.GetFeatureAngleMinValue() -> float\nC++: double GetFeatureAngleMinValue ();\n\n Specify the feature angle for extracting feature edges.\n"},
  {(char*)"GetFeatureAngleMaxValue",                (PyCFunction)PyvtkFeatureEdges_GetFeatureAngleMaxValue, 1,
   (char*)"V.GetFeatureAngleMaxValue() -> float\nC++: double GetFeatureAngleMaxValue ();\n\n Specify the feature angle for extracting feature edges.\n"},
  {(char*)"GetFeatureAngle",                (PyCFunction)PyvtkFeatureEdges_GetFeatureAngle, 1,
   (char*)"V.GetFeatureAngle() -> float\nC++: double GetFeatureAngle ();\n\n Specify the feature angle for extracting feature edges.\n"},
  {(char*)"SetNonManifoldEdges",                (PyCFunction)PyvtkFeatureEdges_SetNonManifoldEdges, 1,
   (char*)"V.SetNonManifoldEdges(int)\nC++: void SetNonManifoldEdges (int );\n\n Turn on/off the extraction of non-manifold edges.\n"},
  {(char*)"GetNonManifoldEdges",                (PyCFunction)PyvtkFeatureEdges_GetNonManifoldEdges, 1,
   (char*)"V.GetNonManifoldEdges() -> int\nC++: int GetNonManifoldEdges ();\n\n Turn on/off the extraction of non-manifold edges.\n"},
  {(char*)"NonManifoldEdgesOn",                (PyCFunction)PyvtkFeatureEdges_NonManifoldEdgesOn, 1,
   (char*)"V.NonManifoldEdgesOn()\nC++: void NonManifoldEdgesOn ();\n\n Turn on/off the extraction of non-manifold edges.\n"},
  {(char*)"NonManifoldEdgesOff",                (PyCFunction)PyvtkFeatureEdges_NonManifoldEdgesOff, 1,
   (char*)"V.NonManifoldEdgesOff()\nC++: void NonManifoldEdgesOff ();\n\n Turn on/off the extraction of non-manifold edges.\n"},
  {(char*)"SetManifoldEdges",                (PyCFunction)PyvtkFeatureEdges_SetManifoldEdges, 1,
   (char*)"V.SetManifoldEdges(int)\nC++: void SetManifoldEdges (int );\n\n Turn on/off the extraction of manifold edges.\n"},
  {(char*)"GetManifoldEdges",                (PyCFunction)PyvtkFeatureEdges_GetManifoldEdges, 1,
   (char*)"V.GetManifoldEdges() -> int\nC++: int GetManifoldEdges ();\n\n Turn on/off the extraction of manifold edges.\n"},
  {(char*)"ManifoldEdgesOn",                (PyCFunction)PyvtkFeatureEdges_ManifoldEdgesOn, 1,
   (char*)"V.ManifoldEdgesOn()\nC++: void ManifoldEdgesOn ();\n\n Turn on/off the extraction of manifold edges.\n"},
  {(char*)"ManifoldEdgesOff",                (PyCFunction)PyvtkFeatureEdges_ManifoldEdgesOff, 1,
   (char*)"V.ManifoldEdgesOff()\nC++: void ManifoldEdgesOff ();\n\n Turn on/off the extraction of manifold edges.\n"},
  {(char*)"SetColoring",                (PyCFunction)PyvtkFeatureEdges_SetColoring, 1,
   (char*)"V.SetColoring(int)\nC++: void SetColoring (int );\n\n Turn on/off the coloring of edges by type.\n"},
  {(char*)"GetColoring",                (PyCFunction)PyvtkFeatureEdges_GetColoring, 1,
   (char*)"V.GetColoring() -> int\nC++: int GetColoring ();\n\n Turn on/off the coloring of edges by type.\n"},
  {(char*)"ColoringOn",                (PyCFunction)PyvtkFeatureEdges_ColoringOn, 1,
   (char*)"V.ColoringOn()\nC++: void ColoringOn ();\n\n Turn on/off the coloring of edges by type.\n"},
  {(char*)"ColoringOff",                (PyCFunction)PyvtkFeatureEdges_ColoringOff, 1,
   (char*)"V.ColoringOff()\nC++: void ColoringOff ();\n\n Turn on/off the coloring of edges by type.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkFeatureEdges_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkFeatureEdges_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set / get a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkFeatureEdges_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkFeatureEdges_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return MTime also considering the locator.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFeatureEdgesDoc[] = {
  (char*)"vtkFeatureEdges - extract boundary, non-manifold, and/or sharp edges from polygonal data\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkFeatureEdges is a filter to extract special types of edges from\n input polygonal data. These edges are either 1) boundary (used by \n one polygon) or a line cell; 2) non-manifold (used by three or more \n polygons); 3) feature edges (edges used by two triangles and whose\n dihedral angle > FeatureAngle); or 4) manifold edges (edges used by\n exactly two polygons). These edges may be extracted in a",
  (char*)"ny\n combination. Edges may also be \"colored\" (i.e., scalar values assigned)\n based on edge type. The cell coloring is assigned to the cell data of\n the extracted edges.\n\n",
  "Caveats:\n\n To see the coloring of the liens you may have to set the ScalarMode\n instance variable of the mapper to SetScalarModeToUseCellData(). (This\n is only a problem if there are point data scalars.)\n\n",
  "See Also:\n\n vtkExtractEdges\n\n",
  NULL
};

static vtkObjectBase *vtkFeatureEdgesStaticNew()
{
  return vtkFeatureEdges::New();
}

PyObject *PyVTKClass_vtkFeatureEdgesNew(char *modulename)
{
  return PyVTKClass_New(&vtkFeatureEdgesStaticNew,
                        PyvtkFeatureEdgesMethods,
                        (char*)"vtkFeatureEdges",modulename,
                        (char**)vtkFeatureEdgesDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

