// python wrapper for vtkGlyph2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGlyph2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGlyph2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGlyph2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGlyph3DNew(char *); }

static PyObject *PyvtkGlyph2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph2D *op;

  const char    *temp20;
  if ((op = (vtkGlyph2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph2D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGlyph2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGlyph2D *op;

  vtkGlyph2D  *temp20;
  if ((op = (vtkGlyph2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGlyph2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGlyph2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGlyph2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGlyph2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkGlyph2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGlyph2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGlyph2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGlyph2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGlyph2D\nC++: vtkGlyph2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGlyph2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGlyph2D\nC++: vtkGlyph2D *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGlyph2DDoc[] = {
  (char*)"vtkGlyph2D - copy oriented and scaled glyph geometry to every input point (2D specialization)\n\n",
  "Super Class:\n\n vtkGlyph3D\n\n",
  (char*)" This subclass of vtkGlyph3D is a specialization to 2D. Transformations\n (i.e., translation, scaling, and rotation) are constrained to the plane.\n For example, rotations due to a vector are computed from the x-y\n coordinates of the vector only, and are assumed to occur around the\n z-axis. (See vtkGlyph3D for documentation on the interface to this\n class.)\n \n\n",
  "See Also:\n\n vtkTensorGlyph vtkGlyph3D vtkProgrammableGlyphFilter\n\n",
  NULL
};

static vtkObjectBase *vtkGlyph2DStaticNew()
{
  return vtkGlyph2D::New();
}

PyObject *PyVTKClass_vtkGlyph2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkGlyph2DStaticNew,
                        PyvtkGlyph2DMethods,
                        (char*)"vtkGlyph2D",modulename,
                        (char**)vtkGlyph2DDoc,
                        PyVTKClass_vtkGlyph3DNew(modulename));
}

