// python wrapper for vtkGraphLayoutFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGraphLayoutFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGraphLayoutFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGraphLayoutFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGraphLayoutFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  const char    *temp20;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  vtkGraphLayoutFilter  *temp20;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGraphLayoutFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGraphLayoutFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_SetGraphBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutFilter::SetGraphBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetGraphBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  double temp0[6];
  PyErr_Clear();
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutFilter::SetGraphBounds(temp0);
      }
    else
      {
      op->SetGraphBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_GetGraphBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  double  *temp20;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutFilter::GetGraphBounds();
      }
    else
      {
      temp20 = op->GetGraphBounds();
      }
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_SetAutomaticBoundsComputation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  int      temp0;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutFilter::SetAutomaticBoundsComputation(temp0);
      }
    else
      {
      op->SetAutomaticBoundsComputation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_GetAutomaticBoundsComputation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  int      temp20;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutFilter::GetAutomaticBoundsComputation();
      }
    else
      {
      temp20 = op->GetAutomaticBoundsComputation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_AutomaticBoundsComputationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutFilter::AutomaticBoundsComputationOn();
      }
    else
      {
      op->AutomaticBoundsComputationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_AutomaticBoundsComputationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutFilter::AutomaticBoundsComputationOff();
      }
    else
      {
      op->AutomaticBoundsComputationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_SetMaxNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  int      temp0;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutFilter::SetMaxNumberOfIterations(temp0);
      }
    else
      {
      op->SetMaxNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_GetMaxNumberOfIterationsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  int      temp20;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutFilter::GetMaxNumberOfIterationsMinValue();
      }
    else
      {
      temp20 = op->GetMaxNumberOfIterationsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_GetMaxNumberOfIterationsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  int      temp20;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutFilter::GetMaxNumberOfIterationsMaxValue();
      }
    else
      {
      temp20 = op->GetMaxNumberOfIterationsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_GetMaxNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  int      temp20;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutFilter::GetMaxNumberOfIterations();
      }
    else
      {
      temp20 = op->GetMaxNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_SetCoolDownRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  double   temp0;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutFilter::SetCoolDownRate(temp0);
      }
    else
      {
      op->SetCoolDownRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_GetCoolDownRateMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  double   temp20;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutFilter::GetCoolDownRateMinValue();
      }
    else
      {
      temp20 = op->GetCoolDownRateMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_GetCoolDownRateMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  double   temp20;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutFilter::GetCoolDownRateMaxValue();
      }
    else
      {
      temp20 = op->GetCoolDownRateMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_GetCoolDownRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  double   temp20;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutFilter::GetCoolDownRate();
      }
    else
      {
      temp20 = op->GetCoolDownRate();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_SetThreeDimensionalLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  int      temp0;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutFilter::SetThreeDimensionalLayout(temp0);
      }
    else
      {
      op->SetThreeDimensionalLayout(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_GetThreeDimensionalLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  int      temp20;
  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGraphLayoutFilter::GetThreeDimensionalLayout();
      }
    else
      {
      temp20 = op->GetThreeDimensionalLayout();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_ThreeDimensionalLayoutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutFilter::ThreeDimensionalLayoutOn();
      }
    else
      {
      op->ThreeDimensionalLayoutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGraphLayoutFilter_ThreeDimensionalLayoutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGraphLayoutFilter *op;

  if ((op = (vtkGraphLayoutFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGraphLayoutFilter::ThreeDimensionalLayoutOff();
      }
    else
      {
      op->ThreeDimensionalLayoutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGraphLayoutFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGraphLayoutFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGraphLayoutFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGraphLayoutFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGraphLayoutFilter\nC++: vtkGraphLayoutFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGraphLayoutFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGraphLayoutFilter\nC++: vtkGraphLayoutFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGraphBounds",                (PyCFunction)PyvtkGraphLayoutFilter_SetGraphBounds, 1,
   (char*)"V.SetGraphBounds(float, float, float, float, float, float)\nC++: void SetGraphBounds (double , double , double , double , double , double );\nV.SetGraphBounds((float, float, float, float, float, float))\nC++: void SetGraphBounds (double  a[6]);\n\n Set / get the region in space in which to place the final graph.\n The GraphBounds only affects the results if AutomaticBoundsComputation\n is off.\n"},
  {(char*)"GetGraphBounds",                (PyCFunction)PyvtkGraphLayoutFilter_GetGraphBounds, 1,
   (char*)"V.GetGraphBounds() -> (float, float, float, float, float, float)\nC++: double  *GetGraphBounds ();\n\n Set / get the region in space in which to place the final graph.\n The GraphBounds only affects the results if AutomaticBoundsComputation\n is off.\n"},
  {(char*)"SetAutomaticBoundsComputation",                (PyCFunction)PyvtkGraphLayoutFilter_SetAutomaticBoundsComputation, 1,
   (char*)"V.SetAutomaticBoundsComputation(int)\nC++: void SetAutomaticBoundsComputation (int );\n\n Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n"},
  {(char*)"GetAutomaticBoundsComputation",                (PyCFunction)PyvtkGraphLayoutFilter_GetAutomaticBoundsComputation, 1,
   (char*)"V.GetAutomaticBoundsComputation() -> int\nC++: int GetAutomaticBoundsComputation ();\n\n Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n"},
  {(char*)"AutomaticBoundsComputationOn",                (PyCFunction)PyvtkGraphLayoutFilter_AutomaticBoundsComputationOn, 1,
   (char*)"V.AutomaticBoundsComputationOn()\nC++: void AutomaticBoundsComputationOn ();\n\n Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n"},
  {(char*)"AutomaticBoundsComputationOff",                (PyCFunction)PyvtkGraphLayoutFilter_AutomaticBoundsComputationOff, 1,
   (char*)"V.AutomaticBoundsComputationOff()\nC++: void AutomaticBoundsComputationOff ();\n\n Turn on/off automatic graph bounds calculation. If this\n boolean is off, then the manually specified GraphBounds is used.\n If on, then the input's bounds us used as the graph bounds.\n"},
  {(char*)"SetMaxNumberOfIterations",                (PyCFunction)PyvtkGraphLayoutFilter_SetMaxNumberOfIterations, 1,
   (char*)"V.SetMaxNumberOfIterations(int)\nC++: void SetMaxNumberOfIterations (int );\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n"},
  {(char*)"GetMaxNumberOfIterationsMinValue",                (PyCFunction)PyvtkGraphLayoutFilter_GetMaxNumberOfIterationsMinValue, 1,
   (char*)"V.GetMaxNumberOfIterationsMinValue() -> int\nC++: int GetMaxNumberOfIterationsMinValue ();\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n"},
  {(char*)"GetMaxNumberOfIterationsMaxValue",                (PyCFunction)PyvtkGraphLayoutFilter_GetMaxNumberOfIterationsMaxValue, 1,
   (char*)"V.GetMaxNumberOfIterationsMaxValue() -> int\nC++: int GetMaxNumberOfIterationsMaxValue ();\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n"},
  {(char*)"GetMaxNumberOfIterations",                (PyCFunction)PyvtkGraphLayoutFilter_GetMaxNumberOfIterations, 1,
   (char*)"V.GetMaxNumberOfIterations() -> int\nC++: int GetMaxNumberOfIterations ();\n\n Set/Get the maximum number of iterations to be used.\n The higher this number, the more iterations through the algorithm\n is possible, and thus, the more the graph gets modified.\n"},
  {(char*)"SetCoolDownRate",                (PyCFunction)PyvtkGraphLayoutFilter_SetCoolDownRate, 1,
   (char*)"V.SetCoolDownRate(float)\nC++: void SetCoolDownRate (double );\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified.\n"},
  {(char*)"GetCoolDownRateMinValue",                (PyCFunction)PyvtkGraphLayoutFilter_GetCoolDownRateMinValue, 1,
   (char*)"V.GetCoolDownRateMinValue() -> float\nC++: double GetCoolDownRateMinValue ();\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified.\n"},
  {(char*)"GetCoolDownRateMaxValue",                (PyCFunction)PyvtkGraphLayoutFilter_GetCoolDownRateMaxValue, 1,
   (char*)"V.GetCoolDownRateMaxValue() -> float\nC++: double GetCoolDownRateMaxValue ();\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified.\n"},
  {(char*)"GetCoolDownRate",                (PyCFunction)PyvtkGraphLayoutFilter_GetCoolDownRate, 1,
   (char*)"V.GetCoolDownRate() -> float\nC++: double GetCoolDownRate ();\n\n Set/Get the Cool-down rate.\n The higher this number is, the longer it will take to \"cool-down\",\n and thus, the more the graph will be modified.\n"},
  {(char*)"SetThreeDimensionalLayout",                (PyCFunction)PyvtkGraphLayoutFilter_SetThreeDimensionalLayout, 1,
   (char*)"V.SetThreeDimensionalLayout(int)\nC++: void SetThreeDimensionalLayout (int );\n\n"},
  {(char*)"GetThreeDimensionalLayout",                (PyCFunction)PyvtkGraphLayoutFilter_GetThreeDimensionalLayout, 1,
   (char*)"V.GetThreeDimensionalLayout() -> int\nC++: int GetThreeDimensionalLayout ();\n\n"},
  {(char*)"ThreeDimensionalLayoutOn",                (PyCFunction)PyvtkGraphLayoutFilter_ThreeDimensionalLayoutOn, 1,
   (char*)"V.ThreeDimensionalLayoutOn()\nC++: void ThreeDimensionalLayoutOn ();\n\n"},
  {(char*)"ThreeDimensionalLayoutOff",                (PyCFunction)PyvtkGraphLayoutFilter_ThreeDimensionalLayoutOff, 1,
   (char*)"V.ThreeDimensionalLayoutOff()\nC++: void ThreeDimensionalLayoutOff ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGraphLayoutFilterDoc[] = {
  (char*)"vtkGraphLayoutFilter - nice layout of undirected graphs in 3D\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkGraphLayoutFilter will reposition a network of nodes, connected by\n lines or polylines, into a more pleasing arrangement. The class \n implements a simple force-directed placement algorithm \n (Fruchterman & Reingold \"Graph Drawing by Force-directed Placement\" \n Software-Practice and Experience 21(11) 1991).\n\n The input to the filter is a vtkPolyData representing the undirected \n graphs. A graph",
  (char*)" is represented by a set of polylines and/or lines. \n The output is also a vtkPolyData, where the point positions have been \n modified. To use the filter, specify whether you wish the layout to \n occur in 2D or 3D; the bounds in which the graph should lie (note that you\n can just use automatic bounds computation); and modify the cool down\n rate (controls the final process of simulated annealing).\n\n",
  NULL
};

static vtkObjectBase *vtkGraphLayoutFilterStaticNew()
{
  return vtkGraphLayoutFilter::New();
}

PyObject *PyVTKClass_vtkGraphLayoutFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGraphLayoutFilterStaticNew,
                        PyvtkGraphLayoutFilterMethods,
                        (char*)"vtkGraphLayoutFilter",modulename,
                        (char**)vtkGraphLayoutFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

