// python wrapper for vtkHierarchicalDataExtractLevel object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkHierarchicalDataExtractLevel.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalDataExtractLevelNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalDataExtractLevelNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHierarchicalDataSetAlgorithmNew(char *); }

static PyObject *PyvtkHierarchicalDataExtractLevel_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractLevel *op;

  const char    *temp20;
  if ((op = (vtkHierarchicalDataExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataExtractLevel::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractLevel_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractLevel *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkHierarchicalDataExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataExtractLevel::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractLevel_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractLevel *op;

  vtkHierarchicalDataExtractLevel  *temp20;
  if ((op = (vtkHierarchicalDataExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataExtractLevel::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractLevel_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalDataExtractLevel  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalDataExtractLevel::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractLevel_SetMinLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractLevel *op;

  unsigned int      temp0;
  if ((op = (vtkHierarchicalDataExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataExtractLevel::SetMinLevel(temp0);
      }
    else
      {
      op->SetMinLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractLevel_GetMinLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractLevel *op;

  unsigned int      temp20;
  if ((op = (vtkHierarchicalDataExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataExtractLevel::GetMinLevel();
      }
    else
      {
      temp20 = op->GetMinLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractLevel_SetMaxLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractLevel *op;

  unsigned int      temp0;
  if ((op = (vtkHierarchicalDataExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataExtractLevel::SetMaxLevel(temp0);
      }
    else
      {
      op->SetMaxLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractLevel_GetMaxLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractLevel *op;

  unsigned int      temp20;
  if ((op = (vtkHierarchicalDataExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataExtractLevel::GetMaxLevel();
      }
    else
      {
      temp20 = op->GetMaxLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractLevel_SetLevelRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractLevel *op;

  unsigned int      temp0;
  unsigned int      temp1;
  if ((op = (vtkHierarchicalDataExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalDataExtractLevel::SetLevelRange(temp0,temp1);
      }
    else
      {
      op->SetLevelRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataExtractLevel_GetInputLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataExtractLevel *op;

  int     *temp20;
  if ((op = (vtkHierarchicalDataExtractLevel *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataExtractLevel::GetInputLevels();
      }
    else
      {
      temp20 = op->GetInputLevels();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHierarchicalDataExtractLevelMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalDataExtractLevel_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalDataExtractLevel_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalDataExtractLevel_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalDataExtractLevel\nC++: vtkHierarchicalDataExtractLevel *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalDataExtractLevel_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalDataExtractLevel\nC++: vtkHierarchicalDataExtractLevel *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMinLevel",                (PyCFunction)PyvtkHierarchicalDataExtractLevel_SetMinLevel, 1,
   (char*)"V.SetMinLevel(int)\nC++: void SetMinLevel (unsigned int );\n\n Minimum level to be extacted\n"},
  {(char*)"GetMinLevel",                (PyCFunction)PyvtkHierarchicalDataExtractLevel_GetMinLevel, 1,
   (char*)"V.GetMinLevel() -> int\nC++: int unsigned GetMinLevel ();\n\n Minimum level to be extacted\n"},
  {(char*)"SetMaxLevel",                (PyCFunction)PyvtkHierarchicalDataExtractLevel_SetMaxLevel, 1,
   (char*)"V.SetMaxLevel(int)\nC++: void SetMaxLevel (unsigned int );\n\n Maximum level to be extacted\n"},
  {(char*)"GetMaxLevel",                (PyCFunction)PyvtkHierarchicalDataExtractLevel_GetMaxLevel, 1,
   (char*)"V.GetMaxLevel() -> int\nC++: int unsigned GetMaxLevel ();\n\n Maximum level to be extacted\n"},
  {(char*)"SetLevelRange",                (PyCFunction)PyvtkHierarchicalDataExtractLevel_SetLevelRange, 1,
   (char*)"V.SetLevelRange(int, int)\nC++: void SetLevelRange (unsigned int min, unsigned int max);this SetMinLevel min this SetMaxLevel max \n\n Returns input min (always 0) and max levels.\n"},
  {(char*)"GetInputLevels",                (PyCFunction)PyvtkHierarchicalDataExtractLevel_GetInputLevels, 1,
   (char*)"V.GetInputLevels() -> (int, int)\nC++: int  *GetInputLevels ();\n\n Returns input min (always 0) and max levels.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalDataExtractLevelDoc[] = {
  (char*)"vtkHierarchicalDataExtractLevel - extact levels between min and max\n\n",
  "Super Class:\n\n vtkHierarchicalDataSetAlgorithm\n\n",
  (char*)" vtkHierarchicalDataExtractLevel is a filter to that extracts levels\n between user specified min and max.\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalDataExtractLevelStaticNew()
{
  return vtkHierarchicalDataExtractLevel::New();
}

PyObject *PyVTKClass_vtkHierarchicalDataExtractLevelNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalDataExtractLevelStaticNew,
                        PyvtkHierarchicalDataExtractLevelMethods,
                        (char*)"vtkHierarchicalDataExtractLevel",modulename,
                        (char**)vtkHierarchicalDataExtractLevelDoc,
                        PyVTKClass_vtkHierarchicalDataSetAlgorithmNew(modulename));
}

