// python wrapper for vtkHierarchicalDataLevelFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkHierarchicalDataLevelFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalDataLevelFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalDataLevelFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHierarchicalDataSetAlgorithmNew(char *); }

static PyObject *PyvtkHierarchicalDataLevelFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataLevelFilter *op;

  const char    *temp20;
  if ((op = (vtkHierarchicalDataLevelFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataLevelFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataLevelFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataLevelFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkHierarchicalDataLevelFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataLevelFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataLevelFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalDataLevelFilter *op;

  vtkHierarchicalDataLevelFilter  *temp20;
  if ((op = (vtkHierarchicalDataLevelFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalDataLevelFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalDataLevelFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalDataLevelFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalDataLevelFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkHierarchicalDataLevelFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalDataLevelFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalDataLevelFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalDataLevelFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalDataLevelFilter\nC++: vtkHierarchicalDataLevelFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalDataLevelFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalDataLevelFilter\nC++: vtkHierarchicalDataLevelFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalDataLevelFilterDoc[] = {
  (char*)"vtkHierarchicalDataLevelFilter - generate scalars from levels\n\n",
  "Super Class:\n\n vtkHierarchicalDataSetAlgorithm\n\n",
  (char*)" vtkHierarchicalDataLevelFilter is a filter to that generates scalars \n using hiearchical data level information.\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalDataLevelFilterStaticNew()
{
  return vtkHierarchicalDataLevelFilter::New();
}

PyObject *PyVTKClass_vtkHierarchicalDataLevelFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalDataLevelFilterStaticNew,
                        PyvtkHierarchicalDataLevelFilterMethods,
                        (char*)"vtkHierarchicalDataLevelFilter",modulename,
                        (char**)vtkHierarchicalDataLevelFilterDoc,
                        PyVTKClass_vtkHierarchicalDataSetAlgorithmNew(modulename));
}

