// python wrapper for vtkHull object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkHull.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHullNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHullNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkHull_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHull *op;

  const char    *temp20;
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHull::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHull_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHull *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHull::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHull_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHull *op;

  vtkHull  *temp20;
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHull::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHull_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHull  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHull::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHull_RemoveAllPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHull *op;

  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHull::RemoveAllPlanes();
      }
    else
      {
      op->RemoveAllPlanes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHull_AddPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHull *op;

  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHull::AddPlane(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->AddPlane(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkHull *op;

  double temp0[3];
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHull::AddPlane(temp0);
      }
    else
      {
      temp20 = op->AddPlane(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkHull *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHull::AddPlane(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->AddPlane(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkHull *op;

  double temp0[3];
  double   temp1;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)d", temp0 + 0, temp0 + 1, temp0 + 2, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHull::AddPlane(temp0,temp1);
      }
    else
      {
      temp20 = op->AddPlane(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHull_SetPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHull *op;

  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"iddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHull::SetPlane(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetPlane(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHull *op;

  int      temp0;
  double temp1[3];
  PyErr_Clear();
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHull::SetPlane(temp0,temp1);
      }
    else
      {
      op->SetPlane(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHull *op;

  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  PyErr_Clear();
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"idddd", &temp0, &temp1, &temp2, &temp3, &temp4)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHull::SetPlane(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->SetPlane(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHull *op;

  int      temp0;
  double temp1[3];
  double   temp2;
  PyErr_Clear();
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)d", &temp0, temp1 + 0, temp1 + 1, temp1 + 2, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHull::SetPlane(temp0,temp1,temp2);
      }
    else
      {
      op->SetPlane(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHull_SetPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHull *op;

  vtkPlanes  *temp0;
  PyObject *tempH0;
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPlanes *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlanes");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkHull::SetPlanes(temp0);
      }
    else
      {
      op->SetPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkHull_GetNumberOfPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHull *op;

  int      temp20;
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHull::GetNumberOfPlanes();
      }
    else
      {
      temp20 = op->GetNumberOfPlanes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHull_AddCubeVertexPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHull *op;

  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHull::AddCubeVertexPlanes();
      }
    else
      {
      op->AddCubeVertexPlanes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHull_AddCubeEdgePlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHull *op;

  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHull::AddCubeEdgePlanes();
      }
    else
      {
      op->AddCubeEdgePlanes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHull_AddCubeFacePlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHull *op;

  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHull::AddCubeFacePlanes();
      }
    else
      {
      op->AddCubeFacePlanes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHull_AddRecursiveSpherePlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHull *op;

  int      temp0;
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHull::AddRecursiveSpherePlanes(temp0);
      }
    else
      {
      op->AddRecursiveSpherePlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHull_GenerateHull(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHull *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  if ((op = (vtkHull *)PyArg_VTKParseTuple(self, args, (char*)"Odddddd", &tempH0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkHull::GenerateHull(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      op->GenerateHull(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}

static PyMethodDef PyvtkHullMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHull_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHull_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHull_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHull\nC++: vtkHull *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHull_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHull\nC++: vtkHull *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RemoveAllPlanes",                (PyCFunction)PyvtkHull_RemoveAllPlanes, 1,
   (char*)"V.RemoveAllPlanes()\nC++: void RemoveAllPlanes (void );\n\n Remove all planes from the current set of planes.  \n"},
  {(char*)"AddPlane",                (PyCFunction)PyvtkHull_AddPlane, 1,
   (char*)"V.AddPlane(float, float, float) -> int\nC++: int AddPlane (double A, double B, double C);\nV.AddPlane((float, float, float)) -> int\nC++: int AddPlane (double plane[3]);\nV.AddPlane(float, float, float, float) -> int\nC++: int AddPlane (double A, double B, double C, double D);\nV.AddPlane((float, float, float), float) -> int\nC++: int AddPlane (double plane[3], double D);\n\n Add a plane to the current set of planes. It will be added at the\n end of the list, and an index that can later be used to set this\n plane's normal will be returned. The values A, B, C are from the\n plane equation Ax + By + Cz + D = 0. This vector does not have to\n have unit length (but it must have a non-zero length!). If a value\n 0 > i >= -NumberOfPlanes is returned, then the plane is parallel\n with a previously inserted plane, and |-i-1| is the index of the\n plane that was previously inserted. If a value i < -NumberOfPlanes\n is returned, then the plane normal is zero length.\n"},
  {(char*)"SetPlane",                (PyCFunction)PyvtkHull_SetPlane, 1,
   (char*)"V.SetPlane(int, float, float, float)\nC++: void SetPlane (int i, double A, double B, double C);\nV.SetPlane(int, (float, float, float))\nC++: void SetPlane (int i, double plane[3]);\nV.SetPlane(int, float, float, float, float)\nC++: void SetPlane (int i, double A, double B, double C, double D);\nV.SetPlane(int, (float, float, float), float)\nC++: void SetPlane (int i, double plane[3], double D);\n\n Set the normal values for plane i. This is a plane that was already\n added to the current set of planes with AddPlane(), and is now being\n modified. The values A, B, C are from the plane equation \n Ax + By + Cz + D = 0. This vector does not have to have unit length.\n Note that D is set to zero, except in the case of the method taking\n a vtkPlanes* argument, where it is set to the D value defined there.\n"},
  {(char*)"SetPlanes",                (PyCFunction)PyvtkHull_SetPlanes, 1,
   (char*)"V.SetPlanes(vtkPlanes)\nC++: void SetPlanes (vtkPlanes *planes);\n\n Set all the planes at once using a vtkPlanes implicit function.\n This also sets the D value, so it can be used with GenerateHull().\n"},
  {(char*)"GetNumberOfPlanes",                (PyCFunction)PyvtkHull_GetNumberOfPlanes, 1,
   (char*)"V.GetNumberOfPlanes() -> int\nC++: int GetNumberOfPlanes ();\n\n Get the number of planes in the current set of planes.\n"},
  {(char*)"AddCubeVertexPlanes",                (PyCFunction)PyvtkHull_AddCubeVertexPlanes, 1,
   (char*)"V.AddCubeVertexPlanes()\nC++: void AddCubeVertexPlanes ();\n\n Add the 8 planes that represent the vertices of a cube - the combination\n of the three face planes connecting to a vertex - (1,1,1), (1,1,-1),\n (1,-1,1), (1,-1,1), (-1,1,1), (-1,1,-1), (-1,-1,1), (-1,-1-1).\n"},
  {(char*)"AddCubeEdgePlanes",                (PyCFunction)PyvtkHull_AddCubeEdgePlanes, 1,
   (char*)"V.AddCubeEdgePlanes()\nC++: void AddCubeEdgePlanes ();\n\n Add the 12 planes that represent the edges of a cube - halfway between\n the two connecting face planes - (1,1,0), (-1,-1,0), (-1,1,0), (1,-1,0),\n (0,1,1), (0,-1,-1), (0,1,-1), (0,-1,1), (1,0,1), (-1,0,-1),\n (1,0,-1), (-1,0,1)\n"},
  {(char*)"AddCubeFacePlanes",                (PyCFunction)PyvtkHull_AddCubeFacePlanes, 1,
   (char*)"V.AddCubeFacePlanes()\nC++: void AddCubeFacePlanes ();\n\n Add the six planes that make up the faces of a cube - (1,0,0),\n (-1, 0, 0), (0,1,0), (0,-1,0), (0,0,1), (0,0,-1)\n"},
  {(char*)"AddRecursiveSpherePlanes",                (PyCFunction)PyvtkHull_AddRecursiveSpherePlanes, 1,
   (char*)"V.AddRecursiveSpherePlanes(int)\nC++: void AddRecursiveSpherePlanes (int level);\n\n Add the planes that represent the normals of the vertices of a\n polygonal sphere formed by recursively subdividing the triangles\n in an octahedron.  Each triangle is subdivided by connecting the\n midpoints of the edges thus forming 4 smaller triangles. The\n level indicates how many subdivisions to do with a level of 0\n used to add the 6 planes from the original octahedron, level 1\n will add 18 planes, and so on.\n"},
  {(char*)"GenerateHull",                (PyCFunction)PyvtkHull_GenerateHull, 1,
   (char*)"V.GenerateHull(vtkPolyData, float, float, float, float, float, float)\nC++: void GenerateHull (vtkPolyData *pd, double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);\n\n A special method that is used to generate a polyhedron directly\n from a set of n planes. The planes that are supplied by the user\n are not squeezed towards the input data (in fact the user need\n not specify an input). To use this method, you must provide an\n instance of vtkPolyData into which the points and cells defining\n the polyhedron are placed. You must also provide a bounding box\n where you expect the resulting polyhedron to lie. This can be\n a very generous fit, it's only used to create the initial polygons\n that are eventually clipped.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHullDoc[] = {
  (char*)"vtkHull - produce an n-sided convex hull\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkHull is a filter which will produce an n-sided convex hull given a\n set of n planes. (The convex hull bounds the input polygonal data.)\n The hull is generated by squeezing the planes towards the input\n vtkPolyData, until the planes just touch the vtkPolyData. Then,\n the resulting planes are used to generate a polyhedron (i.e., hull)\n that is represented by triangles.\n\n The n planes can be defi",
  (char*)"ned in a number of ways including 1) manually \n specifying each plane; 2) choosing the six face planes of the input's\n bounding box; 3) choosing the eight vertex planes of the input's\n bounding box; 4) choosing the twelve edge planes of the input's\n bounding box; and/or 5) using a recursively subdivided octahedron.\n Note that when specifying planes, the plane normals should point\n outside of the c",
  (char*)"onvex region.\n\n The output of this filter can be used in combination with vtkLODActor \n to represent a levels-of-detail in the LOD hierarchy. Another use of\n this class is to manually specify the planes, and then generate the\n polyhedron from the planes (without squeezing the planes towards the\n input). The method GenerateHull() is used to do this.\n\n",
  NULL
};

static vtkObjectBase *vtkHullStaticNew()
{
  return vtkHull::New();
}

PyObject *PyVTKClass_vtkHullNew(char *modulename)
{
  return PyVTKClass_New(&vtkHullStaticNew,
                        PyvtkHullMethods,
                        (char*)"vtkHull",modulename,
                        (char**)vtkHullDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

