// python wrapper for vtkIdFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkIdFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIdFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIdFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkIdFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  const char    *temp20;
  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  vtkIdFilter  *temp20;
  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkIdFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkIdFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkIdFilter_SetPointIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  int      temp0;
  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdFilter::SetPointIds(temp0);
      }
    else
      {
      op->SetPointIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_GetPointIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  int      temp20;
  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdFilter::GetPointIds();
      }
    else
      {
      temp20 = op->GetPointIds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_PointIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdFilter::PointIdsOn();
      }
    else
      {
      op->PointIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_PointIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdFilter::PointIdsOff();
      }
    else
      {
      op->PointIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_SetCellIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  int      temp0;
  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdFilter::SetCellIds(temp0);
      }
    else
      {
      op->SetCellIds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_GetCellIds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  int      temp20;
  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdFilter::GetCellIds();
      }
    else
      {
      temp20 = op->GetCellIds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_CellIdsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdFilter::CellIdsOn();
      }
    else
      {
      op->CellIdsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_CellIdsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdFilter::CellIdsOff();
      }
    else
      {
      op->CellIdsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_SetFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  int      temp0;
  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdFilter::SetFieldData(temp0);
      }
    else
      {
      op->SetFieldData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_GetFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  int      temp20;
  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdFilter::GetFieldData();
      }
    else
      {
      temp20 = op->GetFieldData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_FieldDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdFilter::FieldDataOn();
      }
    else
      {
      op->FieldDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_FieldDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdFilter::FieldDataOff();
      }
    else
      {
      op->FieldDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_SetIdsArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  char    *temp0;
  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIdFilter::SetIdsArrayName(temp0);
      }
    else
      {
      op->SetIdsArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIdFilter_GetIdsArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIdFilter *op;

  char    *temp20;
  if ((op = (vtkIdFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIdFilter::GetIdsArrayName();
      }
    else
      {
      temp20 = op->GetIdsArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkIdFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkIdFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkIdFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkIdFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIdFilter\nC++: vtkIdFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkIdFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkIdFilter\nC++: vtkIdFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPointIds",                (PyCFunction)PyvtkIdFilter_SetPointIds, 1,
   (char*)"V.SetPointIds(int)\nC++: void SetPointIds (int );\n\n Enable/disable the generation of point ids.\n"},
  {(char*)"GetPointIds",                (PyCFunction)PyvtkIdFilter_GetPointIds, 1,
   (char*)"V.GetPointIds() -> int\nC++: int GetPointIds ();\n\n Enable/disable the generation of point ids.\n"},
  {(char*)"PointIdsOn",                (PyCFunction)PyvtkIdFilter_PointIdsOn, 1,
   (char*)"V.PointIdsOn()\nC++: void PointIdsOn ();\n\n Enable/disable the generation of point ids.\n"},
  {(char*)"PointIdsOff",                (PyCFunction)PyvtkIdFilter_PointIdsOff, 1,
   (char*)"V.PointIdsOff()\nC++: void PointIdsOff ();\n\n Enable/disable the generation of point ids.\n"},
  {(char*)"SetCellIds",                (PyCFunction)PyvtkIdFilter_SetCellIds, 1,
   (char*)"V.SetCellIds(int)\nC++: void SetCellIds (int );\n\n Enable/disable the generation of point ids.\n"},
  {(char*)"GetCellIds",                (PyCFunction)PyvtkIdFilter_GetCellIds, 1,
   (char*)"V.GetCellIds() -> int\nC++: int GetCellIds ();\n\n Enable/disable the generation of point ids.\n"},
  {(char*)"CellIdsOn",                (PyCFunction)PyvtkIdFilter_CellIdsOn, 1,
   (char*)"V.CellIdsOn()\nC++: void CellIdsOn ();\n\n Enable/disable the generation of point ids.\n"},
  {(char*)"CellIdsOff",                (PyCFunction)PyvtkIdFilter_CellIdsOff, 1,
   (char*)"V.CellIdsOff()\nC++: void CellIdsOff ();\n\n Enable/disable the generation of point ids.\n"},
  {(char*)"SetFieldData",                (PyCFunction)PyvtkIdFilter_SetFieldData, 1,
   (char*)"V.SetFieldData(int)\nC++: void SetFieldData (int );\n\n Set/Get the flag which controls whether to generate scalar data\n or field data. If this flag is off, scalar data is generated.\n Otherwise, field data is generated.\n"},
  {(char*)"GetFieldData",                (PyCFunction)PyvtkIdFilter_GetFieldData, 1,
   (char*)"V.GetFieldData() -> int\nC++: int GetFieldData ();\n\n Set/Get the flag which controls whether to generate scalar data\n or field data. If this flag is off, scalar data is generated.\n Otherwise, field data is generated.\n"},
  {(char*)"FieldDataOn",                (PyCFunction)PyvtkIdFilter_FieldDataOn, 1,
   (char*)"V.FieldDataOn()\nC++: void FieldDataOn ();\n\n Set/Get the flag which controls whether to generate scalar data\n or field data. If this flag is off, scalar data is generated.\n Otherwise, field data is generated.\n"},
  {(char*)"FieldDataOff",                (PyCFunction)PyvtkIdFilter_FieldDataOff, 1,
   (char*)"V.FieldDataOff()\nC++: void FieldDataOff ();\n\n Set/Get the flag which controls whether to generate scalar data\n or field data. If this flag is off, scalar data is generated.\n Otherwise, field data is generated.\n"},
  {(char*)"SetIdsArrayName",                (PyCFunction)PyvtkIdFilter_SetIdsArrayName, 1,
   (char*)"V.SetIdsArrayName(string)\nC++: void SetIdsArrayName (char *);\n\n Set/Get the name of the Ids array if generated. By default the Ids\n are named \"vtkIdFilter_Ids\", but this can be changed with this function.\n"},
  {(char*)"GetIdsArrayName",                (PyCFunction)PyvtkIdFilter_GetIdsArrayName, 1,
   (char*)"V.GetIdsArrayName() -> string\nC++: char *GetIdsArrayName ();\n\n Set/Get the name of the Ids array if generated. By default the Ids\n are named \"vtkIdFilter_Ids\", but this can be changed with this function.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkIdFilterDoc[] = {
  (char*)"vtkIdFilter - generate scalars or field data from point and cell ids\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkIdFilter is a filter to that generates scalars or field data\n using cell and point ids. That is, the point attribute data scalars\n or field data are generated from the point ids, and the cell\n attribute data scalars or field data are generated from the the\n cell ids.\n\n Typically this filter is used with vtkLabeledDataMapper (and possibly\n vtkSelectVisiblePoints) to create labels for points and",
  (char*)" cells, or labels\n for the point or cell data scalar values.\n\n",
  NULL
};

static vtkObjectBase *vtkIdFilterStaticNew()
{
  return vtkIdFilter::New();
}

PyObject *PyVTKClass_vtkIdFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkIdFilterStaticNew,
                        PyvtkIdFilterMethods,
                        (char*)"vtkIdFilter",modulename,
                        (char**)vtkIdFilterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

