// python wrapper for vtkImageDataGeometryFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageDataGeometryFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageDataGeometryFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageDataGeometryFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkImageDataGeometryFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  const char    *temp20;
  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataGeometryFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataGeometryFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  vtkImageDataGeometryFilter  *temp20;
  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataGeometryFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageDataGeometryFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageDataGeometryFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_SetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  int    temp0[6];
  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataGeometryFilter::SetExtent(temp0);
      }
    else
      {
      op->SetExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataGeometryFilter::SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_SetThresholdCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  int      temp0;
  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataGeometryFilter::SetThresholdCells(temp0);
      }
    else
      {
      op->SetThresholdCells(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_GetThresholdCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  int      temp20;
  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataGeometryFilter::GetThresholdCells();
      }
    else
      {
      temp20 = op->GetThresholdCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_ThresholdCellsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataGeometryFilter::ThresholdCellsOn();
      }
    else
      {
      op->ThresholdCellsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_ThresholdCellsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataGeometryFilter::ThresholdCellsOff();
      }
    else
      {
      op->ThresholdCellsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_SetThresholdValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  double   temp0;
  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataGeometryFilter::SetThresholdValue(temp0);
      }
    else
      {
      op->SetThresholdValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_GetThresholdValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  double   temp20;
  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataGeometryFilter::GetThresholdValue();
      }
    else
      {
      temp20 = op->GetThresholdValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_ThresholdValueOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataGeometryFilter::ThresholdValueOn();
      }
    else
      {
      op->ThresholdValueOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_ThresholdValueOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataGeometryFilter::ThresholdValueOff();
      }
    else
      {
      op->ThresholdValueOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_SetOutputTriangles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  int      temp0;
  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataGeometryFilter::SetOutputTriangles(temp0);
      }
    else
      {
      op->SetOutputTriangles(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_GetOutputTriangles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  int      temp20;
  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataGeometryFilter::GetOutputTriangles();
      }
    else
      {
      temp20 = op->GetOutputTriangles();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_OutputTrianglesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataGeometryFilter::OutputTrianglesOn();
      }
    else
      {
      op->OutputTrianglesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataGeometryFilter_OutputTrianglesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataGeometryFilter *op;

  if ((op = (vtkImageDataGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataGeometryFilter::OutputTrianglesOff();
      }
    else
      {
      op->OutputTrianglesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageDataGeometryFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageDataGeometryFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageDataGeometryFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageDataGeometryFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageDataGeometryFilter\nC++: vtkImageDataGeometryFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageDataGeometryFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageDataGeometryFilter\nC++: vtkImageDataGeometryFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetExtent",                (PyCFunction)PyvtkImageDataGeometryFilter_SetExtent, 1,
   (char*)"V.SetExtent((int, int, int, int, int, int))\nC++: void SetExtent (int extent[6]);\nV.SetExtent(int, int, int, int, int, int)\nC++: void SetExtent (int iMin, int iMax, int jMin, int jMax, int kMin, int kMax);\n\n Set / get the extent (imin,imax, jmin,jmax, kmin,kmax) indices.\n"},
  {(char*)"SetThresholdCells",                (PyCFunction)PyvtkImageDataGeometryFilter_SetThresholdCells, 1,
   (char*)"V.SetThresholdCells(int)\nC++: void SetThresholdCells (int );\n\n Set ThresholdCells to true if you wish to skip any voxel/pixels which have scalar\n values less than the specified threshold.\n Currently this functionality is only implemented for 2D imagedata\n"},
  {(char*)"GetThresholdCells",                (PyCFunction)PyvtkImageDataGeometryFilter_GetThresholdCells, 1,
   (char*)"V.GetThresholdCells() -> int\nC++: int GetThresholdCells ();\n\n Set ThresholdCells to true if you wish to skip any voxel/pixels which have scalar\n values less than the specified threshold.\n Currently this functionality is only implemented for 2D imagedata\n"},
  {(char*)"ThresholdCellsOn",                (PyCFunction)PyvtkImageDataGeometryFilter_ThresholdCellsOn, 1,
   (char*)"V.ThresholdCellsOn()\nC++: void ThresholdCellsOn ();\n\n Set ThresholdCells to true if you wish to skip any voxel/pixels which have scalar\n values less than the specified threshold.\n Currently this functionality is only implemented for 2D imagedata\n"},
  {(char*)"ThresholdCellsOff",                (PyCFunction)PyvtkImageDataGeometryFilter_ThresholdCellsOff, 1,
   (char*)"V.ThresholdCellsOff()\nC++: void ThresholdCellsOff ();\n\n Set ThresholdCells to true if you wish to skip any voxel/pixels which have scalar\n values less than the specified threshold.\n Currently this functionality is only implemented for 2D imagedata\n"},
  {(char*)"SetThresholdValue",                (PyCFunction)PyvtkImageDataGeometryFilter_SetThresholdValue, 1,
   (char*)"V.SetThresholdValue(float)\nC++: void SetThresholdValue (double );\n\n Set ThresholdValue to the scalar value by which to threshhold cells when extracting geometry\n when ThresholdCells is true. Cells with scalar values greater than the threshold will be output.\n"},
  {(char*)"GetThresholdValue",                (PyCFunction)PyvtkImageDataGeometryFilter_GetThresholdValue, 1,
   (char*)"V.GetThresholdValue() -> float\nC++: double GetThresholdValue ();\n\n Set ThresholdValue to the scalar value by which to threshhold cells when extracting geometry\n when ThresholdCells is true. Cells with scalar values greater than the threshold will be output.\n"},
  {(char*)"ThresholdValueOn",                (PyCFunction)PyvtkImageDataGeometryFilter_ThresholdValueOn, 1,
   (char*)"V.ThresholdValueOn()\nC++: void ThresholdValueOn ();\n\n Set ThresholdValue to the scalar value by which to threshhold cells when extracting geometry\n when ThresholdCells is true. Cells with scalar values greater than the threshold will be output.\n"},
  {(char*)"ThresholdValueOff",                (PyCFunction)PyvtkImageDataGeometryFilter_ThresholdValueOff, 1,
   (char*)"V.ThresholdValueOff()\nC++: void ThresholdValueOff ();\n\n Set ThresholdValue to the scalar value by which to threshhold cells when extracting geometry\n when ThresholdCells is true. Cells with scalar values greater than the threshold will be output.\n"},
  {(char*)"SetOutputTriangles",                (PyCFunction)PyvtkImageDataGeometryFilter_SetOutputTriangles, 1,
   (char*)"V.SetOutputTriangles(int)\nC++: void SetOutputTriangles (int );\n\n Set OutputTriangles to true if you wish to generate triangles instead of quads\n when extracting cells from 2D imagedata\n Currently this functionality is only implemented for 2D imagedata\n"},
  {(char*)"GetOutputTriangles",                (PyCFunction)PyvtkImageDataGeometryFilter_GetOutputTriangles, 1,
   (char*)"V.GetOutputTriangles() -> int\nC++: int GetOutputTriangles ();\n\n Set OutputTriangles to true if you wish to generate triangles instead of quads\n when extracting cells from 2D imagedata\n Currently this functionality is only implemented for 2D imagedata\n"},
  {(char*)"OutputTrianglesOn",                (PyCFunction)PyvtkImageDataGeometryFilter_OutputTrianglesOn, 1,
   (char*)"V.OutputTrianglesOn()\nC++: void OutputTrianglesOn ();\n\n Set OutputTriangles to true if you wish to generate triangles instead of quads\n when extracting cells from 2D imagedata\n Currently this functionality is only implemented for 2D imagedata\n"},
  {(char*)"OutputTrianglesOff",                (PyCFunction)PyvtkImageDataGeometryFilter_OutputTrianglesOff, 1,
   (char*)"V.OutputTrianglesOff()\nC++: void OutputTrianglesOff ();\n\n Set OutputTriangles to true if you wish to generate triangles instead of quads\n when extracting cells from 2D imagedata\n Currently this functionality is only implemented for 2D imagedata\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageDataGeometryFilterDoc[] = {
  (char*)"vtkImageDataGeometryFilter - extract geometry for structured points\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkImageDataGeometryFilter is a filter that extracts geometry from a\n structured points dataset. By specifying appropriate i-j-k indices (via the \n \"Extent\" instance variable), it is possible to extract a point, a line, a \n plane (i.e., image), or a \"volume\" from dataset. (Since the output is \n of type polydata, the volume is actually a (n x m x o) region of points.)\n\n The extent specification is",
  (char*)" zero-offset. That is, the first k-plane in\n a 50x50x50 volume is given by (0,49, 0,49, 0,0).\n\n",
  "Caveats:\n\n If you don't know the dimensions of the input dataset, you can use a large\n number to specify extent (the number will be clamped appropriately). For \n example, if the dataset dimensions are 50x50x50, and you want a the fifth \n k-plane, you can use the extents (0,100, 0,100, 4,4). The 100 will \n automatically be clamped to 49.\n\n",
  "See Also:\n\n vtkGeometryFilter vtkStructuredGridSource\n\n",
  NULL
};

static vtkObjectBase *vtkImageDataGeometryFilterStaticNew()
{
  return vtkImageDataGeometryFilter::New();
}

PyObject *PyVTKClass_vtkImageDataGeometryFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageDataGeometryFilterStaticNew,
                        PyvtkImageDataGeometryFilterMethods,
                        (char*)"vtkImageDataGeometryFilter",modulename,
                        (char**)vtkImageDataGeometryFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

