// python wrapper for vtkImageMarchingCubes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageMarchingCubes.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMarchingCubesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMarchingCubesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkImageMarchingCubes_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  const char    *temp20;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMarchingCubes::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMarchingCubes::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  vtkImageMarchingCubes  *temp20;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMarchingCubes::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageMarchingCubes  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageMarchingCubes::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp0;
  double   temp1;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::SetValue(temp0,temp1);
      }
    else
      {
      op->SetValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp0;
  double   temp20;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMarchingCubes::GetValue(temp0);
      }
    else
      {
      temp20 = op->GetValue(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_SetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp0;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::SetNumberOfContours(temp0);
      }
    else
      {
      op->SetNumberOfContours(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_GetNumberOfContours(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp20;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMarchingCubes::GetNumberOfContours();
      }
    else
      {
      temp20 = op->GetNumberOfContours();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_GenerateValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp0;
  double temp1[2];
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"i(dd)", &temp0, temp1 + 0, temp1 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::GenerateValues(temp0,temp1);
      }
    else
      {
      op->GenerateValues(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"idd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::GenerateValues(temp0,temp1,temp2);
      }
    else
      {
      op->GenerateValues(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  unsigned long     temp20;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMarchingCubes::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_SetComputeScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp0;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::SetComputeScalars(temp0);
      }
    else
      {
      op->SetComputeScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_GetComputeScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp20;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMarchingCubes::GetComputeScalars();
      }
    else
      {
      temp20 = op->GetComputeScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_ComputeScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::ComputeScalarsOn();
      }
    else
      {
      op->ComputeScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_ComputeScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::ComputeScalarsOff();
      }
    else
      {
      op->ComputeScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_SetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp0;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::SetComputeNormals(temp0);
      }
    else
      {
      op->SetComputeNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_GetComputeNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp20;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMarchingCubes::GetComputeNormals();
      }
    else
      {
      temp20 = op->GetComputeNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_ComputeNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::ComputeNormalsOn();
      }
    else
      {
      op->ComputeNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_ComputeNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::ComputeNormalsOff();
      }
    else
      {
      op->ComputeNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_SetComputeGradients(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp0;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::SetComputeGradients(temp0);
      }
    else
      {
      op->SetComputeGradients(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_GetComputeGradients(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp20;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMarchingCubes::GetComputeGradients();
      }
    else
      {
      temp20 = op->GetComputeGradients();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_ComputeGradientsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::ComputeGradientsOn();
      }
    else
      {
      op->ComputeGradientsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_ComputeGradientsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::ComputeGradientsOff();
      }
    else
      {
      op->ComputeGradientsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_GetLocatorPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMarchingCubes::GetLocatorPoint(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetLocatorPoint(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_AddLocatorPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::AddLocatorPoint(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->AddLocatorPoint(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_IncrementLocatorZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::IncrementLocatorZ();
      }
    else
      {
      op->IncrementLocatorZ();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_SetInputMemoryLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp0;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMarchingCubes::SetInputMemoryLimit(temp0);
      }
    else
      {
      op->SetInputMemoryLimit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMarchingCubes_GetInputMemoryLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMarchingCubes *op;

  int      temp20;
  if ((op = (vtkImageMarchingCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMarchingCubes::GetInputMemoryLimit();
      }
    else
      {
      temp20 = op->GetInputMemoryLimit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageMarchingCubesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageMarchingCubes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageMarchingCubes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageMarchingCubes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMarchingCubes\nC++: vtkImageMarchingCubes *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageMarchingCubes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageMarchingCubes\nC++: vtkImageMarchingCubes *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkImageMarchingCubes_SetValue, 1,
   (char*)"V.SetValue(int, float)\nC++: void SetValue (int i, double value);\n\n Methods to set contour values\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkImageMarchingCubes_GetValue, 1,
   (char*)"V.GetValue(int) -> float\nC++: double GetValue (int i);\n\n Methods to set contour values\n"},
  {(char*)"SetNumberOfContours",                (PyCFunction)PyvtkImageMarchingCubes_SetNumberOfContours, 1,
   (char*)"V.SetNumberOfContours(int)\nC++: void SetNumberOfContours (int number);\n\n Methods to set contour values\n"},
  {(char*)"GetNumberOfContours",                (PyCFunction)PyvtkImageMarchingCubes_GetNumberOfContours, 1,
   (char*)"V.GetNumberOfContours() -> int\nC++: int GetNumberOfContours ();\n\n Methods to set contour values\n"},
  {(char*)"GenerateValues",                (PyCFunction)PyvtkImageMarchingCubes_GenerateValues, 1,
   (char*)"V.GenerateValues(int, (float, float))\nC++: void GenerateValues (int numContours, double range[2]);\nV.GenerateValues(int, float, float)\nC++: void GenerateValues (int numContours, double rangeStart, double rangeEnd);\n\n Methods to set contour values\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkImageMarchingCubes_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Because we delegate to vtkContourValues & refer to vtkImplicitFunction\n"},
  {(char*)"SetComputeScalars",                (PyCFunction)PyvtkImageMarchingCubes_SetComputeScalars, 1,
   (char*)"V.SetComputeScalars(int)\nC++: void SetComputeScalars (int );\n\n Set/Get the computation of scalars.\n"},
  {(char*)"GetComputeScalars",                (PyCFunction)PyvtkImageMarchingCubes_GetComputeScalars, 1,
   (char*)"V.GetComputeScalars() -> int\nC++: int GetComputeScalars ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"ComputeScalarsOn",                (PyCFunction)PyvtkImageMarchingCubes_ComputeScalarsOn, 1,
   (char*)"V.ComputeScalarsOn()\nC++: void ComputeScalarsOn ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"ComputeScalarsOff",                (PyCFunction)PyvtkImageMarchingCubes_ComputeScalarsOff, 1,
   (char*)"V.ComputeScalarsOff()\nC++: void ComputeScalarsOff ();\n\n Set/Get the computation of scalars.\n"},
  {(char*)"SetComputeNormals",                (PyCFunction)PyvtkImageMarchingCubes_SetComputeNormals, 1,
   (char*)"V.SetComputeNormals(int)\nC++: void SetComputeNormals (int );\n\n Set/Get the computation of normals. Normal computation is fairly expensive\n in both time and storage. If the output data will be processed by filters\n that modify topology or geometry, it may be wise to turn Normals and Gradients off.\n"},
  {(char*)"GetComputeNormals",                (PyCFunction)PyvtkImageMarchingCubes_GetComputeNormals, 1,
   (char*)"V.GetComputeNormals() -> int\nC++: int GetComputeNormals ();\n\n Set/Get the computation of normals. Normal computation is fairly expensive\n in both time and storage. If the output data will be processed by filters\n that modify topology or geometry, it may be wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeNormalsOn",                (PyCFunction)PyvtkImageMarchingCubes_ComputeNormalsOn, 1,
   (char*)"V.ComputeNormalsOn()\nC++: void ComputeNormalsOn ();\n\n Set/Get the computation of normals. Normal computation is fairly expensive\n in both time and storage. If the output data will be processed by filters\n that modify topology or geometry, it may be wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeNormalsOff",                (PyCFunction)PyvtkImageMarchingCubes_ComputeNormalsOff, 1,
   (char*)"V.ComputeNormalsOff()\nC++: void ComputeNormalsOff ();\n\n Set/Get the computation of normals. Normal computation is fairly expensive\n in both time and storage. If the output data will be processed by filters\n that modify topology or geometry, it may be wise to turn Normals and Gradients off.\n"},
  {(char*)"SetComputeGradients",                (PyCFunction)PyvtkImageMarchingCubes_SetComputeGradients, 1,
   (char*)"V.SetComputeGradients(int)\nC++: void SetComputeGradients (int );\n\n Set/Get the computation of gradients. Gradient computation is fairly expensive\n in both time and storage. Note that if ComputeNormals is on, gradients will\n have to be calculated, but will not be stored in the output dataset.\n If the output data will be processed by filters that modify topology or\n geometry, it may be wise to turn Normals and Gradients off.\n"},
  {(char*)"GetComputeGradients",                (PyCFunction)PyvtkImageMarchingCubes_GetComputeGradients, 1,
   (char*)"V.GetComputeGradients() -> int\nC++: int GetComputeGradients ();\n\n Set/Get the computation of gradients. Gradient computation is fairly expensive\n in both time and storage. Note that if ComputeNormals is on, gradients will\n have to be calculated, but will not be stored in the output dataset.\n If the output data will be processed by filters that modify topology or\n geometry, it may be wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeGradientsOn",                (PyCFunction)PyvtkImageMarchingCubes_ComputeGradientsOn, 1,
   (char*)"V.ComputeGradientsOn()\nC++: void ComputeGradientsOn ();\n\n Set/Get the computation of gradients. Gradient computation is fairly expensive\n in both time and storage. Note that if ComputeNormals is on, gradients will\n have to be calculated, but will not be stored in the output dataset.\n If the output data will be processed by filters that modify topology or\n geometry, it may be wise to turn Normals and Gradients off.\n"},
  {(char*)"ComputeGradientsOff",                (PyCFunction)PyvtkImageMarchingCubes_ComputeGradientsOff, 1,
   (char*)"V.ComputeGradientsOff()\nC++: void ComputeGradientsOff ();\n\n Set/Get the computation of gradients. Gradient computation is fairly expensive\n in both time and storage. Note that if ComputeNormals is on, gradients will\n have to be calculated, but will not be stored in the output dataset.\n If the output data will be processed by filters that modify topology or\n geometry, it may be wise to turn Normals and Gradients off.\n"},
  {(char*)"GetLocatorPoint",                (PyCFunction)PyvtkImageMarchingCubes_GetLocatorPoint, 1,
   (char*)"V.GetLocatorPoint(int, int, int) -> int\nC++: int GetLocatorPoint (int cellX, int cellY, int edge);\n\n"},
  {(char*)"AddLocatorPoint",                (PyCFunction)PyvtkImageMarchingCubes_AddLocatorPoint, 1,
   (char*)"V.AddLocatorPoint(int, int, int, int)\nC++: void AddLocatorPoint (int cellX, int cellY, int edge, int ptId);\n\n"},
  {(char*)"IncrementLocatorZ",                (PyCFunction)PyvtkImageMarchingCubes_IncrementLocatorZ, 1,
   (char*)"V.IncrementLocatorZ()\nC++: void IncrementLocatorZ ();\n\n"},
  {(char*)"SetInputMemoryLimit",                (PyCFunction)PyvtkImageMarchingCubes_SetInputMemoryLimit, 1,
   (char*)"V.SetInputMemoryLimit(int)\nC++: void SetInputMemoryLimit (int );\n\n The InputMemoryLimit determines the chunk size (the number of slices\n requested at each iteration).  The units of this limit is KiloBytes.\n For now, only the Z axis is split.\n"},
  {(char*)"GetInputMemoryLimit",                (PyCFunction)PyvtkImageMarchingCubes_GetInputMemoryLimit, 1,
   (char*)"V.GetInputMemoryLimit() -> int\nC++: int GetInputMemoryLimit ();\n\n The InputMemoryLimit determines the chunk size (the number of slices\n requested at each iteration).  The units of this limit is KiloBytes.\n For now, only the Z axis is split.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageMarchingCubesDoc[] = {
  (char*)"vtkImageMarchingCubes - generate isosurface(s) from volume/images\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkImageMarchingCubes is a filter that takes as input images (e.g., 3D\n image region) and generates on output one or more isosurfaces.\n One or more contour values must be specified to generate the isosurfaces.\n Alternatively, you can specify a min/max scalar range and the number of\n contours to generate a series of evenly spaced contour values.\n This filter can stream, so that the entire volume n",
  (char*)"eed not be loaded at\n once.  Streaming is controlled using the instance variable\n InputMemoryLimit, which has units KBytes.\n\n",
  "Caveats:\n\n This filter is specialized to volumes. If you are interested in \n contouring other types of data, use the general vtkContourFilter. If you\n want to contour an image (i.e., a volume slice), use vtkMarchingSquares.\n\n",
  "See Also:\n\n vtkContourFilter vtkSliceCubes vtkMarchingSquares vtkDividingCubes\n\n",
  NULL
};

static vtkObjectBase *vtkImageMarchingCubesStaticNew()
{
  return vtkImageMarchingCubes::New();
}

PyObject *PyVTKClass_vtkImageMarchingCubesNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageMarchingCubesStaticNew,
                        PyvtkImageMarchingCubesMethods,
                        (char*)"vtkImageMarchingCubes",modulename,
                        (char**)vtkImageMarchingCubesDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

