// python wrapper for vtkKdNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkKdNode.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkKdNodeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkKdNodeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkKdNode_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  const char    *temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  vtkKdNode  *temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkKdNode  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkKdNode::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkKdNode_SetDim(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  int      temp0;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdNode::SetDim(temp0);
      }
    else
      {
      op->SetDim(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_GetDim(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  int      temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::GetDim();
      }
    else
      {
      temp20 = op->GetDim();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_SetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  int      temp0;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdNode::SetNumberOfPoints(temp0);
      }
    else
      {
      op->SetNumberOfPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  int      temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_SetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdNode::SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_SetDataBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdNode::SetDataBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetDataBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_SetID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  int      temp0;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdNode::SetID(temp0);
      }
    else
      {
      op->SetID(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_GetID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  int      temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::GetID();
      }
    else
      {
      temp20 = op->GetID();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_GetMinID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  int      temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::GetMinID();
      }
    else
      {
      temp20 = op->GetMinID();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_GetMaxID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  int      temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::GetMaxID();
      }
    else
      {
      temp20 = op->GetMaxID();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_SetMinID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  int      temp0;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdNode::SetMinID(temp0);
      }
    else
      {
      op->SetMinID(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_SetMaxID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  int      temp0;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdNode::SetMaxID(temp0);
      }
    else
      {
      op->SetMaxID(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_AddChildNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  vtkKdNode  *temp0;
  PyObject *tempH0;
  vtkKdNode  *temp1;
  PyObject *tempH1;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkKdNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkKdNode");
    if (!temp0 && tempH0 != Py_None) goto break16;
    temp1 = (vtkKdNode *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkKdNode");
    if (!temp1 && tempH1 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdNode::AddChildNodes(temp0,temp1);
      }
    else
      {
      op->AddChildNodes(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkKdNode_DeleteChildNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdNode::DeleteChildNodes();
      }
    else
      {
      op->DeleteChildNodes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_GetLeft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  vtkKdNode  *temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::GetLeft();
      }
    else
      {
      temp20 = op->GetLeft();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_SetLeft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  vtkKdNode  *temp0;
  PyObject *tempH0;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkKdNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkKdNode");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdNode::SetLeft(temp0);
      }
    else
      {
      op->SetLeft(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkKdNode_GetRight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  vtkKdNode  *temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::GetRight();
      }
    else
      {
      temp20 = op->GetRight();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_SetRight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  vtkKdNode  *temp0;
  PyObject *tempH0;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkKdNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkKdNode");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdNode::SetRight(temp0);
      }
    else
      {
      op->SetRight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkKdNode_GetUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  vtkKdNode  *temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::GetUp();
      }
    else
      {
      temp20 = op->GetUp();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_SetUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  vtkKdNode  *temp0;
  PyObject *tempH0;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkKdNode *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkKdNode");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkKdNode::SetUp(temp0);
      }
    else
      {
      op->SetUp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkKdNode_IntersectsBox(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp6;
  int      temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"ddddddi", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::IntersectsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      temp20 = op->IntersectsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_IntersectsSphere2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  int      temp4;
  int      temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"ddddi", &temp0, &temp1, &temp2, &temp3, &temp4)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::IntersectsSphere2(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->IntersectsSphere2(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_IntersectsRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  vtkPlanesIntersection  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkPlanesIntersection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlanesIntersection");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::IntersectsRegion(temp0,temp1);
      }
    else
      {
      temp20 = op->IntersectsRegion(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkKdNode_ContainsBox(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  int      temp6;
  int      temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"ddddddi", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5, &temp6)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::ContainsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      temp20 = op->ContainsBox(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_ContainsPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  int      temp3;
  int      temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"dddi", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::ContainsPoint(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->ContainsPoint(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_GetDistance2ToBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  int      temp3;
  double   temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"dddi", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::GetDistance2ToBoundary(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->GetDistance2ToBoundary(temp0,temp1,temp2,temp3);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_GetDistance2ToInnerBoundary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp20;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkKdNode::GetDistance2ToInnerBoundary(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetDistance2ToInnerBoundary(temp0,temp1,temp2);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_PrintNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  int      temp0;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdNode::PrintNode(temp0);
      }
    else
      {
      op->PrintNode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkKdNode_PrintVerboseNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkKdNode *op;

  int      temp0;
  if ((op = (vtkKdNode *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkKdNode::PrintVerboseNode(temp0);
      }
    else
      {
      op->PrintVerboseNode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkKdNodeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkKdNode_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkKdNode_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkKdNode_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkKdNode\nC++: vtkKdNode *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkKdNode_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkKdNode\nC++: vtkKdNode *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDim",                (PyCFunction)PyvtkKdNode_SetDim, 1,
   (char*)"V.SetDim(int)\nC++: void SetDim (int );\n\n"},
  {(char*)"GetDim",                (PyCFunction)PyvtkKdNode_GetDim, 1,
   (char*)"V.GetDim() -> int\nC++: int GetDim ();\n\n"},
  {(char*)"SetNumberOfPoints",                (PyCFunction)PyvtkKdNode_SetNumberOfPoints, 1,
   (char*)"V.SetNumberOfPoints(int)\nC++: void SetNumberOfPoints (int );\n\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkKdNode_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: int GetNumberOfPoints ();\n\n"},
  {(char*)"SetBounds",                (PyCFunction)PyvtkKdNode_SetBounds, 1,
   (char*)"V.SetBounds(float, float, float, float, float, float)\nC++: void SetBounds (double x1, double x2, double y1, double y2, double z1, double z2);\n\n"},
  {(char*)"SetDataBounds",                (PyCFunction)PyvtkKdNode_SetDataBounds, 1,
   (char*)"V.SetDataBounds(float, float, float, float, float, float)\nC++: void SetDataBounds (double x1, double x2, double y1, double y2, double z1, double z2);\n\n"},
  {(char*)"SetID",                (PyCFunction)PyvtkKdNode_SetID, 1,
   (char*)"V.SetID(int)\nC++: void SetID (int );\n\n"},
  {(char*)"GetID",                (PyCFunction)PyvtkKdNode_GetID, 1,
   (char*)"V.GetID() -> int\nC++: int GetID ();\n\n"},
  {(char*)"GetMinID",                (PyCFunction)PyvtkKdNode_GetMinID, 1,
   (char*)"V.GetMinID() -> int\nC++: int GetMinID ();\n\n"},
  {(char*)"GetMaxID",                (PyCFunction)PyvtkKdNode_GetMaxID, 1,
   (char*)"V.GetMaxID() -> int\nC++: int GetMaxID ();\n\n"},
  {(char*)"SetMinID",                (PyCFunction)PyvtkKdNode_SetMinID, 1,
   (char*)"V.SetMinID(int)\nC++: void SetMinID (int );\n\n"},
  {(char*)"SetMaxID",                (PyCFunction)PyvtkKdNode_SetMaxID, 1,
   (char*)"V.SetMaxID(int)\nC++: void SetMaxID (int );\n\n"},
  {(char*)"AddChildNodes",                (PyCFunction)PyvtkKdNode_AddChildNodes, 1,
   (char*)"V.AddChildNodes(vtkKdNode, vtkKdNode)\nC++: void AddChildNodes (vtkKdNode *left, vtkKdNode *right);\n\n"},
  {(char*)"DeleteChildNodes",                (PyCFunction)PyvtkKdNode_DeleteChildNodes, 1,
   (char*)"V.DeleteChildNodes()\nC++: void DeleteChildNodes ();\n\n"},
  {(char*)"GetLeft",                (PyCFunction)PyvtkKdNode_GetLeft, 1,
   (char*)"V.GetLeft() -> vtkKdNode\nC++: vtkKdNode *GetLeft ();\n\n"},
  {(char*)"SetLeft",                (PyCFunction)PyvtkKdNode_SetLeft, 1,
   (char*)"V.SetLeft(vtkKdNode)\nC++: void SetLeft (vtkKdNode *left);\n\n"},
  {(char*)"GetRight",                (PyCFunction)PyvtkKdNode_GetRight, 1,
   (char*)"V.GetRight() -> vtkKdNode\nC++: vtkKdNode *GetRight ();\n\n"},
  {(char*)"SetRight",                (PyCFunction)PyvtkKdNode_SetRight, 1,
   (char*)"V.SetRight(vtkKdNode)\nC++: void SetRight (vtkKdNode *right);\n\n"},
  {(char*)"GetUp",                (PyCFunction)PyvtkKdNode_GetUp, 1,
   (char*)"V.GetUp() -> vtkKdNode\nC++: vtkKdNode *GetUp ();\n\n"},
  {(char*)"SetUp",                (PyCFunction)PyvtkKdNode_SetUp, 1,
   (char*)"V.SetUp(vtkKdNode)\nC++: void SetUp (vtkKdNode *up);\n\n"},
  {(char*)"IntersectsBox",                (PyCFunction)PyvtkKdNode_IntersectsBox, 1,
   (char*)"V.IntersectsBox(float, float, float, float, float, float, int) -> int\nC++: int IntersectsBox (double x1, double x2, double y1, double y2, double z1, double z2, int useDataBounds);\n\n"},
  {(char*)"IntersectsSphere2",                (PyCFunction)PyvtkKdNode_IntersectsSphere2, 1,
   (char*)"V.IntersectsSphere2(float, float, float, float, int) -> int\nC++: int IntersectsSphere2 (double x, double y, double z, double rSquared, int useDataBounds);\n\n"},
  {(char*)"IntersectsRegion",                (PyCFunction)PyvtkKdNode_IntersectsRegion, 1,
   (char*)"V.IntersectsRegion(vtkPlanesIntersection, int) -> int\nC++: int IntersectsRegion (vtkPlanesIntersection *pi, int useDataBounds);\n\n"},
  {(char*)"ContainsBox",                (PyCFunction)PyvtkKdNode_ContainsBox, 1,
   (char*)"V.ContainsBox(float, float, float, float, float, float, int) -> int\nC++: int ContainsBox (double x1, double x2, double y1, double y2, double z1, double z2, int useDataBounds);\n\n"},
  {(char*)"ContainsPoint",                (PyCFunction)PyvtkKdNode_ContainsPoint, 1,
   (char*)"V.ContainsPoint(float, float, float, int) -> int\nC++: int ContainsPoint (double x, double y, double z, int useDataBounds);\n\n"},
  {(char*)"GetDistance2ToBoundary",                (PyCFunction)PyvtkKdNode_GetDistance2ToBoundary, 1,
   (char*)"V.GetDistance2ToBoundary(float, float, float, int) -> float\nC++: double GetDistance2ToBoundary (double x, double y, double z, int useDataBounds);\n\n"},
  {(char*)"GetDistance2ToInnerBoundary",                (PyCFunction)PyvtkKdNode_GetDistance2ToInnerBoundary, 1,
   (char*)"V.GetDistance2ToInnerBoundary(float, float, float) -> float\nC++: double GetDistance2ToInnerBoundary (double x, double y, double z);\n\n"},
  {(char*)"PrintNode",                (PyCFunction)PyvtkKdNode_PrintNode, 1,
   (char*)"V.PrintNode(int)\nC++: void PrintNode (int depth);\n\n"},
  {(char*)"PrintVerboseNode",                (PyCFunction)PyvtkKdNode_PrintVerboseNode, 1,
   (char*)"V.PrintVerboseNode(int)\nC++: void PrintVerboseNode (int depth);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkKdNodeDoc[] = {
  (char*)"vtkKdNode - This class represents a single spatial region\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"     \n\n",
  "See Also:\n\n vtkKdTree vtkOBSPCuts\n\n",
  NULL
};

static vtkObjectBase *vtkKdNodeStaticNew()
{
  return vtkKdNode::New();
}

PyObject *PyVTKClass_vtkKdNodeNew(char *modulename)
{
  return PyVTKClass_New(&vtkKdNodeStaticNew,
                        PyvtkKdNodeMethods,
                        (char*)"vtkKdNode",modulename,
                        (char**)vtkKdNodeDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

