// tcl wrapper for vtkKdTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKdTree.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKdTreeNewCommand()
{
  vtkKdTree *temp = vtkKdTree::New();
  return ((ClientData)temp);
}

int vtkLocatorCppCommand(vtkLocator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKdTreeCppCommand(vtkKdTree *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKdTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKdTreeCppCommand((vtkKdTree *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKdTreeCppCommand(vtkKdTree *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKdTree",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkLocatorCppCommand((vtkLocator *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkLocator", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKdTree  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKdTree");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKdTree  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKdTree");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKdTree  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKdTree");
    return TCL_OK;
    }
  if ((!strcmp("TimingOn",argv[1]))&&(argc == 2))
    {
    op->TimingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TimingOff",argv[1]))&&(argc == 2))
    {
    op->TimingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTiming",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTiming(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTiming",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTiming();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinCells",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfRegionsOrLess",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfRegionsOrLess();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfRegionsOrLess",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfRegionsOrLess(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfRegionsOrMore",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfRegionsOrMore();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfRegionsOrMore",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfRegionsOrMore(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFudgeFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFudgeFactor();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFudgeFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFudgeFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCuts",argv[1]))&&(argc == 2))
    {
    vtkBSPCuts  *temp20;
    temp20 = (op)->GetCuts();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkBSPCuts");
    return TCL_OK;
    }
  if ((!strcmp("SetCuts",argv[1]))&&(argc == 3))
    {
    vtkBSPCuts  *temp0;
    error = 0;

    temp0 = (vtkBSPCuts *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkBSPCuts",interp,error));
    if (!error)
    {
    op->SetCuts(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OmitXPartitioning",argv[1]))&&(argc == 2))
    {
    op->OmitXPartitioning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OmitYPartitioning",argv[1]))&&(argc == 2))
    {
    op->OmitYPartitioning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OmitZPartitioning",argv[1]))&&(argc == 2))
    {
    op->OmitZPartitioning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OmitXYPartitioning",argv[1]))&&(argc == 2))
    {
    op->OmitXYPartitioning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OmitYZPartitioning",argv[1]))&&(argc == 2))
    {
    op->OmitYZPartitioning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OmitZXPartitioning",argv[1]))&&(argc == 2))
    {
    op->OmitZXPartitioning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OmitNoPartitioning",argv[1]))&&(argc == 2))
    {
    op->OmitNoPartitioning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataSet",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->SetDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNthDataSet",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataSet  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->SetNthDataSet(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveDataSet",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveDataSet",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->RemoveDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddDataSet",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->AddDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfDataSets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfDataSets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataSet",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataSet  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDataSet(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSet");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataSet",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetDataSet();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("GetDataSet",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    temp20 = (op)->GetDataSet(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfRegions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfRegions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PrintTree",argv[1]))&&(argc == 2))
    {
    op->PrintTree();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrintVerboseTree",argv[1]))&&(argc == 2))
    {
    op->PrintVerboseTree();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrintRegion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->PrintRegion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateCellLists",argv[1]))&&(argc == 2))
    {
    op->CreateCellLists();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIncludeRegionBoundaryCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIncludeRegionBoundaryCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIncludeRegionBoundaryCells",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIncludeRegionBoundaryCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IncludeRegionBoundaryCellsOn",argv[1]))&&(argc == 2))
    {
    op->IncludeRegionBoundaryCellsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IncludeRegionBoundaryCellsOff",argv[1]))&&(argc == 2))
    {
    op->IncludeRegionBoundaryCellsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeleteCellLists",argv[1]))&&(argc == 2))
    {
    op->DeleteCellLists();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCellList",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIdList  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCellList(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkIdList");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBoundaryCellList",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIdList  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetBoundaryCellList(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkIdList");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellLists",argv[1]))&&(argc == 6))
    {
    vtkIntArray  *temp0;
    int      temp1;
    vtkIdList  *temp2;
    vtkIdList  *temp3;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkIntArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkIntArray",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkIdList",interp,error));
    temp3 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkIdList",interp,error));
    if (!error)
    {
    temp20 = (op)->GetCellLists(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellLists",argv[1]))&&(argc == 6))
    {
    vtkIntArray  *temp0;
    vtkDataSet  *temp1;
    vtkIdList  *temp2;
    vtkIdList  *temp3;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkIntArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkIntArray",interp,error));
    temp1 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataSet",interp,error));
    temp2 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkIdList",interp,error));
    temp3 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkIdList",interp,error));
    if (!error)
    {
    temp20 = (op)->GetCellLists(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellLists",argv[1]))&&(argc == 5))
    {
    vtkIntArray  *temp0;
    vtkIdList  *temp1;
    vtkIdList  *temp2;
    vtkIdType   temp20;
    error = 0;

    temp0 = (vtkIntArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkIntArray",interp,error));
    temp1 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkIdList",interp,error));
    temp2 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkIdList",interp,error));
    if (!error)
    {
    temp20 = (op)->GetCellLists(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRegionContainingCell",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    vtkIdType   temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRegionContainingCell(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRegionContainingCell",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkIdType   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRegionContainingCell(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRegionContainingCell",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRegionContainingCell(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRegionContainingPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->GetRegionContainingPoint(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("BuildLocator",argv[1]))&&(argc == 2))
    {
    op->BuildLocator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BuildLocatorFromPoints",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPoints",interp,error));
    if (!error)
    {
    op->BuildLocatorFromPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BuildMapForDuplicatePoints",argv[1]))&&(argc == 3))
    {
    float    temp0;
    vtkIdTypeArray  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->BuildMapForDuplicatePoints(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkIdTypeArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("FindPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    vtkIdType   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->FindPoint(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointsInRegion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIdTypeArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointsInRegion(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkIdTypeArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("FreeSearchStructure",argv[1]))&&(argc == 2))
    {
    op->FreeSearchStructure();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateRepresentation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPolyData  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPolyData",interp,error));
    if (!error)
    {
    op->GenerateRepresentation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateRepresentationUsingDataBoundsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateRepresentationUsingDataBoundsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateRepresentationUsingDataBoundsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateRepresentationUsingDataBoundsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateRepresentationUsingDataBounds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateRepresentationUsingDataBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateRepresentationUsingDataBounds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateRepresentationUsingDataBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NewGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->NewGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyTree",argv[1]))&&(argc == 3))
    {
    vtkKdNode  *temp0;
    vtkKdNode  *temp20;
    error = 0;

    temp0 = (vtkKdNode *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKdNode",interp,error));
    if (!error)
    {
    temp20 = (op)->CopyTree(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKdNode");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKdTreeCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkLocatorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKdTree:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  TimingOn\n",NULL);
    Tcl_AppendResult(interp,"  TimingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTiming\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTiming\n",NULL);
    Tcl_AppendResult(interp,"  SetMinCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinCells\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRegionsOrLess\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfRegionsOrLess\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRegionsOrMore\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfRegionsOrMore\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFudgeFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetFudgeFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCuts\n",NULL);
    Tcl_AppendResult(interp,"  SetCuts\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OmitXPartitioning\n",NULL);
    Tcl_AppendResult(interp,"  OmitYPartitioning\n",NULL);
    Tcl_AppendResult(interp,"  OmitZPartitioning\n",NULL);
    Tcl_AppendResult(interp,"  OmitXYPartitioning\n",NULL);
    Tcl_AppendResult(interp,"  OmitYZPartitioning\n",NULL);
    Tcl_AppendResult(interp,"  OmitZXPartitioning\n",NULL);
    Tcl_AppendResult(interp,"  OmitNoPartitioning\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNthDataSet\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfDataSets\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSet\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRegions\n",NULL);
    Tcl_AppendResult(interp,"  PrintTree\n",NULL);
    Tcl_AppendResult(interp,"  PrintVerboseTree\n",NULL);
    Tcl_AppendResult(interp,"  PrintRegion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateCellLists\n",NULL);
    Tcl_AppendResult(interp,"  SetIncludeRegionBoundaryCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIncludeRegionBoundaryCells\n",NULL);
    Tcl_AppendResult(interp,"  IncludeRegionBoundaryCellsOn\n",NULL);
    Tcl_AppendResult(interp,"  IncludeRegionBoundaryCellsOff\n",NULL);
    Tcl_AppendResult(interp,"  DeleteCellLists\n",NULL);
    Tcl_AppendResult(interp,"  GetCellList\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundaryCellList\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellLists\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellLists\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellLists\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRegionContainingCell\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRegionContainingCell\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRegionContainingCell\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRegionContainingPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  BuildLocator\n",NULL);
    Tcl_AppendResult(interp,"  BuildLocatorFromPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BuildMapForDuplicatePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FindPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointsInRegion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FreeSearchStructure\n",NULL);
    Tcl_AppendResult(interp,"  GenerateRepresentation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GenerateRepresentationUsingDataBoundsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateRepresentationUsingDataBoundsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateRepresentationUsingDataBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateRepresentationUsingDataBounds\n",NULL);
    Tcl_AppendResult(interp,"  NewGeometry\n",NULL);
    Tcl_AppendResult(interp,"  CopyTree\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkLocatorCppCommand((vtkLocator *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
