// python wrapper for vtkLinearExtrusionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkLinearExtrusionFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLinearExtrusionFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLinearExtrusionFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkLinearExtrusionFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  const char    *temp20;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearExtrusionFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearExtrusionFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  vtkLinearExtrusionFilter  *temp20;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearExtrusionFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLinearExtrusionFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLinearExtrusionFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_SetExtrusionType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  int      temp0;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearExtrusionFilter::SetExtrusionType(temp0);
      }
    else
      {
      op->SetExtrusionType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_GetExtrusionTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  int      temp20;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearExtrusionFilter::GetExtrusionTypeMinValue();
      }
    else
      {
      temp20 = op->GetExtrusionTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_GetExtrusionTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  int      temp20;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearExtrusionFilter::GetExtrusionTypeMaxValue();
      }
    else
      {
      temp20 = op->GetExtrusionTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_GetExtrusionType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  int      temp20;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearExtrusionFilter::GetExtrusionType();
      }
    else
      {
      temp20 = op->GetExtrusionType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_SetExtrusionTypeToVectorExtrusion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearExtrusionFilter::SetExtrusionTypeToVectorExtrusion();
      }
    else
      {
      op->SetExtrusionTypeToVectorExtrusion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_SetExtrusionTypeToNormalExtrusion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearExtrusionFilter::SetExtrusionTypeToNormalExtrusion();
      }
    else
      {
      op->SetExtrusionTypeToNormalExtrusion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_SetExtrusionTypeToPointExtrusion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearExtrusionFilter::SetExtrusionTypeToPointExtrusion();
      }
    else
      {
      op->SetExtrusionTypeToPointExtrusion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_SetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  int      temp0;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearExtrusionFilter::SetCapping(temp0);
      }
    else
      {
      op->SetCapping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_GetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  int      temp20;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearExtrusionFilter::GetCapping();
      }
    else
      {
      temp20 = op->GetCapping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_CappingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearExtrusionFilter::CappingOn();
      }
    else
      {
      op->CappingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_CappingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearExtrusionFilter::CappingOff();
      }
    else
      {
      op->CappingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_SetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  double   temp0;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearExtrusionFilter::SetScaleFactor(temp0);
      }
    else
      {
      op->SetScaleFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_GetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  double   temp20;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearExtrusionFilter::GetScaleFactor();
      }
    else
      {
      temp20 = op->GetScaleFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_SetVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearExtrusionFilter::SetVector(temp0,temp1,temp2);
      }
    else
      {
      op->SetVector(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearExtrusionFilter::SetVector(temp0);
      }
    else
      {
      op->SetVector(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_GetVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  double  *temp20;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearExtrusionFilter::GetVector();
      }
    else
      {
      temp20 = op->GetVector();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_SetExtrusionPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearExtrusionFilter::SetExtrusionPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetExtrusionPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLinearExtrusionFilter::SetExtrusionPoint(temp0);
      }
    else
      {
      op->SetExtrusionPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearExtrusionFilter_GetExtrusionPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearExtrusionFilter *op;

  double  *temp20;
  if ((op = (vtkLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearExtrusionFilter::GetExtrusionPoint();
      }
    else
      {
      temp20 = op->GetExtrusionPoint();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLinearExtrusionFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLinearExtrusionFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLinearExtrusionFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLinearExtrusionFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLinearExtrusionFilter\nC++: vtkLinearExtrusionFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLinearExtrusionFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLinearExtrusionFilter\nC++: vtkLinearExtrusionFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetExtrusionType",                (PyCFunction)PyvtkLinearExtrusionFilter_SetExtrusionType, 1,
   (char*)"V.SetExtrusionType(int)\nC++: void SetExtrusionType (int );\n\n Set/Get the type of extrusion.\n"},
  {(char*)"GetExtrusionTypeMinValue",                (PyCFunction)PyvtkLinearExtrusionFilter_GetExtrusionTypeMinValue, 1,
   (char*)"V.GetExtrusionTypeMinValue() -> int\nC++: int GetExtrusionTypeMinValue ();\n\n Set/Get the type of extrusion.\n"},
  {(char*)"GetExtrusionTypeMaxValue",                (PyCFunction)PyvtkLinearExtrusionFilter_GetExtrusionTypeMaxValue, 1,
   (char*)"V.GetExtrusionTypeMaxValue() -> int\nC++: int GetExtrusionTypeMaxValue ();\n\n Set/Get the type of extrusion.\n"},
  {(char*)"GetExtrusionType",                (PyCFunction)PyvtkLinearExtrusionFilter_GetExtrusionType, 1,
   (char*)"V.GetExtrusionType() -> int\nC++: int GetExtrusionType ();\n\n Set/Get the type of extrusion.\n"},
  {(char*)"SetExtrusionTypeToVectorExtrusion",                (PyCFunction)PyvtkLinearExtrusionFilter_SetExtrusionTypeToVectorExtrusion, 1,
   (char*)"V.SetExtrusionTypeToVectorExtrusion()\nC++: void SetExtrusionTypeToVectorExtrusion ();this SetExtrusionType VTK_VECTOR_EXTRUSION \n\n Set/Get the type of extrusion.\n"},
  {(char*)"SetExtrusionTypeToNormalExtrusion",                (PyCFunction)PyvtkLinearExtrusionFilter_SetExtrusionTypeToNormalExtrusion, 1,
   (char*)"V.SetExtrusionTypeToNormalExtrusion()\nC++: void SetExtrusionTypeToNormalExtrusion ();this SetExtrusionType VTK_NORMAL_EXTRUSION \n\n Set/Get the type of extrusion.\n"},
  {(char*)"SetExtrusionTypeToPointExtrusion",                (PyCFunction)PyvtkLinearExtrusionFilter_SetExtrusionTypeToPointExtrusion, 1,
   (char*)"V.SetExtrusionTypeToPointExtrusion()\nC++: void SetExtrusionTypeToPointExtrusion ();this SetExtrusionType VTK_POINT_EXTRUSION \n\n Set/Get the type of extrusion.\n"},
  {(char*)"SetCapping",                (PyCFunction)PyvtkLinearExtrusionFilter_SetCapping, 1,
   (char*)"V.SetCapping(int)\nC++: void SetCapping (int );\n\n Turn on/off the capping of the skirt.\n"},
  {(char*)"GetCapping",                (PyCFunction)PyvtkLinearExtrusionFilter_GetCapping, 1,
   (char*)"V.GetCapping() -> int\nC++: int GetCapping ();\n\n Turn on/off the capping of the skirt.\n"},
  {(char*)"CappingOn",                (PyCFunction)PyvtkLinearExtrusionFilter_CappingOn, 1,
   (char*)"V.CappingOn()\nC++: void CappingOn ();\n\n Turn on/off the capping of the skirt.\n"},
  {(char*)"CappingOff",                (PyCFunction)PyvtkLinearExtrusionFilter_CappingOff, 1,
   (char*)"V.CappingOff()\nC++: void CappingOff ();\n\n Turn on/off the capping of the skirt.\n"},
  {(char*)"SetScaleFactor",                (PyCFunction)PyvtkLinearExtrusionFilter_SetScaleFactor, 1,
   (char*)"V.SetScaleFactor(float)\nC++: void SetScaleFactor (double );\n\n Set/Get extrusion scale factor,\n"},
  {(char*)"GetScaleFactor",                (PyCFunction)PyvtkLinearExtrusionFilter_GetScaleFactor, 1,
   (char*)"V.GetScaleFactor() -> float\nC++: double GetScaleFactor ();\n\n Set/Get extrusion scale factor,\n"},
  {(char*)"SetVector",                (PyCFunction)PyvtkLinearExtrusionFilter_SetVector, 1,
   (char*)"V.SetVector(float, float, float)\nC++: void SetVector (double , double , double );\nV.SetVector((float, float, float))\nC++: void SetVector (double  a[3]);\n\n Set/Get extrusion vector. Only needs to be set if VectorExtrusion is\n turned on.\n"},
  {(char*)"GetVector",                (PyCFunction)PyvtkLinearExtrusionFilter_GetVector, 1,
   (char*)"V.GetVector() -> (float, float, float)\nC++: double  *GetVector ();\n\n Set/Get extrusion vector. Only needs to be set if VectorExtrusion is\n turned on.\n"},
  {(char*)"SetExtrusionPoint",                (PyCFunction)PyvtkLinearExtrusionFilter_SetExtrusionPoint, 1,
   (char*)"V.SetExtrusionPoint(float, float, float)\nC++: void SetExtrusionPoint (double , double , double );\nV.SetExtrusionPoint((float, float, float))\nC++: void SetExtrusionPoint (double  a[3]);\n\n Set/Get extrusion point. Only needs to be set if PointExtrusion is\n turned on. This is the point towards which extrusion occurs.\n"},
  {(char*)"GetExtrusionPoint",                (PyCFunction)PyvtkLinearExtrusionFilter_GetExtrusionPoint, 1,
   (char*)"V.GetExtrusionPoint() -> (float, float, float)\nC++: double  *GetExtrusionPoint ();\n\n Set/Get extrusion point. Only needs to be set if PointExtrusion is\n turned on. This is the point towards which extrusion occurs.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLinearExtrusionFilterDoc[] = {
  (char*)"vtkLinearExtrusionFilter - sweep polygonal data creating a \"skirt\" from free edges and lines, and lines from vertices\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkLinearExtrusionFilter is a modeling filter. It takes polygonal data as \n input and generates polygonal data on output. The input dataset is swept\n according to some extrusion function and creates new polygonal primitives.\n These primitives form a \"skirt\" or swept surface. For example, sweeping a\n line results in a quadrilateral, and sweeping a triangle creates a \"wedge\".\n\n There are a number o",
  (char*)"f control parameters for this filter. You can \n control whether the sweep of a 2D object (i.e., polygon or triangle strip) \n is capped with the generating geometry via the \"Capping\" ivar. Also, you\n can extrude in the direction of a user specified vector, towards a point,\n or in the direction of vertex normals (normals must be provided - use \n vtkPolyDataNormals if necessary). The amount of extrus",
  (char*)"ion is controlled by\n the \"ScaleFactor\" instance variable.\n\n The skirt is generated by locating certain topological features. Free \n edges (edges of polygons or triangle strips only used by one polygon or\n triangle strips) generate surfaces. This is true also of lines or \n polylines. Vertices generate lines.\n\n This filter can be used to create 3D fonts, 3D irregular bar charts,\n or to model 2 1/2D",
  (char*)" objects like punched plates. It also can be used to \n create solid objects from 2D polygonal meshes.\n\n",
  "Caveats:\n\n Some polygonal objects have no free edges (e.g., sphere). When swept,\n this will result in two separate surfaces if capping is on, or no surface\n if capping is off.\n\n",
  "See Also:\n\n vtkRotationalExtrusionFilter\n\n",
  NULL
};

static vtkObjectBase *vtkLinearExtrusionFilterStaticNew()
{
  return vtkLinearExtrusionFilter::New();
}

PyObject *PyVTKClass_vtkLinearExtrusionFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkLinearExtrusionFilterStaticNew,
                        PyvtkLinearExtrusionFilterMethods,
                        (char*)"vtkLinearExtrusionFilter",modulename,
                        (char**)vtkLinearExtrusionFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

