// python wrapper for vtkLinearSubdivisionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkLinearSubdivisionFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLinearSubdivisionFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLinearSubdivisionFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInterpolatingSubdivisionFilterNew(char *); }

static PyObject *PyvtkLinearSubdivisionFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearSubdivisionFilter *op;

  const char    *temp20;
  if ((op = (vtkLinearSubdivisionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearSubdivisionFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearSubdivisionFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearSubdivisionFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkLinearSubdivisionFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearSubdivisionFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearSubdivisionFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLinearSubdivisionFilter *op;

  vtkLinearSubdivisionFilter  *temp20;
  if ((op = (vtkLinearSubdivisionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLinearSubdivisionFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLinearSubdivisionFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLinearSubdivisionFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLinearSubdivisionFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkLinearSubdivisionFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLinearSubdivisionFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Construct object with NumberOfSubdivisions set to 1.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLinearSubdivisionFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Construct object with NumberOfSubdivisions set to 1.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLinearSubdivisionFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLinearSubdivisionFilter\nC++: vtkLinearSubdivisionFilter *NewInstance ();\n\n Construct object with NumberOfSubdivisions set to 1.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLinearSubdivisionFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLinearSubdivisionFilter\nC++: vtkLinearSubdivisionFilter *SafeDownCast (vtkObject* o);\n\n Construct object with NumberOfSubdivisions set to 1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLinearSubdivisionFilterDoc[] = {
  (char*)"vtkLinearSubdivisionFilter - generate a subdivision surface using the Linear Scheme\n\n",
  "Super Class:\n\n vtkInterpolatingSubdivisionFilter\n\n",
  (char*)" vtkLinearSubdivisionFilter is a filter that generates output by\n subdividing its input polydata. Each subdivision iteration create 4\n new triangles for each triangle in the polydata.\n\n",
  "See Also:\n\n vtkInterpolatingSubdivisionFilter vtkButterflySubdivisionFilter\n\n",
  NULL
};

static vtkObjectBase *vtkLinearSubdivisionFilterStaticNew()
{
  return vtkLinearSubdivisionFilter::New();
}

PyObject *PyVTKClass_vtkLinearSubdivisionFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkLinearSubdivisionFilterStaticNew,
                        PyvtkLinearSubdivisionFilterMethods,
                        (char*)"vtkLinearSubdivisionFilter",modulename,
                        (char**)vtkLinearSubdivisionFilterDoc,
                        PyVTKClass_vtkInterpolatingSubdivisionFilterNew(modulename));
}

