// python wrapper for vtkMergeDataObjectFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMergeDataObjectFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMergeDataObjectFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMergeDataObjectFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkMergeDataObjectFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeDataObjectFilter *op;

  const char    *temp20;
  if ((op = (vtkMergeDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeDataObjectFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeDataObjectFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeDataObjectFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMergeDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeDataObjectFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeDataObjectFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeDataObjectFilter *op;

  vtkMergeDataObjectFilter  *temp20;
  if ((op = (vtkMergeDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeDataObjectFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeDataObjectFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMergeDataObjectFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMergeDataObjectFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMergeDataObjectFilter_SetDataObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeDataObjectFilter *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkMergeDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeDataObjectFilter::SetDataObject(temp0);
      }
    else
      {
      op->SetDataObject(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkMergeDataObjectFilter_GetDataObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeDataObjectFilter *op;

  vtkDataObject  *temp20;
  if ((op = (vtkMergeDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeDataObjectFilter::GetDataObject();
      }
    else
      {
      temp20 = op->GetDataObject();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeDataObjectFilter_SetOutputField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeDataObjectFilter *op;

  int      temp0;
  if ((op = (vtkMergeDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeDataObjectFilter::SetOutputField(temp0);
      }
    else
      {
      op->SetOutputField(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeDataObjectFilter_GetOutputField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeDataObjectFilter *op;

  int      temp20;
  if ((op = (vtkMergeDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeDataObjectFilter::GetOutputField();
      }
    else
      {
      temp20 = op->GetOutputField();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeDataObjectFilter_SetOutputFieldToDataObjectField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeDataObjectFilter *op;

  if ((op = (vtkMergeDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeDataObjectFilter::SetOutputFieldToDataObjectField();
      }
    else
      {
      op->SetOutputFieldToDataObjectField();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeDataObjectFilter_SetOutputFieldToPointDataField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeDataObjectFilter *op;

  if ((op = (vtkMergeDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeDataObjectFilter::SetOutputFieldToPointDataField();
      }
    else
      {
      op->SetOutputFieldToPointDataField();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeDataObjectFilter_SetOutputFieldToCellDataField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeDataObjectFilter *op;

  if ((op = (vtkMergeDataObjectFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeDataObjectFilter::SetOutputFieldToCellDataField();
      }
    else
      {
      op->SetOutputFieldToCellDataField();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMergeDataObjectFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMergeDataObjectFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMergeDataObjectFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMergeDataObjectFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMergeDataObjectFilter\nC++: vtkMergeDataObjectFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMergeDataObjectFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMergeDataObjectFilter\nC++: vtkMergeDataObjectFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDataObject",                (PyCFunction)PyvtkMergeDataObjectFilter_SetDataObject, 1,
   (char*)"V.SetDataObject(vtkDataObject)\nC++: void SetDataObject (vtkDataObject *object);\n\n Specify the data object to merge with the input dataset.\n"},
  {(char*)"GetDataObject",                (PyCFunction)PyvtkMergeDataObjectFilter_GetDataObject, 1,
   (char*)"V.GetDataObject() -> vtkDataObject\nC++: vtkDataObject *GetDataObject ();\n\n Specify the data object to merge with the input dataset.\n"},
  {(char*)"SetOutputField",                (PyCFunction)PyvtkMergeDataObjectFilter_SetOutputField, 1,
   (char*)"V.SetOutputField(int)\nC++: void SetOutputField (int );\n\n Specify where to place the field data during the merge process.  There\n are three choices: the field data associated with the vtkDataObject\n superclass; the point field attribute data; and the cell field attribute\n data.\n"},
  {(char*)"GetOutputField",                (PyCFunction)PyvtkMergeDataObjectFilter_GetOutputField, 1,
   (char*)"V.GetOutputField() -> int\nC++: int GetOutputField ();\n\n Specify where to place the field data during the merge process.  There\n are three choices: the field data associated with the vtkDataObject\n superclass; the point field attribute data; and the cell field attribute\n data.\n"},
  {(char*)"SetOutputFieldToDataObjectField",                (PyCFunction)PyvtkMergeDataObjectFilter_SetOutputFieldToDataObjectField, 1,
   (char*)"V.SetOutputFieldToDataObjectField()\nC++: void SetOutputFieldToDataObjectField ();\n\n Specify where to place the field data during the merge process.  There\n are three choices: the field data associated with the vtkDataObject\n superclass; the point field attribute data; and the cell field attribute\n data.\n"},
  {(char*)"SetOutputFieldToPointDataField",                (PyCFunction)PyvtkMergeDataObjectFilter_SetOutputFieldToPointDataField, 1,
   (char*)"V.SetOutputFieldToPointDataField()\nC++: void SetOutputFieldToPointDataField ();\n\n Specify where to place the field data during the merge process.  There\n are three choices: the field data associated with the vtkDataObject\n superclass; the point field attribute data; and the cell field attribute\n data.\n"},
  {(char*)"SetOutputFieldToCellDataField",                (PyCFunction)PyvtkMergeDataObjectFilter_SetOutputFieldToCellDataField, 1,
   (char*)"V.SetOutputFieldToCellDataField()\nC++: void SetOutputFieldToCellDataField ();\n\n Specify where to place the field data during the merge process.  There\n are three choices: the field data associated with the vtkDataObject\n superclass; the point field attribute data; and the cell field attribute\n data.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMergeDataObjectFilterDoc[] = {
  (char*)"vtkMergeDataObjectFilter - merge dataset and data object field to create dataset with attribute data\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkMergeDataObjectFilter is a filter that merges the field from a\n vtkDataObject with a vtkDataSet. The resulting combined dataset can\n then be processed by other filters (e.g.,\n vtkFieldDataToAttributeDataFilter) to create attribute data like\n scalars, vectors, etc.\n\n The filter operates as follows. The field data from the\n vtkDataObject is merged with the input's vtkDataSet and then placed\n in ",
  (char*)"the output. You can choose to place the field data into the cell\n data field, the point data field, or the datasets field (i.e., the\n one inherited from vtkDataSet's superclass vtkDataObject). All this\n data shuffling occurs via reference counting, therefore memory is\n not copied.\n\n One of the uses of this filter is to allow you to read/generate the\n structure of a dataset independent of the attri",
  (char*)"butes. So, for\n example, you could store the dataset geometry/topology in one file,\n and field data in another. Then use this filter in combination with\n vtkFieldDataToAttributeData to create a dataset ready for\n processing in the visualization pipeline.\n\n",
  NULL
};

static vtkObjectBase *vtkMergeDataObjectFilterStaticNew()
{
  return vtkMergeDataObjectFilter::New();
}

PyObject *PyVTKClass_vtkMergeDataObjectFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkMergeDataObjectFilterStaticNew,
                        PyvtkMergeDataObjectFilterMethods,
                        (char*)"vtkMergeDataObjectFilter",modulename,
                        (char**)vtkMergeDataObjectFilterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

