// python wrapper for vtkMergeFields object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMergeFields.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMergeFieldsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMergeFieldsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkMergeFields_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFields *op;

  const char    *temp20;
  if ((op = (vtkMergeFields *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeFields::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeFields_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFields *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMergeFields *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeFields::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeFields_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFields *op;

  vtkMergeFields  *temp20;
  if ((op = (vtkMergeFields *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMergeFields::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeFields_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMergeFields  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMergeFields::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMergeFields_SetOutputField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFields *op;

  char    *temp0;
  int      temp1;
  if ((op = (vtkMergeFields *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFields::SetOutputField(temp0,temp1);
      }
    else
      {
      op->SetOutputField(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMergeFields *op;

  char    *temp0;
  char    *temp1;
  PyErr_Clear();
  if ((op = (vtkMergeFields *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFields::SetOutputField(temp0,temp1);
      }
    else
      {
      op->SetOutputField(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeFields_Merge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFields *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  if ((op = (vtkMergeFields *)PyArg_VTKParseTuple(self, args, (char*)"izi", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFields::Merge(temp0,temp1,temp2);
      }
    else
      {
      op->Merge(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMergeFields_SetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMergeFields *op;

  int      temp0;
  if ((op = (vtkMergeFields *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMergeFields::SetNumberOfComponents(temp0);
      }
    else
      {
      op->SetNumberOfComponents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMergeFieldsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMergeFields_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMergeFields_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMergeFields_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMergeFields\nC++: vtkMergeFields *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMergeFields_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMergeFields\nC++: vtkMergeFields *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutputField",                (PyCFunction)PyvtkMergeFields_SetOutputField, 1,
   (char*)"V.SetOutputField(string, int)\nC++: void SetOutputField (const char *name, int fieldLoc);\nV.SetOutputField(string, string)\nC++: void SetOutputField (const char *name, const char *fieldLoc);\n\n The output field will have the given name and it will be in\n fieldLoc (the input fields also have to be in fieldLoc).\n"},
  {(char*)"Merge",                (PyCFunction)PyvtkMergeFields_Merge, 1,
   (char*)"V.Merge(int, string, int)\nC++: void Merge (int component, const char *arrayName, int sourceComp);\n\n Add a component (arrayName,sourceComp) to the output field.\n"},
  {(char*)"SetNumberOfComponents",                (PyCFunction)PyvtkMergeFields_SetNumberOfComponents, 1,
   (char*)"V.SetNumberOfComponents(int)\nC++: void SetNumberOfComponents (int );\n\n Set the number of the components in the output field.\n This has to be set before execution. Default value is 0.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMergeFieldsDoc[] = {
  (char*)"vtkMergeFields - Merge multiple fields into one.\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkMergeFields is used to merge mutliple field into one.\n The new field is put in the same field data as the original field.\n For example\n @verbatim\n mf->SetOutputField(\"foo\", vtkMergeFields::POINT_DATA);\n mf->SetNumberOfComponents(2);\n mf->Merge(0, \"array1\", 1);\n mf->Merge(1, \"array2\", 0);\n @endverbatim\n will tell vtkMergeFields to use the 2nd component of array1 and\n the 1st component of array2",
  (char*)" to create a 2 component field called foo.\n The same can be done using Tcl:\n @verbatim\n mf SetOutputField foo POINT_DATA\n mf Merge 0 array1 1\n mf Merge 1 array2 0\n\n Field locations: DATA_OBJECT, POINT_DATA, CELL_DATA\n @endverbatim\n\n",
  "See Also:\n\n vtkFieldData vtkDataSet vtkDataObjectToDataSetFilter\n vtkDataSetAttributes vtkDataArray vtkRearrangeFields\n vtkSplitField vtkAssignAttribute\n\n",
  NULL
};

static vtkObjectBase *vtkMergeFieldsStaticNew()
{
  return vtkMergeFields::New();
}

PyObject *PyVTKClass_vtkMergeFieldsNew(char *modulename)
{
  return PyVTKClass_New(&vtkMergeFieldsStaticNew,
                        PyvtkMergeFieldsMethods,
                        (char*)"vtkMergeFields",modulename,
                        (char**)vtkMergeFieldsDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

