// python wrapper for vtkMeshQuality object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMeshQuality.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMeshQualityNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMeshQualityNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkMeshQuality_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  const char    *temp20;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  vtkMeshQuality  *temp20;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMeshQuality  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMeshQuality::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetSaveCellQuality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetSaveCellQuality(temp0);
      }
    else
      {
      op->SetSaveCellQuality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetSaveCellQuality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetSaveCellQuality();
      }
    else
      {
      temp20 = op->GetSaveCellQuality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SaveCellQualityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SaveCellQualityOn();
      }
    else
      {
      op->SaveCellQualityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SaveCellQualityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SaveCellQualityOff();
      }
    else
      {
      op->SaveCellQualityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasure(temp0);
      }
    else
      {
      op->SetTriangleQualityMeasure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetTriangleQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetTriangleQualityMeasure();
      }
    else
      {
      temp20 = op->GetTriangleQualityMeasure();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToEdgeRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToEdgeRatio();
      }
    else
      {
      op->SetTriangleQualityMeasureToEdgeRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToAspectRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToAspectRatio();
      }
    else
      {
      op->SetTriangleQualityMeasureToAspectRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToRadiusRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToRadiusRatio();
      }
    else
      {
      op->SetTriangleQualityMeasureToRadiusRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToFrobeniusNorm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToFrobeniusNorm();
      }
    else
      {
      op->SetTriangleQualityMeasureToFrobeniusNorm();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToMinAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToMinAngle();
      }
    else
      {
      op->SetTriangleQualityMeasureToMinAngle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasure(temp0);
      }
    else
      {
      op->SetQuadQualityMeasure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetQuadQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetQuadQualityMeasure();
      }
    else
      {
      temp20 = op->GetQuadQualityMeasure();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToEdgeRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToEdgeRatio();
      }
    else
      {
      op->SetQuadQualityMeasureToEdgeRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToAspectRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToAspectRatio();
      }
    else
      {
      op->SetQuadQualityMeasureToAspectRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToRadiusRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToRadiusRatio();
      }
    else
      {
      op->SetQuadQualityMeasureToRadiusRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToMedFrobeniusNorm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToMedFrobeniusNorm();
      }
    else
      {
      op->SetQuadQualityMeasureToMedFrobeniusNorm();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToMaxFrobeniusNorm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToMaxFrobeniusNorm();
      }
    else
      {
      op->SetQuadQualityMeasureToMaxFrobeniusNorm();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToMinAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToMinAngle();
      }
    else
      {
      op->SetQuadQualityMeasureToMinAngle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasure(temp0);
      }
    else
      {
      op->SetTetQualityMeasure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetTetQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetTetQualityMeasure();
      }
    else
      {
      temp20 = op->GetTetQualityMeasure();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToEdgeRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToEdgeRatio();
      }
    else
      {
      op->SetTetQualityMeasureToEdgeRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToAspectRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToAspectRatio();
      }
    else
      {
      op->SetTetQualityMeasureToAspectRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToRadiusRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToRadiusRatio();
      }
    else
      {
      op->SetTetQualityMeasureToRadiusRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToFrobeniusNorm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToFrobeniusNorm();
      }
    else
      {
      op->SetTetQualityMeasureToFrobeniusNorm();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToMinAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToMinAngle();
      }
    else
      {
      op->SetTetQualityMeasureToMinAngle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasure(temp0);
      }
    else
      {
      op->SetHexQualityMeasure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetHexQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetHexQualityMeasure();
      }
    else
      {
      temp20 = op->GetHexQualityMeasure();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToEdgeRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToEdgeRatio();
      }
    else
      {
      op->SetHexQualityMeasureToEdgeRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleEdgeRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break33;
      {
      temp20 = vtkMeshQuality::TriangleEdgeRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break33:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleAspectRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break34;
      {
      temp20 = vtkMeshQuality::TriangleAspectRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break34:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleRadiusRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break35;
      {
      temp20 = vtkMeshQuality::TriangleRadiusRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break35:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleFrobeniusNorm(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break36;
      {
      temp20 = vtkMeshQuality::TriangleFrobeniusNorm(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break36:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleMinAngle(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break37;
      {
      temp20 = vtkMeshQuality::TriangleMinAngle(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break37:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadEdgeRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break38;
      {
      temp20 = vtkMeshQuality::QuadEdgeRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadAspectRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break39;
      {
      temp20 = vtkMeshQuality::QuadAspectRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break39:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadRadiusRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break40;
      {
      temp20 = vtkMeshQuality::QuadRadiusRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break40:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadMedFrobeniusNorm(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break41;
      {
      temp20 = vtkMeshQuality::QuadMedFrobeniusNorm(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break41:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadMaxFrobeniusNorm(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break42;
      {
      temp20 = vtkMeshQuality::QuadMaxFrobeniusNorm(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break42:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadMinAngle(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break43;
      {
      temp20 = vtkMeshQuality::QuadMinAngle(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break43:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetEdgeRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break44;
      {
      temp20 = vtkMeshQuality::TetEdgeRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break44:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetAspectRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break45;
      {
      temp20 = vtkMeshQuality::TetAspectRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break45:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetRadiusRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break46;
      {
      temp20 = vtkMeshQuality::TetRadiusRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break46:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetFrobeniusNorm(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break47;
      {
      temp20 = vtkMeshQuality::TetFrobeniusNorm(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break47:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetMinAngle(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break48;
      {
      temp20 = vtkMeshQuality::TetMinAngle(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break48:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexEdgeRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break49;
      {
      temp20 = vtkMeshQuality::HexEdgeRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break49:
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetRatio(temp0);
      }
    else
      {
      op->SetRatio(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetRatio();
      }
    else
      {
      temp20 = op->GetRatio();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_RatioOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::RatioOn();
      }
    else
      {
      op->RatioOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_RatioOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::RatioOff();
      }
    else
      {
      op->RatioOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetVolume(temp0);
      }
    else
      {
      op->SetVolume(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetVolume();
      }
    else
      {
      temp20 = op->GetVolume();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_VolumeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::VolumeOn();
      }
    else
      {
      op->VolumeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_VolumeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::VolumeOff();
      }
    else
      {
      op->VolumeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetCompatibilityMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetCompatibilityMode(temp0);
      }
    else
      {
      op->SetCompatibilityMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetCompatibilityMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetCompatibilityMode();
      }
    else
      {
      temp20 = op->GetCompatibilityMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_CompatibilityModeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::CompatibilityModeOn();
      }
    else
      {
      op->CompatibilityModeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_CompatibilityModeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  if ((op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::CompatibilityModeOff();
      }
    else
      {
      op->CompatibilityModeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMeshQualityMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMeshQuality_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMeshQuality_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMeshQuality_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMeshQuality\nC++: vtkMeshQuality *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMeshQuality_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMeshQuality\nC++: vtkMeshQuality *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSaveCellQuality",                (PyCFunction)PyvtkMeshQuality_SetSaveCellQuality, 1,
   (char*)"V.SetSaveCellQuality(int)\nC++: void SetSaveCellQuality (int );\n\n This variable controls whether or not cell quality is stored as\n cell data in the resulting mesh or discarded (leaving only the\n aggregate quality average of the entire mesh, recorded in the\n FieldData).\n"},
  {(char*)"GetSaveCellQuality",                (PyCFunction)PyvtkMeshQuality_GetSaveCellQuality, 1,
   (char*)"V.GetSaveCellQuality() -> int\nC++: int GetSaveCellQuality ();\n\n This variable controls whether or not cell quality is stored as\n cell data in the resulting mesh or discarded (leaving only the\n aggregate quality average of the entire mesh, recorded in the\n FieldData).\n"},
  {(char*)"SaveCellQualityOn",                (PyCFunction)PyvtkMeshQuality_SaveCellQualityOn, 1,
   (char*)"V.SaveCellQualityOn()\nC++: void SaveCellQualityOn ();\n\n This variable controls whether or not cell quality is stored as\n cell data in the resulting mesh or discarded (leaving only the\n aggregate quality average of the entire mesh, recorded in the\n FieldData).\n"},
  {(char*)"SaveCellQualityOff",                (PyCFunction)PyvtkMeshQuality_SaveCellQualityOff, 1,
   (char*)"V.SaveCellQualityOff()\nC++: void SaveCellQualityOff ();\n\n This variable controls whether or not cell quality is stored as\n cell data in the resulting mesh or discarded (leaving only the\n aggregate quality average of the entire mesh, recorded in the\n FieldData).\n"},
  {(char*)"SetTriangleQualityMeasure",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasure, 1,
   (char*)"V.SetTriangleQualityMeasure(int)\nC++: void SetTriangleQualityMeasure (int );\n\n Set/Get the particular estimator used to measure the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_FROBENIUS_NORM, and VTK_QUALITY_EDGE_RATIO.\n"},
  {(char*)"GetTriangleQualityMeasure",                (PyCFunction)PyvtkMeshQuality_GetTriangleQualityMeasure, 1,
   (char*)"V.GetTriangleQualityMeasure() -> int\nC++: int GetTriangleQualityMeasure ();\n\n Set/Get the particular estimator used to measure the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_FROBENIUS_NORM, and VTK_QUALITY_EDGE_RATIO.\n"},
  {(char*)"SetTriangleQualityMeasureToEdgeRatio",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToEdgeRatio, 1,
   (char*)"V.SetTriangleQualityMeasureToEdgeRatio()\nC++: void SetTriangleQualityMeasureToEdgeRatio ();this SetTriangleQualityMeasure VTK_QUALITY_EDGE_RATIO \n\n Set/Get the particular estimator used to measure the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_FROBENIUS_NORM, and VTK_QUALITY_EDGE_RATIO.\n"},
  {(char*)"SetTriangleQualityMeasureToAspectRatio",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToAspectRatio, 1,
   (char*)"V.SetTriangleQualityMeasureToAspectRatio()\nC++: void SetTriangleQualityMeasureToAspectRatio ();this SetTriangleQualityMeasure VTK_QUALITY_ASPECT_RATIO \n\n Set/Get the particular estimator used to measure the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_FROBENIUS_NORM, and VTK_QUALITY_EDGE_RATIO.\n"},
  {(char*)"SetTriangleQualityMeasureToRadiusRatio",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToRadiusRatio, 1,
   (char*)"V.SetTriangleQualityMeasureToRadiusRatio()\nC++: void SetTriangleQualityMeasureToRadiusRatio ();this SetTriangleQualityMeasure VTK_QUALITY_RADIUS_RATIO \n\n Set/Get the particular estimator used to measure the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_FROBENIUS_NORM, and VTK_QUALITY_EDGE_RATIO.\n"},
  {(char*)"SetTriangleQualityMeasureToFrobeniusNorm",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToFrobeniusNorm, 1,
   (char*)"V.SetTriangleQualityMeasureToFrobeniusNorm()\nC++: void SetTriangleQualityMeasureToFrobeniusNorm ();this SetTriangleQualityMeasure VTK_QUALITY_FROBENIUS_NORM \n\n Set/Get the particular estimator used to measure the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_FROBENIUS_NORM, and VTK_QUALITY_EDGE_RATIO.\n"},
  {(char*)"SetTriangleQualityMeasureToMinAngle",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToMinAngle, 1,
   (char*)"V.SetTriangleQualityMeasureToMinAngle()\nC++: void SetTriangleQualityMeasureToMinAngle ();this SetTriangleQualityMeasure VTK_QUALITY_MIN_ANGLE \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO and VTK_QUALITY_ASPECT_RATIO.\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasure",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasure, 1,
   (char*)"V.SetQuadQualityMeasure(int)\nC++: void SetQuadQualityMeasure (int );\n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO and VTK_QUALITY_ASPECT_RATIO.\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"GetQuadQualityMeasure",                (PyCFunction)PyvtkMeshQuality_GetQuadQualityMeasure, 1,
   (char*)"V.GetQuadQualityMeasure() -> int\nC++: int GetQuadQualityMeasure ();\n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO and VTK_QUALITY_ASPECT_RATIO.\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToEdgeRatio",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToEdgeRatio, 1,
   (char*)"V.SetQuadQualityMeasureToEdgeRatio()\nC++: void SetQuadQualityMeasureToEdgeRatio ();this SetQuadQualityMeasure VTK_QUALITY_EDGE_RATIO \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO and VTK_QUALITY_ASPECT_RATIO.\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToAspectRatio",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToAspectRatio, 1,
   (char*)"V.SetQuadQualityMeasureToAspectRatio()\nC++: void SetQuadQualityMeasureToAspectRatio ();this SetQuadQualityMeasure VTK_QUALITY_ASPECT_RATIO \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO and VTK_QUALITY_ASPECT_RATIO.\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToRadiusRatio",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToRadiusRatio, 1,
   (char*)"V.SetQuadQualityMeasureToRadiusRatio()\nC++: void SetQuadQualityMeasureToRadiusRatio ();this SetQuadQualityMeasure VTK_QUALITY_RADIUS_RATIO \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO and VTK_QUALITY_ASPECT_RATIO.\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToMedFrobeniusNorm",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToMedFrobeniusNorm, 1,
   (char*)"V.SetQuadQualityMeasureToMedFrobeniusNorm()\nC++: void SetQuadQualityMeasureToMedFrobeniusNorm ();this SetQuadQualityMeasure VTK_QUALITY_MED_FROBENIUS_NORM \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO and VTK_QUALITY_ASPECT_RATIO.\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToMaxFrobeniusNorm",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToMaxFrobeniusNorm, 1,
   (char*)"V.SetQuadQualityMeasureToMaxFrobeniusNorm()\nC++: void SetQuadQualityMeasureToMaxFrobeniusNorm ();this SetQuadQualityMeasure VTK_QUALITY_MAX_FROBENIUS_NORM \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO and VTK_QUALITY_ASPECT_RATIO.\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToMinAngle",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToMinAngle, 1,
   (char*)"V.SetQuadQualityMeasureToMinAngle()\nC++: void SetQuadQualityMeasureToMinAngle ();this SetQuadQualityMeasure VTK_QUALITY_MIN_ANGLE \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_FROBENIUS_NORM, and VTK_QUALITY_EDGE_RATIO.\n"},
  {(char*)"SetTetQualityMeasure",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasure, 1,
   (char*)"V.SetTetQualityMeasure(int)\nC++: void SetTetQualityMeasure (int );\n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_FROBENIUS_NORM, and VTK_QUALITY_EDGE_RATIO.\n"},
  {(char*)"GetTetQualityMeasure",                (PyCFunction)PyvtkMeshQuality_GetTetQualityMeasure, 1,
   (char*)"V.GetTetQualityMeasure() -> int\nC++: int GetTetQualityMeasure ();\n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_FROBENIUS_NORM, and VTK_QUALITY_EDGE_RATIO.\n"},
  {(char*)"SetTetQualityMeasureToEdgeRatio",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToEdgeRatio, 1,
   (char*)"V.SetTetQualityMeasureToEdgeRatio()\nC++: void SetTetQualityMeasureToEdgeRatio ();this SetTetQualityMeasure VTK_QUALITY_EDGE_RATIO \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_FROBENIUS_NORM, and VTK_QUALITY_EDGE_RATIO.\n"},
  {(char*)"SetTetQualityMeasureToAspectRatio",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToAspectRatio, 1,
   (char*)"V.SetTetQualityMeasureToAspectRatio()\nC++: void SetTetQualityMeasureToAspectRatio ();this SetTetQualityMeasure VTK_QUALITY_ASPECT_RATIO \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_FROBENIUS_NORM, and VTK_QUALITY_EDGE_RATIO.\n"},
  {(char*)"SetTetQualityMeasureToRadiusRatio",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToRadiusRatio, 1,
   (char*)"V.SetTetQualityMeasureToRadiusRatio()\nC++: void SetTetQualityMeasureToRadiusRatio ();this SetTetQualityMeasure VTK_QUALITY_RADIUS_RATIO \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_FROBENIUS_NORM, and VTK_QUALITY_EDGE_RATIO.\n"},
  {(char*)"SetTetQualityMeasureToFrobeniusNorm",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToFrobeniusNorm, 1,
   (char*)"V.SetTetQualityMeasureToFrobeniusNorm()\nC++: void SetTetQualityMeasureToFrobeniusNorm ();this SetTetQualityMeasure VTK_QUALITY_FROBENIUS_NORM \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_FROBENIUS_NORM, and VTK_QUALITY_EDGE_RATIO.\n"},
  {(char*)"SetTetQualityMeasureToMinAngle",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToMinAngle, 1,
   (char*)"V.SetTetQualityMeasureToMinAngle()\nC++: void SetTetQualityMeasureToMinAngle ();this SetTetQualityMeasure VTK_QUALITY_MIN_ANGLE \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO.\n"},
  {(char*)"SetHexQualityMeasure",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasure, 1,
   (char*)"V.SetHexQualityMeasure(int)\nC++: void SetHexQualityMeasure (int );\n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO.\n"},
  {(char*)"GetHexQualityMeasure",                (PyCFunction)PyvtkMeshQuality_GetHexQualityMeasure, 1,
   (char*)"V.GetHexQualityMeasure() -> int\nC++: int GetHexQualityMeasure ();\n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO.\n"},
  {(char*)"SetHexQualityMeasureToEdgeRatio",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToEdgeRatio, 1,
   (char*)"V.SetHexQualityMeasureToEdgeRatio()\nC++: void SetHexQualityMeasureToEdgeRatio ();this SetHexQualityMeasure VTK_QUALITY_EDGE_RATIO \n\n This is a static function used to calculate the edge ratio of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The edge ratio of a triangle \\f$t\\f$ is: \n \\f$\\frac{|t|_\\infty}{|t|_0}\\f$,\n where \\f$|t|_\\infty\\f$ and \\f$|t|_0\\f$ respectively denote the greatest and\n the smallest edge lengths of \\f$t\\f$.\n"},
  {(char*)"TriangleEdgeRatio",                (PyCFunction)PyvtkMeshQuality_TriangleEdgeRatio, 1,
   (char*)"V.TriangleEdgeRatio(vtkCell) -> float\nC++: static double TriangleEdgeRatio (vtkCell *cell);\n\n This is a static function used to calculate the edge ratio of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The edge ratio of a triangle \\f$t\\f$ is: \n \\f$\\frac{|t|_\\infty}{|t|_0}\\f$,\n where \\f$|t|_\\infty\\f$ and \\f$|t|_0\\f$ respectively denote the greatest and\n the smallest edge lengths of \\f$t\\f$.\n"},
  {(char*)"TriangleAspectRatio",                (PyCFunction)PyvtkMeshQuality_TriangleAspectRatio, 1,
   (char*)"V.TriangleAspectRatio(vtkCell) -> float\nC++: static double TriangleAspectRatio (vtkCell *cell);\n\n This is a static function used to calculate the aspect ratio of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The aspect ratio of a triangle \\f$t\\f$ is: \n \\f$\\frac{|t|_\\infty}{2\\sqrt{3}r}\\f$,\n where \\f$|t|_\\infty\\f$ and \\f$r\\f$ respectively denote the greatest edge \n length and the inradius of \\f$t\\f$.\n"},
  {(char*)"TriangleRadiusRatio",                (PyCFunction)PyvtkMeshQuality_TriangleRadiusRatio, 1,
   (char*)"V.TriangleRadiusRatio(vtkCell) -> float\nC++: static double TriangleRadiusRatio (vtkCell *cell);\n\n This is a static function used to calculate the radius ratio of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The radius ratio of a triangle \\f$t\\f$ is: \n \\f$\\frac{R}{2r}\\f$,\n where \\f$R\\f$ and \\f$r\\f$ respectively denote the circumradius and \n the inradius of \\f$t\\f$.\n"},
  {(char*)"TriangleFrobeniusNorm",                (PyCFunction)PyvtkMeshQuality_TriangleFrobeniusNorm, 1,
   (char*)"V.TriangleFrobeniusNorm(vtkCell) -> float\nC++: static double TriangleFrobeniusNorm (vtkCell *cell);\n\n This is a static function used to calculate the Frobenius norm of a triangle\n when the reference element is equilateral.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The Frobenius norm of a triangle \\f$t\\f$, when the reference element is \n equilateral, is: \n \\f$\\frac{|t|^2_2}{2\\sqrt{3}{\\cal A}}\\f$,\n where \\f$|t|^2_2\\f$ and \\f$\\cal A\\f$ respectively denote the sum of the \n squared edge lengths and the area of \\f$t\\f$.\n"},
  {(char*)"TriangleMinAngle",                (PyCFunction)PyvtkMeshQuality_TriangleMinAngle, 1,
   (char*)"V.TriangleMinAngle(vtkCell) -> float\nC++: static double TriangleMinAngle (vtkCell *cell);\n\n This is a static function used to calculate the minimal (nonoriented) angle\n of a triangle, expressed in degrees.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"QuadEdgeRatio",                (PyCFunction)PyvtkMeshQuality_QuadEdgeRatio, 1,
   (char*)"V.QuadEdgeRatio(vtkCell) -> float\nC++: static double QuadEdgeRatio (vtkCell *cell);\n\n This is a static function used to calculate the edge ratio of a quadrilateral.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The edge ratio of a quadrilateral \\f$q\\f$ is: \n \\f$\\frac{|q|_\\infty}{|q|_0}\\f$,\n where \\f$|q|_\\infty\\f$ and \\f$|q|_0\\f$ respectively denote the greatest and\n the smallest edge lengths of \\f$q\\f$.\n"},
  {(char*)"QuadAspectRatio",                (PyCFunction)PyvtkMeshQuality_QuadAspectRatio, 1,
   (char*)"V.QuadAspectRatio(vtkCell) -> float\nC++: static double QuadAspectRatio (vtkCell *cell);\n\n This is a static function used to calculate the aspect ratio of a planar \n quadrilateral.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function. Use at your own risk with nonplanar quadrilaterals.\n The aspect ratio of a planar quadrilateral \\f$q\\f$ is: \n \\f$\\frac{|q|_1|q|_\\infty}{4{\\cal A}}\\f$,\n where \\f$|q|_1\\f$, $|q|_\\infty\\f$ and \\f${\\cal A}\\f$ respectively denote the \n perimeter, the greatest edge length and the area of \\f$q\\f$.\n"},
  {(char*)"QuadRadiusRatio",                (PyCFunction)PyvtkMeshQuality_QuadRadiusRatio, 1,
   (char*)"V.QuadRadiusRatio(vtkCell) -> float\nC++: static double QuadRadiusRatio (vtkCell *cell);\n\n This is a static function used to calculate the radius ratio of a planar \n quadrilateral. The name is only used by analogy with the triangle radius \n ratio, because in general a quadrilateral does not have a circumcircle nor\n an incircle. \n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function. Use at your own risk with nonplanar quadrilaterals.\n The radius ratio of a planar quadrilateral \\f$q\\f$ is: \n \\f$\\frac{|q|_2h_{\\max}}{\\min_i{\\cal A}_i}\\f$,\n where \\f$|q|_2\\f$, \\f$h_{\\max}\\f$ and \\f$\\min{\\cal A}_i\\f$ respectively denote \n the sum of the squared edge lengths, the greatest amongst diagonal and edge \n lengths and the smallest area of the 4 triangles extractable from \\f$q\\f$.\n"},
  {(char*)"QuadMedFrobeniusNorm",                (PyCFunction)PyvtkMeshQuality_QuadMedFrobeniusNorm, 1,
   (char*)"V.QuadMedFrobeniusNorm(vtkCell) -> float\nC++: static double QuadMedFrobeniusNorm (vtkCell *cell);\n\n This is a static function used to calculate the average Frobenius norm of the\n 4 triangles extractable from a planar quadrilateral, when the reference \n triangle elements are right isosceles at the quadrangle vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function. Use at your own risk with nonplanar quadrilaterals.\n The Frobenius norm of a triangle \\f$t\\f$, when the reference element is \n right isosceles at vertex \\f$V\\f$, is: \n \\f$\\frac{f^2+g^2}{4{\\cal A}}\\f$,\n where \\f$f^2+g^2\\f$ and \\f$\\cal A\\f$ respectively denote the sum of the \n squared lengths of the edges attached to \\f$V\\f$ and the area of \\f$t\\f$.\n"},
  {(char*)"QuadMaxFrobeniusNorm",                (PyCFunction)PyvtkMeshQuality_QuadMaxFrobeniusNorm, 1,
   (char*)"V.QuadMaxFrobeniusNorm(vtkCell) -> float\nC++: static double QuadMaxFrobeniusNorm (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius norm of the\n 4 triangles extractable from a planar quadrilateral, when the reference \n triangle elements are right isosceles at the quadrangle vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function. Use at your own risk with nonplanar quadrilaterals.\n The Frobenius norm of a triangle \\f$t\\f$, when the reference element is \n right isosceles at vertex \\f$V\\f$, is: \n \\f$\\frac{f^2+g^2}{4{\\cal A}}\\f$,\n where \\f$f^2+g^2\\f$ and \\f$\\cal A\\f$ respectively denote the sum of the \n squared lengths of the edges attached to \\f$V\\f$ and the area of \\f$t\\f$.\n"},
  {(char*)"QuadMinAngle",                (PyCFunction)PyvtkMeshQuality_QuadMinAngle, 1,
   (char*)"V.QuadMinAngle(vtkCell) -> float\nC++: static double QuadMinAngle (vtkCell *cell);\n\n This is a static function used to calculate the minimal (nonoriented) angle\n of a quadrilateral, expressed in degrees.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TetEdgeRatio",                (PyCFunction)PyvtkMeshQuality_TetEdgeRatio, 1,
   (char*)"V.TetEdgeRatio(vtkCell) -> float\nC++: static double TetEdgeRatio (vtkCell *cell);\n\n This is a static function used to calculate the edge ratio of a tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The edge ratio of a tetrahedron \\f$K\\f$ is: \n \\f$\\frac{|K|_\\infty}{|K|_0}\\f$,\n where \\f$|K|_\\infty\\f$ and \\f$|K|_0\\f$ respectively denote the greatest and\n the smallest edge lengths of \\f$K\\f$.\n"},
  {(char*)"TetAspectRatio",                (PyCFunction)PyvtkMeshQuality_TetAspectRatio, 1,
   (char*)"V.TetAspectRatio(vtkCell) -> float\nC++: static double TetAspectRatio (vtkCell *cell);\n\n This is a static function used to calculate the aspect ratio of a tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The aspect ratio of a tetrahedron \\f$K\\f$ is: \n \\f$\\frac{|K|_\\infty}{2\\sqrt{6}r}\\f$,\n where \\f$|K|_\\infty\\f$ and \\f$r\\f$ respectively denote the greatest edge \n length and the inradius of \\f$K\\f$.\n"},
  {(char*)"TetRadiusRatio",                (PyCFunction)PyvtkMeshQuality_TetRadiusRatio, 1,
   (char*)"V.TetRadiusRatio(vtkCell) -> float\nC++: static double TetRadiusRatio (vtkCell *cell);\n\n This is a static function used to calculate the radius ratio of a tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The radius ratio of a tetrahedron \\f$K\\f$ is: \n \\f$\\frac{R}{3r}\\f$,\n where \\f$R\\f$ and \\f$r\\f$ respectively denote the circumradius and \n the inradius of \\f$K\\f$.\n"},
  {(char*)"TetFrobeniusNorm",                (PyCFunction)PyvtkMeshQuality_TetFrobeniusNorm, 1,
   (char*)"V.TetFrobeniusNorm(vtkCell) -> float\nC++: static double TetFrobeniusNorm (vtkCell *cell);\n\n This is a static function used to calculate the Frobenius norm of a tetrahedron\n when the reference element is regular.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The Frobenius norm of a tetrahedron \\f$K\\f$, when the reference element is \n regular, is: \n \\f$\\frac{\\frac{3}{2}(l_{11}+l_{22}+l_{33}) - (l_{12}+l_{13}+l_{23})}\n {3(\\sqrt{2}\\det{T})^\\frac{2}{3}}\\f$,\n where \\f$T\\f$ and \\f$l_{ij}\\f$ respectively denote the edge matrix of \\f$K\\f$\n and the entries of \\f$L=T^t\\,T\\f$.\n"},
  {(char*)"TetMinAngle",                (PyCFunction)PyvtkMeshQuality_TetMinAngle, 1,
   (char*)"V.TetMinAngle(vtkCell) -> float\nC++: static double TetMinAngle (vtkCell *cell);\n\n This is a static function used to calculate the minimal (nonoriented) dihedral\n angle of a tetrahedron, expressed in degrees.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexEdgeRatio",                (PyCFunction)PyvtkMeshQuality_HexEdgeRatio, 1,
   (char*)"V.HexEdgeRatio(vtkCell) -> float\nC++: static double HexEdgeRatio (vtkCell *cell);\n\n This is a static function used to calculate the edge ratio of a hexahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The edge ratio of a tetrahedron \\f$H\\f$ is: \n \\f$\\frac{|H|_\\infty}{|H|_0}\\f$,\n where \\f$|H|_\\infty\\f$ and \\f$|H|_0\\f$ respectively denote the greatest and\n the smallest edge lengths of \\f$H\\f$.\n"},
  {(char*)"SetRatio",                (PyCFunction)PyvtkMeshQuality_SetRatio, 1,
   (char*)"V.SetRatio(int)\nC++: virtual void SetRatio (int r);this SetSaveCellQuality r \n\n These methods are deprecated. Use Get/SetSaveCellQuality() instead.\n\n Formerly, SetRatio could be used to disable computation\n of the tetrahedral radius ratio so that volume alone could be computed.\n Now, cell quality is always computed, but you may decide not\n to store the result for each cell.\n This allows average cell quality of a mesh to be\n calculated without requiring per-cell storage.\n"},
  {(char*)"GetRatio",                (PyCFunction)PyvtkMeshQuality_GetRatio, 1,
   (char*)"V.GetRatio() -> int\nC++: int GetRatio ();return this GetSaveCellQuality \n\n These methods are deprecated. Use Get/SetSaveCellQuality() instead.\n\n Formerly, SetRatio could be used to disable computation\n of the tetrahedral radius ratio so that volume alone could be computed.\n Now, cell quality is always computed, but you may decide not\n to store the result for each cell.\n This allows average cell quality of a mesh to be\n calculated without requiring per-cell storage.\n"},
  {(char*)"RatioOn",                (PyCFunction)PyvtkMeshQuality_RatioOn, 1,
   (char*)"V.RatioOn()\nC++: void RatioOn ();\n\n These methods are deprecated. Use Get/SetSaveCellQuality() instead.\n\n Formerly, SetRatio could be used to disable computation\n of the tetrahedral radius ratio so that volume alone could be computed.\n Now, cell quality is always computed, but you may decide not\n to store the result for each cell.\n This allows average cell quality of a mesh to be\n calculated without requiring per-cell storage.\n"},
  {(char*)"RatioOff",                (PyCFunction)PyvtkMeshQuality_RatioOff, 1,
   (char*)"V.RatioOff()\nC++: void RatioOff ();\n\n These methods are deprecated. Use Get/SetSaveCellQuality() instead.\n\n Formerly, SetRatio could be used to disable computation\n of the tetrahedral radius ratio so that volume alone could be computed.\n Now, cell quality is always computed, but you may decide not\n to store the result for each cell.\n This allows average cell quality of a mesh to be\n calculated without requiring per-cell storage.\n"},
  {(char*)"SetVolume",                (PyCFunction)PyvtkMeshQuality_SetVolume, 1,
   (char*)"V.SetVolume(int)\nC++: virtual void SetVolume (int cv);if cv this Volume return this Modified this Volume cv if this Volume this CompatibilityModeOn \n\n These methods are deprecated. The functionality of computing cell\n volume is being removed until it can be computed for any 3D cell.\n (The previous implementation only worked for tetrahedra.)\n\n For now, turning on the volume computation will put this\n filter into \"compatibility mode,\" where tetrahedral cell\n volume is stored in first component of each output tuple and\n the radius ratio is stored in the second component. You may\n also use CompatibilityModeOn()/Off() to enter this mode.\n In this mode, cells other than tetrahedra will have report\n a volume of 0.0 (if volume computation is enabled).\n\n By default, volume computation is disabled and compatibility\n mode is off, since it does not make a lot of sense for\n meshes with non-tetrahedral cells.\n"},
  {(char*)"GetVolume",                (PyCFunction)PyvtkMeshQuality_GetVolume, 1,
   (char*)"V.GetVolume() -> int\nC++: int GetVolume ();return this Volume \n\n These methods are deprecated. The functionality of computing cell\n volume is being removed until it can be computed for any 3D cell.\n (The previous implementation only worked for tetrahedra.)\n\n For now, turning on the volume computation will put this\n filter into \"compatibility mode,\" where tetrahedral cell\n volume is stored in first component of each output tuple and\n the radius ratio is stored in the second component. You may\n also use CompatibilityModeOn()/Off() to enter this mode.\n In this mode, cells other than tetrahedra will have report\n a volume of 0.0 (if volume computation is enabled).\n\n By default, volume computation is disabled and compatibility\n mode is off, since it does not make a lot of sense for\n meshes with non-tetrahedral cells.\n"},
  {(char*)"VolumeOn",                (PyCFunction)PyvtkMeshQuality_VolumeOn, 1,
   (char*)"V.VolumeOn()\nC++: void VolumeOn ();\n\n These methods are deprecated. The functionality of computing cell\n volume is being removed until it can be computed for any 3D cell.\n (The previous implementation only worked for tetrahedra.)\n\n For now, turning on the volume computation will put this\n filter into \"compatibility mode,\" where tetrahedral cell\n volume is stored in first component of each output tuple and\n the radius ratio is stored in the second component. You may\n also use CompatibilityModeOn()/Off() to enter this mode.\n In this mode, cells other than tetrahedra will have report\n a volume of 0.0 (if volume computation is enabled).\n\n By default, volume computation is disabled and compatibility\n mode is off, since it does not make a lot of sense for\n meshes with non-tetrahedral cells.\n"},
  {(char*)"VolumeOff",                (PyCFunction)PyvtkMeshQuality_VolumeOff, 1,
   (char*)"V.VolumeOff()\nC++: void VolumeOff ();\n\n These methods are deprecated. The functionality of computing cell\n volume is being removed until it can be computed for any 3D cell.\n (The previous implementation only worked for tetrahedra.)\n\n For now, turning on the volume computation will put this\n filter into \"compatibility mode,\" where tetrahedral cell\n volume is stored in first component of each output tuple and\n the radius ratio is stored in the second component. You may\n also use CompatibilityModeOn()/Off() to enter this mode.\n In this mode, cells other than tetrahedra will have report\n a volume of 0.0 (if volume computation is enabled).\n\n By default, volume computation is disabled and compatibility\n mode is off, since it does not make a lot of sense for\n meshes with non-tetrahedral cells.\n"},
  {(char*)"SetCompatibilityMode",                (PyCFunction)PyvtkMeshQuality_SetCompatibilityMode, 1,
   (char*)"V.SetCompatibilityMode(int)\nC++: virtual void SetCompatibilityMode (int cm);if cm this CompatibilityMode return this CompatibilityMode cm this Modified if this CompatibilityMode this Volume this TetQualityMeasure VTK_QUALITY_RADIUS_RATIO \n\n CompatibilityMode governs whether, when both a quality measure\n and cell volume are to be stored as cell data, the two values\n are stored in a single array. When compatibility mode is off\n (the default), two separate arrays are used -- one labeled\n \"Quality\" and the other labeled \"Volume\".\n When compatibility mode is on, both values are stored in a\n single array, with volume as the first component and quality\n as the second component.\n\n Enabling CompatibilityMode changes the default tetrahedral\n quality measure to VTK_QUALITY_RADIUS_RATIO and turns volume\n computation on. (This matches the default behavior of the\n initial implementation of vtkMeshQuality.) You may change\n quality measure and volume computation without leaving\n compatibility mode.\n\n Disabling compatibility mode does not affect the current\n volume computation or tetrahedral quality measure settings. \n\n The final caveat to CompatibilityMode is that regardless of\n its setting,  ...\n [Truncated]\n"},
  {(char*)"GetCompatibilityMode",                (PyCFunction)PyvtkMeshQuality_GetCompatibilityMode, 1,
   (char*)"V.GetCompatibilityMode() -> int\nC++: int GetCompatibilityMode ();\n\n CompatibilityMode governs whether, when both a quality measure\n and cell volume are to be stored as cell data, the two values\n are stored in a single array. When compatibility mode is off\n (the default), two separate arrays are used -- one labeled\n \"Quality\" and the other labeled \"Volume\".\n When compatibility mode is on, both values are stored in a\n single array, with volume as the first component and quality\n as the second component.\n\n Enabling CompatibilityMode changes the default tetrahedral\n quality measure to VTK_QUALITY_RADIUS_RATIO and turns volume\n computation on. (This matches the default behavior of the\n initial implementation of vtkMeshQuality.) You may change\n quality measure and volume computation without leaving\n compatibility mode.\n\n Disabling compatibility mode does not affect the current\n volume computation or tetrahedral quality measure settings. \n\n The final caveat to CompatibilityMode is that regardless of\n its setting,  ...\n [Truncated]\n"},
  {(char*)"CompatibilityModeOn",                (PyCFunction)PyvtkMeshQuality_CompatibilityModeOn, 1,
   (char*)"V.CompatibilityModeOn()\nC++: void CompatibilityModeOn ();\n\n CompatibilityMode governs whether, when both a quality measure\n and cell volume are to be stored as cell data, the two values\n are stored in a single array. When compatibility mode is off\n (the default), two separate arrays are used -- one labeled\n \"Quality\" and the other labeled \"Volume\".\n When compatibility mode is on, both values are stored in a\n single array, with volume as the first component and quality\n as the second component.\n\n Enabling CompatibilityMode changes the default tetrahedral\n quality measure to VTK_QUALITY_RADIUS_RATIO and turns volume\n computation on. (This matches the default behavior of the\n initial implementation of vtkMeshQuality.) You may change\n quality measure and volume computation without leaving\n compatibility mode.\n\n Disabling compatibility mode does not affect the current\n volume computation or tetrahedral quality measure settings. \n\n The final caveat to CompatibilityMode is that regardless of\n its setting,  ...\n [Truncated]\n"},
  {(char*)"CompatibilityModeOff",                (PyCFunction)PyvtkMeshQuality_CompatibilityModeOff, 1,
   (char*)"V.CompatibilityModeOff()\nC++: void CompatibilityModeOff ();\n\n CompatibilityMode governs whether, when both a quality measure\n and cell volume are to be stored as cell data, the two values\n are stored in a single array. When compatibility mode is off\n (the default), two separate arrays are used -- one labeled\n \"Quality\" and the other labeled \"Volume\".\n When compatibility mode is on, both values are stored in a\n single array, with volume as the first component and quality\n as the second component.\n\n Enabling CompatibilityMode changes the default tetrahedral\n quality measure to VTK_QUALITY_RADIUS_RATIO and turns volume\n computation on. (This matches the default behavior of the\n initial implementation of vtkMeshQuality.) You may change\n quality measure and volume computation without leaving\n compatibility mode.\n\n Disabling compatibility mode does not affect the current\n volume computation or tetrahedral quality measure settings. \n\n The final caveat to CompatibilityMode is that regardless of\n its setting,  ...\n [Truncated]\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMeshQualityDoc[] = {
  (char*)"vtkMeshQuality - Calculate measures of quality of a mesh\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkMeshQuality computes one or more measures of (geometric)\n quality for each 2-D and 3-D cell (triangle, quadrilateral, tetrahedron,\n or hexahedron) of a mesh. These measures of quality are then averaged\n over the entire mesh. The minimum, average, maximum, and variance\n of quality for each type of cell is stored in the output mesh's FieldData.\n The FieldData arrays are named \"Mesh Triangle Qual",
  (char*)"ity,\"\n \"Mesh Quadrilateral Quality,\" \"Mesh Tetrahedron Quality,\"\n and \"Mesh Hexahedron Quality.\" Each array has a single tuple\n with 5 components. The first 4 components are the quality statistics\n mentioned above; the final value is the number of cells of the given type.\n This final component makes aggregation of statistics for distributed\n mesh data possible.\n\n By default, the per-cell quality i",
  (char*)"s added to the mesh's cell data, in\n an array named \"Quality.\" Cell types not supported by\n this filter will have an entry of 0. Use SaveCellQualityOff() to\n store only the final statistics.\n\n This version of the filter overtakes an older version written by\n Leila Baghdadi, Hanif Ladak, and David Steinman at the Imaging Research\n Labs, Robarts Research Institute. That version focused solely on\n te",
  (char*)"trahedra. See the CompatibilityModeOn() member for information on\n how to make this filter behave like the previous implementation.\n\n\n",
  "Caveats:\n\n While more general than before, this class does not address many\n cell types, including wedges and pyramids in 3D and triangle strips\n and fans in 2D (among others). \n Most quadrilateral quality measures are intended for planar quadrilaterals\n only. \n The minimal angle is not, strictly speaking, a quality measure, but it is\n provided because of its useage by many authors.\n\n",
  NULL
};

static vtkObjectBase *vtkMeshQualityStaticNew()
{
  return vtkMeshQuality::New();
}

PyObject *PyVTKClass_vtkMeshQualityNew(char *modulename)
{
  return PyVTKClass_New(&vtkMeshQualityStaticNew,
                        PyvtkMeshQualityMethods,
                        (char*)"vtkMeshQuality",modulename,
                        (char**)vtkMeshQualityDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

