// tcl wrapper for vtkMeshQuality object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMeshQuality.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkMeshQualityNewCommand()
{
  vtkMeshQuality *temp = vtkMeshQuality::New();
  return ((ClientData)temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMeshQualityCppCommand(vtkMeshQuality *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMeshQualityCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMeshQualityCppCommand((vtkMeshQuality *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMeshQualityCppCommand(vtkMeshQuality *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMeshQuality",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand((vtkDataSetAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkDataSetAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMeshQuality  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMeshQuality");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMeshQuality  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMeshQuality");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMeshQuality  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMeshQuality");
    return TCL_OK;
    }
  if ((!strcmp("SetSaveCellQuality",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSaveCellQuality(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSaveCellQuality",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSaveCellQuality();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SaveCellQualityOn",argv[1]))&&(argc == 2))
    {
    op->SaveCellQualityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveCellQualityOff",argv[1]))&&(argc == 2))
    {
    op->SaveCellQualityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasure",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTriangleQualityMeasure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTriangleQualityMeasure",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTriangleQualityMeasure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToEdgeRatio",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToEdgeRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToAspectRatio",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToAspectRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToRadiusRatio",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToRadiusRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToFrobeniusNorm",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToFrobeniusNorm();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToMinAngle",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToMinAngle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasure",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetQuadQualityMeasure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetQuadQualityMeasure",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetQuadQualityMeasure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToEdgeRatio",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToEdgeRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToAspectRatio",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToAspectRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToRadiusRatio",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToRadiusRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToMedFrobeniusNorm",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToMedFrobeniusNorm();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToMaxFrobeniusNorm",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToMaxFrobeniusNorm();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToMinAngle",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToMinAngle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasure",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTetQualityMeasure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTetQualityMeasure",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTetQualityMeasure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToEdgeRatio",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToEdgeRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToAspectRatio",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToAspectRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToRadiusRatio",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToRadiusRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToFrobeniusNorm",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToFrobeniusNorm();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToMinAngle",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToMinAngle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasure",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHexQualityMeasure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHexQualityMeasure",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHexQualityMeasure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToEdgeRatio",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToEdgeRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TriangleEdgeRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleEdgeRatio(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleAspectRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleAspectRatio(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleRadiusRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleRadiusRatio(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleFrobeniusNorm",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleFrobeniusNorm(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleMinAngle",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleMinAngle(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadEdgeRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->QuadEdgeRatio(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadAspectRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->QuadAspectRatio(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadRadiusRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->QuadRadiusRatio(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadMedFrobeniusNorm",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->QuadMedFrobeniusNorm(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadMaxFrobeniusNorm",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->QuadMaxFrobeniusNorm(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadMinAngle",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->QuadMinAngle(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetEdgeRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->TetEdgeRatio(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetAspectRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->TetAspectRatio(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetRadiusRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->TetRadiusRatio(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetFrobeniusNorm",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->TetFrobeniusNorm(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetMinAngle",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->TetMinAngle(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexEdgeRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCell",interp,error));
    if (!error)
    {
    temp20 = (op)->HexEdgeRatio(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRatio",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRatio",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRatio();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RatioOn",argv[1]))&&(argc == 2))
    {
    op->RatioOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RatioOff",argv[1]))&&(argc == 2))
    {
    op->RatioOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVolume",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVolume(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVolume",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVolume();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VolumeOn",argv[1]))&&(argc == 2))
    {
    op->VolumeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VolumeOff",argv[1]))&&(argc == 2))
    {
    op->VolumeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCompatibilityMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCompatibilityMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompatibilityMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCompatibilityMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CompatibilityModeOn",argv[1]))&&(argc == 2))
    {
    op->CompatibilityModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CompatibilityModeOff",argv[1]))&&(argc == 2))
    {
    op->CompatibilityModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkMeshQualityCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMeshQuality:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetSaveCellQuality\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSaveCellQuality\n",NULL);
    Tcl_AppendResult(interp,"  SaveCellQualityOn\n",NULL);
    Tcl_AppendResult(interp,"  SaveCellQualityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTriangleQualityMeasure\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToEdgeRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToAspectRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToRadiusRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToFrobeniusNorm\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToMinAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetQuadQualityMeasure\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToEdgeRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToAspectRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToRadiusRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToMedFrobeniusNorm\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToMaxFrobeniusNorm\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToMinAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTetQualityMeasure\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToEdgeRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToAspectRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToRadiusRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToFrobeniusNorm\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToMinAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHexQualityMeasure\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToEdgeRatio\n",NULL);
    Tcl_AppendResult(interp,"  TriangleEdgeRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleAspectRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleRadiusRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleFrobeniusNorm\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleMinAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadEdgeRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadAspectRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadRadiusRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadMedFrobeniusNorm\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadMaxFrobeniusNorm\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadMinAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetEdgeRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetAspectRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetRadiusRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetFrobeniusNorm\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetMinAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexEdgeRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRatio\n",NULL);
    Tcl_AppendResult(interp,"  RatioOn\n",NULL);
    Tcl_AppendResult(interp,"  RatioOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVolume\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVolume\n",NULL);
    Tcl_AppendResult(interp,"  VolumeOn\n",NULL);
    Tcl_AppendResult(interp,"  VolumeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCompatibilityMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompatibilityMode\n",NULL);
    Tcl_AppendResult(interp,"  CompatibilityModeOn\n",NULL);
    Tcl_AppendResult(interp,"  CompatibilityModeOff\n",NULL);
    return TCL_OK;
    }

  if (vtkDataSetAlgorithmCppCommand((vtkDataSetAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
