// python wrapper for vtkModelMetadata object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkModelMetadata.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkModelMetadataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkModelMetadataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkModelMetadata_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  const char    *temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  vtkModelMetadata  *temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkModelMetadata  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkModelMetadata::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkModelMetadata_PrintGlobalInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::PrintGlobalInformation();
      }
    else
      {
      op->PrintGlobalInformation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_PrintLocalInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::PrintLocalInformation();
      }
    else
      {
      op->PrintLocalInformation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_SetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  char    *temp0;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::SetTitle(temp0);
      }
    else
      {
      op->SetTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_AddInformationLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  char    *temp0;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::AddInformationLine(temp0);
      }
    else
      {
      op->AddInformationLine(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_AddQARecord(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  char    *temp0;
  char    *temp1;
  char    *temp2;
  char    *temp3;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"zzzz", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::AddQARecord(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->AddQARecord(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_SetTimeStepIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  int      temp0;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::SetTimeStepIndex(temp0);
      }
    else
      {
      op->SetTimeStepIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_SetNumberOfBlocks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  int      temp0;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::SetNumberOfBlocks(temp0);
      }
    else
      {
      op->SetNumberOfBlocks(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_SetNumberOfNodeSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  int      temp0;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::SetNumberOfNodeSets(temp0);
      }
    else
      {
      op->SetNumberOfNodeSets(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_SetNumberOfSideSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  int      temp0;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::SetNumberOfSideSets(temp0);
      }
    else
      {
      op->SetNumberOfSideSets(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_SetAllVariablesDefinedInAllBlocks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  int      temp0;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::SetAllVariablesDefinedInAllBlocks(temp0);
      }
    else
      {
      op->SetAllVariablesDefinedInAllBlocks(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_AllVariablesDefinedInAllBlocksOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::AllVariablesDefinedInAllBlocksOn();
      }
    else
      {
      op->AllVariablesDefinedInAllBlocksOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_AllVariablesDefinedInAllBlocksOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::AllVariablesDefinedInAllBlocksOff();
      }
    else
      {
      op->AllVariablesDefinedInAllBlocksOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_ElementVariableIsDefinedInBlock(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  char    *temp0;
  int      temp1;
  int      temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::ElementVariableIsDefinedInBlock(temp0,temp1);
      }
    else
      {
      temp20 = op->ElementVariableIsDefinedInBlock(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_FindOriginalElementVariableName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  char    *temp0;
  int      temp1;
  char    *temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::FindOriginalElementVariableName(temp0,temp1);
      }
    else
      {
      temp20 = op->FindOriginalElementVariableName(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_FindOriginalNodeVariableName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  char    *temp0;
  int      temp1;
  char    *temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::FindOriginalNodeVariableName(temp0,temp1);
      }
    else
      {
      temp20 = op->FindOriginalNodeVariableName(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_HasMetadata(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break19;
      {
      temp20 = vtkModelMetadata::HasMetadata(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkModelMetadata_RemoveMetadata(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break20;
      {
      vtkModelMetadata::RemoveMetadata(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkModelMetadata_Pack(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::Pack(temp0);
      }
    else
      {
      op->Pack(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkModelMetadata_Unpack(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::Unpack(temp0,temp1);
      }
    else
      {
      temp20 = op->Unpack(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkModelMetadata_AddUGridElementVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"zzi", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::AddUGridElementVariable(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->AddUGridElementVariable(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_RemoveUGridElementVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::RemoveUGridElementVariable(temp0);
      }
    else
      {
      temp20 = op->RemoveUGridElementVariable(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_AddUGridNodeVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"zzi", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::AddUGridNodeVariable(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->AddUGridNodeVariable(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_RemoveUGridNodeVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::RemoveUGridNodeVariable(temp0);
      }
    else
      {
      temp20 = op->RemoveUGridNodeVariable(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_MergeModelMetadata(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  vtkModelMetadata  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkModelMetadata *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkModelMetadata");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::MergeModelMetadata(temp0);
      }
    else
      {
      temp20 = op->MergeModelMetadata(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkModelMetadata_MergeGlobalInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  vtkModelMetadata  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkModelMetadata *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkModelMetadata");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::MergeGlobalInformation(temp0);
      }
    else
      {
      temp20 = op->MergeGlobalInformation(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkModelMetadata_ExtractModelMetadata(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  vtkIntArray  *temp0;
  PyObject *tempH0;
  vtkDataSet  *temp1;
  PyObject *tempH1;
  char    *temp2;
  char    *temp3;
  vtkModelMetadata  *temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"OOzz", &tempH0, &tempH1, &temp2, &temp3)))
    {
    temp0 = (vtkIntArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIntArray");
    if (!temp0 && tempH0 != Py_None) goto break29;
    temp1 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataSet");
    if (!temp1 && tempH1 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::ExtractModelMetadata(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->ExtractModelMetadata(temp0,temp1,temp2,temp3);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkModelMetadata_ExtractGlobalMetadata(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  vtkModelMetadata  *temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::ExtractGlobalMetadata();
      }
    else
      {
      temp20 = op->ExtractGlobalMetadata();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_FreeAllGlobalData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::FreeAllGlobalData();
      }
    else
      {
      op->FreeAllGlobalData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_FreeAllLocalData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::FreeAllLocalData();
      }
    else
      {
      op->FreeAllLocalData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_FreeBlockDependentData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::FreeBlockDependentData();
      }
    else
      {
      op->FreeBlockDependentData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_FreeOriginalElementVariableNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::FreeOriginalElementVariableNames();
      }
    else
      {
      op->FreeOriginalElementVariableNames();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_FreeOriginalNodeVariableNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::FreeOriginalNodeVariableNames();
      }
    else
      {
      op->FreeOriginalNodeVariableNames();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_FreeUsedElementVariableNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::FreeUsedElementVariableNames();
      }
    else
      {
      op->FreeUsedElementVariableNames();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_FreeUsedNodeVariableNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::FreeUsedNodeVariableNames();
      }
    else
      {
      op->FreeUsedNodeVariableNames();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_FreeUsedElementVariables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::FreeUsedElementVariables();
      }
    else
      {
      op->FreeUsedElementVariables();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_FreeUsedNodeVariables(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::FreeUsedNodeVariables();
      }
    else
      {
      op->FreeUsedNodeVariables();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkModelMetadata::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkModelMetadata_GetBlockLocalIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkModelMetadata *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkModelMetadata *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkModelMetadata::GetBlockLocalIndex(temp0);
      }
    else
      {
      temp20 = op->GetBlockLocalIndex(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkModelMetadataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkModelMetadata_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkModelMetadata_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkModelMetadata_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkModelMetadata\nC++: vtkModelMetadata *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkModelMetadata_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkModelMetadata\nC++: vtkModelMetadata *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"PrintGlobalInformation",                (PyCFunction)PyvtkModelMetadata_PrintGlobalInformation, 1,
   (char*)"V.PrintGlobalInformation()\nC++: virtual void PrintGlobalInformation ();\n\n"},
  {(char*)"PrintLocalInformation",                (PyCFunction)PyvtkModelMetadata_PrintLocalInformation, 1,
   (char*)"V.PrintLocalInformation()\nC++: virtual void PrintLocalInformation ();\n\n"},
  {(char*)"SetTitle",                (PyCFunction)PyvtkModelMetadata_SetTitle, 1,
   (char*)"V.SetTitle(string)\nC++: void SetTitle (char *);\n\n   The title of the dataset.\n"},
  {(char*)"AddInformationLine",                (PyCFunction)PyvtkModelMetadata_AddInformationLine, 1,
   (char*)"V.AddInformationLine(string)\nC++: void AddInformationLine (char *info);\n\n   Add an information line. \n"},
  {(char*)"AddQARecord",                (PyCFunction)PyvtkModelMetadata_AddQARecord, 1,
   (char*)"V.AddQARecord(string, string, string, string)\nC++: void AddQARecord (char *name, char *version, char *date, char *time);\n\n   Add a QA record.  They fields are:\n    The code name\n    The code version number\n    The date (MM/DD/YY or NULL for today)\n    The time (HH:MM:SS or NULL for right now)\n"},
  {(char*)"SetTimeStepIndex",                (PyCFunction)PyvtkModelMetadata_SetTimeStepIndex, 1,
   (char*)"V.SetTimeStepIndex(int)\nC++: void SetTimeStepIndex (int );\n\n    Set the index of the time step represented by the results\n    data in the file attached to this ModelMetadata object.  Time\n    step indices start at 0 in this file, they start at 1 in\n    an Exodus file.\n"},
  {(char*)"SetNumberOfBlocks",                (PyCFunction)PyvtkModelMetadata_SetNumberOfBlocks, 1,
   (char*)"V.SetNumberOfBlocks(int)\nC++: void SetNumberOfBlocks (int );\n\n   The number of blocks in the file.  Set this before setting\n   any of the block arrays.\n"},
  {(char*)"SetNumberOfNodeSets",                (PyCFunction)PyvtkModelMetadata_SetNumberOfNodeSets, 1,
   (char*)"V.SetNumberOfNodeSets(int)\nC++: void SetNumberOfNodeSets (int );\n\n   The number of node sets in the file.  Set this value before\n   setting the various node set arrays.\n"},
  {(char*)"SetNumberOfSideSets",                (PyCFunction)PyvtkModelMetadata_SetNumberOfSideSets, 1,
   (char*)"V.SetNumberOfSideSets(int)\nC++: void SetNumberOfSideSets (int );\n\n   Set or get the number of side sets.  Set this value before\n   setting any of the other side set arrays.\n"},
  {(char*)"SetAllVariablesDefinedInAllBlocks",                (PyCFunction)PyvtkModelMetadata_SetAllVariablesDefinedInAllBlocks, 1,
   (char*)"V.SetAllVariablesDefinedInAllBlocks(int)\nC++: void SetAllVariablesDefinedInAllBlocks (int );\n\n   Instead of a truth table of all \"1\"s, you can set this\n   instance variable to indicate that all variables are\n   defined in all blocks.\n"},
  {(char*)"AllVariablesDefinedInAllBlocksOn",                (PyCFunction)PyvtkModelMetadata_AllVariablesDefinedInAllBlocksOn, 1,
   (char*)"V.AllVariablesDefinedInAllBlocksOn()\nC++: void AllVariablesDefinedInAllBlocksOn ();\n\n   Instead of a truth table of all \"1\"s, you can set this\n   instance variable to indicate that all variables are\n   defined in all blocks.\n"},
  {(char*)"AllVariablesDefinedInAllBlocksOff",                (PyCFunction)PyvtkModelMetadata_AllVariablesDefinedInAllBlocksOff, 1,
   (char*)"V.AllVariablesDefinedInAllBlocksOff()\nC++: void AllVariablesDefinedInAllBlocksOff ();\n\n   Instead of a truth table of all \"1\"s, you can set this\n   instance variable to indicate that all variables are\n   defined in all blocks.\n"},
  {(char*)"ElementVariableIsDefinedInBlock",                (PyCFunction)PyvtkModelMetadata_ElementVariableIsDefinedInBlock, 1,
   (char*)"V.ElementVariableIsDefinedInBlock(string, int) -> int\nC++: int ElementVariableIsDefinedInBlock (char *varname, int blockId);\n\n   If the element variable named is defined for the block Id\n   provided (in the element variable truth table) return a\n   1, otherwise return a 0.  If the variable name or block Id\n   are unrecognized, the default value of 1 is returned.\n   (This is an \"original\" variable name, from the file,\n   not a name created for the vtkUnstructuredGrid.  Use\n   FindOriginal*VariableName to map between the two.)\n"},
  {(char*)"FindOriginalElementVariableName",                (PyCFunction)PyvtkModelMetadata_FindOriginalElementVariableName, 1,
   (char*)"V.FindOriginalElementVariableName(string, int) -> string\nC++: char *FindOriginalElementVariableName (const char *name, int component);\n\n   Given the name of an element variable the vtkUnstructuredGrid\n   described by this ModelMetadata, and a component number, give \n   the name of the scalar array in the original\n   file that turned into that component when the file was\n   read into VTK.\n"},
  {(char*)"FindOriginalNodeVariableName",                (PyCFunction)PyvtkModelMetadata_FindOriginalNodeVariableName, 1,
   (char*)"V.FindOriginalNodeVariableName(string, int) -> string\nC++: char *FindOriginalNodeVariableName (const char *name, int component);\n\n   Given the name of an node variable the vtkUnstructuredGrid\n   described by this ModelMetadata, and a component number, give \n   the name of the scalar array in the original\n   file that turned into that component when the file was\n   read into VTK.\n"},
  {(char*)"HasMetadata",                (PyCFunction)PyvtkModelMetadata_HasMetadata, 1,
   (char*)"V.HasMetadata(vtkDataSet) -> int\nC++: static int HasMetadata (vtkDataSet *grid);\n\n   Static function that returns 1 if the vtkUnstructuredGrid\n   has metadata packed into it's field arrays, and 0 otherwise.\n"},
  {(char*)"RemoveMetadata",                (PyCFunction)PyvtkModelMetadata_RemoveMetadata, 1,
   (char*)"V.RemoveMetadata(vtkDataSet)\nC++: static void RemoveMetadata (vtkDataSet *grid);\n\n   Static function that removes the packed metadata arrays\n   from a dataset.\n"},
  {(char*)"Pack",                (PyCFunction)PyvtkModelMetadata_Pack, 1,
   (char*)"V.Pack(vtkDataSet)\nC++: void Pack (vtkDataSet *ugrid);\n\n   Pack this object's metadata into a field array of a dataset.\n"},
  {(char*)"Unpack",                (PyCFunction)PyvtkModelMetadata_Unpack, 1,
   (char*)"V.Unpack(vtkDataSet, int) -> int\nC++: int Unpack (vtkDataSet *ugrid, int deleteIt);\n\n   Unpack the metadata stored in a dataset,\n   and initialize this object with it.  Return 1 if there's\n   no metadata packed into the grid, 0 if OK.\n   If deleteIt is ON, then delete the grid's packed data after\n   unpacking it into the object.\n"},
  {(char*)"AddUGridElementVariable",                (PyCFunction)PyvtkModelMetadata_AddUGridElementVariable, 1,
   (char*)"V.AddUGridElementVariable(string, string, int) -> int\nC++: int AddUGridElementVariable (char *ugridVarName, char *origName, int numComponents);\n\n   In order to write Exodus files from vtkUnstructuredGrid\n   objects that were read from Exodus files, we need to know\n   the mapping from variable names in the UGrid to variable\n   names in the Exodus file.  (The Exodus reader combines\n   scalar variables with similar names into vectors in the\n   UGrid.)  When building the UGrid to which this\n   ModelMetadata refers, add each element and node variable\n   name with this call, including the name of original variable\n   that yielded it's first component, and the number of components.\n   If a variable is removed from the UGrid, remove it from\n   the ModelMetadata.  (If this information is missing or\n   incomplete, the ExodusIIWriter can still do something\n   sensible in creating names for variables.)\n"},
  {(char*)"RemoveUGridElementVariable",                (PyCFunction)PyvtkModelMetadata_RemoveUGridElementVariable, 1,
   (char*)"V.RemoveUGridElementVariable(string) -> int\nC++: int RemoveUGridElementVariable (char *ugridVarName);\n\n   In order to write Exodus files from vtkUnstructuredGrid\n   objects that were read from Exodus files, we need to know\n   the mapping from variable names in the UGrid to variable\n   names in the Exodus file.  (The Exodus reader combines\n   scalar variables with similar names into vectors in the\n   UGrid.)  When building the UGrid to which this\n   ModelMetadata refers, add each element and node variable\n   name with this call, including the name of original variable\n   that yielded it's first component, and the number of components.\n   If a variable is removed from the UGrid, remove it from\n   the ModelMetadata.  (If this information is missing or\n   incomplete, the ExodusIIWriter can still do something\n   sensible in creating names for variables.)\n"},
  {(char*)"AddUGridNodeVariable",                (PyCFunction)PyvtkModelMetadata_AddUGridNodeVariable, 1,
   (char*)"V.AddUGridNodeVariable(string, string, int) -> int\nC++: int AddUGridNodeVariable (char *ugridVarName, char *origName, int numComponents);\n\n"},
  {(char*)"RemoveUGridNodeVariable",                (PyCFunction)PyvtkModelMetadata_RemoveUGridNodeVariable, 1,
   (char*)"V.RemoveUGridNodeVariable(string) -> int\nC++: int RemoveUGridNodeVariable (char *ugridVarName);\n\n"},
  {(char*)"MergeModelMetadata",                (PyCFunction)PyvtkModelMetadata_MergeModelMetadata, 1,
   (char*)"V.MergeModelMetadata(vtkModelMetadata) -> int\nC++: int MergeModelMetadata (const vtkModelMetadata *em);\n\n   In VTK we take vtkUnstructuredGrids and perform\n   operations on them, including subsetting and merging\n   grids.  We need to modify the metadata object \n   when this happens.  MergeModelMetadata merges the supplied\n   model (both global and local metadata) into this model.  \n   The models must be from the same file set.\n\n   MergeModelMetadata assumes that no element in one metadata\n   object appears in the other.  (It doesn't test for duplicate\n   elements when merging the two metadata objects.) \n"},
  {(char*)"MergeGlobalInformation",                (PyCFunction)PyvtkModelMetadata_MergeGlobalInformation, 1,
   (char*)"V.MergeGlobalInformation(vtkModelMetadata) -> int\nC++: int MergeGlobalInformation (const vtkModelMetadata *em);\n\n   The metadata is divided into global metadata and local\n   metadata.  MergeGlobalInformation merges just the\n   global metadata of the supplied object into the\n   global metadata of this object.\n"},
  {(char*)"ExtractModelMetadata",                (PyCFunction)PyvtkModelMetadata_ExtractModelMetadata, 1,
   (char*)"V.ExtractModelMetadata(vtkIntArray, vtkDataSet, string, string) -> vtkModelMetadata\nC++: vtkModelMetadata *ExtractModelMetadata (vtkIntArray *globalCellIdList, vtkDataSet *grid, const char *globalCellIdArrayName, const char *globalNodeIdArrayName);\n\n   Create and return a new metadata object which contains\n   the information for the subset of global cell IDs provided.\n   We need the grid containing the cells so we can find point\n   Ids as well, and also the name of the global cell ID array\n   and the name of the global point ID array.\n"},
  {(char*)"ExtractGlobalMetadata",                (PyCFunction)PyvtkModelMetadata_ExtractGlobalMetadata, 1,
   (char*)"V.ExtractGlobalMetadata() -> vtkModelMetadata\nC++: vtkModelMetadata *ExtractGlobalMetadata ();\n\n   Create and return a new metadata object containing only the\n   global metadata of this metadata object.  \n"},
  {(char*)"FreeAllGlobalData",                (PyCFunction)PyvtkModelMetadata_FreeAllGlobalData, 1,
   (char*)"V.FreeAllGlobalData()\nC++: void FreeAllGlobalData ();\n\n   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on which\n     time step, blocks or variables are in the input.\n   FreeBlockDependentData frees all metadata fields which depend on\n     which blocks were read in.\n"},
  {(char*)"FreeAllLocalData",                (PyCFunction)PyvtkModelMetadata_FreeAllLocalData, 1,
   (char*)"V.FreeAllLocalData()\nC++: void FreeAllLocalData ();\n\n   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on which\n     time step, blocks or variables are in the input.\n   FreeBlockDependentData frees all metadata fields which depend on\n     which blocks were read in.\n"},
  {(char*)"FreeBlockDependentData",                (PyCFunction)PyvtkModelMetadata_FreeBlockDependentData, 1,
   (char*)"V.FreeBlockDependentData()\nC++: void FreeBlockDependentData ();\n\n   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on which\n     time step, blocks or variables are in the input.\n   FreeBlockDependentData frees all metadata fields which depend on\n     which blocks were read in.\n"},
  {(char*)"FreeOriginalElementVariableNames",                (PyCFunction)PyvtkModelMetadata_FreeOriginalElementVariableNames, 1,
   (char*)"V.FreeOriginalElementVariableNames()\nC++: void FreeOriginalElementVariableNames ();\n\n   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on which\n     time step, blocks or variables are in the input.\n   FreeBlockDependentData frees all metadata fields which depend on\n     which blocks were read in.\n"},
  {(char*)"FreeOriginalNodeVariableNames",                (PyCFunction)PyvtkModelMetadata_FreeOriginalNodeVariableNames, 1,
   (char*)"V.FreeOriginalNodeVariableNames()\nC++: void FreeOriginalNodeVariableNames ();\n\n   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on which\n     time step, blocks or variables are in the input.\n   FreeBlockDependentData frees all metadata fields which depend on\n     which blocks were read in.\n"},
  {(char*)"FreeUsedElementVariableNames",                (PyCFunction)PyvtkModelMetadata_FreeUsedElementVariableNames, 1,
   (char*)"V.FreeUsedElementVariableNames()\nC++: void FreeUsedElementVariableNames ();\n\n   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on which\n     time step, blocks or variables are in the input.\n   FreeBlockDependentData frees all metadata fields which depend on\n     which blocks were read in.\n"},
  {(char*)"FreeUsedNodeVariableNames",                (PyCFunction)PyvtkModelMetadata_FreeUsedNodeVariableNames, 1,
   (char*)"V.FreeUsedNodeVariableNames()\nC++: void FreeUsedNodeVariableNames ();\n\n   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on which\n     time step, blocks or variables are in the input.\n   FreeBlockDependentData frees all metadata fields which depend on\n     which blocks were read in.\n"},
  {(char*)"FreeUsedElementVariables",                (PyCFunction)PyvtkModelMetadata_FreeUsedElementVariables, 1,
   (char*)"V.FreeUsedElementVariables()\nC++: void FreeUsedElementVariables ();\n\n   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on which\n     time step, blocks or variables are in the input.\n   FreeBlockDependentData frees all metadata fields which depend on\n     which blocks were read in.\n"},
  {(char*)"FreeUsedNodeVariables",                (PyCFunction)PyvtkModelMetadata_FreeUsedNodeVariables, 1,
   (char*)"V.FreeUsedNodeVariables()\nC++: void FreeUsedNodeVariables ();\n\n   Free selected portions of the metadata when updating values\n   in the vtkModelMetadata object.  Resetting a particular field,\n   (i.e. SetNodeSetIds) frees the previous setting, but if you\n   are not setting every field, you may want to do a wholesale\n   \"Free\" first.\n\n   FreeAllGlobalData frees all the fields which don't depend on\n     which time step, which blocks, or which variables are in the input.\n   FreeAllLocalData frees all the fields which do depend on which\n     time step, blocks or variables are in the input.\n   FreeBlockDependentData frees all metadata fields which depend on\n     which blocks were read in.\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkModelMetadata_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n   Set the object back to it's initial state\n"},
  {(char*)"GetBlockLocalIndex",                (PyCFunction)PyvtkModelMetadata_GetBlockLocalIndex, 1,
   (char*)"V.GetBlockLocalIndex(int) -> int\nC++: int GetBlockLocalIndex (int id);\n\n   Block information is stored in arrays.  This method returns\n   the array index for a given block ID.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkModelMetadataDoc[] = {
  (char*)"vtkModelMetadata - This class encapsulates the metadata\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"   This class is inspired by the Exodus II file format, but\n   because this class does not depend on the Exodus library, it \n   should be possible to use it to represent metadata for other \n   dataset file formats.  Sandia Labs uses it in their Exodus II\n   reader, their Exodus II writer and their EnSight writer.\n   vtkDistributedDataFilter looks for metadata attached to\n   it's input and redistri",
  (char*)"butes the metadata with the grid.\n  \n   The fields in this class are those described in the document\n   \"EXODUS II: A Finite Element Data Model\", SAND92-2137, November 1995.\n\n   Element and node IDs stored in this object must be global IDs,\n   in the event that the original dataset was partitioned across\n   many files.  \n\n   One way to initialize this object is by using vtkExodusModel\n   (a Sandia",
  (char*)" class used by the Sandia Exodus reader).\n   That class will take an open Exodus II file and a\n   vtkUnstructuredGrid drawn from it and will set the required fields.\n\n   Alternatively, you can use all the Set*\n   methods to set the individual fields. This class does not \n   copy the data, it simply uses your pointer. This \n   class will free the storage associated with your pointer \n   when the cl",
  (char*)"ass is deleted.  Most fields have sensible defaults.\n   The only requirement is that if you are using this ModelMetadata\n   to write out an Exodus or EnSight file in parallel, you must \n   SetBlockIds and SetBlockIdArrayName.  Your vtkUnstructuredGrid must \n   have a cell array giving the block ID for each cell.\n\n\n",
  "Caveats:\n\n   The Exodus II library supports an optimized element order map \n   (section 3.7 in the SAND document).  It contains all the element \n   IDs, listed in the order in which a solver should process them.  \n   We don't include this, and won't unless there is a request.\n\n   There is an assumption in some classes that the name of the cell\n   array containing global element ids is \"GlobalElementId\" and the\n   name of the point array containing global node ids is \"GlobalN ...\n [Truncated]\n\n",
  NULL
};

static vtkObjectBase *vtkModelMetadataStaticNew()
{
  return vtkModelMetadata::New();
}

PyObject *PyVTKClass_vtkModelMetadataNew(char *modulename)
{
  return PyVTKClass_New(&vtkModelMetadataStaticNew,
                        PyvtkModelMetadataMethods,
                        (char*)"vtkModelMetadata",modulename,
                        (char**)vtkModelMetadataDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

