// tcl wrapper for vtkModelMetadata object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkModelMetadata.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkModelMetadataNewCommand()
{
  vtkModelMetadata *temp = vtkModelMetadata::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkModelMetadataCppCommand(vtkModelMetadata *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkModelMetadataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkModelMetadataCppCommand((vtkModelMetadata *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkModelMetadataCppCommand(vtkModelMetadata *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkModelMetadata",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkModelMetadata  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkModelMetadata");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkModelMetadata  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkModelMetadata");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkModelMetadata  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkModelMetadata");
    return TCL_OK;
    }
  if ((!strcmp("PrintGlobalInformation",argv[1]))&&(argc == 2))
    {
    op->PrintGlobalInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrintLocalInformation",argv[1]))&&(argc == 2))
    {
    op->PrintLocalInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInformationLine",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddInformationLine(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddQARecord",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    char    *temp1;
    char    *temp2;
    char    *temp3;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = argv[5];
    if (!error)
    {
    op->AddQARecord(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTimeStepIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimeStepIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfBlocks",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfBlocks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfNodeSets",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfNodeSets(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfSideSets",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfSideSets(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllVariablesDefinedInAllBlocks",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllVariablesDefinedInAllBlocks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllVariablesDefinedInAllBlocksOn",argv[1]))&&(argc == 2))
    {
    op->AllVariablesDefinedInAllBlocksOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllVariablesDefinedInAllBlocksOff",argv[1]))&&(argc == 2))
    {
    op->AllVariablesDefinedInAllBlocksOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ElementVariableIsDefinedInBlock",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ElementVariableIsDefinedInBlock(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("FindOriginalElementVariableName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    char    *temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->FindOriginalElementVariableName(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("FindOriginalNodeVariableName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    char    *temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->FindOriginalNodeVariableName(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("HasMetadata",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    temp20 = (op)->HasMetadata(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveMetadata",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->RemoveMetadata(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Pack",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->Pack(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Unpack",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Unpack(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddUGridElementVariable",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->AddUGridElementVariable(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveUGridElementVariable",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->RemoveUGridElementVariable(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddUGridNodeVariable",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->AddUGridNodeVariable(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveUGridNodeVariable",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->RemoveUGridNodeVariable(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("MergeModelMetadata",argv[1]))&&(argc == 3))
    {
    vtkModelMetadata  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkModelMetadata *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkModelMetadata",interp,error));
    if (!error)
    {
    temp20 = (op)->MergeModelMetadata(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("MergeGlobalInformation",argv[1]))&&(argc == 3))
    {
    vtkModelMetadata  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkModelMetadata *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkModelMetadata",interp,error));
    if (!error)
    {
    temp20 = (op)->MergeGlobalInformation(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ExtractModelMetadata",argv[1]))&&(argc == 6))
    {
    vtkIntArray  *temp0;
    vtkDataSet  *temp1;
    char    *temp2;
    char    *temp3;
    vtkModelMetadata  *temp20;
    error = 0;

    temp0 = (vtkIntArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkIntArray",interp,error));
    temp1 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataSet",interp,error));
    temp2 = argv[4];
    temp3 = argv[5];
    if (!error)
    {
    temp20 = (op)->ExtractModelMetadata(temp0,temp1,temp2,temp3);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkModelMetadata");
    return TCL_OK;
    }
    }
  if ((!strcmp("ExtractGlobalMetadata",argv[1]))&&(argc == 2))
    {
    vtkModelMetadata  *temp20;
    temp20 = (op)->ExtractGlobalMetadata();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkModelMetadata");
    return TCL_OK;
    }
  if ((!strcmp("FreeAllGlobalData",argv[1]))&&(argc == 2))
    {
    op->FreeAllGlobalData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeAllLocalData",argv[1]))&&(argc == 2))
    {
    op->FreeAllLocalData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeBlockDependentData",argv[1]))&&(argc == 2))
    {
    op->FreeBlockDependentData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeOriginalElementVariableNames",argv[1]))&&(argc == 2))
    {
    op->FreeOriginalElementVariableNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeOriginalNodeVariableNames",argv[1]))&&(argc == 2))
    {
    op->FreeOriginalNodeVariableNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeUsedElementVariableNames",argv[1]))&&(argc == 2))
    {
    op->FreeUsedElementVariableNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeUsedNodeVariableNames",argv[1]))&&(argc == 2))
    {
    op->FreeUsedNodeVariableNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeUsedElementVariables",argv[1]))&&(argc == 2))
    {
    op->FreeUsedElementVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FreeUsedNodeVariables",argv[1]))&&(argc == 2))
    {
    op->FreeUsedNodeVariables();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBlockLocalIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetBlockLocalIndex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkModelMetadataCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkModelMetadata:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  PrintGlobalInformation\n",NULL);
    Tcl_AppendResult(interp,"  PrintLocalInformation\n",NULL);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddInformationLine\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddQARecord\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStepIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfBlocks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfNodeSets\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfSideSets\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAllVariablesDefinedInAllBlocks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AllVariablesDefinedInAllBlocksOn\n",NULL);
    Tcl_AppendResult(interp,"  AllVariablesDefinedInAllBlocksOff\n",NULL);
    Tcl_AppendResult(interp,"  ElementVariableIsDefinedInBlock\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  FindOriginalElementVariableName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  FindOriginalNodeVariableName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  HasMetadata\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveMetadata\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Pack\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Unpack\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddUGridElementVariable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveUGridElementVariable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddUGridNodeVariable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveUGridNodeVariable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MergeModelMetadata\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MergeGlobalInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ExtractModelMetadata\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  ExtractGlobalMetadata\n",NULL);
    Tcl_AppendResult(interp,"  FreeAllGlobalData\n",NULL);
    Tcl_AppendResult(interp,"  FreeAllLocalData\n",NULL);
    Tcl_AppendResult(interp,"  FreeBlockDependentData\n",NULL);
    Tcl_AppendResult(interp,"  FreeOriginalElementVariableNames\n",NULL);
    Tcl_AppendResult(interp,"  FreeOriginalNodeVariableNames\n",NULL);
    Tcl_AppendResult(interp,"  FreeUsedElementVariableNames\n",NULL);
    Tcl_AppendResult(interp,"  FreeUsedNodeVariableNames\n",NULL);
    Tcl_AppendResult(interp,"  FreeUsedElementVariables\n",NULL);
    Tcl_AppendResult(interp,"  FreeUsedNodeVariables\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  GetBlockLocalIndex\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
