// python wrapper for vtkOBBDicer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOBBDicer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOBBDicerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOBBDicerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDicerNew(char *); }

static PyObject *PyvtkOBBDicer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBBDicer *op;

  const char    *temp20;
  if ((op = (vtkOBBDicer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBBDicer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOBBDicer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBBDicer *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOBBDicer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBBDicer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOBBDicer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBBDicer *op;

  vtkOBBDicer  *temp20;
  if ((op = (vtkOBBDicer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBBDicer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOBBDicer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOBBDicer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOBBDicer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkOBBDicerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOBBDicer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOBBDicer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOBBDicer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOBBDicer\nC++: vtkOBBDicer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOBBDicer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOBBDicer\nC++: vtkOBBDicer *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOBBDicerDoc[] = {
  (char*)"vtkOBBDicer - divide dataset into spatially aggregated pieces\n\n",
  "Super Class:\n\n vtkDicer\n\n",
  (char*)" vtkOBBDicer separates the cells of a dataset into spatially\n aggregated pieces using a Oriented Bounding Box (OBB). These pieces\n can then be operated on by other filters (e.g., vtkThreshold). One\n application is to break very large polygonal models into pieces and\n performing viewing and occlusion culling on the pieces.\n\n Refer to the superclass documentation (vtkDicer) for more information.\n\n",
  "See Also:\n\n vtkDicer vtkConnectedDicer\n\n",
  NULL
};

static vtkObjectBase *vtkOBBDicerStaticNew()
{
  return vtkOBBDicer::New();
}

PyObject *PyVTKClass_vtkOBBDicerNew(char *modulename)
{
  return PyVTKClass_New(&vtkOBBDicerStaticNew,
                        PyvtkOBBDicerMethods,
                        (char*)"vtkOBBDicer",modulename,
                        (char**)vtkOBBDicerDoc,
                        PyVTKClass_vtkDicerNew(modulename));
}

