// python wrapper for vtkOutlineCornerFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOutlineCornerFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOutlineCornerFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOutlineCornerFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkOutlineCornerFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineCornerFilter *op;

  const char    *temp20;
  if ((op = (vtkOutlineCornerFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineCornerFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineCornerFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineCornerFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOutlineCornerFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineCornerFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineCornerFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineCornerFilter *op;

  vtkOutlineCornerFilter  *temp20;
  if ((op = (vtkOutlineCornerFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineCornerFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineCornerFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOutlineCornerFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOutlineCornerFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOutlineCornerFilter_SetCornerFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineCornerFilter *op;

  double   temp0;
  if ((op = (vtkOutlineCornerFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutlineCornerFilter::SetCornerFactor(temp0);
      }
    else
      {
      op->SetCornerFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineCornerFilter_GetCornerFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineCornerFilter *op;

  double   temp20;
  if ((op = (vtkOutlineCornerFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineCornerFilter::GetCornerFactorMinValue();
      }
    else
      {
      temp20 = op->GetCornerFactorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineCornerFilter_GetCornerFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineCornerFilter *op;

  double   temp20;
  if ((op = (vtkOutlineCornerFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineCornerFilter::GetCornerFactorMaxValue();
      }
    else
      {
      temp20 = op->GetCornerFactorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineCornerFilter_GetCornerFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineCornerFilter *op;

  double   temp20;
  if ((op = (vtkOutlineCornerFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineCornerFilter::GetCornerFactor();
      }
    else
      {
      temp20 = op->GetCornerFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOutlineCornerFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOutlineCornerFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOutlineCornerFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOutlineCornerFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOutlineCornerFilter\nC++: vtkOutlineCornerFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOutlineCornerFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOutlineCornerFilter\nC++: vtkOutlineCornerFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCornerFactor",                (PyCFunction)PyvtkOutlineCornerFilter_SetCornerFactor, 1,
   (char*)"V.SetCornerFactor(float)\nC++: void SetCornerFactor (double );\n\n Set/Get the factor that controls the relative size of the corners\n to the length of the corresponding bounds\n"},
  {(char*)"GetCornerFactorMinValue",                (PyCFunction)PyvtkOutlineCornerFilter_GetCornerFactorMinValue, 1,
   (char*)"V.GetCornerFactorMinValue() -> float\nC++: double GetCornerFactorMinValue ();\n\n Set/Get the factor that controls the relative size of the corners\n to the length of the corresponding bounds\n"},
  {(char*)"GetCornerFactorMaxValue",                (PyCFunction)PyvtkOutlineCornerFilter_GetCornerFactorMaxValue, 1,
   (char*)"V.GetCornerFactorMaxValue() -> float\nC++: double GetCornerFactorMaxValue ();\n\n Set/Get the factor that controls the relative size of the corners\n to the length of the corresponding bounds\n"},
  {(char*)"GetCornerFactor",                (PyCFunction)PyvtkOutlineCornerFilter_GetCornerFactor, 1,
   (char*)"V.GetCornerFactor() -> float\nC++: double GetCornerFactor ();\n\n Set/Get the factor that controls the relative size of the corners\n to the length of the corresponding bounds\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOutlineCornerFilterDoc[] = {
  (char*)"vtkOutlineCornerFilter - create wireframe outline corners for arbitrary data set\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkOutlineCornerFilter is a filter that generates wireframe outline corners of any \n data set. The outline consists of the eight corners of the dataset \n bounding box.\n\n",
  NULL
};

static vtkObjectBase *vtkOutlineCornerFilterStaticNew()
{
  return vtkOutlineCornerFilter::New();
}

PyObject *PyVTKClass_vtkOutlineCornerFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkOutlineCornerFilterStaticNew,
                        PyvtkOutlineCornerFilterMethods,
                        (char*)"vtkOutlineCornerFilter",modulename,
                        (char**)vtkOutlineCornerFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

