// python wrapper for vtkOutlineCornerSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOutlineCornerSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOutlineCornerSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOutlineCornerSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkOutlineSourceNew(char *); }

static PyObject *PyvtkOutlineCornerSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineCornerSource *op;

  const char    *temp20;
  if ((op = (vtkOutlineCornerSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineCornerSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineCornerSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineCornerSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOutlineCornerSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineCornerSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineCornerSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineCornerSource *op;

  vtkOutlineCornerSource  *temp20;
  if ((op = (vtkOutlineCornerSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineCornerSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineCornerSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOutlineCornerSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOutlineCornerSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOutlineCornerSource_SetCornerFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineCornerSource *op;

  double   temp0;
  if ((op = (vtkOutlineCornerSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutlineCornerSource::SetCornerFactor(temp0);
      }
    else
      {
      op->SetCornerFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineCornerSource_GetCornerFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineCornerSource *op;

  double   temp20;
  if ((op = (vtkOutlineCornerSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineCornerSource::GetCornerFactorMinValue();
      }
    else
      {
      temp20 = op->GetCornerFactorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineCornerSource_GetCornerFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineCornerSource *op;

  double   temp20;
  if ((op = (vtkOutlineCornerSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineCornerSource::GetCornerFactorMaxValue();
      }
    else
      {
      temp20 = op->GetCornerFactorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineCornerSource_GetCornerFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineCornerSource *op;

  double   temp20;
  if ((op = (vtkOutlineCornerSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineCornerSource::GetCornerFactor();
      }
    else
      {
      temp20 = op->GetCornerFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOutlineCornerSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOutlineCornerSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOutlineCornerSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOutlineCornerSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOutlineCornerSource\nC++: vtkOutlineCornerSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOutlineCornerSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOutlineCornerSource\nC++: vtkOutlineCornerSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCornerFactor",                (PyCFunction)PyvtkOutlineCornerSource_SetCornerFactor, 1,
   (char*)"V.SetCornerFactor(float)\nC++: void SetCornerFactor (double );\n\n Set/Get the factor that controls the relative size of the corners\n to the length of the corresponding bounds\n"},
  {(char*)"GetCornerFactorMinValue",                (PyCFunction)PyvtkOutlineCornerSource_GetCornerFactorMinValue, 1,
   (char*)"V.GetCornerFactorMinValue() -> float\nC++: double GetCornerFactorMinValue ();\n\n Set/Get the factor that controls the relative size of the corners\n to the length of the corresponding bounds\n"},
  {(char*)"GetCornerFactorMaxValue",                (PyCFunction)PyvtkOutlineCornerSource_GetCornerFactorMaxValue, 1,
   (char*)"V.GetCornerFactorMaxValue() -> float\nC++: double GetCornerFactorMaxValue ();\n\n Set/Get the factor that controls the relative size of the corners\n to the length of the corresponding bounds\n"},
  {(char*)"GetCornerFactor",                (PyCFunction)PyvtkOutlineCornerSource_GetCornerFactor, 1,
   (char*)"V.GetCornerFactor() -> float\nC++: double GetCornerFactor ();\n\n Set/Get the factor that controls the relative size of the corners\n to the length of the corresponding bounds\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOutlineCornerSourceDoc[] = {
  (char*)"vtkOutlineCornerSource - create wireframe outline corners around bounding box\n\n",
  "Super Class:\n\n vtkOutlineSource\n\n",
  (char*)" vtkOutlineCornerSource creates wireframe outline corners around a user-specified \n bounding box.\n\n",
  NULL
};

static vtkObjectBase *vtkOutlineCornerSourceStaticNew()
{
  return vtkOutlineCornerSource::New();
}

PyObject *PyVTKClass_vtkOutlineCornerSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkOutlineCornerSourceStaticNew,
                        PyvtkOutlineCornerSourceMethods,
                        (char*)"vtkOutlineCornerSource",modulename,
                        (char**)vtkOutlineCornerSourceDoc,
                        PyVTKClass_vtkOutlineSourceNew(modulename));
}

