// python wrapper for vtkOutlineFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOutlineFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOutlineFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOutlineFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkOutlineFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineFilter *op;

  const char    *temp20;
  if ((op = (vtkOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineFilter *op;

  vtkOutlineFilter  *temp20;
  if ((op = (vtkOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOutlineFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOutlineFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkOutlineFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOutlineFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOutlineFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOutlineFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOutlineFilter\nC++: vtkOutlineFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOutlineFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOutlineFilter\nC++: vtkOutlineFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOutlineFilterDoc[] = {
  (char*)"vtkOutlineFilter - create wireframe outline for arbitrary data set\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkOutlineFilter is a filter that generates a wireframe outline of any \n data set. The outline consists of the twelve edges of the dataset \n bounding box.\n\n",
  NULL
};

static vtkObjectBase *vtkOutlineFilterStaticNew()
{
  return vtkOutlineFilter::New();
}

PyObject *PyVTKClass_vtkOutlineFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkOutlineFilterStaticNew,
                        PyvtkOutlineFilterMethods,
                        (char*)"vtkOutlineFilter",modulename,
                        (char**)vtkOutlineFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

