// python wrapper for vtkOutlineSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOutlineSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOutlineSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOutlineSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkOutlineSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineSource *op;

  const char    *temp20;
  if ((op = (vtkOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineSource *op;

  vtkOutlineSource  *temp20;
  if ((op = (vtkOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOutlineSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOutlineSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOutlineSource_SetBoxType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineSource *op;

  int      temp0;
  if ((op = (vtkOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutlineSource::SetBoxType(temp0);
      }
    else
      {
      op->SetBoxType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineSource_GetBoxType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineSource *op;

  int      temp20;
  if ((op = (vtkOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineSource::GetBoxType();
      }
    else
      {
      temp20 = op->GetBoxType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineSource_SetBoxTypeToAxisAligned(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineSource *op;

  if ((op = (vtkOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutlineSource::SetBoxTypeToAxisAligned();
      }
    else
      {
      op->SetBoxTypeToAxisAligned();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineSource_SetBoxTypeToOriented(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineSource *op;

  if ((op = (vtkOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutlineSource::SetBoxTypeToOriented();
      }
    else
      {
      op->SetBoxTypeToOriented();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineSource_SetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ((op = (vtkOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutlineSource::SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkOutlineSource *op;

  double temp0[6];
  PyErr_Clear();
  if ((op = (vtkOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutlineSource::SetBounds(temp0);
      }
    else
      {
      op->SetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineSource_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineSource *op;

  double  *temp20;
  if ((op = (vtkOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineSource::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineSource_SetCorners(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineSource *op;

  double temp0[24];
  if ((op = (vtkOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"(dddddddddddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15, temp0 + 16, temp0 + 17, temp0 + 18, temp0 + 19, temp0 + 20, temp0 + 21, temp0 + 22, temp0 + 23)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOutlineSource::SetCorners(temp0);
      }
    else
      {
      op->SetCorners(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,24)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOutlineSource_GetCorners(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOutlineSource *op;

  double  *temp20;
  if ((op = (vtkOutlineSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOutlineSource::GetCorners();
      }
    else
      {
      temp20 = op->GetCorners();
      }
    return Py_BuildValue((char*)"dddddddddddddddddddddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5],temp20[6],temp20[7],temp20[8],temp20[9],temp20[10],temp20[11],temp20[12],temp20[13],temp20[14],temp20[15],temp20[16],temp20[17],temp20[18],temp20[19],temp20[20],temp20[21],temp20[22],temp20[23]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOutlineSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOutlineSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOutlineSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOutlineSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOutlineSource\nC++: vtkOutlineSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOutlineSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOutlineSource\nC++: vtkOutlineSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetBoxType",                (PyCFunction)PyvtkOutlineSource_SetBoxType, 1,
   (char*)"V.SetBoxType(int)\nC++: void SetBoxType (int );\n\n Set box type to AxisAligned (default) or Oriented.\n Use the method SetBounds() with AxisAligned mode, and SetCorners() \n with Oriented mode.\n"},
  {(char*)"GetBoxType",                (PyCFunction)PyvtkOutlineSource_GetBoxType, 1,
   (char*)"V.GetBoxType() -> int\nC++: int GetBoxType ();\n\n Set box type to AxisAligned (default) or Oriented.\n Use the method SetBounds() with AxisAligned mode, and SetCorners() \n with Oriented mode.\n"},
  {(char*)"SetBoxTypeToAxisAligned",                (PyCFunction)PyvtkOutlineSource_SetBoxTypeToAxisAligned, 1,
   (char*)"V.SetBoxTypeToAxisAligned()\nC++: void SetBoxTypeToAxisAligned ();this SetBoxType VTK_BOX_TYPE_AXIS_ALIGNED \n\n Set box type to AxisAligned (default) or Oriented.\n Use the method SetBounds() with AxisAligned mode, and SetCorners() \n with Oriented mode.\n"},
  {(char*)"SetBoxTypeToOriented",                (PyCFunction)PyvtkOutlineSource_SetBoxTypeToOriented, 1,
   (char*)"V.SetBoxTypeToOriented()\nC++: void SetBoxTypeToOriented ();this SetBoxType VTK_BOX_TYPE_ORIENTED \n\n Specify the bounds of the box to be used in Axis Aligned mode.\n"},
  {(char*)"SetBounds",                (PyCFunction)PyvtkOutlineSource_SetBounds, 1,
   (char*)"V.SetBounds(float, float, float, float, float, float)\nC++: void SetBounds (double , double , double , double , double , double );\nV.SetBounds((float, float, float, float, float, float))\nC++: void SetBounds (double  a[6]);\n\n Specify the bounds of the box to be used in Axis Aligned mode.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkOutlineSource_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: double  *GetBounds ();\n\n Specify the bounds of the box to be used in Axis Aligned mode.\n"},
  {(char*)"SetCorners",                (PyCFunction)PyvtkOutlineSource_SetCorners, 1,
   (char*)"V.SetCorners((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: void SetCorners (double  [24]);\n\n Specify the corners of the outline when in Oriented mode, the\n values are supplied as 8*3 double values The correct corner\n ordering is using {x,y,z} convention for the unit cube as follows:\n {0,0,0},{1,0,0},{0,1,0},{1,1,0},{0,0,1},{1,0,1},{0,1,1},{1,1,1}.\n"},
  {(char*)"GetCorners",                (PyCFunction)PyvtkOutlineSource_GetCorners, 1,
   (char*)"V.GetCorners() -> (float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float)\nC++: double  *GetCorners ();\n\n Specify the corners of the outline when in Oriented mode, the\n values are supplied as 8*3 double values The correct corner\n ordering is using {x,y,z} convention for the unit cube as follows:\n {0,0,0},{1,0,0},{0,1,0},{1,1,0},{0,0,1},{1,0,1},{0,1,1},{1,1,1}.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOutlineSourceDoc[] = {
  (char*)"vtkOutlineSource - create wireframe outline around bounding box\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkOutlineSource creates a wireframe outline around a\n user-specified bounding box.  The outline may be created aligned\n with the {x,y,z} axis - in which case it is defined by the 6 bounds\n {xmin,xmax,ymin,ymax,zmin,zmax} via SetBounds(). Alternatively, the\n box may be arbitrarily aligned, in which case it should be set via\n the SetCorners() member.\n\n",
  NULL
};

static vtkObjectBase *vtkOutlineSourceStaticNew()
{
  return vtkOutlineSource::New();
}

PyObject *PyVTKClass_vtkOutlineSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkOutlineSourceStaticNew,
                        PyvtkOutlineSourceMethods,
                        (char*)"vtkOutlineSource",modulename,
                        (char**)vtkOutlineSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

