// tcl wrapper for vtkOutlineSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOutlineSource.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkOutlineSourceNewCommand()
{
  vtkOutlineSource *temp = vtkOutlineSource::New();
  return ((ClientData)temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOutlineSourceCppCommand(vtkOutlineSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkOutlineSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkOutlineSourceCppCommand((vtkOutlineSource *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOutlineSourceCppCommand(vtkOutlineSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkOutlineSource",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand((vtkPolyDataAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPolyDataAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkOutlineSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkOutlineSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkOutlineSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkOutlineSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkOutlineSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkOutlineSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBoxType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBoxType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBoxType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBoxType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBoxTypeToAxisAligned",argv[1]))&&(argc == 2))
    {
    op->SetBoxTypeToAxisAligned();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBoxTypeToOriented",argv[1]))&&(argc == 2))
    {
    op->SetBoxTypeToOriented();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCorners",argv[1]))&&(argc == 26))
    {
    double temp0[24];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (Tcl_GetDouble(interp,argv[18],&tempd) != TCL_OK) error = 1;
    temp0[16] = tempd;
    if (Tcl_GetDouble(interp,argv[19],&tempd) != TCL_OK) error = 1;
    temp0[17] = tempd;
    if (Tcl_GetDouble(interp,argv[20],&tempd) != TCL_OK) error = 1;
    temp0[18] = tempd;
    if (Tcl_GetDouble(interp,argv[21],&tempd) != TCL_OK) error = 1;
    temp0[19] = tempd;
    if (Tcl_GetDouble(interp,argv[22],&tempd) != TCL_OK) error = 1;
    temp0[20] = tempd;
    if (Tcl_GetDouble(interp,argv[23],&tempd) != TCL_OK) error = 1;
    temp0[21] = tempd;
    if (Tcl_GetDouble(interp,argv[24],&tempd) != TCL_OK) error = 1;
    temp0[22] = tempd;
    if (Tcl_GetDouble(interp,argv[25],&tempd) != TCL_OK) error = 1;
    temp0[23] = tempd;
    if (!error)
    {
    op->SetCorners(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCorners",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCorners();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5],temp20[6],temp20[7],temp20[8],temp20[9],temp20[10],temp20[11],temp20[12],temp20[13],temp20[14],temp20[15],temp20[16],temp20[17],temp20[18],temp20[19],temp20[20],temp20[21],temp20[22],temp20[23]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkOutlineSourceCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOutlineSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBoxType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBoxType\n",NULL);
    Tcl_AppendResult(interp,"  SetBoxTypeToAxisAligned\n",NULL);
    Tcl_AppendResult(interp,"  SetBoxTypeToOriented\n",NULL);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  SetCorners\t with 24 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCorners\n",NULL);
    return TCL_OK;
    }

  if (vtkPolyDataAlgorithmCppCommand((vtkPolyDataAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
