// python wrapper for vtkParametricFunctionSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkParametricFunctionSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParametricFunctionSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParametricFunctionSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkParametricFunctionSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  const char    *temp20;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunctionSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunctionSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  vtkParametricFunctionSource  *temp20;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunctionSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkParametricFunctionSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkParametricFunctionSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetParametricFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  vtkParametricFunction  *temp0;
  PyObject *tempH0;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkParametricFunction *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkParametricFunction");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetParametricFunction(temp0);
      }
    else
      {
      op->SetParametricFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_GetParametricFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  vtkParametricFunction  *temp20;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunctionSource::GetParametricFunction();
      }
    else
      {
      temp20 = op->GetParametricFunction();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetUResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  int      temp0;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetUResolution(temp0);
      }
    else
      {
      op->SetUResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_GetUResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  int      temp20;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunctionSource::GetUResolution();
      }
    else
      {
      temp20 = op->GetUResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetVResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  int      temp0;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetVResolution(temp0);
      }
    else
      {
      op->SetVResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_GetVResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  int      temp20;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunctionSource::GetVResolution();
      }
    else
      {
      temp20 = op->GetVResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetWResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  int      temp0;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetWResolution(temp0);
      }
    else
      {
      op->SetWResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_GetWResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  int      temp20;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunctionSource::GetWResolution();
      }
    else
      {
      temp20 = op->GetWResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_GenerateTextureCoordinatesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::GenerateTextureCoordinatesOn();
      }
    else
      {
      op->GenerateTextureCoordinatesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_GenerateTextureCoordinatesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::GenerateTextureCoordinatesOff();
      }
    else
      {
      op->GenerateTextureCoordinatesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetGenerateTextureCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  int      temp0;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetGenerateTextureCoordinates(temp0);
      }
    else
      {
      op->SetGenerateTextureCoordinates(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_GetGenerateTextureCoordinates(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  int      temp20;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunctionSource::GetGenerateTextureCoordinates();
      }
    else
      {
      temp20 = op->GetGenerateTextureCoordinates();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  int      temp0;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarMode(temp0);
      }
    else
      {
      op->SetScalarMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_GetScalarModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  int      temp20;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunctionSource::GetScalarModeMinValue();
      }
    else
      {
      temp20 = op->GetScalarModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_GetScalarModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  int      temp20;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunctionSource::GetScalarModeMaxValue();
      }
    else
      {
      temp20 = op->GetScalarModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_GetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  int      temp20;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunctionSource::GetScalarMode();
      }
    else
      {
      temp20 = op->GetScalarMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarModeToNone(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarModeToNone();
      }
    else
      {
      op->SetScalarModeToNone();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarModeToU(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarModeToU();
      }
    else
      {
      op->SetScalarModeToU();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarModeToV(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarModeToV();
      }
    else
      {
      op->SetScalarModeToV();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarModeToU0(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarModeToU0();
      }
    else
      {
      op->SetScalarModeToU0();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarModeToV0(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarModeToV0();
      }
    else
      {
      op->SetScalarModeToV0();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarModeToU0V0(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarModeToU0V0();
      }
    else
      {
      op->SetScalarModeToU0V0();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarModeToModulus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarModeToModulus();
      }
    else
      {
      op->SetScalarModeToModulus();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarModeToPhase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarModeToPhase();
      }
    else
      {
      op->SetScalarModeToPhase();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarModeToQuadrant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarModeToQuadrant();
      }
    else
      {
      op->SetScalarModeToQuadrant();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarModeToX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarModeToX();
      }
    else
      {
      op->SetScalarModeToX();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarModeToY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarModeToY();
      }
    else
      {
      op->SetScalarModeToY();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarModeToZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarModeToZ();
      }
    else
      {
      op->SetScalarModeToZ();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarModeToDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarModeToDistance();
      }
    else
      {
      op->SetScalarModeToDistance();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_SetScalarModeToFunctionDefined(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParametricFunctionSource::SetScalarModeToFunctionDefined();
      }
    else
      {
      op->SetScalarModeToFunctionDefined();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParametricFunctionSource_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParametricFunctionSource *op;

  unsigned long     temp20;
  if ((op = (vtkParametricFunctionSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParametricFunctionSource::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkParametricFunctionSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParametricFunctionSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParametricFunctionSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParametricFunctionSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParametricFunctionSource\nC++: vtkParametricFunctionSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkParametricFunctionSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkParametricFunctionSource\nC++: vtkParametricFunctionSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetParametricFunction",                (PyCFunction)PyvtkParametricFunctionSource_SetParametricFunction, 1,
   (char*)"V.SetParametricFunction(vtkParametricFunction)\nC++: virtual void SetParametricFunction (vtkParametricFunction *);\n\n Specify the parametric function to use to generate the tessellation.\n"},
  {(char*)"GetParametricFunction",                (PyCFunction)PyvtkParametricFunctionSource_GetParametricFunction, 1,
   (char*)"V.GetParametricFunction() -> vtkParametricFunction\nC++: vtkParametricFunction *GetParametricFunction ();\n\n Specify the parametric function to use to generate the tessellation.\n"},
  {(char*)"SetUResolution",                (PyCFunction)PyvtkParametricFunctionSource_SetUResolution, 1,
   (char*)"V.SetUResolution(int)\nC++: void SetUResolution (int );\n\n Set/Get the number of subdivisions / tessellations in the u parametric\n direction. Note that the number of tessellant points in the u \n direction is the UResolution + 1.\n"},
  {(char*)"GetUResolution",                (PyCFunction)PyvtkParametricFunctionSource_GetUResolution, 1,
   (char*)"V.GetUResolution() -> int\nC++: int GetUResolution ();\n\n Set/Get the number of subdivisions / tessellations in the u parametric\n direction. Note that the number of tessellant points in the u \n direction is the UResolution + 1.\n"},
  {(char*)"SetVResolution",                (PyCFunction)PyvtkParametricFunctionSource_SetVResolution, 1,
   (char*)"V.SetVResolution(int)\nC++: void SetVResolution (int );\n\n Set/Get the number of subdivisions / tessellations in the v parametric\n direction. Note that the number of tessellant points in the v \n direction is the VResolution + 1.\n"},
  {(char*)"GetVResolution",                (PyCFunction)PyvtkParametricFunctionSource_GetVResolution, 1,
   (char*)"V.GetVResolution() -> int\nC++: int GetVResolution ();\n\n Set/Get the number of subdivisions / tessellations in the v parametric\n direction. Note that the number of tessellant points in the v \n direction is the VResolution + 1.\n"},
  {(char*)"SetWResolution",                (PyCFunction)PyvtkParametricFunctionSource_SetWResolution, 1,
   (char*)"V.SetWResolution(int)\nC++: void SetWResolution (int );\n\n Set/Get the number of subdivisions / tessellations in the w parametric\n direction. Note that the number of tessellant points in the w \n direction is the WResolution + 1.\n"},
  {(char*)"GetWResolution",                (PyCFunction)PyvtkParametricFunctionSource_GetWResolution, 1,
   (char*)"V.GetWResolution() -> int\nC++: int GetWResolution ();\n\n Set/Get the number of subdivisions / tessellations in the w parametric\n direction. Note that the number of tessellant points in the w \n direction is the WResolution + 1.\n"},
  {(char*)"GenerateTextureCoordinatesOn",                (PyCFunction)PyvtkParametricFunctionSource_GenerateTextureCoordinatesOn, 1,
   (char*)"V.GenerateTextureCoordinatesOn()\nC++: void GenerateTextureCoordinatesOn ();\n\n Set/Get the generation of texture coordinates. This is off by\n default.\n Note that this is only applicable to parametric surfaces \n whose parametric dimension is 2.\n Note that texturing may fail in some cases.\n"},
  {(char*)"GenerateTextureCoordinatesOff",                (PyCFunction)PyvtkParametricFunctionSource_GenerateTextureCoordinatesOff, 1,
   (char*)"V.GenerateTextureCoordinatesOff()\nC++: void GenerateTextureCoordinatesOff ();\n\n Set/Get the generation of texture coordinates. This is off by\n default.\n Note that this is only applicable to parametric surfaces \n whose parametric dimension is 2.\n Note that texturing may fail in some cases.\n"},
  {(char*)"SetGenerateTextureCoordinates",                (PyCFunction)PyvtkParametricFunctionSource_SetGenerateTextureCoordinates, 1,
   (char*)"V.SetGenerateTextureCoordinates(int)\nC++: void SetGenerateTextureCoordinates (int );\n\n Set/Get the generation of texture coordinates. This is off by\n default.\n Note that this is only applicable to parametric surfaces \n whose parametric dimension is 2.\n Note that texturing may fail in some cases.\n"},
  {(char*)"GetGenerateTextureCoordinates",                (PyCFunction)PyvtkParametricFunctionSource_GetGenerateTextureCoordinates, 1,
   (char*)"V.GetGenerateTextureCoordinates() -> int\nC++: int GetGenerateTextureCoordinates ();\n\n Set/Get the generation of texture coordinates. This is off by\n default.\n Note that this is only applicable to parametric surfaces \n whose parametric dimension is 2.\n Note that texturing may fail in some cases.\n"},
  {(char*)"SetScalarMode",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarMode, 1,
   (char*)"V.SetScalarMode(int)\nC++: void SetScalarMode (int );\n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"GetScalarModeMinValue",                (PyCFunction)PyvtkParametricFunctionSource_GetScalarModeMinValue, 1,
   (char*)"V.GetScalarModeMinValue() -> int\nC++: int GetScalarModeMinValue ();\n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"GetScalarModeMaxValue",                (PyCFunction)PyvtkParametricFunctionSource_GetScalarModeMaxValue, 1,
   (char*)"V.GetScalarModeMaxValue() -> int\nC++: int GetScalarModeMaxValue ();\n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"GetScalarMode",                (PyCFunction)PyvtkParametricFunctionSource_GetScalarMode, 1,
   (char*)"V.GetScalarMode() -> int\nC++: int GetScalarMode ();\n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"SetScalarModeToNone",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarModeToNone, 1,
   (char*)"V.SetScalarModeToNone()\nC++: void SetScalarModeToNone (void );this SetScalarMode SCALAR_NONE \n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"SetScalarModeToU",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarModeToU, 1,
   (char*)"V.SetScalarModeToU()\nC++: void SetScalarModeToU (void );this SetScalarMode SCALAR_U \n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"SetScalarModeToV",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarModeToV, 1,
   (char*)"V.SetScalarModeToV()\nC++: void SetScalarModeToV (void );this SetScalarMode SCALAR_V \n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"SetScalarModeToU0",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarModeToU0, 1,
   (char*)"V.SetScalarModeToU0()\nC++: void SetScalarModeToU0 (void );this SetScalarMode SCALAR_U0 \n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"SetScalarModeToV0",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarModeToV0, 1,
   (char*)"V.SetScalarModeToV0()\nC++: void SetScalarModeToV0 (void );this SetScalarMode SCALAR_V0 \n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"SetScalarModeToU0V0",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarModeToU0V0, 1,
   (char*)"V.SetScalarModeToU0V0()\nC++: void SetScalarModeToU0V0 (void );this SetScalarMode SCALAR_U0V0 \n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"SetScalarModeToModulus",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarModeToModulus, 1,
   (char*)"V.SetScalarModeToModulus()\nC++: void SetScalarModeToModulus (void );this SetScalarMode SCALAR_MODULUS \n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"SetScalarModeToPhase",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarModeToPhase, 1,
   (char*)"V.SetScalarModeToPhase()\nC++: void SetScalarModeToPhase (void );this SetScalarMode SCALAR_PHASE \n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"SetScalarModeToQuadrant",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarModeToQuadrant, 1,
   (char*)"V.SetScalarModeToQuadrant()\nC++: void SetScalarModeToQuadrant (void );this SetScalarMode SCALAR_QUADRANT \n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"SetScalarModeToX",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarModeToX, 1,
   (char*)"V.SetScalarModeToX()\nC++: void SetScalarModeToX (void );this SetScalarMode SCALAR_X \n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"SetScalarModeToY",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarModeToY, 1,
   (char*)"V.SetScalarModeToY()\nC++: void SetScalarModeToY (void );this SetScalarMode SCALAR_Y \n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"SetScalarModeToZ",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarModeToZ, 1,
   (char*)"V.SetScalarModeToZ()\nC++: void SetScalarModeToZ (void );this SetScalarMode SCALAR_Z \n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"SetScalarModeToDistance",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarModeToDistance, 1,
   (char*)"V.SetScalarModeToDistance()\nC++: void SetScalarModeToDistance (void );this SetScalarMode SCALAR_DISTANCE \n\n Get/Set the mode used for the scalar data.  The options are:\n SCALAR_NONE, (default) scalars are not generated.\n SCALAR_U, the scalar is set to the u-value. \n SCALAR_V, the scalar is set to the v-value.\n SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.\n SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.\n SCALAR_U0V0, the scalar is \n   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.\n SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).\n SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).\n SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 \n   depending upon the quadrant of the point (u,v).\n SCALAR_X, the scalar is set to the x-value. \n SCALAR_Y, the scalar is set to the y-value. \n SCALAR_Z, the scalar is set to the z-value. \n SCALAR_DISTANCE, the s ...\n [Truncated]\n"},
  {(char*)"SetScalarModeToFunctionDefined",                (PyCFunction)PyvtkParametricFunctionSource_SetScalarModeToFunctionDefined, 1,
   (char*)"V.SetScalarModeToFunctionDefined()\nC++: void SetScalarModeToFunctionDefined (void );this SetScalarMode SCALAR_FUNCTION_DEFINED \n\n Return the MTime also considering the parametric function.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkParametricFunctionSource_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the parametric function.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParametricFunctionSourceDoc[] = {
  (char*)"vtkParametricFunctionSource - tessellate parametric functions\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" This class tessellates parametric functions. The user must specify how\n many points in the parametric coordinate directions are required (i.e.,\n the resolution), and the mode to use to generate scalars. \n\n .SECTION Thanks\n Andrew Maclean a.maclean@cas.edu.au for creating and contributing the\n class.\n\n\n",
  "See Also:\n\n vtkParametricFunction\n\n Implementation of parametrics for 1D lines:\n vtkParametricSpline\n\n Subclasses of vtkParametricFunction implementing non-orentable surfaces:\n vtkParametricBoy vtkParametricCrossCap vtkParametricFigure8Klein\n vtkParametricKlein vtkParametricMobius vtkParametricRoman\n\n Subclasses of vtkParametricFunction implementing orientable surfaces:\n vtkParametricConicSpiral vtkParametricDini vtkParametricEllipsoid \n vtkParametricEnneper vtkParametricRandomHills vtkParametricSuperEllipsoid \n vtkParametricSuperToroid vtkParametricTorus \n \n\n",
  NULL
};

static vtkObjectBase *vtkParametricFunctionSourceStaticNew()
{
  return vtkParametricFunctionSource::New();
}

PyObject *PyVTKClass_vtkParametricFunctionSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkParametricFunctionSourceStaticNew,
                        PyvtkParametricFunctionSourceMethods,
                        (char*)"vtkParametricFunctionSource",modulename,
                        (char**)vtkParametricFunctionSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

