// tcl wrapper for vtkParametricFunctionSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParametricFunctionSource.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkParametricFunctionSourceNewCommand()
{
  vtkParametricFunctionSource *temp = vtkParametricFunctionSource::New();
  return ((ClientData)temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParametricFunctionSourceCppCommand(vtkParametricFunctionSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParametricFunctionSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParametricFunctionSourceCppCommand((vtkParametricFunctionSource *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParametricFunctionSourceCppCommand(vtkParametricFunctionSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParametricFunctionSource",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand((vtkPolyDataAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPolyDataAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParametricFunctionSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkParametricFunctionSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkParametricFunctionSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkParametricFunctionSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkParametricFunctionSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkParametricFunctionSource");
    return TCL_OK;
    }
  if ((!strcmp("SetParametricFunction",argv[1]))&&(argc == 3))
    {
    vtkParametricFunction  *temp0;
    error = 0;

    temp0 = (vtkParametricFunction *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkParametricFunction",interp,error));
    if (!error)
    {
    op->SetParametricFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParametricFunction",argv[1]))&&(argc == 2))
    {
    vtkParametricFunction  *temp20;
    temp20 = (op)->GetParametricFunction();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkParametricFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetUResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateTextureCoordinatesOn",argv[1]))&&(argc == 2))
    {
    op->GenerateTextureCoordinatesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateTextureCoordinatesOff",argv[1]))&&(argc == 2))
    {
    op->GenerateTextureCoordinatesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateTextureCoordinates",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateTextureCoordinates(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateTextureCoordinates",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateTextureCoordinates();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToNone",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToNone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToU",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToU();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToV",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToV();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToU0",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToU0();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToV0",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToV0();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToU0V0",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToU0V0();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToModulus",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToModulus();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToPhase",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToPhase();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToQuadrant",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToQuadrant();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToX",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToX();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToY",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToY();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToZ",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToZ();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToDistance",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToDistance();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToFunctionDefined",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToFunctionDefined();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkParametricFunctionSourceCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParametricFunctionSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetParametricFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParametricFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetUResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetVResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetWResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWResolution\n",NULL);
    Tcl_AppendResult(interp,"  GenerateTextureCoordinatesOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateTextureCoordinatesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateTextureCoordinates\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateTextureCoordinates\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarMode\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToNone\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToU\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToV\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToU0\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToV0\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToU0V0\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToModulus\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToPhase\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToQuadrant\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToX\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToY\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToZ\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToFunctionDefined\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (vtkPolyDataAlgorithmCppCommand((vtkPolyDataAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
