// python wrapper for vtkPlanesIntersection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPlanesIntersection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlanesIntersectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlanesIntersectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPlanesNew(char *); }

static PyObject *PyvtkPlanesIntersection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanesIntersection *op;

  const char    *temp20;
  if ((op = (vtkPlanesIntersection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlanesIntersection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlanesIntersection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanesIntersection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPlanesIntersection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlanesIntersection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlanesIntersection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanesIntersection *op;

  vtkPlanesIntersection  *temp20;
  if ((op = (vtkPlanesIntersection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlanesIntersection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlanesIntersection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlanesIntersection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlanesIntersection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlanesIntersection_SetRegionVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanesIntersection *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPlanesIntersection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlanesIntersection::SetRegionVertices(temp0);
      }
    else
      {
      op->SetRegionVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPlanesIntersection_GetNumRegionVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanesIntersection *op;

  int      temp20;
  if ((op = (vtkPlanesIntersection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlanesIntersection::GetNumRegionVertices();
      }
    else
      {
      temp20 = op->GetNumRegionVertices();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlanesIntersection_IntersectsRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlanesIntersection *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkPlanesIntersection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlanesIntersection::IntersectsRegion(temp0);
      }
    else
      {
      temp20 = op->IntersectsRegion(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkPlanesIntersection_PolygonIntersectsBBox(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double temp0[6];
  vtkPoints  *temp1;
  PyObject *tempH1;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"(dddddd)O", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, &tempH1)))
    {
    temp1 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPoints");
    if (!temp1 && tempH1 != Py_None) goto break7;
      {
      temp20 = vtkPlanesIntersection::PolygonIntersectsBBox(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkPlanesIntersection_Convert3DCell(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  vtkPlanesIntersection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break8;
      {
      temp20 = vtkPlanesIntersection::Convert3DCell(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break8:
  return NULL;
}

static PyMethodDef PyvtkPlanesIntersectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlanesIntersection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlanesIntersection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlanesIntersection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlanesIntersection\nC++: vtkPlanesIntersection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlanesIntersection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlanesIntersection\nC++: vtkPlanesIntersection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRegionVertices",                (PyCFunction)PyvtkPlanesIntersection_SetRegionVertices, 1,
   (char*)"V.SetRegionVertices(vtkPoints)\nC++: void SetRegionVertices (vtkPoints *pts);\n\n"},
  {(char*)"GetNumRegionVertices",                (PyCFunction)PyvtkPlanesIntersection_GetNumRegionVertices, 1,
   (char*)"V.GetNumRegionVertices() -> int\nC++: int GetNumRegionVertices ();\n\n"},
  {(char*)"IntersectsRegion",                (PyCFunction)PyvtkPlanesIntersection_IntersectsRegion, 1,
   (char*)"V.IntersectsRegion(vtkPoints) -> int\nC++: int IntersectsRegion (vtkPoints *R);\n\n"},
  {(char*)"PolygonIntersectsBBox",                (PyCFunction)PyvtkPlanesIntersection_PolygonIntersectsBBox, 1,
   (char*)"V.PolygonIntersectsBBox((float, float, float, float, float, float), vtkPoints) -> int\nC++: static int PolygonIntersectsBBox (double bounds[6], vtkPoints *pts);\n\n"},
  {(char*)"Convert3DCell",                (PyCFunction)PyvtkPlanesIntersection_Convert3DCell, 1,
   (char*)"V.Convert3DCell(vtkCell) -> vtkPlanesIntersection\nC++: static vtkPlanesIntersection *Convert3DCell (vtkCell *cell);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlanesIntersectionDoc[] = {
  (char*)"vtkPlanesIntersection - A vtkPlanesIntersection object is a\n\n",
  "Super Class:\n\n vtkPlanes\n\n",
  (char*)"    A subclass of vtkPlanes, this class determines whether it\n    intersects an axis aligned box.   This is motivated by the\n    need to intersect the axis aligned region of a spacial\n    decomposition of volume data with various other regions.\n    It uses the algorithm from Graphics Gems IV, page 81.\n\n .SECTION Caveat\n    An instance of vtkPlanes can be redefined by changing the planes,\n    but t",
  (char*)"his subclass then will not know if the region vertices are\n    up to date.  (Region vertices can be specified in SetRegionVertices\n    or computed by the subclass.)  So Delete and recreate if you want\n    to change the set of planes.\n\n\n",
  NULL
};

static vtkObjectBase *vtkPlanesIntersectionStaticNew()
{
  return vtkPlanesIntersection::New();
}

PyObject *PyVTKClass_vtkPlanesIntersectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlanesIntersectionStaticNew,
                        PyvtkPlanesIntersectionMethods,
                        (char*)"vtkPlanesIntersection",modulename,
                        (char**)vtkPlanesIntersectionDoc,
                        PyVTKClass_vtkPlanesNew(modulename));
}

