// python wrapper for vtkPlatonicSolidSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPlatonicSolidSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlatonicSolidSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlatonicSolidSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkPlatonicSolidSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlatonicSolidSource *op;

  const char    *temp20;
  if ((op = (vtkPlatonicSolidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlatonicSolidSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlatonicSolidSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlatonicSolidSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPlatonicSolidSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlatonicSolidSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlatonicSolidSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlatonicSolidSource *op;

  vtkPlatonicSolidSource  *temp20;
  if ((op = (vtkPlatonicSolidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlatonicSolidSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlatonicSolidSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlatonicSolidSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlatonicSolidSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlatonicSolidSource_SetSolidType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlatonicSolidSource *op;

  int      temp0;
  if ((op = (vtkPlatonicSolidSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlatonicSolidSource::SetSolidType(temp0);
      }
    else
      {
      op->SetSolidType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlatonicSolidSource_GetSolidTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlatonicSolidSource *op;

  int      temp20;
  if ((op = (vtkPlatonicSolidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlatonicSolidSource::GetSolidTypeMinValue();
      }
    else
      {
      temp20 = op->GetSolidTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlatonicSolidSource_GetSolidTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlatonicSolidSource *op;

  int      temp20;
  if ((op = (vtkPlatonicSolidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlatonicSolidSource::GetSolidTypeMaxValue();
      }
    else
      {
      temp20 = op->GetSolidTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlatonicSolidSource_GetSolidType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlatonicSolidSource *op;

  int      temp20;
  if ((op = (vtkPlatonicSolidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlatonicSolidSource::GetSolidType();
      }
    else
      {
      temp20 = op->GetSolidType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlatonicSolidSource_SetSolidTypeToTetrahedron(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlatonicSolidSource *op;

  if ((op = (vtkPlatonicSolidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlatonicSolidSource::SetSolidTypeToTetrahedron();
      }
    else
      {
      op->SetSolidTypeToTetrahedron();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlatonicSolidSource_SetSolidTypeToCube(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlatonicSolidSource *op;

  if ((op = (vtkPlatonicSolidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlatonicSolidSource::SetSolidTypeToCube();
      }
    else
      {
      op->SetSolidTypeToCube();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlatonicSolidSource_SetSolidTypeToOctahedron(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlatonicSolidSource *op;

  if ((op = (vtkPlatonicSolidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlatonicSolidSource::SetSolidTypeToOctahedron();
      }
    else
      {
      op->SetSolidTypeToOctahedron();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlatonicSolidSource_SetSolidTypeToIcosahedron(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlatonicSolidSource *op;

  if ((op = (vtkPlatonicSolidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlatonicSolidSource::SetSolidTypeToIcosahedron();
      }
    else
      {
      op->SetSolidTypeToIcosahedron();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlatonicSolidSource_SetSolidTypeToDodecahedron(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlatonicSolidSource *op;

  if ((op = (vtkPlatonicSolidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlatonicSolidSource::SetSolidTypeToDodecahedron();
      }
    else
      {
      op->SetSolidTypeToDodecahedron();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPlatonicSolidSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlatonicSolidSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlatonicSolidSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlatonicSolidSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlatonicSolidSource\nC++: vtkPlatonicSolidSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlatonicSolidSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlatonicSolidSource\nC++: vtkPlatonicSolidSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSolidType",                (PyCFunction)PyvtkPlatonicSolidSource_SetSolidType, 1,
   (char*)"V.SetSolidType(int)\nC++: void SetSolidType (int );\n\n Specify the type of PlatonicSolid solid to create.\n"},
  {(char*)"GetSolidTypeMinValue",                (PyCFunction)PyvtkPlatonicSolidSource_GetSolidTypeMinValue, 1,
   (char*)"V.GetSolidTypeMinValue() -> int\nC++: int GetSolidTypeMinValue ();\n\n Specify the type of PlatonicSolid solid to create.\n"},
  {(char*)"GetSolidTypeMaxValue",                (PyCFunction)PyvtkPlatonicSolidSource_GetSolidTypeMaxValue, 1,
   (char*)"V.GetSolidTypeMaxValue() -> int\nC++: int GetSolidTypeMaxValue ();\n\n Specify the type of PlatonicSolid solid to create.\n"},
  {(char*)"GetSolidType",                (PyCFunction)PyvtkPlatonicSolidSource_GetSolidType, 1,
   (char*)"V.GetSolidType() -> int\nC++: int GetSolidType ();\n\n Specify the type of PlatonicSolid solid to create.\n"},
  {(char*)"SetSolidTypeToTetrahedron",                (PyCFunction)PyvtkPlatonicSolidSource_SetSolidTypeToTetrahedron, 1,
   (char*)"V.SetSolidTypeToTetrahedron()\nC++: void SetSolidTypeToTetrahedron ();this SetSolidType VTK_SOLID_TETRAHEDRON \n\n Specify the type of PlatonicSolid solid to create.\n"},
  {(char*)"SetSolidTypeToCube",                (PyCFunction)PyvtkPlatonicSolidSource_SetSolidTypeToCube, 1,
   (char*)"V.SetSolidTypeToCube()\nC++: void SetSolidTypeToCube ();this SetSolidType VTK_SOLID_CUBE \n\n Specify the type of PlatonicSolid solid to create.\n"},
  {(char*)"SetSolidTypeToOctahedron",                (PyCFunction)PyvtkPlatonicSolidSource_SetSolidTypeToOctahedron, 1,
   (char*)"V.SetSolidTypeToOctahedron()\nC++: void SetSolidTypeToOctahedron ();this SetSolidType VTK_SOLID_OCTAHEDRON \n\n Specify the type of PlatonicSolid solid to create.\n"},
  {(char*)"SetSolidTypeToIcosahedron",                (PyCFunction)PyvtkPlatonicSolidSource_SetSolidTypeToIcosahedron, 1,
   (char*)"V.SetSolidTypeToIcosahedron()\nC++: void SetSolidTypeToIcosahedron ();this SetSolidType VTK_SOLID_ICOSAHEDRON \n\n Specify the type of PlatonicSolid solid to create.\n"},
  {(char*)"SetSolidTypeToDodecahedron",                (PyCFunction)PyvtkPlatonicSolidSource_SetSolidTypeToDodecahedron, 1,
   (char*)"V.SetSolidTypeToDodecahedron()\nC++: void SetSolidTypeToDodecahedron ();this SetSolidType VTK_SOLID_DODECAHEDRON \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlatonicSolidSourceDoc[] = {
  (char*)"vtkPlatonicSolidSource - produce polygonal Platonic solids\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkPlatonicSolidSource can generate each of the five Platonic solids:\n tetrahedron, cube, octahedron, icosahedron, and dodecahedron. Each of the\n solids is placed inside a sphere centered at the origin with radius 1.0.\n To use this class, simply specify the solid to create. Note that this\n source object creates cell scalars that are (integral value) face numbers.\n\n",
  NULL
};

static vtkObjectBase *vtkPlatonicSolidSourceStaticNew()
{
  return vtkPlatonicSolidSource::New();
}

PyObject *PyVTKClass_vtkPlatonicSolidSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlatonicSolidSourceStaticNew,
                        PyvtkPlatonicSolidSourceMethods,
                        (char*)"vtkPlatonicSolidSource",modulename,
                        (char**)vtkPlatonicSolidSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

