// python wrapper for vtkPointSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPointSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkPointSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  const char    *temp20;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  vtkPointSource  *temp20;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPointSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPointSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPointSource_SetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  vtkIdType   temp0;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSource::SetNumberOfPoints(temp0);
      }
    else
      {
      op->SetNumberOfPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_GetNumberOfPointsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  vtkIdType   temp20;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSource::GetNumberOfPointsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfPointsMinValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_GetNumberOfPointsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  vtkIdType   temp20;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSource::GetNumberOfPointsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfPointsMaxValue();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  vtkIdType   temp20;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSource::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSource::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPointSource *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSource::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  double  *temp20;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSource::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  double   temp0;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSource::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_GetRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  double   temp20;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSource::GetRadiusMinValue();
      }
    else
      {
      temp20 = op->GetRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_GetRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  double   temp20;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSource::GetRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  double   temp20;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSource::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_SetDistribution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  int      temp0;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSource::SetDistribution(temp0);
      }
    else
      {
      op->SetDistribution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_SetDistributionToUniform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSource::SetDistributionToUniform();
      }
    else
      {
      op->SetDistributionToUniform();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_SetDistributionToShell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSource::SetDistributionToShell();
      }
    else
      {
      op->SetDistributionToShell();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSource_GetDistribution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSource *op;

  int      temp20;
  if ((op = (vtkPointSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSource::GetDistribution();
      }
    else
      {
      temp20 = op->GetDistribution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPointSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointSource\nC++: vtkPointSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPointSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPointSource\nC++: vtkPointSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfPoints",                (PyCFunction)PyvtkPointSource_SetNumberOfPoints, 1,
   (char*)"V.SetNumberOfPoints(int)\nC++: void SetNumberOfPoints (vtkIdType );\n\n Set the number of points to generate.\n"},
  {(char*)"GetNumberOfPointsMinValue",                (PyCFunction)PyvtkPointSource_GetNumberOfPointsMinValue, 1,
   (char*)"V.GetNumberOfPointsMinValue() -> int\nC++: vtkIdType GetNumberOfPointsMinValue ();\n\n Set the number of points to generate.\n"},
  {(char*)"GetNumberOfPointsMaxValue",                (PyCFunction)PyvtkPointSource_GetNumberOfPointsMaxValue, 1,
   (char*)"V.GetNumberOfPointsMaxValue() -> int\nC++: vtkIdType GetNumberOfPointsMaxValue ();\n\n Set the number of points to generate.\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkPointSource_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: vtkIdType GetNumberOfPoints ();\n\n Set the number of points to generate.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkPointSource_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set the center of the point cloud.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkPointSource_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set the center of the point cloud.\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkPointSource_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Set the radius of the point cloud.  If you are\n generating a Gaussian distribution, then this is\n the standard deviation for each of x, y, and z.\n"},
  {(char*)"GetRadiusMinValue",                (PyCFunction)PyvtkPointSource_GetRadiusMinValue, 1,
   (char*)"V.GetRadiusMinValue() -> float\nC++: double GetRadiusMinValue ();\n\n Set the radius of the point cloud.  If you are\n generating a Gaussian distribution, then this is\n the standard deviation for each of x, y, and z.\n"},
  {(char*)"GetRadiusMaxValue",                (PyCFunction)PyvtkPointSource_GetRadiusMaxValue, 1,
   (char*)"V.GetRadiusMaxValue() -> float\nC++: double GetRadiusMaxValue ();\n\n Set the radius of the point cloud.  If you are\n generating a Gaussian distribution, then this is\n the standard deviation for each of x, y, and z.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkPointSource_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Set the radius of the point cloud.  If you are\n generating a Gaussian distribution, then this is\n the standard deviation for each of x, y, and z.\n"},
  {(char*)"SetDistribution",                (PyCFunction)PyvtkPointSource_SetDistribution, 1,
   (char*)"V.SetDistribution(int)\nC++: void SetDistribution (int );\n\n Specify the distribution to use.  The default is a\n uniform distribution.  The shell distribution produces\n random points on the surface of the sphere, none in the interior.\n"},
  {(char*)"SetDistributionToUniform",                (PyCFunction)PyvtkPointSource_SetDistributionToUniform, 1,
   (char*)"V.SetDistributionToUniform()\nC++: void SetDistributionToUniform ();this SetDistribution VTK_POINT_UNIFORM \n\n Specify the distribution to use.  The default is a\n uniform distribution.  The shell distribution produces\n random points on the surface of the sphere, none in the interior.\n"},
  {(char*)"SetDistributionToShell",                (PyCFunction)PyvtkPointSource_SetDistributionToShell, 1,
   (char*)"V.SetDistributionToShell()\nC++: void SetDistributionToShell ();this SetDistribution VTK_POINT_SHELL \n\n Specify the distribution to use.  The default is a\n uniform distribution.  The shell distribution produces\n random points on the surface of the sphere, none in the interior.\n"},
  {(char*)"GetDistribution",                (PyCFunction)PyvtkPointSource_GetDistribution, 1,
   (char*)"V.GetDistribution() -> int\nC++: int GetDistribution ();\n\n Specify the distribution to use.  The default is a\n uniform distribution.  The shell distribution produces\n random points on the surface of the sphere, none in the interior.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointSourceDoc[] = {
  (char*)"vtkPointSource - create a random cloud of points\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkPointSource is a source object that creates a user-specified number \n of points within a specified radius about a specified center point. \n By default location of the points is random within the sphere. It is\n also possible to generate random points only on the surface of the\n sphere.\n\n",
  NULL
};

static vtkObjectBase *vtkPointSourceStaticNew()
{
  return vtkPointSource::New();
}

PyObject *PyVTKClass_vtkPointSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkPointSourceStaticNew,
                        PyvtkPointSourceMethods,
                        (char*)"vtkPointSource",modulename,
                        (char**)vtkPointSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

