// python wrapper for vtkPolyDataConnectivityFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPolyDataConnectivityFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataConnectivityFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataConnectivityFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkPolyDataConnectivityFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  const char    *temp20;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataConnectivityFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataConnectivityFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  vtkPolyDataConnectivityFilter  *temp20;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataConnectivityFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolyDataConnectivityFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolyDataConnectivityFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_SetScalarConnectivity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  int      temp0;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::SetScalarConnectivity(temp0);
      }
    else
      {
      op->SetScalarConnectivity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_GetScalarConnectivity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  int      temp20;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataConnectivityFilter::GetScalarConnectivity();
      }
    else
      {
      temp20 = op->GetScalarConnectivity();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_ScalarConnectivityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::ScalarConnectivityOn();
      }
    else
      {
      op->ScalarConnectivityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_ScalarConnectivityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::ScalarConnectivityOff();
      }
    else
      {
      op->ScalarConnectivityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_SetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::SetScalarRange(temp0,temp1);
      }
    else
      {
      op->SetScalarRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::SetScalarRange(temp0);
      }
    else
      {
      op->SetScalarRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_GetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  double  *temp20;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataConnectivityFilter::GetScalarRange();
      }
    else
      {
      temp20 = op->GetScalarRange();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_SetExtractionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  int      temp0;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::SetExtractionMode(temp0);
      }
    else
      {
      op->SetExtractionMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_GetExtractionModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  int      temp20;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataConnectivityFilter::GetExtractionModeMinValue();
      }
    else
      {
      temp20 = op->GetExtractionModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_GetExtractionModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  int      temp20;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataConnectivityFilter::GetExtractionModeMaxValue();
      }
    else
      {
      temp20 = op->GetExtractionModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_GetExtractionMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  int      temp20;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataConnectivityFilter::GetExtractionMode();
      }
    else
      {
      temp20 = op->GetExtractionMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_SetExtractionModeToPointSeededRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::SetExtractionModeToPointSeededRegions();
      }
    else
      {
      op->SetExtractionModeToPointSeededRegions();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_SetExtractionModeToCellSeededRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::SetExtractionModeToCellSeededRegions();
      }
    else
      {
      op->SetExtractionModeToCellSeededRegions();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_SetExtractionModeToLargestRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::SetExtractionModeToLargestRegion();
      }
    else
      {
      op->SetExtractionModeToLargestRegion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_SetExtractionModeToSpecifiedRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::SetExtractionModeToSpecifiedRegions();
      }
    else
      {
      op->SetExtractionModeToSpecifiedRegions();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_SetExtractionModeToClosestPointRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::SetExtractionModeToClosestPointRegion();
      }
    else
      {
      op->SetExtractionModeToClosestPointRegion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_SetExtractionModeToAllRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::SetExtractionModeToAllRegions();
      }
    else
      {
      op->SetExtractionModeToAllRegions();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_GetExtractionModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  const char    *temp20;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataConnectivityFilter::GetExtractionModeAsString();
      }
    else
      {
      temp20 = op->GetExtractionModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_InitializeSeedList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::InitializeSeedList();
      }
    else
      {
      op->InitializeSeedList();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_AddSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  int      temp0;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::AddSeed(temp0);
      }
    else
      {
      op->AddSeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_DeleteSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  int      temp0;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::DeleteSeed(temp0);
      }
    else
      {
      op->DeleteSeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_InitializeSpecifiedRegionList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::InitializeSpecifiedRegionList();
      }
    else
      {
      op->InitializeSpecifiedRegionList();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_AddSpecifiedRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  int      temp0;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::AddSpecifiedRegion(temp0);
      }
    else
      {
      op->AddSpecifiedRegion(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_DeleteSpecifiedRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  int      temp0;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::DeleteSpecifiedRegion(temp0);
      }
    else
      {
      op->DeleteSpecifiedRegion(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_SetClosestPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::SetClosestPoint(temp0,temp1,temp2);
      }
    else
      {
      op->SetClosestPoint(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::SetClosestPoint(temp0);
      }
    else
      {
      op->SetClosestPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_GetClosestPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  double  *temp20;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataConnectivityFilter::GetClosestPoint();
      }
    else
      {
      temp20 = op->GetClosestPoint();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_GetNumberOfExtractedRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  int      temp20;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataConnectivityFilter::GetNumberOfExtractedRegions();
      }
    else
      {
      temp20 = op->GetNumberOfExtractedRegions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_SetColorRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  int      temp0;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::SetColorRegions(temp0);
      }
    else
      {
      op->SetColorRegions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_GetColorRegions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  int      temp20;
  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataConnectivityFilter::GetColorRegions();
      }
    else
      {
      temp20 = op->GetColorRegions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_ColorRegionsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::ColorRegionsOn();
      }
    else
      {
      op->ColorRegionsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataConnectivityFilter_ColorRegionsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataConnectivityFilter *op;

  if ((op = (vtkPolyDataConnectivityFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataConnectivityFilter::ColorRegionsOff();
      }
    else
      {
      op->ColorRegionsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolyDataConnectivityFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataConnectivityFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataConnectivityFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataConnectivityFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataConnectivityFilter\nC++: vtkPolyDataConnectivityFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolyDataConnectivityFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolyDataConnectivityFilter\nC++: vtkPolyDataConnectivityFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetScalarConnectivity",                (PyCFunction)PyvtkPolyDataConnectivityFilter_SetScalarConnectivity, 1,
   (char*)"V.SetScalarConnectivity(int)\nC++: void SetScalarConnectivity (int );\n\n Turn on/off connectivity based on scalar value. If on, cells are connected\n only if they share points AND one of the cells scalar values falls in the\n scalar range specified.\n"},
  {(char*)"GetScalarConnectivity",                (PyCFunction)PyvtkPolyDataConnectivityFilter_GetScalarConnectivity, 1,
   (char*)"V.GetScalarConnectivity() -> int\nC++: int GetScalarConnectivity ();\n\n Turn on/off connectivity based on scalar value. If on, cells are connected\n only if they share points AND one of the cells scalar values falls in the\n scalar range specified.\n"},
  {(char*)"ScalarConnectivityOn",                (PyCFunction)PyvtkPolyDataConnectivityFilter_ScalarConnectivityOn, 1,
   (char*)"V.ScalarConnectivityOn()\nC++: void ScalarConnectivityOn ();\n\n Turn on/off connectivity based on scalar value. If on, cells are connected\n only if they share points AND one of the cells scalar values falls in the\n scalar range specified.\n"},
  {(char*)"ScalarConnectivityOff",                (PyCFunction)PyvtkPolyDataConnectivityFilter_ScalarConnectivityOff, 1,
   (char*)"V.ScalarConnectivityOff()\nC++: void ScalarConnectivityOff ();\n\n Turn on/off connectivity based on scalar value. If on, cells are connected\n only if they share points AND one of the cells scalar values falls in the\n scalar range specified.\n"},
  {(char*)"SetScalarRange",                (PyCFunction)PyvtkPolyDataConnectivityFilter_SetScalarRange, 1,
   (char*)"V.SetScalarRange(float, float)\nC++: void SetScalarRange (double , double );\nV.SetScalarRange((float, float))\nC++: void SetScalarRange (double  a[2]);\n\n Set the scalar range to use to extract cells based on scalar connectivity.\n"},
  {(char*)"GetScalarRange",                (PyCFunction)PyvtkPolyDataConnectivityFilter_GetScalarRange, 1,
   (char*)"V.GetScalarRange() -> (float, float)\nC++: double  *GetScalarRange ();\n\n Set the scalar range to use to extract cells based on scalar connectivity.\n"},
  {(char*)"SetExtractionMode",                (PyCFunction)PyvtkPolyDataConnectivityFilter_SetExtractionMode, 1,
   (char*)"V.SetExtractionMode(int)\nC++: void SetExtractionMode (int );\n\n Control the extraction of connected surfaces.\n"},
  {(char*)"GetExtractionModeMinValue",                (PyCFunction)PyvtkPolyDataConnectivityFilter_GetExtractionModeMinValue, 1,
   (char*)"V.GetExtractionModeMinValue() -> int\nC++: int GetExtractionModeMinValue ();\n\n Control the extraction of connected surfaces.\n"},
  {(char*)"GetExtractionModeMaxValue",                (PyCFunction)PyvtkPolyDataConnectivityFilter_GetExtractionModeMaxValue, 1,
   (char*)"V.GetExtractionModeMaxValue() -> int\nC++: int GetExtractionModeMaxValue ();\n\n Control the extraction of connected surfaces.\n"},
  {(char*)"GetExtractionMode",                (PyCFunction)PyvtkPolyDataConnectivityFilter_GetExtractionMode, 1,
   (char*)"V.GetExtractionMode() -> int\nC++: int GetExtractionMode ();\n\n Control the extraction of connected surfaces.\n"},
  {(char*)"SetExtractionModeToPointSeededRegions",                (PyCFunction)PyvtkPolyDataConnectivityFilter_SetExtractionModeToPointSeededRegions, 1,
   (char*)"V.SetExtractionModeToPointSeededRegions()\nC++: void SetExtractionModeToPointSeededRegions ();this SetExtractionMode VTK_EXTRACT_POINT_SEEDED_REGIONS \n\n Control the extraction of connected surfaces.\n"},
  {(char*)"SetExtractionModeToCellSeededRegions",                (PyCFunction)PyvtkPolyDataConnectivityFilter_SetExtractionModeToCellSeededRegions, 1,
   (char*)"V.SetExtractionModeToCellSeededRegions()\nC++: void SetExtractionModeToCellSeededRegions ();this SetExtractionMode VTK_EXTRACT_CELL_SEEDED_REGIONS \n\n Control the extraction of connected surfaces.\n"},
  {(char*)"SetExtractionModeToLargestRegion",                (PyCFunction)PyvtkPolyDataConnectivityFilter_SetExtractionModeToLargestRegion, 1,
   (char*)"V.SetExtractionModeToLargestRegion()\nC++: void SetExtractionModeToLargestRegion ();this SetExtractionMode VTK_EXTRACT_LARGEST_REGION \n\n Control the extraction of connected surfaces.\n"},
  {(char*)"SetExtractionModeToSpecifiedRegions",                (PyCFunction)PyvtkPolyDataConnectivityFilter_SetExtractionModeToSpecifiedRegions, 1,
   (char*)"V.SetExtractionModeToSpecifiedRegions()\nC++: void SetExtractionModeToSpecifiedRegions ();this SetExtractionMode VTK_EXTRACT_SPECIFIED_REGIONS \n\n Control the extraction of connected surfaces.\n"},
  {(char*)"SetExtractionModeToClosestPointRegion",                (PyCFunction)PyvtkPolyDataConnectivityFilter_SetExtractionModeToClosestPointRegion, 1,
   (char*)"V.SetExtractionModeToClosestPointRegion()\nC++: void SetExtractionModeToClosestPointRegion ();this SetExtractionMode VTK_EXTRACT_CLOSEST_POINT_REGION \n\n Control the extraction of connected surfaces.\n"},
  {(char*)"SetExtractionModeToAllRegions",                (PyCFunction)PyvtkPolyDataConnectivityFilter_SetExtractionModeToAllRegions, 1,
   (char*)"V.SetExtractionModeToAllRegions()\nC++: void SetExtractionModeToAllRegions ();this SetExtractionMode VTK_EXTRACT_ALL_REGIONS \n\n Control the extraction of connected surfaces.\n"},
  {(char*)"GetExtractionModeAsString",                (PyCFunction)PyvtkPolyDataConnectivityFilter_GetExtractionModeAsString, 1,
   (char*)"V.GetExtractionModeAsString() -> string\nC++: const char *GetExtractionModeAsString ();\n\n Control the extraction of connected surfaces.\n"},
  {(char*)"InitializeSeedList",                (PyCFunction)PyvtkPolyDataConnectivityFilter_InitializeSeedList, 1,
   (char*)"V.InitializeSeedList()\nC++: void InitializeSeedList ();\n\n Initialize list of point ids/cell ids used to seed regions.\n"},
  {(char*)"AddSeed",                (PyCFunction)PyvtkPolyDataConnectivityFilter_AddSeed, 1,
   (char*)"V.AddSeed(int)\nC++: void AddSeed (int id);\n\n Add a seed id (point or cell id). Note: ids are 0-offset.\n"},
  {(char*)"DeleteSeed",                (PyCFunction)PyvtkPolyDataConnectivityFilter_DeleteSeed, 1,
   (char*)"V.DeleteSeed(int)\nC++: void DeleteSeed (int id);\n\n Delete a seed id (point or cell id). Note: ids are 0-offset.\n"},
  {(char*)"InitializeSpecifiedRegionList",                (PyCFunction)PyvtkPolyDataConnectivityFilter_InitializeSpecifiedRegionList, 1,
   (char*)"V.InitializeSpecifiedRegionList()\nC++: void InitializeSpecifiedRegionList ();\n\n Initialize list of region ids to extract.\n"},
  {(char*)"AddSpecifiedRegion",                (PyCFunction)PyvtkPolyDataConnectivityFilter_AddSpecifiedRegion, 1,
   (char*)"V.AddSpecifiedRegion(int)\nC++: void AddSpecifiedRegion (int id);\n\n Add a region id to extract. Note: ids are 0-offset.\n"},
  {(char*)"DeleteSpecifiedRegion",                (PyCFunction)PyvtkPolyDataConnectivityFilter_DeleteSpecifiedRegion, 1,
   (char*)"V.DeleteSpecifiedRegion(int)\nC++: void DeleteSpecifiedRegion (int id);\n\n Delete a region id to extract. Note: ids are 0-offset.\n"},
  {(char*)"SetClosestPoint",                (PyCFunction)PyvtkPolyDataConnectivityFilter_SetClosestPoint, 1,
   (char*)"V.SetClosestPoint(float, float, float)\nC++: void SetClosestPoint (double , double , double );\nV.SetClosestPoint((float, float, float))\nC++: void SetClosestPoint (double  a[3]);\n\n Use to specify x-y-z point coordinates when extracting the region \n closest to a specified point.\n"},
  {(char*)"GetClosestPoint",                (PyCFunction)PyvtkPolyDataConnectivityFilter_GetClosestPoint, 1,
   (char*)"V.GetClosestPoint() -> (float, float, float)\nC++: double  *GetClosestPoint ();\n\n Use to specify x-y-z point coordinates when extracting the region \n closest to a specified point.\n"},
  {(char*)"GetNumberOfExtractedRegions",                (PyCFunction)PyvtkPolyDataConnectivityFilter_GetNumberOfExtractedRegions, 1,
   (char*)"V.GetNumberOfExtractedRegions() -> int\nC++: int GetNumberOfExtractedRegions ();\n\n Obtain the number of connected regions.\n"},
  {(char*)"SetColorRegions",                (PyCFunction)PyvtkPolyDataConnectivityFilter_SetColorRegions, 1,
   (char*)"V.SetColorRegions(int)\nC++: void SetColorRegions (int );\n\n Turn on/off the coloring of connected regions.\n"},
  {(char*)"GetColorRegions",                (PyCFunction)PyvtkPolyDataConnectivityFilter_GetColorRegions, 1,
   (char*)"V.GetColorRegions() -> int\nC++: int GetColorRegions ();\n\n Turn on/off the coloring of connected regions.\n"},
  {(char*)"ColorRegionsOn",                (PyCFunction)PyvtkPolyDataConnectivityFilter_ColorRegionsOn, 1,
   (char*)"V.ColorRegionsOn()\nC++: void ColorRegionsOn ();\n\n Turn on/off the coloring of connected regions.\n"},
  {(char*)"ColorRegionsOff",                (PyCFunction)PyvtkPolyDataConnectivityFilter_ColorRegionsOff, 1,
   (char*)"V.ColorRegionsOff()\nC++: void ColorRegionsOff ();\n\n Turn on/off the coloring of connected regions.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataConnectivityFilterDoc[] = {
  (char*)"vtkPolyDataConnectivityFilter - extract polygonal data based on geometric connectivity\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkPolyDataConnectivityFilter is a filter that extracts cells that\n share common points and/or satisfy a scalar threshold\n criterion. (Such a group of cells is called a region.) The filter\n works in one of six ways: 1) extract the largest connected region\n in the dataset; 2) extract specified region numbers; 3) extract all\n regions sharing specified point ids; 4) extract all regions sharing\n spec",
  (char*)"ified cell ids; 5) extract the region closest to the specified\n point; or 6) extract all regions (used to color regions).\n\n This filter is specialized for polygonal data. This means it runs a bit \n faster and is easier to construct visualization networks that process\n polygonal data.\n\n The behavior of vtkPolyDataConnectivityFilter can be modified by turning\n on the boolean ivar ScalarConnectivity.",
  (char*)" If this flag is on, the\n connectivity algorithm is modified so that cells are considered connected\n only if 1) they are geometrically connected (share a point) and 2) the\n scalar values of one of the cell's points falls in the scalar range\n specified. This use of ScalarConnectivity is particularly useful for\n selecting cells for later processing.\n\n",
  "See Also:\n\n vtkConnectivityFilter\n\n",
  NULL
};

static vtkObjectBase *vtkPolyDataConnectivityFilterStaticNew()
{
  return vtkPolyDataConnectivityFilter::New();
}

PyObject *PyVTKClass_vtkPolyDataConnectivityFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolyDataConnectivityFilterStaticNew,
                        PyvtkPolyDataConnectivityFilterMethods,
                        (char*)"vtkPolyDataConnectivityFilter",modulename,
                        (char**)vtkPolyDataConnectivityFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

