// tcl wrapper for vtkPolyDataNormals object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolyDataNormals.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPolyDataNormalsNewCommand()
{
  vtkPolyDataNormals *temp = vtkPolyDataNormals::New();
  return ((ClientData)temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPolyDataNormalsCppCommand(vtkPolyDataNormals *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPolyDataNormalsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPolyDataNormalsCppCommand((vtkPolyDataNormals *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPolyDataNormalsCppCommand(vtkPolyDataNormals *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPolyDataNormals",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand((vtkPolyDataAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPolyDataAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPolyDataNormals  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPolyDataNormals");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPolyDataNormals  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPolyDataNormals");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPolyDataNormals  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPolyDataNormals");
    return TCL_OK;
    }
  if ((!strcmp("SetFeatureAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFeatureAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFeatureAngleMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeatureAngleMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFeatureAngleMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeatureAngleMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFeatureAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFeatureAngle();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSplitting",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSplitting(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSplitting",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSplitting();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SplittingOn",argv[1]))&&(argc == 2))
    {
    op->SplittingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SplittingOff",argv[1]))&&(argc == 2))
    {
    op->SplittingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetConsistency",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetConsistency(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConsistency",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetConsistency();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ConsistencyOn",argv[1]))&&(argc == 2))
    {
    op->ConsistencyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConsistencyOff",argv[1]))&&(argc == 2))
    {
    op->ConsistencyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoOrientNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoOrientNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoOrientNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoOrientNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoOrientNormalsOn",argv[1]))&&(argc == 2))
    {
    op->AutoOrientNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoOrientNormalsOff",argv[1]))&&(argc == 2))
    {
    op->AutoOrientNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputePointNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputePointNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputePointNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputePointNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputePointNormalsOn",argv[1]))&&(argc == 2))
    {
    op->ComputePointNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputePointNormalsOff",argv[1]))&&(argc == 2))
    {
    op->ComputePointNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeCellNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeCellNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeCellNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeCellNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeCellNormalsOn",argv[1]))&&(argc == 2))
    {
    op->ComputeCellNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeCellNormalsOff",argv[1]))&&(argc == 2))
    {
    op->ComputeCellNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFlipNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFlipNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFlipNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFlipNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FlipNormalsOn",argv[1]))&&(argc == 2))
    {
    op->FlipNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FlipNormalsOff",argv[1]))&&(argc == 2))
    {
    op->FlipNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNonManifoldTraversal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNonManifoldTraversal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNonManifoldTraversal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNonManifoldTraversal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NonManifoldTraversalOn",argv[1]))&&(argc == 2))
    {
    op->NonManifoldTraversalOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NonManifoldTraversalOff",argv[1]))&&(argc == 2))
    {
    op->NonManifoldTraversalOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPolyDataNormalsCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPolyDataNormals:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetFeatureAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureAngleMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureAngleMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFeatureAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetSplitting\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSplitting\n",NULL);
    Tcl_AppendResult(interp,"  SplittingOn\n",NULL);
    Tcl_AppendResult(interp,"  SplittingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetConsistency\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConsistency\n",NULL);
    Tcl_AppendResult(interp,"  ConsistencyOn\n",NULL);
    Tcl_AppendResult(interp,"  ConsistencyOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoOrientNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoOrientNormals\n",NULL);
    Tcl_AppendResult(interp,"  AutoOrientNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoOrientNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComputePointNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputePointNormals\n",NULL);
    Tcl_AppendResult(interp,"  ComputePointNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputePointNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeCellNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeCellNormals\n",NULL);
    Tcl_AppendResult(interp,"  ComputeCellNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeCellNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetFlipNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFlipNormals\n",NULL);
    Tcl_AppendResult(interp,"  FlipNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  FlipNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNonManifoldTraversal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNonManifoldTraversal\n",NULL);
    Tcl_AppendResult(interp,"  NonManifoldTraversalOn\n",NULL);
    Tcl_AppendResult(interp,"  NonManifoldTraversalOff\n",NULL);
    return TCL_OK;
    }

  if (vtkPolyDataAlgorithmCppCommand((vtkPolyDataAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
