// python wrapper for vtkProgrammableFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkProgrammableFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProgrammableFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProgrammableFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkProgrammableFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableFilter *op;

  const char    *temp20;
  if ((op = (vtkProgrammableFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkProgrammableFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableFilter *op;

  vtkProgrammableFilter  *temp20;
  if ((op = (vtkProgrammableFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProgrammableFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProgrammableFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProgrammableFilter_SetExecuteMethod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableFilter *op;

  PyObject *temp0;
  if ((op = (vtkProgrammableFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &temp0)))
    {
    if (!PyCallable_Check(temp0) && temp0 != Py_None)
      {
      PyErr_SetString(PyExc_ValueError,"vtk callback method passed to SetExecuteMethod in vtkProgrammableFilter was not callable.");
      return NULL;
      }
    Py_INCREF(temp0);
    if (PyVTKClass_Check(self))
      {
      op->vtkProgrammableFilter::SetExecuteMethod(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->vtkProgrammableFilter::SetExecuteMethodArgDelete(vtkPythonVoidFuncArgDelete);
      }
    else
      {
      op->SetExecuteMethod(((temp0 != Py_None) ? vtkPythonVoidFunc : NULL),(void *)temp0);
      op->SetExecuteMethodArgDelete(vtkPythonVoidFuncArgDelete);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableFilter_GetPolyDataInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableFilter *op;

  vtkPolyData  *temp20;
  if ((op = (vtkProgrammableFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableFilter::GetPolyDataInput();
      }
    else
      {
      temp20 = op->GetPolyDataInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableFilter_GetStructuredPointsInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableFilter *op;

  vtkStructuredPoints  *temp20;
  if ((op = (vtkProgrammableFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableFilter::GetStructuredPointsInput();
      }
    else
      {
      temp20 = op->GetStructuredPointsInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableFilter_GetStructuredGridInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableFilter *op;

  vtkStructuredGrid  *temp20;
  if ((op = (vtkProgrammableFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableFilter::GetStructuredGridInput();
      }
    else
      {
      temp20 = op->GetStructuredGridInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableFilter_GetUnstructuredGridInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableFilter *op;

  vtkUnstructuredGrid  *temp20;
  if ((op = (vtkProgrammableFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableFilter::GetUnstructuredGridInput();
      }
    else
      {
      temp20 = op->GetUnstructuredGridInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProgrammableFilter_GetRectilinearGridInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProgrammableFilter *op;

  vtkRectilinearGrid  *temp20;
  if ((op = (vtkProgrammableFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProgrammableFilter::GetRectilinearGridInput();
      }
    else
      {
      temp20 = op->GetRectilinearGridInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkProgrammableFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProgrammableFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProgrammableFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProgrammableFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProgrammableFilter\nC++: vtkProgrammableFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProgrammableFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProgrammableFilter\nC++: vtkProgrammableFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetExecuteMethod",                (PyCFunction)PyvtkProgrammableFilter_SetExecuteMethod, 1,
   (char*)"V.SetExecuteMethod(function)\nC++: void SetExecuteMethod (void (*func)(void *) , void *arg);\n\n Specify the function to use to operate on the point attribute data. Note\n that the function takes a single (void *) argument.\n"},
  {(char*)"GetPolyDataInput",                (PyCFunction)PyvtkProgrammableFilter_GetPolyDataInput, 1,
   (char*)"V.GetPolyDataInput() -> vtkPolyData\nC++: vtkPolyData *GetPolyDataInput ();\n\n Get the input as a concrete type. This method is typically used by the\n writer of the filter function to get the input as a particular type (i.e.,\n it essentially does type casting). It is the users responsibility to know\n the correct type of the input data.\n"},
  {(char*)"GetStructuredPointsInput",                (PyCFunction)PyvtkProgrammableFilter_GetStructuredPointsInput, 1,
   (char*)"V.GetStructuredPointsInput() -> vtkStructuredPoints\nC++: vtkStructuredPoints *GetStructuredPointsInput ();\n\n Get the input as a concrete type.\n"},
  {(char*)"GetStructuredGridInput",                (PyCFunction)PyvtkProgrammableFilter_GetStructuredGridInput, 1,
   (char*)"V.GetStructuredGridInput() -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetStructuredGridInput ();\n\n Get the input as a concrete type.\n"},
  {(char*)"GetUnstructuredGridInput",                (PyCFunction)PyvtkProgrammableFilter_GetUnstructuredGridInput, 1,
   (char*)"V.GetUnstructuredGridInput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetUnstructuredGridInput ();\n\n Get the input as a concrete type.\n"},
  {(char*)"GetRectilinearGridInput",                (PyCFunction)PyvtkProgrammableFilter_GetRectilinearGridInput, 1,
   (char*)"V.GetRectilinearGridInput() -> vtkRectilinearGrid\nC++: vtkRectilinearGrid *GetRectilinearGridInput ();\n\n Get the input as a concrete type.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProgrammableFilterDoc[] = {
  (char*)"vtkProgrammableFilter - a user-programmable filter\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkProgrammableFilter is a filter that can be programmed by the user.  To\n use the filter you define a function that retrieves input of the correct\n type, creates data, and then manipulates the output of the filter.  Using\n this filter avoids the need for subclassing - and the function can be\n defined in an interpreter wrapper language such as Tcl or Java.\n\n The trickiest part of using this filte",
  (char*)"r is that the input and output\n methods are unusual and cannot be compile-time type checked. Instead, as a\n user of this filter it is your responsibility to set and get the correct\n input and output types.\n\n",
  "Caveats:\n\n The filter correctly manages modified time and network execution in most\n cases. However, if you change the definition of the filter function,\n you'll want to send a manual Modified() method to the filter to force it\n to reexecute.\n\n",
  "See Also:\n\n vtkProgrammablePointDataFilter vtkProgrammableSource\n\n",
  NULL
};

static vtkObjectBase *vtkProgrammableFilterStaticNew()
{
  return vtkProgrammableFilter::New();
}

PyObject *PyVTKClass_vtkProgrammableFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkProgrammableFilterStaticNew,
                        PyvtkProgrammableFilterMethods,
                        (char*)"vtkProgrammableFilter",modulename,
                        (char**)vtkProgrammableFilterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

