// tcl wrapper for vtkProgrammableFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProgrammableFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkProgrammableFilterNewCommand()
{
  vtkProgrammableFilter *temp = vtkProgrammableFilter::New();
  return ((ClientData)temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkProgrammableFilterCppCommand(vtkProgrammableFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkProgrammableFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkProgrammableFilterCppCommand((vtkProgrammableFilter *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkProgrammableFilterCppCommand(vtkProgrammableFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkProgrammableFilter",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand((vtkDataSetAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkDataSetAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkProgrammableFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProgrammableFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkProgrammableFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProgrammableFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkProgrammableFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProgrammableFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExecuteMethod",argv[1]))&&(argc == 3))
    {
    vtkTclVoidFuncArg *temp0 = new vtkTclVoidFuncArg;
    error = 0;

    temp0->interp = interp;
    temp0->command = strcpy(new char [strlen(argv[2])+1],argv[2]);
    if (!error)
    {
    op->SetExecuteMethod(vtkTclVoidFunc,(void *)temp0);
    op->SetExecuteMethodArgDelete(vtkTclVoidFuncArgDelete);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolyDataInput",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetPolyDataInput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetStructuredPointsInput",argv[1]))&&(argc == 2))
    {
    vtkStructuredPoints  *temp20;
    temp20 = (op)->GetStructuredPointsInput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkStructuredPoints");
    return TCL_OK;
    }
  if ((!strcmp("GetStructuredGridInput",argv[1]))&&(argc == 2))
    {
    vtkStructuredGrid  *temp20;
    temp20 = (op)->GetStructuredGridInput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkStructuredGrid");
    return TCL_OK;
    }
  if ((!strcmp("GetUnstructuredGridInput",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGrid  *temp20;
    temp20 = (op)->GetUnstructuredGridInput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkUnstructuredGrid");
    return TCL_OK;
    }
  if ((!strcmp("GetRectilinearGridInput",argv[1]))&&(argc == 2))
    {
    vtkRectilinearGrid  *temp20;
    temp20 = (op)->GetRectilinearGridInput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRectilinearGrid");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkProgrammableFilterCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkProgrammableFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetExecuteMethod\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyDataInput\n",NULL);
    Tcl_AppendResult(interp,"  GetStructuredPointsInput\n",NULL);
    Tcl_AppendResult(interp,"  GetStructuredGridInput\n",NULL);
    Tcl_AppendResult(interp,"  GetUnstructuredGridInput\n",NULL);
    Tcl_AppendResult(interp,"  GetRectilinearGridInput\n",NULL);
    return TCL_OK;
    }

  if (vtkDataSetAlgorithmCppCommand((vtkDataSetAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
