// tcl wrapper for vtkQuadricDecimation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQuadricDecimation.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkQuadricDecimationNewCommand()
{
  vtkQuadricDecimation *temp = vtkQuadricDecimation::New();
  return ((ClientData)temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkQuadricDecimationCppCommand(vtkQuadricDecimation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkQuadricDecimationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkQuadricDecimationCppCommand((vtkQuadricDecimation *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkQuadricDecimationCppCommand(vtkQuadricDecimation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkQuadricDecimation",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand((vtkPolyDataAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPolyDataAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkQuadricDecimation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkQuadricDecimation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkQuadricDecimation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkQuadricDecimation");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkQuadricDecimation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkQuadricDecimation");
    return TCL_OK;
    }
  if ((!strcmp("SetTargetReduction",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTargetReduction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTargetReductionMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTargetReductionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTargetReductionMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTargetReductionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTargetReduction",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTargetReduction();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeErrorMetric",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAttributeErrorMetric(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeErrorMetric",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributeErrorMetric();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AttributeErrorMetricOn",argv[1]))&&(argc == 2))
    {
    op->AttributeErrorMetricOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AttributeErrorMetricOff",argv[1]))&&(argc == 2))
    {
    op->AttributeErrorMetricOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarsAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarsAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarsAttribute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarsAttribute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalarsAttributeOn",argv[1]))&&(argc == 2))
    {
    op->ScalarsAttributeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarsAttributeOff",argv[1]))&&(argc == 2))
    {
    op->ScalarsAttributeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorsAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVectorsAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorsAttribute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVectorsAttribute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VectorsAttributeOn",argv[1]))&&(argc == 2))
    {
    op->VectorsAttributeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VectorsAttributeOff",argv[1]))&&(argc == 2))
    {
    op->VectorsAttributeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalsAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalsAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalsAttribute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalsAttribute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalsAttributeOn",argv[1]))&&(argc == 2))
    {
    op->NormalsAttributeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalsAttributeOff",argv[1]))&&(argc == 2))
    {
    op->NormalsAttributeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTCoordsAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTCoordsAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoordsAttribute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTCoordsAttribute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TCoordsAttributeOn",argv[1]))&&(argc == 2))
    {
    op->TCoordsAttributeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TCoordsAttributeOff",argv[1]))&&(argc == 2))
    {
    op->TCoordsAttributeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTensorsAttribute",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTensorsAttribute(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensorsAttribute",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTensorsAttribute();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TensorsAttributeOn",argv[1]))&&(argc == 2))
    {
    op->TensorsAttributeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TensorsAttributeOff",argv[1]))&&(argc == 2))
    {
    op->TensorsAttributeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarsWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScalarsWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVectorsWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetVectorsWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormalsWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetNormalsWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTCoordsWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTCoordsWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTensorsWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTensorsWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarsWeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScalarsWeight();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVectorsWeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVectorsWeight();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNormalsWeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNormalsWeight();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTCoordsWeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTCoordsWeight();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTensorsWeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTensorsWeight();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetActualReduction",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetActualReduction();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkQuadricDecimationCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkQuadricDecimation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetTargetReduction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetReductionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetReductionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetReduction\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeErrorMetric\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeErrorMetric\n",NULL);
    Tcl_AppendResult(interp,"  AttributeErrorMetricOn\n",NULL);
    Tcl_AppendResult(interp,"  AttributeErrorMetricOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarsAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarsAttribute\n",NULL);
    Tcl_AppendResult(interp,"  ScalarsAttributeOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalarsAttributeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorsAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorsAttribute\n",NULL);
    Tcl_AppendResult(interp,"  VectorsAttributeOn\n",NULL);
    Tcl_AppendResult(interp,"  VectorsAttributeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalsAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalsAttribute\n",NULL);
    Tcl_AppendResult(interp,"  NormalsAttributeOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalsAttributeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoordsAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordsAttribute\n",NULL);
    Tcl_AppendResult(interp,"  TCoordsAttributeOn\n",NULL);
    Tcl_AppendResult(interp,"  TCoordsAttributeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTensorsAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorsAttribute\n",NULL);
    Tcl_AppendResult(interp,"  TensorsAttributeOn\n",NULL);
    Tcl_AppendResult(interp,"  TensorsAttributeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarsWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorsWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalsWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoordsWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTensorsWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarsWeight\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorsWeight\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalsWeight\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordsWeight\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorsWeight\n",NULL);
    Tcl_AppendResult(interp,"  GetActualReduction\n",NULL);
    return TCL_OK;
    }

  if (vtkPolyDataAlgorithmCppCommand((vtkPolyDataAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
