// python wrapper for vtkQuantizePolyDataPoints object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkQuantizePolyDataPoints.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQuantizePolyDataPointsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQuantizePolyDataPointsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCleanPolyDataNew(char *); }

static PyObject *PyvtkQuantizePolyDataPoints_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuantizePolyDataPoints *op;

  const char    *temp20;
  if ((op = (vtkQuantizePolyDataPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuantizePolyDataPoints::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkQuantizePolyDataPoints_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuantizePolyDataPoints *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkQuantizePolyDataPoints *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuantizePolyDataPoints::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuantizePolyDataPoints_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuantizePolyDataPoints *op;

  vtkQuantizePolyDataPoints  *temp20;
  if ((op = (vtkQuantizePolyDataPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuantizePolyDataPoints::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuantizePolyDataPoints_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkQuantizePolyDataPoints  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkQuantizePolyDataPoints::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkQuantizePolyDataPoints_SetQFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuantizePolyDataPoints *op;

  double   temp0;
  if ((op = (vtkQuantizePolyDataPoints *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuantizePolyDataPoints::SetQFactor(temp0);
      }
    else
      {
      op->SetQFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQuantizePolyDataPoints_GetQFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuantizePolyDataPoints *op;

  double   temp20;
  if ((op = (vtkQuantizePolyDataPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuantizePolyDataPoints::GetQFactorMinValue();
      }
    else
      {
      temp20 = op->GetQFactorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuantizePolyDataPoints_GetQFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuantizePolyDataPoints *op;

  double   temp20;
  if ((op = (vtkQuantizePolyDataPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuantizePolyDataPoints::GetQFactorMaxValue();
      }
    else
      {
      temp20 = op->GetQFactorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuantizePolyDataPoints_GetQFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuantizePolyDataPoints *op;

  double   temp20;
  if ((op = (vtkQuantizePolyDataPoints *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkQuantizePolyDataPoints::GetQFactor();
      }
    else
      {
      temp20 = op->GetQFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkQuantizePolyDataPoints_OperateOnPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuantizePolyDataPoints *op;

  double temp0[3];
  double temp1[3];
  if ((op = (vtkQuantizePolyDataPoints *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuantizePolyDataPoints::OperateOnPoint(temp0,temp1);
      }
    else
      {
      op->OperateOnPoint(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkQuantizePolyDataPoints_OperateOnBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkQuantizePolyDataPoints *op;

  double temp0[6];
  double temp1[6];
  if ((op = (vtkQuantizePolyDataPoints *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkQuantizePolyDataPoints::OperateOnBounds(temp0,temp1);
      }
    else
      {
      op->OperateOnBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkQuantizePolyDataPointsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkQuantizePolyDataPoints_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkQuantizePolyDataPoints_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkQuantizePolyDataPoints_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQuantizePolyDataPoints\nC++: vtkQuantizePolyDataPoints *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkQuantizePolyDataPoints_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQuantizePolyDataPoints\nC++: vtkQuantizePolyDataPoints *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetQFactor",                (PyCFunction)PyvtkQuantizePolyDataPoints_SetQFactor, 1,
   (char*)"V.SetQFactor(float)\nC++: void SetQFactor (double );\n\n Specify quantization grain size\n"},
  {(char*)"GetQFactorMinValue",                (PyCFunction)PyvtkQuantizePolyDataPoints_GetQFactorMinValue, 1,
   (char*)"V.GetQFactorMinValue() -> float\nC++: double GetQFactorMinValue ();\n\n Specify quantization grain size\n"},
  {(char*)"GetQFactorMaxValue",                (PyCFunction)PyvtkQuantizePolyDataPoints_GetQFactorMaxValue, 1,
   (char*)"V.GetQFactorMaxValue() -> float\nC++: double GetQFactorMaxValue ();\n\n Specify quantization grain size\n"},
  {(char*)"GetQFactor",                (PyCFunction)PyvtkQuantizePolyDataPoints_GetQFactor, 1,
   (char*)"V.GetQFactor() -> float\nC++: double GetQFactor ();\n\n Specify quantization grain size\n"},
  {(char*)"OperateOnPoint",                (PyCFunction)PyvtkQuantizePolyDataPoints_OperateOnPoint, 1,
   (char*)"V.OperateOnPoint((float, float, float), (float, float, float))\nC++: virtual void OperateOnPoint (double in[3], double out[3]);\n\n Perform quantization on a point\n"},
  {(char*)"OperateOnBounds",                (PyCFunction)PyvtkQuantizePolyDataPoints_OperateOnBounds, 1,
   (char*)"V.OperateOnBounds((float, float, float, float, float, float), (float, float, float, float, float, float))\nC++: virtual void OperateOnBounds (double in[6], double out[6]);\n\n Perform quantization on bounds\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkQuantizePolyDataPointsDoc[] = {
  (char*)"vtkQuantizePolyDataPoints - quantizes x,y,z coordinates of points\n\n",
  "Super Class:\n\n vtkCleanPolyData\n\n",
  (char*)" vtkQuantizePolyDataPoints is a subclass of vtkCleanPolyData and\n inherits the functionality of vtkCleanPolyData with the addition that\n it quantizes the point coordinates before inserting into the point list.\n The user should set QFactor to a positive value (0.25 by default) and all\n {x,y,z} coordinates will be quantized to that grain size.\n\n A tolerance of zero is expected, though positive value",
  (char*)"s may be used, the\n quantization will take place before the tolerance is applied.\n\n\n",
  "Caveats:\n\n Merging points can alter topology, including introducing non-manifold\n forms. Handling of degenerate cells is controlled by switches in\n vtkCleanPolyData.\n\n\n",
  "See Also:\n\n vtkCleanPolyData\n\n",
  NULL
};

static vtkObjectBase *vtkQuantizePolyDataPointsStaticNew()
{
  return vtkQuantizePolyDataPoints::New();
}

PyObject *PyVTKClass_vtkQuantizePolyDataPointsNew(char *modulename)
{
  return PyVTKClass_New(&vtkQuantizePolyDataPointsStaticNew,
                        PyvtkQuantizePolyDataPointsMethods,
                        (char*)"vtkQuantizePolyDataPoints",modulename,
                        (char**)vtkQuantizePolyDataPointsDoc,
                        PyVTKClass_vtkCleanPolyDataNew(modulename));
}

