// tcl wrapper for vtkReflectionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkReflectionFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkReflectionFilterNewCommand()
{
  vtkReflectionFilter *temp = vtkReflectionFilter::New();
  return ((ClientData)temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkReflectionFilterCppCommand(vtkReflectionFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkReflectionFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkReflectionFilterCppCommand((vtkReflectionFilter *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkReflectionFilterCppCommand(vtkReflectionFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkReflectionFilter",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand((vtkUnstructuredGridAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkUnstructuredGridAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkReflectionFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkReflectionFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkReflectionFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkReflectionFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkReflectionFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkReflectionFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlane",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlaneMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlaneMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPlaneMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlaneMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPlane",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlane();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneToX",argv[1]))&&(argc == 2))
    {
    op->SetPlaneToX();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneToY",argv[1]))&&(argc == 2))
    {
    op->SetPlaneToY();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneToZ",argv[1]))&&(argc == 2))
    {
    op->SetPlaneToZ();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneToXMin",argv[1]))&&(argc == 2))
    {
    op->SetPlaneToXMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneToYMin",argv[1]))&&(argc == 2))
    {
    op->SetPlaneToYMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneToZMin",argv[1]))&&(argc == 2))
    {
    op->SetPlaneToZMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneToXMax",argv[1]))&&(argc == 2))
    {
    op->SetPlaneToXMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneToYMax",argv[1]))&&(argc == 2))
    {
    op->SetPlaneToYMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneToZMax",argv[1]))&&(argc == 2))
    {
    op->SetPlaneToZMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCenter",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCenter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCenter",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCenter();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCopyInput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCopyInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCopyInput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCopyInput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CopyInputOn",argv[1]))&&(argc == 2))
    {
    op->CopyInputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyInputOff",argv[1]))&&(argc == 2))
    {
    op->CopyInputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkReflectionFilterCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkReflectionFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlaneMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPlaneMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPlane\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneToX\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneToY\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneToZ\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneToXMin\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneToYMin\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneToZMin\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneToXMax\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneToYMax\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneToZMax\n",NULL);
    Tcl_AppendResult(interp,"  SetCenter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCenter\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyInput\n",NULL);
    Tcl_AppendResult(interp,"  CopyInputOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyInputOff\n",NULL);
    return TCL_OK;
    }

  if (vtkUnstructuredGridAlgorithmCppCommand((vtkUnstructuredGridAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
