// python wrapper for vtkRibbonFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkRibbonFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRibbonFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRibbonFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkRibbonFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  const char    *temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  vtkRibbonFilter  *temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRibbonFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRibbonFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRibbonFilter_SetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp0;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::SetWidth(temp0);
      }
    else
      {
      op->SetWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetWidthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetWidthMinValue();
      }
    else
      {
      temp20 = op->GetWidthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetWidthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetWidthMaxValue();
      }
    else
      {
      temp20 = op->GetWidthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetWidth();
      }
    else
      {
      temp20 = op->GetWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_SetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp0;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::SetAngle(temp0);
      }
    else
      {
      op->SetAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetAngleMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetAngleMinValue();
      }
    else
      {
      temp20 = op->GetAngleMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetAngleMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetAngleMaxValue();
      }
    else
      {
      temp20 = op->GetAngleMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetAngle();
      }
    else
      {
      temp20 = op->GetAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_SetVaryWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  int      temp0;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::SetVaryWidth(temp0);
      }
    else
      {
      op->SetVaryWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetVaryWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  int      temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetVaryWidth();
      }
    else
      {
      temp20 = op->GetVaryWidth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_VaryWidthOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::VaryWidthOn();
      }
    else
      {
      op->VaryWidthOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_VaryWidthOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::VaryWidthOff();
      }
    else
      {
      op->VaryWidthOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_SetWidthFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp0;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::SetWidthFactor(temp0);
      }
    else
      {
      op->SetWidthFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetWidthFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetWidthFactor();
      }
    else
      {
      temp20 = op->GetWidthFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_SetDefaultNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::SetDefaultNormal(temp0,temp1,temp2);
      }
    else
      {
      op->SetDefaultNormal(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::SetDefaultNormal(temp0);
      }
    else
      {
      op->SetDefaultNormal(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetDefaultNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double  *temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetDefaultNormal();
      }
    else
      {
      temp20 = op->GetDefaultNormal();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_SetUseDefaultNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  int      temp0;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::SetUseDefaultNormal(temp0);
      }
    else
      {
      op->SetUseDefaultNormal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetUseDefaultNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  int      temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetUseDefaultNormal();
      }
    else
      {
      temp20 = op->GetUseDefaultNormal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_UseDefaultNormalOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::UseDefaultNormalOn();
      }
    else
      {
      op->UseDefaultNormalOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_UseDefaultNormalOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::UseDefaultNormalOff();
      }
    else
      {
      op->UseDefaultNormalOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_SetGenerateTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  int      temp0;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::SetGenerateTCoords(temp0);
      }
    else
      {
      op->SetGenerateTCoords(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetGenerateTCoordsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  int      temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetGenerateTCoordsMinValue();
      }
    else
      {
      temp20 = op->GetGenerateTCoordsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetGenerateTCoordsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  int      temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetGenerateTCoordsMaxValue();
      }
    else
      {
      temp20 = op->GetGenerateTCoordsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetGenerateTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  int      temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetGenerateTCoords();
      }
    else
      {
      temp20 = op->GetGenerateTCoords();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_SetGenerateTCoordsToOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::SetGenerateTCoordsToOff();
      }
    else
      {
      op->SetGenerateTCoordsToOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_SetGenerateTCoordsToNormalizedLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::SetGenerateTCoordsToNormalizedLength();
      }
    else
      {
      op->SetGenerateTCoordsToNormalizedLength();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_SetGenerateTCoordsToUseLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::SetGenerateTCoordsToUseLength();
      }
    else
      {
      op->SetGenerateTCoordsToUseLength();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_SetGenerateTCoordsToUseScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::SetGenerateTCoordsToUseScalars();
      }
    else
      {
      op->SetGenerateTCoordsToUseScalars();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetGenerateTCoordsAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  const char    *temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetGenerateTCoordsAsString();
      }
    else
      {
      temp20 = op->GetGenerateTCoordsAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_SetTextureLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp0;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRibbonFilter::SetTextureLength(temp0);
      }
    else
      {
      op->SetTextureLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetTextureLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetTextureLengthMinValue();
      }
    else
      {
      temp20 = op->GetTextureLengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetTextureLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetTextureLengthMaxValue();
      }
    else
      {
      temp20 = op->GetTextureLengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRibbonFilter_GetTextureLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRibbonFilter *op;

  double   temp20;
  if ((op = (vtkRibbonFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRibbonFilter::GetTextureLength();
      }
    else
      {
      temp20 = op->GetTextureLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRibbonFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRibbonFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRibbonFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRibbonFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRibbonFilter\nC++: vtkRibbonFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRibbonFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRibbonFilter\nC++: vtkRibbonFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetWidth",                (PyCFunction)PyvtkRibbonFilter_SetWidth, 1,
   (char*)"V.SetWidth(float)\nC++: void SetWidth (double );\n\n Set the \"half\" width of the ribbon. If the width is allowed to vary, \n this is the minimum width.\n"},
  {(char*)"GetWidthMinValue",                (PyCFunction)PyvtkRibbonFilter_GetWidthMinValue, 1,
   (char*)"V.GetWidthMinValue() -> float\nC++: double GetWidthMinValue ();\n\n Set the \"half\" width of the ribbon. If the width is allowed to vary, \n this is the minimum width.\n"},
  {(char*)"GetWidthMaxValue",                (PyCFunction)PyvtkRibbonFilter_GetWidthMaxValue, 1,
   (char*)"V.GetWidthMaxValue() -> float\nC++: double GetWidthMaxValue ();\n\n Set the \"half\" width of the ribbon. If the width is allowed to vary, \n this is the minimum width.\n"},
  {(char*)"GetWidth",                (PyCFunction)PyvtkRibbonFilter_GetWidth, 1,
   (char*)"V.GetWidth() -> float\nC++: double GetWidth ();\n\n Set the \"half\" width of the ribbon. If the width is allowed to vary, \n this is the minimum width.\n"},
  {(char*)"SetAngle",                (PyCFunction)PyvtkRibbonFilter_SetAngle, 1,
   (char*)"V.SetAngle(float)\nC++: void SetAngle (double );\n\n Set the offset angle of the ribbon from the line normal. (The angle\n is expressed in degrees.)\n"},
  {(char*)"GetAngleMinValue",                (PyCFunction)PyvtkRibbonFilter_GetAngleMinValue, 1,
   (char*)"V.GetAngleMinValue() -> float\nC++: double GetAngleMinValue ();\n\n Set the offset angle of the ribbon from the line normal. (The angle\n is expressed in degrees.)\n"},
  {(char*)"GetAngleMaxValue",                (PyCFunction)PyvtkRibbonFilter_GetAngleMaxValue, 1,
   (char*)"V.GetAngleMaxValue() -> float\nC++: double GetAngleMaxValue ();\n\n Set the offset angle of the ribbon from the line normal. (The angle\n is expressed in degrees.)\n"},
  {(char*)"GetAngle",                (PyCFunction)PyvtkRibbonFilter_GetAngle, 1,
   (char*)"V.GetAngle() -> float\nC++: double GetAngle ();\n\n Set the offset angle of the ribbon from the line normal. (The angle\n is expressed in degrees.)\n"},
  {(char*)"SetVaryWidth",                (PyCFunction)PyvtkRibbonFilter_SetVaryWidth, 1,
   (char*)"V.SetVaryWidth(int)\nC++: void SetVaryWidth (int );\n\n Turn on/off the variation of ribbon width with scalar value.\n"},
  {(char*)"GetVaryWidth",                (PyCFunction)PyvtkRibbonFilter_GetVaryWidth, 1,
   (char*)"V.GetVaryWidth() -> int\nC++: int GetVaryWidth ();\n\n Turn on/off the variation of ribbon width with scalar value.\n"},
  {(char*)"VaryWidthOn",                (PyCFunction)PyvtkRibbonFilter_VaryWidthOn, 1,
   (char*)"V.VaryWidthOn()\nC++: void VaryWidthOn ();\n\n Turn on/off the variation of ribbon width with scalar value.\n"},
  {(char*)"VaryWidthOff",                (PyCFunction)PyvtkRibbonFilter_VaryWidthOff, 1,
   (char*)"V.VaryWidthOff()\nC++: void VaryWidthOff ();\n\n Turn on/off the variation of ribbon width with scalar value.\n"},
  {(char*)"SetWidthFactor",                (PyCFunction)PyvtkRibbonFilter_SetWidthFactor, 1,
   (char*)"V.SetWidthFactor(float)\nC++: void SetWidthFactor (double );\n\n Set the maximum ribbon width in terms of a multiple of the minimum width.\n"},
  {(char*)"GetWidthFactor",                (PyCFunction)PyvtkRibbonFilter_GetWidthFactor, 1,
   (char*)"V.GetWidthFactor() -> float\nC++: double GetWidthFactor ();\n\n Set the maximum ribbon width in terms of a multiple of the minimum width.\n"},
  {(char*)"SetDefaultNormal",                (PyCFunction)PyvtkRibbonFilter_SetDefaultNormal, 1,
   (char*)"V.SetDefaultNormal(float, float, float)\nC++: void SetDefaultNormal (double , double , double );\nV.SetDefaultNormal((float, float, float))\nC++: void SetDefaultNormal (double  a[3]);\n\n Set the default normal to use if no normals are supplied, and the\n DefaultNormalOn is set.\n"},
  {(char*)"GetDefaultNormal",                (PyCFunction)PyvtkRibbonFilter_GetDefaultNormal, 1,
   (char*)"V.GetDefaultNormal() -> (float, float, float)\nC++: double  *GetDefaultNormal ();\n\n Set the default normal to use if no normals are supplied, and the\n DefaultNormalOn is set.\n"},
  {(char*)"SetUseDefaultNormal",                (PyCFunction)PyvtkRibbonFilter_SetUseDefaultNormal, 1,
   (char*)"V.SetUseDefaultNormal(int)\nC++: void SetUseDefaultNormal (int );\n\n Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n"},
  {(char*)"GetUseDefaultNormal",                (PyCFunction)PyvtkRibbonFilter_GetUseDefaultNormal, 1,
   (char*)"V.GetUseDefaultNormal() -> int\nC++: int GetUseDefaultNormal ();\n\n Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n"},
  {(char*)"UseDefaultNormalOn",                (PyCFunction)PyvtkRibbonFilter_UseDefaultNormalOn, 1,
   (char*)"V.UseDefaultNormalOn()\nC++: void UseDefaultNormalOn ();\n\n Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n"},
  {(char*)"UseDefaultNormalOff",                (PyCFunction)PyvtkRibbonFilter_UseDefaultNormalOff, 1,
   (char*)"V.UseDefaultNormalOff()\nC++: void UseDefaultNormalOff ();\n\n Set a boolean to control whether to use default normals.\n DefaultNormalOn is set.\n"},
  {(char*)"SetGenerateTCoords",                (PyCFunction)PyvtkRibbonFilter_SetGenerateTCoords, 1,
   (char*)"V.SetGenerateTCoords(int)\nC++: void SetGenerateTCoords (int );\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n"},
  {(char*)"GetGenerateTCoordsMinValue",                (PyCFunction)PyvtkRibbonFilter_GetGenerateTCoordsMinValue, 1,
   (char*)"V.GetGenerateTCoordsMinValue() -> int\nC++: int GetGenerateTCoordsMinValue ();\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n"},
  {(char*)"GetGenerateTCoordsMaxValue",                (PyCFunction)PyvtkRibbonFilter_GetGenerateTCoordsMaxValue, 1,
   (char*)"V.GetGenerateTCoordsMaxValue() -> int\nC++: int GetGenerateTCoordsMaxValue ();\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n"},
  {(char*)"GetGenerateTCoords",                (PyCFunction)PyvtkRibbonFilter_GetGenerateTCoords, 1,
   (char*)"V.GetGenerateTCoords() -> int\nC++: int GetGenerateTCoords ();\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n"},
  {(char*)"SetGenerateTCoordsToOff",                (PyCFunction)PyvtkRibbonFilter_SetGenerateTCoordsToOff, 1,
   (char*)"V.SetGenerateTCoordsToOff()\nC++: void SetGenerateTCoordsToOff ();this SetGenerateTCoords VTK_TCOORDS_OFF \n\n Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n"},
  {(char*)"SetGenerateTCoordsToNormalizedLength",                (PyCFunction)PyvtkRibbonFilter_SetGenerateTCoordsToNormalizedLength, 1,
   (char*)"V.SetGenerateTCoordsToNormalizedLength()\nC++: void SetGenerateTCoordsToNormalizedLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_NORMALIZED_LENGTH \n\n Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n"},
  {(char*)"SetGenerateTCoordsToUseLength",                (PyCFunction)PyvtkRibbonFilter_SetGenerateTCoordsToUseLength, 1,
   (char*)"V.SetGenerateTCoordsToUseLength()\nC++: void SetGenerateTCoordsToUseLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_LENGTH \n\n Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n"},
  {(char*)"SetGenerateTCoordsToUseScalars",                (PyCFunction)PyvtkRibbonFilter_SetGenerateTCoordsToUseScalars, 1,
   (char*)"V.SetGenerateTCoordsToUseScalars()\nC++: void SetGenerateTCoordsToUseScalars ();this SetGenerateTCoords VTK_TCOORDS_FROM_SCALARS \n\n Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n"},
  {(char*)"GetGenerateTCoordsAsString",                (PyCFunction)PyvtkRibbonFilter_GetGenerateTCoordsAsString, 1,
   (char*)"V.GetGenerateTCoordsAsString() -> string\nC++: const char *GetGenerateTCoordsAsString ();\n\n Control whether and how texture coordinates are produced. This is\n useful for striping the ribbon with time textures, etc.\n"},
  {(char*)"SetTextureLength",                (PyCFunction)PyvtkRibbonFilter_SetTextureLength, 1,
   (char*)"V.SetTextureLength(float)\nC++: void SetTextureLength (double );\n\n Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the [0,1)\n texture space.\n"},
  {(char*)"GetTextureLengthMinValue",                (PyCFunction)PyvtkRibbonFilter_GetTextureLengthMinValue, 1,
   (char*)"V.GetTextureLengthMinValue() -> float\nC++: double GetTextureLengthMinValue ();\n\n Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the [0,1)\n texture space.\n"},
  {(char*)"GetTextureLengthMaxValue",                (PyCFunction)PyvtkRibbonFilter_GetTextureLengthMaxValue, 1,
   (char*)"V.GetTextureLengthMaxValue() -> float\nC++: double GetTextureLengthMaxValue ();\n\n Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the [0,1)\n texture space.\n"},
  {(char*)"GetTextureLength",                (PyCFunction)PyvtkRibbonFilter_GetTextureLength, 1,
   (char*)"V.GetTextureLength() -> float\nC++: double GetTextureLength ();\n\n Control the conversion of units during the texture coordinates\n calculation. The TextureLength indicates what length (whether \n calculated from scalars or length) is mapped to the [0,1)\n texture space.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRibbonFilterDoc[] = {
  (char*)"vtkRibbonFilter - create oriented ribbons from lines defined in polygonal dataset\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkRibbonFilter is a filter to create oriented ribbons from lines defined\n in polygonal dataset. The orientation of the ribbon is along the line \n segments and perpendicular to \"projected\" line normals. Projected line \n normals are the original line normals projected to be perpendicular to \n the local line segment. An offset angle can be specified to rotate the \n ribbon with respect to the normal",
  (char*)".\n\n\n",
  "Caveats:\n\n The input line must not have duplicate points, or normals at points that\n are parallel to the incoming/outgoing line segments. (Duplicate points\n can be removed with vtkCleanPolyData.) If a line does not meet this\n criteria, then that line is not tubed.\n\n",
  "See Also:\n\n vtkTubeFilter\n\n",
  NULL
};

static vtkObjectBase *vtkRibbonFilterStaticNew()
{
  return vtkRibbonFilter::New();
}

PyObject *PyVTKClass_vtkRibbonFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkRibbonFilterStaticNew,
                        PyvtkRibbonFilterMethods,
                        (char*)"vtkRibbonFilter",modulename,
                        (char**)vtkRibbonFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

