// python wrapper for vtkRotationalExtrusionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkRotationalExtrusionFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRotationalExtrusionFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRotationalExtrusionFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkRotationalExtrusionFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  const char    *temp20;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationalExtrusionFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationalExtrusionFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  vtkRotationalExtrusionFilter  *temp20;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationalExtrusionFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRotationalExtrusionFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRotationalExtrusionFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_SetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  int      temp0;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationalExtrusionFilter::SetResolution(temp0);
      }
    else
      {
      op->SetResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_GetResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  int      temp20;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationalExtrusionFilter::GetResolutionMinValue();
      }
    else
      {
      temp20 = op->GetResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_GetResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  int      temp20;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationalExtrusionFilter::GetResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_GetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  int      temp20;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationalExtrusionFilter::GetResolution();
      }
    else
      {
      temp20 = op->GetResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_SetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  int      temp0;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationalExtrusionFilter::SetCapping(temp0);
      }
    else
      {
      op->SetCapping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_GetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  int      temp20;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationalExtrusionFilter::GetCapping();
      }
    else
      {
      temp20 = op->GetCapping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_CappingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationalExtrusionFilter::CappingOn();
      }
    else
      {
      op->CappingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_CappingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationalExtrusionFilter::CappingOff();
      }
    else
      {
      op->CappingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_SetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  double   temp0;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationalExtrusionFilter::SetAngle(temp0);
      }
    else
      {
      op->SetAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_GetAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  double   temp20;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationalExtrusionFilter::GetAngle();
      }
    else
      {
      temp20 = op->GetAngle();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_SetTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  double   temp0;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationalExtrusionFilter::SetTranslation(temp0);
      }
    else
      {
      op->SetTranslation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_GetTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  double   temp20;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationalExtrusionFilter::GetTranslation();
      }
    else
      {
      temp20 = op->GetTranslation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_SetDeltaRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  double   temp0;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRotationalExtrusionFilter::SetDeltaRadius(temp0);
      }
    else
      {
      op->SetDeltaRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRotationalExtrusionFilter_GetDeltaRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRotationalExtrusionFilter *op;

  double   temp20;
  if ((op = (vtkRotationalExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRotationalExtrusionFilter::GetDeltaRadius();
      }
    else
      {
      temp20 = op->GetDeltaRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRotationalExtrusionFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRotationalExtrusionFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRotationalExtrusionFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRotationalExtrusionFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRotationalExtrusionFilter\nC++: vtkRotationalExtrusionFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRotationalExtrusionFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRotationalExtrusionFilter\nC++: vtkRotationalExtrusionFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetResolution",                (PyCFunction)PyvtkRotationalExtrusionFilter_SetResolution, 1,
   (char*)"V.SetResolution(int)\nC++: void SetResolution (int );\n\n Set/Get resolution of sweep operation. Resolution controls the number\n of intermediate node points.\n"},
  {(char*)"GetResolutionMinValue",                (PyCFunction)PyvtkRotationalExtrusionFilter_GetResolutionMinValue, 1,
   (char*)"V.GetResolutionMinValue() -> int\nC++: int GetResolutionMinValue ();\n\n Set/Get resolution of sweep operation. Resolution controls the number\n of intermediate node points.\n"},
  {(char*)"GetResolutionMaxValue",                (PyCFunction)PyvtkRotationalExtrusionFilter_GetResolutionMaxValue, 1,
   (char*)"V.GetResolutionMaxValue() -> int\nC++: int GetResolutionMaxValue ();\n\n Set/Get resolution of sweep operation. Resolution controls the number\n of intermediate node points.\n"},
  {(char*)"GetResolution",                (PyCFunction)PyvtkRotationalExtrusionFilter_GetResolution, 1,
   (char*)"V.GetResolution() -> int\nC++: int GetResolution ();\n\n Set/Get resolution of sweep operation. Resolution controls the number\n of intermediate node points.\n"},
  {(char*)"SetCapping",                (PyCFunction)PyvtkRotationalExtrusionFilter_SetCapping, 1,
   (char*)"V.SetCapping(int)\nC++: void SetCapping (int );\n\n Turn on/off the capping of the skirt.\n"},
  {(char*)"GetCapping",                (PyCFunction)PyvtkRotationalExtrusionFilter_GetCapping, 1,
   (char*)"V.GetCapping() -> int\nC++: int GetCapping ();\n\n Turn on/off the capping of the skirt.\n"},
  {(char*)"CappingOn",                (PyCFunction)PyvtkRotationalExtrusionFilter_CappingOn, 1,
   (char*)"V.CappingOn()\nC++: void CappingOn ();\n\n Turn on/off the capping of the skirt.\n"},
  {(char*)"CappingOff",                (PyCFunction)PyvtkRotationalExtrusionFilter_CappingOff, 1,
   (char*)"V.CappingOff()\nC++: void CappingOff ();\n\n Turn on/off the capping of the skirt.\n"},
  {(char*)"SetAngle",                (PyCFunction)PyvtkRotationalExtrusionFilter_SetAngle, 1,
   (char*)"V.SetAngle(float)\nC++: void SetAngle (double );\n\n Set/Get angle of rotation.\n"},
  {(char*)"GetAngle",                (PyCFunction)PyvtkRotationalExtrusionFilter_GetAngle, 1,
   (char*)"V.GetAngle() -> float\nC++: double GetAngle ();\n\n Set/Get angle of rotation.\n"},
  {(char*)"SetTranslation",                (PyCFunction)PyvtkRotationalExtrusionFilter_SetTranslation, 1,
   (char*)"V.SetTranslation(float)\nC++: void SetTranslation (double );\n\n Set/Get total amount of translation along the z-axis.\n"},
  {(char*)"GetTranslation",                (PyCFunction)PyvtkRotationalExtrusionFilter_GetTranslation, 1,
   (char*)"V.GetTranslation() -> float\nC++: double GetTranslation ();\n\n Set/Get total amount of translation along the z-axis.\n"},
  {(char*)"SetDeltaRadius",                (PyCFunction)PyvtkRotationalExtrusionFilter_SetDeltaRadius, 1,
   (char*)"V.SetDeltaRadius(float)\nC++: void SetDeltaRadius (double );\n\n Set/Get change in radius during sweep process.\n"},
  {(char*)"GetDeltaRadius",                (PyCFunction)PyvtkRotationalExtrusionFilter_GetDeltaRadius, 1,
   (char*)"V.GetDeltaRadius() -> float\nC++: double GetDeltaRadius ();\n\n Set/Get change in radius during sweep process.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRotationalExtrusionFilterDoc[] = {
  (char*)"vtkRotationalExtrusionFilter - sweep polygonal data creating \"skirt\" from free edges and lines, and lines from vertices\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkRotationalExtrusionFilter is a modeling filter. It takes polygonal \n data as input and generates polygonal data on output. The input dataset \n is swept around the z-axis to create new polygonal primitives. These \n primitives form a \"skirt\" or swept surface. For example, sweeping a\n line results in a cylindrical shell, and sweeping a circle creates a \n torus.\n\n There are a number of control par",
  (char*)"ameters for this filter. You can \n control whether the sweep of a 2D object (i.e., polygon or triangle \n strip) is capped with the generating geometry via the \"Capping\" instance\n variable. Also, you can control the angle of rotation, and whether \n translation along the z-axis is performed along with the rotation.\n (Translation is useful for creating \"springs\".) You also can adjust \n the radius of ",
  (char*)"the generating geometry using the \"DeltaRotation\" instance \n variable.\n\n The skirt is generated by locating certain topological features. Free \n edges (edges of polygons or triangle strips only used by one polygon or\n triangle strips) generate surfaces. This is true also of lines or \n polylines. Vertices generate lines.\n\n This filter can be used to model axisymmetric objects like cylinders,\n bottl",
  (char*)"es, and wine glasses; or translational/rotational symmetric objects\n like springs or corkscrews.\n\n",
  "Caveats:\n\n If the object sweeps 360 degrees, radius does not vary, and the object \n does not translate, capping is not performed. This is because the cap \n is unnecessary.\n\n Some polygonal objects have no free edges (e.g., sphere). When swept,\n this will result in two separate surfaces if capping is on, or no surface\n if capping is off.\n\n",
  "See Also:\n\n vtkLinearExtrusionFilter\n\n",
  NULL
};

static vtkObjectBase *vtkRotationalExtrusionFilterStaticNew()
{
  return vtkRotationalExtrusionFilter::New();
}

PyObject *PyVTKClass_vtkRotationalExtrusionFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkRotationalExtrusionFilterStaticNew,
                        PyvtkRotationalExtrusionFilterMethods,
                        (char*)"vtkRotationalExtrusionFilter",modulename,
                        (char**)vtkRotationalExtrusionFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

