// python wrapper for vtkRuledSurfaceFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkRuledSurfaceFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRuledSurfaceFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRuledSurfaceFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkRuledSurfaceFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  const char    *temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  vtkRuledSurfaceFilter  *temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRuledSurfaceFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRuledSurfaceFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_SetDistanceFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  double   temp0;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRuledSurfaceFilter::SetDistanceFactor(temp0);
      }
    else
      {
      op->SetDistanceFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetDistanceFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  double   temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetDistanceFactorMinValue();
      }
    else
      {
      temp20 = op->GetDistanceFactorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetDistanceFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  double   temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetDistanceFactorMaxValue();
      }
    else
      {
      temp20 = op->GetDistanceFactorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetDistanceFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  double   temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetDistanceFactor();
      }
    else
      {
      temp20 = op->GetDistanceFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_SetOnRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp0;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRuledSurfaceFilter::SetOnRatio(temp0);
      }
    else
      {
      op->SetOnRatio(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetOnRatioMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetOnRatioMinValue();
      }
    else
      {
      temp20 = op->GetOnRatioMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetOnRatioMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetOnRatioMaxValue();
      }
    else
      {
      temp20 = op->GetOnRatioMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetOnRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetOnRatio();
      }
    else
      {
      temp20 = op->GetOnRatio();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_SetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp0;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRuledSurfaceFilter::SetOffset(temp0);
      }
    else
      {
      op->SetOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetOffsetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetOffsetMinValue();
      }
    else
      {
      temp20 = op->GetOffsetMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetOffsetMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetOffsetMaxValue();
      }
    else
      {
      temp20 = op->GetOffsetMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetOffset();
      }
    else
      {
      temp20 = op->GetOffset();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_SetCloseSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp0;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRuledSurfaceFilter::SetCloseSurface(temp0);
      }
    else
      {
      op->SetCloseSurface(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetCloseSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetCloseSurface();
      }
    else
      {
      temp20 = op->GetCloseSurface();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_CloseSurfaceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRuledSurfaceFilter::CloseSurfaceOn();
      }
    else
      {
      op->CloseSurfaceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_CloseSurfaceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRuledSurfaceFilter::CloseSurfaceOff();
      }
    else
      {
      op->CloseSurfaceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_SetRuledMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp0;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRuledSurfaceFilter::SetRuledMode(temp0);
      }
    else
      {
      op->SetRuledMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetRuledModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetRuledModeMinValue();
      }
    else
      {
      temp20 = op->GetRuledModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetRuledModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetRuledModeMaxValue();
      }
    else
      {
      temp20 = op->GetRuledModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetRuledMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetRuledMode();
      }
    else
      {
      temp20 = op->GetRuledMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_SetRuledModeToResample(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRuledSurfaceFilter::SetRuledModeToResample();
      }
    else
      {
      op->SetRuledModeToResample();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_SetRuledModeToPointWalk(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRuledSurfaceFilter::SetRuledModeToPointWalk();
      }
    else
      {
      op->SetRuledModeToPointWalk();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetRuledModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  const char    *temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetRuledModeAsString();
      }
    else
      {
      temp20 = op->GetRuledModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_SetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRuledSurfaceFilter::SetResolution(temp0,temp1);
      }
    else
      {
      op->SetResolution(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int    temp0[2];
  PyErr_Clear();
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRuledSurfaceFilter::SetResolution(temp0);
      }
    else
      {
      op->SetResolution(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int     *temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetResolution();
      }
    else
      {
      temp20 = op->GetResolution();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_SetPassLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp0;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRuledSurfaceFilter::SetPassLines(temp0);
      }
    else
      {
      op->SetPassLines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_GetPassLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  int      temp20;
  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRuledSurfaceFilter::GetPassLines();
      }
    else
      {
      temp20 = op->GetPassLines();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_PassLinesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRuledSurfaceFilter::PassLinesOn();
      }
    else
      {
      op->PassLinesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRuledSurfaceFilter_PassLinesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRuledSurfaceFilter *op;

  if ((op = (vtkRuledSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRuledSurfaceFilter::PassLinesOff();
      }
    else
      {
      op->PassLinesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRuledSurfaceFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRuledSurfaceFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRuledSurfaceFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRuledSurfaceFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRuledSurfaceFilter\nC++: vtkRuledSurfaceFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRuledSurfaceFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRuledSurfaceFilter\nC++: vtkRuledSurfaceFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDistanceFactor",                (PyCFunction)PyvtkRuledSurfaceFilter_SetDistanceFactor, 1,
   (char*)"V.SetDistanceFactor(float)\nC++: void SetDistanceFactor (double );\n\n Set/Get the factor that controls tearing of the surface.\n"},
  {(char*)"GetDistanceFactorMinValue",                (PyCFunction)PyvtkRuledSurfaceFilter_GetDistanceFactorMinValue, 1,
   (char*)"V.GetDistanceFactorMinValue() -> float\nC++: double GetDistanceFactorMinValue ();\n\n Set/Get the factor that controls tearing of the surface.\n"},
  {(char*)"GetDistanceFactorMaxValue",                (PyCFunction)PyvtkRuledSurfaceFilter_GetDistanceFactorMaxValue, 1,
   (char*)"V.GetDistanceFactorMaxValue() -> float\nC++: double GetDistanceFactorMaxValue ();\n\n Set/Get the factor that controls tearing of the surface.\n"},
  {(char*)"GetDistanceFactor",                (PyCFunction)PyvtkRuledSurfaceFilter_GetDistanceFactor, 1,
   (char*)"V.GetDistanceFactor() -> float\nC++: double GetDistanceFactor ();\n\n Set/Get the factor that controls tearing of the surface.\n"},
  {(char*)"SetOnRatio",                (PyCFunction)PyvtkRuledSurfaceFilter_SetOnRatio, 1,
   (char*)"V.SetOnRatio(int)\nC++: void SetOnRatio (int );\n\n Control the striping of the ruled surface. If OnRatio is greater \n than 1, then every nth strip is turned on, beginning with the Offset\n strip.\n"},
  {(char*)"GetOnRatioMinValue",                (PyCFunction)PyvtkRuledSurfaceFilter_GetOnRatioMinValue, 1,
   (char*)"V.GetOnRatioMinValue() -> int\nC++: int GetOnRatioMinValue ();\n\n Control the striping of the ruled surface. If OnRatio is greater \n than 1, then every nth strip is turned on, beginning with the Offset\n strip.\n"},
  {(char*)"GetOnRatioMaxValue",                (PyCFunction)PyvtkRuledSurfaceFilter_GetOnRatioMaxValue, 1,
   (char*)"V.GetOnRatioMaxValue() -> int\nC++: int GetOnRatioMaxValue ();\n\n Control the striping of the ruled surface. If OnRatio is greater \n than 1, then every nth strip is turned on, beginning with the Offset\n strip.\n"},
  {(char*)"GetOnRatio",                (PyCFunction)PyvtkRuledSurfaceFilter_GetOnRatio, 1,
   (char*)"V.GetOnRatio() -> int\nC++: int GetOnRatio ();\n\n Control the striping of the ruled surface. If OnRatio is greater \n than 1, then every nth strip is turned on, beginning with the Offset\n strip.\n"},
  {(char*)"SetOffset",                (PyCFunction)PyvtkRuledSurfaceFilter_SetOffset, 1,
   (char*)"V.SetOffset(int)\nC++: void SetOffset (int );\n\n Control the striping of the ruled surface. The offset sets the\n first stripe that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n"},
  {(char*)"GetOffsetMinValue",                (PyCFunction)PyvtkRuledSurfaceFilter_GetOffsetMinValue, 1,
   (char*)"V.GetOffsetMinValue() -> int\nC++: int GetOffsetMinValue ();\n\n Control the striping of the ruled surface. The offset sets the\n first stripe that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n"},
  {(char*)"GetOffsetMaxValue",                (PyCFunction)PyvtkRuledSurfaceFilter_GetOffsetMaxValue, 1,
   (char*)"V.GetOffsetMaxValue() -> int\nC++: int GetOffsetMaxValue ();\n\n Control the striping of the ruled surface. The offset sets the\n first stripe that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n"},
  {(char*)"GetOffset",                (PyCFunction)PyvtkRuledSurfaceFilter_GetOffset, 1,
   (char*)"V.GetOffset() -> int\nC++: int GetOffset ();\n\n Control the striping of the ruled surface. The offset sets the\n first stripe that is visible. Offset is generally used with\n OnRatio to create nifty striping effects.\n"},
  {(char*)"SetCloseSurface",                (PyCFunction)PyvtkRuledSurfaceFilter_SetCloseSurface, 1,
   (char*)"V.SetCloseSurface(int)\nC++: void SetCloseSurface (int );\n\n Indicate whether the surface is to be closed. If this boolean is\n on, then the first and last polyline are used to generate a stripe\n that closes the surface. (Note: to close the surface in the other\n direction, repeat the first point in the polyline as the last\n point in the polyline.)\n"},
  {(char*)"GetCloseSurface",                (PyCFunction)PyvtkRuledSurfaceFilter_GetCloseSurface, 1,
   (char*)"V.GetCloseSurface() -> int\nC++: int GetCloseSurface ();\n\n Indicate whether the surface is to be closed. If this boolean is\n on, then the first and last polyline are used to generate a stripe\n that closes the surface. (Note: to close the surface in the other\n direction, repeat the first point in the polyline as the last\n point in the polyline.)\n"},
  {(char*)"CloseSurfaceOn",                (PyCFunction)PyvtkRuledSurfaceFilter_CloseSurfaceOn, 1,
   (char*)"V.CloseSurfaceOn()\nC++: void CloseSurfaceOn ();\n\n Indicate whether the surface is to be closed. If this boolean is\n on, then the first and last polyline are used to generate a stripe\n that closes the surface. (Note: to close the surface in the other\n direction, repeat the first point in the polyline as the last\n point in the polyline.)\n"},
  {(char*)"CloseSurfaceOff",                (PyCFunction)PyvtkRuledSurfaceFilter_CloseSurfaceOff, 1,
   (char*)"V.CloseSurfaceOff()\nC++: void CloseSurfaceOff ();\n\n Indicate whether the surface is to be closed. If this boolean is\n on, then the first and last polyline are used to generate a stripe\n that closes the surface. (Note: to close the surface in the other\n direction, repeat the first point in the polyline as the last\n point in the polyline.)\n"},
  {(char*)"SetRuledMode",                (PyCFunction)PyvtkRuledSurfaceFilter_SetRuledMode, 1,
   (char*)"V.SetRuledMode(int)\nC++: void SetRuledMode (int );\n\n Set the mode by which to create the ruled surface. (Dramatically\n different results are possible depending on the chosen mode.) The\n resample mode evenly resamples the polylines (based on length) and \n generates triangle strips. The point walk mode uses the existing\n points and walks around the polyline using existing points.\n"},
  {(char*)"GetRuledModeMinValue",                (PyCFunction)PyvtkRuledSurfaceFilter_GetRuledModeMinValue, 1,
   (char*)"V.GetRuledModeMinValue() -> int\nC++: int GetRuledModeMinValue ();\n\n Set the mode by which to create the ruled surface. (Dramatically\n different results are possible depending on the chosen mode.) The\n resample mode evenly resamples the polylines (based on length) and \n generates triangle strips. The point walk mode uses the existing\n points and walks around the polyline using existing points.\n"},
  {(char*)"GetRuledModeMaxValue",                (PyCFunction)PyvtkRuledSurfaceFilter_GetRuledModeMaxValue, 1,
   (char*)"V.GetRuledModeMaxValue() -> int\nC++: int GetRuledModeMaxValue ();\n\n Set the mode by which to create the ruled surface. (Dramatically\n different results are possible depending on the chosen mode.) The\n resample mode evenly resamples the polylines (based on length) and \n generates triangle strips. The point walk mode uses the existing\n points and walks around the polyline using existing points.\n"},
  {(char*)"GetRuledMode",                (PyCFunction)PyvtkRuledSurfaceFilter_GetRuledMode, 1,
   (char*)"V.GetRuledMode() -> int\nC++: int GetRuledMode ();\n\n Set the mode by which to create the ruled surface. (Dramatically\n different results are possible depending on the chosen mode.) The\n resample mode evenly resamples the polylines (based on length) and \n generates triangle strips. The point walk mode uses the existing\n points and walks around the polyline using existing points.\n"},
  {(char*)"SetRuledModeToResample",                (PyCFunction)PyvtkRuledSurfaceFilter_SetRuledModeToResample, 1,
   (char*)"V.SetRuledModeToResample()\nC++: void SetRuledModeToResample ();this SetRuledMode VTK_RULED_MODE_RESAMPLE \n\n Set the mode by which to create the ruled surface. (Dramatically\n different results are possible depending on the chosen mode.) The\n resample mode evenly resamples the polylines (based on length) and \n generates triangle strips. The point walk mode uses the existing\n points and walks around the polyline using existing points.\n"},
  {(char*)"SetRuledModeToPointWalk",                (PyCFunction)PyvtkRuledSurfaceFilter_SetRuledModeToPointWalk, 1,
   (char*)"V.SetRuledModeToPointWalk()\nC++: void SetRuledModeToPointWalk ();this SetRuledMode VTK_RULED_MODE_POINT_WALK \n\n Set the mode by which to create the ruled surface. (Dramatically\n different results are possible depending on the chosen mode.) The\n resample mode evenly resamples the polylines (based on length) and \n generates triangle strips. The point walk mode uses the existing\n points and walks around the polyline using existing points.\n"},
  {(char*)"GetRuledModeAsString",                (PyCFunction)PyvtkRuledSurfaceFilter_GetRuledModeAsString, 1,
   (char*)"V.GetRuledModeAsString() -> string\nC++: const char *GetRuledModeAsString ();\n\n Set the mode by which to create the ruled surface. (Dramatically\n different results are possible depending on the chosen mode.) The\n resample mode evenly resamples the polylines (based on length) and \n generates triangle strips. The point walk mode uses the existing\n points and walks around the polyline using existing points.\n"},
  {(char*)"SetResolution",                (PyCFunction)PyvtkRuledSurfaceFilter_SetResolution, 1,
   (char*)"V.SetResolution(int, int)\nC++: void SetResolution (int , int );\nV.SetResolution((int, int))\nC++: void SetResolution (int  a[2]);\n\n If the ruled surface generation mode is RESAMPLE, then these parameters\n are used to determine the resample rate. Resolution[0] defines the\n resolution in the direction of the polylines; Resolution[1] defines\n the resolution across the polylines (i.e., direction orthogonal to\n Resolution[0]).\n"},
  {(char*)"GetResolution",                (PyCFunction)PyvtkRuledSurfaceFilter_GetResolution, 1,
   (char*)"V.GetResolution() -> (int, int)\nC++: int  *GetResolution ();\n\n If the ruled surface generation mode is RESAMPLE, then these parameters\n are used to determine the resample rate. Resolution[0] defines the\n resolution in the direction of the polylines; Resolution[1] defines\n the resolution across the polylines (i.e., direction orthogonal to\n Resolution[0]).\n"},
  {(char*)"SetPassLines",                (PyCFunction)PyvtkRuledSurfaceFilter_SetPassLines, 1,
   (char*)"V.SetPassLines(int)\nC++: void SetPassLines (int );\n\n Indicate whether the generating lines are to be passed to the output.\n By defualt lines are not passed to the output.\n"},
  {(char*)"GetPassLines",                (PyCFunction)PyvtkRuledSurfaceFilter_GetPassLines, 1,
   (char*)"V.GetPassLines() -> int\nC++: int GetPassLines ();\n\n Indicate whether the generating lines are to be passed to the output.\n By defualt lines are not passed to the output.\n"},
  {(char*)"PassLinesOn",                (PyCFunction)PyvtkRuledSurfaceFilter_PassLinesOn, 1,
   (char*)"V.PassLinesOn()\nC++: void PassLinesOn ();\n\n Indicate whether the generating lines are to be passed to the output.\n By defualt lines are not passed to the output.\n"},
  {(char*)"PassLinesOff",                (PyCFunction)PyvtkRuledSurfaceFilter_PassLinesOff, 1,
   (char*)"V.PassLinesOff()\nC++: void PassLinesOff ();\n\n Indicate whether the generating lines are to be passed to the output.\n By defualt lines are not passed to the output.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRuledSurfaceFilterDoc[] = {
  (char*)"vtkRuledSurfaceFilter - generates a surface from a set of lines\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkRuledSurfaceFilter is a filter that generates a surface from a set of\n lines. The lines are assumed to be \"parallel\" in the sense that they do\n not intersect and remain somewhat close to one another. A surface is\n generated by connecting the points defining each pair of lines with\n straight lines. This creates a strip for each pair of lines (i.e., a\n triangulation is created from two generatin",
  (char*)"g lines). The filter can handle\n an arbitrary number of lines, with lines i and i+1 assumed connected.\n Note that there are several different approaches for creating the ruled\n surface, the method for creating the surface can either use the input\n points or resample from the polylines (using a user-specified resolution).\n\n This filter offers some other important features. A DistanceFactor ivar is\n",
  (char*)" used to decide when two lines are too far apart to connect. (The factor is\n a multiple of the distance between the first two points of the two lines\n defining the strip.) If the distance between the two generating lines\n becomes too great, then the surface is not generated in that\n region. (Note: if the lines separate and then merge, then a hole can be\n generated in the surface.) In addition, the",
  (char*)" Offset and OnRation ivars can\n be used to create nifty striped surfaces. Closed surfaces (e.g., tubes) can\n be created by setting the CloseSurface ivar. (The surface can be closed\n in the other direction by repeating the first and last point in the\n polylines defining the surface.)\n\n An important use of this filter is to combine it with vtkStreamLine to\n generate stream surfaces. It can also be u",
  (char*)"sed to create surfaces from\n contours.\n\n",
  "Caveats:\n\n The number of lines must be greater than two if a surface is to be\n generated.  sides (i.e., a ribbon), use vtkRibbonFilter.\n\n",
  "See Also:\n\n vtkRibbonFilter vtkStreamLine\n\n",
  NULL
};

static vtkObjectBase *vtkRuledSurfaceFilterStaticNew()
{
  return vtkRuledSurfaceFilter::New();
}

PyObject *PyVTKClass_vtkRuledSurfaceFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkRuledSurfaceFilterStaticNew,
                        PyvtkRuledSurfaceFilterMethods,
                        (char*)"vtkRuledSurfaceFilter",modulename,
                        (char**)vtkRuledSurfaceFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

