// python wrapper for vtkShrinkFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkShrinkFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkShrinkFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkShrinkFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkShrinkFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShrinkFilter *op;

  const char    *temp20;
  if ((op = (vtkShrinkFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShrinkFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkShrinkFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShrinkFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkShrinkFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShrinkFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShrinkFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShrinkFilter *op;

  vtkShrinkFilter  *temp20;
  if ((op = (vtkShrinkFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShrinkFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShrinkFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkShrinkFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkShrinkFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkShrinkFilter_SetShrinkFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShrinkFilter *op;

  double   temp0;
  if ((op = (vtkShrinkFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkShrinkFilter::SetShrinkFactor(temp0);
      }
    else
      {
      op->SetShrinkFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkShrinkFilter_GetShrinkFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShrinkFilter *op;

  double   temp20;
  if ((op = (vtkShrinkFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShrinkFilter::GetShrinkFactorMinValue();
      }
    else
      {
      temp20 = op->GetShrinkFactorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShrinkFilter_GetShrinkFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShrinkFilter *op;

  double   temp20;
  if ((op = (vtkShrinkFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShrinkFilter::GetShrinkFactorMaxValue();
      }
    else
      {
      temp20 = op->GetShrinkFactorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkShrinkFilter_GetShrinkFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkShrinkFilter *op;

  double   temp20;
  if ((op = (vtkShrinkFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkShrinkFilter::GetShrinkFactor();
      }
    else
      {
      temp20 = op->GetShrinkFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkShrinkFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkShrinkFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkShrinkFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkShrinkFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkShrinkFilter\nC++: vtkShrinkFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkShrinkFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkShrinkFilter\nC++: vtkShrinkFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetShrinkFactor",                (PyCFunction)PyvtkShrinkFilter_SetShrinkFactor, 1,
   (char*)"V.SetShrinkFactor(float)\nC++: void SetShrinkFactor (double );\n\n Get/Set the fraction of shrink for each cell.\n"},
  {(char*)"GetShrinkFactorMinValue",                (PyCFunction)PyvtkShrinkFilter_GetShrinkFactorMinValue, 1,
   (char*)"V.GetShrinkFactorMinValue() -> float\nC++: double GetShrinkFactorMinValue ();\n\n Get/Set the fraction of shrink for each cell.\n"},
  {(char*)"GetShrinkFactorMaxValue",                (PyCFunction)PyvtkShrinkFilter_GetShrinkFactorMaxValue, 1,
   (char*)"V.GetShrinkFactorMaxValue() -> float\nC++: double GetShrinkFactorMaxValue ();\n\n Get/Set the fraction of shrink for each cell.\n"},
  {(char*)"GetShrinkFactor",                (PyCFunction)PyvtkShrinkFilter_GetShrinkFactor, 1,
   (char*)"V.GetShrinkFactor() -> float\nC++: double GetShrinkFactor ();\n\n Get/Set the fraction of shrink for each cell.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkShrinkFilterDoc[] = {
  (char*)"vtkShrinkFilter - shrink cells composing an arbitrary data set\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkShrinkFilter shrinks cells composing an arbitrary data set\n towards their centroid. The centroid of a cell is computed as the\n average position of the cell points. Shrinking results in\n disconnecting the cells from one another. The output of this filter\n is of general dataset type vtkUnstructuredGrid.\n\n",
  "Caveats:\n\n It is possible to turn cells inside out or cause self intersection\n in special cases.\n\n",
  "See Also:\n\n vtkShrinkPolyData\n\n",
  NULL
};

static vtkObjectBase *vtkShrinkFilterStaticNew()
{
  return vtkShrinkFilter::New();
}

PyObject *PyVTKClass_vtkShrinkFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkShrinkFilterStaticNew,
                        PyvtkShrinkFilterMethods,
                        (char*)"vtkShrinkFilter",modulename,
                        (char**)vtkShrinkFilterDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

