// python wrapper for vtkSimpleElevationFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSimpleElevationFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSimpleElevationFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSimpleElevationFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkSimpleElevationFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleElevationFilter *op;

  const char    *temp20;
  if ((op = (vtkSimpleElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleElevationFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleElevationFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleElevationFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSimpleElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleElevationFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleElevationFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleElevationFilter *op;

  vtkSimpleElevationFilter  *temp20;
  if ((op = (vtkSimpleElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleElevationFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleElevationFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSimpleElevationFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSimpleElevationFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSimpleElevationFilter_SetVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleElevationFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSimpleElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleElevationFilter::SetVector(temp0,temp1,temp2);
      }
    else
      {
      op->SetVector(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSimpleElevationFilter *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSimpleElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimpleElevationFilter::SetVector(temp0);
      }
    else
      {
      op->SetVector(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimpleElevationFilter_GetVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimpleElevationFilter *op;

  double  *temp20;
  if ((op = (vtkSimpleElevationFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimpleElevationFilter::GetVector();
      }
    else
      {
      temp20 = op->GetVector();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSimpleElevationFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSimpleElevationFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSimpleElevationFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSimpleElevationFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSimpleElevationFilter\nC++: vtkSimpleElevationFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSimpleElevationFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSimpleElevationFilter\nC++: vtkSimpleElevationFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVector",                (PyCFunction)PyvtkSimpleElevationFilter_SetVector, 1,
   (char*)"V.SetVector(float, float, float)\nC++: void SetVector (double , double , double );\nV.SetVector((float, float, float))\nC++: void SetVector (double  a[3]);\n\n Define one end of the line (small scalar values).\n"},
  {(char*)"GetVector",                (PyCFunction)PyvtkSimpleElevationFilter_GetVector, 1,
   (char*)"V.GetVector() -> (float, float, float)\nC++: double  *GetVector ();\n\n Define one end of the line (small scalar values).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSimpleElevationFilterDoc[] = {
  (char*)"vtkSimpleElevationFilter - generate scalars along a specified direction\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkSimpleElevationFilter is a filter to generate scalar values from a\n dataset.  The scalar values are generated by dotting a user-specified\n vector against a vector defined from the input dataset points to the\n origin. \n\n",
  "See Also:\n\n vtkElevationFilter\n\n",
  NULL
};

static vtkObjectBase *vtkSimpleElevationFilterStaticNew()
{
  return vtkSimpleElevationFilter::New();
}

PyObject *PyVTKClass_vtkSimpleElevationFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkSimpleElevationFilterStaticNew,
                        PyvtkSimpleElevationFilterMethods,
                        (char*)"vtkSimpleElevationFilter",modulename,
                        (char**)vtkSimpleElevationFilterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

