// python wrapper for vtkSliceCubes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSliceCubes.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSliceCubesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSliceCubesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkSliceCubes_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceCubes *op;

  const char    *temp20;
  if ((op = (vtkSliceCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliceCubes::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceCubes_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceCubes *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSliceCubes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliceCubes::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceCubes_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceCubes *op;

  vtkSliceCubes  *temp20;
  if ((op = (vtkSliceCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliceCubes::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceCubes_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSliceCubes  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSliceCubes::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSliceCubes_Write(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceCubes *op;

  if ((op = (vtkSliceCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliceCubes::Write();
      }
    else
      {
      op->Write();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceCubes_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceCubes *op;

  if ((op = (vtkSliceCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliceCubes::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceCubes_SetReader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceCubes *op;

  vtkVolumeReader  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSliceCubes *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkVolumeReader *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolumeReader");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkSliceCubes::SetReader(temp0);
      }
    else
      {
      op->SetReader(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkSliceCubes_GetReader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceCubes *op;

  vtkVolumeReader  *temp20;
  if ((op = (vtkSliceCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliceCubes::GetReader();
      }
    else
      {
      temp20 = op->GetReader();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceCubes_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceCubes *op;

  char    *temp0;
  if ((op = (vtkSliceCubes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliceCubes::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceCubes_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceCubes *op;

  char    *temp20;
  if ((op = (vtkSliceCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliceCubes::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceCubes_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceCubes *op;

  double   temp0;
  if ((op = (vtkSliceCubes *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliceCubes::SetValue(temp0);
      }
    else
      {
      op->SetValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceCubes_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceCubes *op;

  double   temp20;
  if ((op = (vtkSliceCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliceCubes::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceCubes_SetLimitsFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceCubes *op;

  char    *temp0;
  if ((op = (vtkSliceCubes *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliceCubes::SetLimitsFileName(temp0);
      }
    else
      {
      op->SetLimitsFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliceCubes_GetLimitsFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliceCubes *op;

  char    *temp20;
  if ((op = (vtkSliceCubes *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliceCubes::GetLimitsFileName();
      }
    else
      {
      temp20 = op->GetLimitsFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSliceCubesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSliceCubes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSliceCubes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSliceCubes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSliceCubes\nC++: vtkSliceCubes *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSliceCubes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSliceCubes\nC++: vtkSliceCubes *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Write",                (PyCFunction)PyvtkSliceCubes_Write, 1,
   (char*)"V.Write()\nC++: void Write ();this Update \n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkSliceCubes_Update, 1,
   (char*)"V.Update()\nC++: void Update ();\n\n"},
  {(char*)"SetReader",                (PyCFunction)PyvtkSliceCubes_SetReader, 1,
   (char*)"V.SetReader(vtkVolumeReader)\nC++: virtual void SetReader (vtkVolumeReader *);\n\n Set/get object to read slices.\n"},
  {(char*)"GetReader",                (PyCFunction)PyvtkSliceCubes_GetReader, 1,
   (char*)"V.GetReader() -> vtkVolumeReader\nC++: vtkVolumeReader *GetReader ();\n\n Set/get object to read slices.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkSliceCubes_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name of marching cubes output file.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkSliceCubes_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of marching cubes output file.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkSliceCubes_SetValue, 1,
   (char*)"V.SetValue(float)\nC++: void SetValue (double );\n\n Set/get isosurface contour value.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkSliceCubes_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: double GetValue ();\n\n Set/get isosurface contour value.\n"},
  {(char*)"SetLimitsFileName",                (PyCFunction)PyvtkSliceCubes_SetLimitsFileName, 1,
   (char*)"V.SetLimitsFileName(string)\nC++: void SetLimitsFileName (char *);\n\n Specify file name of marching cubes limits file. The limits file\n speeds up subsequent reading of output triangle file.\n"},
  {(char*)"GetLimitsFileName",                (PyCFunction)PyvtkSliceCubes_GetLimitsFileName, 1,
   (char*)"V.GetLimitsFileName() -> string\nC++: char *GetLimitsFileName ();\n\n Specify file name of marching cubes limits file. The limits file\n speeds up subsequent reading of output triangle file.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSliceCubesDoc[] = {
  (char*)"vtkSliceCubes - generate isosurface(s) from volume four slices at a time\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkSliceCubes is a special version of the marching cubes filter. Instead\n of ingesting an entire volume at once it processes only four slices at\n a time. This way, it can generate isosurfaces from huge volumes. Also, the \n output of this object is written to a marching cubes triangle file. That\n way, output triangles do not need to be held in memory.\n \n To use vtkSliceCubes you must specify an in",
  (char*)"stance of vtkVolumeReader to\n read the data. Set this object up with the proper file prefix, image range,\n data origin, data dimensions, header size, data mask, and swap bytes flag. \n The vtkSliceCubes object will then take over and read slices as necessary. \n You also will need to specify the name of an output marching cubes triangle \n file.\n\n\n",
  "Caveats:\n\n This process object is both a source and mapper (i.e., it reads and writes \n data to a file). This is different than the other marching cubes objects \n (and most process objects in the system). It's specialized to handle very \n large data.\n\n This object only extracts a single isosurface. This compares with the other\n contouring objects in vtk that generate multiple surfaces.\n\n To read the output file use vtkMCubesReader.\n\n",
  "See Also:\n\n vtkMarchingCubes vtkContourFilter vtkMCubesReader vtkDividingCubes vtkVolumeReader\n\n",
  NULL
};

static vtkObjectBase *vtkSliceCubesStaticNew()
{
  return vtkSliceCubes::New();
}

PyObject *PyVTKClass_vtkSliceCubesNew(char *modulename)
{
  return PyVTKClass_New(&vtkSliceCubesStaticNew,
                        PyvtkSliceCubesMethods,
                        (char*)"vtkSliceCubes",modulename,
                        (char**)vtkSliceCubesDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

