// python wrapper for vtkSpherePuzzleArrows object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSpherePuzzleArrows.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSpherePuzzleArrowsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSpherePuzzleArrowsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkSpherePuzzleArrows_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpherePuzzleArrows *op;

  const char    *temp20;
  if ((op = (vtkSpherePuzzleArrows *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpherePuzzleArrows::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSpherePuzzleArrows_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpherePuzzleArrows *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSpherePuzzleArrows *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpherePuzzleArrows::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpherePuzzleArrows_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpherePuzzleArrows *op;

  vtkSpherePuzzleArrows  *temp20;
  if ((op = (vtkSpherePuzzleArrows *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpherePuzzleArrows::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpherePuzzleArrows_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSpherePuzzleArrows  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSpherePuzzleArrows::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSpherePuzzleArrows_SetPermutation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpherePuzzleArrows *op;

  int    temp0[32];
  if ((op = (vtkSpherePuzzleArrows *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiiiiiiiiiiiiiiiiiiiiiiiiiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15, temp0 + 16, temp0 + 17, temp0 + 18, temp0 + 19, temp0 + 20, temp0 + 21, temp0 + 22, temp0 + 23, temp0 + 24, temp0 + 25, temp0 + 26, temp0 + 27, temp0 + 28, temp0 + 29, temp0 + 30, temp0 + 31)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpherePuzzleArrows::SetPermutation(temp0);
      }
    else
      {
      op->SetPermutation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,32)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSpherePuzzleArrows *op;

  vtkSpherePuzzle  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkSpherePuzzleArrows *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSpherePuzzle *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSpherePuzzle");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkSpherePuzzleArrows::SetPermutation(temp0);
      }
    else
      {
      op->SetPermutation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkSpherePuzzleArrows_GetPermutation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpherePuzzleArrows *op;

  int     *temp20;
  if ((op = (vtkSpherePuzzleArrows *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSpherePuzzleArrows::GetPermutation();
      }
    else
      {
      temp20 = op->GetPermutation();
      }
    return Py_BuildValue((char*)"iiiiiiiiiiiiiiiiiiiiiiiiiiiiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5],temp20[6],temp20[7],temp20[8],temp20[9],temp20[10],temp20[11],temp20[12],temp20[13],temp20[14],temp20[15],temp20[16],temp20[17],temp20[18],temp20[19],temp20[20],temp20[21],temp20[22],temp20[23],temp20[24],temp20[25],temp20[26],temp20[27],temp20[28],temp20[29],temp20[30],temp20[31]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSpherePuzzleArrows_SetPermutationComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSpherePuzzleArrows *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkSpherePuzzleArrows *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSpherePuzzleArrows::SetPermutationComponent(temp0,temp1);
      }
    else
      {
      op->SetPermutationComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSpherePuzzleArrowsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSpherePuzzleArrows_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSpherePuzzleArrows_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSpherePuzzleArrows_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSpherePuzzleArrows\nC++: vtkSpherePuzzleArrows *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSpherePuzzleArrows_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSpherePuzzleArrows\nC++: vtkSpherePuzzleArrows *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPermutation",                (PyCFunction)PyvtkSpherePuzzleArrows_SetPermutation, 1,
   (char*)"V.SetPermutation((int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int))\nC++: void SetPermutation (int  [32]);\nV.SetPermutation(vtkSpherePuzzle)\nC++: void SetPermutation (vtkSpherePuzzle *puz);\n\n"},
  {(char*)"GetPermutation",                (PyCFunction)PyvtkSpherePuzzleArrows_GetPermutation, 1,
   (char*)"V.GetPermutation() -> (int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int, int)\nC++: int  *GetPermutation ();\n\n"},
  {(char*)"SetPermutationComponent",                (PyCFunction)PyvtkSpherePuzzleArrows_SetPermutationComponent, 1,
   (char*)"V.SetPermutationComponent(int, int)\nC++: void SetPermutationComponent (int comp, int val);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSpherePuzzleArrowsDoc[] = {
  (char*)"vtkSpherePuzzleArrows - Visualize permutation of the sphere puzzle.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkSpherePuzzleArrows creates \n\n",
  NULL
};

static vtkObjectBase *vtkSpherePuzzleArrowsStaticNew()
{
  return vtkSpherePuzzleArrows::New();
}

PyObject *PyVTKClass_vtkSpherePuzzleArrowsNew(char *modulename)
{
  return PyVTKClass_New(&vtkSpherePuzzleArrowsStaticNew,
                        PyvtkSpherePuzzleArrowsMethods,
                        (char*)"vtkSpherePuzzleArrows",modulename,
                        (char**)vtkSpherePuzzleArrowsDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

