// tcl wrapper for vtkSpherePuzzleArrows object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSpherePuzzleArrows.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkSpherePuzzleArrowsNewCommand()
{
  vtkSpherePuzzleArrows *temp = vtkSpherePuzzleArrows::New();
  return ((ClientData)temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSpherePuzzleArrowsCppCommand(vtkSpherePuzzleArrows *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSpherePuzzleArrowsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSpherePuzzleArrowsCppCommand((vtkSpherePuzzleArrows *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSpherePuzzleArrowsCppCommand(vtkSpherePuzzleArrows *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSpherePuzzleArrows",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand((vtkPolyDataAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPolyDataAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSpherePuzzleArrows  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSpherePuzzleArrows");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSpherePuzzleArrows  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSpherePuzzleArrows");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSpherePuzzleArrows  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSpherePuzzleArrows");
    return TCL_OK;
    }
  if ((!strcmp("SetPermutation",argv[1]))&&(argc == 34))
    {
    int    temp0[32];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp0[6] = tempi;
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp0[7] = tempi;
    if (Tcl_GetInt(interp,argv[10],&tempi) != TCL_OK) error = 1;
    temp0[8] = tempi;
    if (Tcl_GetInt(interp,argv[11],&tempi) != TCL_OK) error = 1;
    temp0[9] = tempi;
    if (Tcl_GetInt(interp,argv[12],&tempi) != TCL_OK) error = 1;
    temp0[10] = tempi;
    if (Tcl_GetInt(interp,argv[13],&tempi) != TCL_OK) error = 1;
    temp0[11] = tempi;
    if (Tcl_GetInt(interp,argv[14],&tempi) != TCL_OK) error = 1;
    temp0[12] = tempi;
    if (Tcl_GetInt(interp,argv[15],&tempi) != TCL_OK) error = 1;
    temp0[13] = tempi;
    if (Tcl_GetInt(interp,argv[16],&tempi) != TCL_OK) error = 1;
    temp0[14] = tempi;
    if (Tcl_GetInt(interp,argv[17],&tempi) != TCL_OK) error = 1;
    temp0[15] = tempi;
    if (Tcl_GetInt(interp,argv[18],&tempi) != TCL_OK) error = 1;
    temp0[16] = tempi;
    if (Tcl_GetInt(interp,argv[19],&tempi) != TCL_OK) error = 1;
    temp0[17] = tempi;
    if (Tcl_GetInt(interp,argv[20],&tempi) != TCL_OK) error = 1;
    temp0[18] = tempi;
    if (Tcl_GetInt(interp,argv[21],&tempi) != TCL_OK) error = 1;
    temp0[19] = tempi;
    if (Tcl_GetInt(interp,argv[22],&tempi) != TCL_OK) error = 1;
    temp0[20] = tempi;
    if (Tcl_GetInt(interp,argv[23],&tempi) != TCL_OK) error = 1;
    temp0[21] = tempi;
    if (Tcl_GetInt(interp,argv[24],&tempi) != TCL_OK) error = 1;
    temp0[22] = tempi;
    if (Tcl_GetInt(interp,argv[25],&tempi) != TCL_OK) error = 1;
    temp0[23] = tempi;
    if (Tcl_GetInt(interp,argv[26],&tempi) != TCL_OK) error = 1;
    temp0[24] = tempi;
    if (Tcl_GetInt(interp,argv[27],&tempi) != TCL_OK) error = 1;
    temp0[25] = tempi;
    if (Tcl_GetInt(interp,argv[28],&tempi) != TCL_OK) error = 1;
    temp0[26] = tempi;
    if (Tcl_GetInt(interp,argv[29],&tempi) != TCL_OK) error = 1;
    temp0[27] = tempi;
    if (Tcl_GetInt(interp,argv[30],&tempi) != TCL_OK) error = 1;
    temp0[28] = tempi;
    if (Tcl_GetInt(interp,argv[31],&tempi) != TCL_OK) error = 1;
    temp0[29] = tempi;
    if (Tcl_GetInt(interp,argv[32],&tempi) != TCL_OK) error = 1;
    temp0[30] = tempi;
    if (Tcl_GetInt(interp,argv[33],&tempi) != TCL_OK) error = 1;
    temp0[31] = tempi;
    if (!error)
    {
    op->SetPermutation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPermutation",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetPermutation();
    char tempResult[1024];
    sprintf(tempResult,"%i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5],temp20[6],temp20[7],temp20[8],temp20[9],temp20[10],temp20[11],temp20[12],temp20[13],temp20[14],temp20[15],temp20[16],temp20[17],temp20[18],temp20[19],temp20[20],temp20[21],temp20[22],temp20[23],temp20[24],temp20[25],temp20[26],temp20[27],temp20[28],temp20[29],temp20[30],temp20[31]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPermutationComponent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPermutationComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPermutation",argv[1]))&&(argc == 3))
    {
    vtkSpherePuzzle  *temp0;
    error = 0;

    temp0 = (vtkSpherePuzzle *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSpherePuzzle",interp,error));
    if (!error)
    {
    op->SetPermutation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkSpherePuzzleArrowsCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSpherePuzzleArrows:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetPermutation\t with 32 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPermutation\n",NULL);
    Tcl_AppendResult(interp,"  SetPermutationComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPermutation\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkPolyDataAlgorithmCppCommand((vtkPolyDataAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
