// python wrapper for vtkSphereSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSphereSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSphereSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSphereSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkSphereSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  const char    *temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  vtkSphereSource  *temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSphereSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSphereSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSphereSource_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp0;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereSource::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetRadiusMinValue();
      }
    else
      {
      temp20 = op->GetRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereSource::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereSource::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double  *temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_SetThetaResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  int      temp0;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereSource::SetThetaResolution(temp0);
      }
    else
      {
      op->SetThetaResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetThetaResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  int      temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetThetaResolutionMinValue();
      }
    else
      {
      temp20 = op->GetThetaResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetThetaResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  int      temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetThetaResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetThetaResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetThetaResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  int      temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetThetaResolution();
      }
    else
      {
      temp20 = op->GetThetaResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_SetPhiResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  int      temp0;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereSource::SetPhiResolution(temp0);
      }
    else
      {
      op->SetPhiResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetPhiResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  int      temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetPhiResolutionMinValue();
      }
    else
      {
      temp20 = op->GetPhiResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetPhiResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  int      temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetPhiResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetPhiResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetPhiResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  int      temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetPhiResolution();
      }
    else
      {
      temp20 = op->GetPhiResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_SetStartTheta(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp0;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereSource::SetStartTheta(temp0);
      }
    else
      {
      op->SetStartTheta(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetStartThetaMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetStartThetaMinValue();
      }
    else
      {
      temp20 = op->GetStartThetaMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetStartThetaMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetStartThetaMaxValue();
      }
    else
      {
      temp20 = op->GetStartThetaMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetStartTheta(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetStartTheta();
      }
    else
      {
      temp20 = op->GetStartTheta();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_SetEndTheta(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp0;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereSource::SetEndTheta(temp0);
      }
    else
      {
      op->SetEndTheta(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetEndThetaMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetEndThetaMinValue();
      }
    else
      {
      temp20 = op->GetEndThetaMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetEndThetaMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetEndThetaMaxValue();
      }
    else
      {
      temp20 = op->GetEndThetaMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetEndTheta(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetEndTheta();
      }
    else
      {
      temp20 = op->GetEndTheta();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_SetStartPhi(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp0;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereSource::SetStartPhi(temp0);
      }
    else
      {
      op->SetStartPhi(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetStartPhiMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetStartPhiMinValue();
      }
    else
      {
      temp20 = op->GetStartPhiMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetStartPhiMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetStartPhiMaxValue();
      }
    else
      {
      temp20 = op->GetStartPhiMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetStartPhi(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetStartPhi();
      }
    else
      {
      temp20 = op->GetStartPhi();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_SetEndPhi(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp0;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereSource::SetEndPhi(temp0);
      }
    else
      {
      op->SetEndPhi(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetEndPhiMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetEndPhiMinValue();
      }
    else
      {
      temp20 = op->GetEndPhiMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetEndPhiMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetEndPhiMaxValue();
      }
    else
      {
      temp20 = op->GetEndPhiMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetEndPhi(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  double   temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetEndPhi();
      }
    else
      {
      temp20 = op->GetEndPhi();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_SetLatLongTessellation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  int      temp0;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereSource::SetLatLongTessellation(temp0);
      }
    else
      {
      op->SetLatLongTessellation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_GetLatLongTessellation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  int      temp20;
  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereSource::GetLatLongTessellation();
      }
    else
      {
      temp20 = op->GetLatLongTessellation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_LatLongTessellationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereSource::LatLongTessellationOn();
      }
    else
      {
      op->LatLongTessellationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereSource_LatLongTessellationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereSource *op;

  if ((op = (vtkSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereSource::LatLongTessellationOff();
      }
    else
      {
      op->LatLongTessellationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSphereSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSphereSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSphereSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSphereSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSphereSource\nC++: vtkSphereSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSphereSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSphereSource\nC++: vtkSphereSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkSphereSource_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Set radius of sphere. Default is .5.\n"},
  {(char*)"GetRadiusMinValue",                (PyCFunction)PyvtkSphereSource_GetRadiusMinValue, 1,
   (char*)"V.GetRadiusMinValue() -> float\nC++: double GetRadiusMinValue ();\n\n Set radius of sphere. Default is .5.\n"},
  {(char*)"GetRadiusMaxValue",                (PyCFunction)PyvtkSphereSource_GetRadiusMaxValue, 1,
   (char*)"V.GetRadiusMaxValue() -> float\nC++: double GetRadiusMaxValue ();\n\n Set radius of sphere. Default is .5.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkSphereSource_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Set radius of sphere. Default is .5.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkSphereSource_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set the center of the sphere. Default is 0,0,0.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkSphereSource_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set the center of the sphere. Default is 0,0,0.\n"},
  {(char*)"SetThetaResolution",                (PyCFunction)PyvtkSphereSource_SetThetaResolution, 1,
   (char*)"V.SetThetaResolution(int)\nC++: void SetThetaResolution (int );\n\n Set the number of points in the longitude direction (ranging from\n StartTheta to EndTheta).\n"},
  {(char*)"GetThetaResolutionMinValue",                (PyCFunction)PyvtkSphereSource_GetThetaResolutionMinValue, 1,
   (char*)"V.GetThetaResolutionMinValue() -> int\nC++: int GetThetaResolutionMinValue ();\n\n Set the number of points in the longitude direction (ranging from\n StartTheta to EndTheta).\n"},
  {(char*)"GetThetaResolutionMaxValue",                (PyCFunction)PyvtkSphereSource_GetThetaResolutionMaxValue, 1,
   (char*)"V.GetThetaResolutionMaxValue() -> int\nC++: int GetThetaResolutionMaxValue ();\n\n Set the number of points in the longitude direction (ranging from\n StartTheta to EndTheta).\n"},
  {(char*)"GetThetaResolution",                (PyCFunction)PyvtkSphereSource_GetThetaResolution, 1,
   (char*)"V.GetThetaResolution() -> int\nC++: int GetThetaResolution ();\n\n Set the number of points in the longitude direction (ranging from\n StartTheta to EndTheta).\n"},
  {(char*)"SetPhiResolution",                (PyCFunction)PyvtkSphereSource_SetPhiResolution, 1,
   (char*)"V.SetPhiResolution(int)\nC++: void SetPhiResolution (int );\n\n Set the number of points in the latitude direction (ranging\n from StartPhi to EndPhi).\n"},
  {(char*)"GetPhiResolutionMinValue",                (PyCFunction)PyvtkSphereSource_GetPhiResolutionMinValue, 1,
   (char*)"V.GetPhiResolutionMinValue() -> int\nC++: int GetPhiResolutionMinValue ();\n\n Set the number of points in the latitude direction (ranging\n from StartPhi to EndPhi).\n"},
  {(char*)"GetPhiResolutionMaxValue",                (PyCFunction)PyvtkSphereSource_GetPhiResolutionMaxValue, 1,
   (char*)"V.GetPhiResolutionMaxValue() -> int\nC++: int GetPhiResolutionMaxValue ();\n\n Set the number of points in the latitude direction (ranging\n from StartPhi to EndPhi).\n"},
  {(char*)"GetPhiResolution",                (PyCFunction)PyvtkSphereSource_GetPhiResolution, 1,
   (char*)"V.GetPhiResolution() -> int\nC++: int GetPhiResolution ();\n\n Set the number of points in the latitude direction (ranging\n from StartPhi to EndPhi).\n"},
  {(char*)"SetStartTheta",                (PyCFunction)PyvtkSphereSource_SetStartTheta, 1,
   (char*)"V.SetStartTheta(float)\nC++: void SetStartTheta (double );\n\n Set the starting longitude angle. By default StartTheta=0 degrees.\n"},
  {(char*)"GetStartThetaMinValue",                (PyCFunction)PyvtkSphereSource_GetStartThetaMinValue, 1,
   (char*)"V.GetStartThetaMinValue() -> float\nC++: double GetStartThetaMinValue ();\n\n Set the starting longitude angle. By default StartTheta=0 degrees.\n"},
  {(char*)"GetStartThetaMaxValue",                (PyCFunction)PyvtkSphereSource_GetStartThetaMaxValue, 1,
   (char*)"V.GetStartThetaMaxValue() -> float\nC++: double GetStartThetaMaxValue ();\n\n Set the starting longitude angle. By default StartTheta=0 degrees.\n"},
  {(char*)"GetStartTheta",                (PyCFunction)PyvtkSphereSource_GetStartTheta, 1,
   (char*)"V.GetStartTheta() -> float\nC++: double GetStartTheta ();\n\n Set the starting longitude angle. By default StartTheta=0 degrees.\n"},
  {(char*)"SetEndTheta",                (PyCFunction)PyvtkSphereSource_SetEndTheta, 1,
   (char*)"V.SetEndTheta(float)\nC++: void SetEndTheta (double );\n\n Set the ending longitude angle. By default EndTheta=360 degrees.\n"},
  {(char*)"GetEndThetaMinValue",                (PyCFunction)PyvtkSphereSource_GetEndThetaMinValue, 1,
   (char*)"V.GetEndThetaMinValue() -> float\nC++: double GetEndThetaMinValue ();\n\n Set the ending longitude angle. By default EndTheta=360 degrees.\n"},
  {(char*)"GetEndThetaMaxValue",                (PyCFunction)PyvtkSphereSource_GetEndThetaMaxValue, 1,
   (char*)"V.GetEndThetaMaxValue() -> float\nC++: double GetEndThetaMaxValue ();\n\n Set the ending longitude angle. By default EndTheta=360 degrees.\n"},
  {(char*)"GetEndTheta",                (PyCFunction)PyvtkSphereSource_GetEndTheta, 1,
   (char*)"V.GetEndTheta() -> float\nC++: double GetEndTheta ();\n\n Set the ending longitude angle. By default EndTheta=360 degrees.\n"},
  {(char*)"SetStartPhi",                (PyCFunction)PyvtkSphereSource_SetStartPhi, 1,
   (char*)"V.SetStartPhi(float)\nC++: void SetStartPhi (double );\n\n Set the starting latitude angle (0 is at north pole). By default\n StartPhi=0 degrees.\n"},
  {(char*)"GetStartPhiMinValue",                (PyCFunction)PyvtkSphereSource_GetStartPhiMinValue, 1,
   (char*)"V.GetStartPhiMinValue() -> float\nC++: double GetStartPhiMinValue ();\n\n Set the starting latitude angle (0 is at north pole). By default\n StartPhi=0 degrees.\n"},
  {(char*)"GetStartPhiMaxValue",                (PyCFunction)PyvtkSphereSource_GetStartPhiMaxValue, 1,
   (char*)"V.GetStartPhiMaxValue() -> float\nC++: double GetStartPhiMaxValue ();\n\n Set the starting latitude angle (0 is at north pole). By default\n StartPhi=0 degrees.\n"},
  {(char*)"GetStartPhi",                (PyCFunction)PyvtkSphereSource_GetStartPhi, 1,
   (char*)"V.GetStartPhi() -> float\nC++: double GetStartPhi ();\n\n Set the starting latitude angle (0 is at north pole). By default\n StartPhi=0 degrees.\n"},
  {(char*)"SetEndPhi",                (PyCFunction)PyvtkSphereSource_SetEndPhi, 1,
   (char*)"V.SetEndPhi(float)\nC++: void SetEndPhi (double );\n\n Set the ending latitude angle. By default EndPhi=180 degrees.\n"},
  {(char*)"GetEndPhiMinValue",                (PyCFunction)PyvtkSphereSource_GetEndPhiMinValue, 1,
   (char*)"V.GetEndPhiMinValue() -> float\nC++: double GetEndPhiMinValue ();\n\n Set the ending latitude angle. By default EndPhi=180 degrees.\n"},
  {(char*)"GetEndPhiMaxValue",                (PyCFunction)PyvtkSphereSource_GetEndPhiMaxValue, 1,
   (char*)"V.GetEndPhiMaxValue() -> float\nC++: double GetEndPhiMaxValue ();\n\n Set the ending latitude angle. By default EndPhi=180 degrees.\n"},
  {(char*)"GetEndPhi",                (PyCFunction)PyvtkSphereSource_GetEndPhi, 1,
   (char*)"V.GetEndPhi() -> float\nC++: double GetEndPhi ();\n\n Set the ending latitude angle. By default EndPhi=180 degrees.\n"},
  {(char*)"SetLatLongTessellation",                (PyCFunction)PyvtkSphereSource_SetLatLongTessellation, 1,
   (char*)"V.SetLatLongTessellation(int)\nC++: void SetLatLongTessellation (int );\n\n Cause the sphere to be tessellated with edges along the latitude\n and longitude lines. If off, triangles are generated at non-polar\n regions, which results in edges that are not parallel to latitude and\n longitude lines. If on, quadrilaterals are generated everywhere\n except at the poles. This can be useful for generating a wireframe\n sphere with natural latitude and longitude lines.\n"},
  {(char*)"GetLatLongTessellation",                (PyCFunction)PyvtkSphereSource_GetLatLongTessellation, 1,
   (char*)"V.GetLatLongTessellation() -> int\nC++: int GetLatLongTessellation ();\n\n Cause the sphere to be tessellated with edges along the latitude\n and longitude lines. If off, triangles are generated at non-polar\n regions, which results in edges that are not parallel to latitude and\n longitude lines. If on, quadrilaterals are generated everywhere\n except at the poles. This can be useful for generating a wireframe\n sphere with natural latitude and longitude lines.\n"},
  {(char*)"LatLongTessellationOn",                (PyCFunction)PyvtkSphereSource_LatLongTessellationOn, 1,
   (char*)"V.LatLongTessellationOn()\nC++: void LatLongTessellationOn ();\n\n Cause the sphere to be tessellated with edges along the latitude\n and longitude lines. If off, triangles are generated at non-polar\n regions, which results in edges that are not parallel to latitude and\n longitude lines. If on, quadrilaterals are generated everywhere\n except at the poles. This can be useful for generating a wireframe\n sphere with natural latitude and longitude lines.\n"},
  {(char*)"LatLongTessellationOff",                (PyCFunction)PyvtkSphereSource_LatLongTessellationOff, 1,
   (char*)"V.LatLongTessellationOff()\nC++: void LatLongTessellationOff ();\n\n Cause the sphere to be tessellated with edges along the latitude\n and longitude lines. If off, triangles are generated at non-polar\n regions, which results in edges that are not parallel to latitude and\n longitude lines. If on, quadrilaterals are generated everywhere\n except at the poles. This can be useful for generating a wireframe\n sphere with natural latitude and longitude lines.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSphereSourceDoc[] = {
  (char*)"vtkSphereSource - create a polygonal sphere centered at the origin\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkSphereSource creates a sphere (represented by polygons) of specified\n radius centered at the origin. The resolution (polygonal discretization)\n in both the latitude (phi) and longitude (theta) directions can be\n specified. It also is possible to create partial spheres by specifying\n maximum phi and theta angles. By default, the surface tessellation of\n the sphere uses triangles; however you ca",
  (char*)"n set LatLongTessellation to\n produce a tessellation using quadrilaterals.\n\n",
  "Caveats:\n\n Resolution means the number of latitude or longitude lines for a complete \n sphere. If you create partial spheres the number of latitude/longitude \n lines may be off by one. \n\n",
  NULL
};

static vtkObjectBase *vtkSphereSourceStaticNew()
{
  return vtkSphereSource::New();
}

PyObject *PyVTKClass_vtkSphereSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkSphereSourceStaticNew,
                        PyvtkSphereSourceMethods,
                        (char*)"vtkSphereSource",modulename,
                        (char**)vtkSphereSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

