// python wrapper for vtkSplitField object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSplitField.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSplitFieldNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSplitFieldNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkSplitField_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplitField *op;

  const char    *temp20;
  if ((op = (vtkSplitField *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplitField::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSplitField_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplitField *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSplitField *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplitField::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplitField_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplitField *op;

  vtkSplitField  *temp20;
  if ((op = (vtkSplitField *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplitField::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplitField_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSplitField  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSplitField::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSplitField_SetInputField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplitField *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkSplitField *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplitField::SetInputField(temp0,temp1);
      }
    else
      {
      op->SetInputField(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSplitField *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkSplitField *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplitField::SetInputField(temp0,temp1);
      }
    else
      {
      op->SetInputField(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSplitField *op;

  char    *temp0;
  char    *temp1;
  PyErr_Clear();
  if ((op = (vtkSplitField *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplitField::SetInputField(temp0,temp1);
      }
    else
      {
      op->SetInputField(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplitField_Split(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplitField *op;

  int      temp0;
  char    *temp1;
  if ((op = (vtkSplitField *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplitField::Split(temp0,temp1);
      }
    else
      {
      op->Split(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSplitFieldMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSplitField_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSplitField_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSplitField_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSplitField\nC++: vtkSplitField *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSplitField_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSplitField\nC++: vtkSplitField *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInputField",                (PyCFunction)PyvtkSplitField_SetInputField, 1,
   (char*)"V.SetInputField(int, int)\nC++: void SetInputField (int attributeType, int fieldLoc);\nV.SetInputField(string, int)\nC++: void SetInputField (const char *name, int fieldLoc);\nV.SetInputField(string, string)\nC++: void SetInputField (const char *name, const char *fieldLoc);\n\n Use the  given attribute in the field data given\n by fieldLoc as input.\n"},
  {(char*)"Split",                (PyCFunction)PyvtkSplitField_Split, 1,
   (char*)"V.Split(int, string)\nC++: void Split (int component, const char *arrayName);\n\n Create a new array with the given component.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSplitFieldDoc[] = {
  (char*)"vtkSplitField - Split a field into single component fields\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkSplitField is used to split a multi-component field (vtkDataArray)\n into multiple single component fields. The new fields are put in\n the same field data as the original field. The output arrays\n are of the same type as the input array. Example:\n @verbatim\n sf->SetInputField(\"gradient\", vtkSplitField::POINT_DATA);\n sf->Split(0, \"firstcomponent\");\n @endverbatim\n tells vtkSplitField to extract t",
  (char*)"he first component of the field\n called gradient and create an array called firstcomponent (the\n new field will be in the output's point data).\n The same can be done from Tcl:\n @verbatim\n sf SetInputField gradient POINT_DATA\n sf Split 0 firstcomponent\n\n AttributeTypes: SCALARS, VECTORS, NORMALS, TCOORDS, TENSORS\n Field locations: DATA_OBJECT, POINT_DATA, CELL_DATA\n @endverbatim\n Note that, by defa",
  (char*)"ult, the original array is also passed through.\n\n",
  "Caveats:\n\n When using Tcl, Java, Python or Visual Basic bindings, the array name \n can not be one of the  AttributeTypes when calling Split() which takes\n strings as arguments. The Tcl (Java etc.) command will\n always assume the string corresponds to an attribute type when\n the argument is one of the AttributeTypes. In this situation,\n use the Split() which takes enums.\n\n",
  "See Also:\n\n vtkFieldData vtkDataSet vtkDataObjectToDataSetFilter\n vtkDataSetAttributes vtkDataArray vtkRearrangeFields\n vtkAssignAttribute vtkMergeFields\n\n",
  NULL
};

static vtkObjectBase *vtkSplitFieldStaticNew()
{
  return vtkSplitField::New();
}

PyObject *PyVTKClass_vtkSplitFieldNew(char *modulename)
{
  return PyVTKClass_New(&vtkSplitFieldStaticNew,
                        PyvtkSplitFieldMethods,
                        (char*)"vtkSplitField",modulename,
                        (char**)vtkSplitFieldDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

