// python wrapper for vtkStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkStreamTracer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStreamTracerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStreamTracerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkStreamTracer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  const char    *temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkStreamTracer  *temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStreamTracer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStreamTracer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetStartPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetStartPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetStartPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetStartPosition(temp0);
      }
    else
      {
      op->SetStartPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetStartPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double  *temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetStartPosition();
      }
    else
      {
      temp20 = op->GetStartPosition();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkDataSet  *temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetSourceConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetSourceConnection(temp0);
      }
    else
      {
      op->SetSourceConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegrator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkInitialValueProblemSolver  *temp0;
  PyObject *tempH0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInitialValueProblemSolver *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInitialValueProblemSolver");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegrator(temp0);
      }
    else
      {
      op->SetIntegrator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetIntegrator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkInitialValueProblemSolver  *temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetIntegrator();
      }
    else
      {
      temp20 = op->GetIntegrator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegratorType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegratorType(temp0);
      }
    else
      {
      op->SetIntegratorType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetIntegratorType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetIntegratorType();
      }
    else
      {
      temp20 = op->GetIntegratorType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegratorTypeToRungeKutta2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegratorTypeToRungeKutta2();
      }
    else
      {
      op->SetIntegratorTypeToRungeKutta2();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegratorTypeToRungeKutta4(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegratorTypeToRungeKutta4();
      }
    else
      {
      op->SetIntegratorTypeToRungeKutta4();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegratorTypeToRungeKutta45(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegratorTypeToRungeKutta45();
      }
    else
      {
      op->SetIntegratorTypeToRungeKutta45();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumPropagation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  double   temp1;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumPropagation(temp0,temp1);
      }
    else
      {
      op->SetMaximumPropagation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  PyErr_Clear();
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumPropagation(temp0);
      }
    else
      {
      op->SetMaximumPropagation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumPropagationUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumPropagationUnit(temp0);
      }
    else
      {
      op->SetMaximumPropagationUnit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetMaximumPropagationUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetMaximumPropagationUnit();
      }
    else
      {
      temp20 = op->GetMaximumPropagationUnit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetMaximumPropagation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetMaximumPropagation();
      }
    else
      {
      temp20 = op->GetMaximumPropagation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumPropagationUnitToTimeUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumPropagationUnitToTimeUnit();
      }
    else
      {
      op->SetMaximumPropagationUnitToTimeUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumPropagationUnitToLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumPropagationUnitToLengthUnit();
      }
    else
      {
      op->SetMaximumPropagationUnitToLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumPropagationUnitToCellLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumPropagationUnitToCellLengthUnit();
      }
    else
      {
      op->SetMaximumPropagationUnitToCellLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMinimumIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  double   temp1;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMinimumIntegrationStep(temp0,temp1);
      }
    else
      {
      op->SetMinimumIntegrationStep(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  PyErr_Clear();
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMinimumIntegrationStep(temp0);
      }
    else
      {
      op->SetMinimumIntegrationStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMinimumIntegrationStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMinimumIntegrationStepUnit(temp0);
      }
    else
      {
      op->SetMinimumIntegrationStepUnit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetMinimumIntegrationStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetMinimumIntegrationStepUnit();
      }
    else
      {
      temp20 = op->GetMinimumIntegrationStepUnit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetMinimumIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetMinimumIntegrationStep();
      }
    else
      {
      temp20 = op->GetMinimumIntegrationStep();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMinimumIntegrationStepUnitToTimeUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMinimumIntegrationStepUnitToTimeUnit();
      }
    else
      {
      op->SetMinimumIntegrationStepUnitToTimeUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMinimumIntegrationStepUnitToLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMinimumIntegrationStepUnitToLengthUnit();
      }
    else
      {
      op->SetMinimumIntegrationStepUnitToLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMinimumIntegrationStepUnitToCellLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMinimumIntegrationStepUnitToCellLengthUnit();
      }
    else
      {
      op->SetMinimumIntegrationStepUnitToCellLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  double   temp1;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumIntegrationStep(temp0,temp1);
      }
    else
      {
      op->SetMaximumIntegrationStep(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  PyErr_Clear();
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumIntegrationStep(temp0);
      }
    else
      {
      op->SetMaximumIntegrationStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumIntegrationStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumIntegrationStepUnit(temp0);
      }
    else
      {
      op->SetMaximumIntegrationStepUnit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetMaximumIntegrationStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetMaximumIntegrationStepUnit();
      }
    else
      {
      temp20 = op->GetMaximumIntegrationStepUnit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetMaximumIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetMaximumIntegrationStep();
      }
    else
      {
      temp20 = op->GetMaximumIntegrationStep();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumIntegrationStepUnitToTimeUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumIntegrationStepUnitToTimeUnit();
      }
    else
      {
      op->SetMaximumIntegrationStepUnitToTimeUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumIntegrationStepUnitToLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumIntegrationStepUnitToLengthUnit();
      }
    else
      {
      op->SetMaximumIntegrationStepUnitToLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumIntegrationStepUnitToCellLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumIntegrationStepUnitToCellLengthUnit();
      }
    else
      {
      op->SetMaximumIntegrationStepUnitToCellLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetInitialIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  double   temp1;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetInitialIntegrationStep(temp0,temp1);
      }
    else
      {
      op->SetInitialIntegrationStep(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  PyErr_Clear();
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetInitialIntegrationStep(temp0);
      }
    else
      {
      op->SetInitialIntegrationStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetInitialIntegrationStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetInitialIntegrationStepUnit(temp0);
      }
    else
      {
      op->SetInitialIntegrationStepUnit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetInitialIntegrationStepUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetInitialIntegrationStepUnit();
      }
    else
      {
      temp20 = op->GetInitialIntegrationStepUnit();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetInitialIntegrationStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetInitialIntegrationStep();
      }
    else
      {
      temp20 = op->GetInitialIntegrationStep();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetInitialIntegrationStepUnitToTimeUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetInitialIntegrationStepUnitToTimeUnit();
      }
    else
      {
      op->SetInitialIntegrationStepUnitToTimeUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetInitialIntegrationStepUnitToLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetInitialIntegrationStepUnitToLengthUnit();
      }
    else
      {
      op->SetInitialIntegrationStepUnitToLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetInitialIntegrationStepUnitToCellLengthUnit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetInitialIntegrationStepUnitToCellLengthUnit();
      }
    else
      {
      op->SetInitialIntegrationStepUnitToCellLengthUnit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumError(temp0);
      }
    else
      {
      op->SetMaximumError(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetMaximumError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetMaximumError();
      }
    else
      {
      temp20 = op->GetMaximumError();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetMaximumNumberOfSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkIdType   temp0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetMaximumNumberOfSteps(temp0);
      }
    else
      {
      op->SetMaximumNumberOfSteps(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetMaximumNumberOfSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkIdType   temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetMaximumNumberOfSteps();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfSteps();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetTerminalSpeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetTerminalSpeed(temp0);
      }
    else
      {
      op->SetTerminalSpeed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetTerminalSpeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetTerminalSpeed();
      }
    else
      {
      temp20 = op->GetTerminalSpeed();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegrationDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegrationDirection(temp0);
      }
    else
      {
      op->SetIntegrationDirection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetIntegrationDirectionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetIntegrationDirectionMinValue();
      }
    else
      {
      temp20 = op->GetIntegrationDirectionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetIntegrationDirectionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetIntegrationDirectionMaxValue();
      }
    else
      {
      temp20 = op->GetIntegrationDirectionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetIntegrationDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetIntegrationDirection();
      }
    else
      {
      temp20 = op->GetIntegrationDirection();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegrationDirectionToForward(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegrationDirectionToForward();
      }
    else
      {
      op->SetIntegrationDirectionToForward();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegrationDirectionToBackward(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegrationDirectionToBackward();
      }
    else
      {
      op->SetIntegrationDirectionToBackward();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetIntegrationDirectionToBoth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetIntegrationDirectionToBoth();
      }
    else
      {
      op->SetIntegrationDirectionToBoth();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetComputeVorticity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetComputeVorticity(temp0);
      }
    else
      {
      op->SetComputeVorticity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetComputeVorticity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  int      temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetComputeVorticity();
      }
    else
      {
      temp20 = op->GetComputeVorticity();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_ComputeVorticityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::ComputeVorticityOn();
      }
    else
      {
      op->ComputeVorticityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_ComputeVorticityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::ComputeVorticityOff();
      }
    else
      {
      op->ComputeVorticityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetRotationScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetRotationScale(temp0);
      }
    else
      {
      op->SetRotationScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_GetRotationScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  double   temp20;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStreamTracer::GetRotationScale();
      }
    else
      {
      temp20 = op->GetRotationScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStreamTracer_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break68;
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break68:
  return NULL;
}


static PyObject *PyvtkStreamTracer_SetInterpolatorPrototype(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStreamTracer *op;

  vtkInterpolatedVelocityField  *temp0;
  PyObject *tempH0;
  if ((op = (vtkStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkInterpolatedVelocityField *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInterpolatedVelocityField");
    if (!temp0 && tempH0 != Py_None) goto break69;
    if (PyVTKClass_Check(self))
      {
      op->vtkStreamTracer::SetInterpolatorPrototype(temp0);
      }
    else
      {
      op->SetInterpolatorPrototype(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break69:
  return NULL;
}

static PyMethodDef PyvtkStreamTracerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStreamTracer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStreamTracer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStreamTracer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStreamTracer\nC++: vtkStreamTracer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStreamTracer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStreamTracer\nC++: vtkStreamTracer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetStartPosition",                (PyCFunction)PyvtkStreamTracer_SetStartPosition, 1,
   (char*)"V.SetStartPosition(float, float, float)\nC++: void SetStartPosition (double , double , double );\nV.SetStartPosition((float, float, float))\nC++: void SetStartPosition (double  a[3]);\n\n Specify the start of the streamline in the global coordinate\n system. Search must be performed to find initial cell to start\n integration from.\n"},
  {(char*)"GetStartPosition",                (PyCFunction)PyvtkStreamTracer_GetStartPosition, 1,
   (char*)"V.GetStartPosition() -> (float, float, float)\nC++: double  *GetStartPosition ();\n\n Specify the start of the streamline in the global coordinate\n system. Search must be performed to find initial cell to start\n integration from.\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkStreamTracer_SetSource, 1,
   (char*)"V.SetSource(vtkDataSet)\nC++: void SetSource (vtkDataSet *source);\n\n Specify the source object used to generate starting points.\n Old style. Do not use.\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkStreamTracer_GetSource, 1,
   (char*)"V.GetSource() -> vtkDataSet\nC++: vtkDataSet *GetSource ();\n\n Specify the source object used to generate starting points.\n Old style. Do not use.\n"},
  {(char*)"SetSourceConnection",                (PyCFunction)PyvtkStreamTracer_SetSourceConnection, 1,
   (char*)"V.SetSourceConnection(vtkAlgorithmOutput)\nC++: void SetSourceConnection (vtkAlgorithmOutput *algOutput);\n\n Specify the source object used to generate starting points.\n New style.\n"},
  {(char*)"SetIntegrator",                (PyCFunction)PyvtkStreamTracer_SetIntegrator, 1,
   (char*)"V.SetIntegrator(vtkInitialValueProblemSolver)\nC++: void SetIntegrator (vtkInitialValueProblemSolver *);\n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"GetIntegrator",                (PyCFunction)PyvtkStreamTracer_GetIntegrator, 1,
   (char*)"V.GetIntegrator() -> vtkInitialValueProblemSolver\nC++: vtkInitialValueProblemSolver *GetIntegrator ();\n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetIntegratorType",                (PyCFunction)PyvtkStreamTracer_SetIntegratorType, 1,
   (char*)"V.SetIntegratorType(int)\nC++: void SetIntegratorType (int type);\n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"GetIntegratorType",                (PyCFunction)PyvtkStreamTracer_GetIntegratorType, 1,
   (char*)"V.GetIntegratorType() -> int\nC++: int GetIntegratorType ();\n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetIntegratorTypeToRungeKutta2",                (PyCFunction)PyvtkStreamTracer_SetIntegratorTypeToRungeKutta2, 1,
   (char*)"V.SetIntegratorTypeToRungeKutta2()\nC++: void SetIntegratorTypeToRungeKutta2 ();this SetIntegratorType RUNGE_KUTTA2 \n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetIntegratorTypeToRungeKutta4",                (PyCFunction)PyvtkStreamTracer_SetIntegratorTypeToRungeKutta4, 1,
   (char*)"V.SetIntegratorTypeToRungeKutta4()\nC++: void SetIntegratorTypeToRungeKutta4 ();this SetIntegratorType RUNGE_KUTTA4 \n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetIntegratorTypeToRungeKutta45",                (PyCFunction)PyvtkStreamTracer_SetIntegratorTypeToRungeKutta45, 1,
   (char*)"V.SetIntegratorTypeToRungeKutta45()\nC++: void SetIntegratorTypeToRungeKutta45 ();this SetIntegratorType RUNGE_KUTTA45 \n\n Set/get the integrator type to be used in the stream line\n calculation. The object passed is not actually used but\n is cloned with NewInstance in the process of integration \n (prototype pattern). The default is 2nd order Runge Kutta.\n The integrator can also be changed using SetIntegratorType.\n The recognized solvers are:\n RUNGE_KUTTA2  = 0\n RUNGE_KUTTA4  = 1\n RUNGE_KUTTA45 = 2\n"},
  {(char*)"SetMaximumPropagation",                (PyCFunction)PyvtkStreamTracer_SetMaximumPropagation, 1,
   (char*)"V.SetMaximumPropagation(int, float)\nC++: void SetMaximumPropagation (int unit, double max);\nV.SetMaximumPropagation(float)\nC++: void SetMaximumPropagation (double max);\n\n Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n"},
  {(char*)"SetMaximumPropagationUnit",                (PyCFunction)PyvtkStreamTracer_SetMaximumPropagationUnit, 1,
   (char*)"V.SetMaximumPropagationUnit(int)\nC++: void SetMaximumPropagationUnit (int unit);\n\n Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n"},
  {(char*)"GetMaximumPropagationUnit",                (PyCFunction)PyvtkStreamTracer_GetMaximumPropagationUnit, 1,
   (char*)"V.GetMaximumPropagationUnit() -> int\nC++: int GetMaximumPropagationUnit ();\n\n Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n"},
  {(char*)"GetMaximumPropagation",                (PyCFunction)PyvtkStreamTracer_GetMaximumPropagation, 1,
   (char*)"V.GetMaximumPropagation() -> float\nC++: double GetMaximumPropagation ();\n\n Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n"},
  {(char*)"SetMaximumPropagationUnitToTimeUnit",                (PyCFunction)PyvtkStreamTracer_SetMaximumPropagationUnitToTimeUnit, 1,
   (char*)"V.SetMaximumPropagationUnitToTimeUnit()\nC++: void SetMaximumPropagationUnitToTimeUnit ();this SetMaximumPropagationUnit TIME_UNIT \n\n Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n"},
  {(char*)"SetMaximumPropagationUnitToLengthUnit",                (PyCFunction)PyvtkStreamTracer_SetMaximumPropagationUnitToLengthUnit, 1,
   (char*)"V.SetMaximumPropagationUnitToLengthUnit()\nC++: void SetMaximumPropagationUnitToLengthUnit ();this SetMaximumPropagationUnit LENGTH_UNIT \n\n Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n"},
  {(char*)"SetMaximumPropagationUnitToCellLengthUnit",                (PyCFunction)PyvtkStreamTracer_SetMaximumPropagationUnitToCellLengthUnit, 1,
   (char*)"V.SetMaximumPropagationUnitToCellLengthUnit()\nC++: void SetMaximumPropagationUnitToCellLengthUnit ();this SetMaximumPropagationUnit CELL_LENGTH_UNIT \n\n Specify the maximum length of the streamlines expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n"},
  {(char*)"SetMinimumIntegrationStep",                (PyCFunction)PyvtkStreamTracer_SetMinimumIntegrationStep, 1,
   (char*)"V.SetMinimumIntegrationStep(int, float)\nC++: void SetMinimumIntegrationStep (int unit, double step);\nV.SetMinimumIntegrationStep(float)\nC++: void SetMinimumIntegrationStep (double step);\n\n Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMinimumIntegrationStepUnit",                (PyCFunction)PyvtkStreamTracer_SetMinimumIntegrationStepUnit, 1,
   (char*)"V.SetMinimumIntegrationStepUnit(int)\nC++: void SetMinimumIntegrationStepUnit (int unit);\n\n Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"GetMinimumIntegrationStepUnit",                (PyCFunction)PyvtkStreamTracer_GetMinimumIntegrationStepUnit, 1,
   (char*)"V.GetMinimumIntegrationStepUnit() -> int\nC++: int GetMinimumIntegrationStepUnit ();\n\n Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"GetMinimumIntegrationStep",                (PyCFunction)PyvtkStreamTracer_GetMinimumIntegrationStep, 1,
   (char*)"V.GetMinimumIntegrationStep() -> float\nC++: double GetMinimumIntegrationStep ();\n\n Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMinimumIntegrationStepUnitToTimeUnit",                (PyCFunction)PyvtkStreamTracer_SetMinimumIntegrationStepUnitToTimeUnit, 1,
   (char*)"V.SetMinimumIntegrationStepUnitToTimeUnit()\nC++: void SetMinimumIntegrationStepUnitToTimeUnit ();this SetMinimumIntegrationStepUnit TIME_UNIT \n\n Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMinimumIntegrationStepUnitToLengthUnit",                (PyCFunction)PyvtkStreamTracer_SetMinimumIntegrationStepUnitToLengthUnit, 1,
   (char*)"V.SetMinimumIntegrationStepUnitToLengthUnit()\nC++: void SetMinimumIntegrationStepUnitToLengthUnit ();this SetMinimumIntegrationStepUnit LENGTH_UNIT \n\n Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMinimumIntegrationStepUnitToCellLengthUnit",                (PyCFunction)PyvtkStreamTracer_SetMinimumIntegrationStepUnitToCellLengthUnit, 1,
   (char*)"V.SetMinimumIntegrationStepUnitToCellLengthUnit()\nC++: void SetMinimumIntegrationStepUnitToCellLengthUnit ();this SetMinimumIntegrationStepUnit CELL_LENGTH_UNIT \n\n Specify the minimum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMaximumIntegrationStep",                (PyCFunction)PyvtkStreamTracer_SetMaximumIntegrationStep, 1,
   (char*)"V.SetMaximumIntegrationStep(int, float)\nC++: void SetMaximumIntegrationStep (int unit, double step);\nV.SetMaximumIntegrationStep(float)\nC++: void SetMaximumIntegrationStep (double step);\n\n Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMaximumIntegrationStepUnit",                (PyCFunction)PyvtkStreamTracer_SetMaximumIntegrationStepUnit, 1,
   (char*)"V.SetMaximumIntegrationStepUnit(int)\nC++: void SetMaximumIntegrationStepUnit (int unit);\n\n Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"GetMaximumIntegrationStepUnit",                (PyCFunction)PyvtkStreamTracer_GetMaximumIntegrationStepUnit, 1,
   (char*)"V.GetMaximumIntegrationStepUnit() -> int\nC++: int GetMaximumIntegrationStepUnit ();\n\n Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"GetMaximumIntegrationStep",                (PyCFunction)PyvtkStreamTracer_GetMaximumIntegrationStep, 1,
   (char*)"V.GetMaximumIntegrationStep() -> float\nC++: double GetMaximumIntegrationStep ();\n\n Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMaximumIntegrationStepUnitToTimeUnit",                (PyCFunction)PyvtkStreamTracer_SetMaximumIntegrationStepUnitToTimeUnit, 1,
   (char*)"V.SetMaximumIntegrationStepUnitToTimeUnit()\nC++: void SetMaximumIntegrationStepUnitToTimeUnit ();this SetMaximumIntegrationStepUnit TIME_UNIT \n\n Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMaximumIntegrationStepUnitToLengthUnit",                (PyCFunction)PyvtkStreamTracer_SetMaximumIntegrationStepUnitToLengthUnit, 1,
   (char*)"V.SetMaximumIntegrationStepUnitToLengthUnit()\nC++: void SetMaximumIntegrationStepUnitToLengthUnit ();this SetMaximumIntegrationStepUnit LENGTH_UNIT \n\n Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetMaximumIntegrationStepUnitToCellLengthUnit",                (PyCFunction)PyvtkStreamTracer_SetMaximumIntegrationStepUnitToCellLengthUnit, 1,
   (char*)"V.SetMaximumIntegrationStepUnitToCellLengthUnit()\nC++: void SetMaximumIntegrationStepUnitToCellLengthUnit ();this SetMaximumIntegrationStepUnit CELL_LENGTH_UNIT \n\n Specify the maximum step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n Only valid when using adaptive integrators.\n"},
  {(char*)"SetInitialIntegrationStep",                (PyCFunction)PyvtkStreamTracer_SetInitialIntegrationStep, 1,
   (char*)"V.SetInitialIntegrationStep(int, float)\nC++: void SetInitialIntegrationStep (int unit, double step);\nV.SetInitialIntegrationStep(float)\nC++: void SetInitialIntegrationStep (double step);\n\n Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n"},
  {(char*)"SetInitialIntegrationStepUnit",                (PyCFunction)PyvtkStreamTracer_SetInitialIntegrationStepUnit, 1,
   (char*)"V.SetInitialIntegrationStepUnit(int)\nC++: void SetInitialIntegrationStepUnit (int unit);\n\n Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n"},
  {(char*)"GetInitialIntegrationStepUnit",                (PyCFunction)PyvtkStreamTracer_GetInitialIntegrationStepUnit, 1,
   (char*)"V.GetInitialIntegrationStepUnit() -> int\nC++: int GetInitialIntegrationStepUnit ();\n\n Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n"},
  {(char*)"GetInitialIntegrationStep",                (PyCFunction)PyvtkStreamTracer_GetInitialIntegrationStep, 1,
   (char*)"V.GetInitialIntegrationStep() -> float\nC++: double GetInitialIntegrationStep ();\n\n Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n"},
  {(char*)"SetInitialIntegrationStepUnitToTimeUnit",                (PyCFunction)PyvtkStreamTracer_SetInitialIntegrationStepUnitToTimeUnit, 1,
   (char*)"V.SetInitialIntegrationStepUnitToTimeUnit()\nC++: void SetInitialIntegrationStepUnitToTimeUnit ();this SetInitialIntegrationStepUnit TIME_UNIT \n\n Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n"},
  {(char*)"SetInitialIntegrationStepUnitToLengthUnit",                (PyCFunction)PyvtkStreamTracer_SetInitialIntegrationStepUnitToLengthUnit, 1,
   (char*)"V.SetInitialIntegrationStepUnitToLengthUnit()\nC++: void SetInitialIntegrationStepUnitToLengthUnit ();this SetInitialIntegrationStepUnit LENGTH_UNIT \n\n Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n"},
  {(char*)"SetInitialIntegrationStepUnitToCellLengthUnit",                (PyCFunction)PyvtkStreamTracer_SetInitialIntegrationStepUnitToCellLengthUnit, 1,
   (char*)"V.SetInitialIntegrationStepUnitToCellLengthUnit()\nC++: void SetInitialIntegrationStepUnitToCellLengthUnit ();this SetInitialIntegrationStepUnit CELL_LENGTH_UNIT \n\n Specify the initial step used in the integration expressed in \n one of the: \n TIME_UNIT        = 0\n LENGTH_UNIT      = 1\n CELL_LENGTH_UNIT = 2\n If the integrator is not adaptive, this is the actual\n step used.\n"},
  {(char*)"SetMaximumError",                (PyCFunction)PyvtkStreamTracer_SetMaximumError, 1,
   (char*)"V.SetMaximumError(float)\nC++: void SetMaximumError (double );\n\n"},
  {(char*)"GetMaximumError",                (PyCFunction)PyvtkStreamTracer_GetMaximumError, 1,
   (char*)"V.GetMaximumError() -> float\nC++: double GetMaximumError ();\n\n"},
  {(char*)"SetMaximumNumberOfSteps",                (PyCFunction)PyvtkStreamTracer_SetMaximumNumberOfSteps, 1,
   (char*)"V.SetMaximumNumberOfSteps(int)\nC++: void SetMaximumNumberOfSteps (vtkIdType );\n\n"},
  {(char*)"GetMaximumNumberOfSteps",                (PyCFunction)PyvtkStreamTracer_GetMaximumNumberOfSteps, 1,
   (char*)"V.GetMaximumNumberOfSteps() -> int\nC++: vtkIdType GetMaximumNumberOfSteps ();\n\n"},
  {(char*)"SetTerminalSpeed",                (PyCFunction)PyvtkStreamTracer_SetTerminalSpeed, 1,
   (char*)"V.SetTerminalSpeed(float)\nC++: void SetTerminalSpeed (double );\n\n"},
  {(char*)"GetTerminalSpeed",                (PyCFunction)PyvtkStreamTracer_GetTerminalSpeed, 1,
   (char*)"V.GetTerminalSpeed() -> float\nC++: double GetTerminalSpeed ();\n\n"},
  {(char*)"SetIntegrationDirection",                (PyCFunction)PyvtkStreamTracer_SetIntegrationDirection, 1,
   (char*)"V.SetIntegrationDirection(int)\nC++: void SetIntegrationDirection (int );\n\n Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n"},
  {(char*)"GetIntegrationDirectionMinValue",                (PyCFunction)PyvtkStreamTracer_GetIntegrationDirectionMinValue, 1,
   (char*)"V.GetIntegrationDirectionMinValue() -> int\nC++: int GetIntegrationDirectionMinValue ();\n\n Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n"},
  {(char*)"GetIntegrationDirectionMaxValue",                (PyCFunction)PyvtkStreamTracer_GetIntegrationDirectionMaxValue, 1,
   (char*)"V.GetIntegrationDirectionMaxValue() -> int\nC++: int GetIntegrationDirectionMaxValue ();\n\n Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n"},
  {(char*)"GetIntegrationDirection",                (PyCFunction)PyvtkStreamTracer_GetIntegrationDirection, 1,
   (char*)"V.GetIntegrationDirection() -> int\nC++: int GetIntegrationDirection ();\n\n Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n"},
  {(char*)"SetIntegrationDirectionToForward",                (PyCFunction)PyvtkStreamTracer_SetIntegrationDirectionToForward, 1,
   (char*)"V.SetIntegrationDirectionToForward()\nC++: void SetIntegrationDirectionToForward ();this SetIntegrationDirection FORWARD \n\n Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n"},
  {(char*)"SetIntegrationDirectionToBackward",                (PyCFunction)PyvtkStreamTracer_SetIntegrationDirectionToBackward, 1,
   (char*)"V.SetIntegrationDirectionToBackward()\nC++: void SetIntegrationDirectionToBackward ();this SetIntegrationDirection BACKWARD \n\n Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n"},
  {(char*)"SetIntegrationDirectionToBoth",                (PyCFunction)PyvtkStreamTracer_SetIntegrationDirectionToBoth, 1,
   (char*)"V.SetIntegrationDirectionToBoth()\nC++: void SetIntegrationDirectionToBoth ();this SetIntegrationDirection BOTH \n\n Specify whether the streamtrace will be generated in the\n upstream or downstream direction.\n"},
  {(char*)"SetComputeVorticity",                (PyCFunction)PyvtkStreamTracer_SetComputeVorticity, 1,
   (char*)"V.SetComputeVorticity(int)\nC++: void SetComputeVorticity (int );\n\n"},
  {(char*)"GetComputeVorticity",                (PyCFunction)PyvtkStreamTracer_GetComputeVorticity, 1,
   (char*)"V.GetComputeVorticity() -> int\nC++: int GetComputeVorticity ();\n\n"},
  {(char*)"ComputeVorticityOn",                (PyCFunction)PyvtkStreamTracer_ComputeVorticityOn, 1,
   (char*)"V.ComputeVorticityOn()\nC++: void ComputeVorticityOn ();\n\n"},
  {(char*)"ComputeVorticityOff",                (PyCFunction)PyvtkStreamTracer_ComputeVorticityOff, 1,
   (char*)"V.ComputeVorticityOff()\nC++: void ComputeVorticityOff ();\n\n"},
  {(char*)"SetRotationScale",                (PyCFunction)PyvtkStreamTracer_SetRotationScale, 1,
   (char*)"V.SetRotationScale(float)\nC++: void SetRotationScale (double );\n\n"},
  {(char*)"GetRotationScale",                (PyCFunction)PyvtkStreamTracer_GetRotationScale, 1,
   (char*)"V.GetRotationScale() -> float\nC++: double GetRotationScale ();\n\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkStreamTracer_AddInput, 1,
   (char*)"V.AddInput(vtkDataSet)\nC++: void AddInput (vtkDataSet *in);\n\n Add a dataset to the list inputs\n"},
  {(char*)"SetInterpolatorPrototype",                (PyCFunction)PyvtkStreamTracer_SetInterpolatorPrototype, 1,
   (char*)"V.SetInterpolatorPrototype(vtkInterpolatedVelocityField)\nC++: void SetInterpolatorPrototype (vtkInterpolatedVelocityField *ivf);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStreamTracerDoc[] = {
  (char*)"vtkStreamTracer - Streamline generator\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkStreamTracer is a filter that integrates a vector field to generate\n streamlines. The integration is performed using the provided integrator.\n The default is second order Runge-Kutta. \n \n vtkStreamTracer generate polylines as output. Each cell (polyline) \n corresponds to one streamline. The values associated with each streamline\n are stored in the cell data whereas the values associated with p",
  (char*)"oints\n are stored in point data.\n\n Note that vtkStreamTracer can integrate both forward and backward. \n The length of the streamline is controlled by specifying either\n a maximum value in the units of length, cell length or elapsed time \n (the elapsed time is the time each particle would have traveled if\n flow were steady). Otherwise, the integration terminates after exiting \n the dataset or if th",
  (char*)"e particle speed is reduced to a value less than \n the terminal speed or when a maximum number of steps is reached. \n The reason for the termination is stored in a cell array named \n ReasonForTermination.\n\n The quality of integration can be controlled by setting integration\n step (InitialIntegrationStep) and in the case of adaptive solvers\n the maximum error, the minimum integration step and the m",
  (char*)"aximum \n integration step. All of these can have units of length, cell length \n or elapsed time.\n\n The integration time, vorticity, rotation and angular velocity\n are stored in point arrays named \"IntegrationTime\", \"Vorticity\",\n \"Rotation\" and \"AngularVelocity\" respectively (vorticity, rotation\n and angular velocity are computed only when ComputeVorticity is on).\n All point attributes in the sourc",
  (char*)"e data set are interpolated on the \n new streamline points.\n\n vtkStreamTracer integrates through any type of dataset. As a result, if the \n dataset contains 2D cells such as polygons or triangles, the integration is\n constrained to lie on the surface defined by the 2D cells.\n\n The starting point of traces may be defined in two different ways.\n Starting from global x-y-z \"position\" allows you to st",
  (char*)"art a single trace\n at a specified x-y-z coordinate. If you specify a source object, \n a trace will be generated for each point in the source that is \n inside the dataset.\n\n\n",
  "See Also:\n\n vtkRibbonFilter vtkRuledSurfaceFilter vtkInitialValueProblemSolver \n vtkRungeKutta2 vtkRungeKutta4 vtkRungeKutta45 \n\n",
  NULL
};

static vtkObjectBase *vtkStreamTracerStaticNew()
{
  return vtkStreamTracer::New();
}

PyObject *PyVTKClass_vtkStreamTracerNew(char *modulename)
{
  return PyVTKClass_New(&vtkStreamTracerStaticNew,
                        PyvtkStreamTracerMethods,
                        (char*)"vtkStreamTracer",modulename,
                        (char**)vtkStreamTracerDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

