// tcl wrapper for vtkStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStreamTracer.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkStreamTracerNewCommand()
{
  vtkStreamTracer *temp = vtkStreamTracer::New();
  return ((ClientData)temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStreamTracerCppCommand(vtkStreamTracer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkStreamTracerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkStreamTracerCppCommand((vtkStreamTracer *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStreamTracerCppCommand(vtkStreamTracer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkStreamTracer",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand((vtkPolyDataAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPolyDataAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkStreamTracer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkStreamTracer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkStreamTracer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkStreamTracer");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkStreamTracer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkStreamTracer");
    return TCL_OK;
    }
  if ((!strcmp("SetStartPosition",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetStartPosition(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStartPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetStartPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStartPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetStartPosition();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSource",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->SetSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSource",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetSource();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("SetSourceConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkAlgorithmOutput",interp,error));
    if (!error)
    {
    op->SetSourceConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIntegrator",argv[1]))&&(argc == 3))
    {
    vtkInitialValueProblemSolver  *temp0;
    error = 0;

    temp0 = (vtkInitialValueProblemSolver *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInitialValueProblemSolver",interp,error));
    if (!error)
    {
    op->SetIntegrator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrator",argv[1]))&&(argc == 2))
    {
    vtkInitialValueProblemSolver  *temp20;
    temp20 = (op)->GetIntegrator();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInitialValueProblemSolver");
    return TCL_OK;
    }
  if ((!strcmp("SetIntegratorType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegratorType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegratorType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegratorType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegratorTypeToRungeKutta2",argv[1]))&&(argc == 2))
    {
    op->SetIntegratorTypeToRungeKutta2();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegratorTypeToRungeKutta4",argv[1]))&&(argc == 2))
    {
    op->SetIntegratorTypeToRungeKutta4();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegratorTypeToRungeKutta45",argv[1]))&&(argc == 2))
    {
    op->SetIntegratorTypeToRungeKutta45();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumPropagation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetMaximumPropagation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumPropagation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumPropagation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumPropagationUnit",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumPropagationUnit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumPropagationUnit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumPropagationUnit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumPropagation",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumPropagation();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumPropagationUnitToTimeUnit",argv[1]))&&(argc == 2))
    {
    op->SetMaximumPropagationUnitToTimeUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumPropagationUnitToLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetMaximumPropagationUnitToLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumPropagationUnitToCellLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetMaximumPropagationUnitToCellLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumIntegrationStep",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetMinimumIntegrationStep(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMinimumIntegrationStepUnit",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinimumIntegrationStepUnit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMinimumIntegrationStep",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumIntegrationStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumIntegrationStepUnit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinimumIntegrationStepUnit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumIntegrationStep",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumIntegrationStep();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumIntegrationStepUnitToTimeUnit",argv[1]))&&(argc == 2))
    {
    op->SetMinimumIntegrationStepUnitToTimeUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumIntegrationStepUnitToLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetMinimumIntegrationStepUnitToLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumIntegrationStepUnitToCellLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetMinimumIntegrationStepUnitToCellLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumIntegrationStep",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetMaximumIntegrationStep(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumIntegrationStepUnit",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumIntegrationStepUnit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumIntegrationStep",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumIntegrationStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumIntegrationStepUnit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumIntegrationStepUnit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumIntegrationStep",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumIntegrationStep();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumIntegrationStepUnitToTimeUnit",argv[1]))&&(argc == 2))
    {
    op->SetMaximumIntegrationStepUnitToTimeUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumIntegrationStepUnitToLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetMaximumIntegrationStepUnitToLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumIntegrationStepUnitToCellLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetMaximumIntegrationStepUnitToCellLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInitialIntegrationStep",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetInitialIntegrationStep(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInitialIntegrationStepUnit",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInitialIntegrationStepUnit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInitialIntegrationStep",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInitialIntegrationStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInitialIntegrationStepUnit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInitialIntegrationStepUnit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInitialIntegrationStep",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInitialIntegrationStep();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInitialIntegrationStepUnitToTimeUnit",argv[1]))&&(argc == 2))
    {
    op->SetInitialIntegrationStepUnitToTimeUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInitialIntegrationStepUnitToLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetInitialIntegrationStepUnitToLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInitialIntegrationStepUnitToCellLengthUnit",argv[1]))&&(argc == 2))
    {
    op->SetInitialIntegrationStepUnitToCellLengthUnit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumError",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumError(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumError",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumError();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfSteps",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfSteps",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetMaximumNumberOfSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTerminalSpeed",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTerminalSpeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTerminalSpeed",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTerminalSpeed();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegrationDirection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationDirectionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirectionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationDirectionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirectionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationDirection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationDirection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToForward",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToForward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToBackward",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToBackward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationDirectionToBoth",argv[1]))&&(argc == 2))
    {
    op->SetIntegrationDirectionToBoth();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeVorticity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeVorticity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeVorticity",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeVorticity();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeVorticityOn",argv[1]))&&(argc == 2))
    {
    op->ComputeVorticityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeVorticityOff",argv[1]))&&(argc == 2))
    {
    op->ComputeVorticityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRotationScale",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRotationScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRotationScale",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRotationScale();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddInput",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->AddInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInterpolatorPrototype",argv[1]))&&(argc == 3))
    {
    vtkInterpolatedVelocityField  *temp0;
    error = 0;

    temp0 = (vtkInterpolatedVelocityField *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInterpolatedVelocityField",interp,error));
    if (!error)
    {
    op->SetInterpolatorPrototype(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkStreamTracerCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStreamTracer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetStartPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStartPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetStartPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSource\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrator\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegratorType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegratorType\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegratorTypeToRungeKutta2\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegratorTypeToRungeKutta4\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegratorTypeToRungeKutta45\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagationUnit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumPropagationUnit\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumPropagation\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagationUnitToTimeUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagationUnitToLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumPropagationUnitToCellLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumIntegrationStep\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumIntegrationStepUnit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumIntegrationStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumIntegrationStepUnit\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumIntegrationStep\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumIntegrationStepUnitToTimeUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumIntegrationStepUnitToLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumIntegrationStepUnitToCellLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumIntegrationStep\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumIntegrationStepUnit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumIntegrationStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumIntegrationStepUnit\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumIntegrationStep\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumIntegrationStepUnitToTimeUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumIntegrationStepUnitToLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumIntegrationStepUnitToCellLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialIntegrationStep\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialIntegrationStepUnit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialIntegrationStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInitialIntegrationStepUnit\n",NULL);
    Tcl_AppendResult(interp,"  GetInitialIntegrationStep\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialIntegrationStepUnitToTimeUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialIntegrationStepUnitToLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialIntegrationStepUnitToCellLengthUnit\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumError\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumError\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfSteps\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfSteps\n",NULL);
    Tcl_AppendResult(interp,"  SetTerminalSpeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTerminalSpeed\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirectionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirectionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationDirection\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToForward\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToBackward\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationDirectionToBoth\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeVorticity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeVorticity\n",NULL);
    Tcl_AppendResult(interp,"  ComputeVorticityOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeVorticityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRotationScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRotationScale\n",NULL);
    Tcl_AppendResult(interp,"  AddInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolatorPrototype\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkPolyDataAlgorithmCppCommand((vtkPolyDataAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
