// python wrapper for vtkStructuredGridOutlineFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkStructuredGridOutlineFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredGridOutlineFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredGridOutlineFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkStructuredGridOutlineFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridOutlineFilter *op;

  const char    *temp20;
  if ((op = (vtkStructuredGridOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridOutlineFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridOutlineFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridOutlineFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkStructuredGridOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridOutlineFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridOutlineFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredGridOutlineFilter *op;

  vtkStructuredGridOutlineFilter  *temp20;
  if ((op = (vtkStructuredGridOutlineFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredGridOutlineFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredGridOutlineFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStructuredGridOutlineFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStructuredGridOutlineFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkStructuredGridOutlineFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredGridOutlineFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredGridOutlineFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredGridOutlineFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredGridOutlineFilter\nC++: vtkStructuredGridOutlineFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStructuredGridOutlineFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStructuredGridOutlineFilter\nC++: vtkStructuredGridOutlineFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredGridOutlineFilterDoc[] = {
  (char*)"vtkStructuredGridOutlineFilter - create wireframe outline for structured grid\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkStructuredGridOutlineFilter is a filter that generates a wireframe \n outline of a structured grid (vtkStructuredGrid). Structured data is \n topologically a cube, so the outline will have 12 \"edges\".\n\n",
  NULL
};

static vtkObjectBase *vtkStructuredGridOutlineFilterStaticNew()
{
  return vtkStructuredGridOutlineFilter::New();
}

PyObject *PyVTKClass_vtkStructuredGridOutlineFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkStructuredGridOutlineFilterStaticNew,
                        PyvtkStructuredGridOutlineFilterMethods,
                        (char*)"vtkStructuredGridOutlineFilter",modulename,
                        (char**)vtkStructuredGridOutlineFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

