// python wrapper for vtkStructuredPointsGeometryFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkStructuredPointsGeometryFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkStructuredPointsGeometryFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkStructuredPointsGeometryFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageDataGeometryFilterNew(char *); }

static PyObject *PyvtkStructuredPointsGeometryFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsGeometryFilter *op;

  const char    *temp20;
  if ((op = (vtkStructuredPointsGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsGeometryFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsGeometryFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsGeometryFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkStructuredPointsGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsGeometryFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsGeometryFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkStructuredPointsGeometryFilter *op;

  vtkStructuredPointsGeometryFilter  *temp20;
  if ((op = (vtkStructuredPointsGeometryFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkStructuredPointsGeometryFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkStructuredPointsGeometryFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkStructuredPointsGeometryFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkStructuredPointsGeometryFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkStructuredPointsGeometryFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkStructuredPointsGeometryFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkStructuredPointsGeometryFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkStructuredPointsGeometryFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkStructuredPointsGeometryFilter\nC++: vtkStructuredPointsGeometryFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkStructuredPointsGeometryFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkStructuredPointsGeometryFilter\nC++: vtkStructuredPointsGeometryFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkStructuredPointsGeometryFilterDoc[] = {
  (char*)"vtkStructuredPointsGeometryFilter - obsolete class\n\n",
  "Super Class:\n\n vtkImageDataGeometryFilter\n\n",
  (char*)" vtkStructuredPointsGeometryFilter has been renamed to\n vtkImageDataGeometryFilter\n\n",
  NULL
};

static vtkObjectBase *vtkStructuredPointsGeometryFilterStaticNew()
{
  return vtkStructuredPointsGeometryFilter::New();
}

PyObject *PyVTKClass_vtkStructuredPointsGeometryFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkStructuredPointsGeometryFilterStaticNew,
                        PyvtkStructuredPointsGeometryFilterMethods,
                        (char*)"vtkStructuredPointsGeometryFilter",modulename,
                        (char**)vtkStructuredPointsGeometryFilterDoc,
                        PyVTKClass_vtkImageDataGeometryFilterNew(modulename));
}

