// python wrapper for vtkSuperquadricSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSuperquadricSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSuperquadricSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSuperquadricSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkSuperquadricSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  const char    *temp20;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadricSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadricSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  vtkSuperquadricSource  *temp20;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadricSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSuperquadricSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSuperquadricSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadricSource::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadricSource::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double  *temp20;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadricSource::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadricSource::SetScale(temp0,temp1,temp2);
      }
    else
      {
      op->SetScale(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadricSource::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double  *temp20;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadricSource::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_GetThetaResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  int      temp20;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadricSource::GetThetaResolution();
      }
    else
      {
      temp20 = op->GetThetaResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_SetThetaResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  int      temp0;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadricSource::SetThetaResolution(temp0);
      }
    else
      {
      op->SetThetaResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_GetPhiResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  int      temp20;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadricSource::GetPhiResolution();
      }
    else
      {
      temp20 = op->GetPhiResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_SetPhiResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  int      temp0;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadricSource::SetPhiResolution(temp0);
      }
    else
      {
      op->SetPhiResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_GetThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double   temp20;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadricSource::GetThickness();
      }
    else
      {
      temp20 = op->GetThickness();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_SetThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double   temp0;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadricSource::SetThickness(temp0);
      }
    else
      {
      op->SetThickness(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_GetThicknessMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double   temp20;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadricSource::GetThicknessMinValue();
      }
    else
      {
      temp20 = op->GetThicknessMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_GetThicknessMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double   temp20;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadricSource::GetThicknessMaxValue();
      }
    else
      {
      temp20 = op->GetThicknessMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_GetPhiRoundness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double   temp20;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadricSource::GetPhiRoundness();
      }
    else
      {
      temp20 = op->GetPhiRoundness();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_SetPhiRoundness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double   temp0;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadricSource::SetPhiRoundness(temp0);
      }
    else
      {
      op->SetPhiRoundness(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_GetThetaRoundness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double   temp20;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadricSource::GetThetaRoundness();
      }
    else
      {
      temp20 = op->GetThetaRoundness();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_SetThetaRoundness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double   temp0;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadricSource::SetThetaRoundness(temp0);
      }
    else
      {
      op->SetThetaRoundness(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_SetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double   temp0;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadricSource::SetSize(temp0);
      }
    else
      {
      op->SetSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  double   temp20;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadricSource::GetSize();
      }
    else
      {
      temp20 = op->GetSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_ToroidalOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadricSource::ToroidalOn();
      }
    else
      {
      op->ToroidalOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_ToroidalOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadricSource::ToroidalOff();
      }
    else
      {
      op->ToroidalOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_GetToroidal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  int      temp20;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSuperquadricSource::GetToroidal();
      }
    else
      {
      temp20 = op->GetToroidal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSuperquadricSource_SetToroidal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSuperquadricSource *op;

  int      temp0;
  if ((op = (vtkSuperquadricSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSuperquadricSource::SetToroidal(temp0);
      }
    else
      {
      op->SetToroidal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSuperquadricSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSuperquadricSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSuperquadricSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSuperquadricSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSuperquadricSource\nC++: vtkSuperquadricSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSuperquadricSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSuperquadricSource\nC++: vtkSuperquadricSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkSuperquadricSource_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set the center of the superquadric. Default is 0,0,0.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkSuperquadricSource_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set the center of the superquadric. Default is 0,0,0.\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkSuperquadricSource_SetScale, 1,
   (char*)"V.SetScale(float, float, float)\nC++: void SetScale (double , double , double );\nV.SetScale((float, float, float))\nC++: void SetScale (double  a[3]);\n\n Set the scale factors of the superquadric. Default is 1,1,1.\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkSuperquadricSource_GetScale, 1,
   (char*)"V.GetScale() -> (float, float, float)\nC++: double  *GetScale ();\n\n Set the scale factors of the superquadric. Default is 1,1,1.\n"},
  {(char*)"GetThetaResolution",                (PyCFunction)PyvtkSuperquadricSource_GetThetaResolution, 1,
   (char*)"V.GetThetaResolution() -> int\nC++: int GetThetaResolution ();\n\n Set the number of points in the longitude direction.\n"},
  {(char*)"SetThetaResolution",                (PyCFunction)PyvtkSuperquadricSource_SetThetaResolution, 1,
   (char*)"V.SetThetaResolution(int)\nC++: void SetThetaResolution (int i);\n\n Set the number of points in the longitude direction.\n"},
  {(char*)"GetPhiResolution",                (PyCFunction)PyvtkSuperquadricSource_GetPhiResolution, 1,
   (char*)"V.GetPhiResolution() -> int\nC++: int GetPhiResolution ();\n\n Set the number of points in the latitude direction.\n"},
  {(char*)"SetPhiResolution",                (PyCFunction)PyvtkSuperquadricSource_SetPhiResolution, 1,
   (char*)"V.SetPhiResolution(int)\nC++: void SetPhiResolution (int i);\n\n Set the number of points in the latitude direction.\n"},
  {(char*)"GetThickness",                (PyCFunction)PyvtkSuperquadricSource_GetThickness, 1,
   (char*)"V.GetThickness() -> float\nC++: double GetThickness ();\n\n Set/Get Superquadric ring thickness (toroids only).\n Changing thickness maintains the outside diameter of the toroid.\n"},
  {(char*)"SetThickness",                (PyCFunction)PyvtkSuperquadricSource_SetThickness, 1,
   (char*)"V.SetThickness(float)\nC++: void SetThickness (double );\n\n Set/Get Superquadric ring thickness (toroids only).\n Changing thickness maintains the outside diameter of the toroid.\n"},
  {(char*)"GetThicknessMinValue",                (PyCFunction)PyvtkSuperquadricSource_GetThicknessMinValue, 1,
   (char*)"V.GetThicknessMinValue() -> float\nC++: double GetThicknessMinValue ();\n\n Set/Get Superquadric ring thickness (toroids only).\n Changing thickness maintains the outside diameter of the toroid.\n"},
  {(char*)"GetThicknessMaxValue",                (PyCFunction)PyvtkSuperquadricSource_GetThicknessMaxValue, 1,
   (char*)"V.GetThicknessMaxValue() -> float\nC++: double GetThicknessMaxValue ();\n\n Set/Get Superquadric ring thickness (toroids only).\n Changing thickness maintains the outside diameter of the toroid.\n"},
  {(char*)"GetPhiRoundness",                (PyCFunction)PyvtkSuperquadricSource_GetPhiRoundness, 1,
   (char*)"V.GetPhiRoundness() -> float\nC++: double GetPhiRoundness ();\n\n Set/Get Superquadric north/south roundness. \n Values range from 0 (rectangular) to 1 (circular) to higher orders.\n"},
  {(char*)"SetPhiRoundness",                (PyCFunction)PyvtkSuperquadricSource_SetPhiRoundness, 1,
   (char*)"V.SetPhiRoundness(float)\nC++: void SetPhiRoundness (double e);\n\n Set/Get Superquadric north/south roundness. \n Values range from 0 (rectangular) to 1 (circular) to higher orders.\n"},
  {(char*)"GetThetaRoundness",                (PyCFunction)PyvtkSuperquadricSource_GetThetaRoundness, 1,
   (char*)"V.GetThetaRoundness() -> float\nC++: double GetThetaRoundness ();\n\n Set/Get Superquadric east/west roundness.\n Values range from 0 (rectangular) to 1 (circular) to higher orders.\n"},
  {(char*)"SetThetaRoundness",                (PyCFunction)PyvtkSuperquadricSource_SetThetaRoundness, 1,
   (char*)"V.SetThetaRoundness(float)\nC++: void SetThetaRoundness (double e);\n\n Set/Get Superquadric east/west roundness.\n Values range from 0 (rectangular) to 1 (circular) to higher orders.\n"},
  {(char*)"SetSize",                (PyCFunction)PyvtkSuperquadricSource_SetSize, 1,
   (char*)"V.SetSize(float)\nC++: void SetSize (double );\n\n Set/Get Superquadric isotropic size.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkSuperquadricSource_GetSize, 1,
   (char*)"V.GetSize() -> float\nC++: double GetSize ();\n\n Set/Get Superquadric isotropic size.\n"},
  {(char*)"ToroidalOn",                (PyCFunction)PyvtkSuperquadricSource_ToroidalOn, 1,
   (char*)"V.ToroidalOn()\nC++: void ToroidalOn ();\n\n Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).\n"},
  {(char*)"ToroidalOff",                (PyCFunction)PyvtkSuperquadricSource_ToroidalOff, 1,
   (char*)"V.ToroidalOff()\nC++: void ToroidalOff ();\n\n Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).\n"},
  {(char*)"GetToroidal",                (PyCFunction)PyvtkSuperquadricSource_GetToroidal, 1,
   (char*)"V.GetToroidal() -> int\nC++: int GetToroidal ();\n\n Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).\n"},
  {(char*)"SetToroidal",                (PyCFunction)PyvtkSuperquadricSource_SetToroidal, 1,
   (char*)"V.SetToroidal(int)\nC++: void SetToroidal (int );\n\n Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSuperquadricSourceDoc[] = {
  (char*)"vtkSuperquadricSource - create a polygonal superquadric centered \n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkSuperquadricSource creates a superquadric (represented by polygons) \n of specified\n size centered at the origin. The resolution (polygonal discretization)\n in both the latitude (phi) and longitude (theta) directions can be\n specified. Roundness parameters (PhiRoundness and ThetaRoundness) control\n the shape of the superquadric.  The Toroidal boolean controls whether\n a toroidal superquadric is",
  (char*)" produced.  If so, the Thickness parameter\n controls the thickness of the toroid:  0 is the thinnest allowable\n toroid, and 1 has a minimum sized hole.  The Scale parameters allow \n the superquadric to be scaled in x, y, and z (normal vectors are correctly\n generated in any case).  The Size parameter controls size of the \n superquadric.\n\n This code is based on \"Rigid physically based superquadrics",
  (char*)"\", A. H. Barr,\n in \"Graphics Gems III\", David Kirk, ed., Academic Press, 1992.\n\n\n",
  "Caveats:\n\n Resolution means the number of latitude or longitude lines for a complete \n superquadric. The resolution parameters are rounded to the nearest 4\n in phi and 8 in theta.  \n\n Texture coordinates are not equally distributed around all superquadrics.\n \n The Size and Thickness parameters control coefficients of superquadric\n generation, and may do not exactly describe the size of the superquadric.\n\n\n",
  NULL
};

static vtkObjectBase *vtkSuperquadricSourceStaticNew()
{
  return vtkSuperquadricSource::New();
}

PyObject *PyVTKClass_vtkSuperquadricSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkSuperquadricSourceStaticNew,
                        PyvtkSuperquadricSourceMethods,
                        (char*)"vtkSuperquadricSource",modulename,
                        (char**)vtkSuperquadricSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

