// python wrapper for vtkTexturedSphereSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTexturedSphereSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTexturedSphereSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTexturedSphereSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkTexturedSphereSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  const char    *temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  vtkTexturedSphereSource  *temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTexturedSphereSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTexturedSphereSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  double   temp0;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexturedSphereSource::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  double   temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetRadiusMinValue();
      }
    else
      {
      temp20 = op->GetRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  double   temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  double   temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_SetThetaResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  int      temp0;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexturedSphereSource::SetThetaResolution(temp0);
      }
    else
      {
      op->SetThetaResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetThetaResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  int      temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetThetaResolutionMinValue();
      }
    else
      {
      temp20 = op->GetThetaResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetThetaResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  int      temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetThetaResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetThetaResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetThetaResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  int      temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetThetaResolution();
      }
    else
      {
      temp20 = op->GetThetaResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_SetPhiResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  int      temp0;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexturedSphereSource::SetPhiResolution(temp0);
      }
    else
      {
      op->SetPhiResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetPhiResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  int      temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetPhiResolutionMinValue();
      }
    else
      {
      temp20 = op->GetPhiResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetPhiResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  int      temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetPhiResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetPhiResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetPhiResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  int      temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetPhiResolution();
      }
    else
      {
      temp20 = op->GetPhiResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_SetTheta(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  double   temp0;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexturedSphereSource::SetTheta(temp0);
      }
    else
      {
      op->SetTheta(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetThetaMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  double   temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetThetaMinValue();
      }
    else
      {
      temp20 = op->GetThetaMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetThetaMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  double   temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetThetaMaxValue();
      }
    else
      {
      temp20 = op->GetThetaMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetTheta(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  double   temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetTheta();
      }
    else
      {
      temp20 = op->GetTheta();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_SetPhi(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  double   temp0;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexturedSphereSource::SetPhi(temp0);
      }
    else
      {
      op->SetPhi(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetPhiMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  double   temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetPhiMinValue();
      }
    else
      {
      temp20 = op->GetPhiMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetPhiMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  double   temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetPhiMaxValue();
      }
    else
      {
      temp20 = op->GetPhiMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexturedSphereSource_GetPhi(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexturedSphereSource *op;

  double   temp20;
  if ((op = (vtkTexturedSphereSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexturedSphereSource::GetPhi();
      }
    else
      {
      temp20 = op->GetPhi();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTexturedSphereSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTexturedSphereSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTexturedSphereSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTexturedSphereSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTexturedSphereSource\nC++: vtkTexturedSphereSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTexturedSphereSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTexturedSphereSource\nC++: vtkTexturedSphereSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkTexturedSphereSource_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Set radius of sphere.\n"},
  {(char*)"GetRadiusMinValue",                (PyCFunction)PyvtkTexturedSphereSource_GetRadiusMinValue, 1,
   (char*)"V.GetRadiusMinValue() -> float\nC++: double GetRadiusMinValue ();\n\n Set radius of sphere.\n"},
  {(char*)"GetRadiusMaxValue",                (PyCFunction)PyvtkTexturedSphereSource_GetRadiusMaxValue, 1,
   (char*)"V.GetRadiusMaxValue() -> float\nC++: double GetRadiusMaxValue ();\n\n Set radius of sphere.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkTexturedSphereSource_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Set radius of sphere.\n"},
  {(char*)"SetThetaResolution",                (PyCFunction)PyvtkTexturedSphereSource_SetThetaResolution, 1,
   (char*)"V.SetThetaResolution(int)\nC++: void SetThetaResolution (int );\n\n Set the number of points in the longitude direction.\n"},
  {(char*)"GetThetaResolutionMinValue",                (PyCFunction)PyvtkTexturedSphereSource_GetThetaResolutionMinValue, 1,
   (char*)"V.GetThetaResolutionMinValue() -> int\nC++: int GetThetaResolutionMinValue ();\n\n Set the number of points in the longitude direction.\n"},
  {(char*)"GetThetaResolutionMaxValue",                (PyCFunction)PyvtkTexturedSphereSource_GetThetaResolutionMaxValue, 1,
   (char*)"V.GetThetaResolutionMaxValue() -> int\nC++: int GetThetaResolutionMaxValue ();\n\n Set the number of points in the longitude direction.\n"},
  {(char*)"GetThetaResolution",                (PyCFunction)PyvtkTexturedSphereSource_GetThetaResolution, 1,
   (char*)"V.GetThetaResolution() -> int\nC++: int GetThetaResolution ();\n\n Set the number of points in the longitude direction.\n"},
  {(char*)"SetPhiResolution",                (PyCFunction)PyvtkTexturedSphereSource_SetPhiResolution, 1,
   (char*)"V.SetPhiResolution(int)\nC++: void SetPhiResolution (int );\n\n Set the number of points in the latitude direction.\n"},
  {(char*)"GetPhiResolutionMinValue",                (PyCFunction)PyvtkTexturedSphereSource_GetPhiResolutionMinValue, 1,
   (char*)"V.GetPhiResolutionMinValue() -> int\nC++: int GetPhiResolutionMinValue ();\n\n Set the number of points in the latitude direction.\n"},
  {(char*)"GetPhiResolutionMaxValue",                (PyCFunction)PyvtkTexturedSphereSource_GetPhiResolutionMaxValue, 1,
   (char*)"V.GetPhiResolutionMaxValue() -> int\nC++: int GetPhiResolutionMaxValue ();\n\n Set the number of points in the latitude direction.\n"},
  {(char*)"GetPhiResolution",                (PyCFunction)PyvtkTexturedSphereSource_GetPhiResolution, 1,
   (char*)"V.GetPhiResolution() -> int\nC++: int GetPhiResolution ();\n\n Set the number of points in the latitude direction.\n"},
  {(char*)"SetTheta",                (PyCFunction)PyvtkTexturedSphereSource_SetTheta, 1,
   (char*)"V.SetTheta(float)\nC++: void SetTheta (double );\n\n Set the maximum longitude angle.\n"},
  {(char*)"GetThetaMinValue",                (PyCFunction)PyvtkTexturedSphereSource_GetThetaMinValue, 1,
   (char*)"V.GetThetaMinValue() -> float\nC++: double GetThetaMinValue ();\n\n Set the maximum longitude angle.\n"},
  {(char*)"GetThetaMaxValue",                (PyCFunction)PyvtkTexturedSphereSource_GetThetaMaxValue, 1,
   (char*)"V.GetThetaMaxValue() -> float\nC++: double GetThetaMaxValue ();\n\n Set the maximum longitude angle.\n"},
  {(char*)"GetTheta",                (PyCFunction)PyvtkTexturedSphereSource_GetTheta, 1,
   (char*)"V.GetTheta() -> float\nC++: double GetTheta ();\n\n Set the maximum longitude angle.\n"},
  {(char*)"SetPhi",                (PyCFunction)PyvtkTexturedSphereSource_SetPhi, 1,
   (char*)"V.SetPhi(float)\nC++: void SetPhi (double );\n\n Set the maximum latitude angle (0 is at north pole).\n"},
  {(char*)"GetPhiMinValue",                (PyCFunction)PyvtkTexturedSphereSource_GetPhiMinValue, 1,
   (char*)"V.GetPhiMinValue() -> float\nC++: double GetPhiMinValue ();\n\n Set the maximum latitude angle (0 is at north pole).\n"},
  {(char*)"GetPhiMaxValue",                (PyCFunction)PyvtkTexturedSphereSource_GetPhiMaxValue, 1,
   (char*)"V.GetPhiMaxValue() -> float\nC++: double GetPhiMaxValue ();\n\n Set the maximum latitude angle (0 is at north pole).\n"},
  {(char*)"GetPhi",                (PyCFunction)PyvtkTexturedSphereSource_GetPhi, 1,
   (char*)"V.GetPhi() -> float\nC++: double GetPhi ();\n\n Set the maximum latitude angle (0 is at north pole).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTexturedSphereSourceDoc[] = {
  (char*)"vtkTexturedSphereSource - create a sphere centered at the origin\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkTexturedSphereSource creates a polygonal sphere of specified radius \n centered at the origin. The resolution (polygonal discretization) in both \n the latitude (phi) and longitude (theta) directions can be specified. \n It also is possible to create partial sphere by specifying maximum phi and \n theta angles.\n\n",
  NULL
};

static vtkObjectBase *vtkTexturedSphereSourceStaticNew()
{
  return vtkTexturedSphereSource::New();
}

PyObject *PyVTKClass_vtkTexturedSphereSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkTexturedSphereSourceStaticNew,
                        PyvtkTexturedSphereSourceMethods,
                        (char*)"vtkTexturedSphereSource",modulename,
                        (char**)vtkTexturedSphereSourceDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

