// python wrapper for vtkThreshold object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkThreshold.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkThresholdNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkThresholdNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkThreshold_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  const char    *temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  vtkThreshold  *temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkThreshold  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkThreshold::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkThreshold_ThresholdByLower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  double   temp0;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::ThresholdByLower(temp0);
      }
    else
      {
      op->ThresholdByLower(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_ThresholdByUpper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  double   temp0;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::ThresholdByUpper(temp0);
      }
    else
      {
      op->ThresholdByUpper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_ThresholdBetween(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::ThresholdBetween(temp0,temp1);
      }
    else
      {
      op->ThresholdBetween(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_GetUpperThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  double   temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::GetUpperThreshold();
      }
    else
      {
      temp20 = op->GetUpperThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_GetLowerThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  double   temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::GetLowerThreshold();
      }
    else
      {
      temp20 = op->GetLowerThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_SetAttributeMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  int      temp0;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::SetAttributeMode(temp0);
      }
    else
      {
      op->SetAttributeMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_GetAttributeMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  int      temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::GetAttributeMode();
      }
    else
      {
      temp20 = op->GetAttributeMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_SetAttributeModeToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::SetAttributeModeToDefault();
      }
    else
      {
      op->SetAttributeModeToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_SetAttributeModeToUsePointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::SetAttributeModeToUsePointData();
      }
    else
      {
      op->SetAttributeModeToUsePointData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_SetAttributeModeToUseCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::SetAttributeModeToUseCellData();
      }
    else
      {
      op->SetAttributeModeToUseCellData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_GetAttributeModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  const char    *temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::GetAttributeModeAsString();
      }
    else
      {
      temp20 = op->GetAttributeModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_SetComponentMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  int      temp0;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::SetComponentMode(temp0);
      }
    else
      {
      op->SetComponentMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_GetComponentModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  int      temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::GetComponentModeMinValue();
      }
    else
      {
      temp20 = op->GetComponentModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_GetComponentModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  int      temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::GetComponentModeMaxValue();
      }
    else
      {
      temp20 = op->GetComponentModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_GetComponentMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  int      temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::GetComponentMode();
      }
    else
      {
      temp20 = op->GetComponentMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_SetComponentModeToUseSelected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::SetComponentModeToUseSelected();
      }
    else
      {
      op->SetComponentModeToUseSelected();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_SetComponentModeToUseAll(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::SetComponentModeToUseAll();
      }
    else
      {
      op->SetComponentModeToUseAll();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_SetComponentModeToUseAny(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::SetComponentModeToUseAny();
      }
    else
      {
      op->SetComponentModeToUseAny();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_GetComponentModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  const char    *temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::GetComponentModeAsString();
      }
    else
      {
      temp20 = op->GetComponentModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_SetSelectedComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  int      temp0;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::SetSelectedComponent(temp0);
      }
    else
      {
      op->SetSelectedComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_GetSelectedComponentMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  int      temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::GetSelectedComponentMinValue();
      }
    else
      {
      temp20 = op->GetSelectedComponentMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_GetSelectedComponentMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  int      temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::GetSelectedComponentMaxValue();
      }
    else
      {
      temp20 = op->GetSelectedComponentMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_GetSelectedComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  int      temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::GetSelectedComponent();
      }
    else
      {
      temp20 = op->GetSelectedComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_SetAllScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  int      temp0;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::SetAllScalars(temp0);
      }
    else
      {
      op->SetAllScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_GetAllScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  int      temp20;
  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThreshold::GetAllScalars();
      }
    else
      {
      temp20 = op->GetAllScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_AllScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::AllScalarsOn();
      }
    else
      {
      op->AllScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThreshold_AllScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThreshold *op;

  if ((op = (vtkThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThreshold::AllScalarsOff();
      }
    else
      {
      op->AllScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkThresholdMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkThreshold_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkThreshold_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkThreshold_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkThreshold\nC++: vtkThreshold *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkThreshold_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkThreshold\nC++: vtkThreshold *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ThresholdByLower",                (PyCFunction)PyvtkThreshold_ThresholdByLower, 1,
   (char*)"V.ThresholdByLower(float)\nC++: void ThresholdByLower (double lower);\n\n Criterion is cells whose scalars are less or equal to lower threshold.\n"},
  {(char*)"ThresholdByUpper",                (PyCFunction)PyvtkThreshold_ThresholdByUpper, 1,
   (char*)"V.ThresholdByUpper(float)\nC++: void ThresholdByUpper (double upper);\n\n Criterion is cells whose scalars are greater or equal to upper threshold.\n"},
  {(char*)"ThresholdBetween",                (PyCFunction)PyvtkThreshold_ThresholdBetween, 1,
   (char*)"V.ThresholdBetween(float, float)\nC++: void ThresholdBetween (double lower, double upper);\n\n Criterion is cells whose scalars are between lower and upper thresholds\n (inclusive of the end values).\n"},
  {(char*)"GetUpperThreshold",                (PyCFunction)PyvtkThreshold_GetUpperThreshold, 1,
   (char*)"V.GetUpperThreshold() -> float\nC++: double GetUpperThreshold ();\n\n Get the Upper and Lower thresholds.\n"},
  {(char*)"GetLowerThreshold",                (PyCFunction)PyvtkThreshold_GetLowerThreshold, 1,
   (char*)"V.GetLowerThreshold() -> float\nC++: double GetLowerThreshold ();\n\n Get the Upper and Lower thresholds.\n"},
  {(char*)"SetAttributeMode",                (PyCFunction)PyvtkThreshold_SetAttributeMode, 1,
   (char*)"V.SetAttributeMode(int)\nC++: void SetAttributeMode (int );\n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (AttributeModeToDefault), the filter will use point\n data, and if no point data is available, then cell data is\n used. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n"},
  {(char*)"GetAttributeMode",                (PyCFunction)PyvtkThreshold_GetAttributeMode, 1,
   (char*)"V.GetAttributeMode() -> int\nC++: int GetAttributeMode ();\n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (AttributeModeToDefault), the filter will use point\n data, and if no point data is available, then cell data is\n used. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n"},
  {(char*)"SetAttributeModeToDefault",                (PyCFunction)PyvtkThreshold_SetAttributeModeToDefault, 1,
   (char*)"V.SetAttributeModeToDefault()\nC++: void SetAttributeModeToDefault ();this SetAttributeMode VTK_ATTRIBUTE_MODE_DEFAULT \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (AttributeModeToDefault), the filter will use point\n data, and if no point data is available, then cell data is\n used. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n"},
  {(char*)"SetAttributeModeToUsePointData",                (PyCFunction)PyvtkThreshold_SetAttributeModeToUsePointData, 1,
   (char*)"V.SetAttributeModeToUsePointData()\nC++: void SetAttributeModeToUsePointData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_POINT_DATA \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (AttributeModeToDefault), the filter will use point\n data, and if no point data is available, then cell data is\n used. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n"},
  {(char*)"SetAttributeModeToUseCellData",                (PyCFunction)PyvtkThreshold_SetAttributeModeToUseCellData, 1,
   (char*)"V.SetAttributeModeToUseCellData()\nC++: void SetAttributeModeToUseCellData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_CELL_DATA \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (AttributeModeToDefault), the filter will use point\n data, and if no point data is available, then cell data is\n used. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n"},
  {(char*)"GetAttributeModeAsString",                (PyCFunction)PyvtkThreshold_GetAttributeModeAsString, 1,
   (char*)"V.GetAttributeModeAsString() -> string\nC++: const char *GetAttributeModeAsString ();\n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (AttributeModeToDefault), the filter will use point\n data, and if no point data is available, then cell data is\n used. Alternatively you can explicitly set the filter to use point data\n (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).\n"},
  {(char*)"SetComponentMode",                (PyCFunction)PyvtkThreshold_SetComponentMode, 1,
   (char*)"V.SetComponentMode(int)\nC++: void SetComponentMode (int );\n\n Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n"},
  {(char*)"GetComponentModeMinValue",                (PyCFunction)PyvtkThreshold_GetComponentModeMinValue, 1,
   (char*)"V.GetComponentModeMinValue() -> int\nC++: int GetComponentModeMinValue ();\n\n Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n"},
  {(char*)"GetComponentModeMaxValue",                (PyCFunction)PyvtkThreshold_GetComponentModeMaxValue, 1,
   (char*)"V.GetComponentModeMaxValue() -> int\nC++: int GetComponentModeMaxValue ();\n\n Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n"},
  {(char*)"GetComponentMode",                (PyCFunction)PyvtkThreshold_GetComponentMode, 1,
   (char*)"V.GetComponentMode() -> int\nC++: int GetComponentMode ();\n\n Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n"},
  {(char*)"SetComponentModeToUseSelected",                (PyCFunction)PyvtkThreshold_SetComponentModeToUseSelected, 1,
   (char*)"V.SetComponentModeToUseSelected()\nC++: void SetComponentModeToUseSelected ();this SetComponentMode VTK_COMPONENT_MODE_USE_SELECTED \n\n Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n"},
  {(char*)"SetComponentModeToUseAll",                (PyCFunction)PyvtkThreshold_SetComponentModeToUseAll, 1,
   (char*)"V.SetComponentModeToUseAll()\nC++: void SetComponentModeToUseAll ();this SetComponentMode VTK_COMPONENT_MODE_USE_ALL \n\n Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n"},
  {(char*)"SetComponentModeToUseAny",                (PyCFunction)PyvtkThreshold_SetComponentModeToUseAny, 1,
   (char*)"V.SetComponentModeToUseAny()\nC++: void SetComponentModeToUseAny ();this SetComponentMode VTK_COMPONENT_MODE_USE_ANY \n\n Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n"},
  {(char*)"GetComponentModeAsString",                (PyCFunction)PyvtkThreshold_GetComponentModeAsString, 1,
   (char*)"V.GetComponentModeAsString() -> string\nC++: const char *GetComponentModeAsString ();\n\n Control how the decision of in / out is made with multi-component data.\n The choices are to use the selected component (specified in the\n SelectedComponent ivar), or to look at all components. When looking at\n all components, the evaluation can pass if all the components satisfy\n the rule (UseAll) or if any satisfy is (UseAny). The default value is\n UseSelected.\n"},
  {(char*)"SetSelectedComponent",                (PyCFunction)PyvtkThreshold_SetSelectedComponent, 1,
   (char*)"V.SetSelectedComponent(int)\nC++: void SetSelectedComponent (int );\n\n When the component mode is UseSelected, this ivar indicated the selected\n component. The default value is 0.\n"},
  {(char*)"GetSelectedComponentMinValue",                (PyCFunction)PyvtkThreshold_GetSelectedComponentMinValue, 1,
   (char*)"V.GetSelectedComponentMinValue() -> int\nC++: int GetSelectedComponentMinValue ();\n\n When the component mode is UseSelected, this ivar indicated the selected\n component. The default value is 0.\n"},
  {(char*)"GetSelectedComponentMaxValue",                (PyCFunction)PyvtkThreshold_GetSelectedComponentMaxValue, 1,
   (char*)"V.GetSelectedComponentMaxValue() -> int\nC++: int GetSelectedComponentMaxValue ();\n\n When the component mode is UseSelected, this ivar indicated the selected\n component. The default value is 0.\n"},
  {(char*)"GetSelectedComponent",                (PyCFunction)PyvtkThreshold_GetSelectedComponent, 1,
   (char*)"V.GetSelectedComponent() -> int\nC++: int GetSelectedComponent ();\n\n When the component mode is UseSelected, this ivar indicated the selected\n component. The default value is 0.\n"},
  {(char*)"SetAllScalars",                (PyCFunction)PyvtkThreshold_SetAllScalars, 1,
   (char*)"V.SetAllScalars(int)\nC++: void SetAllScalars (int );\n\n If using scalars from point data, all scalars for all points in a cell \n must satisfy the threshold criterion if AllScalars is set. Otherwise, \n just a single scalar value satisfying the threshold criterion enables\n will extract the cell.\n"},
  {(char*)"GetAllScalars",                (PyCFunction)PyvtkThreshold_GetAllScalars, 1,
   (char*)"V.GetAllScalars() -> int\nC++: int GetAllScalars ();\n\n If using scalars from point data, all scalars for all points in a cell \n must satisfy the threshold criterion if AllScalars is set. Otherwise, \n just a single scalar value satisfying the threshold criterion enables\n will extract the cell.\n"},
  {(char*)"AllScalarsOn",                (PyCFunction)PyvtkThreshold_AllScalarsOn, 1,
   (char*)"V.AllScalarsOn()\nC++: void AllScalarsOn ();\n\n If using scalars from point data, all scalars for all points in a cell \n must satisfy the threshold criterion if AllScalars is set. Otherwise, \n just a single scalar value satisfying the threshold criterion enables\n will extract the cell.\n"},
  {(char*)"AllScalarsOff",                (PyCFunction)PyvtkThreshold_AllScalarsOff, 1,
   (char*)"V.AllScalarsOff()\nC++: void AllScalarsOff ();\n\n If using scalars from point data, all scalars for all points in a cell \n must satisfy the threshold criterion if AllScalars is set. Otherwise, \n just a single scalar value satisfying the threshold criterion enables\n will extract the cell.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkThresholdDoc[] = {
  (char*)"vtkThreshold - extracts cells where scalar value in cell satisfies threshold criterion\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkThreshold is a filter that extracts cells from any dataset type that\n satisfy a threshold criterion. A cell satisfies the criterion if the\n scalar value of (every or any) point satisfies the criterion. The\n criterion can take three forms: 1) greater than a particular value; 2)\n less than a particular value; or 3) between two values. The output of this\n filter is an unstructured grid.\n\n Note th",
  (char*)"at scalar values are available from the point and cell attribute\n data.  By default, point data is used to obtain scalars, but you can\n control this behavior. See the AttributeMode ivar below.\n\n By default only the first scalar value is used in the decision. Use the ComponentMode\n and SelectedComponent ivars to control this behavior.\n\n",
  "See Also:\n\n vtkThresholdPoints vtkThresholdTextureCoords\n\n",
  NULL
};

static vtkObjectBase *vtkThresholdStaticNew()
{
  return vtkThreshold::New();
}

PyObject *PyVTKClass_vtkThresholdNew(char *modulename)
{
  return PyVTKClass_New(&vtkThresholdStaticNew,
                        PyvtkThresholdMethods,
                        (char*)"vtkThreshold",modulename,
                        (char**)vtkThresholdDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

