// tcl wrapper for vtkThreshold object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkThreshold.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkThresholdNewCommand()
{
  vtkThreshold *temp = vtkThreshold::New();
  return ((ClientData)temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkThresholdCppCommand(vtkThreshold *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkThresholdCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkThresholdCppCommand((vtkThreshold *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkThresholdCppCommand(vtkThreshold *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkThreshold",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand((vtkUnstructuredGridAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkUnstructuredGridAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkThreshold  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkThreshold");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkThreshold  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkThreshold");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkThreshold  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkThreshold");
    return TCL_OK;
    }
    }
  if ((!strcmp("ThresholdByLower",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->ThresholdByLower(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ThresholdByUpper",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->ThresholdByUpper(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ThresholdBetween",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->ThresholdBetween(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpperThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetUpperThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLowerThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLowerThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAttributeMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributeMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToUsePointData",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToUsePointData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAttributeModeToUseCellData",argv[1]))&&(argc == 2))
    {
    op->SetAttributeModeToUseCellData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributeModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetAttributeModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetComponentMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComponentMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComponentModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComponentModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetComponentModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComponentModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetComponentMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComponentMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetComponentModeToUseSelected",argv[1]))&&(argc == 2))
    {
    op->SetComponentModeToUseSelected();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComponentModeToUseAll",argv[1]))&&(argc == 2))
    {
    op->SetComponentModeToUseAll();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComponentModeToUseAny",argv[1]))&&(argc == 2))
    {
    op->SetComponentModeToUseAny();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetComponentModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetComponentModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectedComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedComponentMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectedComponentMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedComponentMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectedComponentMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectedComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAllScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AllScalarsOn",argv[1]))&&(argc == 2))
    {
    op->AllScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllScalarsOff",argv[1]))&&(argc == 2))
    {
    op->AllScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkThresholdCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkThreshold:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdByLower\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdByUpper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdBetween\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetUpperThreshold\n",NULL);
    Tcl_AppendResult(interp,"  GetLowerThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeMode\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToUsePointData\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeModeToUseCellData\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentMode\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentModeToUseSelected\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentModeToUseAll\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentModeToUseAny\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedComponentMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedComponentMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetAllScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllScalars\n",NULL);
    Tcl_AppendResult(interp,"  AllScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  AllScalarsOff\n",NULL);
    return TCL_OK;
    }

  if (vtkUnstructuredGridAlgorithmCppCommand((vtkUnstructuredGridAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
