// python wrapper for vtkThresholdTextureCoords object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkThresholdTextureCoords.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkThresholdTextureCoordsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkThresholdTextureCoordsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkThresholdTextureCoords_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  const char    *temp20;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTextureCoords::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTextureCoords::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  vtkThresholdTextureCoords  *temp20;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTextureCoords::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkThresholdTextureCoords  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkThresholdTextureCoords::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_ThresholdByLower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  double   temp0;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdTextureCoords::ThresholdByLower(temp0);
      }
    else
      {
      op->ThresholdByLower(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_ThresholdByUpper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  double   temp0;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdTextureCoords::ThresholdByUpper(temp0);
      }
    else
      {
      op->ThresholdByUpper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_ThresholdBetween(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdTextureCoords::ThresholdBetween(temp0,temp1);
      }
    else
      {
      op->ThresholdBetween(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_GetUpperThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  double   temp20;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTextureCoords::GetUpperThreshold();
      }
    else
      {
      temp20 = op->GetUpperThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_GetLowerThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  double   temp20;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTextureCoords::GetLowerThreshold();
      }
    else
      {
      temp20 = op->GetLowerThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_SetTextureDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  int      temp0;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdTextureCoords::SetTextureDimension(temp0);
      }
    else
      {
      op->SetTextureDimension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_GetTextureDimensionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  int      temp20;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTextureCoords::GetTextureDimensionMinValue();
      }
    else
      {
      temp20 = op->GetTextureDimensionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_GetTextureDimensionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  int      temp20;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTextureCoords::GetTextureDimensionMaxValue();
      }
    else
      {
      temp20 = op->GetTextureDimensionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_GetTextureDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  int      temp20;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTextureCoords::GetTextureDimension();
      }
    else
      {
      temp20 = op->GetTextureDimension();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_SetInTextureCoord(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdTextureCoords::SetInTextureCoord(temp0,temp1,temp2);
      }
    else
      {
      op->SetInTextureCoord(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdTextureCoords::SetInTextureCoord(temp0);
      }
    else
      {
      op->SetInTextureCoord(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_GetInTextureCoord(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  double  *temp20;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTextureCoords::GetInTextureCoord();
      }
    else
      {
      temp20 = op->GetInTextureCoord();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_SetOutTextureCoord(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdTextureCoords::SetOutTextureCoord(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutTextureCoord(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThresholdTextureCoords::SetOutTextureCoord(temp0);
      }
    else
      {
      op->SetOutTextureCoord(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThresholdTextureCoords_GetOutTextureCoord(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThresholdTextureCoords *op;

  double  *temp20;
  if ((op = (vtkThresholdTextureCoords *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThresholdTextureCoords::GetOutTextureCoord();
      }
    else
      {
      temp20 = op->GetOutTextureCoord();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkThresholdTextureCoordsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkThresholdTextureCoords_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkThresholdTextureCoords_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkThresholdTextureCoords_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkThresholdTextureCoords\nC++: vtkThresholdTextureCoords *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkThresholdTextureCoords_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkThresholdTextureCoords\nC++: vtkThresholdTextureCoords *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ThresholdByLower",                (PyCFunction)PyvtkThresholdTextureCoords_ThresholdByLower, 1,
   (char*)"V.ThresholdByLower(float)\nC++: void ThresholdByLower (double lower);\n\n Criterion is cells whose scalars are less than lower threshold.\n"},
  {(char*)"ThresholdByUpper",                (PyCFunction)PyvtkThresholdTextureCoords_ThresholdByUpper, 1,
   (char*)"V.ThresholdByUpper(float)\nC++: void ThresholdByUpper (double upper);\n\n Criterion is cells whose scalars are less than upper threshold.\n"},
  {(char*)"ThresholdBetween",                (PyCFunction)PyvtkThresholdTextureCoords_ThresholdBetween, 1,
   (char*)"V.ThresholdBetween(float, float)\nC++: void ThresholdBetween (double lower, double upper);\n\n Criterion is cells whose scalars are between lower and upper thresholds.\n"},
  {(char*)"GetUpperThreshold",                (PyCFunction)PyvtkThresholdTextureCoords_GetUpperThreshold, 1,
   (char*)"V.GetUpperThreshold() -> float\nC++: double GetUpperThreshold ();\n\n Return the upper and lower thresholds.\n"},
  {(char*)"GetLowerThreshold",                (PyCFunction)PyvtkThresholdTextureCoords_GetLowerThreshold, 1,
   (char*)"V.GetLowerThreshold() -> float\nC++: double GetLowerThreshold ();\n\n Return the upper and lower thresholds.\n"},
  {(char*)"SetTextureDimension",                (PyCFunction)PyvtkThresholdTextureCoords_SetTextureDimension, 1,
   (char*)"V.SetTextureDimension(int)\nC++: void SetTextureDimension (int );\n\n Set the desired dimension of the texture map.\n"},
  {(char*)"GetTextureDimensionMinValue",                (PyCFunction)PyvtkThresholdTextureCoords_GetTextureDimensionMinValue, 1,
   (char*)"V.GetTextureDimensionMinValue() -> int\nC++: int GetTextureDimensionMinValue ();\n\n Set the desired dimension of the texture map.\n"},
  {(char*)"GetTextureDimensionMaxValue",                (PyCFunction)PyvtkThresholdTextureCoords_GetTextureDimensionMaxValue, 1,
   (char*)"V.GetTextureDimensionMaxValue() -> int\nC++: int GetTextureDimensionMaxValue ();\n\n Set the desired dimension of the texture map.\n"},
  {(char*)"GetTextureDimension",                (PyCFunction)PyvtkThresholdTextureCoords_GetTextureDimension, 1,
   (char*)"V.GetTextureDimension() -> int\nC++: int GetTextureDimension ();\n\n Set the desired dimension of the texture map.\n"},
  {(char*)"SetInTextureCoord",                (PyCFunction)PyvtkThresholdTextureCoords_SetInTextureCoord, 1,
   (char*)"V.SetInTextureCoord(float, float, float)\nC++: void SetInTextureCoord (double , double , double );\nV.SetInTextureCoord((float, float, float))\nC++: void SetInTextureCoord (double  a[3]);\n\n Set the texture coordinate value for point satisfying threshold criterion.\n"},
  {(char*)"GetInTextureCoord",                (PyCFunction)PyvtkThresholdTextureCoords_GetInTextureCoord, 1,
   (char*)"V.GetInTextureCoord() -> (float, float, float)\nC++: double  *GetInTextureCoord ();\n\n Set the texture coordinate value for point satisfying threshold criterion.\n"},
  {(char*)"SetOutTextureCoord",                (PyCFunction)PyvtkThresholdTextureCoords_SetOutTextureCoord, 1,
   (char*)"V.SetOutTextureCoord(float, float, float)\nC++: void SetOutTextureCoord (double , double , double );\nV.SetOutTextureCoord((float, float, float))\nC++: void SetOutTextureCoord (double  a[3]);\n\n Set the texture coordinate value for point NOT satisfying threshold\n  criterion.\n"},
  {(char*)"GetOutTextureCoord",                (PyCFunction)PyvtkThresholdTextureCoords_GetOutTextureCoord, 1,
   (char*)"V.GetOutTextureCoord() -> (float, float, float)\nC++: double  *GetOutTextureCoord ();\n\n Set the texture coordinate value for point NOT satisfying threshold\n  criterion.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkThresholdTextureCoordsDoc[] = {
  (char*)"vtkThresholdTextureCoords - compute 1D, 2D, or 3D texture coordinates based on scalar threshold\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkThresholdTextureCoords is a filter that generates texture coordinates for\n any input dataset type given a threshold criterion. The criterion can take \n three forms: 1) greater than a particular value (ThresholdByUpper()); \n 2) less than a particular value (ThresholdByLower(); or 3) between two \n values (ThresholdBetween(). If the threshold criterion is satisfied, \n the \"in\" texture coordinate ",
  (char*)"will be set (this can be specified by the\n user). If the threshold criterion is not satisfied the \"out\" is set.\n\n",
  "Caveats:\n\n There is a texture map - texThres.vtk - that can be used in conjunction\n with this filter. This map defines a \"transparent\" region for texture \n coordinates 0<=r<0.5, and an opaque full intensity map for texture \n coordinates 0.5<r<=1.0. There is a small transition region for r=0.5.\n\n",
  "See Also:\n\n vtkThreshold vtkThresholdPoints vtkTextureMapToPlane vtkTextureMapToSphere\n vtkTextureMapToCylinder vtkTextureMapToBox\n\n",
  NULL
};

static vtkObjectBase *vtkThresholdTextureCoordsStaticNew()
{
  return vtkThresholdTextureCoords::New();
}

PyObject *PyVTKClass_vtkThresholdTextureCoordsNew(char *modulename)
{
  return PyVTKClass_New(&vtkThresholdTextureCoordsStaticNew,
                        PyvtkThresholdTextureCoordsMethods,
                        (char*)"vtkThresholdTextureCoords",modulename,
                        (char**)vtkThresholdTextureCoordsDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

