// python wrapper for vtkTransformFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTransformFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransformFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransformFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetAlgorithmNew(char *); }

static PyObject *PyvtkTransformFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformFilter *op;

  const char    *temp20;
  if ((op = (vtkTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformFilter *op;

  vtkTransformFilter  *temp20;
  if ((op = (vtkTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTransformFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTransformFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTransformFilter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformFilter *op;

  unsigned long     temp20;
  if ((op = (vtkTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformFilter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformFilter_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformFilter *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformFilter::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkTransformFilter_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformFilter *op;

  vtkAbstractTransform  *temp20;
  if ((op = (vtkTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformFilter::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTransformFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTransformFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTransformFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTransformFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransformFilter\nC++: vtkTransformFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTransformFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTransformFilter\nC++: vtkTransformFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkTransformFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the transform.\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkTransformFilter_SetTransform, 1,
   (char*)"V.SetTransform(vtkAbstractTransform)\nC++: virtual void SetTransform (vtkAbstractTransform *);\n\n Specify the transform object used to transform points.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkTransformFilter_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *GetTransform ();\n\n Specify the transform object used to transform points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTransformFilterDoc[] = {
  (char*)"vtkTransformFilter - transform points and associated normals and vectors\n\n",
  "Super Class:\n\n vtkPointSetAlgorithm\n\n",
  (char*)" vtkTransformFilter is a filter to transform point coordinates, and \n associated point normals and vectors. Other point data is passed\n through the filter.\n\n An alternative method of transformation is to use vtkActor's methods\n to scale, rotate, and translate objects. The difference between the\n two methods is that vtkActor's transformation simply effects where\n objects are rendered (via the graph",
  (char*)"ics pipeline), whereas\n vtkTransformFilter actually modifies point coordinates in the \n visualization pipeline. This is necessary for some objects \n (e.g., vtkProbeFilter) that require point coordinates as input.\n\n",
  "See Also:\n\n vtkAbstractTransform vtkTransformPolyDataFilter vtkActor\n\n",
  NULL
};

static vtkObjectBase *vtkTransformFilterStaticNew()
{
  return vtkTransformFilter::New();
}

PyObject *PyVTKClass_vtkTransformFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkTransformFilterStaticNew,
                        PyvtkTransformFilterMethods,
                        (char*)"vtkTransformFilter",modulename,
                        (char**)vtkTransformFilterDoc,
                        PyVTKClass_vtkPointSetAlgorithmNew(modulename));
}

