// python wrapper for vtkVectorDot object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkVectorDot.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVectorDotNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVectorDotNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkVectorDot_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVectorDot *op;

  const char    *temp20;
  if ((op = (vtkVectorDot *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVectorDot::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVectorDot_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVectorDot *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkVectorDot *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVectorDot::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVectorDot_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVectorDot *op;

  vtkVectorDot  *temp20;
  if ((op = (vtkVectorDot *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVectorDot::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVectorDot_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVectorDot  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVectorDot::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVectorDot_SetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVectorDot *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkVectorDot *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVectorDot::SetScalarRange(temp0,temp1);
      }
    else
      {
      op->SetScalarRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVectorDot *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkVectorDot *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVectorDot::SetScalarRange(temp0);
      }
    else
      {
      op->SetScalarRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVectorDot_GetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVectorDot *op;

  double  *temp20;
  if ((op = (vtkVectorDot *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVectorDot::GetScalarRange();
      }
    else
      {
      temp20 = op->GetScalarRange();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVectorDotMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVectorDot_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVectorDot_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVectorDot_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVectorDot\nC++: vtkVectorDot *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVectorDot_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVectorDot\nC++: vtkVectorDot *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetScalarRange",                (PyCFunction)PyvtkVectorDot_SetScalarRange, 1,
   (char*)"V.SetScalarRange(float, float)\nC++: void SetScalarRange (double , double );\nV.SetScalarRange((float, float))\nC++: void SetScalarRange (double  a[2]);\n\n Specify range to map scalars into.\n"},
  {(char*)"GetScalarRange",                (PyCFunction)PyvtkVectorDot_GetScalarRange, 1,
   (char*)"V.GetScalarRange() -> (float, float)\nC++: double  *GetScalarRange ();\n\n Get the range that scalars map into.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVectorDotDoc[] = {
  (char*)"vtkVectorDot - generate scalars from dot product of vectors and normals (e.g., show displacement plot)\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkVectorDot is a filter to generate scalar values from a dataset.\n The scalar value at a point is created by computing the dot product \n between the normal and vector at that point. Combined with the appropriate\n color map, this can show nodal lines/mode shapes of vibration, or a \n displacement plot.\n\n",
  NULL
};

static vtkObjectBase *vtkVectorDotStaticNew()
{
  return vtkVectorDot::New();
}

PyObject *PyVTKClass_vtkVectorDotNew(char *modulename)
{
  return PyVTKClass_New(&vtkVectorDotStaticNew,
                        PyvtkVectorDotMethods,
                        (char*)"vtkVectorDot",modulename,
                        (char**)vtkVectorDotDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

