// python wrapper for vtkVoxelContoursToSurfaceFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkVoxelContoursToSurfaceFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVoxelContoursToSurfaceFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVoxelContoursToSurfaceFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkVoxelContoursToSurfaceFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelContoursToSurfaceFilter *op;

  const char    *temp20;
  if ((op = (vtkVoxelContoursToSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelContoursToSurfaceFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelContoursToSurfaceFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelContoursToSurfaceFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkVoxelContoursToSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelContoursToSurfaceFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelContoursToSurfaceFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelContoursToSurfaceFilter *op;

  vtkVoxelContoursToSurfaceFilter  *temp20;
  if ((op = (vtkVoxelContoursToSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelContoursToSurfaceFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelContoursToSurfaceFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVoxelContoursToSurfaceFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVoxelContoursToSurfaceFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVoxelContoursToSurfaceFilter_SetMemoryLimitInBytes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelContoursToSurfaceFilter *op;

  int      temp0;
  if ((op = (vtkVoxelContoursToSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelContoursToSurfaceFilter::SetMemoryLimitInBytes(temp0);
      }
    else
      {
      op->SetMemoryLimitInBytes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelContoursToSurfaceFilter_GetMemoryLimitInBytes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelContoursToSurfaceFilter *op;

  int      temp20;
  if ((op = (vtkVoxelContoursToSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelContoursToSurfaceFilter::GetMemoryLimitInBytes();
      }
    else
      {
      temp20 = op->GetMemoryLimitInBytes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelContoursToSurfaceFilter_SetSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelContoursToSurfaceFilter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkVoxelContoursToSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelContoursToSurfaceFilter::SetSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVoxelContoursToSurfaceFilter *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkVoxelContoursToSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVoxelContoursToSurfaceFilter::SetSpacing(temp0);
      }
    else
      {
      op->SetSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVoxelContoursToSurfaceFilter_GetSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVoxelContoursToSurfaceFilter *op;

  double  *temp20;
  if ((op = (vtkVoxelContoursToSurfaceFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVoxelContoursToSurfaceFilter::GetSpacing();
      }
    else
      {
      temp20 = op->GetSpacing();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVoxelContoursToSurfaceFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVoxelContoursToSurfaceFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVoxelContoursToSurfaceFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVoxelContoursToSurfaceFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVoxelContoursToSurfaceFilter\nC++: vtkVoxelContoursToSurfaceFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVoxelContoursToSurfaceFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVoxelContoursToSurfaceFilter\nC++: vtkVoxelContoursToSurfaceFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMemoryLimitInBytes",                (PyCFunction)PyvtkVoxelContoursToSurfaceFilter_SetMemoryLimitInBytes, 1,
   (char*)"V.SetMemoryLimitInBytes(int)\nC++: void SetMemoryLimitInBytes (int );\n\n Set / Get the memory limit in bytes for this filter. This is the limit\n of the size of the structured points data set that is created for\n intermediate processing. The data will be streamed through this volume\n in as many pieces as necessary.\n"},
  {(char*)"GetMemoryLimitInBytes",                (PyCFunction)PyvtkVoxelContoursToSurfaceFilter_GetMemoryLimitInBytes, 1,
   (char*)"V.GetMemoryLimitInBytes() -> int\nC++: int GetMemoryLimitInBytes ();\n\n Set / Get the memory limit in bytes for this filter. This is the limit\n of the size of the structured points data set that is created for\n intermediate processing. The data will be streamed through this volume\n in as many pieces as necessary.\n"},
  {(char*)"SetSpacing",                (PyCFunction)PyvtkVoxelContoursToSurfaceFilter_SetSpacing, 1,
   (char*)"V.SetSpacing(float, float, float)\nC++: void SetSpacing (double , double , double );\nV.SetSpacing((float, float, float))\nC++: void SetSpacing (double  a[3]);\n\n"},
  {(char*)"GetSpacing",                (PyCFunction)PyvtkVoxelContoursToSurfaceFilter_GetSpacing, 1,
   (char*)"V.GetSpacing() -> (float, float, float)\nC++: double  *GetSpacing ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVoxelContoursToSurfaceFilterDoc[] = {
  (char*)"vtkVoxelContoursToSurfaceFilter - create surface from contours\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkVoxelContoursToSurfaceFilter is a filter that takes contours and\n produces surfaces. There are some restrictions for the contours:\n\n   - The contours are input as vtkPolyData, with the contours being\n     polys in the vtkPolyData.\n   - The contours lie on XY planes - each contour has a constant Z\n   - The contours are ordered in the polys of the vtkPolyData such \n     that all contours on the ",
  (char*)"first (lowest) XY plane are first, then\n     continuing in order of increasing Z value. \n   - The X, Y and Z coordinates are all integer values.\n   - The desired sampling of the contour data is 1x1x1 - Aspect can\n     be used to control the aspect ratio in the output polygonal\n     dataset.\n\n This filter takes the contours and produces a structured points\n dataset of signed floating point number i",
  (char*)"ndicating distance from\n a contour. A contouring filter is then applied to generate 3D\n surfaces from a stack of 2D contour distance slices. This is \n done in a streaming fashion so as not to use to much memory.\n\n",
  "See Also:\n\n vtkPolyDataAlgorithm\n\n",
  NULL
};

static vtkObjectBase *vtkVoxelContoursToSurfaceFilterStaticNew()
{
  return vtkVoxelContoursToSurfaceFilter::New();
}

PyObject *PyVTKClass_vtkVoxelContoursToSurfaceFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkVoxelContoursToSurfaceFilterStaticNew,
                        PyvtkVoxelContoursToSurfaceFilterMethods,
                        (char*)"vtkVoxelContoursToSurfaceFilter",modulename,
                        (char**)vtkVoxelContoursToSurfaceFilterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

