// python wrapper for vtkWarpLens object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkWarpLens.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWarpLensNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWarpLensNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetAlgorithmNew(char *); }

static PyObject *PyvtkWarpLens_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  const char    *temp20;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpLens::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpLens::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  vtkWarpLens  *temp20;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpLens::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkWarpLens  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkWarpLens::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWarpLens_SetKappa(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp0;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpLens::SetKappa(temp0);
      }
    else
      {
      op->SetKappa(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_GetKappa(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp20;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpLens::GetKappa();
      }
    else
      {
      temp20 = op->GetKappa();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpLens::SetCenter(temp0,temp1);
      }
    else
      {
      op->SetCenter(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double  *temp20;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpLens::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_SetPrincipalPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpLens::SetPrincipalPoint(temp0,temp1);
      }
    else
      {
      op->SetPrincipalPoint(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpLens::SetPrincipalPoint(temp0);
      }
    else
      {
      op->SetPrincipalPoint(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_GetPrincipalPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double  *temp20;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpLens::GetPrincipalPoint();
      }
    else
      {
      temp20 = op->GetPrincipalPoint();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_SetK1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp0;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpLens::SetK1(temp0);
      }
    else
      {
      op->SetK1(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_GetK1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp20;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpLens::GetK1();
      }
    else
      {
      temp20 = op->GetK1();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_SetK2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp0;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpLens::SetK2(temp0);
      }
    else
      {
      op->SetK2(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_GetK2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp20;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpLens::GetK2();
      }
    else
      {
      temp20 = op->GetK2();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_SetP1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp0;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpLens::SetP1(temp0);
      }
    else
      {
      op->SetP1(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_GetP1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp20;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpLens::GetP1();
      }
    else
      {
      temp20 = op->GetP1();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_SetP2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp0;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpLens::SetP2(temp0);
      }
    else
      {
      op->SetP2(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_GetP2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp20;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpLens::GetP2();
      }
    else
      {
      temp20 = op->GetP2();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_SetFormatWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp0;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpLens::SetFormatWidth(temp0);
      }
    else
      {
      op->SetFormatWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_GetFormatWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp20;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpLens::GetFormatWidth();
      }
    else
      {
      temp20 = op->GetFormatWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_SetFormatHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp0;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpLens::SetFormatHeight(temp0);
      }
    else
      {
      op->SetFormatHeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_GetFormatHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  double   temp20;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpLens::GetFormatHeight();
      }
    else
      {
      temp20 = op->GetFormatHeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_SetImageWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  int      temp0;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpLens::SetImageWidth(temp0);
      }
    else
      {
      op->SetImageWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_GetImageWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  int      temp20;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpLens::GetImageWidth();
      }
    else
      {
      temp20 = op->GetImageWidth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_SetImageHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  int      temp0;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpLens::SetImageHeight(temp0);
      }
    else
      {
      op->SetImageHeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpLens_GetImageHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpLens *op;

  int      temp20;
  if ((op = (vtkWarpLens *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpLens::GetImageHeight();
      }
    else
      {
      temp20 = op->GetImageHeight();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWarpLensMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWarpLens_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWarpLens_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWarpLens_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWarpLens\nC++: vtkWarpLens *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkWarpLens_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkWarpLens\nC++: vtkWarpLens *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetKappa",                (PyCFunction)PyvtkWarpLens_SetKappa, 1,
   (char*)"V.SetKappa(float)\nC++: void SetKappa (double kappa);\n\n Specify second order symmetric radial lens distortion parameter.\n This is obsoleted by newer instance variables.\n"},
  {(char*)"GetKappa",                (PyCFunction)PyvtkWarpLens_GetKappa, 1,
   (char*)"V.GetKappa() -> float\nC++: double GetKappa ();\n\n Specify second order symmetric radial lens distortion parameter.\n This is obsoleted by newer instance variables.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkWarpLens_SetCenter, 1,
   (char*)"V.SetCenter(float, float)\nC++: void SetCenter (double centerX, double centerY);\n\n Specify the center of radial distortion in pixels.\n This is obsoleted by newer instance variables.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkWarpLens_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float)\nC++: double *GetCenter ();\n\n Specify the center of radial distortion in pixels.\n This is obsoleted by newer instance variables.\n"},
  {(char*)"SetPrincipalPoint",                (PyCFunction)PyvtkWarpLens_SetPrincipalPoint, 1,
   (char*)"V.SetPrincipalPoint(float, float)\nC++: void SetPrincipalPoint (double , double );\nV.SetPrincipalPoint((float, float))\nC++: void SetPrincipalPoint (double  a[2]);\n\n Specify the calibrated principal point of the camera/lens\n"},
  {(char*)"GetPrincipalPoint",                (PyCFunction)PyvtkWarpLens_GetPrincipalPoint, 1,
   (char*)"V.GetPrincipalPoint() -> (float, float)\nC++: double  *GetPrincipalPoint ();\n\n Specify the calibrated principal point of the camera/lens\n"},
  {(char*)"SetK1",                (PyCFunction)PyvtkWarpLens_SetK1, 1,
   (char*)"V.SetK1(float)\nC++: void SetK1 (double );\n\n Specify the symmetric radial distortion parameters for the lens\n"},
  {(char*)"GetK1",                (PyCFunction)PyvtkWarpLens_GetK1, 1,
   (char*)"V.GetK1() -> float\nC++: double GetK1 ();\n\n Specify the symmetric radial distortion parameters for the lens\n"},
  {(char*)"SetK2",                (PyCFunction)PyvtkWarpLens_SetK2, 1,
   (char*)"V.SetK2(float)\nC++: void SetK2 (double );\n\n Specify the symmetric radial distortion parameters for the lens\n"},
  {(char*)"GetK2",                (PyCFunction)PyvtkWarpLens_GetK2, 1,
   (char*)"V.GetK2() -> float\nC++: double GetK2 ();\n\n Specify the symmetric radial distortion parameters for the lens\n"},
  {(char*)"SetP1",                (PyCFunction)PyvtkWarpLens_SetP1, 1,
   (char*)"V.SetP1(float)\nC++: void SetP1 (double );\n\n Specify the decentering distortion parameters for the lens\n"},
  {(char*)"GetP1",                (PyCFunction)PyvtkWarpLens_GetP1, 1,
   (char*)"V.GetP1() -> float\nC++: double GetP1 ();\n\n Specify the decentering distortion parameters for the lens\n"},
  {(char*)"SetP2",                (PyCFunction)PyvtkWarpLens_SetP2, 1,
   (char*)"V.SetP2(float)\nC++: void SetP2 (double );\n\n Specify the decentering distortion parameters for the lens\n"},
  {(char*)"GetP2",                (PyCFunction)PyvtkWarpLens_GetP2, 1,
   (char*)"V.GetP2() -> float\nC++: double GetP2 ();\n\n Specify the decentering distortion parameters for the lens\n"},
  {(char*)"SetFormatWidth",                (PyCFunction)PyvtkWarpLens_SetFormatWidth, 1,
   (char*)"V.SetFormatWidth(float)\nC++: void SetFormatWidth (double );\n\n Specify the imager format width / height in mm\n"},
  {(char*)"GetFormatWidth",                (PyCFunction)PyvtkWarpLens_GetFormatWidth, 1,
   (char*)"V.GetFormatWidth() -> float\nC++: double GetFormatWidth ();\n\n Specify the imager format width / height in mm\n"},
  {(char*)"SetFormatHeight",                (PyCFunction)PyvtkWarpLens_SetFormatHeight, 1,
   (char*)"V.SetFormatHeight(float)\nC++: void SetFormatHeight (double );\n\n Specify the imager format width / height in mm\n"},
  {(char*)"GetFormatHeight",                (PyCFunction)PyvtkWarpLens_GetFormatHeight, 1,
   (char*)"V.GetFormatHeight() -> float\nC++: double GetFormatHeight ();\n\n Specify the imager format width / height in mm\n"},
  {(char*)"SetImageWidth",                (PyCFunction)PyvtkWarpLens_SetImageWidth, 1,
   (char*)"V.SetImageWidth(int)\nC++: void SetImageWidth (int );\n\n Specify the image width / height in pixels\n"},
  {(char*)"GetImageWidth",                (PyCFunction)PyvtkWarpLens_GetImageWidth, 1,
   (char*)"V.GetImageWidth() -> int\nC++: int GetImageWidth ();\n\n Specify the image width / height in pixels\n"},
  {(char*)"SetImageHeight",                (PyCFunction)PyvtkWarpLens_SetImageHeight, 1,
   (char*)"V.SetImageHeight(int)\nC++: void SetImageHeight (int );\n\n Specify the image width / height in pixels\n"},
  {(char*)"GetImageHeight",                (PyCFunction)PyvtkWarpLens_GetImageHeight, 1,
   (char*)"V.GetImageHeight() -> int\nC++: int GetImageHeight ();\n\n Specify the image width / height in pixels\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWarpLensDoc[] = {
  (char*)"vtkWarpLens - deform geometry by applying lens distortion\n\n",
  "Super Class:\n\n vtkPointSetAlgorithm\n\n",
  (char*)" vtkWarpLens is a filter that modifies point coordinates by moving\n in accord with a lens distortion model.\n\n",
  NULL
};

static vtkObjectBase *vtkWarpLensStaticNew()
{
  return vtkWarpLens::New();
}

PyObject *PyVTKClass_vtkWarpLensNew(char *modulename)
{
  return PyVTKClass_New(&vtkWarpLensStaticNew,
                        PyvtkWarpLensMethods,
                        (char*)"vtkWarpLens",modulename,
                        (char**)vtkWarpLensDoc,
                        PyVTKClass_vtkPointSetAlgorithmNew(modulename));
}

