// python wrapper for vtkWarpScalar object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkWarpScalar.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWarpScalarNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWarpScalarNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetAlgorithmNew(char *); }

static PyObject *PyvtkWarpScalar_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  const char    *temp20;
  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpScalar::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpScalar_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpScalar::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpScalar_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  vtkWarpScalar  *temp20;
  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpScalar::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpScalar_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkWarpScalar  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkWarpScalar::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWarpScalar_SetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  double   temp0;
  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpScalar::SetScaleFactor(temp0);
      }
    else
      {
      op->SetScaleFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpScalar_GetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  double   temp20;
  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpScalar::GetScaleFactor();
      }
    else
      {
      temp20 = op->GetScaleFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpScalar_SetUseNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  int      temp0;
  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpScalar::SetUseNormal(temp0);
      }
    else
      {
      op->SetUseNormal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpScalar_GetUseNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  int      temp20;
  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpScalar::GetUseNormal();
      }
    else
      {
      temp20 = op->GetUseNormal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpScalar_UseNormalOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpScalar::UseNormalOn();
      }
    else
      {
      op->UseNormalOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpScalar_UseNormalOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpScalar::UseNormalOff();
      }
    else
      {
      op->UseNormalOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpScalar_SetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpScalar::SetNormal(temp0,temp1,temp2);
      }
    else
      {
      op->SetNormal(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpScalar::SetNormal(temp0);
      }
    else
      {
      op->SetNormal(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpScalar_GetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  double  *temp20;
  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpScalar::GetNormal();
      }
    else
      {
      temp20 = op->GetNormal();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpScalar_SetXYPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  int      temp0;
  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpScalar::SetXYPlane(temp0);
      }
    else
      {
      op->SetXYPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpScalar_GetXYPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  int      temp20;
  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpScalar::GetXYPlane();
      }
    else
      {
      temp20 = op->GetXYPlane();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpScalar_XYPlaneOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpScalar::XYPlaneOn();
      }
    else
      {
      op->XYPlaneOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpScalar_XYPlaneOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpScalar *op;

  if ((op = (vtkWarpScalar *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpScalar::XYPlaneOff();
      }
    else
      {
      op->XYPlaneOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWarpScalarMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWarpScalar_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWarpScalar_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWarpScalar_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWarpScalar\nC++: vtkWarpScalar *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkWarpScalar_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkWarpScalar\nC++: vtkWarpScalar *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetScaleFactor",                (PyCFunction)PyvtkWarpScalar_SetScaleFactor, 1,
   (char*)"V.SetScaleFactor(float)\nC++: void SetScaleFactor (double );\n\n Specify value to scale displacement.\n"},
  {(char*)"GetScaleFactor",                (PyCFunction)PyvtkWarpScalar_GetScaleFactor, 1,
   (char*)"V.GetScaleFactor() -> float\nC++: double GetScaleFactor ();\n\n Specify value to scale displacement.\n"},
  {(char*)"SetUseNormal",                (PyCFunction)PyvtkWarpScalar_SetUseNormal, 1,
   (char*)"V.SetUseNormal(int)\nC++: void SetUseNormal (int );\n\n Turn on/off use of user specified normal. If on, data normals\n will be ignored and instance variable Normal will be used instead.\n"},
  {(char*)"GetUseNormal",                (PyCFunction)PyvtkWarpScalar_GetUseNormal, 1,
   (char*)"V.GetUseNormal() -> int\nC++: int GetUseNormal ();\n\n Turn on/off use of user specified normal. If on, data normals\n will be ignored and instance variable Normal will be used instead.\n"},
  {(char*)"UseNormalOn",                (PyCFunction)PyvtkWarpScalar_UseNormalOn, 1,
   (char*)"V.UseNormalOn()\nC++: void UseNormalOn ();\n\n Turn on/off use of user specified normal. If on, data normals\n will be ignored and instance variable Normal will be used instead.\n"},
  {(char*)"UseNormalOff",                (PyCFunction)PyvtkWarpScalar_UseNormalOff, 1,
   (char*)"V.UseNormalOff()\nC++: void UseNormalOff ();\n\n Turn on/off use of user specified normal. If on, data normals\n will be ignored and instance variable Normal will be used instead.\n"},
  {(char*)"SetNormal",                (PyCFunction)PyvtkWarpScalar_SetNormal, 1,
   (char*)"V.SetNormal(float, float, float)\nC++: void SetNormal (double , double , double );\nV.SetNormal((float, float, float))\nC++: void SetNormal (double  a[3]);\n\n Normal (i.e., direction) along which to warp geometry. Only used\n if UseNormal boolean set to true or no normals available in data.\n"},
  {(char*)"GetNormal",                (PyCFunction)PyvtkWarpScalar_GetNormal, 1,
   (char*)"V.GetNormal() -> (float, float, float)\nC++: double  *GetNormal ();\n\n Normal (i.e., direction) along which to warp geometry. Only used\n if UseNormal boolean set to true or no normals available in data.\n"},
  {(char*)"SetXYPlane",                (PyCFunction)PyvtkWarpScalar_SetXYPlane, 1,
   (char*)"V.SetXYPlane(int)\nC++: void SetXYPlane (int );\n\n Turn on/off flag specifying that input data is x-y plane. If x-y plane,\n then the z value is used to warp the surface in the z-axis direction \n (times the scale factor) and scalars are used to color the surface.\n"},
  {(char*)"GetXYPlane",                (PyCFunction)PyvtkWarpScalar_GetXYPlane, 1,
   (char*)"V.GetXYPlane() -> int\nC++: int GetXYPlane ();\n\n Turn on/off flag specifying that input data is x-y plane. If x-y plane,\n then the z value is used to warp the surface in the z-axis direction \n (times the scale factor) and scalars are used to color the surface.\n"},
  {(char*)"XYPlaneOn",                (PyCFunction)PyvtkWarpScalar_XYPlaneOn, 1,
   (char*)"V.XYPlaneOn()\nC++: void XYPlaneOn ();\n\n Turn on/off flag specifying that input data is x-y plane. If x-y plane,\n then the z value is used to warp the surface in the z-axis direction \n (times the scale factor) and scalars are used to color the surface.\n"},
  {(char*)"XYPlaneOff",                (PyCFunction)PyvtkWarpScalar_XYPlaneOff, 1,
   (char*)"V.XYPlaneOff()\nC++: void XYPlaneOff ();\n\n Turn on/off flag specifying that input data is x-y plane. If x-y plane,\n then the z value is used to warp the surface in the z-axis direction \n (times the scale factor) and scalars are used to color the surface.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWarpScalarDoc[] = {
  (char*)"vtkWarpScalar - deform geometry with scalar data\n\n",
  "Super Class:\n\n vtkPointSetAlgorithm\n\n",
  (char*)" vtkWarpScalar is a filter that modifies point coordinates by moving\n points along point normals by the scalar amount times the scale factor.\n Useful for creating carpet or x-y-z plots.\n\n If normals are not present in data, the Normal instance variable will\n be used as the direction along which to warp the geometry. If normals are\n present but you would like to use the Normal instance variable, se",
  (char*)"t the \n UseNormal boolean to true.\n\n If XYPlane boolean is set true, then the z-value is considered to be \n a scalar value (still scaled by scale factor), and the displacement is\n along the z-axis. If scalars are also present, these are copied through\n and can be used to color the surface.\n\n Note that the filter passes both its point data and cell data to\n its output, except for normals, since the",
  (char*)"se are distorted by the\n warping.\n\n",
  NULL
};

static vtkObjectBase *vtkWarpScalarStaticNew()
{
  return vtkWarpScalar::New();
}

PyObject *PyVTKClass_vtkWarpScalarNew(char *modulename)
{
  return PyVTKClass_New(&vtkWarpScalarStaticNew,
                        PyvtkWarpScalarMethods,
                        (char*)"vtkWarpScalar",modulename,
                        (char**)vtkWarpScalarDoc,
                        PyVTKClass_vtkPointSetAlgorithmNew(modulename));
}

