// python wrapper for vtkWarpTo object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkWarpTo.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWarpToNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWarpToNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetAlgorithmNew(char *); }

static PyObject *PyvtkWarpTo_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTo *op;

  const char    *temp20;
  if ((op = (vtkWarpTo *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpTo::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTo_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTo *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkWarpTo *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpTo::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTo_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTo *op;

  vtkWarpTo  *temp20;
  if ((op = (vtkWarpTo *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpTo::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTo_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkWarpTo  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkWarpTo::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWarpTo_SetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTo *op;

  double   temp0;
  if ((op = (vtkWarpTo *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTo::SetScaleFactor(temp0);
      }
    else
      {
      op->SetScaleFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTo_GetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTo *op;

  double   temp20;
  if ((op = (vtkWarpTo *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpTo::GetScaleFactor();
      }
    else
      {
      temp20 = op->GetScaleFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTo_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTo *op;

  double  *temp20;
  if ((op = (vtkWarpTo *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpTo::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTo_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTo *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkWarpTo *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTo::SetPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWarpTo *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkWarpTo *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTo::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTo_SetAbsolute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTo *op;

  int      temp0;
  if ((op = (vtkWarpTo *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTo::SetAbsolute(temp0);
      }
    else
      {
      op->SetAbsolute(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTo_GetAbsolute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTo *op;

  int      temp20;
  if ((op = (vtkWarpTo *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWarpTo::GetAbsolute();
      }
    else
      {
      temp20 = op->GetAbsolute();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTo_AbsoluteOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTo *op;

  if ((op = (vtkWarpTo *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTo::AbsoluteOn();
      }
    else
      {
      op->AbsoluteOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWarpTo_AbsoluteOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWarpTo *op;

  if ((op = (vtkWarpTo *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWarpTo::AbsoluteOff();
      }
    else
      {
      op->AbsoluteOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWarpToMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWarpTo_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWarpTo_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWarpTo_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWarpTo\nC++: vtkWarpTo *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkWarpTo_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkWarpTo\nC++: vtkWarpTo *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetScaleFactor",                (PyCFunction)PyvtkWarpTo_SetScaleFactor, 1,
   (char*)"V.SetScaleFactor(float)\nC++: void SetScaleFactor (double );\n\n Set/Get the value to scale displacement.\n"},
  {(char*)"GetScaleFactor",                (PyCFunction)PyvtkWarpTo_GetScaleFactor, 1,
   (char*)"V.GetScaleFactor() -> float\nC++: double GetScaleFactor ();\n\n Set/Get the value to scale displacement.\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkWarpTo_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float, float)\nC++: double  *GetPosition ();\n\n Set/Get the position to warp towards.\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkWarpTo_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: void SetPosition (double , double , double );\nV.SetPosition((float, float, float))\nC++: void SetPosition (double  a[3]);\n\n Set/Get the position to warp towards.\n"},
  {(char*)"SetAbsolute",                (PyCFunction)PyvtkWarpTo_SetAbsolute, 1,
   (char*)"V.SetAbsolute(int)\nC++: void SetAbsolute (int );\n\n Set/Get the Absolute ivar. Turning Absolute on causes scale factor\n of the new position to be one unit away from Position.\n"},
  {(char*)"GetAbsolute",                (PyCFunction)PyvtkWarpTo_GetAbsolute, 1,
   (char*)"V.GetAbsolute() -> int\nC++: int GetAbsolute ();\n\n Set/Get the Absolute ivar. Turning Absolute on causes scale factor\n of the new position to be one unit away from Position.\n"},
  {(char*)"AbsoluteOn",                (PyCFunction)PyvtkWarpTo_AbsoluteOn, 1,
   (char*)"V.AbsoluteOn()\nC++: void AbsoluteOn ();\n\n Set/Get the Absolute ivar. Turning Absolute on causes scale factor\n of the new position to be one unit away from Position.\n"},
  {(char*)"AbsoluteOff",                (PyCFunction)PyvtkWarpTo_AbsoluteOff, 1,
   (char*)"V.AbsoluteOff()\nC++: void AbsoluteOff ();\n\n Set/Get the Absolute ivar. Turning Absolute on causes scale factor\n of the new position to be one unit away from Position.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWarpToDoc[] = {
  (char*)"vtkWarpTo - deform geometry by warping towards a point\n\n",
  "Super Class:\n\n vtkPointSetAlgorithm\n\n",
  (char*)" vtkWarpTo is a filter that modifies point coordinates by moving the\n points towards a user specified position.\n\n",
  NULL
};

static vtkObjectBase *vtkWarpToStaticNew()
{
  return vtkWarpTo::New();
}

PyObject *PyVTKClass_vtkWarpToNew(char *modulename)
{
  return PyVTKClass_New(&vtkWarpToStaticNew,
                        PyvtkWarpToMethods,
                        (char*)"vtkWarpTo",modulename,
                        (char**)vtkWarpToDoc,
                        PyVTKClass_vtkPointSetAlgorithmNew(modulename));
}

