// python wrapper for vtkArcPlotter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkArcPlotter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkArcPlotterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkArcPlotterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkArcPlotter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  const char    *temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  vtkArcPlotter  *temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkArcPlotter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkArcPlotter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  vtkCamera  *temp0;
  PyObject *tempH0;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCamera *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCamera");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetCamera(temp0);
      }
    else
      {
      op->SetCamera(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  vtkCamera  *temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetCamera();
      }
    else
      {
      temp20 = op->GetCamera();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetPlotMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  int      temp0;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetPlotMode(temp0);
      }
    else
      {
      op->SetPlotMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetPlotMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  int      temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetPlotMode();
      }
    else
      {
      temp20 = op->GetPlotMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetPlotModeToPlotScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetPlotModeToPlotScalars();
      }
    else
      {
      op->SetPlotModeToPlotScalars();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetPlotModeToPlotVectors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetPlotModeToPlotVectors();
      }
    else
      {
      op->SetPlotModeToPlotVectors();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetPlotModeToPlotNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetPlotModeToPlotNormals();
      }
    else
      {
      op->SetPlotModeToPlotNormals();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetPlotModeToPlotTCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetPlotModeToPlotTCoords();
      }
    else
      {
      op->SetPlotModeToPlotTCoords();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetPlotModeToPlotTensors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetPlotModeToPlotTensors();
      }
    else
      {
      op->SetPlotModeToPlotTensors();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetPlotModeToPlotFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetPlotModeToPlotFieldData();
      }
    else
      {
      op->SetPlotModeToPlotFieldData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetPlotComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  int      temp0;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetPlotComponent(temp0);
      }
    else
      {
      op->SetPlotComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetPlotComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  int      temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetPlotComponent();
      }
    else
      {
      temp20 = op->GetPlotComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  double   temp0;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  double   temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetRadiusMinValue();
      }
    else
      {
      temp20 = op->GetRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  double   temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  double   temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  double   temp0;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetHeight(temp0);
      }
    else
      {
      op->SetHeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetHeightMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  double   temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetHeightMinValue();
      }
    else
      {
      temp20 = op->GetHeightMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetHeightMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  double   temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetHeightMaxValue();
      }
    else
      {
      temp20 = op->GetHeightMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  double   temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetHeight();
      }
    else
      {
      temp20 = op->GetHeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  double   temp0;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetOffset(temp0);
      }
    else
      {
      op->SetOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetOffsetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  double   temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetOffsetMinValue();
      }
    else
      {
      temp20 = op->GetOffsetMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetOffsetMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  double   temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetOffsetMaxValue();
      }
    else
      {
      temp20 = op->GetOffsetMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  double   temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetOffset();
      }
    else
      {
      temp20 = op->GetOffset();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetUseDefaultNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  int      temp0;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetUseDefaultNormal(temp0);
      }
    else
      {
      op->SetUseDefaultNormal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetUseDefaultNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  int      temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetUseDefaultNormal();
      }
    else
      {
      temp20 = op->GetUseDefaultNormal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_UseDefaultNormalOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::UseDefaultNormalOn();
      }
    else
      {
      op->UseDefaultNormalOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_UseDefaultNormalOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::UseDefaultNormalOff();
      }
    else
      {
      op->UseDefaultNormalOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetDefaultNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  float    temp0;
  float    temp1;
  float    temp2;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"fff", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetDefaultNormal(temp0,temp1,temp2);
      }
    else
      {
      op->SetDefaultNormal(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  float  temp0[3];
  PyErr_Clear();
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetDefaultNormal(temp0);
      }
    else
      {
      op->SetDefaultNormal(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetDefaultNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  float   *temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetDefaultNormal();
      }
    else
      {
      temp20 = op->GetDefaultNormal();
      }
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_SetFieldDataArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  int      temp0;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkArcPlotter::SetFieldDataArray(temp0);
      }
    else
      {
      op->SetFieldDataArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetFieldDataArrayMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  int      temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetFieldDataArrayMinValue();
      }
    else
      {
      temp20 = op->GetFieldDataArrayMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetFieldDataArrayMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  int      temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetFieldDataArrayMaxValue();
      }
    else
      {
      temp20 = op->GetFieldDataArrayMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetFieldDataArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  int      temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetFieldDataArray();
      }
    else
      {
      temp20 = op->GetFieldDataArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkArcPlotter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkArcPlotter *op;

  unsigned long     temp20;
  if ((op = (vtkArcPlotter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkArcPlotter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkArcPlotterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkArcPlotter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkArcPlotter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkArcPlotter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkArcPlotter\nC++: vtkArcPlotter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkArcPlotter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkArcPlotter\nC++: vtkArcPlotter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCamera",                (PyCFunction)PyvtkArcPlotter_SetCamera, 1,
   (char*)"V.SetCamera(vtkCamera)\nC++: virtual void SetCamera (vtkCamera *);\n\n Specify a camera used to orient the plot along the arc. If no camera\n is specified, then the orientation of the plot is arbitrary.\n"},
  {(char*)"GetCamera",                (PyCFunction)PyvtkArcPlotter_GetCamera, 1,
   (char*)"V.GetCamera() -> vtkCamera\nC++: vtkCamera *GetCamera ();\n\n Specify a camera used to orient the plot along the arc. If no camera\n is specified, then the orientation of the plot is arbitrary.\n"},
  {(char*)"SetPlotMode",                (PyCFunction)PyvtkArcPlotter_SetPlotMode, 1,
   (char*)"V.SetPlotMode(int)\nC++: void SetPlotMode (int );\n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n"},
  {(char*)"GetPlotMode",                (PyCFunction)PyvtkArcPlotter_GetPlotMode, 1,
   (char*)"V.GetPlotMode() -> int\nC++: int GetPlotMode ();\n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n"},
  {(char*)"SetPlotModeToPlotScalars",                (PyCFunction)PyvtkArcPlotter_SetPlotModeToPlotScalars, 1,
   (char*)"V.SetPlotModeToPlotScalars()\nC++: void SetPlotModeToPlotScalars ();this SetPlotMode VTK_PLOT_SCALARS \n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n"},
  {(char*)"SetPlotModeToPlotVectors",                (PyCFunction)PyvtkArcPlotter_SetPlotModeToPlotVectors, 1,
   (char*)"V.SetPlotModeToPlotVectors()\nC++: void SetPlotModeToPlotVectors ();this SetPlotMode VTK_PLOT_VECTORS \n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n"},
  {(char*)"SetPlotModeToPlotNormals",                (PyCFunction)PyvtkArcPlotter_SetPlotModeToPlotNormals, 1,
   (char*)"V.SetPlotModeToPlotNormals()\nC++: void SetPlotModeToPlotNormals ();this SetPlotMode VTK_PLOT_NORMALS \n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n"},
  {(char*)"SetPlotModeToPlotTCoords",                (PyCFunction)PyvtkArcPlotter_SetPlotModeToPlotTCoords, 1,
   (char*)"V.SetPlotModeToPlotTCoords()\nC++: void SetPlotModeToPlotTCoords ();this SetPlotMode VTK_PLOT_TCOORDS \n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n"},
  {(char*)"SetPlotModeToPlotTensors",                (PyCFunction)PyvtkArcPlotter_SetPlotModeToPlotTensors, 1,
   (char*)"V.SetPlotModeToPlotTensors()\nC++: void SetPlotModeToPlotTensors ();this SetPlotMode VTK_PLOT_TENSORS \n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n"},
  {(char*)"SetPlotModeToPlotFieldData",                (PyCFunction)PyvtkArcPlotter_SetPlotModeToPlotFieldData, 1,
   (char*)"V.SetPlotModeToPlotFieldData()\nC++: void SetPlotModeToPlotFieldData ();this SetPlotMode VTK_PLOT_FIELD_DATA \n\n Specify which data to plot: scalars, vectors, normals, texture coords,\n tensors, or field data. If the data has more than one component, use\n the method SetPlotComponent to control which component to plot.\n"},
  {(char*)"SetPlotComponent",                (PyCFunction)PyvtkArcPlotter_SetPlotComponent, 1,
   (char*)"V.SetPlotComponent(int)\nC++: void SetPlotComponent (int );\n\n Set/Get the component number to plot if the data has more than one \n component. If the value of the plot component is == (-1), then all\n the components will be plotted.\n"},
  {(char*)"GetPlotComponent",                (PyCFunction)PyvtkArcPlotter_GetPlotComponent, 1,
   (char*)"V.GetPlotComponent() -> int\nC++: int GetPlotComponent ();\n\n Set/Get the component number to plot if the data has more than one \n component. If the value of the plot component is == (-1), then all\n the components will be plotted.\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkArcPlotter_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Set the radius of the \"median\" value of the first plotted component.\n"},
  {(char*)"GetRadiusMinValue",                (PyCFunction)PyvtkArcPlotter_GetRadiusMinValue, 1,
   (char*)"V.GetRadiusMinValue() -> float\nC++: double GetRadiusMinValue ();\n\n Set the radius of the \"median\" value of the first plotted component.\n"},
  {(char*)"GetRadiusMaxValue",                (PyCFunction)PyvtkArcPlotter_GetRadiusMaxValue, 1,
   (char*)"V.GetRadiusMaxValue() -> float\nC++: double GetRadiusMaxValue ();\n\n Set the radius of the \"median\" value of the first plotted component.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkArcPlotter_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Set the radius of the \"median\" value of the first plotted component.\n"},
  {(char*)"SetHeight",                (PyCFunction)PyvtkArcPlotter_SetHeight, 1,
   (char*)"V.SetHeight(float)\nC++: void SetHeight (double );\n\n Set the height of the plot. (The radius combined with the height\n define the location of the plot relative to the generating polyline.)\n"},
  {(char*)"GetHeightMinValue",                (PyCFunction)PyvtkArcPlotter_GetHeightMinValue, 1,
   (char*)"V.GetHeightMinValue() -> float\nC++: double GetHeightMinValue ();\n\n Set the height of the plot. (The radius combined with the height\n define the location of the plot relative to the generating polyline.)\n"},
  {(char*)"GetHeightMaxValue",                (PyCFunction)PyvtkArcPlotter_GetHeightMaxValue, 1,
   (char*)"V.GetHeightMaxValue() -> float\nC++: double GetHeightMaxValue ();\n\n Set the height of the plot. (The radius combined with the height\n define the location of the plot relative to the generating polyline.)\n"},
  {(char*)"GetHeight",                (PyCFunction)PyvtkArcPlotter_GetHeight, 1,
   (char*)"V.GetHeight() -> float\nC++: double GetHeight ();\n\n Set the height of the plot. (The radius combined with the height\n define the location of the plot relative to the generating polyline.)\n"},
  {(char*)"SetOffset",                (PyCFunction)PyvtkArcPlotter_SetOffset, 1,
   (char*)"V.SetOffset(float)\nC++: void SetOffset (double );\n\n Specify an offset that translates each subsequent plot (if there is\n more than one component plotted) from the defining arc (i.e., polyline).\n"},
  {(char*)"GetOffsetMinValue",                (PyCFunction)PyvtkArcPlotter_GetOffsetMinValue, 1,
   (char*)"V.GetOffsetMinValue() -> float\nC++: double GetOffsetMinValue ();\n\n Specify an offset that translates each subsequent plot (if there is\n more than one component plotted) from the defining arc (i.e., polyline).\n"},
  {(char*)"GetOffsetMaxValue",                (PyCFunction)PyvtkArcPlotter_GetOffsetMaxValue, 1,
   (char*)"V.GetOffsetMaxValue() -> float\nC++: double GetOffsetMaxValue ();\n\n Specify an offset that translates each subsequent plot (if there is\n more than one component plotted) from the defining arc (i.e., polyline).\n"},
  {(char*)"GetOffset",                (PyCFunction)PyvtkArcPlotter_GetOffset, 1,
   (char*)"V.GetOffset() -> float\nC++: double GetOffset ();\n\n Specify an offset that translates each subsequent plot (if there is\n more than one component plotted) from the defining arc (i.e., polyline).\n"},
  {(char*)"SetUseDefaultNormal",                (PyCFunction)PyvtkArcPlotter_SetUseDefaultNormal, 1,
   (char*)"V.SetUseDefaultNormal(int)\nC++: void SetUseDefaultNormal (int );\n\n Set a boolean to control whether to use default normals.\n By default, normals are automatically computed from the generating\n polyline and camera.\n"},
  {(char*)"GetUseDefaultNormal",                (PyCFunction)PyvtkArcPlotter_GetUseDefaultNormal, 1,
   (char*)"V.GetUseDefaultNormal() -> int\nC++: int GetUseDefaultNormal ();\n\n Set a boolean to control whether to use default normals.\n By default, normals are automatically computed from the generating\n polyline and camera.\n"},
  {(char*)"UseDefaultNormalOn",                (PyCFunction)PyvtkArcPlotter_UseDefaultNormalOn, 1,
   (char*)"V.UseDefaultNormalOn()\nC++: void UseDefaultNormalOn ();\n\n Set a boolean to control whether to use default normals.\n By default, normals are automatically computed from the generating\n polyline and camera.\n"},
  {(char*)"UseDefaultNormalOff",                (PyCFunction)PyvtkArcPlotter_UseDefaultNormalOff, 1,
   (char*)"V.UseDefaultNormalOff()\nC++: void UseDefaultNormalOff ();\n\n Set a boolean to control whether to use default normals.\n By default, normals are automatically computed from the generating\n polyline and camera.\n"},
  {(char*)"SetDefaultNormal",                (PyCFunction)PyvtkArcPlotter_SetDefaultNormal, 1,
   (char*)"V.SetDefaultNormal(float, float, float)\nC++: void SetDefaultNormal (float , float , float );\nV.SetDefaultNormal((float, float, float))\nC++: void SetDefaultNormal (float  a[3]);\n\n Set the default normal to use if you do not wish automatic normal\n calculation. The arc plot will be generated using this normal.\n"},
  {(char*)"GetDefaultNormal",                (PyCFunction)PyvtkArcPlotter_GetDefaultNormal, 1,
   (char*)"V.GetDefaultNormal() -> (float, float, float)\nC++: float  *GetDefaultNormal ();\n\n Set the default normal to use if you do not wish automatic normal\n calculation. The arc plot will be generated using this normal.\n"},
  {(char*)"SetFieldDataArray",                (PyCFunction)PyvtkArcPlotter_SetFieldDataArray, 1,
   (char*)"V.SetFieldDataArray(int)\nC++: void SetFieldDataArray (int );\n\n Set/Get the field data array to plot. This instance variable is\n only applicable if field data is plotted.\n"},
  {(char*)"GetFieldDataArrayMinValue",                (PyCFunction)PyvtkArcPlotter_GetFieldDataArrayMinValue, 1,
   (char*)"V.GetFieldDataArrayMinValue() -> int\nC++: int GetFieldDataArrayMinValue ();\n\n Set/Get the field data array to plot. This instance variable is\n only applicable if field data is plotted.\n"},
  {(char*)"GetFieldDataArrayMaxValue",                (PyCFunction)PyvtkArcPlotter_GetFieldDataArrayMaxValue, 1,
   (char*)"V.GetFieldDataArrayMaxValue() -> int\nC++: int GetFieldDataArrayMaxValue ();\n\n Set/Get the field data array to plot. This instance variable is\n only applicable if field data is plotted.\n"},
  {(char*)"GetFieldDataArray",                (PyCFunction)PyvtkArcPlotter_GetFieldDataArray, 1,
   (char*)"V.GetFieldDataArray() -> int\nC++: int GetFieldDataArray ();\n\n Set/Get the field data array to plot. This instance variable is\n only applicable if field data is plotted.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkArcPlotter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n New GetMTime because of camera dependency.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkArcPlotterDoc[] = {
  (char*)"vtkArcPlotter - plot data along an arbitrary polyline\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkArcPlotter performs plotting of attribute data along polylines defined\n with an input vtkPolyData data object. Any type of attribute data can be\n plotted including scalars, vectors, tensors, normals, texture coordinates,\n and field data. Either one or multiple data components can be plotted.\n \n To use this class you must specify an input data set that contains one or\n more polylines, and some ",
  (char*)"attribute data including which component of the\n attribute data. (By default, this class processes the first component of\n scalar data.) You will also need to set an offset radius (the distance\n of the polyline to the median line of the plot), a width for the plot\n (the distance that the minimum and maximum plot values are mapped into),\n an possibly an offset (used to offset attribute data with mu",
  (char*)"ltiple\n components).\n \n Normally the filter automatically computes normals for generating the\n offset arc plot. However, you can specify a default normal and use that\n instead.\n\n",
  "See Also:\n\n vtkXYPlotActor\n\n",
  NULL
};

static vtkObjectBase *vtkArcPlotterStaticNew()
{
  return vtkArcPlotter::New();
}

PyObject *PyVTKClass_vtkArcPlotterNew(char *modulename)
{
  return PyVTKClass_New(&vtkArcPlotterStaticNew,
                        PyvtkArcPlotterMethods,
                        (char*)"vtkArcPlotter",modulename,
                        (char**)vtkArcPlotterDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

