// tcl wrapper for vtkCaptionActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCaptionActor2D.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkCaptionActor2DNewCommand()
{
  vtkCaptionActor2D *temp = vtkCaptionActor2D::New();
  return ((ClientData)temp);
}

int vtkActor2DCppCommand(vtkActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCaptionActor2DCppCommand(vtkCaptionActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCaptionActor2DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCaptionActor2DCppCommand((vtkCaptionActor2D *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCaptionActor2DCppCommand(vtkCaptionActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCaptionActor2D",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkActor2DCppCommand((vtkActor2D *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkActor2D", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCaptionActor2D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCaptionActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCaptionActor2D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCaptionActor2D");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCaptionActor2D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCaptionActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SetCaption",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetCaption(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaption",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCaption();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetAttachmentPointCoordinate",argv[1]))&&(argc == 2))
    {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetAttachmentPointCoordinate();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCoordinate");
    return TCL_OK;
    }
  if ((!strcmp("SetAttachmentPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetAttachmentPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttachmentPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetAttachmentPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttachmentPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetAttachmentPoint();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBorder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BorderOn",argv[1]))&&(argc == 2))
    {
    op->BorderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BorderOff",argv[1]))&&(argc == 2))
    {
    op->BorderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLeader",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLeader(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeader",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeader();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LeaderOn",argv[1]))&&(argc == 2))
    {
    op->LeaderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LeaderOff",argv[1]))&&(argc == 2))
    {
    op->LeaderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetThreeDimensionalLeader",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThreeDimensionalLeader(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThreeDimensionalLeader",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThreeDimensionalLeader();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ThreeDimensionalLeaderOn",argv[1]))&&(argc == 2))
    {
    op->ThreeDimensionalLeaderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ThreeDimensionalLeaderOff",argv[1]))&&(argc == 2))
    {
    op->ThreeDimensionalLeaderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLeaderGlyph",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPolyData",interp,error));
    if (!error)
    {
    op->SetLeaderGlyph(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeaderGlyph",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetLeaderGlyph();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SetLeaderGlyphSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLeaderGlyphSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeaderGlyphSizeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLeaderGlyphSizeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeaderGlyphSizeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLeaderGlyphSizeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeaderGlyphSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLeaderGlyphSize();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumLeaderGlyphSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumLeaderGlyphSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumLeaderGlyphSizeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumLeaderGlyphSizeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumLeaderGlyphSizeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumLeaderGlyphSizeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumLeaderGlyphSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumLeaderGlyphSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPadding",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPadding(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPaddingMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPaddingMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPaddingMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPaddingMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPadding",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPadding();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextActor",argv[1]))&&(argc == 2))
    {
    vtkTextActor  *temp20;
    temp20 = (op)->GetTextActor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTextActor");
    return TCL_OK;
    }
  if ((!strcmp("SetCaptionTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkTextProperty",interp,error));
    if (!error)
    {
    op->SetCaptionTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaptionTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetCaptionTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkCaptionActor2DCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCaptionActor2D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetCaption\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCaption\n",NULL);
    Tcl_AppendResult(interp,"  GetAttachmentPointCoordinate\n",NULL);
    Tcl_AppendResult(interp,"  SetAttachmentPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAttachmentPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAttachmentPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetBorder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBorder\n",NULL);
    Tcl_AppendResult(interp,"  BorderOn\n",NULL);
    Tcl_AppendResult(interp,"  BorderOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLeader\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeader\n",NULL);
    Tcl_AppendResult(interp,"  LeaderOn\n",NULL);
    Tcl_AppendResult(interp,"  LeaderOff\n",NULL);
    Tcl_AppendResult(interp,"  SetThreeDimensionalLeader\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThreeDimensionalLeader\n",NULL);
    Tcl_AppendResult(interp,"  ThreeDimensionalLeaderOn\n",NULL);
    Tcl_AppendResult(interp,"  ThreeDimensionalLeaderOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLeaderGlyph\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeaderGlyph\n",NULL);
    Tcl_AppendResult(interp,"  SetLeaderGlyphSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeaderGlyphSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeaderGlyphSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeaderGlyphSize\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumLeaderGlyphSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLeaderGlyphSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLeaderGlyphSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumLeaderGlyphSize\n",NULL);
    Tcl_AppendResult(interp,"  SetPadding\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPaddingMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPaddingMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPadding\n",NULL);
    Tcl_AppendResult(interp,"  GetTextActor\n",NULL);
    Tcl_AppendResult(interp,"  SetCaptionTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCaptionTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkActor2DCppCommand((vtkActor2D *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
