// python wrapper for vtkDSPFilterGroup object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDSPFilterGroup.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDSPFilterGroupNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDSPFilterGroupNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkDSPFilterGroup_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDSPFilterGroup *op;

  const char    *temp20;
  if ((op = (vtkDSPFilterGroup *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDSPFilterGroup::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDSPFilterGroup_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDSPFilterGroup *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDSPFilterGroup *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDSPFilterGroup::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDSPFilterGroup_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDSPFilterGroup *op;

  vtkDSPFilterGroup  *temp20;
  if ((op = (vtkDSPFilterGroup *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDSPFilterGroup::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDSPFilterGroup_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDSPFilterGroup  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDSPFilterGroup::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDSPFilterGroup_AddFilter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDSPFilterGroup *op;

  vtkDSPFilterDefinition  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDSPFilterGroup *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDSPFilterDefinition *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDSPFilterDefinition");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDSPFilterGroup::AddFilter(temp0);
      }
    else
      {
      op->AddFilter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDSPFilterGroup_RemoveFilter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDSPFilterGroup *op;

  char    *temp0;
  if ((op = (vtkDSPFilterGroup *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDSPFilterGroup::RemoveFilter(temp0);
      }
    else
      {
      op->RemoveFilter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDSPFilterGroup_AddInputVariableInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDSPFilterGroup *op;

  char    *temp0;
  int      temp1;
  vtkFloatArray  *temp2;
  PyObject *tempH2;
  if ((op = (vtkDSPFilterGroup *)PyArg_VTKParseTuple(self, args, (char*)"ziO", &temp0, &temp1, &tempH2)))
    {
    temp2 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkFloatArray");
    if (!temp2 && tempH2 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkDSPFilterGroup::AddInputVariableInstance(temp0,temp1,temp2);
      }
    else
      {
      op->AddInputVariableInstance(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkDSPFilterGroup_GetCachedInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDSPFilterGroup *op;

  int      temp0;
  int      temp1;
  vtkFloatArray  *temp20;
  if ((op = (vtkDSPFilterGroup *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDSPFilterGroup::GetCachedInput(temp0,temp1);
      }
    else
      {
      temp20 = op->GetCachedInput(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDSPFilterGroup_GetCachedOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDSPFilterGroup *op;

  int      temp0;
  int      temp1;
  vtkFloatArray  *temp20;
  if ((op = (vtkDSPFilterGroup *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDSPFilterGroup::GetCachedOutput(temp0,temp1);
      }
    else
      {
      temp20 = op->GetCachedOutput(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDSPFilterGroup_GetInputVariableName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDSPFilterGroup *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkDSPFilterGroup *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDSPFilterGroup::GetInputVariableName(temp0);
      }
    else
      {
      temp20 = op->GetInputVariableName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDSPFilterGroup_GetNumFilters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDSPFilterGroup *op;

  int      temp20;
  if ((op = (vtkDSPFilterGroup *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDSPFilterGroup::GetNumFilters();
      }
    else
      {
      temp20 = op->GetNumFilters();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDSPFilterGroup_Copy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDSPFilterGroup *op;

  vtkDSPFilterGroup  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDSPFilterGroup *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDSPFilterGroup *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDSPFilterGroup");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkDSPFilterGroup::Copy(temp0);
      }
    else
      {
      op->Copy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkDSPFilterGroup_GetFilter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDSPFilterGroup *op;

  int      temp0;
  vtkDSPFilterDefinition  *temp20;
  if ((op = (vtkDSPFilterGroup *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDSPFilterGroup::GetFilter(temp0);
      }
    else
      {
      temp20 = op->GetFilter(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDSPFilterGroupMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDSPFilterGroup_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDSPFilterGroup_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDSPFilterGroup_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDSPFilterGroup\nC++: vtkDSPFilterGroup *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDSPFilterGroup_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDSPFilterGroup\nC++: vtkDSPFilterGroup *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddFilter",                (PyCFunction)PyvtkDSPFilterGroup_AddFilter, 1,
   (char*)"V.AddFilter(vtkDSPFilterDefinition)\nC++: void AddFilter (vtkDSPFilterDefinition *filter);\n\n"},
  {(char*)"RemoveFilter",                (PyCFunction)PyvtkDSPFilterGroup_RemoveFilter, 1,
   (char*)"V.RemoveFilter(string)\nC++: void RemoveFilter (char *a_outputVariableName);\n\n"},
  {(char*)"AddInputVariableInstance",                (PyCFunction)PyvtkDSPFilterGroup_AddInputVariableInstance, 1,
   (char*)"V.AddInputVariableInstance(string, int, vtkFloatArray)\nC++: void AddInputVariableInstance (const char *a_name, int a_timestep, vtkFloatArray *a_data);\n\n"},
  {(char*)"GetCachedInput",                (PyCFunction)PyvtkDSPFilterGroup_GetCachedInput, 1,
   (char*)"V.GetCachedInput(int, int) -> vtkFloatArray\nC++: vtkFloatArray *GetCachedInput (int a_whichFilter, int a_whichTimestep);\n\n"},
  {(char*)"GetCachedOutput",                (PyCFunction)PyvtkDSPFilterGroup_GetCachedOutput, 1,
   (char*)"V.GetCachedOutput(int, int) -> vtkFloatArray\nC++: vtkFloatArray *GetCachedOutput (int a_whichFilter, int a_whichTimestep);\n\n"},
  {(char*)"GetInputVariableName",                (PyCFunction)PyvtkDSPFilterGroup_GetInputVariableName, 1,
   (char*)"V.GetInputVariableName(int) -> string\nC++: const char *GetInputVariableName (int a_whichFilter);\n\n"},
  {(char*)"GetNumFilters",                (PyCFunction)PyvtkDSPFilterGroup_GetNumFilters, 1,
   (char*)"V.GetNumFilters() -> int\nC++: int GetNumFilters ();\n\n"},
  {(char*)"Copy",                (PyCFunction)PyvtkDSPFilterGroup_Copy, 1,
   (char*)"V.Copy(vtkDSPFilterGroup)\nC++: void Copy (vtkDSPFilterGroup *other);\n\n"},
  {(char*)"GetFilter",                (PyCFunction)PyvtkDSPFilterGroup_GetFilter, 1,
   (char*)"V.GetFilter(int) -> vtkDSPFilterDefinition\nC++: vtkDSPFilterDefinition *GetFilter (int a_whichFilter);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDSPFilterGroupDoc[] = {
  (char*)"vtkDSPFilterGroup - no description provided.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"None provided.\n\n",
  NULL
};

static vtkObjectBase *vtkDSPFilterGroupStaticNew()
{
  return vtkDSPFilterGroup::New();
}

PyObject *PyVTKClass_vtkDSPFilterGroupNew(char *modulename)
{
  return PyVTKClass_New(&vtkDSPFilterGroupStaticNew,
                        PyvtkDSPFilterGroupMethods,
                        (char*)"vtkDSPFilterGroup",modulename,
                        (char**)vtkDSPFilterGroupDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

