// python wrapper for vtkDepthSortPolyData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDepthSortPolyData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDepthSortPolyDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDepthSortPolyDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkDepthSortPolyData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  const char    *temp20;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthSortPolyData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthSortPolyData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  vtkDepthSortPolyData  *temp20;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthSortPolyData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDepthSortPolyData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDepthSortPolyData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SetDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  int      temp0;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetDirection(temp0);
      }
    else
      {
      op->SetDirection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_GetDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  int      temp20;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthSortPolyData::GetDirection();
      }
    else
      {
      temp20 = op->GetDirection();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SetDirectionToFrontToBack(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetDirectionToFrontToBack();
      }
    else
      {
      op->SetDirectionToFrontToBack();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SetDirectionToBackToFront(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetDirectionToBackToFront();
      }
    else
      {
      op->SetDirectionToBackToFront();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SetDirectionToSpecifiedVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetDirectionToSpecifiedVector();
      }
    else
      {
      op->SetDirectionToSpecifiedVector();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SetDepthSortMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  int      temp0;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetDepthSortMode(temp0);
      }
    else
      {
      op->SetDepthSortMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_GetDepthSortMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  int      temp20;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthSortPolyData::GetDepthSortMode();
      }
    else
      {
      temp20 = op->GetDepthSortMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SetDepthSortModeToFirstPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetDepthSortModeToFirstPoint();
      }
    else
      {
      op->SetDepthSortModeToFirstPoint();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SetDepthSortModeToBoundsCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetDepthSortModeToBoundsCenter();
      }
    else
      {
      op->SetDepthSortModeToBoundsCenter();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SetDepthSortModeToParametricCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetDepthSortModeToParametricCenter();
      }
    else
      {
      op->SetDepthSortModeToParametricCenter();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  vtkCamera  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCamera *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCamera");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetCamera(temp0);
      }
    else
      {
      op->SetCamera(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_GetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  vtkCamera  *temp20;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthSortPolyData::GetCamera();
      }
    else
      {
      temp20 = op->GetCamera();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SetProp3D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  vtkProp3D  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp3D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp3D");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetProp3D(temp0);
      }
    else
      {
      op->SetProp3D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_GetProp3D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  vtkProp3D  *temp20;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthSortPolyData::GetProp3D();
      }
    else
      {
      temp20 = op->GetProp3D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SetVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetVector(temp0,temp1,temp2);
      }
    else
      {
      op->SetVector(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetVector(temp0);
      }
    else
      {
      op->SetVector(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_GetVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  double  *temp20;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthSortPolyData::GetVector();
      }
    else
      {
      temp20 = op->GetVector();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  double  *temp20;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthSortPolyData::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SetSortScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  int      temp0;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SetSortScalars(temp0);
      }
    else
      {
      op->SetSortScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_GetSortScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  int      temp20;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthSortPolyData::GetSortScalars();
      }
    else
      {
      temp20 = op->GetSortScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SortScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SortScalarsOn();
      }
    else
      {
      op->SortScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_SortScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDepthSortPolyData::SortScalarsOff();
      }
    else
      {
      op->SortScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDepthSortPolyData_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDepthSortPolyData *op;

  unsigned long     temp20;
  if ((op = (vtkDepthSortPolyData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDepthSortPolyData::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDepthSortPolyDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDepthSortPolyData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDepthSortPolyData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDepthSortPolyData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDepthSortPolyData\nC++: vtkDepthSortPolyData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDepthSortPolyData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDepthSortPolyData\nC++: vtkDepthSortPolyData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetDirection",                (PyCFunction)PyvtkDepthSortPolyData_SetDirection, 1,
   (char*)"V.SetDirection(int)\nC++: void SetDirection (int );\n\n Specify the sort method for the polygonal primitives. By default, the\n poly data is sorted from back to front.\n"},
  {(char*)"GetDirection",                (PyCFunction)PyvtkDepthSortPolyData_GetDirection, 1,
   (char*)"V.GetDirection() -> int\nC++: int GetDirection ();\n\n Specify the sort method for the polygonal primitives. By default, the\n poly data is sorted from back to front.\n"},
  {(char*)"SetDirectionToFrontToBack",                (PyCFunction)PyvtkDepthSortPolyData_SetDirectionToFrontToBack, 1,
   (char*)"V.SetDirectionToFrontToBack()\nC++: void SetDirectionToFrontToBack ();this SetDirection VTK_DIRECTION_FRONT_TO_BACK \n\n Specify the sort method for the polygonal primitives. By default, the\n poly data is sorted from back to front.\n"},
  {(char*)"SetDirectionToBackToFront",                (PyCFunction)PyvtkDepthSortPolyData_SetDirectionToBackToFront, 1,
   (char*)"V.SetDirectionToBackToFront()\nC++: void SetDirectionToBackToFront ();this SetDirection VTK_DIRECTION_BACK_TO_FRONT \n\n Specify the sort method for the polygonal primitives. By default, the\n poly data is sorted from back to front.\n"},
  {(char*)"SetDirectionToSpecifiedVector",                (PyCFunction)PyvtkDepthSortPolyData_SetDirectionToSpecifiedVector, 1,
   (char*)"V.SetDirectionToSpecifiedVector()\nC++: void SetDirectionToSpecifiedVector ();this SetDirection VTK_DIRECTION_SPECIFIED_VECTOR \n\n Specify the point to use when sorting. The fastest is to just\n take the first cell point. Other options are to take the bounding\n box center or the parametric center of the cell. By default, the\n first cell point is used.\n"},
  {(char*)"SetDepthSortMode",                (PyCFunction)PyvtkDepthSortPolyData_SetDepthSortMode, 1,
   (char*)"V.SetDepthSortMode(int)\nC++: void SetDepthSortMode (int );\n\n Specify the point to use when sorting. The fastest is to just\n take the first cell point. Other options are to take the bounding\n box center or the parametric center of the cell. By default, the\n first cell point is used.\n"},
  {(char*)"GetDepthSortMode",                (PyCFunction)PyvtkDepthSortPolyData_GetDepthSortMode, 1,
   (char*)"V.GetDepthSortMode() -> int\nC++: int GetDepthSortMode ();\n\n Specify the point to use when sorting. The fastest is to just\n take the first cell point. Other options are to take the bounding\n box center or the parametric center of the cell. By default, the\n first cell point is used.\n"},
  {(char*)"SetDepthSortModeToFirstPoint",                (PyCFunction)PyvtkDepthSortPolyData_SetDepthSortModeToFirstPoint, 1,
   (char*)"V.SetDepthSortModeToFirstPoint()\nC++: void SetDepthSortModeToFirstPoint ();this SetDepthSortMode VTK_SORT_FIRST_POINT \n\n Specify the point to use when sorting. The fastest is to just\n take the first cell point. Other options are to take the bounding\n box center or the parametric center of the cell. By default, the\n first cell point is used.\n"},
  {(char*)"SetDepthSortModeToBoundsCenter",                (PyCFunction)PyvtkDepthSortPolyData_SetDepthSortModeToBoundsCenter, 1,
   (char*)"V.SetDepthSortModeToBoundsCenter()\nC++: void SetDepthSortModeToBoundsCenter ();this SetDepthSortMode VTK_SORT_BOUNDS_CENTER \n\n Specify the point to use when sorting. The fastest is to just\n take the first cell point. Other options are to take the bounding\n box center or the parametric center of the cell. By default, the\n first cell point is used.\n"},
  {(char*)"SetDepthSortModeToParametricCenter",                (PyCFunction)PyvtkDepthSortPolyData_SetDepthSortModeToParametricCenter, 1,
   (char*)"V.SetDepthSortModeToParametricCenter()\nC++: void SetDepthSortModeToParametricCenter ();this SetDepthSortMode VTK_SORT_PARAMETRIC_CENTER \n\n Specify a camera that is used to define a view direction along which\n the cells are sorted. This ivar only has effect if the direction is set\n to front-to-back or back-to-front, and a camera is specified.\n"},
  {(char*)"SetCamera",                (PyCFunction)PyvtkDepthSortPolyData_SetCamera, 1,
   (char*)"V.SetCamera(vtkCamera)\nC++: virtual void SetCamera (vtkCamera *);\n\n Specify a camera that is used to define a view direction along which\n the cells are sorted. This ivar only has effect if the direction is set\n to front-to-back or back-to-front, and a camera is specified.\n"},
  {(char*)"GetCamera",                (PyCFunction)PyvtkDepthSortPolyData_GetCamera, 1,
   (char*)"V.GetCamera() -> vtkCamera\nC++: vtkCamera *GetCamera ();\n\n Specify a camera that is used to define a view direction along which\n the cells are sorted. This ivar only has effect if the direction is set\n to front-to-back or back-to-front, and a camera is specified.\n"},
  {(char*)"SetProp3D",                (PyCFunction)PyvtkDepthSortPolyData_SetProp3D, 1,
   (char*)"V.SetProp3D(vtkProp3D)\nC++: void SetProp3D (vtkProp3D *);\n\n Specify a transformation matrix (via the vtkProp3D::GetMatrix() method)\n that is used to include the effects of transformation. This ivar only\n has effect if the direction is set to front-to-back or back-to-front,\n and a camera is specified. Specifying the vtkProp3D is optional.\n"},
  {(char*)"GetProp3D",                (PyCFunction)PyvtkDepthSortPolyData_GetProp3D, 1,
   (char*)"V.GetProp3D() -> vtkProp3D\nC++: vtkProp3D *GetProp3D ();\n\n Specify a transformation matrix (via the vtkProp3D::GetMatrix() method)\n that is used to include the effects of transformation. This ivar only\n has effect if the direction is set to front-to-back or back-to-front,\n and a camera is specified. Specifying the vtkProp3D is optional.\n"},
  {(char*)"SetVector",                (PyCFunction)PyvtkDepthSortPolyData_SetVector, 1,
   (char*)"V.SetVector(float, float, float)\nC++: void SetVector (double , double , double );\nV.SetVector((float, float, float))\nC++: void SetVector (double  a[3]);\n\n Set/Get the sort direction. This ivar only has effect if the sort\n direction is set to SetDirectionToSpecifiedVector(). The sort occurs\n in the direction of the vector.\n"},
  {(char*)"GetVector",                (PyCFunction)PyvtkDepthSortPolyData_GetVector, 1,
   (char*)"V.GetVector() -> (float, float, float)\nC++: double  *GetVector ();\n\n Set/Get the sort direction. This ivar only has effect if the sort\n direction is set to SetDirectionToSpecifiedVector(). The sort occurs\n in the direction of the vector.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkDepthSortPolyData_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n Set/Get the sort origin. This ivar only has effect if the sort\n direction is set to SetDirectionToSpecifiedVector(). The sort occurs\n in the direction of the vector, with this point specifying the\n origin.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkDepthSortPolyData_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n Set/Get the sort origin. This ivar only has effect if the sort\n direction is set to SetDirectionToSpecifiedVector(). The sort occurs\n in the direction of the vector, with this point specifying the\n origin.\n"},
  {(char*)"SetSortScalars",                (PyCFunction)PyvtkDepthSortPolyData_SetSortScalars, 1,
   (char*)"V.SetSortScalars(int)\nC++: void SetSortScalars (int );\n\n Set/Get a flag that controls the generation of scalar values\n corresponding to the sort order. If enabled, the output of this\n filter will include scalar values that range from 0 to (ncells-1),\n where 0 is closest to the sort direction.\n"},
  {(char*)"GetSortScalars",                (PyCFunction)PyvtkDepthSortPolyData_GetSortScalars, 1,
   (char*)"V.GetSortScalars() -> int\nC++: int GetSortScalars ();\n\n Set/Get a flag that controls the generation of scalar values\n corresponding to the sort order. If enabled, the output of this\n filter will include scalar values that range from 0 to (ncells-1),\n where 0 is closest to the sort direction.\n"},
  {(char*)"SortScalarsOn",                (PyCFunction)PyvtkDepthSortPolyData_SortScalarsOn, 1,
   (char*)"V.SortScalarsOn()\nC++: void SortScalarsOn ();\n\n Set/Get a flag that controls the generation of scalar values\n corresponding to the sort order. If enabled, the output of this\n filter will include scalar values that range from 0 to (ncells-1),\n where 0 is closest to the sort direction.\n"},
  {(char*)"SortScalarsOff",                (PyCFunction)PyvtkDepthSortPolyData_SortScalarsOff, 1,
   (char*)"V.SortScalarsOff()\nC++: void SortScalarsOff ();\n\n Set/Get a flag that controls the generation of scalar values\n corresponding to the sort order. If enabled, the output of this\n filter will include scalar values that range from 0 to (ncells-1),\n where 0 is closest to the sort direction.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkDepthSortPolyData_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return MTime also considering the dependent objects: the camera\n and/or the prop3D.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDepthSortPolyDataDoc[] = {
  (char*)"vtkDepthSortPolyData - sort poly data along camera view direction\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkDepthSortPolyData rearranges the order of cells so that certain\n rendering operations (e.g., transparency or Painter's algorithms)\n generate correct results. To use this filter you must specify the\n direction vector along which to sort the cells. You can do this by \n specifying a camera and/or prop to define a view direction; or \n explicitly set a view direction.\n\n",
  "Caveats:\n\n The sort operation will not work well for long, thin primitives, or cells\n that intersect, overlap, or interpenetrate each other.\n\n",
  NULL
};

static vtkObjectBase *vtkDepthSortPolyDataStaticNew()
{
  return vtkDepthSortPolyData::New();
}

PyObject *PyVTKClass_vtkDepthSortPolyDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkDepthSortPolyDataStaticNew,
                        PyvtkDepthSortPolyDataMethods,
                        (char*)"vtkDepthSortPolyData",modulename,
                        (char**)vtkDepthSortPolyDataDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

