// python wrapper for vtkExodusReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkExodusReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExodusReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExodusReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkExodusReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  const char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  vtkExodusReader  *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExodusReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExodusReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExodusReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetXMLFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetXMLFileName(temp0);
      }
    else
      {
      op->SetXMLFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetXMLFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetXMLFileName();
      }
    else
      {
      temp20 = op->GetXMLFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetTimeStep(temp0);
      }
    else
      {
      op->SetTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetTimeStep();
      }
    else
      {
      temp20 = op->GetTimeStep();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetGenerateBlockIdCellArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetGenerateBlockIdCellArray(temp0);
      }
    else
      {
      op->SetGenerateBlockIdCellArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetGenerateBlockIdCellArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetGenerateBlockIdCellArray();
      }
    else
      {
      temp20 = op->GetGenerateBlockIdCellArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GenerateBlockIdCellArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::GenerateBlockIdCellArrayOn();
      }
    else
      {
      op->GenerateBlockIdCellArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GenerateBlockIdCellArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::GenerateBlockIdCellArrayOff();
      }
    else
      {
      op->GenerateBlockIdCellArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetBlockIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  const char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetBlockIdArrayName();
      }
    else
      {
      temp20 = op->GetBlockIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetGenerateGlobalElementIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetGenerateGlobalElementIdArray(temp0);
      }
    else
      {
      op->SetGenerateGlobalElementIdArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetGenerateGlobalElementIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetGenerateGlobalElementIdArray();
      }
    else
      {
      temp20 = op->GetGenerateGlobalElementIdArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GenerateGlobalElementIdArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::GenerateGlobalElementIdArrayOn();
      }
    else
      {
      op->GenerateGlobalElementIdArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GenerateGlobalElementIdArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::GenerateGlobalElementIdArrayOff();
      }
    else
      {
      op->GenerateGlobalElementIdArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetGlobalElementIdArrayName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExodusReader::GetGlobalElementIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetGlobalElementID(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break20;
      {
      temp20 = vtkExodusReader::GetGlobalElementID(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break20:
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break21;
      {
      temp20 = vtkExodusReader::GetGlobalElementID(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkExodusReader_SetGenerateGlobalNodeIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetGenerateGlobalNodeIdArray(temp0);
      }
    else
      {
      op->SetGenerateGlobalNodeIdArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetGenerateGlobalNodeIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetGenerateGlobalNodeIdArray();
      }
    else
      {
      temp20 = op->GetGenerateGlobalNodeIdArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GenerateGlobalNodeIdArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::GenerateGlobalNodeIdArrayOn();
      }
    else
      {
      op->GenerateGlobalNodeIdArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GenerateGlobalNodeIdArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::GenerateGlobalNodeIdArrayOff();
      }
    else
      {
      op->GenerateGlobalNodeIdArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetGlobalNodeIdArrayName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExodusReader::GetGlobalNodeIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetGlobalNodeID(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break27;
      {
      temp20 = vtkExodusReader::GetGlobalNodeID(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break27:
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break28;
      {
      temp20 = vtkExodusReader::GetGlobalNodeID(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkExodusReader_SetApplyDisplacements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetApplyDisplacements(temp0);
      }
    else
      {
      op->SetApplyDisplacements(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetApplyDisplacements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetApplyDisplacements();
      }
    else
      {
      temp20 = op->GetApplyDisplacements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_ApplyDisplacementsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::ApplyDisplacementsOn();
      }
    else
      {
      op->ApplyDisplacementsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_ApplyDisplacementsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::ApplyDisplacementsOff();
      }
    else
      {
      op->ApplyDisplacementsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetDisplacementMagnitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  float    temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetDisplacementMagnitude(temp0);
      }
    else
      {
      op->SetDisplacementMagnitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetDisplacementMagnitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  float    temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetDisplacementMagnitude();
      }
    else
      {
      temp20 = op->GetDisplacementMagnitude();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetTitle();
      }
    else
      {
      temp20 = op->GetTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetDimensionality();
      }
    else
      {
      temp20 = op->GetDimensionality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfTimeSteps();
      }
    else
      {
      temp20 = op->GetNumberOfTimeSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfElements();
      }
    else
      {
      temp20 = op->GetNumberOfElements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfNodeSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfNodeSets();
      }
    else
      {
      temp20 = op->GetNumberOfNodeSets();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfSideSets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfSideSets();
      }
    else
      {
      temp20 = op->GetNumberOfSideSets();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfBlocks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfBlocks();
      }
    else
      {
      temp20 = op->GetNumberOfBlocks();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetTimeStepRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int     *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetTimeStepRange();
      }
    else
      {
      temp20 = op->GetTimeStepRange();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetTimeStepRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetTimeStepRange(temp0,temp1);
      }
    else
      {
      op->SetTimeStepRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int    temp0[2];
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetTimeStepRange(temp0);
      }
    else
      {
      op->SetTimeStepRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfNodes();
      }
    else
      {
      temp20 = op->GetNumberOfNodes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfElementsInBlock(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfElementsInBlock(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfElementsInBlock(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetBlockId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetBlockId(temp0);
      }
    else
      {
      temp20 = op->GetBlockId(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfPointArrays();
      }
    else
      {
      temp20 = op->GetNumberOfPointArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetPointArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetPointArrayName(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetPointArrayID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetPointArrayID(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayID(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetPointArrayNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetPointArrayNumberOfComponents(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayNumberOfComponents(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetPointArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPointArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetPointArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPointArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetPointArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetPointArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfCellArrays();
      }
    else
      {
      temp20 = op->GetNumberOfCellArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetCellArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetCellArrayName(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetCellArrayID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetCellArrayID(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayID(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetCellArrayNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetCellArrayNumberOfComponents(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayNumberOfComponents(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetCellArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetCellArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetCellArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetCellArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetCellArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetCellArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfBlockArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfBlockArrays();
      }
    else
      {
      temp20 = op->GetNumberOfBlockArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetBlockArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetBlockArrayName(temp0);
      }
    else
      {
      temp20 = op->GetBlockArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetBlockArrayID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetBlockArrayID(temp0);
      }
    else
      {
      temp20 = op->GetBlockArrayID(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetBlockArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetBlockArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetBlockArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetBlockArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetBlockArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetBlockArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetBlockArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetBlockArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetBlockArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetBlockArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfNodeSetArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfNodeSetArrays();
      }
    else
      {
      temp20 = op->GetNumberOfNodeSetArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNodeSetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNodeSetArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetNodeSetArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNodeSetArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetNodeSetArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetNodeSetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetNodeSetArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetNodeSetArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetNodeSetArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetNodeSetArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNodeSetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNodeSetArrayName(temp0);
      }
    else
      {
      temp20 = op->GetNodeSetArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfSideSetArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfSideSetArrays();
      }
    else
      {
      temp20 = op->GetNumberOfSideSetArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetSideSetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetSideSetArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetSideSetArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetSideSetArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetSideSetArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetSideSetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetSideSetArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetSideSetArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetSideSetArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetSideSetArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetSideSetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetSideSetArrayName(temp0);
      }
    else
      {
      temp20 = op->GetSideSetArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfPartArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfPartArrays();
      }
    else
      {
      temp20 = op->GetNumberOfPartArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetPartArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetPartArrayName(temp0);
      }
    else
      {
      temp20 = op->GetPartArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetPartArrayID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetPartArrayID(temp0);
      }
    else
      {
      temp20 = op->GetPartArrayID(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetPartBlockInfo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetPartBlockInfo(temp0);
      }
    else
      {
      temp20 = op->GetPartBlockInfo(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetPartArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetPartArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPartArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetPartArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPartArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetPartArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetPartArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPartArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetPartArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPartArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfMaterialArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfMaterialArrays();
      }
    else
      {
      temp20 = op->GetNumberOfMaterialArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetMaterialArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetMaterialArrayName(temp0);
      }
    else
      {
      temp20 = op->GetMaterialArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetMaterialArrayID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetMaterialArrayID(temp0);
      }
    else
      {
      temp20 = op->GetMaterialArrayID(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetMaterialArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetMaterialArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetMaterialArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetMaterialArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetMaterialArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetMaterialArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetMaterialArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetMaterialArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetMaterialArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetMaterialArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfAssemblyArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfAssemblyArrays();
      }
    else
      {
      temp20 = op->GetNumberOfAssemblyArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetAssemblyArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetAssemblyArrayName(temp0);
      }
    else
      {
      temp20 = op->GetAssemblyArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetAssemblyArrayID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetAssemblyArrayID(temp0);
      }
    else
      {
      temp20 = op->GetAssemblyArrayID(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetAssemblyArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetAssemblyArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetAssemblyArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetAssemblyArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetAssemblyArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetAssemblyArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetAssemblyArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetAssemblyArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetAssemblyArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetAssemblyArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfHierarchyArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfHierarchyArrays();
      }
    else
      {
      temp20 = op->GetNumberOfHierarchyArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetHierarchyArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetHierarchyArrayName(temp0);
      }
    else
      {
      temp20 = op->GetHierarchyArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetHierarchyArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetHierarchyArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetHierarchyArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetHierarchyArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetHierarchyArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetHierarchyArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetHierarchyArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetHierarchyArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetHierarchyArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetHierarchyArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetDisplayType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetDisplayType();
      }
    else
      {
      temp20 = op->GetDisplayType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetDisplayType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetDisplayType(temp0);
      }
    else
      {
      op->SetDisplayType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_ExodusModelMetadataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::ExodusModelMetadataOn();
      }
    else
      {
      op->ExodusModelMetadataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_ExodusModelMetadataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::ExodusModelMetadataOff();
      }
    else
      {
      op->ExodusModelMetadataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetExodusModelMetadata(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetExodusModelMetadata(temp0);
      }
    else
      {
      op->SetExodusModelMetadata(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetExodusModelMetadata(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetExodusModelMetadata();
      }
    else
      {
      temp20 = op->GetExodusModelMetadata();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetExodusModel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  vtkExodusModel  *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetExodusModel();
      }
    else
      {
      temp20 = op->GetExodusModel();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetPackExodusModelOntoOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetPackExodusModelOntoOutput(temp0);
      }
    else
      {
      op->SetPackExodusModelOntoOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetPackExodusModelOntoOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetPackExodusModelOntoOutput();
      }
    else
      {
      temp20 = op->GetPackExodusModelOntoOutput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_PackExodusModelOntoOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::PackExodusModelOntoOutputOn();
      }
    else
      {
      op->PackExodusModelOntoOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_PackExodusModelOntoOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::PackExodusModelOntoOutputOff();
      }
    else
      {
      op->PackExodusModelOntoOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_IsValidVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  char    *temp1;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::IsValidVariable(temp0,temp1);
      }
    else
      {
      temp20 = op->IsValidVariable(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetVariableID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  char    *temp1;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetVariableID(temp0,temp1);
      }
    else
      {
      temp20 = op->GetVariableID(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetAllAssemblyArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetAllAssemblyArrayStatus(temp0);
      }
    else
      {
      op->SetAllAssemblyArrayStatus(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetAllBlockArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetAllBlockArrayStatus(temp0);
      }
    else
      {
      op->SetAllBlockArrayStatus(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetAllCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetAllCellArrayStatus(temp0);
      }
    else
      {
      op->SetAllCellArrayStatus(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetAllHierarchyArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetAllHierarchyArrayStatus(temp0);
      }
    else
      {
      op->SetAllHierarchyArrayStatus(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetAllMaterialArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetAllMaterialArrayStatus(temp0);
      }
    else
      {
      op->SetAllMaterialArrayStatus(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetAllPartArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetAllPartArrayStatus(temp0);
      }
    else
      {
      op->SetAllPartArrayStatus(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetAllPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetAllPointArrayStatus(temp0);
      }
    else
      {
      op->SetAllPointArrayStatus(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_SetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  char    *temp1;
  int      temp2;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"zzi", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::SetArrayStatus(temp0,temp1,temp2);
      }
    else
      {
      op->SetArrayStatus(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  char    *temp1;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetArrayStatus(temp0,temp1);
      }
    else
      {
      temp20 = op->GetArrayStatus(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_StringsEqual(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  char    *temp1;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"zz", &temp0, &temp1)))
    {
      {
      temp20 = vtkExodusReader::StringsEqual(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_StringUppercase(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  char    *temp1;
  if ((PyArg_ParseTuple(args, (char*)"zz", &temp0, &temp1)))
    {
      {
      vtkExodusReader::StringUppercase(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_StrDupWithNew(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkExodusReader::StrDupWithNew(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetTimeSeriesData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  char    *temp1;
  char    *temp2;
  vtkFloatArray  *temp3;
  PyObject *tempH3;
  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"izzO", &temp0, &temp1, &temp2, &tempH3)))
    {
    temp3 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkFloatArray");
    if (!temp3 && tempH3 != Py_None) goto break136;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetTimeSeriesData(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->GetTimeSeriesData(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break136:
  return NULL;
}


static PyObject *PyvtkExodusReader_GetNumberOfVariableArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetNumberOfVariableArrays();
      }
    else
      {
      temp20 = op->GetNumberOfVariableArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetVariableArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusReader::GetVariableArrayName(temp0);
      }
    else
      {
      temp20 = op->GetVariableArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_EnableDSPFiltering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::EnableDSPFiltering();
      }
    else
      {
      op->EnableDSPFiltering();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_AddFilter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  vtkDSPFilterDefinition  *temp0;
  PyObject *tempH0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDSPFilterDefinition *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDSPFilterDefinition");
    if (!temp0 && tempH0 != Py_None) goto break140;
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::AddFilter(temp0);
      }
    else
      {
      op->AddFilter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break140:
  return NULL;
}


static PyObject *PyvtkExodusReader_StartAddingFilter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::StartAddingFilter();
      }
    else
      {
      op->StartAddingFilter();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_AddFilterInputVar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::AddFilterInputVar(temp0);
      }
    else
      {
      op->AddFilterInputVar(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_AddFilterOutputVar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::AddFilterOutputVar(temp0);
      }
    else
      {
      op->AddFilterOutputVar(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_AddFilterNumeratorWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  double   temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::AddFilterNumeratorWeight(temp0);
      }
    else
      {
      op->AddFilterNumeratorWeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_AddFilterForwardNumeratorWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  double   temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::AddFilterForwardNumeratorWeight(temp0);
      }
    else
      {
      op->AddFilterForwardNumeratorWeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_AddFilterDenominatorWeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  double   temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::AddFilterDenominatorWeight(temp0);
      }
    else
      {
      op->AddFilterDenominatorWeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_FinishAddingFilter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::FinishAddingFilter();
      }
    else
      {
      op->FinishAddingFilter();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_RemoveFilter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  char    *temp0;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::RemoveFilter(temp0);
      }
    else
      {
      op->RemoveFilter(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusReader_GetDSPOutputArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusReader *op;

  int      temp0;
  vtkUnstructuredGrid  *temp1;
  PyObject *tempH1;
  if ((op = (vtkExodusReader *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkUnstructuredGrid");
    if (!temp1 && tempH1 != Py_None) goto break149;
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusReader::GetDSPOutputArrays(temp0,temp1);
      }
    else
      {
      op->GetDSPOutputArrays(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break149:
  return NULL;
}

static PyMethodDef PyvtkExodusReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExodusReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExodusReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExodusReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExodusReader\nC++: vtkExodusReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExodusReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExodusReader\nC++: vtkExodusReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkExodusReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name of the Exodus file.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkExodusReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of the Exodus file.\n"},
  {(char*)"SetXMLFileName",                (PyCFunction)PyvtkExodusReader_SetXMLFileName, 1,
   (char*)"V.SetXMLFileName(string)\nC++: void SetXMLFileName (const char *filename);\n\n Specify file name of the xml file.\n"},
  {(char*)"GetXMLFileName",                (PyCFunction)PyvtkExodusReader_GetXMLFileName, 1,
   (char*)"V.GetXMLFileName() -> string\nC++: char *GetXMLFileName ();\n\n Specify file name of the xml file.\n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkExodusReader_SetTimeStep, 1,
   (char*)"V.SetTimeStep(int)\nC++: void SetTimeStep (int );\n\n Which TimeStep to read.    \n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkExodusReader_GetTimeStep, 1,
   (char*)"V.GetTimeStep() -> int\nC++: int GetTimeStep ();\n\n Which TimeStep to read.    \n"},
  {(char*)"SetGenerateBlockIdCellArray",                (PyCFunction)PyvtkExodusReader_SetGenerateBlockIdCellArray, 1,
   (char*)"V.SetGenerateBlockIdCellArray(int)\nC++: void SetGenerateBlockIdCellArray (int );\n\n Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName()\n"},
  {(char*)"GetGenerateBlockIdCellArray",                (PyCFunction)PyvtkExodusReader_GetGenerateBlockIdCellArray, 1,
   (char*)"V.GetGenerateBlockIdCellArray() -> int\nC++: int GetGenerateBlockIdCellArray ();\n\n Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName()\n"},
  {(char*)"GenerateBlockIdCellArrayOn",                (PyCFunction)PyvtkExodusReader_GenerateBlockIdCellArrayOn, 1,
   (char*)"V.GenerateBlockIdCellArrayOn()\nC++: void GenerateBlockIdCellArrayOn ();\n\n Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName()\n"},
  {(char*)"GenerateBlockIdCellArrayOff",                (PyCFunction)PyvtkExodusReader_GenerateBlockIdCellArrayOff, 1,
   (char*)"V.GenerateBlockIdCellArrayOff()\nC++: void GenerateBlockIdCellArrayOff ();\n\n Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName()\n"},
  {(char*)"GetBlockIdArrayName",                (PyCFunction)PyvtkExodusReader_GetBlockIdArrayName, 1,
   (char*)"V.GetBlockIdArrayName() -> string\nC++: const char *GetBlockIdArrayName ();return \n\n Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n"},
  {(char*)"SetGenerateGlobalElementIdArray",                (PyCFunction)PyvtkExodusReader_SetGenerateGlobalElementIdArray, 1,
   (char*)"V.SetGenerateGlobalElementIdArray(int)\nC++: void SetGenerateGlobalElementIdArray (int );\n\n Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n"},
  {(char*)"GetGenerateGlobalElementIdArray",                (PyCFunction)PyvtkExodusReader_GetGenerateGlobalElementIdArray, 1,
   (char*)"V.GetGenerateGlobalElementIdArray() -> int\nC++: int GetGenerateGlobalElementIdArray ();\n\n Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n"},
  {(char*)"GenerateGlobalElementIdArrayOn",                (PyCFunction)PyvtkExodusReader_GenerateGlobalElementIdArrayOn, 1,
   (char*)"V.GenerateGlobalElementIdArrayOn()\nC++: void GenerateGlobalElementIdArrayOn ();\n\n Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n"},
  {(char*)"GenerateGlobalElementIdArrayOff",                (PyCFunction)PyvtkExodusReader_GenerateGlobalElementIdArrayOff, 1,
   (char*)"V.GenerateGlobalElementIdArrayOff()\nC++: void GenerateGlobalElementIdArrayOff ();\n\n Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n"},
  {(char*)"GetGlobalElementIdArrayName",                (PyCFunction)PyvtkExodusReader_GetGlobalElementIdArrayName, 1,
   (char*)"V.GetGlobalElementIdArrayName() -> string\nC++: static const char *GetGlobalElementIdArrayName ();return \n\n Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n"},
  {(char*)"GetGlobalElementID",                (PyCFunction)PyvtkExodusReader_GetGlobalElementID, 1,
   (char*)"V.GetGlobalElementID(vtkDataSet, int) -> int\nC++: static int GetGlobalElementID (vtkDataSet *data, int localID);\nV.GetGlobalElementID(vtkDataSet, int, int) -> int\nC++: static int GetGlobalElementID (vtkDataSet *data, int localID, int searchType);\n\n Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n"},
  {(char*)"SetGenerateGlobalNodeIdArray",                (PyCFunction)PyvtkExodusReader_SetGenerateGlobalNodeIdArray, 1,
   (char*)"V.SetGenerateGlobalNodeIdArray(int)\nC++: void SetGenerateGlobalNodeIdArray (int );\n\n Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n"},
  {(char*)"GetGenerateGlobalNodeIdArray",                (PyCFunction)PyvtkExodusReader_GetGenerateGlobalNodeIdArray, 1,
   (char*)"V.GetGenerateGlobalNodeIdArray() -> int\nC++: int GetGenerateGlobalNodeIdArray ();\n\n Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n"},
  {(char*)"GenerateGlobalNodeIdArrayOn",                (PyCFunction)PyvtkExodusReader_GenerateGlobalNodeIdArrayOn, 1,
   (char*)"V.GenerateGlobalNodeIdArrayOn()\nC++: void GenerateGlobalNodeIdArrayOn ();\n\n Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n"},
  {(char*)"GenerateGlobalNodeIdArrayOff",                (PyCFunction)PyvtkExodusReader_GenerateGlobalNodeIdArrayOff, 1,
   (char*)"V.GenerateGlobalNodeIdArrayOff()\nC++: void GenerateGlobalNodeIdArrayOff ();\n\n Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n"},
  {(char*)"GetGlobalNodeIdArrayName",                (PyCFunction)PyvtkExodusReader_GetGlobalNodeIdArrayName, 1,
   (char*)"V.GetGlobalNodeIdArrayName() -> string\nC++: static const char *GetGlobalNodeIdArrayName ();return \n\n Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n"},
  {(char*)"GetGlobalNodeID",                (PyCFunction)PyvtkExodusReader_GetGlobalNodeID, 1,
   (char*)"V.GetGlobalNodeID(vtkDataSet, int) -> int\nC++: static int GetGlobalNodeID (vtkDataSet *data, int localID);\nV.GetGlobalNodeID(vtkDataSet, int, int) -> int\nC++: static int GetGlobalNodeID (vtkDataSet *data, int localID, int searchType);\n\n Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n"},
  {(char*)"SetApplyDisplacements",                (PyCFunction)PyvtkExodusReader_SetApplyDisplacements, 1,
   (char*)"V.SetApplyDisplacements(int)\nC++: void SetApplyDisplacements (int );\n\n Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n"},
  {(char*)"GetApplyDisplacements",                (PyCFunction)PyvtkExodusReader_GetApplyDisplacements, 1,
   (char*)"V.GetApplyDisplacements() -> int\nC++: int GetApplyDisplacements ();\n\n Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n"},
  {(char*)"ApplyDisplacementsOn",                (PyCFunction)PyvtkExodusReader_ApplyDisplacementsOn, 1,
   (char*)"V.ApplyDisplacementsOn()\nC++: void ApplyDisplacementsOn ();\n\n Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n"},
  {(char*)"ApplyDisplacementsOff",                (PyCFunction)PyvtkExodusReader_ApplyDisplacementsOff, 1,
   (char*)"V.ApplyDisplacementsOff()\nC++: void ApplyDisplacementsOff ();\n\n Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n"},
  {(char*)"SetDisplacementMagnitude",                (PyCFunction)PyvtkExodusReader_SetDisplacementMagnitude, 1,
   (char*)"V.SetDisplacementMagnitude(float)\nC++: void SetDisplacementMagnitude (float );\n\n Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n"},
  {(char*)"GetDisplacementMagnitude",                (PyCFunction)PyvtkExodusReader_GetDisplacementMagnitude, 1,
   (char*)"V.GetDisplacementMagnitude() -> float\nC++: float GetDisplacementMagnitude ();\n\n Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n"},
  {(char*)"GetTitle",                (PyCFunction)PyvtkExodusReader_GetTitle, 1,
   (char*)"V.GetTitle() -> string\nC++: char *GetTitle ();\n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetDimensionality",                (PyCFunction)PyvtkExodusReader_GetDimensionality, 1,
   (char*)"V.GetDimensionality() -> int\nC++: int GetDimensionality ();\n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetNumberOfTimeSteps",                (PyCFunction)PyvtkExodusReader_GetNumberOfTimeSteps, 1,
   (char*)"V.GetNumberOfTimeSteps() -> int\nC++: int GetNumberOfTimeSteps ();\n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetNumberOfElements",                (PyCFunction)PyvtkExodusReader_GetNumberOfElements, 1,
   (char*)"V.GetNumberOfElements() -> int\nC++: int GetNumberOfElements ();return this NumberOfUsedElements \n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetNumberOfNodeSets",                (PyCFunction)PyvtkExodusReader_GetNumberOfNodeSets, 1,
   (char*)"V.GetNumberOfNodeSets() -> int\nC++: int GetNumberOfNodeSets ();\n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetNumberOfSideSets",                (PyCFunction)PyvtkExodusReader_GetNumberOfSideSets, 1,
   (char*)"V.GetNumberOfSideSets() -> int\nC++: int GetNumberOfSideSets ();\n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetNumberOfBlocks",                (PyCFunction)PyvtkExodusReader_GetNumberOfBlocks, 1,
   (char*)"V.GetNumberOfBlocks() -> int\nC++: int GetNumberOfBlocks ();\n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetTimeStepRange",                (PyCFunction)PyvtkExodusReader_GetTimeStepRange, 1,
   (char*)"V.GetTimeStepRange() -> (int, int)\nC++: int  *GetTimeStepRange ();\n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"SetTimeStepRange",                (PyCFunction)PyvtkExodusReader_SetTimeStepRange, 1,
   (char*)"V.SetTimeStepRange(int, int)\nC++: void SetTimeStepRange (int , int );\nV.SetTimeStepRange((int, int))\nC++: void SetTimeStepRange (int  a[2]);\n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetNumberOfNodes",                (PyCFunction)PyvtkExodusReader_GetNumberOfNodes, 1,
   (char*)"V.GetNumberOfNodes() -> int\nC++: int GetNumberOfNodes ();return this NumberOfUsedNodes \n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetNumberOfElementsInBlock",                (PyCFunction)PyvtkExodusReader_GetNumberOfElementsInBlock, 1,
   (char*)"V.GetNumberOfElementsInBlock(int) -> int\nC++: int GetNumberOfElementsInBlock (int block_idx);\n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetBlockId",                (PyCFunction)PyvtkExodusReader_GetBlockId, 1,
   (char*)"V.GetBlockId(int) -> int\nC++: int GetBlockId (int block_idx);\n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetNumberOfPointArrays",                (PyCFunction)PyvtkExodusReader_GetNumberOfPointArrays, 1,
   (char*)"V.GetNumberOfPointArrays() -> int\nC++: int GetNumberOfPointArrays ();\n\n"},
  {(char*)"GetPointArrayName",                (PyCFunction)PyvtkExodusReader_GetPointArrayName, 1,
   (char*)"V.GetPointArrayName(int) -> string\nC++: const char *GetPointArrayName (int index);\n\n"},
  {(char*)"GetPointArrayID",                (PyCFunction)PyvtkExodusReader_GetPointArrayID, 1,
   (char*)"V.GetPointArrayID(string) -> int\nC++: int GetPointArrayID (const char *name);\n\n"},
  {(char*)"GetPointArrayNumberOfComponents",                (PyCFunction)PyvtkExodusReader_GetPointArrayNumberOfComponents, 1,
   (char*)"V.GetPointArrayNumberOfComponents(int) -> int\nC++: int GetPointArrayNumberOfComponents (int index);\n\n"},
  {(char*)"SetPointArrayStatus",                (PyCFunction)PyvtkExodusReader_SetPointArrayStatus, 1,
   (char*)"V.SetPointArrayStatus(int, int)\nC++: void SetPointArrayStatus (int index, int flag);\nV.SetPointArrayStatus(string, int)\nC++: void SetPointArrayStatus (const char *, int flag);\n\n"},
  {(char*)"GetPointArrayStatus",                (PyCFunction)PyvtkExodusReader_GetPointArrayStatus, 1,
   (char*)"V.GetPointArrayStatus(int) -> int\nC++: int GetPointArrayStatus (int index);\nV.GetPointArrayStatus(string) -> int\nC++: int GetPointArrayStatus (const char *);\n\n"},
  {(char*)"GetNumberOfCellArrays",                (PyCFunction)PyvtkExodusReader_GetNumberOfCellArrays, 1,
   (char*)"V.GetNumberOfCellArrays() -> int\nC++: int GetNumberOfCellArrays ();\n\n"},
  {(char*)"GetCellArrayName",                (PyCFunction)PyvtkExodusReader_GetCellArrayName, 1,
   (char*)"V.GetCellArrayName(int) -> string\nC++: const char *GetCellArrayName (int index);\n\n"},
  {(char*)"GetCellArrayID",                (PyCFunction)PyvtkExodusReader_GetCellArrayID, 1,
   (char*)"V.GetCellArrayID(string) -> int\nC++: int GetCellArrayID (const char *name);\n\n"},
  {(char*)"GetCellArrayNumberOfComponents",                (PyCFunction)PyvtkExodusReader_GetCellArrayNumberOfComponents, 1,
   (char*)"V.GetCellArrayNumberOfComponents(int) -> int\nC++: int GetCellArrayNumberOfComponents (int index);\n\n"},
  {(char*)"SetCellArrayStatus",                (PyCFunction)PyvtkExodusReader_SetCellArrayStatus, 1,
   (char*)"V.SetCellArrayStatus(int, int)\nC++: void SetCellArrayStatus (int index, int flag);\nV.SetCellArrayStatus(string, int)\nC++: void SetCellArrayStatus (const char *, int flag);\n\n"},
  {(char*)"GetCellArrayStatus",                (PyCFunction)PyvtkExodusReader_GetCellArrayStatus, 1,
   (char*)"V.GetCellArrayStatus(int) -> int\nC++: int GetCellArrayStatus (int index);\nV.GetCellArrayStatus(string) -> int\nC++: int GetCellArrayStatus (const char *);\n\n"},
  {(char*)"GetNumberOfBlockArrays",                (PyCFunction)PyvtkExodusReader_GetNumberOfBlockArrays, 1,
   (char*)"V.GetNumberOfBlockArrays() -> int\nC++: int GetNumberOfBlockArrays ();\n\n"},
  {(char*)"GetBlockArrayName",                (PyCFunction)PyvtkExodusReader_GetBlockArrayName, 1,
   (char*)"V.GetBlockArrayName(int) -> string\nC++: const char *GetBlockArrayName (int index);\n\n"},
  {(char*)"GetBlockArrayID",                (PyCFunction)PyvtkExodusReader_GetBlockArrayID, 1,
   (char*)"V.GetBlockArrayID(string) -> int\nC++: int GetBlockArrayID (const char *name);\n\n"},
  {(char*)"SetBlockArrayStatus",                (PyCFunction)PyvtkExodusReader_SetBlockArrayStatus, 1,
   (char*)"V.SetBlockArrayStatus(int, int)\nC++: void SetBlockArrayStatus (int index, int flag);\nV.SetBlockArrayStatus(string, int)\nC++: void SetBlockArrayStatus (const char *, int flag);\n\n"},
  {(char*)"GetBlockArrayStatus",                (PyCFunction)PyvtkExodusReader_GetBlockArrayStatus, 1,
   (char*)"V.GetBlockArrayStatus(int) -> int\nC++: int GetBlockArrayStatus (int index);\nV.GetBlockArrayStatus(string) -> int\nC++: int GetBlockArrayStatus (const char *);\n\n"},
  {(char*)"GetNumberOfNodeSetArrays",                (PyCFunction)PyvtkExodusReader_GetNumberOfNodeSetArrays, 1,
   (char*)"V.GetNumberOfNodeSetArrays() -> int\nC++: int GetNumberOfNodeSetArrays ();return this GetNumberOfNodeSets \n\n By default Node/Side sets are not loaded, These methods allow the user to\n select which Node/Side sets they want to load. NumberOfNodeSets and\n NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader \n but other Node/Side set metadata are stored in vtkExodusMetaData\n Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are\n just syntatic sugar for paraview server xml\n"},
  {(char*)"GetNodeSetArrayStatus",                (PyCFunction)PyvtkExodusReader_GetNodeSetArrayStatus, 1,
   (char*)"V.GetNodeSetArrayStatus(int) -> int\nC++: int GetNodeSetArrayStatus (int index);\nV.GetNodeSetArrayStatus(string) -> int\nC++: int GetNodeSetArrayStatus (const char *name);\n\n By default Node/Side sets are not loaded, These methods allow the user to\n select which Node/Side sets they want to load. NumberOfNodeSets and\n NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader \n but other Node/Side set metadata are stored in vtkExodusMetaData\n Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are\n just syntatic sugar for paraview server xml\n"},
  {(char*)"SetNodeSetArrayStatus",                (PyCFunction)PyvtkExodusReader_SetNodeSetArrayStatus, 1,
   (char*)"V.SetNodeSetArrayStatus(int, int)\nC++: void SetNodeSetArrayStatus (int index, int flag);\nV.SetNodeSetArrayStatus(string, int)\nC++: void SetNodeSetArrayStatus (const char *name, int flag);\n\n By default Node/Side sets are not loaded, These methods allow the user to\n select which Node/Side sets they want to load. NumberOfNodeSets and\n NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader \n but other Node/Side set metadata are stored in vtkExodusMetaData\n Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are\n just syntatic sugar for paraview server xml\n"},
  {(char*)"GetNodeSetArrayName",                (PyCFunction)PyvtkExodusReader_GetNodeSetArrayName, 1,
   (char*)"V.GetNodeSetArrayName(int) -> string\nC++: const char *GetNodeSetArrayName (int index);\n\n By default Node/Side sets are not loaded, These methods allow the user to\n select which Node/Side sets they want to load. NumberOfNodeSets and\n NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader \n but other Node/Side set metadata are stored in vtkExodusMetaData\n Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are\n just syntatic sugar for paraview server xml\n"},
  {(char*)"GetNumberOfSideSetArrays",                (PyCFunction)PyvtkExodusReader_GetNumberOfSideSetArrays, 1,
   (char*)"V.GetNumberOfSideSetArrays() -> int\nC++: int GetNumberOfSideSetArrays ();return this GetNumberOfSideSets \n\n"},
  {(char*)"GetSideSetArrayStatus",                (PyCFunction)PyvtkExodusReader_GetSideSetArrayStatus, 1,
   (char*)"V.GetSideSetArrayStatus(int) -> int\nC++: int GetSideSetArrayStatus (int index);\nV.GetSideSetArrayStatus(string) -> int\nC++: int GetSideSetArrayStatus (const char *name);\n\n"},
  {(char*)"SetSideSetArrayStatus",                (PyCFunction)PyvtkExodusReader_SetSideSetArrayStatus, 1,
   (char*)"V.SetSideSetArrayStatus(int, int)\nC++: void SetSideSetArrayStatus (int index, int flag);\nV.SetSideSetArrayStatus(string, int)\nC++: void SetSideSetArrayStatus (const char *name, int flag);\n\n"},
  {(char*)"GetSideSetArrayName",                (PyCFunction)PyvtkExodusReader_GetSideSetArrayName, 1,
   (char*)"V.GetSideSetArrayName(int) -> string\nC++: const char *GetSideSetArrayName (int index);\n\n"},
  {(char*)"GetNumberOfPartArrays",                (PyCFunction)PyvtkExodusReader_GetNumberOfPartArrays, 1,
   (char*)"V.GetNumberOfPartArrays() -> int\nC++: int GetNumberOfPartArrays ();\n\n"},
  {(char*)"GetPartArrayName",                (PyCFunction)PyvtkExodusReader_GetPartArrayName, 1,
   (char*)"V.GetPartArrayName(int) -> string\nC++: const char *GetPartArrayName (int arrayIdx);\n\n"},
  {(char*)"GetPartArrayID",                (PyCFunction)PyvtkExodusReader_GetPartArrayID, 1,
   (char*)"V.GetPartArrayID(string) -> int\nC++: int GetPartArrayID (const char *name);\n\n"},
  {(char*)"GetPartBlockInfo",                (PyCFunction)PyvtkExodusReader_GetPartBlockInfo, 1,
   (char*)"V.GetPartBlockInfo(int) -> string\nC++: const char *GetPartBlockInfo (int arrayIdx);\n\n"},
  {(char*)"SetPartArrayStatus",                (PyCFunction)PyvtkExodusReader_SetPartArrayStatus, 1,
   (char*)"V.SetPartArrayStatus(int, int)\nC++: void SetPartArrayStatus (int index, int flag);\nV.SetPartArrayStatus(string, int)\nC++: void SetPartArrayStatus (const char *, int flag);\n\n"},
  {(char*)"GetPartArrayStatus",                (PyCFunction)PyvtkExodusReader_GetPartArrayStatus, 1,
   (char*)"V.GetPartArrayStatus(int) -> int\nC++: int GetPartArrayStatus (int index);\nV.GetPartArrayStatus(string) -> int\nC++: int GetPartArrayStatus (const char *);\n\n"},
  {(char*)"GetNumberOfMaterialArrays",                (PyCFunction)PyvtkExodusReader_GetNumberOfMaterialArrays, 1,
   (char*)"V.GetNumberOfMaterialArrays() -> int\nC++: int GetNumberOfMaterialArrays ();\n\n"},
  {(char*)"GetMaterialArrayName",                (PyCFunction)PyvtkExodusReader_GetMaterialArrayName, 1,
   (char*)"V.GetMaterialArrayName(int) -> string\nC++: const char *GetMaterialArrayName (int arrayIdx);\n\n"},
  {(char*)"GetMaterialArrayID",                (PyCFunction)PyvtkExodusReader_GetMaterialArrayID, 1,
   (char*)"V.GetMaterialArrayID(string) -> int\nC++: int GetMaterialArrayID (const char *name);\n\n"},
  {(char*)"SetMaterialArrayStatus",                (PyCFunction)PyvtkExodusReader_SetMaterialArrayStatus, 1,
   (char*)"V.SetMaterialArrayStatus(int, int)\nC++: void SetMaterialArrayStatus (int index, int flag);\nV.SetMaterialArrayStatus(string, int)\nC++: void SetMaterialArrayStatus (const char *, int flag);\n\n"},
  {(char*)"GetMaterialArrayStatus",                (PyCFunction)PyvtkExodusReader_GetMaterialArrayStatus, 1,
   (char*)"V.GetMaterialArrayStatus(int) -> int\nC++: int GetMaterialArrayStatus (int index);\nV.GetMaterialArrayStatus(string) -> int\nC++: int GetMaterialArrayStatus (const char *);\n\n"},
  {(char*)"GetNumberOfAssemblyArrays",                (PyCFunction)PyvtkExodusReader_GetNumberOfAssemblyArrays, 1,
   (char*)"V.GetNumberOfAssemblyArrays() -> int\nC++: int GetNumberOfAssemblyArrays ();\n\n"},
  {(char*)"GetAssemblyArrayName",                (PyCFunction)PyvtkExodusReader_GetAssemblyArrayName, 1,
   (char*)"V.GetAssemblyArrayName(int) -> string\nC++: const char *GetAssemblyArrayName (int arrayIdx);\n\n"},
  {(char*)"GetAssemblyArrayID",                (PyCFunction)PyvtkExodusReader_GetAssemblyArrayID, 1,
   (char*)"V.GetAssemblyArrayID(string) -> int\nC++: int GetAssemblyArrayID (const char *name);\n\n"},
  {(char*)"SetAssemblyArrayStatus",                (PyCFunction)PyvtkExodusReader_SetAssemblyArrayStatus, 1,
   (char*)"V.SetAssemblyArrayStatus(int, int)\nC++: void SetAssemblyArrayStatus (int index, int flag);\nV.SetAssemblyArrayStatus(string, int)\nC++: void SetAssemblyArrayStatus (const char *, int flag);\n\n"},
  {(char*)"GetAssemblyArrayStatus",                (PyCFunction)PyvtkExodusReader_GetAssemblyArrayStatus, 1,
   (char*)"V.GetAssemblyArrayStatus(int) -> int\nC++: int GetAssemblyArrayStatus (int index);\nV.GetAssemblyArrayStatus(string) -> int\nC++: int GetAssemblyArrayStatus (const char *);\n\n"},
  {(char*)"GetNumberOfHierarchyArrays",                (PyCFunction)PyvtkExodusReader_GetNumberOfHierarchyArrays, 1,
   (char*)"V.GetNumberOfHierarchyArrays() -> int\nC++: int GetNumberOfHierarchyArrays ();\n\n"},
  {(char*)"GetHierarchyArrayName",                (PyCFunction)PyvtkExodusReader_GetHierarchyArrayName, 1,
   (char*)"V.GetHierarchyArrayName(int) -> string\nC++: const char *GetHierarchyArrayName (int arrayIdx);\n\n"},
  {(char*)"SetHierarchyArrayStatus",                (PyCFunction)PyvtkExodusReader_SetHierarchyArrayStatus, 1,
   (char*)"V.SetHierarchyArrayStatus(int, int)\nC++: void SetHierarchyArrayStatus (int index, int flag);\nV.SetHierarchyArrayStatus(string, int)\nC++: void SetHierarchyArrayStatus (const char *, int flag);\n\n"},
  {(char*)"GetHierarchyArrayStatus",                (PyCFunction)PyvtkExodusReader_GetHierarchyArrayStatus, 1,
   (char*)"V.GetHierarchyArrayStatus(int) -> int\nC++: int GetHierarchyArrayStatus (int index);\nV.GetHierarchyArrayStatus(string) -> int\nC++: int GetHierarchyArrayStatus (const char *);\n\n"},
  {(char*)"GetDisplayType",                (PyCFunction)PyvtkExodusReader_GetDisplayType, 1,
   (char*)"V.GetDisplayType() -> int\nC++: int GetDisplayType ();\n\n"},
  {(char*)"SetDisplayType",                (PyCFunction)PyvtkExodusReader_SetDisplayType, 1,
   (char*)"V.SetDisplayType(int)\nC++: virtual void SetDisplayType (int type);\n\n"},
  {(char*)"ExodusModelMetadataOn",                (PyCFunction)PyvtkExodusReader_ExodusModelMetadataOn, 1,
   (char*)"V.ExodusModelMetadataOn()\nC++: void ExodusModelMetadataOn ();\n\n"},
  {(char*)"ExodusModelMetadataOff",                (PyCFunction)PyvtkExodusReader_ExodusModelMetadataOff, 1,
   (char*)"V.ExodusModelMetadataOff()\nC++: void ExodusModelMetadataOff ();\n\n"},
  {(char*)"SetExodusModelMetadata",                (PyCFunction)PyvtkExodusReader_SetExodusModelMetadata, 1,
   (char*)"V.SetExodusModelMetadata(int)\nC++: void SetExodusModelMetadata (int );\n\n"},
  {(char*)"GetExodusModelMetadata",                (PyCFunction)PyvtkExodusReader_GetExodusModelMetadata, 1,
   (char*)"V.GetExodusModelMetadata() -> int\nC++: int GetExodusModelMetadata ();\n\n"},
  {(char*)"GetExodusModel",                (PyCFunction)PyvtkExodusReader_GetExodusModel, 1,
   (char*)"V.GetExodusModel() -> vtkExodusModel\nC++: vtkExodusModel *GetExodusModel ();return this ExodusModel \n\n"},
  {(char*)"SetPackExodusModelOntoOutput",                (PyCFunction)PyvtkExodusReader_SetPackExodusModelOntoOutput, 1,
   (char*)"V.SetPackExodusModelOntoOutput(int)\nC++: void SetPackExodusModelOntoOutput (int );\n\n"},
  {(char*)"GetPackExodusModelOntoOutput",                (PyCFunction)PyvtkExodusReader_GetPackExodusModelOntoOutput, 1,
   (char*)"V.GetPackExodusModelOntoOutput() -> int\nC++: int GetPackExodusModelOntoOutput ();\n\n"},
  {(char*)"PackExodusModelOntoOutputOn",                (PyCFunction)PyvtkExodusReader_PackExodusModelOntoOutputOn, 1,
   (char*)"V.PackExodusModelOntoOutputOn()\nC++: void PackExodusModelOntoOutputOn ();\n\n"},
  {(char*)"PackExodusModelOntoOutputOff",                (PyCFunction)PyvtkExodusReader_PackExodusModelOntoOutputOff, 1,
   (char*)"V.PackExodusModelOntoOutputOff()\nC++: void PackExodusModelOntoOutputOff ();\n\n"},
  {(char*)"IsValidVariable",                (PyCFunction)PyvtkExodusReader_IsValidVariable, 1,
   (char*)"V.IsValidVariable(string, string) -> int\nC++: int IsValidVariable (const char *type, const char *name);\n\n"},
  {(char*)"GetVariableID",                (PyCFunction)PyvtkExodusReader_GetVariableID, 1,
   (char*)"V.GetVariableID(string, string) -> int\nC++: int GetVariableID (const char *type, const char *name);\n\n"},
  {(char*)"SetAllAssemblyArrayStatus",                (PyCFunction)PyvtkExodusReader_SetAllAssemblyArrayStatus, 1,
   (char*)"V.SetAllAssemblyArrayStatus(int)\nC++: void SetAllAssemblyArrayStatus (int status);\n\n"},
  {(char*)"SetAllBlockArrayStatus",                (PyCFunction)PyvtkExodusReader_SetAllBlockArrayStatus, 1,
   (char*)"V.SetAllBlockArrayStatus(int)\nC++: void SetAllBlockArrayStatus (int status);\n\n"},
  {(char*)"SetAllCellArrayStatus",                (PyCFunction)PyvtkExodusReader_SetAllCellArrayStatus, 1,
   (char*)"V.SetAllCellArrayStatus(int)\nC++: void SetAllCellArrayStatus (int status);\n\n"},
  {(char*)"SetAllHierarchyArrayStatus",                (PyCFunction)PyvtkExodusReader_SetAllHierarchyArrayStatus, 1,
   (char*)"V.SetAllHierarchyArrayStatus(int)\nC++: void SetAllHierarchyArrayStatus (int status);\n\n"},
  {(char*)"SetAllMaterialArrayStatus",                (PyCFunction)PyvtkExodusReader_SetAllMaterialArrayStatus, 1,
   (char*)"V.SetAllMaterialArrayStatus(int)\nC++: void SetAllMaterialArrayStatus (int status);\n\n"},
  {(char*)"SetAllPartArrayStatus",                (PyCFunction)PyvtkExodusReader_SetAllPartArrayStatus, 1,
   (char*)"V.SetAllPartArrayStatus(int)\nC++: void SetAllPartArrayStatus (int status);\n\n"},
  {(char*)"SetAllPointArrayStatus",                (PyCFunction)PyvtkExodusReader_SetAllPointArrayStatus, 1,
   (char*)"V.SetAllPointArrayStatus(int)\nC++: void SetAllPointArrayStatus (int status);\n\n"},
  {(char*)"SetArrayStatus",                (PyCFunction)PyvtkExodusReader_SetArrayStatus, 1,
   (char*)"V.SetArrayStatus(string, string, int)\nC++: void SetArrayStatus (const char *type, const char *name, int flag);this SetArrayStatus this GetArrayTypeID type name flag \n\n"},
  {(char*)"GetArrayStatus",                (PyCFunction)PyvtkExodusReader_GetArrayStatus, 1,
   (char*)"V.GetArrayStatus(string, string) -> int\nC++: int GetArrayStatus (const char *type, const char *name);return this GetArrayStatus this GetArrayTypeID type name \n\n"},
  {(char*)"StringsEqual",                (PyCFunction)PyvtkExodusReader_StringsEqual, 1,
   (char*)"V.StringsEqual(string, string) -> int\nC++: static int StringsEqual (const char *s1, char *s2);\n\n"},
  {(char*)"StringUppercase",                (PyCFunction)PyvtkExodusReader_StringUppercase, 1,
   (char*)"V.StringUppercase(string, string)\nC++: static void StringUppercase (const char *str, char *upperstr);\n\n"},
  {(char*)"StrDupWithNew",                (PyCFunction)PyvtkExodusReader_StrDupWithNew, 1,
   (char*)"V.StrDupWithNew(string) -> string\nC++: static char *StrDupWithNew (const char *s);\n\n"},
  {(char*)"GetTimeSeriesData",                (PyCFunction)PyvtkExodusReader_GetTimeSeriesData, 1,
   (char*)"V.GetTimeSeriesData(int, string, string, vtkFloatArray) -> int\nC++: int GetTimeSeriesData (int ID, const char *vName, const char *vType, vtkFloatArray *result);\n\n"},
  {(char*)"GetNumberOfVariableArrays",                (PyCFunction)PyvtkExodusReader_GetNumberOfVariableArrays, 1,
   (char*)"V.GetNumberOfVariableArrays() -> int\nC++: int GetNumberOfVariableArrays ();\n\n"},
  {(char*)"GetVariableArrayName",                (PyCFunction)PyvtkExodusReader_GetVariableArrayName, 1,
   (char*)"V.GetVariableArrayName(int) -> string\nC++: const char *GetVariableArrayName (int a_which);\n\n"},
  {(char*)"EnableDSPFiltering",                (PyCFunction)PyvtkExodusReader_EnableDSPFiltering, 1,
   (char*)"V.EnableDSPFiltering()\nC++: void EnableDSPFiltering ();\n\n"},
  {(char*)"AddFilter",                (PyCFunction)PyvtkExodusReader_AddFilter, 1,
   (char*)"V.AddFilter(vtkDSPFilterDefinition)\nC++: void AddFilter (vtkDSPFilterDefinition *a_filter);\n\n"},
  {(char*)"StartAddingFilter",                (PyCFunction)PyvtkExodusReader_StartAddingFilter, 1,
   (char*)"V.StartAddingFilter()\nC++: void StartAddingFilter ();\n\n"},
  {(char*)"AddFilterInputVar",                (PyCFunction)PyvtkExodusReader_AddFilterInputVar, 1,
   (char*)"V.AddFilterInputVar(string)\nC++: void AddFilterInputVar (char *name);\n\n"},
  {(char*)"AddFilterOutputVar",                (PyCFunction)PyvtkExodusReader_AddFilterOutputVar, 1,
   (char*)"V.AddFilterOutputVar(string)\nC++: void AddFilterOutputVar (char *name);\n\n"},
  {(char*)"AddFilterNumeratorWeight",                (PyCFunction)PyvtkExodusReader_AddFilterNumeratorWeight, 1,
   (char*)"V.AddFilterNumeratorWeight(float)\nC++: void AddFilterNumeratorWeight (double weight);\n\n"},
  {(char*)"AddFilterForwardNumeratorWeight",                (PyCFunction)PyvtkExodusReader_AddFilterForwardNumeratorWeight, 1,
   (char*)"V.AddFilterForwardNumeratorWeight(float)\nC++: void AddFilterForwardNumeratorWeight (double weight);\n\n"},
  {(char*)"AddFilterDenominatorWeight",                (PyCFunction)PyvtkExodusReader_AddFilterDenominatorWeight, 1,
   (char*)"V.AddFilterDenominatorWeight(float)\nC++: void AddFilterDenominatorWeight (double weight);\n\n"},
  {(char*)"FinishAddingFilter",                (PyCFunction)PyvtkExodusReader_FinishAddingFilter, 1,
   (char*)"V.FinishAddingFilter()\nC++: void FinishAddingFilter ();\n\n"},
  {(char*)"RemoveFilter",                (PyCFunction)PyvtkExodusReader_RemoveFilter, 1,
   (char*)"V.RemoveFilter(string)\nC++: void RemoveFilter (char *a_outputVariableName);\n\n"},
  {(char*)"GetDSPOutputArrays",                (PyCFunction)PyvtkExodusReader_GetDSPOutputArrays, 1,
   (char*)"V.GetDSPOutputArrays(int, vtkUnstructuredGrid)\nC++: void GetDSPOutputArrays (int exoid, vtkUnstructuredGrid *output);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExodusReaderDoc[] = {
  (char*)"vtkExodusReader - Read exodus 2 files .ex2\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkExodusReader is a unstructured grid source object that reads ExodusII\n files.  Most of the meta data associated with the file is loaded when \n UpdateInformation is called.  This includes information like Title, number\n of blocks, number and names of arrays. This data can be retrieved from \n methods in this reader. Separate arrays that are meant to be a single \n vector, are combined internally ",
  (char*)"for convenience.  To be combined, the array \n names have to be identical except for a trailing X,Y and Z (or x,y,z).  By \n default cell and point arrays are not loaded.  However, the user can flag \n arrays to load with the methods \"SetPointArrayStatus\" and\n \"SetCellArrayStatus\".  The reader DOES NOT respond to piece requests\n \n\n",
  NULL
};

static vtkObjectBase *vtkExodusReaderStaticNew()
{
  return vtkExodusReader::New();
}

PyObject *PyVTKClass_vtkExodusReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkExodusReaderStaticNew,
                        PyvtkExodusReaderMethods,
                        (char*)"vtkExodusReader",modulename,
                        (char**)vtkExodusReaderDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

