// python wrapper for vtkFacetReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkFacetReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFacetReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFacetReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkFacetReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFacetReader *op;

  const char    *temp20;
  if ((op = (vtkFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFacetReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFacetReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFacetReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFacetReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFacetReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFacetReader *op;

  vtkFacetReader  *temp20;
  if ((op = (vtkFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFacetReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFacetReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFacetReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFacetReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFacetReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFacetReader *op;

  char    *temp0;
  if ((op = (vtkFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFacetReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkFacetReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFacetReader *op;

  char    *temp20;
  if ((op = (vtkFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFacetReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkFacetReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFacetReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFacetReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFacetReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFacetReader\nC++: vtkFacetReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFacetReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFacetReader\nC++: vtkFacetReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkFacetReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name of Facet datafile to read\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkFacetReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of Facet datafile to read\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFacetReaderDoc[] = {
  (char*)"vtkFacetReader - reads a dataset in Facet format\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkFacetReader creates a poly data dataset. It reads ASCII files\n stored in Facet format\n\n The facet format looks like this:\n FACET FILE ...\n nparts\n Part 1 name\n 0\n npoints 0 0\n p1x p1y p1z\n p2x p2y p2z\n ...\n 1\n Part 1 name\n ncells npointspercell\n p1c1 p2c1 p3c1 ... pnc1 materialnum partnum\n p1c2 p2c2 p3c2 ... pnc2 materialnum partnum\n ...\n\n",
  NULL
};

static vtkObjectBase *vtkFacetReaderStaticNew()
{
  return vtkFacetReader::New();
}

PyObject *PyVTKClass_vtkFacetReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkFacetReaderStaticNew,
                        PyvtkFacetReaderMethods,
                        (char*)"vtkFacetReader",modulename,
                        (char**)vtkFacetReaderDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

