// python wrapper for vtkImplicitModeller object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImplicitModeller.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImplicitModellerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImplicitModellerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImplicitModeller_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  const char    *temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  vtkImplicitModeller  *temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImplicitModeller  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImplicitModeller::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImplicitModeller_ComputeModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::ComputeModelBounds(temp0);
      }
    else
      {
      temp20 = op->ComputeModelBounds(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetSampleDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int     *temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetSampleDimensions();
      }
    else
      {
      temp20 = op->GetSampleDimensions();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetSampleDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetSampleDimensions(temp0,temp1,temp2);
      }
    else
      {
      op->SetSampleDimensions(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int    temp0[3];
  PyErr_Clear();
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetSampleDimensions(temp0);
      }
    else
      {
      op->SetSampleDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetMaximumDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  double   temp0;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetMaximumDistance(temp0);
      }
    else
      {
      op->SetMaximumDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetMaximumDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  double   temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetMaximumDistanceMinValue();
      }
    else
      {
      temp20 = op->GetMaximumDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetMaximumDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  double   temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetMaximumDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetMaximumDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetMaximumDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  double   temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetMaximumDistance();
      }
    else
      {
      temp20 = op->GetMaximumDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  double temp0[6];
  PyErr_Clear();
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetModelBounds(temp0);
      }
    else
      {
      op->SetModelBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  double  *temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetModelBounds();
      }
    else
      {
      temp20 = op->GetModelBounds();
      }
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetAdjustBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp0;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetAdjustBounds(temp0);
      }
    else
      {
      op->SetAdjustBounds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetAdjustBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetAdjustBounds();
      }
    else
      {
      temp20 = op->GetAdjustBounds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_AdjustBoundsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::AdjustBoundsOn();
      }
    else
      {
      op->AdjustBoundsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_AdjustBoundsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::AdjustBoundsOff();
      }
    else
      {
      op->AdjustBoundsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetAdjustDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  double   temp0;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetAdjustDistance(temp0);
      }
    else
      {
      op->SetAdjustDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetAdjustDistanceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  double   temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetAdjustDistanceMinValue();
      }
    else
      {
      temp20 = op->GetAdjustDistanceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetAdjustDistanceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  double   temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetAdjustDistanceMaxValue();
      }
    else
      {
      temp20 = op->GetAdjustDistanceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetAdjustDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  double   temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetAdjustDistance();
      }
    else
      {
      temp20 = op->GetAdjustDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp0;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetCapping(temp0);
      }
    else
      {
      op->SetCapping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetCapping();
      }
    else
      {
      temp20 = op->GetCapping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_CappingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::CappingOn();
      }
    else
      {
      op->CappingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_CappingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::CappingOff();
      }
    else
      {
      op->CappingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetCapValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  double   temp0;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetCapValue(temp0);
      }
    else
      {
      op->SetCapValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetCapValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  double   temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetCapValue();
      }
    else
      {
      temp20 = op->GetCapValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetScaleToMaximumDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp0;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetScaleToMaximumDistance(temp0);
      }
    else
      {
      op->SetScaleToMaximumDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetScaleToMaximumDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetScaleToMaximumDistance();
      }
    else
      {
      temp20 = op->GetScaleToMaximumDistance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_ScaleToMaximumDistanceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::ScaleToMaximumDistanceOn();
      }
    else
      {
      op->ScaleToMaximumDistanceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_ScaleToMaximumDistanceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::ScaleToMaximumDistanceOff();
      }
    else
      {
      op->ScaleToMaximumDistanceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetProcessMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp0;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetProcessMode(temp0);
      }
    else
      {
      op->SetProcessMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetProcessModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetProcessModeMinValue();
      }
    else
      {
      temp20 = op->GetProcessModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetProcessModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetProcessModeMaxValue();
      }
    else
      {
      temp20 = op->GetProcessModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetProcessMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetProcessMode();
      }
    else
      {
      temp20 = op->GetProcessMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetProcessModeToPerVoxel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetProcessModeToPerVoxel();
      }
    else
      {
      op->SetProcessModeToPerVoxel();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetProcessModeToPerCell(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetProcessModeToPerCell();
      }
    else
      {
      op->SetProcessModeToPerCell();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetProcessModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  const char    *temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetProcessModeAsString();
      }
    else
      {
      temp20 = op->GetProcessModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetLocatorMaxLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp0;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetLocatorMaxLevel(temp0);
      }
    else
      {
      op->SetLocatorMaxLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetLocatorMaxLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetLocatorMaxLevel();
      }
    else
      {
      temp20 = op->GetLocatorMaxLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp0;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetNumberOfThreads(temp0);
      }
    else
      {
      op->SetNumberOfThreads(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetNumberOfThreadsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetNumberOfThreadsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfThreadsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetNumberOfThreadsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetNumberOfThreadsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfThreadsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetNumberOfThreads(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetNumberOfThreads();
      }
    else
      {
      temp20 = op->GetNumberOfThreads();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetOutputScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp0;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetOutputScalarType(temp0);
      }
    else
      {
      op->SetOutputScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_GetOutputScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  int      temp20;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitModeller::GetOutputScalarType();
      }
    else
      {
      temp20 = op->GetOutputScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetOutputScalarTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetOutputScalarTypeToFloat();
      }
    else
      {
      op->SetOutputScalarTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetOutputScalarTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetOutputScalarTypeToDouble();
      }
    else
      {
      op->SetOutputScalarTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetOutputScalarTypeToInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetOutputScalarTypeToInt();
      }
    else
      {
      op->SetOutputScalarTypeToInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetOutputScalarTypeToUnsignedInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetOutputScalarTypeToUnsignedInt();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetOutputScalarTypeToLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetOutputScalarTypeToLong();
      }
    else
      {
      op->SetOutputScalarTypeToLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetOutputScalarTypeToUnsignedLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetOutputScalarTypeToUnsignedLong();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetOutputScalarTypeToShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetOutputScalarTypeToShort();
      }
    else
      {
      op->SetOutputScalarTypeToShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetOutputScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetOutputScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetOutputScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetOutputScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_SetOutputScalarTypeToChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::SetOutputScalarTypeToChar();
      }
    else
      {
      op->SetOutputScalarTypeToChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_StartAppend(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::StartAppend();
      }
    else
      {
      op->StartAppend();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitModeller_Append(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break59;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::Append(temp0);
      }
    else
      {
      op->Append(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break59:
  return NULL;
}


static PyObject *PyvtkImplicitModeller_EndAppend(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitModeller *op;

  if ((op = (vtkImplicitModeller *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitModeller::EndAppend();
      }
    else
      {
      op->EndAppend();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImplicitModellerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImplicitModeller_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImplicitModeller_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImplicitModeller_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImplicitModeller\nC++: vtkImplicitModeller *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImplicitModeller_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImplicitModeller\nC++: vtkImplicitModeller *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ComputeModelBounds",                (PyCFunction)PyvtkImplicitModeller_ComputeModelBounds, 1,
   (char*)"V.ComputeModelBounds(vtkDataSet) -> float\nC++: double ComputeModelBounds (vtkDataSet *inputNULL);\n\n Compute ModelBounds from input geometry. If input is not specified, the\n input of the filter will be used.\n"},
  {(char*)"GetSampleDimensions",                (PyCFunction)PyvtkImplicitModeller_GetSampleDimensions, 1,
   (char*)"V.GetSampleDimensions() -> (int, int, int)\nC++: int  *GetSampleDimensions ();\n\n Set/Get the i-j-k dimensions on which to sample distance function.\n"},
  {(char*)"SetSampleDimensions",                (PyCFunction)PyvtkImplicitModeller_SetSampleDimensions, 1,
   (char*)"V.SetSampleDimensions(int, int, int)\nC++: void SetSampleDimensions (int i, int j, int k);\nV.SetSampleDimensions((int, int, int))\nC++: void SetSampleDimensions (int dim[3]);\n\n Set/Get the i-j-k dimensions on which to sample distance function.\n"},
  {(char*)"SetMaximumDistance",                (PyCFunction)PyvtkImplicitModeller_SetMaximumDistance, 1,
   (char*)"V.SetMaximumDistance(float)\nC++: void SetMaximumDistance (double );\n\n Set / get the distance away from surface of input geometry to\n sample. Smaller values make large increases in performance.\n"},
  {(char*)"GetMaximumDistanceMinValue",                (PyCFunction)PyvtkImplicitModeller_GetMaximumDistanceMinValue, 1,
   (char*)"V.GetMaximumDistanceMinValue() -> float\nC++: double GetMaximumDistanceMinValue ();\n\n Set / get the distance away from surface of input geometry to\n sample. Smaller values make large increases in performance.\n"},
  {(char*)"GetMaximumDistanceMaxValue",                (PyCFunction)PyvtkImplicitModeller_GetMaximumDistanceMaxValue, 1,
   (char*)"V.GetMaximumDistanceMaxValue() -> float\nC++: double GetMaximumDistanceMaxValue ();\n\n Set / get the distance away from surface of input geometry to\n sample. Smaller values make large increases in performance.\n"},
  {(char*)"GetMaximumDistance",                (PyCFunction)PyvtkImplicitModeller_GetMaximumDistance, 1,
   (char*)"V.GetMaximumDistance() -> float\nC++: double GetMaximumDistance ();\n\n Set / get the distance away from surface of input geometry to\n sample. Smaller values make large increases in performance.\n"},
  {(char*)"SetModelBounds",                (PyCFunction)PyvtkImplicitModeller_SetModelBounds, 1,
   (char*)"V.SetModelBounds(float, float, float, float, float, float)\nC++: void SetModelBounds (double , double , double , double , double , double );\nV.SetModelBounds((float, float, float, float, float, float))\nC++: void SetModelBounds (double  a[6]);\n\n Set / get the region in space in which to perform the sampling. If\n not specified, it will be computed automatically.\n"},
  {(char*)"GetModelBounds",                (PyCFunction)PyvtkImplicitModeller_GetModelBounds, 1,
   (char*)"V.GetModelBounds() -> (float, float, float, float, float, float)\nC++: double  *GetModelBounds ();\n\n Set / get the region in space in which to perform the sampling. If\n not specified, it will be computed automatically.\n"},
  {(char*)"SetAdjustBounds",                (PyCFunction)PyvtkImplicitModeller_SetAdjustBounds, 1,
   (char*)"V.SetAdjustBounds(int)\nC++: void SetAdjustBounds (int );\n\n Control how the model bounds are computed. If the ivar AdjustBounds\n is set, then the bounds specified (or computed automatically) is modified\n by the fraction given by AdjustDistance. This means that the model\n bounds is expanded in each of the x-y-z directions.\n"},
  {(char*)"GetAdjustBounds",                (PyCFunction)PyvtkImplicitModeller_GetAdjustBounds, 1,
   (char*)"V.GetAdjustBounds() -> int\nC++: int GetAdjustBounds ();\n\n Control how the model bounds are computed. If the ivar AdjustBounds\n is set, then the bounds specified (or computed automatically) is modified\n by the fraction given by AdjustDistance. This means that the model\n bounds is expanded in each of the x-y-z directions.\n"},
  {(char*)"AdjustBoundsOn",                (PyCFunction)PyvtkImplicitModeller_AdjustBoundsOn, 1,
   (char*)"V.AdjustBoundsOn()\nC++: void AdjustBoundsOn ();\n\n Control how the model bounds are computed. If the ivar AdjustBounds\n is set, then the bounds specified (or computed automatically) is modified\n by the fraction given by AdjustDistance. This means that the model\n bounds is expanded in each of the x-y-z directions.\n"},
  {(char*)"AdjustBoundsOff",                (PyCFunction)PyvtkImplicitModeller_AdjustBoundsOff, 1,
   (char*)"V.AdjustBoundsOff()\nC++: void AdjustBoundsOff ();\n\n Control how the model bounds are computed. If the ivar AdjustBounds\n is set, then the bounds specified (or computed automatically) is modified\n by the fraction given by AdjustDistance. This means that the model\n bounds is expanded in each of the x-y-z directions.\n"},
  {(char*)"SetAdjustDistance",                (PyCFunction)PyvtkImplicitModeller_SetAdjustDistance, 1,
   (char*)"V.SetAdjustDistance(float)\nC++: void SetAdjustDistance (double );\n\n Specify the amount to grow the model bounds (if the ivar AdjustBounds\n is set). The value is a fraction of the maximum length of the sides\n of the box specified by the model bounds.\n"},
  {(char*)"GetAdjustDistanceMinValue",                (PyCFunction)PyvtkImplicitModeller_GetAdjustDistanceMinValue, 1,
   (char*)"V.GetAdjustDistanceMinValue() -> float\nC++: double GetAdjustDistanceMinValue ();\n\n Specify the amount to grow the model bounds (if the ivar AdjustBounds\n is set). The value is a fraction of the maximum length of the sides\n of the box specified by the model bounds.\n"},
  {(char*)"GetAdjustDistanceMaxValue",                (PyCFunction)PyvtkImplicitModeller_GetAdjustDistanceMaxValue, 1,
   (char*)"V.GetAdjustDistanceMaxValue() -> float\nC++: double GetAdjustDistanceMaxValue ();\n\n Specify the amount to grow the model bounds (if the ivar AdjustBounds\n is set). The value is a fraction of the maximum length of the sides\n of the box specified by the model bounds.\n"},
  {(char*)"GetAdjustDistance",                (PyCFunction)PyvtkImplicitModeller_GetAdjustDistance, 1,
   (char*)"V.GetAdjustDistance() -> float\nC++: double GetAdjustDistance ();\n\n Specify the amount to grow the model bounds (if the ivar AdjustBounds\n is set). The value is a fraction of the maximum length of the sides\n of the box specified by the model bounds.\n"},
  {(char*)"SetCapping",                (PyCFunction)PyvtkImplicitModeller_SetCapping, 1,
   (char*)"V.SetCapping(int)\nC++: void SetCapping (int );\n\n The outer boundary of the structured point set can be assigned a \n particular value. This can be used to close or \"cap\" all surfaces.\n"},
  {(char*)"GetCapping",                (PyCFunction)PyvtkImplicitModeller_GetCapping, 1,
   (char*)"V.GetCapping() -> int\nC++: int GetCapping ();\n\n The outer boundary of the structured point set can be assigned a \n particular value. This can be used to close or \"cap\" all surfaces.\n"},
  {(char*)"CappingOn",                (PyCFunction)PyvtkImplicitModeller_CappingOn, 1,
   (char*)"V.CappingOn()\nC++: void CappingOn ();\n\n The outer boundary of the structured point set can be assigned a \n particular value. This can be used to close or \"cap\" all surfaces.\n"},
  {(char*)"CappingOff",                (PyCFunction)PyvtkImplicitModeller_CappingOff, 1,
   (char*)"V.CappingOff()\nC++: void CappingOff ();\n\n The outer boundary of the structured point set can be assigned a \n particular value. This can be used to close or \"cap\" all surfaces.\n"},
  {(char*)"SetCapValue",                (PyCFunction)PyvtkImplicitModeller_SetCapValue, 1,
   (char*)"V.SetCapValue(float)\nC++: void SetCapValue (double value);\n\n Specify the capping value to use. The CapValue is also used as an\n initial distance value at each point in the dataset.\n"},
  {(char*)"GetCapValue",                (PyCFunction)PyvtkImplicitModeller_GetCapValue, 1,
   (char*)"V.GetCapValue() -> float\nC++: double GetCapValue ();\n\n Specify the capping value to use. The CapValue is also used as an\n initial distance value at each point in the dataset.\n"},
  {(char*)"SetScaleToMaximumDistance",                (PyCFunction)PyvtkImplicitModeller_SetScaleToMaximumDistance, 1,
   (char*)"V.SetScaleToMaximumDistance(int)\nC++: void SetScaleToMaximumDistance (int );\n\n If a non-floating output type is specified, the output distances can be\n scaled to use the entire positive scalar range of the output type \n specified (up to the CapValue which is equal to the max for the type \n unless modified by the user).  For example, if ScaleToMaximumDistance\n is On and the OutputScalarType is UnsignedChar the distances saved in the\n output would be linearly scaled between 0 (for distances \"very close\" to\n the surface) and 255 (at the specifed maximum distance)... assuming the \n CapValue is not changed from 255.\n"},
  {(char*)"GetScaleToMaximumDistance",                (PyCFunction)PyvtkImplicitModeller_GetScaleToMaximumDistance, 1,
   (char*)"V.GetScaleToMaximumDistance() -> int\nC++: int GetScaleToMaximumDistance ();\n\n If a non-floating output type is specified, the output distances can be\n scaled to use the entire positive scalar range of the output type \n specified (up to the CapValue which is equal to the max for the type \n unless modified by the user).  For example, if ScaleToMaximumDistance\n is On and the OutputScalarType is UnsignedChar the distances saved in the\n output would be linearly scaled between 0 (for distances \"very close\" to\n the surface) and 255 (at the specifed maximum distance)... assuming the \n CapValue is not changed from 255.\n"},
  {(char*)"ScaleToMaximumDistanceOn",                (PyCFunction)PyvtkImplicitModeller_ScaleToMaximumDistanceOn, 1,
   (char*)"V.ScaleToMaximumDistanceOn()\nC++: void ScaleToMaximumDistanceOn ();\n\n If a non-floating output type is specified, the output distances can be\n scaled to use the entire positive scalar range of the output type \n specified (up to the CapValue which is equal to the max for the type \n unless modified by the user).  For example, if ScaleToMaximumDistance\n is On and the OutputScalarType is UnsignedChar the distances saved in the\n output would be linearly scaled between 0 (for distances \"very close\" to\n the surface) and 255 (at the specifed maximum distance)... assuming the \n CapValue is not changed from 255.\n"},
  {(char*)"ScaleToMaximumDistanceOff",                (PyCFunction)PyvtkImplicitModeller_ScaleToMaximumDistanceOff, 1,
   (char*)"V.ScaleToMaximumDistanceOff()\nC++: void ScaleToMaximumDistanceOff ();\n\n If a non-floating output type is specified, the output distances can be\n scaled to use the entire positive scalar range of the output type \n specified (up to the CapValue which is equal to the max for the type \n unless modified by the user).  For example, if ScaleToMaximumDistance\n is On and the OutputScalarType is UnsignedChar the distances saved in the\n output would be linearly scaled between 0 (for distances \"very close\" to\n the surface) and 255 (at the specifed maximum distance)... assuming the \n CapValue is not changed from 255.\n"},
  {(char*)"SetProcessMode",                (PyCFunction)PyvtkImplicitModeller_SetProcessMode, 1,
   (char*)"V.SetProcessMode(int)\nC++: void SetProcessMode (int );\n\n Specify whether to visit each cell once per append or each voxel once\n per append.  Some tests have shown once per voxel to be faster\n when there are a lot of cells (at least a thousand?); relative\n performance improvement increases with addition cells.  Primitives\n should not be stripped for best performance of the voxel mode.  \n"},
  {(char*)"GetProcessModeMinValue",                (PyCFunction)PyvtkImplicitModeller_GetProcessModeMinValue, 1,
   (char*)"V.GetProcessModeMinValue() -> int\nC++: int GetProcessModeMinValue ();\n\n Specify whether to visit each cell once per append or each voxel once\n per append.  Some tests have shown once per voxel to be faster\n when there are a lot of cells (at least a thousand?); relative\n performance improvement increases with addition cells.  Primitives\n should not be stripped for best performance of the voxel mode.  \n"},
  {(char*)"GetProcessModeMaxValue",                (PyCFunction)PyvtkImplicitModeller_GetProcessModeMaxValue, 1,
   (char*)"V.GetProcessModeMaxValue() -> int\nC++: int GetProcessModeMaxValue ();\n\n Specify whether to visit each cell once per append or each voxel once\n per append.  Some tests have shown once per voxel to be faster\n when there are a lot of cells (at least a thousand?); relative\n performance improvement increases with addition cells.  Primitives\n should not be stripped for best performance of the voxel mode.  \n"},
  {(char*)"GetProcessMode",                (PyCFunction)PyvtkImplicitModeller_GetProcessMode, 1,
   (char*)"V.GetProcessMode() -> int\nC++: int GetProcessMode ();\n\n Specify whether to visit each cell once per append or each voxel once\n per append.  Some tests have shown once per voxel to be faster\n when there are a lot of cells (at least a thousand?); relative\n performance improvement increases with addition cells.  Primitives\n should not be stripped for best performance of the voxel mode.  \n"},
  {(char*)"SetProcessModeToPerVoxel",                (PyCFunction)PyvtkImplicitModeller_SetProcessModeToPerVoxel, 1,
   (char*)"V.SetProcessModeToPerVoxel()\nC++: void SetProcessModeToPerVoxel ();this SetProcessMode VTK_VOXEL_MODE \n\n Specify whether to visit each cell once per append or each voxel once\n per append.  Some tests have shown once per voxel to be faster\n when there are a lot of cells (at least a thousand?); relative\n performance improvement increases with addition cells.  Primitives\n should not be stripped for best performance of the voxel mode.  \n"},
  {(char*)"SetProcessModeToPerCell",                (PyCFunction)PyvtkImplicitModeller_SetProcessModeToPerCell, 1,
   (char*)"V.SetProcessModeToPerCell()\nC++: void SetProcessModeToPerCell ();this SetProcessMode VTK_CELL_MODE \n\n Specify whether to visit each cell once per append or each voxel once\n per append.  Some tests have shown once per voxel to be faster\n when there are a lot of cells (at least a thousand?); relative\n performance improvement increases with addition cells.  Primitives\n should not be stripped for best performance of the voxel mode.  \n"},
  {(char*)"GetProcessModeAsString",                (PyCFunction)PyvtkImplicitModeller_GetProcessModeAsString, 1,
   (char*)"V.GetProcessModeAsString() -> string\nC++: const char *GetProcessModeAsString (void );\n\n Specify whether to visit each cell once per append or each voxel once\n per append.  Some tests have shown once per voxel to be faster\n when there are a lot of cells (at least a thousand?); relative\n performance improvement increases with addition cells.  Primitives\n should not be stripped for best performance of the voxel mode.  \n"},
  {(char*)"SetLocatorMaxLevel",                (PyCFunction)PyvtkImplicitModeller_SetLocatorMaxLevel, 1,
   (char*)"V.SetLocatorMaxLevel(int)\nC++: void SetLocatorMaxLevel (int );\n\n Specify the level of the locator to use when using the per voxel\n process mode.\n"},
  {(char*)"GetLocatorMaxLevel",                (PyCFunction)PyvtkImplicitModeller_GetLocatorMaxLevel, 1,
   (char*)"V.GetLocatorMaxLevel() -> int\nC++: int GetLocatorMaxLevel ();\n\n Specify the level of the locator to use when using the per voxel\n process mode.\n"},
  {(char*)"SetNumberOfThreads",                (PyCFunction)PyvtkImplicitModeller_SetNumberOfThreads, 1,
   (char*)"V.SetNumberOfThreads(int)\nC++: void SetNumberOfThreads (int );\n\n Set / Get the number of threads used during Per-Voxel processing mode\n"},
  {(char*)"GetNumberOfThreadsMinValue",                (PyCFunction)PyvtkImplicitModeller_GetNumberOfThreadsMinValue, 1,
   (char*)"V.GetNumberOfThreadsMinValue() -> int\nC++: int GetNumberOfThreadsMinValue ();\n\n Set / Get the number of threads used during Per-Voxel processing mode\n"},
  {(char*)"GetNumberOfThreadsMaxValue",                (PyCFunction)PyvtkImplicitModeller_GetNumberOfThreadsMaxValue, 1,
   (char*)"V.GetNumberOfThreadsMaxValue() -> int\nC++: int GetNumberOfThreadsMaxValue ();\n\n Set / Get the number of threads used during Per-Voxel processing mode\n"},
  {(char*)"GetNumberOfThreads",                (PyCFunction)PyvtkImplicitModeller_GetNumberOfThreads, 1,
   (char*)"V.GetNumberOfThreads() -> int\nC++: int GetNumberOfThreads ();\n\n Set / Get the number of threads used during Per-Voxel processing mode\n"},
  {(char*)"SetOutputScalarType",                (PyCFunction)PyvtkImplicitModeller_SetOutputScalarType, 1,
   (char*)"V.SetOutputScalarType(int)\nC++: void SetOutputScalarType (int type);\n\n Set the desired output scalar type.\n"},
  {(char*)"GetOutputScalarType",                (PyCFunction)PyvtkImplicitModeller_GetOutputScalarType, 1,
   (char*)"V.GetOutputScalarType() -> int\nC++: int GetOutputScalarType ();\n\n Set the desired output scalar type.\n"},
  {(char*)"SetOutputScalarTypeToFloat",                (PyCFunction)PyvtkImplicitModeller_SetOutputScalarTypeToFloat, 1,
   (char*)"V.SetOutputScalarTypeToFloat()\nC++: void SetOutputScalarTypeToFloat ();this SetOutputScalarType VTK_FLOAT \n\n Set the desired output scalar type.\n"},
  {(char*)"SetOutputScalarTypeToDouble",                (PyCFunction)PyvtkImplicitModeller_SetOutputScalarTypeToDouble, 1,
   (char*)"V.SetOutputScalarTypeToDouble()\nC++: void SetOutputScalarTypeToDouble ();this SetOutputScalarType VTK_DOUBLE \n\n Set the desired output scalar type.\n"},
  {(char*)"SetOutputScalarTypeToInt",                (PyCFunction)PyvtkImplicitModeller_SetOutputScalarTypeToInt, 1,
   (char*)"V.SetOutputScalarTypeToInt()\nC++: void SetOutputScalarTypeToInt ();this SetOutputScalarType VTK_INT \n\n Set the desired output scalar type.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedInt",                (PyCFunction)PyvtkImplicitModeller_SetOutputScalarTypeToUnsignedInt, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedInt()\nC++: void SetOutputScalarTypeToUnsignedInt ();this SetOutputScalarType VTK_UNSIGNED_INT \n\n Set the desired output scalar type.\n"},
  {(char*)"SetOutputScalarTypeToLong",                (PyCFunction)PyvtkImplicitModeller_SetOutputScalarTypeToLong, 1,
   (char*)"V.SetOutputScalarTypeToLong()\nC++: void SetOutputScalarTypeToLong ();this SetOutputScalarType VTK_LONG \n\n Set the desired output scalar type.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedLong",                (PyCFunction)PyvtkImplicitModeller_SetOutputScalarTypeToUnsignedLong, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedLong()\nC++: void SetOutputScalarTypeToUnsignedLong ();this SetOutputScalarType VTK_UNSIGNED_LONG \n\n Set the desired output scalar type.\n"},
  {(char*)"SetOutputScalarTypeToShort",                (PyCFunction)PyvtkImplicitModeller_SetOutputScalarTypeToShort, 1,
   (char*)"V.SetOutputScalarTypeToShort()\nC++: void SetOutputScalarTypeToShort ();this SetOutputScalarType VTK_SHORT \n\n Set the desired output scalar type.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedShort",                (PyCFunction)PyvtkImplicitModeller_SetOutputScalarTypeToUnsignedShort, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedShort()\nC++: void SetOutputScalarTypeToUnsignedShort ();this SetOutputScalarType VTK_UNSIGNED_SHORT \n\n Set the desired output scalar type.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedChar",                (PyCFunction)PyvtkImplicitModeller_SetOutputScalarTypeToUnsignedChar, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedChar()\nC++: void SetOutputScalarTypeToUnsignedChar ();this SetOutputScalarType VTK_UNSIGNED_CHAR \n\n Set the desired output scalar type.\n"},
  {(char*)"SetOutputScalarTypeToChar",                (PyCFunction)PyvtkImplicitModeller_SetOutputScalarTypeToChar, 1,
   (char*)"V.SetOutputScalarTypeToChar()\nC++: void SetOutputScalarTypeToChar ();this SetOutputScalarType VTK_CHAR \n\n Set the desired output scalar type.\n"},
  {(char*)"StartAppend",                (PyCFunction)PyvtkImplicitModeller_StartAppend, 1,
   (char*)"V.StartAppend()\nC++: void StartAppend ();\n\n Initialize the filter for appending data. You must invoke the\n StartAppend() method before doing successive Appends(). It's also a\n good idea to manually specify the model bounds; otherwise the input\n bounds for the data will be used.\n"},
  {(char*)"Append",                (PyCFunction)PyvtkImplicitModeller_Append, 1,
   (char*)"V.Append(vtkDataSet)\nC++: void Append (vtkDataSet *input);\n\n Append a data set to the existing output. To use this function,\n you'll have to invoke the StartAppend() method before doing\n successive appends. It's also a good idea to specify the model\n bounds; otherwise the input model bounds is used. When you've\n finished appending, use the EndAppend() method.\n"},
  {(char*)"EndAppend",                (PyCFunction)PyvtkImplicitModeller_EndAppend, 1,
   (char*)"V.EndAppend()\nC++: void EndAppend ();\n\n Method completes the append process.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImplicitModellerDoc[] = {
  (char*)"vtkImplicitModeller - compute distance from input geometry on structured point dataset\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImplicitModeller is a filter that computes the distance from the input\n geometry to the points of an output structured point set. This distance\n function can then be \"contoured\" to generate new, offset surfaces from\n the original geometry. An important feature of this object is\n \"capping\". If capping is turned on, after the implicit model is created,\n the values on the boundary of the structur",
  (char*)"ed points dataset are set to\n the cap value. This is used to force closure of the resulting contoured\n surface. Note, however, that large cap values can generate weird surface\n normals in those cells adjacent to the boundary of the dataset. Using\n smaller cap value will reduce this effect.\n<P>\n Another important ivar is MaximumDistance. This controls how far into the\n volume the distance function ",
  (char*)"is computed from the input geometry.  Small\n values give significant increases in performance. However, there can\n strange sampling effects at the extreme range of the MaximumDistance.\n<P>\n In order to properly execute and sample the input data, a rectangular\n region in space must be defined (this is the ivar ModelBounds).  If not\n explicitly defined, the model bounds will be computed. Note that t",
  (char*)"o avoid\n boundary effects, it is possible to adjust the model bounds (i.e., using\n the AdjustBounds and AdjustDistance ivars) to strictly contain the\n sampled data.\n<P>\n This filter has one other unusual capability: it is possible to append\n data in a sequence of operations to generate a single output. This is\n useful when you have multiple datasets and want to create a\n conglomeration of all the ",
  (char*)"data.  However, the user must be careful to\n either specify the ModelBounds or specify the first item such that its\n bounds completely contain all other items.  This is because the \n rectangular region of the output can not be changed after the 1st Append.\n<P>\n The ProcessMode ivar controls the method used within the Append function\n (where the actual work is done regardless if the Append function",
  (char*)" is\n explicitly called) to compute the implicit model.  If set to work in voxel\n mode, each voxel is visited once.  If set to cell mode, each cell is visited\n once.  Tests have shown once per voxel to be faster when there are a \n lot of cells (at least a thousand?); relative performance improvement \n increases with addition cells. Primitives should not be stripped for best\n performance of the voxe",
  (char*)"l mode.  Also, if explicitly using the Append feature\n many times, the cell mode will probably be better because each voxel will be\n visited each Append.  Append the data before input if possible when using\n the voxel mode.  Do not switch between voxel and cell mode between execution\n of StartAppend and EndAppend.\n<P>\n Further performance improvement is now possible using the PerVoxel process\n mod",
  (char*)"e on multi-processor machines (the mode is now multithreaded).  Each\n thread processes a different \"slab\" of the output.  Also, if the input is \n vtkPolyData, it is appropriately clipped for each thread; that is, each \n thread only considers the input which could affect its slab of the output.\n<P>\n This filter can now produce output of any type supported by vtkImageData.  \n However to support this",
  (char*)" change, additional sqrts must be executed during the\n Append step.  Previously, the output was initialized to the squared CapValue \n in StartAppend, the output was updated with squared distance values during \n the Append, and then the sqrt of the distances was computed in EndAppend.  \n To support different scalar types in the output (largely to reduce memory \n requirements as an vtkImageShiftScal",
  (char*)"e and/or vtkImageCast could have \n achieved the same result), we can't \"afford\" to save squared value in the\n output, because then we could only represent up to the sqrt of the scalar\n max for an integer type in the output; 1 (instead of 255) for an unsigned\n char; 11 for a char (instead of 127).  Thus this change may result in a\n minor performance degradation.  Non-float output types can be scale",
  (char*)"d to the\n CapValue by turning ScaleToMaximumDistance On.\n\n\n",
  "See Also:\n\n vtkSampleFunction vtkContourFilter\n\n",
  NULL
};

static vtkObjectBase *vtkImplicitModellerStaticNew()
{
  return vtkImplicitModeller::New();
}

PyObject *PyVTKClass_vtkImplicitModellerNew(char *modulename)
{
  return PyVTKClass_New(&vtkImplicitModellerStaticNew,
                        PyvtkImplicitModellerMethods,
                        (char*)"vtkImplicitModeller",modulename,
                        (char**)vtkImplicitModellerDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

