// tcl wrapper for vtkImplicitModeller object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImplicitModeller.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkImplicitModellerNewCommand()
{
  vtkImplicitModeller *temp = vtkImplicitModeller::New();
  return ((ClientData)temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImplicitModellerCppCommand(vtkImplicitModeller *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImplicitModellerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImplicitModellerCppCommand((vtkImplicitModeller *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImplicitModellerCppCommand(vtkImplicitModeller *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImplicitModeller",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand((vtkImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkImageAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImplicitModeller  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImplicitModeller");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImplicitModeller  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImplicitModeller");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImplicitModeller  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImplicitModeller");
    return TCL_OK;
    }
  if ((!strcmp("ComputeModelBounds",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    temp20 = (op)->ComputeModelBounds(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSampleDimensions",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSampleDimensions();
    char tempResult[1024];
    sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSampleDimensions",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetSampleDimensions(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSampleDimensions",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetSampleDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumDistance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumDistanceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumDistanceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumDistanceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumDistance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumDistance();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetModelBounds",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetModelBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetModelBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModelBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetModelBounds();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAdjustBounds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAdjustBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAdjustBounds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAdjustBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AdjustBoundsOn",argv[1]))&&(argc == 2))
    {
    op->AdjustBoundsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AdjustBoundsOff",argv[1]))&&(argc == 2))
    {
    op->AdjustBoundsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAdjustDistance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAdjustDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAdjustDistanceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAdjustDistanceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAdjustDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAdjustDistanceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAdjustDistance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAdjustDistance();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCapping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCapping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCapping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCapping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CappingOn",argv[1]))&&(argc == 2))
    {
    op->CappingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CappingOff",argv[1]))&&(argc == 2))
    {
    op->CappingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCapValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCapValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCapValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCapValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleToMaximumDistance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScaleToMaximumDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleToMaximumDistance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScaleToMaximumDistance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScaleToMaximumDistanceOn",argv[1]))&&(argc == 2))
    {
    op->ScaleToMaximumDistanceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScaleToMaximumDistanceOff",argv[1]))&&(argc == 2))
    {
    op->ScaleToMaximumDistanceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProcessMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProcessMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProcessModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProcessModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProcessModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProcessModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProcessMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProcessMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetProcessModeToPerVoxel",argv[1]))&&(argc == 2))
    {
    op->SetProcessModeToPerVoxel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProcessModeToPerCell",argv[1]))&&(argc == 2))
    {
    op->SetProcessModeToPerCell();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetProcessModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetProcessModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLocatorMaxLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLocatorMaxLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLocatorMaxLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLocatorMaxLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfThreads",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfThreads(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfThreadsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThreadsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfThreadsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThreadsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfThreads",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThreads();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputScalarType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToInt",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedInt",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToLong",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedLong",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToShort",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedShort",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedChar",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToChar",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartAppend",argv[1]))&&(argc == 2))
    {
    op->StartAppend();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Append",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->Append(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EndAppend",argv[1]))&&(argc == 2))
    {
    op->EndAppend();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkImplicitModellerCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImplicitModeller:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  ComputeModelBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSampleDimensions\n",NULL);
    Tcl_AppendResult(interp,"  SetSampleDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSampleDimensions\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetModelBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetModelBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetModelBounds\n",NULL);
    Tcl_AppendResult(interp,"  SetAdjustBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAdjustBounds\n",NULL);
    Tcl_AppendResult(interp,"  AdjustBoundsOn\n",NULL);
    Tcl_AppendResult(interp,"  AdjustBoundsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAdjustDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAdjustDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAdjustDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAdjustDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetCapping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCapping\n",NULL);
    Tcl_AppendResult(interp,"  CappingOn\n",NULL);
    Tcl_AppendResult(interp,"  CappingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCapValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCapValue\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleToMaximumDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleToMaximumDistance\n",NULL);
    Tcl_AppendResult(interp,"  ScaleToMaximumDistanceOn\n",NULL);
    Tcl_AppendResult(interp,"  ScaleToMaximumDistanceOff\n",NULL);
    Tcl_AppendResult(interp,"  SetProcessMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessMode\n",NULL);
    Tcl_AppendResult(interp,"  SetProcessModeToPerVoxel\n",NULL);
    Tcl_AppendResult(interp,"  SetProcessModeToPerCell\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetLocatorMaxLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLocatorMaxLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfThreads\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThreadsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThreadsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThreads\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputScalarType\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToInt\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedInt\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToLong\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedLong\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToShort\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedShort\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedChar\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToChar\n",NULL);
    Tcl_AppendResult(interp,"  StartAppend\n",NULL);
    Tcl_AppendResult(interp,"  Append\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EndAppend\n",NULL);
    return TCL_OK;
    }

  if (vtkImageAlgorithmCppCommand((vtkImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
