// python wrapper for vtkIterativeClosestPointTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkIterativeClosestPointTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIterativeClosestPointTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIterativeClosestPointTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLinearTransformNew(char *); }

static PyObject *PyvtkIterativeClosestPointTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  const char    *temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  vtkIterativeClosestPointTransform  *temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkIterativeClosestPointTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkIterativeClosestPointTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_SetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::SetSource(temp0);
      }
    else
      {
      op->SetSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_SetTarget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::SetTarget(temp0);
      }
    else
      {
      op->SetTarget(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  vtkDataSet  *temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetSource();
      }
    else
      {
      temp20 = op->GetSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetTarget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  vtkDataSet  *temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetTarget();
      }
    else
      {
      temp20 = op->GetTarget();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  vtkCellLocator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCellLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCellLocator");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  vtkCellLocator  *temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_SetMaximumNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  int      temp0;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::SetMaximumNumberOfIterations(temp0);
      }
    else
      {
      op->SetMaximumNumberOfIterations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetMaximumNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  int      temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetMaximumNumberOfIterations();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  int      temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetNumberOfIterations();
      }
    else
      {
      temp20 = op->GetNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_SetCheckMeanDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  int      temp0;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::SetCheckMeanDistance(temp0);
      }
    else
      {
      op->SetCheckMeanDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetCheckMeanDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  int      temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetCheckMeanDistance();
      }
    else
      {
      temp20 = op->GetCheckMeanDistance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_CheckMeanDistanceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::CheckMeanDistanceOn();
      }
    else
      {
      op->CheckMeanDistanceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_CheckMeanDistanceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::CheckMeanDistanceOff();
      }
    else
      {
      op->CheckMeanDistanceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_SetMeanDistanceMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  int      temp0;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::SetMeanDistanceMode(temp0);
      }
    else
      {
      op->SetMeanDistanceMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetMeanDistanceModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  int      temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetMeanDistanceModeMinValue();
      }
    else
      {
      temp20 = op->GetMeanDistanceModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetMeanDistanceModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  int      temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetMeanDistanceModeMaxValue();
      }
    else
      {
      temp20 = op->GetMeanDistanceModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetMeanDistanceMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  int      temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetMeanDistanceMode();
      }
    else
      {
      temp20 = op->GetMeanDistanceMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_SetMeanDistanceModeToRMS(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::SetMeanDistanceModeToRMS();
      }
    else
      {
      op->SetMeanDistanceModeToRMS();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_SetMeanDistanceModeToAbsoluteValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::SetMeanDistanceModeToAbsoluteValue();
      }
    else
      {
      op->SetMeanDistanceModeToAbsoluteValue();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetMeanDistanceModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  const char    *temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetMeanDistanceModeAsString();
      }
    else
      {
      temp20 = op->GetMeanDistanceModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_SetMaximumMeanDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  double   temp0;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::SetMaximumMeanDistance(temp0);
      }
    else
      {
      op->SetMaximumMeanDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetMaximumMeanDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  double   temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetMaximumMeanDistance();
      }
    else
      {
      temp20 = op->GetMaximumMeanDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetMeanDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  double   temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetMeanDistance();
      }
    else
      {
      temp20 = op->GetMeanDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_SetMaximumNumberOfLandmarks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  int      temp0;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::SetMaximumNumberOfLandmarks(temp0);
      }
    else
      {
      op->SetMaximumNumberOfLandmarks(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetMaximumNumberOfLandmarks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  int      temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetMaximumNumberOfLandmarks();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfLandmarks();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_SetStartByMatchingCentroids(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  int      temp0;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::SetStartByMatchingCentroids(temp0);
      }
    else
      {
      op->SetStartByMatchingCentroids(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetStartByMatchingCentroids(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  int      temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetStartByMatchingCentroids();
      }
    else
      {
      temp20 = op->GetStartByMatchingCentroids();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_StartByMatchingCentroidsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::StartByMatchingCentroidsOn();
      }
    else
      {
      op->StartByMatchingCentroidsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_StartByMatchingCentroidsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::StartByMatchingCentroidsOff();
      }
    else
      {
      op->StartByMatchingCentroidsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_GetLandmarkTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  vtkLandmarkTransform  *temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::GetLandmarkTransform();
      }
    else
      {
      temp20 = op->GetLandmarkTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_Inverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkIterativeClosestPointTransform::Inverse();
      }
    else
      {
      op->Inverse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkIterativeClosestPointTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIterativeClosestPointTransform *op;

  vtkAbstractTransform  *temp20;
  if ((op = (vtkIterativeClosestPointTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIterativeClosestPointTransform::MakeTransform();
      }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkIterativeClosestPointTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkIterativeClosestPointTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkIterativeClosestPointTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIterativeClosestPointTransform\nC++: vtkIterativeClosestPointTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkIterativeClosestPointTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkIterativeClosestPointTransform\nC++: vtkIterativeClosestPointTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSource",                (PyCFunction)PyvtkIterativeClosestPointTransform_SetSource, 1,
   (char*)"V.SetSource(vtkDataSet)\nC++: void SetSource (vtkDataSet *source);\n\n Specify the source and target data sets.\n"},
  {(char*)"SetTarget",                (PyCFunction)PyvtkIterativeClosestPointTransform_SetTarget, 1,
   (char*)"V.SetTarget(vtkDataSet)\nC++: void SetTarget (vtkDataSet *target);\n\n Specify the source and target data sets.\n"},
  {(char*)"GetSource",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetSource, 1,
   (char*)"V.GetSource() -> vtkDataSet\nC++: vtkDataSet *GetSource ();\n\n Specify the source and target data sets.\n"},
  {(char*)"GetTarget",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetTarget, 1,
   (char*)"V.GetTarget() -> vtkDataSet\nC++: vtkDataSet *GetTarget ();\n\n Specify the source and target data sets.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkIterativeClosestPointTransform_SetLocator, 1,
   (char*)"V.SetLocator(vtkCellLocator)\nC++: void SetLocator (vtkCellLocator *locator);\n\n Set/Get a spatial locator for speeding up the search process. \n An instance of vtkCellLocator is used by default.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkCellLocator\nC++: vtkCellLocator *GetLocator ();\n\n Set/Get a spatial locator for speeding up the search process. \n An instance of vtkCellLocator is used by default.\n"},
  {(char*)"SetMaximumNumberOfIterations",                (PyCFunction)PyvtkIterativeClosestPointTransform_SetMaximumNumberOfIterations, 1,
   (char*)"V.SetMaximumNumberOfIterations(int)\nC++: void SetMaximumNumberOfIterations (int );\n\n Set/Get the  maximum number of iterations\n"},
  {(char*)"GetMaximumNumberOfIterations",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetMaximumNumberOfIterations, 1,
   (char*)"V.GetMaximumNumberOfIterations() -> int\nC++: int GetMaximumNumberOfIterations ();\n\n Set/Get the  maximum number of iterations\n"},
  {(char*)"GetNumberOfIterations",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetNumberOfIterations, 1,
   (char*)"V.GetNumberOfIterations() -> int\nC++: int GetNumberOfIterations ();\n\n Get the number of iterations since the last update\n"},
  {(char*)"SetCheckMeanDistance",                (PyCFunction)PyvtkIterativeClosestPointTransform_SetCheckMeanDistance, 1,
   (char*)"V.SetCheckMeanDistance(int)\nC++: void SetCheckMeanDistance (int );\n\n Force the algorithm to check the mean distance between two iteration.\n"},
  {(char*)"GetCheckMeanDistance",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetCheckMeanDistance, 1,
   (char*)"V.GetCheckMeanDistance() -> int\nC++: int GetCheckMeanDistance ();\n\n Force the algorithm to check the mean distance between two iteration.\n"},
  {(char*)"CheckMeanDistanceOn",                (PyCFunction)PyvtkIterativeClosestPointTransform_CheckMeanDistanceOn, 1,
   (char*)"V.CheckMeanDistanceOn()\nC++: void CheckMeanDistanceOn ();\n\n Force the algorithm to check the mean distance between two iteration.\n"},
  {(char*)"CheckMeanDistanceOff",                (PyCFunction)PyvtkIterativeClosestPointTransform_CheckMeanDistanceOff, 1,
   (char*)"V.CheckMeanDistanceOff()\nC++: void CheckMeanDistanceOff ();\n\n Force the algorithm to check the mean distance between two iteration.\n"},
  {(char*)"SetMeanDistanceMode",                (PyCFunction)PyvtkIterativeClosestPointTransform_SetMeanDistanceMode, 1,
   (char*)"V.SetMeanDistanceMode(int)\nC++: void SetMeanDistanceMode (int );\n\n Specify the mean distance mode. This mode expresses how the mean \n distance is computed. The RMS mode is the square root of the average\n of the sum of squares of the closest point distances. The Absolute\n Value mode is the mean of the sum of absolute values of the closest\n point distances.\n"},
  {(char*)"GetMeanDistanceModeMinValue",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetMeanDistanceModeMinValue, 1,
   (char*)"V.GetMeanDistanceModeMinValue() -> int\nC++: int GetMeanDistanceModeMinValue ();\n\n Specify the mean distance mode. This mode expresses how the mean \n distance is computed. The RMS mode is the square root of the average\n of the sum of squares of the closest point distances. The Absolute\n Value mode is the mean of the sum of absolute values of the closest\n point distances.\n"},
  {(char*)"GetMeanDistanceModeMaxValue",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetMeanDistanceModeMaxValue, 1,
   (char*)"V.GetMeanDistanceModeMaxValue() -> int\nC++: int GetMeanDistanceModeMaxValue ();\n\n Specify the mean distance mode. This mode expresses how the mean \n distance is computed. The RMS mode is the square root of the average\n of the sum of squares of the closest point distances. The Absolute\n Value mode is the mean of the sum of absolute values of the closest\n point distances.\n"},
  {(char*)"GetMeanDistanceMode",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetMeanDistanceMode, 1,
   (char*)"V.GetMeanDistanceMode() -> int\nC++: int GetMeanDistanceMode ();\n\n Specify the mean distance mode. This mode expresses how the mean \n distance is computed. The RMS mode is the square root of the average\n of the sum of squares of the closest point distances. The Absolute\n Value mode is the mean of the sum of absolute values of the closest\n point distances.\n"},
  {(char*)"SetMeanDistanceModeToRMS",                (PyCFunction)PyvtkIterativeClosestPointTransform_SetMeanDistanceModeToRMS, 1,
   (char*)"V.SetMeanDistanceModeToRMS()\nC++: void SetMeanDistanceModeToRMS ();this SetMeanDistanceMode VTK_ICP_MODE_RMS \n\n Specify the mean distance mode. This mode expresses how the mean \n distance is computed. The RMS mode is the square root of the average\n of the sum of squares of the closest point distances. The Absolute\n Value mode is the mean of the sum of absolute values of the closest\n point distances.\n"},
  {(char*)"SetMeanDistanceModeToAbsoluteValue",                (PyCFunction)PyvtkIterativeClosestPointTransform_SetMeanDistanceModeToAbsoluteValue, 1,
   (char*)"V.SetMeanDistanceModeToAbsoluteValue()\nC++: void SetMeanDistanceModeToAbsoluteValue ();this SetMeanDistanceMode VTK_ICP_MODE_AV \n\n Specify the mean distance mode. This mode expresses how the mean \n distance is computed. The RMS mode is the square root of the average\n of the sum of squares of the closest point distances. The Absolute\n Value mode is the mean of the sum of absolute values of the closest\n point distances.\n"},
  {(char*)"GetMeanDistanceModeAsString",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetMeanDistanceModeAsString, 1,
   (char*)"V.GetMeanDistanceModeAsString() -> string\nC++: const char *GetMeanDistanceModeAsString ();\n\n Specify the mean distance mode. This mode expresses how the mean \n distance is computed. The RMS mode is the square root of the average\n of the sum of squares of the closest point distances. The Absolute\n Value mode is the mean of the sum of absolute values of the closest\n point distances.\n"},
  {(char*)"SetMaximumMeanDistance",                (PyCFunction)PyvtkIterativeClosestPointTransform_SetMaximumMeanDistance, 1,
   (char*)"V.SetMaximumMeanDistance(float)\nC++: void SetMaximumMeanDistance (double );\n\n Set/Get the maximum mean distance between two iteration. If the mean\n distance is lower than this, the convergence stops.\n"},
  {(char*)"GetMaximumMeanDistance",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetMaximumMeanDistance, 1,
   (char*)"V.GetMaximumMeanDistance() -> float\nC++: double GetMaximumMeanDistance ();\n\n Set/Get the maximum mean distance between two iteration. If the mean\n distance is lower than this, the convergence stops.\n"},
  {(char*)"GetMeanDistance",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetMeanDistance, 1,
   (char*)"V.GetMeanDistance() -> float\nC++: double GetMeanDistance ();\n\n Get the mean distance between the last two iterations.\n"},
  {(char*)"SetMaximumNumberOfLandmarks",                (PyCFunction)PyvtkIterativeClosestPointTransform_SetMaximumNumberOfLandmarks, 1,
   (char*)"V.SetMaximumNumberOfLandmarks(int)\nC++: void SetMaximumNumberOfLandmarks (int );\n\n Set/Get the maximum number of landmarks sampled in your dataset.\n If your dataset is dense, then you will typically not need all the \n points to compute the ICP transform. \n"},
  {(char*)"GetMaximumNumberOfLandmarks",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetMaximumNumberOfLandmarks, 1,
   (char*)"V.GetMaximumNumberOfLandmarks() -> int\nC++: int GetMaximumNumberOfLandmarks ();\n\n Set/Get the maximum number of landmarks sampled in your dataset.\n If your dataset is dense, then you will typically not need all the \n points to compute the ICP transform. \n"},
  {(char*)"SetStartByMatchingCentroids",                (PyCFunction)PyvtkIterativeClosestPointTransform_SetStartByMatchingCentroids, 1,
   (char*)"V.SetStartByMatchingCentroids(int)\nC++: void SetStartByMatchingCentroids (int );\n\n Starts the process by translating source centroid to target centroid.\n"},
  {(char*)"GetStartByMatchingCentroids",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetStartByMatchingCentroids, 1,
   (char*)"V.GetStartByMatchingCentroids() -> int\nC++: int GetStartByMatchingCentroids ();\n\n Starts the process by translating source centroid to target centroid.\n"},
  {(char*)"StartByMatchingCentroidsOn",                (PyCFunction)PyvtkIterativeClosestPointTransform_StartByMatchingCentroidsOn, 1,
   (char*)"V.StartByMatchingCentroidsOn()\nC++: void StartByMatchingCentroidsOn ();\n\n Starts the process by translating source centroid to target centroid.\n"},
  {(char*)"StartByMatchingCentroidsOff",                (PyCFunction)PyvtkIterativeClosestPointTransform_StartByMatchingCentroidsOff, 1,
   (char*)"V.StartByMatchingCentroidsOff()\nC++: void StartByMatchingCentroidsOff ();\n\n Starts the process by translating source centroid to target centroid.\n"},
  {(char*)"GetLandmarkTransform",                (PyCFunction)PyvtkIterativeClosestPointTransform_GetLandmarkTransform, 1,
   (char*)"V.GetLandmarkTransform() -> vtkLandmarkTransform\nC++: vtkLandmarkTransform *GetLandmarkTransform ();\n\n Get the internal landmark transform. Use it to constrain the number of\n degrees of freedom of the solution (i.e. rigid body, similarity, etc.).\n"},
  {(char*)"Inverse",                (PyCFunction)PyvtkIterativeClosestPointTransform_Inverse, 1,
   (char*)"V.Inverse()\nC++: void Inverse ();\n\n Invert the transformation.  This is done by switching the\n source and target.\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkIterativeClosestPointTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *MakeTransform ();\n\n Make another transform of the same type.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkIterativeClosestPointTransformDoc[] = {
  (char*)"vtkIterativeClosestPointTransform - Implementation of the ICP algorithm.\n\n",
  "Super Class:\n\n vtkLinearTransform\n\n",
  (char*)" Match two surfaces using the iterative closest point (ICP) algorithm.\n The core of the algorithm is to match each vertex in one surface with \n the closest surface point on the other, then apply the transformation\n that modify one surface to best match the other (in a least square sense).\n This has to be iterated to get proper convergence of the surfaces.\n .SECTION Note\n Use vtkTransformPolyDataFi",
  (char*)"lter to apply the resulting ICP transform to \n your data. You might also set it to your actor's user transform.\n .SECTION Note\n This class makes use of vtkLandmarkTransform internally to compute the\n best fit. Use the GetLandmarkTransform member to get a pointer to that\n transform and set its parameters. You might, for example, constrain the\n number of degrees of freedom of the solution (i.e. rigi",
  (char*)"d body, similarity,\n etc.) by checking the vtkLandmarkTransform documentation for its SetMode\n member.\n\n",
  "See Also:\n\n vtkLandmarkTransform\n\n",
  NULL
};

static vtkObjectBase *vtkIterativeClosestPointTransformStaticNew()
{
  return vtkIterativeClosestPointTransform::New();
}

PyObject *PyVTKClass_vtkIterativeClosestPointTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkIterativeClosestPointTransformStaticNew,
                        PyvtkIterativeClosestPointTransformMethods,
                        (char*)"vtkIterativeClosestPointTransform",modulename,
                        (char**)vtkIterativeClosestPointTransformDoc,
                        PyVTKClass_vtkLinearTransformNew(modulename));
}

