// python wrapper for vtkLandmarkTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkLandmarkTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLandmarkTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLandmarkTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLinearTransformNew(char *); }

static PyObject *PyvtkLandmarkTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  const char    *temp20;
  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLandmarkTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLandmarkTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  vtkLandmarkTransform  *temp20;
  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLandmarkTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLandmarkTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLandmarkTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_SetSourceLandmarks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkLandmarkTransform::SetSourceLandmarks(temp0);
      }
    else
      {
      op->SetSourceLandmarks(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_SetTargetLandmarks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkLandmarkTransform::SetTargetLandmarks(temp0);
      }
    else
      {
      op->SetTargetLandmarks(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_GetSourceLandmarks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  vtkPoints  *temp20;
  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLandmarkTransform::GetSourceLandmarks();
      }
    else
      {
      temp20 = op->GetSourceLandmarks();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_GetTargetLandmarks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  vtkPoints  *temp20;
  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLandmarkTransform::GetTargetLandmarks();
      }
    else
      {
      temp20 = op->GetTargetLandmarks();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_SetMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  int      temp0;
  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLandmarkTransform::SetMode(temp0);
      }
    else
      {
      op->SetMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_SetModeToRigidBody(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLandmarkTransform::SetModeToRigidBody();
      }
    else
      {
      op->SetModeToRigidBody();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_SetModeToSimilarity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLandmarkTransform::SetModeToSimilarity();
      }
    else
      {
      op->SetModeToSimilarity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_SetModeToAffine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLandmarkTransform::SetModeToAffine();
      }
    else
      {
      op->SetModeToAffine();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_GetMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  int      temp20;
  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLandmarkTransform::GetMode();
      }
    else
      {
      temp20 = op->GetMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_GetModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  const char    *temp20;
  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLandmarkTransform::GetModeAsString();
      }
    else
      {
      temp20 = op->GetModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_Inverse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLandmarkTransform::Inverse();
      }
    else
      {
      op->Inverse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  unsigned long     temp20;
  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLandmarkTransform::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLandmarkTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLandmarkTransform *op;

  vtkAbstractTransform  *temp20;
  if ((op = (vtkLandmarkTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLandmarkTransform::MakeTransform();
      }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLandmarkTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLandmarkTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLandmarkTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLandmarkTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLandmarkTransform\nC++: vtkLandmarkTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLandmarkTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLandmarkTransform\nC++: vtkLandmarkTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSourceLandmarks",                (PyCFunction)PyvtkLandmarkTransform_SetSourceLandmarks, 1,
   (char*)"V.SetSourceLandmarks(vtkPoints)\nC++: void SetSourceLandmarks (vtkPoints *points);\n\n Specify the source and target landmark sets. The two sets must have \n the same number of points.  If you add or change points in these objects,\n you must call Modified() on them or the transformation might not update.\n"},
  {(char*)"SetTargetLandmarks",                (PyCFunction)PyvtkLandmarkTransform_SetTargetLandmarks, 1,
   (char*)"V.SetTargetLandmarks(vtkPoints)\nC++: void SetTargetLandmarks (vtkPoints *points);\n\n Specify the source and target landmark sets. The two sets must have \n the same number of points.  If you add or change points in these objects,\n you must call Modified() on them or the transformation might not update.\n"},
  {(char*)"GetSourceLandmarks",                (PyCFunction)PyvtkLandmarkTransform_GetSourceLandmarks, 1,
   (char*)"V.GetSourceLandmarks() -> vtkPoints\nC++: vtkPoints *GetSourceLandmarks ();\n\n Specify the source and target landmark sets. The two sets must have \n the same number of points.  If you add or change points in these objects,\n you must call Modified() on them or the transformation might not update.\n"},
  {(char*)"GetTargetLandmarks",                (PyCFunction)PyvtkLandmarkTransform_GetTargetLandmarks, 1,
   (char*)"V.GetTargetLandmarks() -> vtkPoints\nC++: vtkPoints *GetTargetLandmarks ();\n\n Specify the source and target landmark sets. The two sets must have \n the same number of points.  If you add or change points in these objects,\n you must call Modified() on them or the transformation might not update.\n"},
  {(char*)"SetMode",                (PyCFunction)PyvtkLandmarkTransform_SetMode, 1,
   (char*)"V.SetMode(int)\nC++: void SetMode (int );\n\n Set the number of degrees of freedom to constrain the solution to.\n Rigidbody: rotation and translation only.  \n Similarity: rotation, translation and isotropic scaling.\n The default is similarity.\n"},
  {(char*)"SetModeToRigidBody",                (PyCFunction)PyvtkLandmarkTransform_SetModeToRigidBody, 1,
   (char*)"V.SetModeToRigidBody()\nC++: void SetModeToRigidBody ();this SetMode VTK_LANDMARK_RIGIDBODY \n\n Set the number of degrees of freedom to constrain the solution to.\n Rigidbody: rotation and translation only.  \n Similarity: rotation, translation and isotropic scaling.\n The default is similarity.\n"},
  {(char*)"SetModeToSimilarity",                (PyCFunction)PyvtkLandmarkTransform_SetModeToSimilarity, 1,
   (char*)"V.SetModeToSimilarity()\nC++: void SetModeToSimilarity ();this SetMode VTK_LANDMARK_SIMILARITY \n\n Set the number of degrees of freedom to constrain the solution to.\n Rigidbody: rotation and translation only.  \n Similarity: rotation, translation and isotropic scaling.\n The default is similarity.\n"},
  {(char*)"SetModeToAffine",                (PyCFunction)PyvtkLandmarkTransform_SetModeToAffine, 1,
   (char*)"V.SetModeToAffine()\nC++: void SetModeToAffine ();this SetMode VTK_LANDMARK_AFFINE \n\n Set the number of degrees of freedom to constrain the solution to.\n Rigidbody: rotation and translation only.  \n Similarity: rotation, translation and isotropic scaling.\n The default is similarity.\n"},
  {(char*)"GetMode",                (PyCFunction)PyvtkLandmarkTransform_GetMode, 1,
   (char*)"V.GetMode() -> int\nC++: int GetMode ();\n\n Set the number of degrees of freedom to constrain the solution to.\n Rigidbody: rotation and translation only.  \n Similarity: rotation, translation and isotropic scaling.\n The default is similarity.\n"},
  {(char*)"GetModeAsString",                (PyCFunction)PyvtkLandmarkTransform_GetModeAsString, 1,
   (char*)"V.GetModeAsString() -> string\nC++: const char *GetModeAsString ();\n\n Set the number of degrees of freedom to constrain the solution to.\n Rigidbody: rotation and translation only.  \n Similarity: rotation, translation and isotropic scaling.\n The default is similarity.\n"},
  {(char*)"Inverse",                (PyCFunction)PyvtkLandmarkTransform_Inverse, 1,
   (char*)"V.Inverse()\nC++: void Inverse ();\n\n Invert the transformation.  This is done by switching the\n source and target landmarks.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkLandmarkTransform_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the MTime.\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkLandmarkTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *MakeTransform ();\n\n Make another transform of the same type.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLandmarkTransformDoc[] = {
  (char*)"vtkLandmarkTransform - a linear transform specified by two corresponding point sets\n\n",
  "Super Class:\n\n vtkLinearTransform\n\n",
  (char*)" A vtkLandmarkTransform is defined by two sets of landmarks, the \n transform computed gives the best fit mapping one onto the other, in a \n least squares sense. The indices are taken to correspond, so point 1 \n in the first set will get mapped close to point 1 in the second set, \n etc. Call SetSourceLandmarks and SetTargetLandmarks to specify the two\n sets of landmarks, ensure they have the same n",
  (char*)"umber of points.\n\n",
  "Caveats:\n\n Whenever you add, subtract, or set points you must call Modified()\n on the vtkPoints object, or the transformation might not update.\n\n",
  "See Also:\n\n vtkLinearTransform\n\n",
  NULL
};

static vtkObjectBase *vtkLandmarkTransformStaticNew()
{
  return vtkLandmarkTransform::New();
}

PyObject *PyVTKClass_vtkLandmarkTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkLandmarkTransformStaticNew,
                        PyvtkLandmarkTransformMethods,
                        (char*)"vtkLandmarkTransform",modulename,
                        (char**)vtkLandmarkTransformDoc,
                        PyVTKClass_vtkLinearTransformNew(modulename));
}

