// python wrapper for vtkPCAAnalysisFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPCAAnalysisFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPCAAnalysisFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPCAAnalysisFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetAlgorithmNew(char *); }

static PyObject *PyvtkPCAAnalysisFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAAnalysisFilter *op;

  const char    *temp20;
  if ((op = (vtkPCAAnalysisFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAAnalysisFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAAnalysisFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAAnalysisFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPCAAnalysisFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAAnalysisFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAAnalysisFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAAnalysisFilter *op;

  vtkPCAAnalysisFilter  *temp20;
  if ((op = (vtkPCAAnalysisFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAAnalysisFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAAnalysisFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPCAAnalysisFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPCAAnalysisFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPCAAnalysisFilter_GetEvals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAAnalysisFilter *op;

  vtkFloatArray  *temp20;
  if ((op = (vtkPCAAnalysisFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAAnalysisFilter::GetEvals();
      }
    else
      {
      temp20 = op->GetEvals();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAAnalysisFilter_SetNumberOfInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAAnalysisFilter *op;

  int      temp0;
  if ((op = (vtkPCAAnalysisFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCAAnalysisFilter::SetNumberOfInputs(temp0);
      }
    else
      {
      op->SetNumberOfInputs(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAAnalysisFilter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAAnalysisFilter *op;

  int      temp0;
  vtkPointSet  *temp1;
  PyObject *tempH1;
  if ((op = (vtkPCAAnalysisFilter *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkPointSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPointSet");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkPCAAnalysisFilter::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkPCAAnalysisFilter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAAnalysisFilter *op;

  int      temp0;
  vtkPointSet  *temp20;
  if ((op = (vtkPCAAnalysisFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAAnalysisFilter::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCAAnalysisFilter_GetParameterisedShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAAnalysisFilter *op;

  vtkFloatArray  *temp0;
  PyObject *tempH0;
  vtkPointSet  *temp1;
  PyObject *tempH1;
  if ((op = (vtkPCAAnalysisFilter *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFloatArray");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkPointSet *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPointSet");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkPCAAnalysisFilter::GetParameterisedShape(temp0,temp1);
      }
    else
      {
      op->GetParameterisedShape(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkPCAAnalysisFilter_GetShapeParameters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAAnalysisFilter *op;

  vtkPointSet  *temp0;
  PyObject *tempH0;
  vtkFloatArray  *temp1;
  PyObject *tempH1;
  int      temp2;
  if ((op = (vtkPCAAnalysisFilter *)PyArg_VTKParseTuple(self, args, (char*)"OOi", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkPointSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointSet");
    if (!temp0 && tempH0 != Py_None) goto break9;
    temp1 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkFloatArray");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkPCAAnalysisFilter::GetShapeParameters(temp0,temp1,temp2);
      }
    else
      {
      op->GetShapeParameters(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkPCAAnalysisFilter_GetModesRequiredFor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCAAnalysisFilter *op;

  double   temp0;
  int      temp20;
  if ((op = (vtkPCAAnalysisFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCAAnalysisFilter::GetModesRequiredFor(temp0);
      }
    else
      {
      temp20 = op->GetModesRequiredFor(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPCAAnalysisFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPCAAnalysisFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPCAAnalysisFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPCAAnalysisFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPCAAnalysisFilter\nC++: vtkPCAAnalysisFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPCAAnalysisFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPCAAnalysisFilter\nC++: vtkPCAAnalysisFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetEvals",                (PyCFunction)PyvtkPCAAnalysisFilter_GetEvals, 1,
   (char*)"V.GetEvals() -> vtkFloatArray\nC++: vtkFloatArray *GetEvals ();\n\n Get the vector of eigenvalues sorted in descending order\n"},
  {(char*)"SetNumberOfInputs",                (PyCFunction)PyvtkPCAAnalysisFilter_SetNumberOfInputs, 1,
   (char*)"V.SetNumberOfInputs(int)\nC++: void SetNumberOfInputs (int n);\n\n Specify how many pointsets are going to be given as input.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkPCAAnalysisFilter_SetInput, 1,
   (char*)"V.SetInput(int, vtkPointSet)\nC++: void SetInput (int idx, vtkPointSet *p);\n\n Specify the input pointset with index idx.\n Call SetNumberOfInputs before calling this function.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkPCAAnalysisFilter_GetInput, 1,
   (char*)"V.GetInput(int) -> vtkPointSet\nC++: vtkPointSet *GetInput (int idx);\n\n Retrieve the input with index idx (usually only used for pipeline\n tracing).\n"},
  {(char*)"GetParameterisedShape",                (PyCFunction)PyvtkPCAAnalysisFilter_GetParameterisedShape, 1,
   (char*)"V.GetParameterisedShape(vtkFloatArray, vtkPointSet)\nC++: void GetParameterisedShape (vtkFloatArray *b, vtkPointSet *shape);\n\n Fills the shape with:\n\n mean + b[0] * sqrt(eigenvalue[0]) * eigenvector[0]\n      + b[1] * sqrt(eigenvalue[1]) * eigenvector[1]\n ...\n      + b[sizeb-1] * sqrt(eigenvalue[bsize-1]) * eigenvector[bsize-1]\n\n here b are the parameters expressed in standard deviations\n bsize is the number of parameters in the b vector\n This function assumes that shape is allready allocated\n with the right size, it just moves the points.\n"},
  {(char*)"GetShapeParameters",                (PyCFunction)PyvtkPCAAnalysisFilter_GetShapeParameters, 1,
   (char*)"V.GetShapeParameters(vtkPointSet, vtkFloatArray, int)\nC++: void GetShapeParameters (vtkPointSet *shape, vtkFloatArray *b, int bsize);\n\n Return the bsize parameters b that best model the given shape\n (in standard deviations). \n That is that the given shape will be approximated by:\n\n shape ~ mean + b[0] * sqrt(eigenvalue[0]) * eigenvector[0]\n              + b[1] * sqrt(eigenvalue[1]) * eigenvector[1]\n         ...\n              + b[bsize-1] * sqrt(eigenvalue[bsize-1]) * eigenvector[bsize-1]\n"},
  {(char*)"GetModesRequiredFor",                (PyCFunction)PyvtkPCAAnalysisFilter_GetModesRequiredFor, 1,
   (char*)"V.GetModesRequiredFor(float) -> int\nC++: int GetModesRequiredFor (double proportion);\n\n Retrieve how many modes are necessary to model the given proportion of the variation.\n proportion should be between 0 and 1\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPCAAnalysisFilterDoc[] = {
  (char*)"vtkPCAAnalysisFilter - Performs principal component analysis of a set of aligned pointsets\n\n",
  "Super Class:\n\n vtkPointSetAlgorithm\n\n",
  (char*)"\n vtkPCAAnalysisFilter is a filter that takes as input a set of aligned\n pointsets (any object derived from vtkPointSet) and performs\n a principal component analysis of the coordinates. \n This can be used to visualise the major or minor modes of variation\n seen in a set of similar biological objects with corresponding\n landmarks.\n vtkPCAAnalysisFilter is designed to work with the output from\n the ",
  (char*)"vtkProcrustesAnalysisFilter\n \n Call SetNumberOfInputs(n) before calling SetInput(0) ... SetInput(n-1).\n Retrieve the outputs using GetOutput(0) ... GetOutput(n-1).\n\n vtkPCAAnalysisFilter is an implementation of (for example):\n\n T. Cootes et al. : Active Shape Models - their training and application.\n Computer Vision and Image Understanding, 61(1):38-59, 1995.\n\n The material can also be found in Ti",
  (char*)"m Cootes' ever-changing online report\n published at his website:\n http://www.isbe.man.ac.uk/~bim/\n\n\n",
  "Caveats:\n\n All of the input pointsets must have the same number of points.\n\n .SECTION Thanks\n Rasmus Paulsen and Tim Hutton who developed and contributed this class\n\n\n",
  "See Also:\n\n vtkProcrustesAlignmentFilter\n\n",
  NULL
};

static vtkObjectBase *vtkPCAAnalysisFilterStaticNew()
{
  return vtkPCAAnalysisFilter::New();
}

PyObject *PyVTKClass_vtkPCAAnalysisFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPCAAnalysisFilterStaticNew,
                        PyvtkPCAAnalysisFilterMethods,
                        (char*)"vtkPCAAnalysisFilter",modulename,
                        (char**)vtkPCAAnalysisFilterDoc,
                        PyVTKClass_vtkPointSetAlgorithmNew(modulename));
}

