// python wrapper for vtkPolyDataToImageStencil object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPolyDataToImageStencil.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataToImageStencilNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataToImageStencilNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageStencilSourceNew(char *); }

static PyObject *PyvtkPolyDataToImageStencil_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  const char    *temp20;
  if ((op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  vtkPolyDataToImageStencil  *temp20;
  if ((op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolyDataToImageStencil  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolyDataToImageStencil::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataToImageStencil::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  vtkPolyData  *temp20;
  if ((op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  double   temp0;
  if ((op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataToImageStencil::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataToImageStencil_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataToImageStencil *op;

  double   temp20;
  if ((op = (vtkPolyDataToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataToImageStencil::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolyDataToImageStencilMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataToImageStencil_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataToImageStencil_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataToImageStencil_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataToImageStencil\nC++: vtkPolyDataToImageStencil *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolyDataToImageStencil_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolyDataToImageStencil\nC++: vtkPolyDataToImageStencil *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkPolyDataToImageStencil_SetInput, 1,
   (char*)"V.SetInput(vtkPolyData)\nC++: void SetInput (vtkPolyData *input);\n\n Specify the polydata to convert into a stencil.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkPolyDataToImageStencil_GetInput, 1,
   (char*)"V.GetInput() -> vtkPolyData\nC++: vtkPolyData *GetInput ();\n\n Specify the polydata to convert into a stencil.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkPolyDataToImageStencil_SetTolerance, 1,
   (char*)"V.SetTolerance(float)\nC++: void SetTolerance (double );\n\n Set the tolerance for doing spatial searches of the polydata.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkPolyDataToImageStencil_GetTolerance, 1,
   (char*)"V.GetTolerance() -> float\nC++: double GetTolerance ();\n\n Set the tolerance for doing spatial searches of the polydata.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataToImageStencilDoc[] = {
  (char*)"vtkPolyDataToImageStencil - clip an image with polydata\n\n",
  "Super Class:\n\n vtkImageStencilSource\n\n",
  (char*)" vtkPolyDataToImageStencil will convert a vtkPolyData into an image\n that can be used with vtkImageStencil or other vtk classes that apply\n a stencil to an image.\n\n",
  "See Also:\n\n vtkPolyData vtkImageStencil vtkImplicitFunctionToImageStencil\n\n",
  NULL
};

static vtkObjectBase *vtkPolyDataToImageStencilStaticNew()
{
  return vtkPolyDataToImageStencil::New();
}

PyObject *PyVTKClass_vtkPolyDataToImageStencilNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolyDataToImageStencilStaticNew,
                        PyvtkPolyDataToImageStencilMethods,
                        (char*)"vtkPolyDataToImageStencil",modulename,
                        (char**)vtkPolyDataToImageStencilDoc,
                        PyVTKClass_vtkImageStencilSourceNew(modulename));
}

