// python wrapper for vtkRIBLight object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkRIBLight.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRIBLightNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRIBLightNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLightNew(char *); }

static PyObject *PyvtkRIBLight_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBLight *op;

  const char    *temp20;
  if ((op = (vtkRIBLight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBLight::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBLight_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBLight *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkRIBLight *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBLight::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBLight_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBLight *op;

  vtkRIBLight  *temp20;
  if ((op = (vtkRIBLight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBLight::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBLight_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRIBLight  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRIBLight::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRIBLight_ShadowsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBLight *op;

  if ((op = (vtkRIBLight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBLight::ShadowsOn();
      }
    else
      {
      op->ShadowsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBLight_ShadowsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBLight *op;

  if ((op = (vtkRIBLight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBLight::ShadowsOff();
      }
    else
      {
      op->ShadowsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBLight_SetShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBLight *op;

  int      temp0;
  if ((op = (vtkRIBLight *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBLight::SetShadows(temp0);
      }
    else
      {
      op->SetShadows(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBLight_GetShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBLight *op;

  int      temp20;
  if ((op = (vtkRIBLight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRIBLight::GetShadows();
      }
    else
      {
      temp20 = op->GetShadows();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRIBLight_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRIBLight *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  int      temp1;
  if ((op = (vtkRIBLight *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkRIBLight::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}

static PyMethodDef PyvtkRIBLightMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRIBLight_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRIBLight_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRIBLight_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRIBLight\nC++: vtkRIBLight *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRIBLight_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRIBLight\nC++: vtkRIBLight *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ShadowsOn",                (PyCFunction)PyvtkRIBLight_ShadowsOn, 1,
   (char*)"V.ShadowsOn()\nC++: void ShadowsOn ();\n\n"},
  {(char*)"ShadowsOff",                (PyCFunction)PyvtkRIBLight_ShadowsOff, 1,
   (char*)"V.ShadowsOff()\nC++: void ShadowsOff ();\n\n"},
  {(char*)"SetShadows",                (PyCFunction)PyvtkRIBLight_SetShadows, 1,
   (char*)"V.SetShadows(int)\nC++: void SetShadows (int );\n\n"},
  {(char*)"GetShadows",                (PyCFunction)PyvtkRIBLight_GetShadows, 1,
   (char*)"V.GetShadows() -> int\nC++: int GetShadows ();\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkRIBLight_Render, 1,
   (char*)"V.Render(vtkRenderer, int)\nC++: void Render (vtkRenderer *ren, int index);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRIBLightDoc[] = {
  (char*)"vtkRIBLight - RIP Light\n\n",
  "Super Class:\n\n vtkLight\n\n",
  (char*)" vtkRIBLight is a subclass of vtkLight that allows the user to\n specify light source shaders and shadow casting lights for use with RenderMan.\n\n\n",
  "See Also:\n\n vtkRIBExporter\n\n",
  NULL
};

static vtkObjectBase *vtkRIBLightStaticNew()
{
  return vtkRIBLight::New();
}

PyObject *PyVTKClass_vtkRIBLightNew(char *modulename)
{
  return PyVTKClass_New(&vtkRIBLightStaticNew,
                        PyvtkRIBLightMethods,
                        (char*)"vtkRIBLight",modulename,
                        (char**)vtkRIBLightDoc,
                        PyVTKClass_vtkLightNew(modulename));
}

