// python wrapper for vtkRenderLargeImage object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkRenderLargeImage.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderLargeImageNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderLargeImageNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkRenderLargeImage_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderLargeImage *op;

  const char    *temp20;
  if ((op = (vtkRenderLargeImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderLargeImage::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderLargeImage_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderLargeImage *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkRenderLargeImage *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderLargeImage::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderLargeImage_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderLargeImage *op;

  vtkRenderLargeImage  *temp20;
  if ((op = (vtkRenderLargeImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderLargeImage::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderLargeImage_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRenderLargeImage  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRenderLargeImage::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRenderLargeImage_SetMagnification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderLargeImage *op;

  int      temp0;
  if ((op = (vtkRenderLargeImage *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderLargeImage::SetMagnification(temp0);
      }
    else
      {
      op->SetMagnification(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderLargeImage_GetMagnification(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderLargeImage *op;

  int      temp20;
  if ((op = (vtkRenderLargeImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderLargeImage::GetMagnification();
      }
    else
      {
      temp20 = op->GetMagnification();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderLargeImage_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderLargeImage *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRenderLargeImage *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderLargeImage::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkRenderLargeImage_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderLargeImage *op;

  vtkRenderer  *temp20;
  if ((op = (vtkRenderLargeImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderLargeImage::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderLargeImage_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderLargeImage *op;

  vtkImageData  *temp20;
  if ((op = (vtkRenderLargeImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderLargeImage::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRenderLargeImageMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderLargeImage_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderLargeImage_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderLargeImage_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderLargeImage\nC++: vtkRenderLargeImage *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRenderLargeImage_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderLargeImage\nC++: vtkRenderLargeImage *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMagnification",                (PyCFunction)PyvtkRenderLargeImage_SetMagnification, 1,
   (char*)"V.SetMagnification(int)\nC++: void SetMagnification (int );\n\n The magnification of the current render window\n"},
  {(char*)"GetMagnification",                (PyCFunction)PyvtkRenderLargeImage_GetMagnification, 1,
   (char*)"V.GetMagnification() -> int\nC++: int GetMagnification ();\n\n The magnification of the current render window\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkRenderLargeImage_SetInput, 1,
   (char*)"V.SetInput(vtkRenderer)\nC++: virtual void SetInput (vtkRenderer *);\n\n Indicates what renderer to get the pixel data from.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkRenderLargeImage_GetInput, 1,
   (char*)"V.GetInput() -> vtkRenderer\nC++: vtkRenderer *GetInput ();\n\n Returns which renderer is being used as the source for the pixel data.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkRenderLargeImage_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkImageData\nC++: vtkImageData *GetOutput ();\n\n Get the output data object for a port on this algorithm.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRenderLargeImageDoc[] = {
  (char*)"vtkRenderLargeImage - Use tiling to generate a large rendering\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkRenderLargeImage provides methods needed to read a region from a file.\n\n",
  NULL
};

static vtkObjectBase *vtkRenderLargeImageStaticNew()
{
  return vtkRenderLargeImage::New();
}

PyObject *PyVTKClass_vtkRenderLargeImageNew(char *modulename)
{
  return PyVTKClass_New(&vtkRenderLargeImageStaticNew,
                        PyvtkRenderLargeImageMethods,
                        (char*)"vtkRenderLargeImage",modulename,
                        (char**)vtkRenderLargeImageDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

