// python wrapper for vtkThinPlateSplineTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkThinPlateSplineTransform.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkThinPlateSplineTransformNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkThinPlateSplineTransformNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWarpTransformNew(char *); }

static PyObject *PyvtkThinPlateSplineTransform_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  const char    *temp20;
  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThinPlateSplineTransform::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThinPlateSplineTransform::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  vtkThinPlateSplineTransform  *temp20;
  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThinPlateSplineTransform::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkThinPlateSplineTransform  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkThinPlateSplineTransform::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_GetSigma(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  double   temp20;
  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThinPlateSplineTransform::GetSigma();
      }
    else
      {
      temp20 = op->GetSigma();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_SetSigma(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  double   temp0;
  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThinPlateSplineTransform::SetSigma(temp0);
      }
    else
      {
      op->SetSigma(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_SetBasis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  int      temp0;
  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThinPlateSplineTransform::SetBasis(temp0);
      }
    else
      {
      op->SetBasis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_GetBasis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  int      temp20;
  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThinPlateSplineTransform::GetBasis();
      }
    else
      {
      temp20 = op->GetBasis();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_SetBasisToR(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThinPlateSplineTransform::SetBasisToR();
      }
    else
      {
      op->SetBasisToR();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_SetBasisToR2LogR(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkThinPlateSplineTransform::SetBasisToR2LogR();
      }
    else
      {
      op->SetBasisToR2LogR();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_GetBasisAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  const char    *temp20;
  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThinPlateSplineTransform::GetBasisAsString();
      }
    else
      {
      temp20 = op->GetBasisAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_SetSourceLandmarks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkThinPlateSplineTransform::SetSourceLandmarks(temp0);
      }
    else
      {
      op->SetSourceLandmarks(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_GetSourceLandmarks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  vtkPoints  *temp20;
  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThinPlateSplineTransform::GetSourceLandmarks();
      }
    else
      {
      temp20 = op->GetSourceLandmarks();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_SetTargetLandmarks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkThinPlateSplineTransform::SetTargetLandmarks(temp0);
      }
    else
      {
      op->SetTargetLandmarks(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_GetTargetLandmarks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  vtkPoints  *temp20;
  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThinPlateSplineTransform::GetTargetLandmarks();
      }
    else
      {
      temp20 = op->GetTargetLandmarks();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  unsigned long     temp20;
  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThinPlateSplineTransform::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkThinPlateSplineTransform_MakeTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkThinPlateSplineTransform *op;

  vtkAbstractTransform  *temp20;
  if ((op = (vtkThinPlateSplineTransform *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkThinPlateSplineTransform::MakeTransform();
      }
    else
      {
      temp20 = op->MakeTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkThinPlateSplineTransformMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkThinPlateSplineTransform_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkThinPlateSplineTransform_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkThinPlateSplineTransform_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkThinPlateSplineTransform\nC++: vtkThinPlateSplineTransform *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkThinPlateSplineTransform_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkThinPlateSplineTransform\nC++: vtkThinPlateSplineTransform *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetSigma",                (PyCFunction)PyvtkThinPlateSplineTransform_GetSigma, 1,
   (char*)"V.GetSigma() -> float\nC++: double GetSigma ();\n\n Specify the 'stiffness' of the spline. The default is 1.0.\n"},
  {(char*)"SetSigma",                (PyCFunction)PyvtkThinPlateSplineTransform_SetSigma, 1,
   (char*)"V.SetSigma(float)\nC++: void SetSigma (double );\n\n Specify the 'stiffness' of the spline. The default is 1.0.\n"},
  {(char*)"SetBasis",                (PyCFunction)PyvtkThinPlateSplineTransform_SetBasis, 1,
   (char*)"V.SetBasis(int)\nC++: void SetBasis (int basis);\n\n Specify the radial basis function to use.  The default is\n R2LogR which is appropriate for 2D. Use |R| (SetBasisToR) \n if your data is 3D. Alternatively specify your own basis function, \n however this will mean that the transform will no longer be a true \n thin-plate spline.\n"},
  {(char*)"GetBasis",                (PyCFunction)PyvtkThinPlateSplineTransform_GetBasis, 1,
   (char*)"V.GetBasis() -> int\nC++: int GetBasis ();\n\n Specify the radial basis function to use.  The default is\n R2LogR which is appropriate for 2D. Use |R| (SetBasisToR) \n if your data is 3D. Alternatively specify your own basis function, \n however this will mean that the transform will no longer be a true \n thin-plate spline.\n"},
  {(char*)"SetBasisToR",                (PyCFunction)PyvtkThinPlateSplineTransform_SetBasisToR, 1,
   (char*)"V.SetBasisToR()\nC++: void SetBasisToR ();this SetBasis VTK_RBF_R \n\n Specify the radial basis function to use.  The default is\n R2LogR which is appropriate for 2D. Use |R| (SetBasisToR) \n if your data is 3D. Alternatively specify your own basis function, \n however this will mean that the transform will no longer be a true \n thin-plate spline.\n"},
  {(char*)"SetBasisToR2LogR",                (PyCFunction)PyvtkThinPlateSplineTransform_SetBasisToR2LogR, 1,
   (char*)"V.SetBasisToR2LogR()\nC++: void SetBasisToR2LogR ();this SetBasis VTK_RBF_R2LOGR \n\n Specify the radial basis function to use.  The default is\n R2LogR which is appropriate for 2D. Use |R| (SetBasisToR) \n if your data is 3D. Alternatively specify your own basis function, \n however this will mean that the transform will no longer be a true \n thin-plate spline.\n"},
  {(char*)"GetBasisAsString",                (PyCFunction)PyvtkThinPlateSplineTransform_GetBasisAsString, 1,
   (char*)"V.GetBasisAsString() -> string\nC++: const char *GetBasisAsString ();\n\n Specify the radial basis function to use.  The default is\n R2LogR which is appropriate for 2D. Use |R| (SetBasisToR) \n if your data is 3D. Alternatively specify your own basis function, \n however this will mean that the transform will no longer be a true \n thin-plate spline.\n"},
  {(char*)"SetSourceLandmarks",                (PyCFunction)PyvtkThinPlateSplineTransform_SetSourceLandmarks, 1,
   (char*)"V.SetSourceLandmarks(vtkPoints)\nC++: void SetSourceLandmarks (vtkPoints *source);\n\n Set the source landmarks for the warp.  If you add or change the\n vtkPoints object, you must call Modified() on it or the transformation\n might not update.\n"},
  {(char*)"GetSourceLandmarks",                (PyCFunction)PyvtkThinPlateSplineTransform_GetSourceLandmarks, 1,
   (char*)"V.GetSourceLandmarks() -> vtkPoints\nC++: vtkPoints *GetSourceLandmarks ();\n\n Set the source landmarks for the warp.  If you add or change the\n vtkPoints object, you must call Modified() on it or the transformation\n might not update.\n"},
  {(char*)"SetTargetLandmarks",                (PyCFunction)PyvtkThinPlateSplineTransform_SetTargetLandmarks, 1,
   (char*)"V.SetTargetLandmarks(vtkPoints)\nC++: void SetTargetLandmarks (vtkPoints *target);\n\n Set the target landmarks for the warp.  If you add or change the\n vtkPoints object, you must call Modified() on it or the transformation\n might not update.\n"},
  {(char*)"GetTargetLandmarks",                (PyCFunction)PyvtkThinPlateSplineTransform_GetTargetLandmarks, 1,
   (char*)"V.GetTargetLandmarks() -> vtkPoints\nC++: vtkPoints *GetTargetLandmarks ();\n\n Set the target landmarks for the warp.  If you add or change the\n vtkPoints object, you must call Modified() on it or the transformation\n might not update.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkThinPlateSplineTransform_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the MTime.\n"},
  {(char*)"MakeTransform",                (PyCFunction)PyvtkThinPlateSplineTransform_MakeTransform, 1,
   (char*)"V.MakeTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *MakeTransform ();\n\n Make another transform of the same type.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkThinPlateSplineTransformDoc[] = {
  (char*)"vtkThinPlateSplineTransform - a nonlinear warp transformation\n\n",
  "Super Class:\n\n vtkWarpTransform\n\n",
  (char*)" vtkThinPlateSplineTransform describes a nonlinear warp transform defined\n by a set of source and target landmarks. Any point on the mesh close to a\n source landmark will be moved to a place close to the corresponding target\n landmark. The points in between are interpolated smoothly using\n Bookstein's Thin Plate Spline algorithm.\n\n To obtain a correct TPS warp, use the R2LogR kernel if your data i",
  (char*)"s 2D, and\n the R kernel if your data is 3D. Or you can specify your own RBF. (Hence this\n class is more general than a pure TPS transform.) \n\n",
  "Caveats:\n\n 1) The inverse transform is calculated using an iterative method,\n and is several times more expensive than the forward transform.\n 2) Whenever you add, subtract, or set points you must call Modified()\n on the vtkPoints object, or the transformation might not update.\n 3) Collinear point configurations (except those that lie in the XY plane)\n result in an unstable transformation.\n\n",
  "See Also:\n\n vtkGridTransform vtkGeneralTransform\n\n",
  NULL
};

static vtkObjectBase *vtkThinPlateSplineTransformStaticNew()
{
  return vtkThinPlateSplineTransform::New();
}

PyObject *PyVTKClass_vtkThinPlateSplineTransformNew(char *modulename)
{
  return PyVTKClass_New(&vtkThinPlateSplineTransformStaticNew,
                        PyvtkThinPlateSplineTransformMethods,
                        (char*)"vtkThinPlateSplineTransform",modulename,
                        (char**)vtkThinPlateSplineTransformDoc,
                        PyVTKClass_vtkWarpTransformNew(modulename));
}

