// tcl wrapper for vtkThinPlateSplineTransform object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkThinPlateSplineTransform.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkThinPlateSplineTransformNewCommand()
{
  vtkThinPlateSplineTransform *temp = vtkThinPlateSplineTransform::New();
  return ((ClientData)temp);
}

int vtkWarpTransformCppCommand(vtkWarpTransform *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkThinPlateSplineTransformCppCommand(vtkThinPlateSplineTransform *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkThinPlateSplineTransformCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkThinPlateSplineTransformCppCommand((vtkThinPlateSplineTransform *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkThinPlateSplineTransformCppCommand(vtkThinPlateSplineTransform *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkThinPlateSplineTransform",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkWarpTransformCppCommand((vtkWarpTransform *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkWarpTransform", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkThinPlateSplineTransform  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkThinPlateSplineTransform");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkThinPlateSplineTransform  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkThinPlateSplineTransform");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkThinPlateSplineTransform  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkThinPlateSplineTransform");
    return TCL_OK;
    }
  if ((!strcmp("GetSigma",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSigma();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSigma",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSigma(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBasis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBasis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBasis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBasis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBasisToR",argv[1]))&&(argc == 2))
    {
    op->SetBasisToR();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBasisToR2LogR",argv[1]))&&(argc == 2))
    {
    op->SetBasisToR2LogR();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBasisAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetBasisAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSourceLandmarks",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPoints",interp,error));
    if (!error)
    {
    op->SetSourceLandmarks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSourceLandmarks",argv[1]))&&(argc == 2))
    {
    vtkPoints  *temp20;
    temp20 = (op)->GetSourceLandmarks();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPoints");
    return TCL_OK;
    }
  if ((!strcmp("SetTargetLandmarks",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPoints",interp,error));
    if (!error)
    {
    op->SetTargetLandmarks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTargetLandmarks",argv[1]))&&(argc == 2))
    {
    vtkPoints  *temp20;
    temp20 = (op)->GetTargetLandmarks();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPoints");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MakeTransform",argv[1]))&&(argc == 2))
    {
    vtkAbstractTransform  *temp20;
    temp20 = (op)->MakeTransform();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAbstractTransform");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkThinPlateSplineTransformCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWarpTransformCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkThinPlateSplineTransform:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetSigma\n",NULL);
    Tcl_AppendResult(interp,"  SetSigma\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBasis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBasis\n",NULL);
    Tcl_AppendResult(interp,"  SetBasisToR\n",NULL);
    Tcl_AppendResult(interp,"  SetBasisToR2LogR\n",NULL);
    Tcl_AppendResult(interp,"  GetBasisAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceLandmarks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceLandmarks\n",NULL);
    Tcl_AppendResult(interp,"  SetTargetLandmarks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetLandmarks\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  MakeTransform\n",NULL);
    return TCL_OK;
    }

  if (vtkWarpTransformCppCommand((vtkWarpTransform *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
