// python wrapper for vtkVRMLImporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkVRMLImporter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVRMLImporterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVRMLImporterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImporterNew(char *); }

static PyObject *PyvtkVRMLImporter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVRMLImporter *op;

  const char    *temp20;
  if ((op = (vtkVRMLImporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVRMLImporter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVRMLImporter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVRMLImporter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkVRMLImporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVRMLImporter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVRMLImporter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVRMLImporter *op;

  vtkVRMLImporter  *temp20;
  if ((op = (vtkVRMLImporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVRMLImporter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVRMLImporter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVRMLImporter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVRMLImporter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVRMLImporter_GetVRMLDEFObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVRMLImporter *op;

  char    *temp0;
  vtkObject  *temp20;
  if ((op = (vtkVRMLImporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVRMLImporter::GetVRMLDEFObject(temp0);
      }
    else
      {
      temp20 = op->GetVRMLDEFObject(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVRMLImporter_enterNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVRMLImporter *op;

  char    *temp0;
  if ((op = (vtkVRMLImporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVRMLImporter::enterNode(temp0);
      }
    else
      {
      op->enterNode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVRMLImporter_exitNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVRMLImporter *op;

  if ((op = (vtkVRMLImporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVRMLImporter::exitNode();
      }
    else
      {
      op->exitNode();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVRMLImporter_enterField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVRMLImporter *op;

  char    *temp0;
  if ((op = (vtkVRMLImporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVRMLImporter::enterField(temp0);
      }
    else
      {
      op->enterField(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVRMLImporter_exitField(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVRMLImporter *op;

  if ((op = (vtkVRMLImporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVRMLImporter::exitField();
      }
    else
      {
      op->exitField();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVRMLImporter_useNode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVRMLImporter *op;

  char    *temp0;
  if ((op = (vtkVRMLImporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVRMLImporter::useNode(temp0);
      }
    else
      {
      op->useNode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVRMLImporter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVRMLImporter *op;

  char    *temp0;
  if ((op = (vtkVRMLImporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVRMLImporter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVRMLImporter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVRMLImporter *op;

  char    *temp20;
  if ((op = (vtkVRMLImporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVRMLImporter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVRMLImporterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVRMLImporter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVRMLImporter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVRMLImporter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVRMLImporter\nC++: vtkVRMLImporter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVRMLImporter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVRMLImporter\nC++: vtkVRMLImporter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetVRMLDEFObject",                (PyCFunction)PyvtkVRMLImporter_GetVRMLDEFObject, 1,
   (char*)"V.GetVRMLDEFObject(string) -> vtkObject\nC++: vtkObject *GetVRMLDEFObject (const char *name);\n\n In the VRML spec you can DEF and USE nodes (name them),\n This routine will return the associated VTK object which\n was created as a result of the DEF mechanism\n Send in the name from the VRML file, get the VTK object.\n You will have to check and correctly cast the object since\n this only returns vtkObjects.\n"},
  {(char*)"enterNode",                (PyCFunction)PyvtkVRMLImporter_enterNode, 1,
   (char*)"V.enterNode(string)\nC++: void enterNode (const char *);\n\n Needed by the yacc/lex grammar used\n"},
  {(char*)"exitNode",                (PyCFunction)PyvtkVRMLImporter_exitNode, 1,
   (char*)"V.exitNode()\nC++: void exitNode ();\n\n Needed by the yacc/lex grammar used\n"},
  {(char*)"enterField",                (PyCFunction)PyvtkVRMLImporter_enterField, 1,
   (char*)"V.enterField(string)\nC++: void enterField (const char *);\n\n Needed by the yacc/lex grammar used\n"},
  {(char*)"exitField",                (PyCFunction)PyvtkVRMLImporter_exitField, 1,
   (char*)"V.exitField()\nC++: void exitField ();\n\n Needed by the yacc/lex grammar used\n"},
  {(char*)"useNode",                (PyCFunction)PyvtkVRMLImporter_useNode, 1,
   (char*)"V.useNode(string)\nC++: void useNode (const char *);\n\n Needed by the yacc/lex grammar used\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkVRMLImporter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify the name of the file to read.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkVRMLImporter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify the name of the file to read.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVRMLImporterDoc[] = {
  (char*)"vtkVRMLImporter - imports VRML 2.0 files.\n\n",
  "Super Class:\n\n vtkImporter\n\n",
  (char*)"\n vtkVRMLImporter imports VRML 2.0 files into vtk.\n\n",
  "Caveats:\n\n\n These nodes are currently supported:\n      Appearance                              IndexedFaceSet\n      Box                                     IndexedLineSet\n      Color                                   Material\n      Cone                                    Shape\n      Coordinate                              Sphere\n      Cylinder                                Transform\n      DirectionalLight\n\n As you can see this implementation focuses on getting the geometry\n ...\n [Truncated]\n\n",
  "See Also:\n\n vtkImporter\n\n",
  NULL
};

static vtkObjectBase *vtkVRMLImporterStaticNew()
{
  return vtkVRMLImporter::New();
}

PyObject *PyVTKClass_vtkVRMLImporterNew(char *modulename)
{
  return PyVTKClass_New(&vtkVRMLImporterStaticNew,
                        PyvtkVRMLImporterMethods,
                        (char*)"vtkVRMLImporter",modulename,
                        (char**)vtkVRMLImporterDoc,
                        PyVTKClass_vtkImporterNew(modulename));
}

