// python wrapper for vtkVideoSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkVideoSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVideoSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVideoSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkVideoSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  const char    *temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  vtkVideoSource  *temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVideoSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVideoSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVideoSource_Record(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::Record();
      }
    else
      {
      op->Record();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_Play(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::Play();
      }
    else
      {
      op->Play();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_Stop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::Stop();
      }
    else
      {
      op->Stop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_Rewind(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::Rewind();
      }
    else
      {
      op->Rewind();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_FastForward(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::FastForward();
      }
    else
      {
      op->FastForward();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_Seek(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp0;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::Seek(temp0);
      }
    else
      {
      op->Seek(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_Grab(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::Grab();
      }
    else
      {
      op->Grab();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetRecording(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetRecording();
      }
    else
      {
      temp20 = op->GetRecording();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetPlaying(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetPlaying();
      }
    else
      {
      temp20 = op->GetPlaying();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetFrameSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetFrameSize(temp0,temp1,temp2);
      }
    else
      {
      op->SetFrameSize(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int    temp0[3];
  PyErr_Clear();
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetFrameSize(temp0);
      }
    else
      {
      op->SetFrameSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetFrameSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int     *temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetFrameSize();
      }
    else
      {
      temp20 = op->GetFrameSize();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetFrameRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  float    temp0;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetFrameRate(temp0);
      }
    else
      {
      op->SetFrameRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetFrameRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  float    temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetFrameRate();
      }
    else
      {
      temp20 = op->GetFrameRate();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetOutputFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp0;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetOutputFormat(temp0);
      }
    else
      {
      op->SetOutputFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetOutputFormatToLuminance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetOutputFormatToLuminance();
      }
    else
      {
      op->SetOutputFormatToLuminance();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetOutputFormatToRGB(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetOutputFormatToRGB();
      }
    else
      {
      op->SetOutputFormatToRGB();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetOutputFormatToRGBA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetOutputFormatToRGBA();
      }
    else
      {
      op->SetOutputFormatToRGBA();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetOutputFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetOutputFormat();
      }
    else
      {
      temp20 = op->GetOutputFormat();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetFrameBufferSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp0;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetFrameBufferSize(temp0);
      }
    else
      {
      op->SetFrameBufferSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetFrameBufferSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetFrameBufferSize();
      }
    else
      {
      temp20 = op->GetFrameBufferSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetNumberOfOutputFrames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp0;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetNumberOfOutputFrames(temp0);
      }
    else
      {
      op->SetNumberOfOutputFrames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetNumberOfOutputFrames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetNumberOfOutputFrames();
      }
    else
      {
      temp20 = op->GetNumberOfOutputFrames();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_AutoAdvanceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::AutoAdvanceOn();
      }
    else
      {
      op->AutoAdvanceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_AutoAdvanceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::AutoAdvanceOff();
      }
    else
      {
      op->AutoAdvanceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetAutoAdvance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp0;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetAutoAdvance(temp0);
      }
    else
      {
      op->SetAutoAdvance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetAutoAdvance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetAutoAdvance();
      }
    else
      {
      temp20 = op->GetAutoAdvance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetClipRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int    temp0[6];
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetClipRegion(temp0);
      }
    else
      {
      op->SetClipRegion(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetClipRegion(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetClipRegion(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetClipRegion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int     *temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetClipRegion();
      }
    else
      {
      temp20 = op->GetClipRegion();
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetOutputWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int    temp0[6];
  PyErr_Clear();
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetOutputWholeExtent(temp0);
      }
    else
      {
      op->SetOutputWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetOutputWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int     *temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetOutputWholeExtent();
      }
    else
      {
      temp20 = op->GetOutputWholeExtent();
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetDataSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetDataSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetDataSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetDataSpacing(temp0);
      }
    else
      {
      op->SetDataSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetDataSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  double  *temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetDataSpacing();
      }
    else
      {
      temp20 = op->GetDataSpacing();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetDataOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetDataOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetDataOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetDataOrigin(temp0);
      }
    else
      {
      op->SetDataOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetDataOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  double  *temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetDataOrigin();
      }
    else
      {
      temp20 = op->GetDataOrigin();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  float    temp0;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetOpacity(temp0);
      }
    else
      {
      op->SetOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  float    temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetOpacity();
      }
    else
      {
      temp20 = op->GetOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetFrameCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetFrameCount();
      }
    else
      {
      temp20 = op->GetFrameCount();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetFrameCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp0;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetFrameCount(temp0);
      }
    else
      {
      op->SetFrameCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetFrameIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetFrameIndex();
      }
    else
      {
      temp20 = op->GetFrameIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetFrameTimeStamp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp0;
  double   temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetFrameTimeStamp(temp0);
      }
    else
      {
      temp20 = op->GetFrameTimeStamp(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  double   temp20;
  PyErr_Clear();
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetFrameTimeStamp();
      }
    else
      {
      temp20 = op->GetFrameTimeStamp();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetInitialized(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  int      temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetInitialized();
      }
    else
      {
      temp20 = op->GetInitialized();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_ReleaseSystemResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::ReleaseSystemResources();
      }
    else
      {
      op->ReleaseSystemResources();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_InternalGrab(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::InternalGrab();
      }
    else
      {
      op->InternalGrab();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_SetStartTimeStamp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  double   temp0;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVideoSource::SetStartTimeStamp(temp0);
      }
    else
      {
      op->SetStartTimeStamp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVideoSource_GetStartTimeStamp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVideoSource *op;

  double   temp20;
  if ((op = (vtkVideoSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVideoSource::GetStartTimeStamp();
      }
    else
      {
      temp20 = op->GetStartTimeStamp();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVideoSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVideoSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVideoSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVideoSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVideoSource\nC++: vtkVideoSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVideoSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVideoSource\nC++: vtkVideoSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Record",                (PyCFunction)PyvtkVideoSource_Record, 1,
   (char*)"V.Record()\nC++: virtual void Record ();\n\n Record incoming video at the specified FrameRate.  The recording\n continues indefinitely until Stop() is called. \n"},
  {(char*)"Play",                (PyCFunction)PyvtkVideoSource_Play, 1,
   (char*)"V.Play()\nC++: virtual void Play ();\n\n Play through the 'tape' sequentially at the specified frame rate.\n If you have just finished Recoding, you should call Rewind() first.\n"},
  {(char*)"Stop",                (PyCFunction)PyvtkVideoSource_Stop, 1,
   (char*)"V.Stop()\nC++: virtual void Stop ();\n\n Stop recording or playing.\n"},
  {(char*)"Rewind",                (PyCFunction)PyvtkVideoSource_Rewind, 1,
   (char*)"V.Rewind()\nC++: virtual void Rewind ();\n\n Rewind to the frame with the earliest timestamp.  Record operations\n will start on the following frame, therefore if you want to re-record\n over this frame you must call Seek(-1) before calling Grab() or Record().\n"},
  {(char*)"FastForward",                (PyCFunction)PyvtkVideoSource_FastForward, 1,
   (char*)"V.FastForward()\nC++: virtual void FastForward ();\n\n FastForward to the last frame that was recorded (i.e. to the frame\n that has the most recent timestamp).\n"},
  {(char*)"Seek",                (PyCFunction)PyvtkVideoSource_Seek, 1,
   (char*)"V.Seek(int)\nC++: virtual void Seek (int n);\n\n Seek forwards or backwards by the specified number of frames\n (positive is forward, negative is backward).\n"},
  {(char*)"Grab",                (PyCFunction)PyvtkVideoSource_Grab, 1,
   (char*)"V.Grab()\nC++: virtual void Grab ();\n\n Grab a single video frame.\n"},
  {(char*)"GetRecording",                (PyCFunction)PyvtkVideoSource_GetRecording, 1,
   (char*)"V.GetRecording() -> int\nC++: int GetRecording ();\n\n Are we in record mode? (record mode and play mode are mutually\n exclusive).\n"},
  {(char*)"GetPlaying",                (PyCFunction)PyvtkVideoSource_GetPlaying, 1,
   (char*)"V.GetPlaying() -> int\nC++: int GetPlaying ();\n\n Are we in play mode? (record mode and play mode are mutually\n exclusive).\n"},
  {(char*)"SetFrameSize",                (PyCFunction)PyvtkVideoSource_SetFrameSize, 1,
   (char*)"V.SetFrameSize(int, int, int)\nC++: virtual void SetFrameSize (int x, int y, int z);\nV.SetFrameSize((int, int, int))\nC++: virtual void SetFrameSize (int dim[3]);this SetFrameSize dim dim dim \n\n Set the full-frame size.  This must be an allowed size for the device,\n the device may either refuse a request for an illegal frame size or\n automatically choose a new frame size.\n The default is usually 320x240x1, but can be device specific.  \n The 'depth' should always be 1 (unless you have a device that\n can handle 3D acquisition).\n"},
  {(char*)"GetFrameSize",                (PyCFunction)PyvtkVideoSource_GetFrameSize, 1,
   (char*)"V.GetFrameSize() -> (int, int, int)\nC++: int  *GetFrameSize ();\n\n Set the full-frame size.  This must be an allowed size for the device,\n the device may either refuse a request for an illegal frame size or\n automatically choose a new frame size.\n The default is usually 320x240x1, but can be device specific.  \n The 'depth' should always be 1 (unless you have a device that\n can handle 3D acquisition).\n"},
  {(char*)"SetFrameRate",                (PyCFunction)PyvtkVideoSource_SetFrameRate, 1,
   (char*)"V.SetFrameRate(float)\nC++: virtual void SetFrameRate (float rate);\n\n Request a particular frame rate (default 30 frames per second).\n"},
  {(char*)"GetFrameRate",                (PyCFunction)PyvtkVideoSource_GetFrameRate, 1,
   (char*)"V.GetFrameRate() -> float\nC++: float GetFrameRate ();\n\n Request a particular frame rate (default 30 frames per second).\n"},
  {(char*)"SetOutputFormat",                (PyCFunction)PyvtkVideoSource_SetOutputFormat, 1,
   (char*)"V.SetOutputFormat(int)\nC++: virtual void SetOutputFormat (int format);\n\n Set the output format.  This must be appropriate for device,\n usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.\n"},
  {(char*)"SetOutputFormatToLuminance",                (PyCFunction)PyvtkVideoSource_SetOutputFormatToLuminance, 1,
   (char*)"V.SetOutputFormatToLuminance()\nC++: void SetOutputFormatToLuminance ();this SetOutputFormat VTK_LUMINANCE \n\n Set the output format.  This must be appropriate for device,\n usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.\n"},
  {(char*)"SetOutputFormatToRGB",                (PyCFunction)PyvtkVideoSource_SetOutputFormatToRGB, 1,
   (char*)"V.SetOutputFormatToRGB()\nC++: void SetOutputFormatToRGB ();this SetOutputFormat VTK_RGB \n\n Set the output format.  This must be appropriate for device,\n usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.\n"},
  {(char*)"SetOutputFormatToRGBA",                (PyCFunction)PyvtkVideoSource_SetOutputFormatToRGBA, 1,
   (char*)"V.SetOutputFormatToRGBA()\nC++: void SetOutputFormatToRGBA ();this SetOutputFormat VTK_RGBA \n\n Set the output format.  This must be appropriate for device,\n usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.\n"},
  {(char*)"GetOutputFormat",                (PyCFunction)PyvtkVideoSource_GetOutputFormat, 1,
   (char*)"V.GetOutputFormat() -> int\nC++: int GetOutputFormat ();\n\n Set the output format.  This must be appropriate for device,\n usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.\n"},
  {(char*)"SetFrameBufferSize",                (PyCFunction)PyvtkVideoSource_SetFrameBufferSize, 1,
   (char*)"V.SetFrameBufferSize(int)\nC++: virtual void SetFrameBufferSize (int FrameBufferSize);\n\n Set size of the frame buffer, i.e. the number of frames that\n the 'tape' can store.\n"},
  {(char*)"GetFrameBufferSize",                (PyCFunction)PyvtkVideoSource_GetFrameBufferSize, 1,
   (char*)"V.GetFrameBufferSize() -> int\nC++: int GetFrameBufferSize ();\n\n Set size of the frame buffer, i.e. the number of frames that\n the 'tape' can store.\n"},
  {(char*)"SetNumberOfOutputFrames",                (PyCFunction)PyvtkVideoSource_SetNumberOfOutputFrames, 1,
   (char*)"V.SetNumberOfOutputFrames(int)\nC++: void SetNumberOfOutputFrames (int );\n\n Set the number of frames to copy to the output on each execute.\n The frames will be concatenated along the Z dimension, with the \n most recent frame first.\n Default: 1\n"},
  {(char*)"GetNumberOfOutputFrames",                (PyCFunction)PyvtkVideoSource_GetNumberOfOutputFrames, 1,
   (char*)"V.GetNumberOfOutputFrames() -> int\nC++: int GetNumberOfOutputFrames ();\n\n Set the number of frames to copy to the output on each execute.\n The frames will be concatenated along the Z dimension, with the \n most recent frame first.\n Default: 1\n"},
  {(char*)"AutoAdvanceOn",                (PyCFunction)PyvtkVideoSource_AutoAdvanceOn, 1,
   (char*)"V.AutoAdvanceOn()\nC++: void AutoAdvanceOn ();\n\n Set whether to automatically advance the buffer before each grab. \n Default: on\n"},
  {(char*)"AutoAdvanceOff",                (PyCFunction)PyvtkVideoSource_AutoAdvanceOff, 1,
   (char*)"V.AutoAdvanceOff()\nC++: void AutoAdvanceOff ();\n\n Set whether to automatically advance the buffer before each grab. \n Default: on\n"},
  {(char*)"SetAutoAdvance",                (PyCFunction)PyvtkVideoSource_SetAutoAdvance, 1,
   (char*)"V.SetAutoAdvance(int)\nC++: void SetAutoAdvance (int );\n\n Set whether to automatically advance the buffer before each grab. \n Default: on\n"},
  {(char*)"GetAutoAdvance",                (PyCFunction)PyvtkVideoSource_GetAutoAdvance, 1,
   (char*)"V.GetAutoAdvance() -> int\nC++: int GetAutoAdvance ();\n\n Set whether to automatically advance the buffer before each grab. \n Default: on\n"},
  {(char*)"SetClipRegion",                (PyCFunction)PyvtkVideoSource_SetClipRegion, 1,
   (char*)"V.SetClipRegion((int, int, int, int, int, int))\nC++: virtual void SetClipRegion (int r[6]);this SetClipRegion r r r r r r \nV.SetClipRegion(int, int, int, int, int, int)\nC++: virtual void SetClipRegion (int x0, int x1, int y0, int y1, int z0, int z1);\n\n Set the clip rectangle for the frames.  The video will be clipped \n before it is copied into the framebuffer.  Changing the ClipRegion\n will destroy the current contents of the framebuffer.\n The default ClipRegion is (0,VTK_INT_MAX,0,VTK_INT_MAX,0,VTK_INT_MAX).\n"},
  {(char*)"GetClipRegion",                (PyCFunction)PyvtkVideoSource_GetClipRegion, 1,
   (char*)"V.GetClipRegion() -> (int, int, int, int, int, int)\nC++: int  *GetClipRegion ();\n\n Set the clip rectangle for the frames.  The video will be clipped \n before it is copied into the framebuffer.  Changing the ClipRegion\n will destroy the current contents of the framebuffer.\n The default ClipRegion is (0,VTK_INT_MAX,0,VTK_INT_MAX,0,VTK_INT_MAX).\n"},
  {(char*)"SetOutputWholeExtent",                (PyCFunction)PyvtkVideoSource_SetOutputWholeExtent, 1,
   (char*)"V.SetOutputWholeExtent(int, int, int, int, int, int)\nC++: void SetOutputWholeExtent (int , int , int , int , int , int );\nV.SetOutputWholeExtent((int, int, int, int, int, int))\nC++: void SetOutputWholeExtent (int  a[6]);\n\n Get/Set the WholeExtent of the output.  This can be used to either\n clip or pad the video frame.  This clipping/padding is done when\n the frame is copied to the output, and does not change the contents\n of the framebuffer.  This is useful e.g. for expanding \n the output size to a power of two for texture mapping.  The\n default is (0,-1,0,-1,0,-1) which causes the entire frame to be\n copied to the output.\n"},
  {(char*)"GetOutputWholeExtent",                (PyCFunction)PyvtkVideoSource_GetOutputWholeExtent, 1,
   (char*)"V.GetOutputWholeExtent() -> (int, int, int, int, int, int)\nC++: int  *GetOutputWholeExtent ();\n\n Get/Set the WholeExtent of the output.  This can be used to either\n clip or pad the video frame.  This clipping/padding is done when\n the frame is copied to the output, and does not change the contents\n of the framebuffer.  This is useful e.g. for expanding \n the output size to a power of two for texture mapping.  The\n default is (0,-1,0,-1,0,-1) which causes the entire frame to be\n copied to the output.\n"},
  {(char*)"SetDataSpacing",                (PyCFunction)PyvtkVideoSource_SetDataSpacing, 1,
   (char*)"V.SetDataSpacing(float, float, float)\nC++: void SetDataSpacing (double , double , double );\nV.SetDataSpacing((float, float, float))\nC++: void SetDataSpacing (double  a[3]);\n\n Set/Get the pixel spacing. \n Default: (1.0,1.0,1.0)\n"},
  {(char*)"GetDataSpacing",                (PyCFunction)PyvtkVideoSource_GetDataSpacing, 1,
   (char*)"V.GetDataSpacing() -> (float, float, float)\nC++: double  *GetDataSpacing ();\n\n Set/Get the pixel spacing. \n Default: (1.0,1.0,1.0)\n"},
  {(char*)"SetDataOrigin",                (PyCFunction)PyvtkVideoSource_SetDataOrigin, 1,
   (char*)"V.SetDataOrigin(float, float, float)\nC++: void SetDataOrigin (double , double , double );\nV.SetDataOrigin((float, float, float))\nC++: void SetDataOrigin (double  a[3]);\n\n Set/Get the coordinates of the lower, left corner of the frame. \n Default: (0.0,0.0,0.0)\n"},
  {(char*)"GetDataOrigin",                (PyCFunction)PyvtkVideoSource_GetDataOrigin, 1,
   (char*)"V.GetDataOrigin() -> (float, float, float)\nC++: double  *GetDataOrigin ();\n\n Set/Get the coordinates of the lower, left corner of the frame. \n Default: (0.0,0.0,0.0)\n"},
  {(char*)"SetOpacity",                (PyCFunction)PyvtkVideoSource_SetOpacity, 1,
   (char*)"V.SetOpacity(float)\nC++: void SetOpacity (float );\n\n For RGBA output only (4 scalar components), set the opacity.  This\n will not modify the existing contents of the framebuffer, only\n subsequently grabbed frames.\n"},
  {(char*)"GetOpacity",                (PyCFunction)PyvtkVideoSource_GetOpacity, 1,
   (char*)"V.GetOpacity() -> float\nC++: float GetOpacity ();\n\n For RGBA output only (4 scalar components), set the opacity.  This\n will not modify the existing contents of the framebuffer, only\n subsequently grabbed frames.\n"},
  {(char*)"GetFrameCount",                (PyCFunction)PyvtkVideoSource_GetFrameCount, 1,
   (char*)"V.GetFrameCount() -> int\nC++: int GetFrameCount ();\n\n This value is incremented each time a frame is grabbed.\n reset it to zero (or any other value) at any time.\n"},
  {(char*)"SetFrameCount",                (PyCFunction)PyvtkVideoSource_SetFrameCount, 1,
   (char*)"V.SetFrameCount(int)\nC++: void SetFrameCount (int );\n\n This value is incremented each time a frame is grabbed.\n reset it to zero (or any other value) at any time.\n"},
  {(char*)"GetFrameIndex",                (PyCFunction)PyvtkVideoSource_GetFrameIndex, 1,
   (char*)"V.GetFrameIndex() -> int\nC++: int GetFrameIndex ();\n\n Get the frame index relative to the 'beginning of the tape'.  This\n value wraps back to zero if it increases past the FrameBufferSize.\n"},
  {(char*)"GetFrameTimeStamp",                (PyCFunction)PyvtkVideoSource_GetFrameTimeStamp, 1,
   (char*)"V.GetFrameTimeStamp(int) -> float\nC++: virtual double GetFrameTimeStamp (int frame);\nV.GetFrameTimeStamp() -> float\nC++: double GetFrameTimeStamp ();return this FrameTimeStamp \n\n Get a time stamp in seconds (resolution of milliseconds) for\n a video frame.   Time began on Jan 1, 1970.  You can specify\n a number (negative or positive) to specify the position of the\n video frame relative to the current frame.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkVideoSource_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();\n\n Initialize the hardware.  This is called automatically\n on the first Update or Grab.\n"},
  {(char*)"GetInitialized",                (PyCFunction)PyvtkVideoSource_GetInitialized, 1,
   (char*)"V.GetInitialized() -> int\nC++: virtual int GetInitialized ();return this Initialized \n\n Initialize the hardware.  This is called automatically\n on the first Update or Grab.\n"},
  {(char*)"ReleaseSystemResources",                (PyCFunction)PyvtkVideoSource_ReleaseSystemResources, 1,
   (char*)"V.ReleaseSystemResources()\nC++: virtual void ReleaseSystemResources ();\n\n Release the video driver.  This method must be called before\n application exit, or else the application might hang during\n exit.  \n"},
  {(char*)"InternalGrab",                (PyCFunction)PyvtkVideoSource_InternalGrab, 1,
   (char*)"V.InternalGrab()\nC++: virtual void InternalGrab ();\n\n The internal function which actually does the grab.  You will\n definitely want to override this if you develop a vtkVideoSource\n subclass. \n"},
  {(char*)"SetStartTimeStamp",                (PyCFunction)PyvtkVideoSource_SetStartTimeStamp, 1,
   (char*)"V.SetStartTimeStamp(float)\nC++: void SetStartTimeStamp (double t);this StartTimeStamp t \n\n And internal variable which marks the beginning of a Record session.\n These methods are for internal use only.\n"},
  {(char*)"GetStartTimeStamp",                (PyCFunction)PyvtkVideoSource_GetStartTimeStamp, 1,
   (char*)"V.GetStartTimeStamp() -> float\nC++: double GetStartTimeStamp ();return this StartTimeStamp \n\n And internal variable which marks the beginning of a Record session.\n These methods are for internal use only.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVideoSourceDoc[] = {
  (char*)"vtkVideoSource - Superclass of video input devices for VTK\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkVideoSource is a superclass for video input interfaces for VTK.\n The goal is to provide an interface which is very similar to the\n interface of a VCR, where the 'tape' is an internal frame buffer\n capable of holding a preset number of video frames.  Specialized\n versions of this class record input from various video input sources.\n This base class records input from a noise source.\n\n",
  "Caveats:\n\n You must call the ReleaseSystemResources() method before the application\n exits.  Otherwise the application might hang while trying to exit.\n\n",
  "See Also:\n\n vtkWin32VideoSource vtkMILVideoSource\n\n",
  NULL
};

static vtkObjectBase *vtkVideoSourceStaticNew()
{
  return vtkVideoSource::New();
}

PyObject *PyVTKClass_vtkVideoSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkVideoSourceStaticNew,
                        PyvtkVideoSourceMethods,
                        (char*)"vtkVideoSource",modulename,
                        (char**)vtkVideoSourceDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

