// python wrapper for vtkWeightedTransformFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkWeightedTransformFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWeightedTransformFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWeightedTransformFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointSetAlgorithmNew(char *); }

static PyObject *PyvtkWeightedTransformFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  const char    *temp20;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWeightedTransformFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWeightedTransformFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  vtkWeightedTransformFilter  *temp20;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWeightedTransformFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkWeightedTransformFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkWeightedTransformFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  unsigned long     temp20;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWeightedTransformFilter::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_SetWeightArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  char    *temp0;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWeightedTransformFilter::SetWeightArray(temp0);
      }
    else
      {
      op->SetWeightArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_GetWeightArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  char    *temp20;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWeightedTransformFilter::GetWeightArray();
      }
    else
      {
      temp20 = op->GetWeightArray();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_SetTransformIndexArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  char    *temp0;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWeightedTransformFilter::SetTransformIndexArray(temp0);
      }
    else
      {
      op->SetTransformIndexArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_GetTransformIndexArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  char    *temp20;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWeightedTransformFilter::GetTransformIndexArray();
      }
    else
      {
      temp20 = op->GetTransformIndexArray();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_SetCellDataWeightArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  char    *temp0;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWeightedTransformFilter::SetCellDataWeightArray(temp0);
      }
    else
      {
      op->SetCellDataWeightArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_GetCellDataWeightArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  char    *temp20;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWeightedTransformFilter::GetCellDataWeightArray();
      }
    else
      {
      temp20 = op->GetCellDataWeightArray();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_SetCellDataTransformIndexArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  char    *temp0;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWeightedTransformFilter::SetCellDataTransformIndexArray(temp0);
      }
    else
      {
      op->SetCellDataTransformIndexArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_GetCellDataTransformIndexArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  char    *temp20;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWeightedTransformFilter::GetCellDataTransformIndexArray();
      }
    else
      {
      temp20 = op->GetCellDataTransformIndexArray();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  int      temp1;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkWeightedTransformFilter::SetTransform(temp0,temp1);
      }
    else
      {
      op->SetTransform(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  int      temp0;
  vtkAbstractTransform  *temp20;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWeightedTransformFilter::GetTransform(temp0);
      }
    else
      {
      temp20 = op->GetTransform(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_SetNumberOfTransforms(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  int      temp0;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWeightedTransformFilter::SetNumberOfTransforms(temp0);
      }
    else
      {
      op->SetNumberOfTransforms(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_GetNumberOfTransforms(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  int      temp20;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWeightedTransformFilter::GetNumberOfTransforms();
      }
    else
      {
      temp20 = op->GetNumberOfTransforms();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_AddInputValuesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWeightedTransformFilter::AddInputValuesOn();
      }
    else
      {
      op->AddInputValuesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_AddInputValuesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWeightedTransformFilter::AddInputValuesOff();
      }
    else
      {
      op->AddInputValuesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_SetAddInputValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  int      temp0;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWeightedTransformFilter::SetAddInputValues(temp0);
      }
    else
      {
      op->SetAddInputValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWeightedTransformFilter_GetAddInputValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWeightedTransformFilter *op;

  int      temp20;
  if ((op = (vtkWeightedTransformFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWeightedTransformFilter::GetAddInputValues();
      }
    else
      {
      temp20 = op->GetAddInputValues();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWeightedTransformFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWeightedTransformFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWeightedTransformFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWeightedTransformFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWeightedTransformFilter\nC++: vtkWeightedTransformFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkWeightedTransformFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkWeightedTransformFilter\nC++: vtkWeightedTransformFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkWeightedTransformFilter_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the filter's transforms.\n"},
  {(char*)"SetWeightArray",                (PyCFunction)PyvtkWeightedTransformFilter_SetWeightArray, 1,
   (char*)"V.SetWeightArray(string)\nC++: void SetWeightArray (char *);\n\n WeightArray is the string name of the DataArray in the input's\n FieldData that holds the weighting coefficients for each point.\n The filter will first look for the array in the input's PointData\n FieldData.  If the array isn't there, the filter looks in the\n input's FieldData.  The WeightArray can have tuples of any length,\n but must have a tuple for every point in the input data set.\n This array transforms points, normals, and vectors.\n"},
  {(char*)"GetWeightArray",                (PyCFunction)PyvtkWeightedTransformFilter_GetWeightArray, 1,
   (char*)"V.GetWeightArray() -> string\nC++: char *GetWeightArray ();\n\n WeightArray is the string name of the DataArray in the input's\n FieldData that holds the weighting coefficients for each point.\n The filter will first look for the array in the input's PointData\n FieldData.  If the array isn't there, the filter looks in the\n input's FieldData.  The WeightArray can have tuples of any length,\n but must have a tuple for every point in the input data set.\n This array transforms points, normals, and vectors.\n"},
  {(char*)"SetTransformIndexArray",                (PyCFunction)PyvtkWeightedTransformFilter_SetTransformIndexArray, 1,
   (char*)"V.SetTransformIndexArray(string)\nC++: void SetTransformIndexArray (char *);\n\n TransformIndexArray is the string name of the DataArray in the input's\n FieldData that holds the indices for the transforms for each point.\n These indices are used to select which transforms each weight of\n the DataArray refers.  If the TransformIndexArray is not specified,\n the weights of each point are assumed to map directly to a transform.\n This DataArray must be of type UnsignedShort, which effectively\n limits the number of transforms to 65536 if a transform index \n array is used.\n \n The filter will first look for the array in the input's PointData\n FieldData.  If the array isn't there, the filter looks in the\n input's FieldData.  The TransformIndexArray can have tuples of any \n length, but must have a tuple for every point in the input data set.\n This array transforms points, normals, and vectors.\n"},
  {(char*)"GetTransformIndexArray",                (PyCFunction)PyvtkWeightedTransformFilter_GetTransformIndexArray, 1,
   (char*)"V.GetTransformIndexArray() -> string\nC++: char *GetTransformIndexArray ();\n\n TransformIndexArray is the string name of the DataArray in the input's\n FieldData that holds the indices for the transforms for each point.\n These indices are used to select which transforms each weight of\n the DataArray refers.  If the TransformIndexArray is not specified,\n the weights of each point are assumed to map directly to a transform.\n This DataArray must be of type UnsignedShort, which effectively\n limits the number of transforms to 65536 if a transform index \n array is used.\n \n The filter will first look for the array in the input's PointData\n FieldData.  If the array isn't there, the filter looks in the\n input's FieldData.  The TransformIndexArray can have tuples of any \n length, but must have a tuple for every point in the input data set.\n This array transforms points, normals, and vectors.\n"},
  {(char*)"SetCellDataWeightArray",                (PyCFunction)PyvtkWeightedTransformFilter_SetCellDataWeightArray, 1,
   (char*)"V.SetCellDataWeightArray(string)\nC++: void SetCellDataWeightArray (char *);\n\n The CellDataWeightArray is analogous to the WeightArray, except\n for CellData.  The array is searched for first in the CellData \n FieldData, then in the input's FieldData.  The data array must have\n a tuple for each cell.  This array is used to transform only normals\n and vectors.\n"},
  {(char*)"GetCellDataWeightArray",                (PyCFunction)PyvtkWeightedTransformFilter_GetCellDataWeightArray, 1,
   (char*)"V.GetCellDataWeightArray() -> string\nC++: char *GetCellDataWeightArray ();\n\n The CellDataWeightArray is analogous to the WeightArray, except\n for CellData.  The array is searched for first in the CellData \n FieldData, then in the input's FieldData.  The data array must have\n a tuple for each cell.  This array is used to transform only normals\n and vectors.\n"},
  {(char*)"SetCellDataTransformIndexArray",                (PyCFunction)PyvtkWeightedTransformFilter_SetCellDataTransformIndexArray, 1,
   (char*)"V.SetCellDataTransformIndexArray(string)\nC++: void SetCellDataTransformIndexArray (char *);\n\n"},
  {(char*)"GetCellDataTransformIndexArray",                (PyCFunction)PyvtkWeightedTransformFilter_GetCellDataTransformIndexArray, 1,
   (char*)"V.GetCellDataTransformIndexArray() -> string\nC++: char *GetCellDataTransformIndexArray ();\n\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkWeightedTransformFilter_SetTransform, 1,
   (char*)"V.SetTransform(vtkAbstractTransform, int)\nC++: virtual void SetTransform (vtkAbstractTransform *transform, int num);\n\n Set or Get one of the filter's transforms. The transform number must\n be less than the number of transforms allocated for the object.  Setting\n a transform slot to NULL is equivalent to assigning an overriding weight\n of zero to that filter slot.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkWeightedTransformFilter_GetTransform, 1,
   (char*)"V.GetTransform(int) -> vtkAbstractTransform\nC++: virtual vtkAbstractTransform *GetTransform (int num);\n\n Set or Get one of the filter's transforms. The transform number must\n be less than the number of transforms allocated for the object.  Setting\n a transform slot to NULL is equivalent to assigning an overriding weight\n of zero to that filter slot.\n"},
  {(char*)"SetNumberOfTransforms",                (PyCFunction)PyvtkWeightedTransformFilter_SetNumberOfTransforms, 1,
   (char*)"V.SetNumberOfTransforms(int)\nC++: virtual void SetNumberOfTransforms (int num);\n\n Set the number of transforms for the filter.  References to non-existent\n filter numbers in the data array is equivalent to a weight of zero\n (i.e., no contribution of that filter or weight).  The maximum number of \n transforms is limited to 65536 if transform index arrays are used.\n"},
  {(char*)"GetNumberOfTransforms",                (PyCFunction)PyvtkWeightedTransformFilter_GetNumberOfTransforms, 1,
   (char*)"V.GetNumberOfTransforms() -> int\nC++: int GetNumberOfTransforms ();\n\n Set the number of transforms for the filter.  References to non-existent\n filter numbers in the data array is equivalent to a weight of zero\n (i.e., no contribution of that filter or weight).  The maximum number of \n transforms is limited to 65536 if transform index arrays are used.\n"},
  {(char*)"AddInputValuesOn",                (PyCFunction)PyvtkWeightedTransformFilter_AddInputValuesOn, 1,
   (char*)"V.AddInputValuesOn()\nC++: void AddInputValuesOn ();\n\n If AddInputValues is true, the output values of this filter will be\n offset from the input values.  The effect is exactly equivalent to\n having an identity transform of weight 1 added into each output point.\n"},
  {(char*)"AddInputValuesOff",                (PyCFunction)PyvtkWeightedTransformFilter_AddInputValuesOff, 1,
   (char*)"V.AddInputValuesOff()\nC++: void AddInputValuesOff ();\n\n If AddInputValues is true, the output values of this filter will be\n offset from the input values.  The effect is exactly equivalent to\n having an identity transform of weight 1 added into each output point.\n"},
  {(char*)"SetAddInputValues",                (PyCFunction)PyvtkWeightedTransformFilter_SetAddInputValues, 1,
   (char*)"V.SetAddInputValues(int)\nC++: void SetAddInputValues (int );\n\n If AddInputValues is true, the output values of this filter will be\n offset from the input values.  The effect is exactly equivalent to\n having an identity transform of weight 1 added into each output point.\n"},
  {(char*)"GetAddInputValues",                (PyCFunction)PyvtkWeightedTransformFilter_GetAddInputValues, 1,
   (char*)"V.GetAddInputValues() -> int\nC++: int GetAddInputValues ();\n\n If AddInputValues is true, the output values of this filter will be\n offset from the input values.  The effect is exactly equivalent to\n having an identity transform of weight 1 added into each output point.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWeightedTransformFilterDoc[] = {
  (char*)"vtkWeightedTransformFilter - transform based on per-point or per-cell weighting functions.\n\n",
  "Super Class:\n\n vtkPointSetAlgorithm\n\n",
  "Caveats:\n\n Weighted combination of normals and vectors are probably not appropriate\n in many cases.  Surface normals are treated somewhat specially, but\n in many cases you may need to regenerate the surface normals.\n\n Cell data can only be transformed if all transforms are linear.\n\n\n\n",
  "See Also:\n\n vtkAbstractTransform vtkLinearTransform vtkTransformPolyDataFilter vtkActor\n\n",
  NULL
};

static vtkObjectBase *vtkWeightedTransformFilterStaticNew()
{
  return vtkWeightedTransformFilter::New();
}

PyObject *PyVTKClass_vtkWeightedTransformFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkWeightedTransformFilterStaticNew,
                        PyvtkWeightedTransformFilterMethods,
                        (char*)"vtkWeightedTransformFilter",modulename,
                        (char**)vtkWeightedTransformFilterDoc,
                        PyVTKClass_vtkPointSetAlgorithmNew(modulename));
}

