// python wrapper for vtkXYPlotActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXYPlotActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXYPlotActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXYPlotActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkActor2DNew(char *); }

static PyObject *PyvtkXYPlotActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  const char    *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkXYPlotActor  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXYPlotActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXYPlotActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXYPlotActor_AddInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  char    *temp1;
  int      temp2;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"Ozi", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::AddInput(temp0,temp1,temp2);
      }
    else
      {
      op->AddInput(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::AddInput(temp0);
      }
    else
      {
      op->AddInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkXYPlotActor_RemoveInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  char    *temp1;
  int      temp2;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"Ozi", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::RemoveInput(temp0,temp1,temp2);
      }
    else
      {
      op->RemoveInput(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::RemoveInput(temp0);
      }
    else
      {
      op->RemoveInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkXYPlotActor_RemoveAllInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::RemoveAllInputs();
      }
    else
      {
      op->RemoveAllInputs();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetInputList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkDataSetCollection  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetInputList();
      }
    else
      {
      temp20 = op->GetInputList();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetPointComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetPointComponent(temp0,temp1);
      }
    else
      {
      op->SetPointComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetPointComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetPointComponent(temp0);
      }
    else
      {
      temp20 = op->GetPointComponent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetXValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetXValues(temp0);
      }
    else
      {
      op->SetXValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetXValuesMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetXValuesMinValue();
      }
    else
      {
      temp20 = op->GetXValuesMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetXValuesMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetXValuesMaxValue();
      }
    else
      {
      temp20 = op->GetXValuesMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetXValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetXValues();
      }
    else
      {
      temp20 = op->GetXValues();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetXValuesToIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetXValuesToIndex();
      }
    else
      {
      op->SetXValuesToIndex();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetXValuesToArcLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetXValuesToArcLength();
      }
    else
      {
      op->SetXValuesToArcLength();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetXValuesToNormalizedArcLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetXValuesToNormalizedArcLength();
      }
    else
      {
      op->SetXValuesToNormalizedArcLength();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetXValuesToValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetXValuesToValue();
      }
    else
      {
      op->SetXValuesToValue();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetXValuesAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  const char    *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetXValuesAsString();
      }
    else
      {
      temp20 = op->GetXValuesAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_AddDataObjectInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::AddDataObjectInput(temp0);
      }
    else
      {
      op->AddDataObjectInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkXYPlotActor_RemoveDataObjectInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::RemoveDataObjectInput(temp0);
      }
    else
      {
      op->RemoveDataObjectInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetDataObjectInputList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkDataObjectCollection  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetDataObjectInputList();
      }
    else
      {
      temp20 = op->GetDataObjectInputList();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetDataObjectPlotMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetDataObjectPlotMode(temp0);
      }
    else
      {
      op->SetDataObjectPlotMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetDataObjectPlotModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetDataObjectPlotModeMinValue();
      }
    else
      {
      temp20 = op->GetDataObjectPlotModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetDataObjectPlotModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetDataObjectPlotModeMaxValue();
      }
    else
      {
      temp20 = op->GetDataObjectPlotModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetDataObjectPlotMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetDataObjectPlotMode();
      }
    else
      {
      temp20 = op->GetDataObjectPlotMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetDataObjectPlotModeToRows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetDataObjectPlotModeToRows();
      }
    else
      {
      op->SetDataObjectPlotModeToRows();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetDataObjectPlotModeToColumns(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetDataObjectPlotModeToColumns();
      }
    else
      {
      op->SetDataObjectPlotModeToColumns();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetDataObjectPlotModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  const char    *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetDataObjectPlotModeAsString();
      }
    else
      {
      temp20 = op->GetDataObjectPlotModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetDataObjectXComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetDataObjectXComponent(temp0,temp1);
      }
    else
      {
      op->SetDataObjectXComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetDataObjectXComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetDataObjectXComponent(temp0);
      }
    else
      {
      temp20 = op->GetDataObjectXComponent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetDataObjectYComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetDataObjectYComponent(temp0,temp1);
      }
    else
      {
      op->SetDataObjectYComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetDataObjectYComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetDataObjectYComponent(temp0);
      }
    else
      {
      temp20 = op->GetDataObjectYComponent(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetPlotColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"iddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetPlotColor(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetPlotColor(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  double temp1[3];
  PyErr_Clear();
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetPlotColor(temp0,temp1);
      }
    else
      {
      op->SetPlotColor(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetPlotColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  double  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetPlotColor(temp0);
      }
    else
      {
      temp20 = op->GetPlotColor(temp0);
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetPlotSymbol(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  vtkPolyData  *temp1;
  PyObject *tempH1;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkPolyData");
    if (!temp1 && tempH1 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetPlotSymbol(temp0,temp1);
      }
    else
      {
      op->SetPlotSymbol(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetPlotSymbol(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  vtkPolyData  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetPlotSymbol(temp0);
      }
    else
      {
      temp20 = op->GetPlotSymbol(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetPlotLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  char    *temp1;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetPlotLabel(temp0,temp1);
      }
    else
      {
      op->SetPlotLabel(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetPlotLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetPlotLabel(temp0);
      }
    else
      {
      temp20 = op->GetPlotLabel(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetPlotCurvePoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetPlotCurvePoints();
      }
    else
      {
      temp20 = op->GetPlotCurvePoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetPlotCurvePoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetPlotCurvePoints(temp0);
      }
    else
      {
      op->SetPlotCurvePoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_PlotCurvePointsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::PlotCurvePointsOn();
      }
    else
      {
      op->PlotCurvePointsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_PlotCurvePointsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::PlotCurvePointsOff();
      }
    else
      {
      op->PlotCurvePointsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetPlotCurveLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetPlotCurveLines();
      }
    else
      {
      temp20 = op->GetPlotCurveLines();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetPlotCurveLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetPlotCurveLines(temp0);
      }
    else
      {
      op->SetPlotCurveLines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_PlotCurveLinesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::PlotCurveLinesOn();
      }
    else
      {
      op->PlotCurveLinesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_PlotCurveLinesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::PlotCurveLinesOff();
      }
    else
      {
      op->PlotCurveLinesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetPlotLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetPlotLines(temp0,temp1);
      }
    else
      {
      op->SetPlotLines(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  PyErr_Clear();
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetPlotLines(temp0);
      }
    else
      {
      op->SetPlotLines(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetPlotLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetPlotLines(temp0);
      }
    else
      {
      temp20 = op->GetPlotLines(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  PyErr_Clear();
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetPlotLines();
      }
    else
      {
      temp20 = op->GetPlotLines();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetPlotPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetPlotPoints(temp0,temp1);
      }
    else
      {
      op->SetPlotPoints(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  PyErr_Clear();
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetPlotPoints(temp0);
      }
    else
      {
      op->SetPlotPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetPlotPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetPlotPoints(temp0);
      }
    else
      {
      temp20 = op->GetPlotPoints(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  PyErr_Clear();
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetPlotPoints();
      }
    else
      {
      temp20 = op->GetPlotPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetExchangeAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetExchangeAxes(temp0);
      }
    else
      {
      op->SetExchangeAxes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetExchangeAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetExchangeAxes();
      }
    else
      {
      temp20 = op->GetExchangeAxes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_ExchangeAxesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::ExchangeAxesOn();
      }
    else
      {
      op->ExchangeAxesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_ExchangeAxesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::ExchangeAxesOff();
      }
    else
      {
      op->ExchangeAxesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetReverseXAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetReverseXAxis(temp0);
      }
    else
      {
      op->SetReverseXAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetReverseXAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetReverseXAxis();
      }
    else
      {
      temp20 = op->GetReverseXAxis();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_ReverseXAxisOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::ReverseXAxisOn();
      }
    else
      {
      op->ReverseXAxisOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_ReverseXAxisOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::ReverseXAxisOff();
      }
    else
      {
      op->ReverseXAxisOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetReverseYAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetReverseYAxis(temp0);
      }
    else
      {
      op->SetReverseYAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetReverseYAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetReverseYAxis();
      }
    else
      {
      temp20 = op->GetReverseYAxis();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_ReverseYAxisOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::ReverseYAxisOn();
      }
    else
      {
      op->ReverseYAxisOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_ReverseYAxisOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::ReverseYAxisOff();
      }
    else
      {
      op->ReverseYAxisOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetLegendActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkLegendBoxActor  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetLegendActor();
      }
    else
      {
      temp20 = op->GetLegendActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetGlyphSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkGlyphSource2D  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetGlyphSource();
      }
    else
      {
      temp20 = op->GetGlyphSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  char    *temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetTitle(temp0);
      }
    else
      {
      op->SetTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  char    *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetTitle();
      }
    else
      {
      temp20 = op->GetTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetXTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  char    *temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetXTitle(temp0);
      }
    else
      {
      op->SetXTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetXTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  char    *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetXTitle();
      }
    else
      {
      temp20 = op->GetXTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetYTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  char    *temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetYTitle(temp0);
      }
    else
      {
      op->SetYTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetYTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  char    *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetYTitle();
      }
    else
      {
      temp20 = op->GetYTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetXAxisActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkAxisActor2D  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetXAxisActor2D();
      }
    else
      {
      temp20 = op->GetXAxisActor2D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetYAxisActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkAxisActor2D  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetYAxisActor2D();
      }
    else
      {
      temp20 = op->GetYAxisActor2D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetXRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetXRange(temp0,temp1);
      }
    else
      {
      op->SetXRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetXRange(temp0);
      }
    else
      {
      op->SetXRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetXRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetXRange();
      }
    else
      {
      temp20 = op->GetXRange();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetYRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetYRange(temp0,temp1);
      }
    else
      {
      op->SetYRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetYRange(temp0);
      }
    else
      {
      op->SetYRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetYRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetYRange();
      }
    else
      {
      temp20 = op->GetYRange();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetPlotRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetPlotRange(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetPlotRange(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetNumberOfXLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetNumberOfXLabels(temp0);
      }
    else
      {
      op->SetNumberOfXLabels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetNumberOfXLabelsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetNumberOfXLabelsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfXLabelsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetNumberOfXLabelsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetNumberOfXLabelsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfXLabelsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetNumberOfXLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetNumberOfXLabels();
      }
    else
      {
      temp20 = op->GetNumberOfXLabels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetNumberOfYLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetNumberOfYLabels(temp0);
      }
    else
      {
      op->SetNumberOfYLabels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetNumberOfYLabelsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetNumberOfYLabelsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfYLabelsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetNumberOfYLabelsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetNumberOfYLabelsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfYLabelsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetNumberOfYLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetNumberOfYLabels();
      }
    else
      {
      temp20 = op->GetNumberOfYLabels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetNumberOfLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetNumberOfLabels(temp0);
      }
    else
      {
      op->SetNumberOfLabels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetLegend(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetLegend(temp0);
      }
    else
      {
      op->SetLegend(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetLegend(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetLegend();
      }
    else
      {
      temp20 = op->GetLegend();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_LegendOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::LegendOn();
      }
    else
      {
      op->LegendOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_LegendOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::LegendOff();
      }
    else
      {
      op->LegendOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetLegendPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetLegendPosition(temp0,temp1);
      }
    else
      {
      op->SetLegendPosition(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetLegendPosition(temp0);
      }
    else
      {
      op->SetLegendPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetLegendPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetLegendPosition();
      }
    else
      {
      temp20 = op->GetLegendPosition();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetLegendPosition2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetLegendPosition2(temp0,temp1);
      }
    else
      {
      op->SetLegendPosition2(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetLegendPosition2(temp0);
      }
    else
      {
      op->SetLegendPosition2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetLegendPosition2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetLegendPosition2();
      }
    else
      {
      temp20 = op->GetLegendPosition2();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetTitleTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break102;
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetTitleTextProperty(temp0);
      }
    else
      {
      op->SetTitleTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break102:
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetTitleTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkTextProperty  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetTitleTextProperty();
      }
    else
      {
      temp20 = op->GetTitleTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetAxisTitleTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break104;
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetAxisTitleTextProperty(temp0);
      }
    else
      {
      op->SetAxisTitleTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break104:
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetAxisTitleTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkTextProperty  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetAxisTitleTextProperty();
      }
    else
      {
      temp20 = op->GetAxisTitleTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetAxisLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break106;
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetAxisLabelTextProperty(temp0);
      }
    else
      {
      op->SetAxisLabelTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break106:
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetAxisLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkTextProperty  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetAxisLabelTextProperty();
      }
    else
      {
      temp20 = op->GetAxisLabelTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetLogx(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetLogx(temp0);
      }
    else
      {
      op->SetLogx(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetLogx(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetLogx();
      }
    else
      {
      temp20 = op->GetLogx();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_LogxOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::LogxOn();
      }
    else
      {
      op->LogxOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_LogxOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::LogxOff();
      }
    else
      {
      op->LogxOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  char    *temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetLabelFormat(temp0);
      }
    else
      {
      op->SetLabelFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  char    *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetLabelFormat();
      }
    else
      {
      temp20 = op->GetLabelFormat();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetBorder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetBorder(temp0);
      }
    else
      {
      op->SetBorder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetBorderMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetBorderMinValue();
      }
    else
      {
      temp20 = op->GetBorderMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetBorderMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetBorderMaxValue();
      }
    else
      {
      temp20 = op->GetBorderMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetBorder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetBorder();
      }
    else
      {
      temp20 = op->GetBorder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_PlotPointsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::PlotPointsOn();
      }
    else
      {
      op->PlotPointsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_PlotPointsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::PlotPointsOff();
      }
    else
      {
      op->PlotPointsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_PlotLinesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::PlotLinesOn();
      }
    else
      {
      op->PlotLinesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_PlotLinesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::PlotLinesOff();
      }
    else
      {
      op->PlotLinesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetGlyphSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double   temp0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetGlyphSize(temp0);
      }
    else
      {
      op->SetGlyphSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetGlyphSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double   temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetGlyphSizeMinValue();
      }
    else
      {
      temp20 = op->GetGlyphSizeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetGlyphSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double   temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetGlyphSizeMaxValue();
      }
    else
      {
      temp20 = op->GetGlyphSizeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetGlyphSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double   temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetGlyphSize();
      }
    else
      {
      temp20 = op->GetGlyphSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_ViewportToPlotCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break130;
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::ViewportToPlotCoordinate(temp0);
      }
    else
      {
      op->ViewportToPlotCoordinate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break130:
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetPlotCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetPlotCoordinate(temp0,temp1);
      }
    else
      {
      op->SetPlotCoordinate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetPlotCoordinate(temp0);
      }
    else
      {
      op->SetPlotCoordinate(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetPlotCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetPlotCoordinate();
      }
    else
      {
      temp20 = op->GetPlotCoordinate();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_PlotToViewportCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break134;
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::PlotToViewportCoordinate(temp0);
      }
    else
      {
      op->PlotToViewportCoordinate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break134:
  return NULL;
}


static PyObject *PyvtkXYPlotActor_SetViewportCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetViewportCoordinate(temp0,temp1);
      }
    else
      {
      op->SetViewportCoordinate(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotActor::SetViewportCoordinate(temp0);
      }
    else
      {
      op->SetViewportCoordinate(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetViewportCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  double  *temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetViewportCoordinate();
      }
    else
      {
      temp20 = op->GetViewportCoordinate();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotActor_IsInPlot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  double   temp1;
  double   temp2;
  int      temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"Odd", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break138;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::IsInPlot(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->IsInPlot(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break138:
  return NULL;
}


static PyObject *PyvtkXYPlotActor_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotActor *op;

  unsigned long     temp20;
  if ((op = (vtkXYPlotActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotActor::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXYPlotActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXYPlotActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXYPlotActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXYPlotActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXYPlotActor\nC++: vtkXYPlotActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXYPlotActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXYPlotActor\nC++: vtkXYPlotActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddInput",                (PyCFunction)PyvtkXYPlotActor_AddInput, 1,
   (char*)"V.AddInput(vtkDataSet, string, int)\nC++: void AddInput (vtkDataSet *in, const char *arrayName, int component);\nV.AddInput(vtkDataSet)\nC++: void AddInput (vtkDataSet *in);this AddInput in NULL \n\n Add a dataset to the list of data to append. The array name specifies\n which point array to plot.  If the array name is NULL, then the default\n scalars are used.  The array can have multiple components, but only the\n first component is ploted.\n"},
  {(char*)"RemoveInput",                (PyCFunction)PyvtkXYPlotActor_RemoveInput, 1,
   (char*)"V.RemoveInput(vtkDataSet, string, int)\nC++: void RemoveInput (vtkDataSet *in, const char *arrayName, int component);\nV.RemoveInput(vtkDataSet)\nC++: void RemoveInput (vtkDataSet *in);this RemoveInput in NULL \n\n Remove a dataset from the list of data to append.\n"},
  {(char*)"RemoveAllInputs",                (PyCFunction)PyvtkXYPlotActor_RemoveAllInputs, 1,
   (char*)"V.RemoveAllInputs()\nC++: void RemoveAllInputs ();\n\n This removes all of the data set inputs, \n but does not change the data object inputs.\n"},
  {(char*)"GetInputList",                (PyCFunction)PyvtkXYPlotActor_GetInputList, 1,
   (char*)"V.GetInputList() -> vtkDataSetCollection\nC++: vtkDataSetCollection *GetInputList ();return this InputList \n\n If plotting points by value, which component to use to determine the\n value. This sets a value per each input dataset (i.e., the ith dataset).\n"},
  {(char*)"SetPointComponent",                (PyCFunction)PyvtkXYPlotActor_SetPointComponent, 1,
   (char*)"V.SetPointComponent(int, int)\nC++: void SetPointComponent (int i, int comp);\n\n If plotting points by value, which component to use to determine the\n value. This sets a value per each input dataset (i.e., the ith dataset).\n"},
  {(char*)"GetPointComponent",                (PyCFunction)PyvtkXYPlotActor_GetPointComponent, 1,
   (char*)"V.GetPointComponent(int) -> int\nC++: int GetPointComponent (int i);\n\n If plotting points by value, which component to use to determine the\n value. This sets a value per each input dataset (i.e., the ith dataset).\n"},
  {(char*)"SetXValues",                (PyCFunction)PyvtkXYPlotActor_SetXValues, 1,
   (char*)"V.SetXValues(int)\nC++: void SetXValues (int );\n\n Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting length 1-dimensional length\n measures are used.)\n"},
  {(char*)"GetXValuesMinValue",                (PyCFunction)PyvtkXYPlotActor_GetXValuesMinValue, 1,
   (char*)"V.GetXValuesMinValue() -> int\nC++: int GetXValuesMinValue ();\n\n Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting length 1-dimensional length\n measures are used.)\n"},
  {(char*)"GetXValuesMaxValue",                (PyCFunction)PyvtkXYPlotActor_GetXValuesMaxValue, 1,
   (char*)"V.GetXValuesMaxValue() -> int\nC++: int GetXValuesMaxValue ();\n\n Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting length 1-dimensional length\n measures are used.)\n"},
  {(char*)"GetXValues",                (PyCFunction)PyvtkXYPlotActor_GetXValues, 1,
   (char*)"V.GetXValues() -> int\nC++: int GetXValues ();\n\n Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting length 1-dimensional length\n measures are used.)\n"},
  {(char*)"SetXValuesToIndex",                (PyCFunction)PyvtkXYPlotActor_SetXValuesToIndex, 1,
   (char*)"V.SetXValuesToIndex()\nC++: void SetXValuesToIndex ();this SetXValues VTK_XYPLOT_INDEX \n\n Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting length 1-dimensional length\n measures are used.)\n"},
  {(char*)"SetXValuesToArcLength",                (PyCFunction)PyvtkXYPlotActor_SetXValuesToArcLength, 1,
   (char*)"V.SetXValuesToArcLength()\nC++: void SetXValuesToArcLength ();this SetXValues VTK_XYPLOT_ARC_LENGTH \n\n Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting length 1-dimensional length\n measures are used.)\n"},
  {(char*)"SetXValuesToNormalizedArcLength",                (PyCFunction)PyvtkXYPlotActor_SetXValuesToNormalizedArcLength, 1,
   (char*)"V.SetXValuesToNormalizedArcLength()\nC++: void SetXValuesToNormalizedArcLength ();this SetXValues VTK_XYPLOT_NORMALIZED_ARC_LENGTH \n\n Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting length 1-dimensional length\n measures are used.)\n"},
  {(char*)"SetXValuesToValue",                (PyCFunction)PyvtkXYPlotActor_SetXValuesToValue, 1,
   (char*)"V.SetXValuesToValue()\nC++: void SetXValuesToValue ();this SetXValues VTK_XYPLOT_VALUE \n\n Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting length 1-dimensional length\n measures are used.)\n"},
  {(char*)"GetXValuesAsString",                (PyCFunction)PyvtkXYPlotActor_GetXValuesAsString, 1,
   (char*)"V.GetXValuesAsString() -> string\nC++: const char *GetXValuesAsString ();\n\n Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting length 1-dimensional length\n measures are used.)\n"},
  {(char*)"AddDataObjectInput",                (PyCFunction)PyvtkXYPlotActor_AddDataObjectInput, 1,
   (char*)"V.AddDataObjectInput(vtkDataObject)\nC++: void AddDataObjectInput (vtkDataObject *in);\n\n Add a dataset to the list of data to append.\n"},
  {(char*)"RemoveDataObjectInput",                (PyCFunction)PyvtkXYPlotActor_RemoveDataObjectInput, 1,
   (char*)"V.RemoveDataObjectInput(vtkDataObject)\nC++: void RemoveDataObjectInput (vtkDataObject *in);\n\n Remove a dataset from the list of data to append.\n"},
  {(char*)"GetDataObjectInputList",                (PyCFunction)PyvtkXYPlotActor_GetDataObjectInputList, 1,
   (char*)"V.GetDataObjectInputList() -> vtkDataObjectCollection\nC++: vtkDataObjectCollection *GetDataObjectInputList ();return this DataObjectInputList \n\n Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n"},
  {(char*)"SetDataObjectPlotMode",                (PyCFunction)PyvtkXYPlotActor_SetDataObjectPlotMode, 1,
   (char*)"V.SetDataObjectPlotMode(int)\nC++: void SetDataObjectPlotMode (int );\n\n Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n"},
  {(char*)"GetDataObjectPlotModeMinValue",                (PyCFunction)PyvtkXYPlotActor_GetDataObjectPlotModeMinValue, 1,
   (char*)"V.GetDataObjectPlotModeMinValue() -> int\nC++: int GetDataObjectPlotModeMinValue ();\n\n Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n"},
  {(char*)"GetDataObjectPlotModeMaxValue",                (PyCFunction)PyvtkXYPlotActor_GetDataObjectPlotModeMaxValue, 1,
   (char*)"V.GetDataObjectPlotModeMaxValue() -> int\nC++: int GetDataObjectPlotModeMaxValue ();\n\n Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n"},
  {(char*)"GetDataObjectPlotMode",                (PyCFunction)PyvtkXYPlotActor_GetDataObjectPlotMode, 1,
   (char*)"V.GetDataObjectPlotMode() -> int\nC++: int GetDataObjectPlotMode ();\n\n Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n"},
  {(char*)"SetDataObjectPlotModeToRows",                (PyCFunction)PyvtkXYPlotActor_SetDataObjectPlotModeToRows, 1,
   (char*)"V.SetDataObjectPlotModeToRows()\nC++: void SetDataObjectPlotModeToRows ();this SetDataObjectPlotMode VTK_XYPLOT_ROW \n\n Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n"},
  {(char*)"SetDataObjectPlotModeToColumns",                (PyCFunction)PyvtkXYPlotActor_SetDataObjectPlotModeToColumns, 1,
   (char*)"V.SetDataObjectPlotModeToColumns()\nC++: void SetDataObjectPlotModeToColumns ();this SetDataObjectPlotMode VTK_XYPLOT_COLUMN \n\n Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n"},
  {(char*)"GetDataObjectPlotModeAsString",                (PyCFunction)PyvtkXYPlotActor_GetDataObjectPlotModeAsString, 1,
   (char*)"V.GetDataObjectPlotModeAsString() -> string\nC++: const char *GetDataObjectPlotModeAsString ();\n\n Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n"},
  {(char*)"SetDataObjectXComponent",                (PyCFunction)PyvtkXYPlotActor_SetDataObjectXComponent, 1,
   (char*)"V.SetDataObjectXComponent(int, int)\nC++: void SetDataObjectXComponent (int i, int comp);\n\n Specify which component of the input data object to use as the\n independent variable for the ith input data object. (This ivar is\n ignored if plotting the index.) Note that the value is interpreted\n differently depending on DataObjectPlotMode. If the mode is Rows, then\n the value of DataObjectXComponent is the row number; otherwise it's the\n column number.\n"},
  {(char*)"GetDataObjectXComponent",                (PyCFunction)PyvtkXYPlotActor_GetDataObjectXComponent, 1,
   (char*)"V.GetDataObjectXComponent(int) -> int\nC++: int GetDataObjectXComponent (int i);\n\n Specify which component of the input data object to use as the\n independent variable for the ith input data object. (This ivar is\n ignored if plotting the index.) Note that the value is interpreted\n differently depending on DataObjectPlotMode. If the mode is Rows, then\n the value of DataObjectXComponent is the row number; otherwise it's the\n column number.\n"},
  {(char*)"SetDataObjectYComponent",                (PyCFunction)PyvtkXYPlotActor_SetDataObjectYComponent, 1,
   (char*)"V.SetDataObjectYComponent(int, int)\nC++: void SetDataObjectYComponent (int i, int comp);\n\n Specify which component of the input data object to use as the\n dependent variable for the ith input data object. (This ivar is\n ignored if plotting the index.) Note that the value is interpreted\n differently depending on DataObjectPlotMode. If the mode is Rows, then\n the value of DataObjectYComponent is the row number; otherwise it's the\n column number.\n"},
  {(char*)"GetDataObjectYComponent",                (PyCFunction)PyvtkXYPlotActor_GetDataObjectYComponent, 1,
   (char*)"V.GetDataObjectYComponent(int) -> int\nC++: int GetDataObjectYComponent (int i);\n\n Specify which component of the input data object to use as the\n dependent variable for the ith input data object. (This ivar is\n ignored if plotting the index.) Note that the value is interpreted\n differently depending on DataObjectPlotMode. If the mode is Rows, then\n the value of DataObjectYComponent is the row number; otherwise it's the\n column number.\n"},
  {(char*)"SetPlotColor",                (PyCFunction)PyvtkXYPlotActor_SetPlotColor, 1,
   (char*)"V.SetPlotColor(int, float, float, float)\nC++: void SetPlotColor (int i, double r, double g, double b);\nV.SetPlotColor(int, (float, float, float))\nC++: void SetPlotColor (int i, const double color[3]);this SetPlotColor i color color color \n\n"},
  {(char*)"GetPlotColor",                (PyCFunction)PyvtkXYPlotActor_GetPlotColor, 1,
   (char*)"V.GetPlotColor(int) -> (float, float, float)\nC++: double *GetPlotColor (int i);\n\n"},
  {(char*)"SetPlotSymbol",                (PyCFunction)PyvtkXYPlotActor_SetPlotSymbol, 1,
   (char*)"V.SetPlotSymbol(int, vtkPolyData)\nC++: void SetPlotSymbol (int i, vtkPolyData *input);\n\n"},
  {(char*)"GetPlotSymbol",                (PyCFunction)PyvtkXYPlotActor_GetPlotSymbol, 1,
   (char*)"V.GetPlotSymbol(int) -> vtkPolyData\nC++: vtkPolyData *GetPlotSymbol (int i);\n\n"},
  {(char*)"SetPlotLabel",                (PyCFunction)PyvtkXYPlotActor_SetPlotLabel, 1,
   (char*)"V.SetPlotLabel(int, string)\nC++: void SetPlotLabel (int i, const char *label);\n\n"},
  {(char*)"GetPlotLabel",                (PyCFunction)PyvtkXYPlotActor_GetPlotLabel, 1,
   (char*)"V.GetPlotLabel(int) -> string\nC++: const char *GetPlotLabel (int i);\n\n"},
  {(char*)"GetPlotCurvePoints",                (PyCFunction)PyvtkXYPlotActor_GetPlotCurvePoints, 1,
   (char*)"V.GetPlotCurvePoints() -> int\nC++: int GetPlotCurvePoints ();\n\n"},
  {(char*)"SetPlotCurvePoints",                (PyCFunction)PyvtkXYPlotActor_SetPlotCurvePoints, 1,
   (char*)"V.SetPlotCurvePoints(int)\nC++: void SetPlotCurvePoints (int );\n\n"},
  {(char*)"PlotCurvePointsOn",                (PyCFunction)PyvtkXYPlotActor_PlotCurvePointsOn, 1,
   (char*)"V.PlotCurvePointsOn()\nC++: void PlotCurvePointsOn ();\n\n"},
  {(char*)"PlotCurvePointsOff",                (PyCFunction)PyvtkXYPlotActor_PlotCurvePointsOff, 1,
   (char*)"V.PlotCurvePointsOff()\nC++: void PlotCurvePointsOff ();\n\n"},
  {(char*)"GetPlotCurveLines",                (PyCFunction)PyvtkXYPlotActor_GetPlotCurveLines, 1,
   (char*)"V.GetPlotCurveLines() -> int\nC++: int GetPlotCurveLines ();\n\n"},
  {(char*)"SetPlotCurveLines",                (PyCFunction)PyvtkXYPlotActor_SetPlotCurveLines, 1,
   (char*)"V.SetPlotCurveLines(int)\nC++: void SetPlotCurveLines (int );\n\n"},
  {(char*)"PlotCurveLinesOn",                (PyCFunction)PyvtkXYPlotActor_PlotCurveLinesOn, 1,
   (char*)"V.PlotCurveLinesOn()\nC++: void PlotCurveLinesOn ();\n\n"},
  {(char*)"PlotCurveLinesOff",                (PyCFunction)PyvtkXYPlotActor_PlotCurveLinesOff, 1,
   (char*)"V.PlotCurveLinesOff()\nC++: void PlotCurveLinesOff ();\n\n"},
  {(char*)"SetPlotLines",                (PyCFunction)PyvtkXYPlotActor_SetPlotLines, 1,
   (char*)"V.SetPlotLines(int, int)\nC++: void SetPlotLines (int i, int );\nV.SetPlotLines(int)\nC++: void SetPlotLines (int );\n\n"},
  {(char*)"GetPlotLines",                (PyCFunction)PyvtkXYPlotActor_GetPlotLines, 1,
   (char*)"V.GetPlotLines(int) -> int\nC++: int GetPlotLines (int i);\nV.GetPlotLines() -> int\nC++: int GetPlotLines ();\n\n"},
  {(char*)"SetPlotPoints",                (PyCFunction)PyvtkXYPlotActor_SetPlotPoints, 1,
   (char*)"V.SetPlotPoints(int, int)\nC++: void SetPlotPoints (int i, int );\nV.SetPlotPoints(int)\nC++: void SetPlotPoints (int );\n\n"},
  {(char*)"GetPlotPoints",                (PyCFunction)PyvtkXYPlotActor_GetPlotPoints, 1,
   (char*)"V.GetPlotPoints(int) -> int\nC++: int GetPlotPoints (int i);\nV.GetPlotPoints() -> int\nC++: int GetPlotPoints ();\n\n"},
  {(char*)"SetExchangeAxes",                (PyCFunction)PyvtkXYPlotActor_SetExchangeAxes, 1,
   (char*)"V.SetExchangeAxes(int)\nC++: void SetExchangeAxes (int );\n\n Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and\n vice-versa). Exchanging axes affects the labeling as well.\n"},
  {(char*)"GetExchangeAxes",                (PyCFunction)PyvtkXYPlotActor_GetExchangeAxes, 1,
   (char*)"V.GetExchangeAxes() -> int\nC++: int GetExchangeAxes ();\n\n Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and\n vice-versa). Exchanging axes affects the labeling as well.\n"},
  {(char*)"ExchangeAxesOn",                (PyCFunction)PyvtkXYPlotActor_ExchangeAxesOn, 1,
   (char*)"V.ExchangeAxesOn()\nC++: void ExchangeAxesOn ();\n\n Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and\n vice-versa). Exchanging axes affects the labeling as well.\n"},
  {(char*)"ExchangeAxesOff",                (PyCFunction)PyvtkXYPlotActor_ExchangeAxesOff, 1,
   (char*)"V.ExchangeAxesOff()\nC++: void ExchangeAxesOff ();\n\n Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and\n vice-versa). Exchanging axes affects the labeling as well.\n"},
  {(char*)"SetReverseXAxis",                (PyCFunction)PyvtkXYPlotActor_SetReverseXAxis, 1,
   (char*)"V.SetReverseXAxis(int)\nC++: void SetReverseXAxis (int );\n\n Normally the x-axis is plotted from minimum to maximum. Setting this instance\n variable causes the x-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the x-axis even if ExchangeAxes is set.\n"},
  {(char*)"GetReverseXAxis",                (PyCFunction)PyvtkXYPlotActor_GetReverseXAxis, 1,
   (char*)"V.GetReverseXAxis() -> int\nC++: int GetReverseXAxis ();\n\n Normally the x-axis is plotted from minimum to maximum. Setting this instance\n variable causes the x-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the x-axis even if ExchangeAxes is set.\n"},
  {(char*)"ReverseXAxisOn",                (PyCFunction)PyvtkXYPlotActor_ReverseXAxisOn, 1,
   (char*)"V.ReverseXAxisOn()\nC++: void ReverseXAxisOn ();\n\n Normally the x-axis is plotted from minimum to maximum. Setting this instance\n variable causes the x-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the x-axis even if ExchangeAxes is set.\n"},
  {(char*)"ReverseXAxisOff",                (PyCFunction)PyvtkXYPlotActor_ReverseXAxisOff, 1,
   (char*)"V.ReverseXAxisOff()\nC++: void ReverseXAxisOff ();\n\n Normally the x-axis is plotted from minimum to maximum. Setting this instance\n variable causes the x-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the x-axis even if ExchangeAxes is set.\n"},
  {(char*)"SetReverseYAxis",                (PyCFunction)PyvtkXYPlotActor_SetReverseYAxis, 1,
   (char*)"V.SetReverseYAxis(int)\nC++: void SetReverseYAxis (int );\n\n Normally the y-axis is plotted from minimum to maximum. Setting this instance\n variable causes the y-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the y-axis even if ExchangeAxes is set.\n"},
  {(char*)"GetReverseYAxis",                (PyCFunction)PyvtkXYPlotActor_GetReverseYAxis, 1,
   (char*)"V.GetReverseYAxis() -> int\nC++: int GetReverseYAxis ();\n\n Normally the y-axis is plotted from minimum to maximum. Setting this instance\n variable causes the y-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the y-axis even if ExchangeAxes is set.\n"},
  {(char*)"ReverseYAxisOn",                (PyCFunction)PyvtkXYPlotActor_ReverseYAxisOn, 1,
   (char*)"V.ReverseYAxisOn()\nC++: void ReverseYAxisOn ();\n\n Normally the y-axis is plotted from minimum to maximum. Setting this instance\n variable causes the y-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the y-axis even if ExchangeAxes is set.\n"},
  {(char*)"ReverseYAxisOff",                (PyCFunction)PyvtkXYPlotActor_ReverseYAxisOff, 1,
   (char*)"V.ReverseYAxisOff()\nC++: void ReverseYAxisOff ();\n\n Normally the y-axis is plotted from minimum to maximum. Setting this instance\n variable causes the y-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the y-axis even if ExchangeAxes is set.\n"},
  {(char*)"GetLegendActor",                (PyCFunction)PyvtkXYPlotActor_GetLegendActor, 1,
   (char*)"V.GetLegendActor() -> vtkLegendBoxActor\nC++: vtkLegendBoxActor *GetLegendActor ();\n\n Retrieve handles to the legend box and glyph source. This is useful\n if you would like to change the default behavior of the legend box\n or glyph source. For example, the default glyph can be changed from\n a line to a vertex plus line, etc.)\n"},
  {(char*)"GetGlyphSource",                (PyCFunction)PyvtkXYPlotActor_GetGlyphSource, 1,
   (char*)"V.GetGlyphSource() -> vtkGlyphSource2D\nC++: vtkGlyphSource2D *GetGlyphSource ();\n\n Retrieve handles to the legend box and glyph source. This is useful\n if you would like to change the default behavior of the legend box\n or glyph source. For example, the default glyph can be changed from\n a line to a vertex plus line, etc.)\n"},
  {(char*)"SetTitle",                (PyCFunction)PyvtkXYPlotActor_SetTitle, 1,
   (char*)"V.SetTitle(string)\nC++: void SetTitle (char *);\n\n Set/Get the title of the x-y plot, and the title along the \n x and y axes.\n"},
  {(char*)"GetTitle",                (PyCFunction)PyvtkXYPlotActor_GetTitle, 1,
   (char*)"V.GetTitle() -> string\nC++: char *GetTitle ();\n\n Set/Get the title of the x-y plot, and the title along the \n x and y axes.\n"},
  {(char*)"SetXTitle",                (PyCFunction)PyvtkXYPlotActor_SetXTitle, 1,
   (char*)"V.SetXTitle(string)\nC++: void SetXTitle (char *);\n\n Set/Get the title of the x-y plot, and the title along the \n x and y axes.\n"},
  {(char*)"GetXTitle",                (PyCFunction)PyvtkXYPlotActor_GetXTitle, 1,
   (char*)"V.GetXTitle() -> string\nC++: char *GetXTitle ();\n\n Set/Get the title of the x-y plot, and the title along the \n x and y axes.\n"},
  {(char*)"SetYTitle",                (PyCFunction)PyvtkXYPlotActor_SetYTitle, 1,
   (char*)"V.SetYTitle(string)\nC++: void SetYTitle (char *);\n\n Set/Get the title of the x-y plot, and the title along the \n x and y axes.\n"},
  {(char*)"GetYTitle",                (PyCFunction)PyvtkXYPlotActor_GetYTitle, 1,
   (char*)"V.GetYTitle() -> string\nC++: char *GetYTitle ();\n\n Set/Get the title of the x-y plot, and the title along the \n x and y axes.\n"},
  {(char*)"GetXAxisActor2D",                (PyCFunction)PyvtkXYPlotActor_GetXAxisActor2D, 1,
   (char*)"V.GetXAxisActor2D() -> vtkAxisActor2D\nC++: vtkAxisActor2D *GetXAxisActor2D ();return this XAxis \n\n Retrieve handles to the X and Y axis (so that you can set their text\n properties for example)\n"},
  {(char*)"GetYAxisActor2D",                (PyCFunction)PyvtkXYPlotActor_GetYAxisActor2D, 1,
   (char*)"V.GetYAxisActor2D() -> vtkAxisActor2D\nC++: vtkAxisActor2D *GetYAxisActor2D ();return this YAxis \n\n Set the plot range (range of independent and dependent variables)\n to plot. Data outside of the range will be clipped. If the plot\n range of either the x or y variables is set to (v1,v2), where\n v1 == v2, then the range will be computed automatically. Note that\n the x-range values should be consistent with the way the independent\n variable is created (via INDEX, DISTANCE, or ARC_LENGTH).\n"},
  {(char*)"SetXRange",                (PyCFunction)PyvtkXYPlotActor_SetXRange, 1,
   (char*)"V.SetXRange(float, float)\nC++: void SetXRange (double , double );\nV.SetXRange((float, float))\nC++: void SetXRange (double  a[2]);\n\n Set the plot range (range of independent and dependent variables)\n to plot. Data outside of the range will be clipped. If the plot\n range of either the x or y variables is set to (v1,v2), where\n v1 == v2, then the range will be computed automatically. Note that\n the x-range values should be consistent with the way the independent\n variable is created (via INDEX, DISTANCE, or ARC_LENGTH).\n"},
  {(char*)"GetXRange",                (PyCFunction)PyvtkXYPlotActor_GetXRange, 1,
   (char*)"V.GetXRange() -> (float, float)\nC++: double  *GetXRange ();\n\n Set the plot range (range of independent and dependent variables)\n to plot. Data outside of the range will be clipped. If the plot\n range of either the x or y variables is set to (v1,v2), where\n v1 == v2, then the range will be computed automatically. Note that\n the x-range values should be consistent with the way the independent\n variable is created (via INDEX, DISTANCE, or ARC_LENGTH).\n"},
  {(char*)"SetYRange",                (PyCFunction)PyvtkXYPlotActor_SetYRange, 1,
   (char*)"V.SetYRange(float, float)\nC++: void SetYRange (double , double );\nV.SetYRange((float, float))\nC++: void SetYRange (double  a[2]);\n\n Set the plot range (range of independent and dependent variables)\n to plot. Data outside of the range will be clipped. If the plot\n range of either the x or y variables is set to (v1,v2), where\n v1 == v2, then the range will be computed automatically. Note that\n the x-range values should be consistent with the way the independent\n variable is created (via INDEX, DISTANCE, or ARC_LENGTH).\n"},
  {(char*)"GetYRange",                (PyCFunction)PyvtkXYPlotActor_GetYRange, 1,
   (char*)"V.GetYRange() -> (float, float)\nC++: double  *GetYRange ();\n\n Set the plot range (range of independent and dependent variables)\n to plot. Data outside of the range will be clipped. If the plot\n range of either the x or y variables is set to (v1,v2), where\n v1 == v2, then the range will be computed automatically. Note that\n the x-range values should be consistent with the way the independent\n variable is created (via INDEX, DISTANCE, or ARC_LENGTH).\n"},
  {(char*)"SetPlotRange",                (PyCFunction)PyvtkXYPlotActor_SetPlotRange, 1,
   (char*)"V.SetPlotRange(float, float, float, float)\nC++: void SetPlotRange (double xmin, double ymin, double xmax, double ymax);this SetXRange xmin xmax this SetYRange ymin ymax \n\n Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n"},
  {(char*)"SetNumberOfXLabels",                (PyCFunction)PyvtkXYPlotActor_SetNumberOfXLabels, 1,
   (char*)"V.SetNumberOfXLabels(int)\nC++: void SetNumberOfXLabels (int );\n\n Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n"},
  {(char*)"GetNumberOfXLabelsMinValue",                (PyCFunction)PyvtkXYPlotActor_GetNumberOfXLabelsMinValue, 1,
   (char*)"V.GetNumberOfXLabelsMinValue() -> int\nC++: int GetNumberOfXLabelsMinValue ();\n\n Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n"},
  {(char*)"GetNumberOfXLabelsMaxValue",                (PyCFunction)PyvtkXYPlotActor_GetNumberOfXLabelsMaxValue, 1,
   (char*)"V.GetNumberOfXLabelsMaxValue() -> int\nC++: int GetNumberOfXLabelsMaxValue ();\n\n Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n"},
  {(char*)"GetNumberOfXLabels",                (PyCFunction)PyvtkXYPlotActor_GetNumberOfXLabels, 1,
   (char*)"V.GetNumberOfXLabels() -> int\nC++: int GetNumberOfXLabels ();\n\n Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n"},
  {(char*)"SetNumberOfYLabels",                (PyCFunction)PyvtkXYPlotActor_SetNumberOfYLabels, 1,
   (char*)"V.SetNumberOfYLabels(int)\nC++: void SetNumberOfYLabels (int );\n\n Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n"},
  {(char*)"GetNumberOfYLabelsMinValue",                (PyCFunction)PyvtkXYPlotActor_GetNumberOfYLabelsMinValue, 1,
   (char*)"V.GetNumberOfYLabelsMinValue() -> int\nC++: int GetNumberOfYLabelsMinValue ();\n\n Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n"},
  {(char*)"GetNumberOfYLabelsMaxValue",                (PyCFunction)PyvtkXYPlotActor_GetNumberOfYLabelsMaxValue, 1,
   (char*)"V.GetNumberOfYLabelsMaxValue() -> int\nC++: int GetNumberOfYLabelsMaxValue ();\n\n Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n"},
  {(char*)"GetNumberOfYLabels",                (PyCFunction)PyvtkXYPlotActor_GetNumberOfYLabels, 1,
   (char*)"V.GetNumberOfYLabels() -> int\nC++: int GetNumberOfYLabels ();\n\n Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n"},
  {(char*)"SetNumberOfLabels",                (PyCFunction)PyvtkXYPlotActor_SetNumberOfLabels, 1,
   (char*)"V.SetNumberOfLabels(int)\nC++: void SetNumberOfLabels (int num);this SetNumberOfXLabels num this SetNumberOfYLabels num \n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"SetLegend",                (PyCFunction)PyvtkXYPlotActor_SetLegend, 1,
   (char*)"V.SetLegend(int)\nC++: void SetLegend (int );\n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"GetLegend",                (PyCFunction)PyvtkXYPlotActor_GetLegend, 1,
   (char*)"V.GetLegend() -> int\nC++: int GetLegend ();\n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"LegendOn",                (PyCFunction)PyvtkXYPlotActor_LegendOn, 1,
   (char*)"V.LegendOn()\nC++: void LegendOn ();\n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"LegendOff",                (PyCFunction)PyvtkXYPlotActor_LegendOff, 1,
   (char*)"V.LegendOff()\nC++: void LegendOff ();\n\n Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n"},
  {(char*)"SetLegendPosition",                (PyCFunction)PyvtkXYPlotActor_SetLegendPosition, 1,
   (char*)"V.SetLegendPosition(float, float)\nC++: void SetLegendPosition (double , double );\nV.SetLegendPosition((float, float))\nC++: void SetLegendPosition (double  a[2]);\n\n Use these methods to control the position of the legend. The variables\n LegendPosition and LegendPosition2 define the lower-left and upper-right\n position of the legend. The coordinates are expressed as normalized\n values with respect to the rectangle defined by PositionCoordinate and\n Position2Coordinate. Note that LegendPosition2 is relative to\n LegendPosition.\n"},
  {(char*)"GetLegendPosition",                (PyCFunction)PyvtkXYPlotActor_GetLegendPosition, 1,
   (char*)"V.GetLegendPosition() -> (float, float)\nC++: double  *GetLegendPosition ();\n\n Use these methods to control the position of the legend. The variables\n LegendPosition and LegendPosition2 define the lower-left and upper-right\n position of the legend. The coordinates are expressed as normalized\n values with respect to the rectangle defined by PositionCoordinate and\n Position2Coordinate. Note that LegendPosition2 is relative to\n LegendPosition.\n"},
  {(char*)"SetLegendPosition2",                (PyCFunction)PyvtkXYPlotActor_SetLegendPosition2, 1,
   (char*)"V.SetLegendPosition2(float, float)\nC++: void SetLegendPosition2 (double , double );\nV.SetLegendPosition2((float, float))\nC++: void SetLegendPosition2 (double  a[2]);\n\n Use these methods to control the position of the legend. The variables\n LegendPosition and LegendPosition2 define the lower-left and upper-right\n position of the legend. The coordinates are expressed as normalized\n values with respect to the rectangle defined by PositionCoordinate and\n Position2Coordinate. Note that LegendPosition2 is relative to\n LegendPosition.\n"},
  {(char*)"GetLegendPosition2",                (PyCFunction)PyvtkXYPlotActor_GetLegendPosition2, 1,
   (char*)"V.GetLegendPosition2() -> (float, float)\nC++: double  *GetLegendPosition2 ();\n\n Use these methods to control the position of the legend. The variables\n LegendPosition and LegendPosition2 define the lower-left and upper-right\n position of the legend. The coordinates are expressed as normalized\n values with respect to the rectangle defined by PositionCoordinate and\n Position2Coordinate. Note that LegendPosition2 is relative to\n LegendPosition.\n"},
  {(char*)"SetTitleTextProperty",                (PyCFunction)PyvtkXYPlotActor_SetTitleTextProperty, 1,
   (char*)"V.SetTitleTextProperty(vtkTextProperty)\nC++: virtual void SetTitleTextProperty (vtkTextProperty *p);\n\n Set/Get the title text property.\n"},
  {(char*)"GetTitleTextProperty",                (PyCFunction)PyvtkXYPlotActor_GetTitleTextProperty, 1,
   (char*)"V.GetTitleTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTitleTextProperty ();\n\n Set/Get the title text property.\n"},
  {(char*)"SetAxisTitleTextProperty",                (PyCFunction)PyvtkXYPlotActor_SetAxisTitleTextProperty, 1,
   (char*)"V.SetAxisTitleTextProperty(vtkTextProperty)\nC++: virtual void SetAxisTitleTextProperty (vtkTextProperty *p);\n\n Set/Get the title text property of all axes. Note that each axis can\n be controlled individually through the GetX/YAxisActor2D() methods.\n"},
  {(char*)"GetAxisTitleTextProperty",                (PyCFunction)PyvtkXYPlotActor_GetAxisTitleTextProperty, 1,
   (char*)"V.GetAxisTitleTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetAxisTitleTextProperty ();\n\n Set/Get the title text property of all axes. Note that each axis can\n be controlled individually through the GetX/YAxisActor2D() methods.\n"},
  {(char*)"SetAxisLabelTextProperty",                (PyCFunction)PyvtkXYPlotActor_SetAxisLabelTextProperty, 1,
   (char*)"V.SetAxisLabelTextProperty(vtkTextProperty)\nC++: virtual void SetAxisLabelTextProperty (vtkTextProperty *p);\n\n Set/Get the labels text property of all axes. Note that each axis can\n be controlled individually through the GetX/YAxisActor2D() methods.\n"},
  {(char*)"GetAxisLabelTextProperty",                (PyCFunction)PyvtkXYPlotActor_GetAxisLabelTextProperty, 1,
   (char*)"V.GetAxisLabelTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetAxisLabelTextProperty ();\n\n Set/Get the labels text property of all axes. Note that each axis can\n be controlled individually through the GetX/YAxisActor2D() methods.\n"},
  {(char*)"SetLogx",                (PyCFunction)PyvtkXYPlotActor_SetLogx, 1,
   (char*)"V.SetLogx(int)\nC++: void SetLogx (int );\n\n Enable/Disable plotting of Log of x-values.\n"},
  {(char*)"GetLogx",                (PyCFunction)PyvtkXYPlotActor_GetLogx, 1,
   (char*)"V.GetLogx() -> int\nC++: int GetLogx ();\n\n Enable/Disable plotting of Log of x-values.\n"},
  {(char*)"LogxOn",                (PyCFunction)PyvtkXYPlotActor_LogxOn, 1,
   (char*)"V.LogxOn()\nC++: void LogxOn ();\n\n Enable/Disable plotting of Log of x-values.\n"},
  {(char*)"LogxOff",                (PyCFunction)PyvtkXYPlotActor_LogxOff, 1,
   (char*)"V.LogxOff()\nC++: void LogxOff ();\n\n Enable/Disable plotting of Log of x-values.\n"},
  {(char*)"SetLabelFormat",                (PyCFunction)PyvtkXYPlotActor_SetLabelFormat, 1,
   (char*)"V.SetLabelFormat(string)\nC++: virtual void SetLabelFormat (const char *_arg);\n\n Set/Get the format with which to print the labels on the scalar\n bar.\n"},
  {(char*)"GetLabelFormat",                (PyCFunction)PyvtkXYPlotActor_GetLabelFormat, 1,
   (char*)"V.GetLabelFormat() -> string\nC++: char *GetLabelFormat ();\n\n Set/Get the format with which to print the labels on the scalar\n bar.\n"},
  {(char*)"SetBorder",                (PyCFunction)PyvtkXYPlotActor_SetBorder, 1,
   (char*)"V.SetBorder(int)\nC++: void SetBorder (int );\n\n Set/Get the spacing between the plot window and the plot. The value\n is specified in pixels.\n"},
  {(char*)"GetBorderMinValue",                (PyCFunction)PyvtkXYPlotActor_GetBorderMinValue, 1,
   (char*)"V.GetBorderMinValue() -> int\nC++: int GetBorderMinValue ();\n\n Set/Get the spacing between the plot window and the plot. The value\n is specified in pixels.\n"},
  {(char*)"GetBorderMaxValue",                (PyCFunction)PyvtkXYPlotActor_GetBorderMaxValue, 1,
   (char*)"V.GetBorderMaxValue() -> int\nC++: int GetBorderMaxValue ();\n\n Set/Get the spacing between the plot window and the plot. The value\n is specified in pixels.\n"},
  {(char*)"GetBorder",                (PyCFunction)PyvtkXYPlotActor_GetBorder, 1,
   (char*)"V.GetBorder() -> int\nC++: int GetBorder ();\n\n Set/Get the spacing between the plot window and the plot. The value\n is specified in pixels.\n"},
  {(char*)"PlotPointsOn",                (PyCFunction)PyvtkXYPlotActor_PlotPointsOn, 1,
   (char*)"V.PlotPointsOn()\nC++: void PlotPointsOn ();\n\n Set/Get whether the points are rendered.  The point size can be set in\n the property object. This is a global flag which affects the plot only \n if per curve symbols are not defined.\n"},
  {(char*)"PlotPointsOff",                (PyCFunction)PyvtkXYPlotActor_PlotPointsOff, 1,
   (char*)"V.PlotPointsOff()\nC++: void PlotPointsOff ();\n\n Set/Get whether the points are rendered.  The point size can be set in\n the property object. This is a global flag which affects the plot only \n if per curve symbols are not defined.\n"},
  {(char*)"PlotLinesOn",                (PyCFunction)PyvtkXYPlotActor_PlotLinesOn, 1,
   (char*)"V.PlotLinesOn()\nC++: void PlotLinesOn ();\n\n Set/Get whether the lines are rendered.  The line width can be set in\n the property object. \n"},
  {(char*)"PlotLinesOff",                (PyCFunction)PyvtkXYPlotActor_PlotLinesOff, 1,
   (char*)"V.PlotLinesOff()\nC++: void PlotLinesOff ();\n\n Set/Get whether the lines are rendered.  The line width can be set in\n the property object. \n"},
  {(char*)"SetGlyphSize",                (PyCFunction)PyvtkXYPlotActor_SetGlyphSize, 1,
   (char*)"V.SetGlyphSize(float)\nC++: void SetGlyphSize (double );\n\n Set/Get the factor that controls how big glyphs are in the plot.\n The number is expressed as a fraction of the length of the diagonal\n of the plot bounding box.\n"},
  {(char*)"GetGlyphSizeMinValue",                (PyCFunction)PyvtkXYPlotActor_GetGlyphSizeMinValue, 1,
   (char*)"V.GetGlyphSizeMinValue() -> float\nC++: double GetGlyphSizeMinValue ();\n\n Set/Get the factor that controls how big glyphs are in the plot.\n The number is expressed as a fraction of the length of the diagonal\n of the plot bounding box.\n"},
  {(char*)"GetGlyphSizeMaxValue",                (PyCFunction)PyvtkXYPlotActor_GetGlyphSizeMaxValue, 1,
   (char*)"V.GetGlyphSizeMaxValue() -> float\nC++: double GetGlyphSizeMaxValue ();\n\n Set/Get the factor that controls how big glyphs are in the plot.\n The number is expressed as a fraction of the length of the diagonal\n of the plot bounding box.\n"},
  {(char*)"GetGlyphSize",                (PyCFunction)PyvtkXYPlotActor_GetGlyphSize, 1,
   (char*)"V.GetGlyphSize() -> float\nC++: double GetGlyphSize ();\n\n Set/Get the factor that controls how big glyphs are in the plot.\n The number is expressed as a fraction of the length of the diagonal\n of the plot bounding box.\n"},
  {(char*)"ViewportToPlotCoordinate",                (PyCFunction)PyvtkXYPlotActor_ViewportToPlotCoordinate, 1,
   (char*)"V.ViewportToPlotCoordinate(vtkViewport)\nC++: void ViewportToPlotCoordinate (vtkViewport *viewport);\n\n An alternate form of ViewportToPlotCoordinate() above. This method\n inputs the viewport coordinate pair (defined by the ivar \n ViewportCoordinate)and then stores them in the ivar PlotCoordinate. \n"},
  {(char*)"SetPlotCoordinate",                (PyCFunction)PyvtkXYPlotActor_SetPlotCoordinate, 1,
   (char*)"V.SetPlotCoordinate(float, float)\nC++: void SetPlotCoordinate (double , double );\nV.SetPlotCoordinate((float, float))\nC++: void SetPlotCoordinate (double  a[2]);\n\n An alternate form of ViewportToPlotCoordinate() above. This method\n inputs the viewport coordinate pair (defined by the ivar \n ViewportCoordinate)and then stores them in the ivar PlotCoordinate. \n"},
  {(char*)"GetPlotCoordinate",                (PyCFunction)PyvtkXYPlotActor_GetPlotCoordinate, 1,
   (char*)"V.GetPlotCoordinate() -> (float, float)\nC++: double  *GetPlotCoordinate ();\n\n An alternate form of ViewportToPlotCoordinate() above. This method\n inputs the viewport coordinate pair (defined by the ivar \n ViewportCoordinate)and then stores them in the ivar PlotCoordinate. \n"},
  {(char*)"PlotToViewportCoordinate",                (PyCFunction)PyvtkXYPlotActor_PlotToViewportCoordinate, 1,
   (char*)"V.PlotToViewportCoordinate(vtkViewport)\nC++: void PlotToViewportCoordinate (vtkViewport *viewport);\n\n An alternate form of PlotToViewportCoordinate() above. This method\n inputs the plot coordinate pair (defined in the ivar PlotCoordinate)\n and then stores them in the ivar ViewportCoordinate. (This method \n can be wrapped.)\n"},
  {(char*)"SetViewportCoordinate",                (PyCFunction)PyvtkXYPlotActor_SetViewportCoordinate, 1,
   (char*)"V.SetViewportCoordinate(float, float)\nC++: void SetViewportCoordinate (double , double );\nV.SetViewportCoordinate((float, float))\nC++: void SetViewportCoordinate (double  a[2]);\n\n An alternate form of PlotToViewportCoordinate() above. This method\n inputs the plot coordinate pair (defined in the ivar PlotCoordinate)\n and then stores them in the ivar ViewportCoordinate. (This method \n can be wrapped.)\n"},
  {(char*)"GetViewportCoordinate",                (PyCFunction)PyvtkXYPlotActor_GetViewportCoordinate, 1,
   (char*)"V.GetViewportCoordinate() -> (float, float)\nC++: double  *GetViewportCoordinate ();\n\n An alternate form of PlotToViewportCoordinate() above. This method\n inputs the plot coordinate pair (defined in the ivar PlotCoordinate)\n and then stores them in the ivar ViewportCoordinate. (This method \n can be wrapped.)\n"},
  {(char*)"IsInPlot",                (PyCFunction)PyvtkXYPlotActor_IsInPlot, 1,
   (char*)"V.IsInPlot(vtkViewport, float, float) -> int\nC++: int IsInPlot (vtkViewport *viewport, double u, double v);\n\n Is the specified viewport position within the plot area (as opposed to the\n region used by the plot plus the labels)?\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkXYPlotActor_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Take into account the modified time of internal helper classes.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXYPlotActorDoc[] = {
  (char*)"vtkXYPlotActor - generate an x-y plot from input dataset(s) or field data\n\n",
  "Super Class:\n\n vtkActor2D\n\n",
  (char*)" vtkXYPlotActor creates an x-y plot of data from one or more input data\n sets or field data. The class plots dataset scalar values (y-axis) against\n the points (x-axis). The x-axis values are generated by taking the point\n ids, computing a cumulative arc length, or a normalized arc length. More\n than one input data set can be specified to generate multiple plots.\n Alternatively, if field data is s",
  (char*)"upplied as input, the class plots one\n component against another. (The user must specify which component to use\n as the x-axis and which for the y-axis.)\n\n To use this class to plot dataset(s), you must specify one or more\n input datasets containing scalar and point data.  You'll probably also\n want to invoke a method to control how the point coordinates are converted\n into x values (by default po",
  (char*)"int ids are used).\n\n To use this class to plot field data, you must specify one or more input\n data objects with its associated field data. You'll also want to specify\n which component to use as the x-axis and which to use as the y-axis.\n Note that when plotting field data, the x and y values are used directly\n (i.e., there are no options to normalize the components).\n\n Once you've set up the plot",
  (char*)", you'll want to position it.  The\n PositionCoordinate defines the lower-left location of the x-y plot\n (specified in normalized viewport coordinates) and the Position2Coordinate\n define the upper-right corner. (Note: the Position2Coordinate is relative\n to PositionCoordinate, so you can move the vtkXYPlotActor around the\n viewport by setting just the PositionCoordinate.) The combination of the\n t",
  (char*)"wo position coordinates specifies a rectangle in which the plot will lie.\n\n Optional features include the ability to specify axes labels, label\n format and plot title. You can also\n manually specify the x and y plot ranges (by default they are computed\n automatically). The Border instance variable is used to create space \n between the boundary of the plot window (specified by PositionCoordinate\n a",
  (char*)"nd Position2Coordinate) and the plot itself.\n\n The font property of the plot title can be modified through the \n TitleTextProperty attribute.\n The font property of the axes titles and labels can be modified through the\n AxisTitleTextProperty and AxisLabelTextProperty attributes. You may also\n use the GetXAxisActor2D or GetYAxisActor2D methods \n to access each individual axis actor to modify their ",
  (char*)"font properties.\n In the same way, the GetLegendBoxActor method can be used to access\n the legend box actor to modify its font properties.\n\n There are several advanced features as well. You can assign per curve \n properties (such as color and a plot symbol). (Note that each input \n dataset and/or data object creates a single curve.) Another option is to\n add a plot legend that graphically indicate",
  (char*)"s the correspondance between\n the curve, curve symbols, and the data source. You can also exchange the\n x and y axes if you prefer you plot orientation that way.\n\n",
  "Caveats:\n\n If you are interested in plotting something other than scalar data, you\n can use the vtk data shuffling filters (e.g., \n vtkAttributeDataToFieldDataFilter and vtkFieldDataToAttributeDataFilter) \n to convert the data into scalar data and/or points.\n\n",
  "See Also:\n\n vtkActor2D vtkTextMapper vtkScalarBarActor vtkAxisActor2D vtkCubeAxesActor2D\n vtkAttributeDataToFieldDataFilter vtkFieldDataToAttributeDataFilter \n vtkTextProperty\n\n",
  NULL
};

static vtkObjectBase *vtkXYPlotActorStaticNew()
{
  return vtkXYPlotActor::New();
}

PyObject *PyVTKClass_vtkXYPlotActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkXYPlotActorStaticNew,
                        PyvtkXYPlotActorMethods,
                        (char*)"vtkXYPlotActor",modulename,
                        (char**)vtkXYPlotActorDoc,
                        PyVTKClass_vtkActor2DNew(modulename));
}

