// tcl wrapper for vtkXYPlotActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXYPlotActor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkXYPlotActorNewCommand()
{
  vtkXYPlotActor *temp = vtkXYPlotActor::New();
  return ((ClientData)temp);
}

int vtkActor2DCppCommand(vtkActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXYPlotActorCppCommand(vtkXYPlotActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkXYPlotActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkXYPlotActorCppCommand((vtkXYPlotActor *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXYPlotActorCppCommand(vtkXYPlotActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkXYPlotActor",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkActor2DCppCommand((vtkActor2D *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkActor2D", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkXYPlotActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXYPlotActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkXYPlotActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXYPlotActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkXYPlotActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXYPlotActor");
    return TCL_OK;
    }
  if ((!strcmp("AddInput",argv[1]))&&(argc == 5))
    {
    vtkDataSet  *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AddInput(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInput",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->AddInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveInput",argv[1]))&&(argc == 5))
    {
    vtkDataSet  *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->RemoveInput(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveInput",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->RemoveInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllInputs",argv[1]))&&(argc == 2))
    {
    op->RemoveAllInputs();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInputList",argv[1]))&&(argc == 2))
    {
    vtkDataSetCollection  *temp20;
    temp20 = (op)->GetInputList();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSetCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetPointComponent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPointComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetXValues",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetXValues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXValuesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXValuesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetXValuesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXValuesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetXValues",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXValues();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetXValuesToIndex",argv[1]))&&(argc == 2))
    {
    op->SetXValuesToIndex();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXValuesToArcLength",argv[1]))&&(argc == 2))
    {
    op->SetXValuesToArcLength();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXValuesToNormalizedArcLength",argv[1]))&&(argc == 2))
    {
    op->SetXValuesToNormalizedArcLength();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXValuesToValue",argv[1]))&&(argc == 2))
    {
    op->SetXValuesToValue();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetXValuesAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetXValuesAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("AddDataObjectInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->AddDataObjectInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveDataObjectInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->RemoveDataObjectInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectInputList",argv[1]))&&(argc == 2))
    {
    vtkDataObjectCollection  *temp20;
    temp20 = (op)->GetDataObjectInputList();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObjectCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetDataObjectPlotMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataObjectPlotMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectPlotModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectPlotModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataObjectPlotModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectPlotModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataObjectPlotMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectPlotMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataObjectPlotModeToRows",argv[1]))&&(argc == 2))
    {
    op->SetDataObjectPlotModeToRows();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataObjectPlotModeToColumns",argv[1]))&&(argc == 2))
    {
    op->SetDataObjectPlotModeToColumns();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataObjectPlotModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDataObjectPlotModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDataObjectXComponent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetDataObjectXComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectXComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDataObjectXComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataObjectYComponent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetDataObjectYComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectYComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDataObjectYComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotColor",argv[1]))&&(argc == 6))
    {
    int      temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetPlotColor(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotColor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPlotColor(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotSymbol",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPolyData  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPolyData",interp,error));
    if (!error)
    {
    op->SetPlotSymbol(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotSymbol",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPolyData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPlotSymbol(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPolyData");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotLabel",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetPlotLabel(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotLabel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPlotLabel(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotCurvePoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlotCurvePoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotCurvePoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlotCurvePoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlotCurvePointsOn",argv[1]))&&(argc == 2))
    {
    op->PlotCurvePointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlotCurvePointsOff",argv[1]))&&(argc == 2))
    {
    op->PlotCurvePointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPlotCurveLines",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlotCurveLines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotCurveLines",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlotCurveLines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlotCurveLinesOn",argv[1]))&&(argc == 2))
    {
    op->PlotCurveLinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlotCurveLinesOff",argv[1]))&&(argc == 2))
    {
    op->PlotCurveLinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotLines",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPlotLines(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotLines",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPlotLines(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotPoints",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPlotPoints(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPlotPoints(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExchangeAxes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExchangeAxes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExchangeAxes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExchangeAxes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExchangeAxesOn",argv[1]))&&(argc == 2))
    {
    op->ExchangeAxesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExchangeAxesOff",argv[1]))&&(argc == 2))
    {
    op->ExchangeAxesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReverseXAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReverseXAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReverseXAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReverseXAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReverseXAxisOn",argv[1]))&&(argc == 2))
    {
    op->ReverseXAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReverseXAxisOff",argv[1]))&&(argc == 2))
    {
    op->ReverseXAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReverseYAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReverseYAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReverseYAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReverseYAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReverseYAxisOn",argv[1]))&&(argc == 2))
    {
    op->ReverseYAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReverseYAxisOff",argv[1]))&&(argc == 2))
    {
    op->ReverseYAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLegendActor",argv[1]))&&(argc == 2))
    {
    vtkLegendBoxActor  *temp20;
    temp20 = (op)->GetLegendActor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkLegendBoxActor");
    return TCL_OK;
    }
  if ((!strcmp("GetGlyphSource",argv[1]))&&(argc == 2))
    {
    vtkGlyphSource2D  *temp20;
    temp20 = (op)->GetGlyphSource();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkGlyphSource2D");
    return TCL_OK;
    }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetYTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetYTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetYTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetXAxisActor2D",argv[1]))&&(argc == 2))
    {
    vtkAxisActor2D  *temp20;
    temp20 = (op)->GetXAxisActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAxisActor2D");
    return TCL_OK;
    }
  if ((!strcmp("GetYAxisActor2D",argv[1]))&&(argc == 2))
    {
    vtkAxisActor2D  *temp20;
    temp20 = (op)->GetYAxisActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAxisActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SetXRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetXRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetXRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetXRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetXRange();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetYRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetYRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetYRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetYRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetYRange();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotRange",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetPlotRange(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfXLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfXLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfXLabelsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfXLabelsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfXLabelsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfXLabelsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfXLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfXLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfYLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfYLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfYLabelsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfYLabelsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfYLabelsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfYLabelsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfYLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfYLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLegend",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLegend(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLegend",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLegend();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LegendOn",argv[1]))&&(argc == 2))
    {
    op->LegendOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LegendOff",argv[1]))&&(argc == 2))
    {
    op->LegendOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLegendPosition",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetLegendPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLegendPosition",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetLegendPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLegendPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetLegendPosition();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLegendPosition2",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetLegendPosition2(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLegendPosition2",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetLegendPosition2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLegendPosition2",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetLegendPosition2();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkTextProperty",interp,error));
    if (!error)
    {
    op->SetTitleTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTitleTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetAxisTitleTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkTextProperty",interp,error));
    if (!error)
    {
    op->SetAxisTitleTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisTitleTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetAxisTitleTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetAxisLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkTextProperty",interp,error));
    if (!error)
    {
    op->SetAxisLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetAxisLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLogx",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLogx(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLogx",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLogx();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LogxOn",argv[1]))&&(argc == 2))
    {
    op->LogxOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LogxOff",argv[1]))&&(argc == 2))
    {
    op->LogxOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBorder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorderMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorderMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBorderMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorderMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBorder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPlotPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlotPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlotPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlotPointsOn",argv[1]))&&(argc == 2))
    {
    op->PlotPointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlotPointsOff",argv[1]))&&(argc == 2))
    {
    op->PlotPointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPlotLines",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlotLines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotLines",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlotLines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlotLinesOn",argv[1]))&&(argc == 2))
    {
    op->PlotLinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlotLinesOff",argv[1]))&&(argc == 2))
    {
    op->PlotLinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGlyphSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlyphSizeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGlyphSizeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGlyphSizeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGlyphSizeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGlyphSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGlyphSize();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ViewportToPlotCoordinate",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkViewport",interp,error));
    if (!error)
    {
    op->ViewportToPlotCoordinate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotCoordinate",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPlotCoordinate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotCoordinate",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetPlotCoordinate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotCoordinate",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPlotCoordinate();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PlotToViewportCoordinate",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkViewport",interp,error));
    if (!error)
    {
    op->PlotToViewportCoordinate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewportCoordinate",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetViewportCoordinate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewportCoordinate",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetViewportCoordinate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewportCoordinate",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetViewportCoordinate();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsInPlot",argv[1]))&&(argc == 5))
    {
    vtkViewport  *temp0;
    double   temp1;
    double   temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkViewport",interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->IsInPlot(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkXYPlotActorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXYPlotActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  AddInput\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveInput\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllInputs\n",NULL);
    Tcl_AppendResult(interp,"  GetInputList\n",NULL);
    Tcl_AppendResult(interp,"  SetPointComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetXValues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXValuesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetXValuesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetXValues\n",NULL);
    Tcl_AppendResult(interp,"  SetXValuesToIndex\n",NULL);
    Tcl_AppendResult(interp,"  SetXValuesToArcLength\n",NULL);
    Tcl_AppendResult(interp,"  SetXValuesToNormalizedArcLength\n",NULL);
    Tcl_AppendResult(interp,"  SetXValuesToValue\n",NULL);
    Tcl_AppendResult(interp,"  GetXValuesAsString\n",NULL);
    Tcl_AppendResult(interp,"  AddDataObjectInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveDataObjectInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectInputList\n",NULL);
    Tcl_AppendResult(interp,"  SetDataObjectPlotMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectPlotModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectPlotModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectPlotMode\n",NULL);
    Tcl_AppendResult(interp,"  SetDataObjectPlotModeToRows\n",NULL);
    Tcl_AppendResult(interp,"  SetDataObjectPlotModeToColumns\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectPlotModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetDataObjectXComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectXComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDataObjectYComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectYComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotColor\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotColor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotSymbol\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotSymbol\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotLabel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotCurvePoints\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotCurvePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlotCurvePointsOn\n",NULL);
    Tcl_AppendResult(interp,"  PlotCurvePointsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotCurveLines\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotCurveLines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlotCurveLinesOn\n",NULL);
    Tcl_AppendResult(interp,"  PlotCurveLinesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotLines\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotLines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotPoints\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetExchangeAxes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExchangeAxes\n",NULL);
    Tcl_AppendResult(interp,"  ExchangeAxesOn\n",NULL);
    Tcl_AppendResult(interp,"  ExchangeAxesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReverseXAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReverseXAxis\n",NULL);
    Tcl_AppendResult(interp,"  ReverseXAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  ReverseXAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReverseYAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReverseYAxis\n",NULL);
    Tcl_AppendResult(interp,"  ReverseYAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  ReverseYAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLegendActor\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphSource\n",NULL);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetXTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetYTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYTitle\n",NULL);
    Tcl_AppendResult(interp,"  GetXAxisActor2D\n",NULL);
    Tcl_AppendResult(interp,"  GetYAxisActor2D\n",NULL);
    Tcl_AppendResult(interp,"  SetXRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetXRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetXRange\n",NULL);
    Tcl_AppendResult(interp,"  SetYRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetYRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetYRange\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotRange\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfXLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfXLabelsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfXLabelsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfXLabels\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfYLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfYLabelsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfYLabelsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfYLabels\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLegend\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLegend\n",NULL);
    Tcl_AppendResult(interp,"  LegendOn\n",NULL);
    Tcl_AppendResult(interp,"  LegendOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLegendPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLegendPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLegendPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetLegendPosition2\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLegendPosition2\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLegendPosition2\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisTitleTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisTitleTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetLogx\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLogx\n",NULL);
    Tcl_AppendResult(interp,"  LogxOn\n",NULL);
    Tcl_AppendResult(interp,"  LogxOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetBorder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBorder\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlotPointsOn\n",NULL);
    Tcl_AppendResult(interp,"  PlotPointsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotLines\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotLines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlotLinesOn\n",NULL);
    Tcl_AppendResult(interp,"  PlotLinesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphSize\n",NULL);
    Tcl_AppendResult(interp,"  ViewportToPlotCoordinate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotCoordinate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotCoordinate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotCoordinate\n",NULL);
    Tcl_AppendResult(interp,"  PlotToViewportCoordinate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetViewportCoordinate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewportCoordinate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetViewportCoordinate\n",NULL);
    Tcl_AppendResult(interp,"  IsInPlot\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (vtkActor2DCppCommand((vtkActor2D *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
