// python wrapper for vtkAVSucdReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkAVSucdReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAVSucdReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAVSucdReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkAVSucdReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  const char    *temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  vtkAVSucdReader  *temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAVSucdReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAVSucdReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAVSucdReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  char    *temp0;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAVSucdReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  char    *temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_SetBinaryFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp0;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAVSucdReader::SetBinaryFile(temp0);
      }
    else
      {
      op->SetBinaryFile(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetBinaryFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetBinaryFile();
      }
    else
      {
      temp20 = op->GetBinaryFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_BinaryFileOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAVSucdReader::BinaryFileOn();
      }
    else
      {
      op->BinaryFileOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_BinaryFileOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAVSucdReader::BinaryFileOff();
      }
    else
      {
      op->BinaryFileOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetNumberOfNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetNumberOfNodes();
      }
    else
      {
      temp20 = op->GetNumberOfNodes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetNumberOfNodeFields(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetNumberOfNodeFields();
      }
    else
      {
      temp20 = op->GetNumberOfNodeFields();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetNumberOfCellFields(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetNumberOfCellFields();
      }
    else
      {
      temp20 = op->GetNumberOfCellFields();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetNumberOfFields(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetNumberOfFields();
      }
    else
      {
      temp20 = op->GetNumberOfFields();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetNumberOfNodeComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetNumberOfNodeComponents();
      }
    else
      {
      temp20 = op->GetNumberOfNodeComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetNumberOfCellComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetNumberOfCellComponents();
      }
    else
      {
      temp20 = op->GetNumberOfCellComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_SetByteOrderToBigEndian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAVSucdReader::SetByteOrderToBigEndian();
      }
    else
      {
      op->SetByteOrderToBigEndian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_SetByteOrderToLittleEndian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAVSucdReader::SetByteOrderToLittleEndian();
      }
    else
      {
      op->SetByteOrderToLittleEndian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetByteOrderAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  const char    *temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetByteOrderAsString();
      }
    else
      {
      temp20 = op->GetByteOrderAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_SetByteOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp0;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAVSucdReader::SetByteOrder(temp0);
      }
    else
      {
      op->SetByteOrder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetByteOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetByteOrder();
      }
    else
      {
      temp20 = op->GetByteOrder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetNumberOfPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetNumberOfPointArrays();
      }
    else
      {
      temp20 = op->GetNumberOfPointArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetNumberOfCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetNumberOfCellArrays();
      }
    else
      {
      temp20 = op->GetNumberOfCellArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetPointArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetPointArrayName(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetCellArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetCellArrayName(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetPointArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_GetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAVSucdReader::GetCellArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_SetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  char    *temp0;
  int      temp1;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAVSucdReader::SetPointArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPointArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_SetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  char    *temp0;
  int      temp1;
  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAVSucdReader::SetCellArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetCellArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_DisableAllCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAVSucdReader::DisableAllCellArrays();
      }
    else
      {
      op->DisableAllCellArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_EnableAllCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAVSucdReader::EnableAllCellArrays();
      }
    else
      {
      op->EnableAllCellArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_DisableAllPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAVSucdReader::DisableAllPointArrays();
      }
    else
      {
      op->DisableAllPointArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAVSucdReader_EnableAllPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAVSucdReader *op;

  if ((op = (vtkAVSucdReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAVSucdReader::EnableAllPointArrays();
      }
    else
      {
      op->EnableAllPointArrays();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAVSucdReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAVSucdReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAVSucdReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAVSucdReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAVSucdReader\nC++: vtkAVSucdReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAVSucdReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAVSucdReader\nC++: vtkAVSucdReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkAVSucdReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name of AVS UCD datafile to read\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkAVSucdReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of AVS UCD datafile to read\n"},
  {(char*)"SetBinaryFile",                (PyCFunction)PyvtkAVSucdReader_SetBinaryFile, 1,
   (char*)"V.SetBinaryFile(int)\nC++: void SetBinaryFile (int );\n\n Is the file to be read written in binary format (as opposed to ascii).\n"},
  {(char*)"GetBinaryFile",                (PyCFunction)PyvtkAVSucdReader_GetBinaryFile, 1,
   (char*)"V.GetBinaryFile() -> int\nC++: int GetBinaryFile ();\n\n Is the file to be read written in binary format (as opposed to ascii).\n"},
  {(char*)"BinaryFileOn",                (PyCFunction)PyvtkAVSucdReader_BinaryFileOn, 1,
   (char*)"V.BinaryFileOn()\nC++: void BinaryFileOn ();\n\n Is the file to be read written in binary format (as opposed to ascii).\n"},
  {(char*)"BinaryFileOff",                (PyCFunction)PyvtkAVSucdReader_BinaryFileOff, 1,
   (char*)"V.BinaryFileOff()\nC++: void BinaryFileOff ();\n\n Is the file to be read written in binary format (as opposed to ascii).\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkAVSucdReader_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: int GetNumberOfCells ();\n\n Get the total number of cells.\n"},
  {(char*)"GetNumberOfNodes",                (PyCFunction)PyvtkAVSucdReader_GetNumberOfNodes, 1,
   (char*)"V.GetNumberOfNodes() -> int\nC++: int GetNumberOfNodes ();\n\n Get the total number of nodes.\n"},
  {(char*)"GetNumberOfNodeFields",                (PyCFunction)PyvtkAVSucdReader_GetNumberOfNodeFields, 1,
   (char*)"V.GetNumberOfNodeFields() -> int\nC++: int GetNumberOfNodeFields ();\n\n Get the number of data fields at the nodes.\n"},
  {(char*)"GetNumberOfCellFields",                (PyCFunction)PyvtkAVSucdReader_GetNumberOfCellFields, 1,
   (char*)"V.GetNumberOfCellFields() -> int\nC++: int GetNumberOfCellFields ();\n\n Get the number of data fields at the cell centers.\n"},
  {(char*)"GetNumberOfFields",                (PyCFunction)PyvtkAVSucdReader_GetNumberOfFields, 1,
   (char*)"V.GetNumberOfFields() -> int\nC++: int GetNumberOfFields ();\n\n Get the number of data fields for the model. Unused because VTK\n has no methods for it.\n"},
  {(char*)"GetNumberOfNodeComponents",                (PyCFunction)PyvtkAVSucdReader_GetNumberOfNodeComponents, 1,
   (char*)"V.GetNumberOfNodeComponents() -> int\nC++: int GetNumberOfNodeComponents ();\n\n Get the number of data components at the nodes and cells.\n"},
  {(char*)"GetNumberOfCellComponents",                (PyCFunction)PyvtkAVSucdReader_GetNumberOfCellComponents, 1,
   (char*)"V.GetNumberOfCellComponents() -> int\nC++: int GetNumberOfCellComponents ();\n\n Get the number of data components at the nodes and cells.\n"},
  {(char*)"SetByteOrderToBigEndian",                (PyCFunction)PyvtkAVSucdReader_SetByteOrderToBigEndian, 1,
   (char*)"V.SetByteOrderToBigEndian()\nC++: void SetByteOrderToBigEndian ();\n\n Set/Get the endian-ness of the binary file.\n"},
  {(char*)"SetByteOrderToLittleEndian",                (PyCFunction)PyvtkAVSucdReader_SetByteOrderToLittleEndian, 1,
   (char*)"V.SetByteOrderToLittleEndian()\nC++: void SetByteOrderToLittleEndian ();\n\n Set/Get the endian-ness of the binary file.\n"},
  {(char*)"GetByteOrderAsString",                (PyCFunction)PyvtkAVSucdReader_GetByteOrderAsString, 1,
   (char*)"V.GetByteOrderAsString() -> string\nC++: const char *GetByteOrderAsString ();\n\n Set/Get the endian-ness of the binary file.\n"},
  {(char*)"SetByteOrder",                (PyCFunction)PyvtkAVSucdReader_SetByteOrder, 1,
   (char*)"V.SetByteOrder(int)\nC++: void SetByteOrder (int );\n\n"},
  {(char*)"GetByteOrder",                (PyCFunction)PyvtkAVSucdReader_GetByteOrder, 1,
   (char*)"V.GetByteOrder() -> int\nC++: int GetByteOrder ();\n\n"},
  {(char*)"GetNumberOfPointArrays",                (PyCFunction)PyvtkAVSucdReader_GetNumberOfPointArrays, 1,
   (char*)"V.GetNumberOfPointArrays() -> int\nC++: int GetNumberOfPointArrays ();\n\n The following methods allow selective reading of solutions fields.  by\n default, ALL data fields are the nodes and cells are read, but this can\n be modified.\n"},
  {(char*)"GetNumberOfCellArrays",                (PyCFunction)PyvtkAVSucdReader_GetNumberOfCellArrays, 1,
   (char*)"V.GetNumberOfCellArrays() -> int\nC++: int GetNumberOfCellArrays ();\n\n The following methods allow selective reading of solutions fields.  by\n default, ALL data fields are the nodes and cells are read, but this can\n be modified.\n"},
  {(char*)"GetPointArrayName",                (PyCFunction)PyvtkAVSucdReader_GetPointArrayName, 1,
   (char*)"V.GetPointArrayName(int) -> string\nC++: const char *GetPointArrayName (int index);\n\n The following methods allow selective reading of solutions fields.  by\n default, ALL data fields are the nodes and cells are read, but this can\n be modified.\n"},
  {(char*)"GetCellArrayName",                (PyCFunction)PyvtkAVSucdReader_GetCellArrayName, 1,
   (char*)"V.GetCellArrayName(int) -> string\nC++: const char *GetCellArrayName (int index);\n\n The following methods allow selective reading of solutions fields.  by\n default, ALL data fields are the nodes and cells are read, but this can\n be modified.\n"},
  {(char*)"GetPointArrayStatus",                (PyCFunction)PyvtkAVSucdReader_GetPointArrayStatus, 1,
   (char*)"V.GetPointArrayStatus(string) -> int\nC++: int GetPointArrayStatus (const char *name);\n\n The following methods allow selective reading of solutions fields.  by\n default, ALL data fields are the nodes and cells are read, but this can\n be modified.\n"},
  {(char*)"GetCellArrayStatus",                (PyCFunction)PyvtkAVSucdReader_GetCellArrayStatus, 1,
   (char*)"V.GetCellArrayStatus(string) -> int\nC++: int GetCellArrayStatus (const char *name);\n\n The following methods allow selective reading of solutions fields.  by\n default, ALL data fields are the nodes and cells are read, but this can\n be modified.\n"},
  {(char*)"SetPointArrayStatus",                (PyCFunction)PyvtkAVSucdReader_SetPointArrayStatus, 1,
   (char*)"V.SetPointArrayStatus(string, int)\nC++: void SetPointArrayStatus (const char *name, int status);\n\n The following methods allow selective reading of solutions fields.  by\n default, ALL data fields are the nodes and cells are read, but this can\n be modified.\n"},
  {(char*)"SetCellArrayStatus",                (PyCFunction)PyvtkAVSucdReader_SetCellArrayStatus, 1,
   (char*)"V.SetCellArrayStatus(string, int)\nC++: void SetCellArrayStatus (const char *name, int status);\n\n The following methods allow selective reading of solutions fields.  by\n default, ALL data fields are the nodes and cells are read, but this can\n be modified.\n"},
  {(char*)"DisableAllCellArrays",                (PyCFunction)PyvtkAVSucdReader_DisableAllCellArrays, 1,
   (char*)"V.DisableAllCellArrays()\nC++: void DisableAllCellArrays ();\n\n"},
  {(char*)"EnableAllCellArrays",                (PyCFunction)PyvtkAVSucdReader_EnableAllCellArrays, 1,
   (char*)"V.EnableAllCellArrays()\nC++: void EnableAllCellArrays ();\n\n"},
  {(char*)"DisableAllPointArrays",                (PyCFunction)PyvtkAVSucdReader_DisableAllPointArrays, 1,
   (char*)"V.DisableAllPointArrays()\nC++: void DisableAllPointArrays ();\n\n"},
  {(char*)"EnableAllPointArrays",                (PyCFunction)PyvtkAVSucdReader_EnableAllPointArrays, 1,
   (char*)"V.EnableAllPointArrays()\nC++: void EnableAllPointArrays ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAVSucdReaderDoc[] = {
  (char*)"vtkAVSucdReader - reads a dataset in AVS \"UCD\" format\n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkAVSucdReader creates an unstructured grid dataset. It reads binary or\n ASCII files stored in UCD format, with optional data stored at the nodes\n or at the cells of the model. A cell-based fielddata stores the material\n id. The class can automatically detect the endian-ness of the binary files.\n\n",
  "See Also:\n\n vtkGAMBITReader\n\n",
  NULL
};

static vtkObjectBase *vtkAVSucdReaderStaticNew()
{
  return vtkAVSucdReader::New();
}

PyObject *PyVTKClass_vtkAVSucdReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkAVSucdReaderStaticNew,
                        PyvtkAVSucdReaderMethods,
                        (char*)"vtkAVSucdReader",modulename,
                        (char**)vtkAVSucdReaderDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

