// python wrapper for vtkBase64OutputStream object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkBase64OutputStream.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBase64OutputStreamNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBase64OutputStreamNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkOutputStreamNew(char *); }

static PyObject *PyvtkBase64OutputStream_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBase64OutputStream *op;

  const char    *temp20;
  if ((op = (vtkBase64OutputStream *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBase64OutputStream::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBase64OutputStream_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBase64OutputStream *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkBase64OutputStream *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBase64OutputStream::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBase64OutputStream_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBase64OutputStream *op;

  vtkBase64OutputStream  *temp20;
  if ((op = (vtkBase64OutputStream *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBase64OutputStream::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBase64OutputStream_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBase64OutputStream  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBase64OutputStream::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBase64OutputStream_StartWriting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBase64OutputStream *op;

  int      temp20;
  if ((op = (vtkBase64OutputStream *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBase64OutputStream::StartWriting();
      }
    else
      {
      temp20 = op->StartWriting();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBase64OutputStream_EndWriting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBase64OutputStream *op;

  int      temp20;
  if ((op = (vtkBase64OutputStream *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBase64OutputStream::EndWriting();
      }
    else
      {
      temp20 = op->EndWriting();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBase64OutputStreamMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBase64OutputStream_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBase64OutputStream_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBase64OutputStream_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBase64OutputStream\nC++: vtkBase64OutputStream *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBase64OutputStream_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBase64OutputStream\nC++: vtkBase64OutputStream *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"StartWriting",                (PyCFunction)PyvtkBase64OutputStream_StartWriting, 1,
   (char*)"V.StartWriting() -> int\nC++: int StartWriting ();\n\n Called after the stream position has been set by the caller, but\n before any Write calls.  The stream position should not be\n adjusted by the caller until after an EndWriting call.\n"},
  {(char*)"EndWriting",                (PyCFunction)PyvtkBase64OutputStream_EndWriting, 1,
   (char*)"V.EndWriting() -> int\nC++: int EndWriting ();\n\n Called after all desired calls to Write have been made.  After\n this call, the caller is free to change the position of the\n stream.  Additional writes should not be done until after another\n call to StartWriting.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBase64OutputStreamDoc[] = {
  (char*)"vtkBase64OutputStream - Writes base64-encoded output to a stream.\n\n",
  "Super Class:\n\n vtkOutputStream\n\n",
  (char*)" vtkBase64OutputStream implements base64 encoding with the\n vtkOutputStream interface.\n\n",
  NULL
};

static vtkObjectBase *vtkBase64OutputStreamStaticNew()
{
  return vtkBase64OutputStream::New();
}

PyObject *PyVTKClass_vtkBase64OutputStreamNew(char *modulename)
{
  return PyVTKClass_New(&vtkBase64OutputStreamStaticNew,
                        PyvtkBase64OutputStreamMethods,
                        (char*)"vtkBase64OutputStream",modulename,
                        (char**)vtkBase64OutputStreamDoc,
                        PyVTKClass_vtkOutputStreamNew(modulename));
}

