// python wrapper for vtkBase64Utilities object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkBase64Utilities.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBase64UtilitiesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBase64UtilitiesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkBase64Utilities_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBase64Utilities *op;

  const char    *temp20;
  if ((op = (vtkBase64Utilities *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBase64Utilities::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBase64Utilities_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBase64Utilities *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkBase64Utilities *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBase64Utilities::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBase64Utilities_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBase64Utilities *op;

  vtkBase64Utilities  *temp20;
  if ((op = (vtkBase64Utilities *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBase64Utilities::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBase64Utilities_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBase64Utilities  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBase64Utilities::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkBase64UtilitiesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBase64Utilities_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBase64Utilities_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBase64Utilities_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBase64Utilities\nC++: vtkBase64Utilities *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBase64Utilities_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBase64Utilities\nC++: vtkBase64Utilities *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBase64UtilitiesDoc[] = {
  (char*)"vtkBase64Utilities - base64 encode and decode utilities.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkBase64Utilities implements base64 encoding and decoding.\n\n",
  NULL
};

static vtkObjectBase *vtkBase64UtilitiesStaticNew()
{
  return vtkBase64Utilities::New();
}

PyObject *PyVTKClass_vtkBase64UtilitiesNew(char *modulename)
{
  return PyVTKClass_New(&vtkBase64UtilitiesStaticNew,
                        PyvtkBase64UtilitiesMethods,
                        (char*)"vtkBase64Utilities",modulename,
                        (char**)vtkBase64UtilitiesDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

