// python wrapper for vtkCGMWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCGMWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCGMWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCGMWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataWriterNew(char *); }

static PyObject *PyvtkCGMWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  const char    *temp20;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCGMWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCGMWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  vtkCGMWriter  *temp20;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCGMWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCGMWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCGMWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCGMWriter_SetViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCGMWriter::SetViewport(temp0);
      }
    else
      {
      op->SetViewport(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCGMWriter_GetViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  vtkViewport  *temp20;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCGMWriter::GetViewport();
      }
    else
      {
      temp20 = op->GetViewport();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_SetSort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  int      temp0;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCGMWriter::SetSort(temp0);
      }
    else
      {
      op->SetSort(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_GetSort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  int      temp20;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCGMWriter::GetSort();
      }
    else
      {
      temp20 = op->GetSort();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_SetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  int      temp0;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCGMWriter::SetResolution(temp0);
      }
    else
      {
      op->SetResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_GetResolutionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  int      temp20;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCGMWriter::GetResolutionMinValue();
      }
    else
      {
      temp20 = op->GetResolutionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_GetResolutionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  int      temp20;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCGMWriter::GetResolutionMaxValue();
      }
    else
      {
      temp20 = op->GetResolutionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_GetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  int      temp20;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCGMWriter::GetResolution();
      }
    else
      {
      temp20 = op->GetResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_SetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  int      temp0;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCGMWriter::SetColorMode(temp0);
      }
    else
      {
      op->SetColorMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_GetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  int      temp20;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCGMWriter::GetColorMode();
      }
    else
      {
      temp20 = op->GetColorMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_SetColorModeToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCGMWriter::SetColorModeToDefault();
      }
    else
      {
      op->SetColorModeToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_SetColorModeToSpecifiedColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCGMWriter::SetColorModeToSpecifiedColor();
      }
    else
      {
      op->SetColorModeToSpecifiedColor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_SetColorModeToRandomColors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCGMWriter::SetColorModeToRandomColors();
      }
    else
      {
      op->SetColorModeToRandomColors();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_SetSpecifiedColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  float    temp0;
  float    temp1;
  float    temp2;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"fff", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCGMWriter::SetSpecifiedColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetSpecifiedColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  float  temp0[3];
  PyErr_Clear();
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCGMWriter::SetSpecifiedColor(temp0);
      }
    else
      {
      op->SetSpecifiedColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCGMWriter_GetSpecifiedColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCGMWriter *op;

  float   *temp20;
  if ((op = (vtkCGMWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCGMWriter::GetSpecifiedColor();
      }
    else
      {
      temp20 = op->GetSpecifiedColor();
      }
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCGMWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCGMWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCGMWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCGMWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCGMWriter\nC++: vtkCGMWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCGMWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCGMWriter\nC++: vtkCGMWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetViewport",                (PyCFunction)PyvtkCGMWriter_SetViewport, 1,
   (char*)"V.SetViewport(vtkViewport)\nC++: virtual void SetViewport (vtkViewport *);\n\n Specify a vtkViewport object to be used to transform the vtkPolyData\n points into 2D coordinates. By default (no vtkViewport specified), the \n point coordinates are generated by ignoring the z values. If a viewport\n is defined, then the points are transformed into viewport coordinates.\n"},
  {(char*)"GetViewport",                (PyCFunction)PyvtkCGMWriter_GetViewport, 1,
   (char*)"V.GetViewport() -> vtkViewport\nC++: vtkViewport *GetViewport ();\n\n Specify a vtkViewport object to be used to transform the vtkPolyData\n points into 2D coordinates. By default (no vtkViewport specified), the \n point coordinates are generated by ignoring the z values. If a viewport\n is defined, then the points are transformed into viewport coordinates.\n"},
  {(char*)"SetSort",                (PyCFunction)PyvtkCGMWriter_SetSort, 1,
   (char*)"V.SetSort(int)\nC++: void SetSort (int );\n\n Turn on/off the sorting of the cells via depth. If enabled, polygonal\n cells will be sorted from back to front, i.e., a Painter's algorithm\n sort.\n"},
  {(char*)"GetSort",                (PyCFunction)PyvtkCGMWriter_GetSort, 1,
   (char*)"V.GetSort() -> int\nC++: int GetSort ();\n\n Turn on/off the sorting of the cells via depth. If enabled, polygonal\n cells will be sorted from back to front, i.e., a Painter's algorithm\n sort.\n"},
  {(char*)"SetResolution",                (PyCFunction)PyvtkCGMWriter_SetResolution, 1,
   (char*)"V.SetResolution(int)\nC++: void SetResolution (int );\n\n Specify the resolution of the CGM file. This number is used to integerize\n the maximum coordinate range of the plot file.\n"},
  {(char*)"GetResolutionMinValue",                (PyCFunction)PyvtkCGMWriter_GetResolutionMinValue, 1,
   (char*)"V.GetResolutionMinValue() -> int\nC++: int GetResolutionMinValue ();\n\n Specify the resolution of the CGM file. This number is used to integerize\n the maximum coordinate range of the plot file.\n"},
  {(char*)"GetResolutionMaxValue",                (PyCFunction)PyvtkCGMWriter_GetResolutionMaxValue, 1,
   (char*)"V.GetResolutionMaxValue() -> int\nC++: int GetResolutionMaxValue ();\n\n Specify the resolution of the CGM file. This number is used to integerize\n the maximum coordinate range of the plot file.\n"},
  {(char*)"GetResolution",                (PyCFunction)PyvtkCGMWriter_GetResolution, 1,
   (char*)"V.GetResolution() -> int\nC++: int GetResolution ();\n\n Specify the resolution of the CGM file. This number is used to integerize\n the maximum coordinate range of the plot file.\n"},
  {(char*)"SetColorMode",                (PyCFunction)PyvtkCGMWriter_SetColorMode, 1,
   (char*)"V.SetColorMode(int)\nC++: void SetColorMode (int );\n\n Control how output polydata is colored. By default (ColorModeToDefault),\n if per cell colors are defined (unsigned chars of 1-4 components), then\n the cells are colored with these values. (If point colors are defined\n and cell colors are not, you can use vtkPointDataToCellData to convert\n the point colors to cell colors.) Otherwise, by default, the cells are\n set to the specified color. If ColorModeToSpecifiedColor is set, then\n the primitives will all be set to this color. If ColorModeToRandomColors\n is set, each cell will be randomly assigned a color.\n"},
  {(char*)"GetColorMode",                (PyCFunction)PyvtkCGMWriter_GetColorMode, 1,
   (char*)"V.GetColorMode() -> int\nC++: int GetColorMode ();\n\n Control how output polydata is colored. By default (ColorModeToDefault),\n if per cell colors are defined (unsigned chars of 1-4 components), then\n the cells are colored with these values. (If point colors are defined\n and cell colors are not, you can use vtkPointDataToCellData to convert\n the point colors to cell colors.) Otherwise, by default, the cells are\n set to the specified color. If ColorModeToSpecifiedColor is set, then\n the primitives will all be set to this color. If ColorModeToRandomColors\n is set, each cell will be randomly assigned a color.\n"},
  {(char*)"SetColorModeToDefault",                (PyCFunction)PyvtkCGMWriter_SetColorModeToDefault, 1,
   (char*)"V.SetColorModeToDefault()\nC++: void SetColorModeToDefault ();this SetColorMode VTK_COLOR_MODE_DEFAULT \n\n Control how output polydata is colored. By default (ColorModeToDefault),\n if per cell colors are defined (unsigned chars of 1-4 components), then\n the cells are colored with these values. (If point colors are defined\n and cell colors are not, you can use vtkPointDataToCellData to convert\n the point colors to cell colors.) Otherwise, by default, the cells are\n set to the specified color. If ColorModeToSpecifiedColor is set, then\n the primitives will all be set to this color. If ColorModeToRandomColors\n is set, each cell will be randomly assigned a color.\n"},
  {(char*)"SetColorModeToSpecifiedColor",                (PyCFunction)PyvtkCGMWriter_SetColorModeToSpecifiedColor, 1,
   (char*)"V.SetColorModeToSpecifiedColor()\nC++: void SetColorModeToSpecifiedColor ();this SetColorMode VTK_COLOR_MODE_SPECIFIED_COLOR \n\n Control how output polydata is colored. By default (ColorModeToDefault),\n if per cell colors are defined (unsigned chars of 1-4 components), then\n the cells are colored with these values. (If point colors are defined\n and cell colors are not, you can use vtkPointDataToCellData to convert\n the point colors to cell colors.) Otherwise, by default, the cells are\n set to the specified color. If ColorModeToSpecifiedColor is set, then\n the primitives will all be set to this color. If ColorModeToRandomColors\n is set, each cell will be randomly assigned a color.\n"},
  {(char*)"SetColorModeToRandomColors",                (PyCFunction)PyvtkCGMWriter_SetColorModeToRandomColors, 1,
   (char*)"V.SetColorModeToRandomColors()\nC++: void SetColorModeToRandomColors ();this SetColorMode VTK_COLOR_MODE_RANDOM_COLORS \n\n Control how output polydata is colored. By default (ColorModeToDefault),\n if per cell colors are defined (unsigned chars of 1-4 components), then\n the cells are colored with these values. (If point colors are defined\n and cell colors are not, you can use vtkPointDataToCellData to convert\n the point colors to cell colors.) Otherwise, by default, the cells are\n set to the specified color. If ColorModeToSpecifiedColor is set, then\n the primitives will all be set to this color. If ColorModeToRandomColors\n is set, each cell will be randomly assigned a color.\n"},
  {(char*)"SetSpecifiedColor",                (PyCFunction)PyvtkCGMWriter_SetSpecifiedColor, 1,
   (char*)"V.SetSpecifiedColor(float, float, float)\nC++: void SetSpecifiedColor (float , float , float );\nV.SetSpecifiedColor((float, float, float))\nC++: void SetSpecifiedColor (float  a[3]);\n\n Set/Get the specified color to color the polydata cells. This\n color is only used when the color mode is set to \n ColorModeToSpecifiedColor, or ColorModeToDefault is set and no\n cell colors are specified. The specified color is specified as RGB \n values ranging from (0,1). (Note: CGM will map this color to the\n closest color it supports.)\n"},
  {(char*)"GetSpecifiedColor",                (PyCFunction)PyvtkCGMWriter_GetSpecifiedColor, 1,
   (char*)"V.GetSpecifiedColor() -> (float, float, float)\nC++: float  *GetSpecifiedColor ();\n\n Set/Get the specified color to color the polydata cells. This\n color is only used when the color mode is set to \n ColorModeToSpecifiedColor, or ColorModeToDefault is set and no\n cell colors are specified. The specified color is specified as RGB \n values ranging from (0,1). (Note: CGM will map this color to the\n closest color it supports.)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCGMWriterDoc[] = {
  (char*)"vtkCGMWriter - write polygonal data as a CGM file\n\n",
  "Super Class:\n\n vtkPolyDataWriter\n\n",
  (char*)" vtkCGMWriter writes CGM (Computer Graphics Metafile) output. CGM is a 2D\n graphics vector format typically used by large plotters. This writer can \n handle vertices, lines, polygons, and triangle strips in any combination. \n Colors are specified either 1) from cell scalars (assumed to be RGB or \n RGBA color specification), 2) from a specified color; or 3) randomly \n assigned colors.\n\n Note: Durin",
  (char*)"g output of the polygonal data, triangle strips are converted\n to triangles, and polylines to lines. Also, due to limitations in the CGM \n color model, only 256 colors are available to the color palette.\n\n",
  "Caveats:\n\n The class vtkImageToPolyDataFilter is convenient for converting a raster\n image into polygons (and color map) suitable for plotting with CGM.\n\n",
  "See Also:\n\n vtkPolyDataWriter vtkPointDataToCellData\n\n",
  NULL
};

static vtkObjectBase *vtkCGMWriterStaticNew()
{
  return vtkCGMWriter::New();
}

PyObject *PyVTKClass_vtkCGMWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkCGMWriterStaticNew,
                        PyvtkCGMWriterMethods,
                        (char*)"vtkCGMWriter",modulename,
                        (char**)vtkCGMWriterDoc,
                        PyVTKClass_vtkPolyDataWriterNew(modulename));
}

