// python wrapper for vtkChacoReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkChacoReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkChacoReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkChacoReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkChacoReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  const char    *temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  vtkChacoReader  *temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkChacoReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkChacoReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkChacoReader_SetBaseName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  char    *temp0;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChacoReader::SetBaseName(temp0);
      }
    else
      {
      op->SetBaseName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetBaseName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  char    *temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetBaseName();
      }
    else
      {
      temp20 = op->GetBaseName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_SetGenerateGlobalElementIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp0;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChacoReader::SetGenerateGlobalElementIdArray(temp0);
      }
    else
      {
      op->SetGenerateGlobalElementIdArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetGenerateGlobalElementIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetGenerateGlobalElementIdArray();
      }
    else
      {
      temp20 = op->GetGenerateGlobalElementIdArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GenerateGlobalElementIdArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChacoReader::GenerateGlobalElementIdArrayOn();
      }
    else
      {
      op->GenerateGlobalElementIdArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GenerateGlobalElementIdArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChacoReader::GenerateGlobalElementIdArrayOff();
      }
    else
      {
      op->GenerateGlobalElementIdArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetGlobalElementIdArrayName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkChacoReader::GetGlobalElementIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_SetGenerateGlobalNodeIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp0;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChacoReader::SetGenerateGlobalNodeIdArray(temp0);
      }
    else
      {
      op->SetGenerateGlobalNodeIdArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetGenerateGlobalNodeIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetGenerateGlobalNodeIdArray();
      }
    else
      {
      temp20 = op->GetGenerateGlobalNodeIdArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GenerateGlobalNodeIdArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChacoReader::GenerateGlobalNodeIdArrayOn();
      }
    else
      {
      op->GenerateGlobalNodeIdArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GenerateGlobalNodeIdArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChacoReader::GenerateGlobalNodeIdArrayOff();
      }
    else
      {
      op->GenerateGlobalNodeIdArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetGlobalNodeIdArrayName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkChacoReader::GetGlobalNodeIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_SetGenerateVertexWeightArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp0;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChacoReader::SetGenerateVertexWeightArrays(temp0);
      }
    else
      {
      op->SetGenerateVertexWeightArrays(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetGenerateVertexWeightArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetGenerateVertexWeightArrays();
      }
    else
      {
      temp20 = op->GetGenerateVertexWeightArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GenerateVertexWeightArraysOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChacoReader::GenerateVertexWeightArraysOn();
      }
    else
      {
      op->GenerateVertexWeightArraysOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GenerateVertexWeightArraysOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChacoReader::GenerateVertexWeightArraysOff();
      }
    else
      {
      op->GenerateVertexWeightArraysOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetNumberOfVertexWeights(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetNumberOfVertexWeights();
      }
    else
      {
      temp20 = op->GetNumberOfVertexWeights();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetVertexWeightArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp0;
  char    *temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetVertexWeightArrayName(temp0);
      }
    else
      {
      temp20 = op->GetVertexWeightArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_SetGenerateEdgeWeightArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp0;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChacoReader::SetGenerateEdgeWeightArrays(temp0);
      }
    else
      {
      op->SetGenerateEdgeWeightArrays(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetGenerateEdgeWeightArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetGenerateEdgeWeightArrays();
      }
    else
      {
      temp20 = op->GetGenerateEdgeWeightArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GenerateEdgeWeightArraysOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChacoReader::GenerateEdgeWeightArraysOn();
      }
    else
      {
      op->GenerateEdgeWeightArraysOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GenerateEdgeWeightArraysOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkChacoReader::GenerateEdgeWeightArraysOff();
      }
    else
      {
      op->GenerateEdgeWeightArraysOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetNumberOfEdgeWeights(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetNumberOfEdgeWeights();
      }
    else
      {
      temp20 = op->GetNumberOfEdgeWeights();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetEdgeWeightArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp0;
  char    *temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetEdgeWeightArrayName(temp0);
      }
    else
      {
      temp20 = op->GetEdgeWeightArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetDimensionality();
      }
    else
      {
      temp20 = op->GetDimensionality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  vtkIdType   temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetNumberOfEdges();
      }
    else
      {
      temp20 = op->GetNumberOfEdges();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetNumberOfVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  vtkIdType   temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetNumberOfVertices();
      }
    else
      {
      temp20 = op->GetNumberOfVertices();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetNumberOfCellWeightArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetNumberOfCellWeightArrays();
      }
    else
      {
      temp20 = op->GetNumberOfCellWeightArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkChacoReader_GetNumberOfPointWeightArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkChacoReader *op;

  int      temp20;
  if ((op = (vtkChacoReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkChacoReader::GetNumberOfPointWeightArrays();
      }
    else
      {
      temp20 = op->GetNumberOfPointWeightArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkChacoReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkChacoReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkChacoReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkChacoReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkChacoReader\nC++: vtkChacoReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkChacoReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkChacoReader\nC++: vtkChacoReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetBaseName",                (PyCFunction)PyvtkChacoReader_SetBaseName, 1,
   (char*)"V.SetBaseName(string)\nC++: void SetBaseName (char *);\n\n"},
  {(char*)"GetBaseName",                (PyCFunction)PyvtkChacoReader_GetBaseName, 1,
   (char*)"V.GetBaseName() -> string\nC++: char *GetBaseName ();\n\n"},
  {(char*)"SetGenerateGlobalElementIdArray",                (PyCFunction)PyvtkChacoReader_SetGenerateGlobalElementIdArray, 1,
   (char*)"V.SetGenerateGlobalElementIdArray(int)\nC++: void SetGenerateGlobalElementIdArray (int );\n\n"},
  {(char*)"GetGenerateGlobalElementIdArray",                (PyCFunction)PyvtkChacoReader_GetGenerateGlobalElementIdArray, 1,
   (char*)"V.GetGenerateGlobalElementIdArray() -> int\nC++: int GetGenerateGlobalElementIdArray ();\n\n"},
  {(char*)"GenerateGlobalElementIdArrayOn",                (PyCFunction)PyvtkChacoReader_GenerateGlobalElementIdArrayOn, 1,
   (char*)"V.GenerateGlobalElementIdArrayOn()\nC++: void GenerateGlobalElementIdArrayOn ();\n\n"},
  {(char*)"GenerateGlobalElementIdArrayOff",                (PyCFunction)PyvtkChacoReader_GenerateGlobalElementIdArrayOff, 1,
   (char*)"V.GenerateGlobalElementIdArrayOff()\nC++: void GenerateGlobalElementIdArrayOff ();\n\n"},
  {(char*)"GetGlobalElementIdArrayName",                (PyCFunction)PyvtkChacoReader_GetGlobalElementIdArrayName, 1,
   (char*)"V.GetGlobalElementIdArrayName() -> string\nC++: static const char *GetGlobalElementIdArrayName ();return \n\n"},
  {(char*)"SetGenerateGlobalNodeIdArray",                (PyCFunction)PyvtkChacoReader_SetGenerateGlobalNodeIdArray, 1,
   (char*)"V.SetGenerateGlobalNodeIdArray(int)\nC++: void SetGenerateGlobalNodeIdArray (int );\n\n"},
  {(char*)"GetGenerateGlobalNodeIdArray",                (PyCFunction)PyvtkChacoReader_GetGenerateGlobalNodeIdArray, 1,
   (char*)"V.GetGenerateGlobalNodeIdArray() -> int\nC++: int GetGenerateGlobalNodeIdArray ();\n\n"},
  {(char*)"GenerateGlobalNodeIdArrayOn",                (PyCFunction)PyvtkChacoReader_GenerateGlobalNodeIdArrayOn, 1,
   (char*)"V.GenerateGlobalNodeIdArrayOn()\nC++: void GenerateGlobalNodeIdArrayOn ();\n\n"},
  {(char*)"GenerateGlobalNodeIdArrayOff",                (PyCFunction)PyvtkChacoReader_GenerateGlobalNodeIdArrayOff, 1,
   (char*)"V.GenerateGlobalNodeIdArrayOff()\nC++: void GenerateGlobalNodeIdArrayOff ();\n\n"},
  {(char*)"GetGlobalNodeIdArrayName",                (PyCFunction)PyvtkChacoReader_GetGlobalNodeIdArrayName, 1,
   (char*)"V.GetGlobalNodeIdArrayName() -> string\nC++: static const char *GetGlobalNodeIdArrayName ();return \n\n"},
  {(char*)"SetGenerateVertexWeightArrays",                (PyCFunction)PyvtkChacoReader_SetGenerateVertexWeightArrays, 1,
   (char*)"V.SetGenerateVertexWeightArrays(int)\nC++: void SetGenerateVertexWeightArrays (int );\n\n"},
  {(char*)"GetGenerateVertexWeightArrays",                (PyCFunction)PyvtkChacoReader_GetGenerateVertexWeightArrays, 1,
   (char*)"V.GetGenerateVertexWeightArrays() -> int\nC++: int GetGenerateVertexWeightArrays ();\n\n"},
  {(char*)"GenerateVertexWeightArraysOn",                (PyCFunction)PyvtkChacoReader_GenerateVertexWeightArraysOn, 1,
   (char*)"V.GenerateVertexWeightArraysOn()\nC++: void GenerateVertexWeightArraysOn ();\n\n"},
  {(char*)"GenerateVertexWeightArraysOff",                (PyCFunction)PyvtkChacoReader_GenerateVertexWeightArraysOff, 1,
   (char*)"V.GenerateVertexWeightArraysOff()\nC++: void GenerateVertexWeightArraysOff ();\n\n"},
  {(char*)"GetNumberOfVertexWeights",                (PyCFunction)PyvtkChacoReader_GetNumberOfVertexWeights, 1,
   (char*)"V.GetNumberOfVertexWeights() -> int\nC++: int GetNumberOfVertexWeights ();\n\n"},
  {(char*)"GetVertexWeightArrayName",                (PyCFunction)PyvtkChacoReader_GetVertexWeightArrayName, 1,
   (char*)"V.GetVertexWeightArrayName(int) -> string\nC++: char *GetVertexWeightArrayName (int weight);\n\n"},
  {(char*)"SetGenerateEdgeWeightArrays",                (PyCFunction)PyvtkChacoReader_SetGenerateEdgeWeightArrays, 1,
   (char*)"V.SetGenerateEdgeWeightArrays(int)\nC++: void SetGenerateEdgeWeightArrays (int );\n\n"},
  {(char*)"GetGenerateEdgeWeightArrays",                (PyCFunction)PyvtkChacoReader_GetGenerateEdgeWeightArrays, 1,
   (char*)"V.GetGenerateEdgeWeightArrays() -> int\nC++: int GetGenerateEdgeWeightArrays ();\n\n"},
  {(char*)"GenerateEdgeWeightArraysOn",                (PyCFunction)PyvtkChacoReader_GenerateEdgeWeightArraysOn, 1,
   (char*)"V.GenerateEdgeWeightArraysOn()\nC++: void GenerateEdgeWeightArraysOn ();\n\n"},
  {(char*)"GenerateEdgeWeightArraysOff",                (PyCFunction)PyvtkChacoReader_GenerateEdgeWeightArraysOff, 1,
   (char*)"V.GenerateEdgeWeightArraysOff()\nC++: void GenerateEdgeWeightArraysOff ();\n\n"},
  {(char*)"GetNumberOfEdgeWeights",                (PyCFunction)PyvtkChacoReader_GetNumberOfEdgeWeights, 1,
   (char*)"V.GetNumberOfEdgeWeights() -> int\nC++: int GetNumberOfEdgeWeights ();\n\n"},
  {(char*)"GetEdgeWeightArrayName",                (PyCFunction)PyvtkChacoReader_GetEdgeWeightArrayName, 1,
   (char*)"V.GetEdgeWeightArrayName(int) -> string\nC++: char *GetEdgeWeightArrayName (int weight);\n\n"},
  {(char*)"GetDimensionality",                (PyCFunction)PyvtkChacoReader_GetDimensionality, 1,
   (char*)"V.GetDimensionality() -> int\nC++: int GetDimensionality ();\n\n Access to meta data generated by RequestInformation.\n"},
  {(char*)"GetNumberOfEdges",                (PyCFunction)PyvtkChacoReader_GetNumberOfEdges, 1,
   (char*)"V.GetNumberOfEdges() -> int\nC++: vtkIdType GetNumberOfEdges ();\n\n Access to meta data generated by RequestInformation.\n"},
  {(char*)"GetNumberOfVertices",                (PyCFunction)PyvtkChacoReader_GetNumberOfVertices, 1,
   (char*)"V.GetNumberOfVertices() -> int\nC++: vtkIdType GetNumberOfVertices ();\n\n Access to meta data generated by RequestInformation.\n"},
  {(char*)"GetNumberOfCellWeightArrays",                (PyCFunction)PyvtkChacoReader_GetNumberOfCellWeightArrays, 1,
   (char*)"V.GetNumberOfCellWeightArrays() -> int\nC++: int GetNumberOfCellWeightArrays ();\n\n"},
  {(char*)"GetNumberOfPointWeightArrays",                (PyCFunction)PyvtkChacoReader_GetNumberOfPointWeightArrays, 1,
   (char*)"V.GetNumberOfPointWeightArrays() -> int\nC++: int GetNumberOfPointWeightArrays ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkChacoReaderDoc[] = {
  (char*)"vtkChacoReader - Read a Chaco file and create a vtkUnstructuredGrid. \n\n",
  "Super Class:\n\n vtkUnstructuredGridAlgorithm\n\n",
  (char*)" vtkChacoReader is an unstructured grid source object that reads Chaco\n files.  The reader DOES NOT respond to piece requests. Chaco\n is a graph partitioning package developed at Sandia National Laboratories\n in the early 1990s.  (http://www.cs.sandia.gov/~bahendr/chaco.html)\n\n Note that the Chaco \"edges\" become VTK \"cells\", and the Chaco\n \"vertices\" become VTK \"points\".\n\n",
  NULL
};

static vtkObjectBase *vtkChacoReaderStaticNew()
{
  return vtkChacoReader::New();
}

PyObject *PyVTKClass_vtkChacoReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkChacoReaderStaticNew,
                        PyvtkChacoReaderMethods,
                        (char*)"vtkChacoReader",modulename,
                        (char**)vtkChacoReaderDoc,
                        PyVTKClass_vtkUnstructuredGridAlgorithmNew(modulename));
}

