// python wrapper for vtkDEMReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDEMReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDEMReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDEMReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkDEMReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  const char    *temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  vtkDEMReader  *temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDEMReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDEMReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDEMReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  char    *temp0;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDEMReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  char    *temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_SetElevationReference(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  int      temp0;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDEMReader::SetElevationReference(temp0);
      }
    else
      {
      op->SetElevationReference(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetElevationReferenceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  int      temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetElevationReferenceMinValue();
      }
    else
      {
      temp20 = op->GetElevationReferenceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetElevationReferenceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  int      temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetElevationReferenceMaxValue();
      }
    else
      {
      temp20 = op->GetElevationReferenceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetElevationReference(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  int      temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetElevationReference();
      }
    else
      {
      temp20 = op->GetElevationReference();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_SetElevationReferenceToSeaLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDEMReader::SetElevationReferenceToSeaLevel();
      }
    else
      {
      op->SetElevationReferenceToSeaLevel();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_SetElevationReferenceToElevationBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkDEMReader::SetElevationReferenceToElevationBounds();
      }
    else
      {
      op->SetElevationReferenceToElevationBounds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetElevationReferenceAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  const char    *temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetElevationReferenceAsString();
      }
    else
      {
      temp20 = op->GetElevationReferenceAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetMapLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  char    *temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetMapLabel();
      }
    else
      {
      temp20 = op->GetMapLabel();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetDEMLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  int      temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetDEMLevel();
      }
    else
      {
      temp20 = op->GetDEMLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetElevationPattern(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  int      temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetElevationPattern();
      }
    else
      {
      temp20 = op->GetElevationPattern();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetGroundSystem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  int      temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetGroundSystem();
      }
    else
      {
      temp20 = op->GetGroundSystem();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetGroundZone(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  int      temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetGroundZone();
      }
    else
      {
      temp20 = op->GetGroundZone();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetProjectionParameters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  float   *temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetProjectionParameters();
      }
    else
      {
      temp20 = op->GetProjectionParameters();
      }
    return Py_BuildValue((char*)"fffffffffffffff",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5],temp20[6],temp20[7],temp20[8],temp20[9],temp20[10],temp20[11],temp20[12],temp20[13],temp20[14]);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetPlaneUnitOfMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  int      temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetPlaneUnitOfMeasure();
      }
    else
      {
      temp20 = op->GetPlaneUnitOfMeasure();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetElevationUnitOfMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  int      temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetElevationUnitOfMeasure();
      }
    else
      {
      temp20 = op->GetElevationUnitOfMeasure();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetPolygonSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  int      temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetPolygonSize();
      }
    else
      {
      temp20 = op->GetPolygonSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetElevationBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  float   *temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetElevationBounds();
      }
    else
      {
      temp20 = op->GetElevationBounds();
      }
    return Py_BuildValue((char*)"ff",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetLocalRotation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  float    temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetLocalRotation();
      }
    else
      {
      temp20 = op->GetLocalRotation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetAccuracyCode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  int      temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetAccuracyCode();
      }
    else
      {
      temp20 = op->GetAccuracyCode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetSpatialResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  float   *temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetSpatialResolution();
      }
    else
      {
      temp20 = op->GetSpatialResolution();
      }
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkDEMReader_GetProfileDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDEMReader *op;

  int     *temp20;
  if ((op = (vtkDEMReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDEMReader::GetProfileDimension();
      }
    else
      {
      temp20 = op->GetProfileDimension();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDEMReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDEMReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDEMReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDEMReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDEMReader\nC++: vtkDEMReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDEMReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDEMReader\nC++: vtkDEMReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkDEMReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name of Digital Elevation Model (DEM) file\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkDEMReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of Digital Elevation Model (DEM) file\n"},
  {(char*)"SetElevationReference",                (PyCFunction)PyvtkDEMReader_SetElevationReference, 1,
   (char*)"V.SetElevationReference(int)\nC++: void SetElevationReference (int );\n\n Specify the elevation origin to use. By default, the elevation origin\n is equal to ElevationBounds[0]. A more convenient origin is to use sea\n level (i.e., a value of 0.0).\n"},
  {(char*)"GetElevationReferenceMinValue",                (PyCFunction)PyvtkDEMReader_GetElevationReferenceMinValue, 1,
   (char*)"V.GetElevationReferenceMinValue() -> int\nC++: int GetElevationReferenceMinValue ();\n\n Specify the elevation origin to use. By default, the elevation origin\n is equal to ElevationBounds[0]. A more convenient origin is to use sea\n level (i.e., a value of 0.0).\n"},
  {(char*)"GetElevationReferenceMaxValue",                (PyCFunction)PyvtkDEMReader_GetElevationReferenceMaxValue, 1,
   (char*)"V.GetElevationReferenceMaxValue() -> int\nC++: int GetElevationReferenceMaxValue ();\n\n Specify the elevation origin to use. By default, the elevation origin\n is equal to ElevationBounds[0]. A more convenient origin is to use sea\n level (i.e., a value of 0.0).\n"},
  {(char*)"GetElevationReference",                (PyCFunction)PyvtkDEMReader_GetElevationReference, 1,
   (char*)"V.GetElevationReference() -> int\nC++: int GetElevationReference ();\n\n Specify the elevation origin to use. By default, the elevation origin\n is equal to ElevationBounds[0]. A more convenient origin is to use sea\n level (i.e., a value of 0.0).\n"},
  {(char*)"SetElevationReferenceToSeaLevel",                (PyCFunction)PyvtkDEMReader_SetElevationReferenceToSeaLevel, 1,
   (char*)"V.SetElevationReferenceToSeaLevel()\nC++: void SetElevationReferenceToSeaLevel ();this SetElevationReference REFERENCE_SEA_LEVEL \n\n Specify the elevation origin to use. By default, the elevation origin\n is equal to ElevationBounds[0]. A more convenient origin is to use sea\n level (i.e., a value of 0.0).\n"},
  {(char*)"SetElevationReferenceToElevationBounds",                (PyCFunction)PyvtkDEMReader_SetElevationReferenceToElevationBounds, 1,
   (char*)"V.SetElevationReferenceToElevationBounds()\nC++: void SetElevationReferenceToElevationBounds ();this SetElevationReference REFERENCE_ELEVATION_BOUNDS \n\n Specify the elevation origin to use. By default, the elevation origin\n is equal to ElevationBounds[0]. A more convenient origin is to use sea\n level (i.e., a value of 0.0).\n"},
  {(char*)"GetElevationReferenceAsString",                (PyCFunction)PyvtkDEMReader_GetElevationReferenceAsString, 1,
   (char*)"V.GetElevationReferenceAsString() -> string\nC++: const char *GetElevationReferenceAsString (void );\n\n Specify the elevation origin to use. By default, the elevation origin\n is equal to ElevationBounds[0]. A more convenient origin is to use sea\n level (i.e., a value of 0.0).\n"},
  {(char*)"GetMapLabel",                (PyCFunction)PyvtkDEMReader_GetMapLabel, 1,
   (char*)"V.GetMapLabel() -> string\nC++: char *GetMapLabel ();\n\n An ASCII description of the map\n"},
  {(char*)"GetDEMLevel",                (PyCFunction)PyvtkDEMReader_GetDEMLevel, 1,
   (char*)"V.GetDEMLevel() -> int\nC++: int GetDEMLevel ();\n\n Code 1=DEM-1, 2=DEM_2, ...\n"},
  {(char*)"GetElevationPattern",                (PyCFunction)PyvtkDEMReader_GetElevationPattern, 1,
   (char*)"V.GetElevationPattern() -> int\nC++: int GetElevationPattern ();\n\n Code 1=regular, 2=random, reserved for future use\n"},
  {(char*)"GetGroundSystem",                (PyCFunction)PyvtkDEMReader_GetGroundSystem, 1,
   (char*)"V.GetGroundSystem() -> int\nC++: int GetGroundSystem ();\n\n Ground planimetric reference system\n"},
  {(char*)"GetGroundZone",                (PyCFunction)PyvtkDEMReader_GetGroundZone, 1,
   (char*)"V.GetGroundZone() -> int\nC++: int GetGroundZone ();\n\n Zone in ground planimetric reference system\n"},
  {(char*)"GetProjectionParameters",                (PyCFunction)PyvtkDEMReader_GetProjectionParameters, 1,
   (char*)"V.GetProjectionParameters() -> (float, float, float, float, float, float, float, float, float, float, float, float, float, float, float)\nC++: float  *GetProjectionParameters ();\n\n Map Projection parameters. All are zero.\n"},
  {(char*)"GetPlaneUnitOfMeasure",                (PyCFunction)PyvtkDEMReader_GetPlaneUnitOfMeasure, 1,
   (char*)"V.GetPlaneUnitOfMeasure() -> int\nC++: int GetPlaneUnitOfMeasure ();\n\n Defining unit of measure for ground planimetric coordinates throughout\n the file. 0 = radians, 1 = feet, 2 = meters, 3 = arc-seconds.\n"},
  {(char*)"GetElevationUnitOfMeasure",                (PyCFunction)PyvtkDEMReader_GetElevationUnitOfMeasure, 1,
   (char*)"V.GetElevationUnitOfMeasure() -> int\nC++: int GetElevationUnitOfMeasure ();\n\n Defining unit of measure for elevation coordinates throughout\n the file. 1 = feet, 2 = meters\n"},
  {(char*)"GetPolygonSize",                (PyCFunction)PyvtkDEMReader_GetPolygonSize, 1,
   (char*)"V.GetPolygonSize() -> int\nC++: int GetPolygonSize ();\n\n Number of sides in the polygon which defines the coverage of\n the DEM file. Set to 4.\n"},
  {(char*)"GetElevationBounds",                (PyCFunction)PyvtkDEMReader_GetElevationBounds, 1,
   (char*)"V.GetElevationBounds() -> (float, float)\nC++: float  *GetElevationBounds ();\n\n Minimum and maximum elevation for the DEM. The units in the file\n are in ElevationUnitOfMeasure. This class converts them to meters.\n"},
  {(char*)"GetLocalRotation",                (PyCFunction)PyvtkDEMReader_GetLocalRotation, 1,
   (char*)"V.GetLocalRotation() -> float\nC++: float GetLocalRotation ();\n\n Counterclockwise angle (in radians) from the primary axis of the planimetric\n reference to the primary axis of the DEM local reference system.\n IGNORED BY THIS IMPLEMENTATION.\n"},
  {(char*)"GetAccuracyCode",                (PyCFunction)PyvtkDEMReader_GetAccuracyCode, 1,
   (char*)"V.GetAccuracyCode() -> int\nC++: int GetAccuracyCode ();\n\n Accuracy code for elevations. 0=unknown accuracy\n"},
  {(char*)"GetSpatialResolution",                (PyCFunction)PyvtkDEMReader_GetSpatialResolution, 1,
   (char*)"V.GetSpatialResolution() -> (float, float, float)\nC++: float  *GetSpatialResolution ();\n\n DEM spatial resolution for x,y,z. Values are expressed in units of resolution.\n Since elevations are read as integers, this permits fractional elevations.\n"},
  {(char*)"GetProfileDimension",                (PyCFunction)PyvtkDEMReader_GetProfileDimension, 1,
   (char*)"V.GetProfileDimension() -> (int, int)\nC++: int  *GetProfileDimension ();\n\n The number of rows and columns in the DEM.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDEMReaderDoc[] = {
  (char*)"vtkDEMReader - read a digital elevation model (DEM) file\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkDEMReader reads digital elevation files and creates image data.\n Digital elevation files are produced by the\n <A HREF=\"http://www.usgs.gov\">US Geological Survey</A>. \n A complete description of the DEM file is located at the USGS site.\n The reader reads the entire dem file and create a vtkImageData that\n contains a single scalar component that is the elevation in meters.\n The spacing is also e",
  (char*)"xpressed in meters. A number of get methods\n provide access to fields on the header.\n\n",
  NULL
};

static vtkObjectBase *vtkDEMReaderStaticNew()
{
  return vtkDEMReader::New();
}

PyObject *PyVTKClass_vtkDEMReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkDEMReaderStaticNew,
                        PyvtkDEMReaderMethods,
                        (char*)"vtkDEMReader",modulename,
                        (char**)vtkDEMReaderDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

