// tcl wrapper for vtkDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataReader.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkDataReaderNewCommand()
{
  vtkDataReader *temp = vtkDataReader::New();
  return ((ClientData)temp);
}

int vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataReaderCppCommand(vtkDataReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataReaderCppCommand((vtkDataReader *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataReaderCppCommand(vtkDataReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataReader",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkAlgorithmCppCommand((vtkAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsFileValid",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsFileValid(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsFileStructuredPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsFileStructuredPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsFilePolyData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsFilePolyData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsFileStructuredGrid",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsFileStructuredGrid();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsFileUnstructuredGrid",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsFileUnstructuredGrid();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsFileRectilinearGrid",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsFileRectilinearGrid();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInputString",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetInputString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetInputString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInputString",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetInputString(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputStringLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInputStringLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBinaryInputString",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetBinaryInputString(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputArray",argv[1]))&&(argc == 3))
    {
    vtkCharArray  *temp0;
    error = 0;

    temp0 = (vtkCharArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCharArray",interp,error));
    if (!error)
    {
    op->SetInputArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputArray",argv[1]))&&(argc == 2))
    {
    vtkCharArray  *temp20;
    temp20 = (op)->GetInputArray();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCharArray");
    return TCL_OK;
    }
  if ((!strcmp("GetHeader",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetHeader();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetReadFromInputString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadFromInputString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadFromInputString",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadFromInputString();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadFromInputStringOn",argv[1]))&&(argc == 2))
    {
    op->ReadFromInputStringOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadFromInputStringOff",argv[1]))&&(argc == 2))
    {
    op->ReadFromInputStringOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFileType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfScalarsInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfScalarsInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVectorsInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVectorsInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTensorsInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTensorsInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfNormalsInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfNormalsInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTCoordsInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTCoordsInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFieldDataInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFieldDataInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarsNameInFile",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarsNameInFile(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorsNameInFile",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVectorsNameInFile(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensorsNameInFile",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTensorsNameInFile(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalsNameInFile",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNormalsNameInFile(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoordsNameInFile",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTCoordsNameInFile(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldDataNameInFile",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFieldDataNameInFile(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScalarsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetScalarsName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVectorsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVectorsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetVectorsName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTensorsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTensorsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTensorsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTensorsName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNormalsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetNormalsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetNormalsName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTCoordsName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTCoordsName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTCoordsName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTCoordsName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLookupTableName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLookupTableName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTableName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLookupTableName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFieldDataName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFieldDataName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFieldDataName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFieldDataName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllScalarsOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllScalarsOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllVectors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllVectors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllVectors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllVectorsOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllVectorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllVectorsOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllVectorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllNormals",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllNormals(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllNormals",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllNormals();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllNormalsOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllNormalsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllNormalsOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllNormalsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllTensors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllTensors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllTensors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllTensors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllTensorsOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllTensorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllTensorsOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllTensorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllColorScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllColorScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllColorScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllColorScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllColorScalarsOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllColorScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllColorScalarsOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllColorScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllTCoords",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllTCoords(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllTCoords",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllTCoords();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllTCoordsOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllTCoordsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllTCoordsOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllTCoordsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReadAllFields",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadAllFields(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReadAllFields",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReadAllFields();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllFieldsOn",argv[1]))&&(argc == 2))
    {
    op->ReadAllFieldsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadAllFieldsOff",argv[1]))&&(argc == 2))
    {
    op->ReadAllFieldsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OpenVTKFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->OpenVTKFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadHeader",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->ReadHeader();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadCellData",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ReadCellData(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadPointData",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ReadPointData(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadPoints",argv[1]))&&(argc == 4))
    {
    vtkPointSet  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkPointSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPointSet",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->ReadPoints(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadCoordinates",argv[1]))&&(argc == 5))
    {
    vtkRectilinearGrid  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkRectilinearGrid *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRectilinearGrid",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->ReadCoordinates(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadArray",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    vtkDataArray  *temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->ReadArray(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadFieldData",argv[1]))&&(argc == 2))
    {
    vtkFieldData  *temp20;
    temp20 = (op)->ReadFieldData();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkFieldData");
    return TCL_OK;
    }
  if ((!strcmp("Read",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->Read(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CloseVTKFile",argv[1]))&&(argc == 2))
    {
    op->CloseVTKFile();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadMetaData",argv[1]))&&(argc == 3))
    {
    vtkInformation  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInformation",interp,error));
    if (!error)
    {
    temp20 = (op)->ReadMetaData(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkDataReaderCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  IsFileValid\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsFileStructuredPoints\n",NULL);
    Tcl_AppendResult(interp,"  IsFilePolyData\n",NULL);
    Tcl_AppendResult(interp,"  IsFileStructuredGrid\n",NULL);
    Tcl_AppendResult(interp,"  IsFileUnstructuredGrid\n",NULL);
    Tcl_AppendResult(interp,"  IsFileRectilinearGrid\n",NULL);
    Tcl_AppendResult(interp,"  SetInputString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputString\n",NULL);
    Tcl_AppendResult(interp,"  SetInputString\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInputStringLength\n",NULL);
    Tcl_AppendResult(interp,"  SetBinaryInputString\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputArray\n",NULL);
    Tcl_AppendResult(interp,"  GetHeader\n",NULL);
    Tcl_AppendResult(interp,"  SetReadFromInputString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadFromInputString\n",NULL);
    Tcl_AppendResult(interp,"  ReadFromInputStringOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadFromInputStringOff\n",NULL);
    Tcl_AppendResult(interp,"  GetFileType\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfScalarsInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVectorsInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTensorsInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNormalsInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTCoordsInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFieldDataInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarsNameInFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorsNameInFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorsNameInFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalsNameInFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordsNameInFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldDataNameInFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarsName\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorsName\n",NULL);
    Tcl_AppendResult(interp,"  SetTensorsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTensorsName\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalsName\n",NULL);
    Tcl_AppendResult(interp,"  SetTCoordsName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTCoordsName\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTableName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTableName\n",NULL);
    Tcl_AppendResult(interp,"  SetFieldDataName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFieldDataName\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllScalars\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllVectors\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllVectorsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllVectorsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllNormals\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllNormals\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllNormalsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllNormalsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllTensors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllTensors\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllTensorsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllTensorsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllColorScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllColorScalars\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllColorScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllColorScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllTCoords\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllTCoords\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllTCoordsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllTCoordsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReadAllFields\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReadAllFields\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllFieldsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadAllFieldsOff\n",NULL);
    Tcl_AppendResult(interp,"  OpenVTKFile\n",NULL);
    Tcl_AppendResult(interp,"  ReadHeader\n",NULL);
    Tcl_AppendResult(interp,"  ReadCellData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReadPointData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReadPoints\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReadCoordinates\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ReadArray\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ReadFieldData\n",NULL);
    Tcl_AppendResult(interp,"  Read\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CloseVTKFile\n",NULL);
    Tcl_AppendResult(interp,"  ReadMetaData\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkAlgorithmCppCommand((vtkAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
