// python wrapper for vtkEnSightReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkEnSightReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEnSightReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEnSightReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkGenericEnSightReaderNew(char *); }

static PyObject *PyvtkEnSightReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  const char    *temp20;
  if ((op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEnSightReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSightReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEnSightReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSightReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  vtkEnSightReader  *temp20;
  if ((op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEnSightReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSightReader_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  if ((op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEnSightReader::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSightReader_ExecuteInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  if ((op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEnSightReader::ExecuteInformation();
      }
    else
      {
      op->ExecuteInformation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEnSightReader_ReplaceNthOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  if ((op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkEnSightReader::ReplaceNthOutput(temp0,temp1);
      }
    else
      {
      op->ReplaceNthOutput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkEnSightReader_GetOutputsAreValid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEnSightReader *op;

  int      temp20;
  if ((op = (vtkEnSightReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEnSightReader::GetOutputsAreValid();
      }
    else
      {
      temp20 = op->GetOutputsAreValid();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEnSightReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEnSightReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEnSightReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEnSightReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEnSightReader\nC++: vtkEnSightReader *NewInstance ();\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkEnSightReader_Update, 1,
   (char*)"V.Update()\nC++: void Update ();\n\n"},
  {(char*)"ExecuteInformation",                (PyCFunction)PyvtkEnSightReader_ExecuteInformation, 1,
   (char*)"V.ExecuteInformation()\nC++: void ExecuteInformation ();\n\n"},
  {(char*)"ReplaceNthOutput",                (PyCFunction)PyvtkEnSightReader_ReplaceNthOutput, 1,
   (char*)"V.ReplaceNthOutput(int, vtkDataObject)\nC++: void ReplaceNthOutput (int n, vtkDataObject *output);\n\n This method sets/replaces one of the outputs of the\n reader without changing it's modification time.\n Make sure that you pass the right type of data object.\n"},
  {(char*)"GetOutputsAreValid",                (PyCFunction)PyvtkEnSightReader_GetOutputsAreValid, 1,
   (char*)"V.GetOutputsAreValid() -> int\nC++: int GetOutputsAreValid ();\n\n OutputsAreValid indicates whether the outputs from this reader have\n changed in a consistent way.  If during re-reading (because of a change in\n time step or data set) the number of outputs becomes less than the current\n number or the type of a particular output changes (e.g., from\n vtkUnstructuredGrid to vtkImageData), then this flag is set to 0.\n Otherwise it is set to 1.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEnSightReaderDoc[] = {
  (char*)"vtkEnSightReader - superclass for EnSight file readers\n\n",
  "Super Class:\n\n vtkGenericEnSightReader\n\n",
  (char*)"None provided.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkEnSightReaderNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkEnSightReaderMethods,
                        (char*)"vtkEnSightReader",modulename,
                        (char**)vtkEnSightReaderDoc,
                        PyVTKClass_vtkGenericEnSightReaderNew(modulename));
}

