// python wrapper for vtkGenericMovieWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGenericMovieWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGenericMovieWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGenericMovieWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkProcessObjectNew(char *); }

static PyObject *PyvtkGenericMovieWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericMovieWriter *op;

  const char    *temp20;
  if ((op = (vtkGenericMovieWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericMovieWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericMovieWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericMovieWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGenericMovieWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericMovieWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericMovieWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericMovieWriter *op;

  vtkGenericMovieWriter  *temp20;
  if ((op = (vtkGenericMovieWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericMovieWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericMovieWriter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericMovieWriter *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkGenericMovieWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericMovieWriter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGenericMovieWriter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericMovieWriter *op;

  vtkImageData  *temp20;
  if ((op = (vtkGenericMovieWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericMovieWriter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericMovieWriter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericMovieWriter *op;

  char    *temp0;
  if ((op = (vtkGenericMovieWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGenericMovieWriter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericMovieWriter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericMovieWriter *op;

  char    *temp20;
  if ((op = (vtkGenericMovieWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericMovieWriter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericMovieWriter_Start(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericMovieWriter *op;

  if ((op = (vtkGenericMovieWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Start();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericMovieWriter_Write(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericMovieWriter *op;

  if ((op = (vtkGenericMovieWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Write();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericMovieWriter_End(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericMovieWriter *op;

  if ((op = (vtkGenericMovieWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->End();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGenericMovieWriter_GetError(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGenericMovieWriter *op;

  int      temp20;
  if ((op = (vtkGenericMovieWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGenericMovieWriter::GetError();
      }
    else
      {
      temp20 = op->GetError();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGenericMovieWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGenericMovieWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGenericMovieWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGenericMovieWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGenericMovieWriter\nC++: vtkGenericMovieWriter *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkGenericMovieWriter_SetInput, 1,
   (char*)"V.SetInput(vtkImageData)\nC++: virtual void SetInput (vtkImageData *input);\n\n Set/Get the input object from the image pipeline.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkGenericMovieWriter_GetInput, 1,
   (char*)"V.GetInput() -> vtkImageData\nC++: virtual vtkImageData *GetInput ();\n\n Set/Get the input object from the image pipeline.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkGenericMovieWriter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name of avi file.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkGenericMovieWriter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of avi file.\n"},
  {(char*)"Start",                (PyCFunction)PyvtkGenericMovieWriter_Start, 1,
   (char*)"V.Start()\nC++: virtual void Start () = 0;\n\n These methods start writing an Movie file, write a frame to the file\n and then end the writing process.\n"},
  {(char*)"Write",                (PyCFunction)PyvtkGenericMovieWriter_Write, 1,
   (char*)"V.Write()\nC++: virtual void Write () = 0;\n\n These methods start writing an Movie file, write a frame to the file\n and then end the writing process.\n"},
  {(char*)"End",                (PyCFunction)PyvtkGenericMovieWriter_End, 1,
   (char*)"V.End()\nC++: virtual void End () = 0;\n\n These methods start writing an Movie file, write a frame to the file\n and then end the writing process.\n"},
  {(char*)"GetError",                (PyCFunction)PyvtkGenericMovieWriter_GetError, 1,
   (char*)"V.GetError() -> int\nC++: int GetError ();\n\n Was there an error on the last read performed?\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGenericMovieWriterDoc[] = {
  (char*)"vtkGenericMovieWriter - an abstract movie writer class.\n\n",
  "Super Class:\n\n vtkProcessObject\n\n",
  (char*)" vtkGenericMovieWriter is the abstract base class for several movie\n writers. The input type is a vtkImageData. The Start() method will\n open and create the file, the Write() method will output a frame to\n the file (i.e. the contents of the vtkImageData), End() will finalize\n and close the file.\n\n",
  "See Also:\n\n vtkAVIWriter vtkMPEG2Writer\n\n",
  NULL
};

PyObject *PyVTKClass_vtkGenericMovieWriterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkGenericMovieWriterMethods,
                        (char*)"vtkGenericMovieWriter",modulename,
                        (char**)vtkGenericMovieWriterDoc,
                        PyVTKClass_vtkProcessObjectNew(modulename));
}

