// python wrapper for vtkIVWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkIVWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIVWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIVWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataWriterNew(char *); }

static PyObject *PyvtkIVWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIVWriter *op;

  const char    *temp20;
  if ((op = (vtkIVWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIVWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkIVWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIVWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkIVWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIVWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIVWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkIVWriter *op;

  vtkIVWriter  *temp20;
  if ((op = (vtkIVWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkIVWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkIVWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkIVWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkIVWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkIVWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkIVWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkIVWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkIVWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIVWriter\nC++: vtkIVWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkIVWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkIVWriter\nC++: vtkIVWriter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkIVWriterDoc[] = {
  (char*)"vtkIVWriter - export polydata into OpenInventor 2.0 format.\n\n",
  "Super Class:\n\n vtkPolyDataWriter\n\n",
  (char*)" vtkIVWriter is a concrete subclass of vtkWriter that writes OpenInventor 2.0\n files.\n\n\n",
  "See Also:\n\n vtkPolyDataWriter\n\n",
  NULL
};

static vtkObjectBase *vtkIVWriterStaticNew()
{
  return vtkIVWriter::New();
}

PyObject *PyVTKClass_vtkIVWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkIVWriterStaticNew,
                        PyvtkIVWriterMethods,
                        (char*)"vtkIVWriter",modulename,
                        (char**)vtkIVWriterDoc,
                        PyVTKClass_vtkPolyDataWriterNew(modulename));
}

