// python wrapper for vtkJPEGReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkJPEGReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkJPEGReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkJPEGReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageReader2New(char *); }

static PyObject *PyvtkJPEGReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJPEGReader *op;

  const char    *temp20;
  if ((op = (vtkJPEGReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkJPEGReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkJPEGReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJPEGReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkJPEGReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkJPEGReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkJPEGReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJPEGReader *op;

  vtkJPEGReader  *temp20;
  if ((op = (vtkJPEGReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkJPEGReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkJPEGReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkJPEGReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkJPEGReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkJPEGReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJPEGReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkJPEGReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkJPEGReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkJPEGReader_GetFileExtensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJPEGReader *op;

  const char    *temp20;
  if ((op = (vtkJPEGReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkJPEGReader::GetFileExtensions();
      }
    else
      {
      temp20 = op->GetFileExtensions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkJPEGReader_GetDescriptiveName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkJPEGReader *op;

  const char    *temp20;
  if ((op = (vtkJPEGReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkJPEGReader::GetDescriptiveName();
      }
    else
      {
      temp20 = op->GetDescriptiveName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkJPEGReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkJPEGReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkJPEGReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkJPEGReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkJPEGReader\nC++: vtkJPEGReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkJPEGReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkJPEGReader\nC++: vtkJPEGReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkJPEGReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: int CanReadFile (const char *fname);\n\n Is the given file a JPEG file?\n"},
  {(char*)"GetFileExtensions",                (PyCFunction)PyvtkJPEGReader_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions ();return \n\n Return a descriptive name for the file format that might be useful in a GUI.\n"},
  {(char*)"GetDescriptiveName",                (PyCFunction)PyvtkJPEGReader_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName ();return \n\n Return a descriptive name for the file format that might be useful in a GUI.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkJPEGReaderDoc[] = {
  (char*)"vtkJPEGReader - read JPEG files\n\n",
  "Super Class:\n\n vtkImageReader2\n\n",
  (char*)" vtkJPEGReader is a source object that reads JPEG files.\n It should be able to read most any JPEG file\n\n\n",
  "See Also:\n\n vtkJPEGWriter\n\n",
  NULL
};

static vtkObjectBase *vtkJPEGReaderStaticNew()
{
  return vtkJPEGReader::New();
}

PyObject *PyVTKClass_vtkJPEGReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkJPEGReaderStaticNew,
                        PyvtkJPEGReaderMethods,
                        (char*)"vtkJPEGReader",modulename,
                        (char**)vtkJPEGReaderDoc,
                        PyVTKClass_vtkImageReader2New(modulename));
}

