// python wrapper for vtkMCubesReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMCubesReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMCubesReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMCubesReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkMCubesReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  const char    *temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  vtkMCubesReader  *temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMCubesReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMCubesReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMCubesReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  char    *temp0;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  char    *temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_SetLimitsFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  char    *temp0;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::SetLimitsFileName(temp0);
      }
    else
      {
      op->SetLimitsFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_GetLimitsFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  char    *temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::GetLimitsFileName();
      }
    else
      {
      temp20 = op->GetLimitsFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_SetHeaderSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  int      temp0;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::SetHeaderSize(temp0);
      }
    else
      {
      op->SetHeaderSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_GetHeaderSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  int      temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::GetHeaderSizeMinValue();
      }
    else
      {
      temp20 = op->GetHeaderSizeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_GetHeaderSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  int      temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::GetHeaderSizeMaxValue();
      }
    else
      {
      temp20 = op->GetHeaderSizeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_GetHeaderSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  int      temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::GetHeaderSize();
      }
    else
      {
      temp20 = op->GetHeaderSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_SetFlipNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  int      temp0;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::SetFlipNormals(temp0);
      }
    else
      {
      op->SetFlipNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_GetFlipNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  int      temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::GetFlipNormals();
      }
    else
      {
      temp20 = op->GetFlipNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_FlipNormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::FlipNormalsOn();
      }
    else
      {
      op->FlipNormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_FlipNormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::FlipNormalsOff();
      }
    else
      {
      op->FlipNormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_SetNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  int      temp0;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::SetNormals(temp0);
      }
    else
      {
      op->SetNormals(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_GetNormals(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  int      temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::GetNormals();
      }
    else
      {
      temp20 = op->GetNormals();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_NormalsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::NormalsOn();
      }
    else
      {
      op->NormalsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_NormalsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::NormalsOff();
      }
    else
      {
      op->NormalsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_SetDataByteOrderToBigEndian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::SetDataByteOrderToBigEndian();
      }
    else
      {
      op->SetDataByteOrderToBigEndian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_SetDataByteOrderToLittleEndian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::SetDataByteOrderToLittleEndian();
      }
    else
      {
      op->SetDataByteOrderToLittleEndian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_GetDataByteOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  int      temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::GetDataByteOrder();
      }
    else
      {
      temp20 = op->GetDataByteOrder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_SetDataByteOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  int      temp0;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::SetDataByteOrder(temp0);
      }
    else
      {
      op->SetDataByteOrder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_GetDataByteOrderAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  const char    *temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::GetDataByteOrderAsString();
      }
    else
      {
      temp20 = op->GetDataByteOrderAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_SetSwapBytes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  int      temp0;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::SetSwapBytes(temp0);
      }
    else
      {
      op->SetSwapBytes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_GetSwapBytes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  int      temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::GetSwapBytes();
      }
    else
      {
      temp20 = op->GetSwapBytes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_SwapBytesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::SwapBytesOn();
      }
    else
      {
      op->SwapBytesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_SwapBytesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::SwapBytesOff();
      }
    else
      {
      op->SwapBytesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkMCubesReader_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  vtkPointLocator  *temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesReader::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesReader_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesReader *op;

  unsigned long     temp20;
  if ((op = (vtkMCubesReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesReader::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMCubesReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMCubesReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMCubesReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMCubesReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMCubesReader\nC++: vtkMCubesReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMCubesReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMCubesReader\nC++: vtkMCubesReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkMCubesReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name of marching cubes file.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkMCubesReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of marching cubes file.\n"},
  {(char*)"SetLimitsFileName",                (PyCFunction)PyvtkMCubesReader_SetLimitsFileName, 1,
   (char*)"V.SetLimitsFileName(string)\nC++: void SetLimitsFileName (char *);\n\n Set / get the file name of the marching cubes limits file.\n"},
  {(char*)"GetLimitsFileName",                (PyCFunction)PyvtkMCubesReader_GetLimitsFileName, 1,
   (char*)"V.GetLimitsFileName() -> string\nC++: char *GetLimitsFileName ();\n\n Set / get the file name of the marching cubes limits file.\n"},
  {(char*)"SetHeaderSize",                (PyCFunction)PyvtkMCubesReader_SetHeaderSize, 1,
   (char*)"V.SetHeaderSize(int)\nC++: void SetHeaderSize (int );\n\n Specify a header size if one exists. The header is skipped and not used at this time.\n"},
  {(char*)"GetHeaderSizeMinValue",                (PyCFunction)PyvtkMCubesReader_GetHeaderSizeMinValue, 1,
   (char*)"V.GetHeaderSizeMinValue() -> int\nC++: int GetHeaderSizeMinValue ();\n\n Specify a header size if one exists. The header is skipped and not used at this time.\n"},
  {(char*)"GetHeaderSizeMaxValue",                (PyCFunction)PyvtkMCubesReader_GetHeaderSizeMaxValue, 1,
   (char*)"V.GetHeaderSizeMaxValue() -> int\nC++: int GetHeaderSizeMaxValue ();\n\n Specify a header size if one exists. The header is skipped and not used at this time.\n"},
  {(char*)"GetHeaderSize",                (PyCFunction)PyvtkMCubesReader_GetHeaderSize, 1,
   (char*)"V.GetHeaderSize() -> int\nC++: int GetHeaderSize ();\n\n Specify a header size if one exists. The header is skipped and not used at this time.\n"},
  {(char*)"SetFlipNormals",                (PyCFunction)PyvtkMCubesReader_SetFlipNormals, 1,
   (char*)"V.SetFlipNormals(int)\nC++: void SetFlipNormals (int );\n\n Specify whether to flip normals in opposite direction. Flipping ONLY\n changes the direction of the normal vector. Contrast this with flipping\n in vtkPolyDataNormals which flips both the normal and the cell point\n order.\n"},
  {(char*)"GetFlipNormals",                (PyCFunction)PyvtkMCubesReader_GetFlipNormals, 1,
   (char*)"V.GetFlipNormals() -> int\nC++: int GetFlipNormals ();\n\n Specify whether to flip normals in opposite direction. Flipping ONLY\n changes the direction of the normal vector. Contrast this with flipping\n in vtkPolyDataNormals which flips both the normal and the cell point\n order.\n"},
  {(char*)"FlipNormalsOn",                (PyCFunction)PyvtkMCubesReader_FlipNormalsOn, 1,
   (char*)"V.FlipNormalsOn()\nC++: void FlipNormalsOn ();\n\n Specify whether to flip normals in opposite direction. Flipping ONLY\n changes the direction of the normal vector. Contrast this with flipping\n in vtkPolyDataNormals which flips both the normal and the cell point\n order.\n"},
  {(char*)"FlipNormalsOff",                (PyCFunction)PyvtkMCubesReader_FlipNormalsOff, 1,
   (char*)"V.FlipNormalsOff()\nC++: void FlipNormalsOff ();\n\n Specify whether to flip normals in opposite direction. Flipping ONLY\n changes the direction of the normal vector. Contrast this with flipping\n in vtkPolyDataNormals which flips both the normal and the cell point\n order.\n"},
  {(char*)"SetNormals",                (PyCFunction)PyvtkMCubesReader_SetNormals, 1,
   (char*)"V.SetNormals(int)\nC++: void SetNormals (int );\n\n Specify whether to read normals.\n"},
  {(char*)"GetNormals",                (PyCFunction)PyvtkMCubesReader_GetNormals, 1,
   (char*)"V.GetNormals() -> int\nC++: int GetNormals ();\n\n Specify whether to read normals.\n"},
  {(char*)"NormalsOn",                (PyCFunction)PyvtkMCubesReader_NormalsOn, 1,
   (char*)"V.NormalsOn()\nC++: void NormalsOn ();\n\n Specify whether to read normals.\n"},
  {(char*)"NormalsOff",                (PyCFunction)PyvtkMCubesReader_NormalsOff, 1,
   (char*)"V.NormalsOff()\nC++: void NormalsOff ();\n\n Specify whether to read normals.\n"},
  {(char*)"SetDataByteOrderToBigEndian",                (PyCFunction)PyvtkMCubesReader_SetDataByteOrderToBigEndian, 1,
   (char*)"V.SetDataByteOrderToBigEndian()\nC++: void SetDataByteOrderToBigEndian ();\n\n These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines are BigEndian while PC's\n and VAX tend to be LittleEndian. So if the file you are reading\n in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise\n SetDataByteOrderToBigEndian. \n"},
  {(char*)"SetDataByteOrderToLittleEndian",                (PyCFunction)PyvtkMCubesReader_SetDataByteOrderToLittleEndian, 1,
   (char*)"V.SetDataByteOrderToLittleEndian()\nC++: void SetDataByteOrderToLittleEndian ();\n\n These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines are BigEndian while PC's\n and VAX tend to be LittleEndian. So if the file you are reading\n in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise\n SetDataByteOrderToBigEndian. \n"},
  {(char*)"GetDataByteOrder",                (PyCFunction)PyvtkMCubesReader_GetDataByteOrder, 1,
   (char*)"V.GetDataByteOrder() -> int\nC++: int GetDataByteOrder ();\n\n These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines are BigEndian while PC's\n and VAX tend to be LittleEndian. So if the file you are reading\n in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise\n SetDataByteOrderToBigEndian. \n"},
  {(char*)"SetDataByteOrder",                (PyCFunction)PyvtkMCubesReader_SetDataByteOrder, 1,
   (char*)"V.SetDataByteOrder(int)\nC++: void SetDataByteOrder (int );\n\n These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines are BigEndian while PC's\n and VAX tend to be LittleEndian. So if the file you are reading\n in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise\n SetDataByteOrderToBigEndian. \n"},
  {(char*)"GetDataByteOrderAsString",                (PyCFunction)PyvtkMCubesReader_GetDataByteOrderAsString, 1,
   (char*)"V.GetDataByteOrderAsString() -> string\nC++: const char *GetDataByteOrderAsString ();\n\n These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines are BigEndian while PC's\n and VAX tend to be LittleEndian. So if the file you are reading\n in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise\n SetDataByteOrderToBigEndian. \n"},
  {(char*)"SetSwapBytes",                (PyCFunction)PyvtkMCubesReader_SetSwapBytes, 1,
   (char*)"V.SetSwapBytes(int)\nC++: void SetSwapBytes (int );\n\n Turn on/off byte swapping.\n"},
  {(char*)"GetSwapBytes",                (PyCFunction)PyvtkMCubesReader_GetSwapBytes, 1,
   (char*)"V.GetSwapBytes() -> int\nC++: int GetSwapBytes ();\n\n Turn on/off byte swapping.\n"},
  {(char*)"SwapBytesOn",                (PyCFunction)PyvtkMCubesReader_SwapBytesOn, 1,
   (char*)"V.SwapBytesOn()\nC++: void SwapBytesOn ();\n\n Turn on/off byte swapping.\n"},
  {(char*)"SwapBytesOff",                (PyCFunction)PyvtkMCubesReader_SwapBytesOff, 1,
   (char*)"V.SwapBytesOff()\nC++: void SwapBytesOff ();\n\n Turn on/off byte swapping.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkMCubesReader_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Set / get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkMCubesReader_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Set / get a spatial locator for merging points. By default, \n an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkMCubesReader_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkMCubesReader_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the mtime also considering the locator.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMCubesReaderDoc[] = {
  (char*)"vtkMCubesReader - read binary marching cubes file\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkMCubesReader is a source object that reads binary marching cubes\n files. (Marching cubes is an isosurfacing technique that generates \n many triangles.) The binary format is supported by W. Lorensen's\n marching cubes program (and the vtkSliceCubes object). The format \n repeats point coordinates, so this object will merge the points \n with a vtkLocator object. You can choose to supply the vtkLoc",
  (char*)"ator \n or use the default.\n\n",
  "Caveats:\n\n Binary files assumed written in sun/hp/sgi (i.e., Big Endian) form.\n\n Because points are merged when read, degenerate triangles may be removed.\n Thus the number of triangles read may be fewer than the number of triangles\n actually created.\n\n The point merging does not take into account that the same point may have\n different normals. For example, running vtkPolyDataNormals after\n vtkContourFilter may split triangles because of the FeatureAngle\n ivar. Subsequent rea ...\n [Truncated]\n\n",
  "See Also:\n\n vtkContourFilter vtkMarchingCubes vtkSliceCubes vtkLocator\n\n",
  NULL
};

static vtkObjectBase *vtkMCubesReaderStaticNew()
{
  return vtkMCubesReader::New();
}

PyObject *PyVTKClass_vtkMCubesReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkMCubesReaderStaticNew,
                        PyvtkMCubesReaderMethods,
                        (char*)"vtkMCubesReader",modulename,
                        (char**)vtkMCubesReaderDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

