// python wrapper for vtkMCubesWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMCubesWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMCubesWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMCubesWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataWriterNew(char *); }

static PyObject *PyvtkMCubesWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesWriter *op;

  const char    *temp20;
  if ((op = (vtkMCubesWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMCubesWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesWriter *op;

  vtkMCubesWriter  *temp20;
  if ((op = (vtkMCubesWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMCubesWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMCubesWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMCubesWriter_SetLimitsFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesWriter *op;

  char    *temp0;
  if ((op = (vtkMCubesWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMCubesWriter::SetLimitsFileName(temp0);
      }
    else
      {
      op->SetLimitsFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMCubesWriter_GetLimitsFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMCubesWriter *op;

  char    *temp20;
  if ((op = (vtkMCubesWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMCubesWriter::GetLimitsFileName();
      }
    else
      {
      temp20 = op->GetLimitsFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMCubesWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMCubesWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMCubesWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMCubesWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMCubesWriter\nC++: vtkMCubesWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMCubesWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMCubesWriter\nC++: vtkMCubesWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLimitsFileName",                (PyCFunction)PyvtkMCubesWriter_SetLimitsFileName, 1,
   (char*)"V.SetLimitsFileName(string)\nC++: void SetLimitsFileName (char *);\n\n Set/get file name of marching cubes limits file.\n"},
  {(char*)"GetLimitsFileName",                (PyCFunction)PyvtkMCubesWriter_GetLimitsFileName, 1,
   (char*)"V.GetLimitsFileName() -> string\nC++: char *GetLimitsFileName ();\n\n Set/get file name of marching cubes limits file.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMCubesWriterDoc[] = {
  (char*)"vtkMCubesWriter - write binary marching cubes file\n\n",
  "Super Class:\n\n vtkPolyDataWriter\n\n",
  (char*)" vtkMCubesWriter is a polydata writer that writes binary marching cubes\n files. (Marching cubes is an isosurfacing technique that generates many\n triangles.) The binary format is supported by W. Lorensen's marching cubes\n program (and the vtkSliceCubes object). Each triangle is represented by\n three records, with each record consisting of six single precision\n floating point numbers representing t",
  (char*)"he a triangle vertex coordinate and\n vertex normal.\n\n",
  "Caveats:\n\n Binary files are written in sun/hp/sgi (i.e., Big Endian) form.\n\n",
  "See Also:\n\n vtkMarchingCubes vtkSliceCubes vtkMCubesReader\n\n",
  NULL
};

static vtkObjectBase *vtkMCubesWriterStaticNew()
{
  return vtkMCubesWriter::New();
}

PyObject *PyVTKClass_vtkMCubesWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkMCubesWriterStaticNew,
                        PyvtkMCubesWriterMethods,
                        (char*)"vtkMCubesWriter",modulename,
                        (char**)vtkMCubesWriterDoc,
                        PyVTKClass_vtkPolyDataWriterNew(modulename));
}

