// tcl wrapper for vtkMedicalImageProperties object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMedicalImageProperties.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkMedicalImagePropertiesNewCommand()
{
  vtkMedicalImageProperties *temp = vtkMedicalImageProperties::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMedicalImagePropertiesCppCommand(vtkMedicalImageProperties *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMedicalImagePropertiesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMedicalImagePropertiesCppCommand((vtkMedicalImageProperties *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMedicalImagePropertiesCppCommand(vtkMedicalImageProperties *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMedicalImageProperties",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMedicalImageProperties  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMedicalImageProperties");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMedicalImageProperties  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMedicalImageProperties");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMedicalImageProperties  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMedicalImageProperties");
    return TCL_OK;
    }
    }
  if ((!strcmp("Clear",argv[1]))&&(argc == 2))
    {
    op->Clear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPatientName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPatientName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPatientName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPatientName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPatientID",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPatientID(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPatientID",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPatientID();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPatientAge",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPatientAge(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPatientAge",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPatientAge();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPatientAgeYear",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPatientAgeYear();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPatientAgeMonth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPatientAgeMonth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPatientAgeWeek",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPatientAgeWeek();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPatientAgeDay",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPatientAgeDay();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPatientSex",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPatientSex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPatientSex",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPatientSex();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPatientBirthDate",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPatientBirthDate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPatientBirthDate",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetPatientBirthDate();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPatientBirthDateYear",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPatientBirthDateYear();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPatientBirthDateMonth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPatientBirthDateMonth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPatientBirthDateDay",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPatientBirthDateDay();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAcquisitionDate",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetAcquisitionDate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAcquisitionDate",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetAcquisitionDate();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetAcquisitionDateYear",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAcquisitionDateYear();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAcquisitionDateMonth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAcquisitionDateMonth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAcquisitionDateDay",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAcquisitionDateDay();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAcquisitionTime",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetAcquisitionTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAcquisitionTime",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetAcquisitionTime();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetImageDate",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetImageDate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageDate",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetImageDate();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetImageDateYear",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageDateYear();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageDateMonth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageDateMonth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageDateDay",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageDateDay();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDateAsLocale",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetDateAsLocale(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImageTime",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetImageTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageTime",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetImageTime();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetImageNumber",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetImageNumber(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageNumber",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetImageNumber();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSeriesNumber",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSeriesNumber(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSeriesNumber",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetSeriesNumber();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSeriesDescription",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSeriesDescription(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSeriesDescription",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetSeriesDescription();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetStudyID",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetStudyID(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStudyID",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetStudyID();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetStudyDescription",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetStudyDescription(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStudyDescription",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetStudyDescription();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetModality",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetModality(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModality",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetModality();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetManufacturer",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetManufacturer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetManufacturer",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetManufacturer();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetManufacturerModelName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetManufacturerModelName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetManufacturerModelName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetManufacturerModelName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetStationName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetStationName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStationName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetStationName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInstitutionName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetInstitutionName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInstitutionName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetInstitutionName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetConvolutionKernel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetConvolutionKernel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConvolutionKernel",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetConvolutionKernel();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSliceThickness",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSliceThickness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliceThickness",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetSliceThickness();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetSliceThicknessAsDouble",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSliceThicknessAsDouble();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetKVP",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetKVP(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKVP",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetKVP();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGantryTilt",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGantryTilt(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGantryTilt",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetGantryTilt();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGantryTiltAsDouble",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGantryTiltAsDouble();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEchoTime",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEchoTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEchoTime",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetEchoTime();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEchoTrainLength",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEchoTrainLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEchoTrainLength",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetEchoTrainLength();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetRepetitionTime",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetRepetitionTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRepetitionTime",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetRepetitionTime();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetExposureTime",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetExposureTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExposureTime",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetExposureTime();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXRayTubeCurrent",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXRayTubeCurrent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXRayTubeCurrent",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXRayTubeCurrent();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetExposure",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetExposure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExposure",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetExposure();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkMedicalImageProperties  *temp0;
    error = 0;

    temp0 = (vtkMedicalImageProperties *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMedicalImageProperties",interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddWindowLevelPreset",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->AddWindowLevelPreset(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveWindowLevelPreset",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->RemoveWindowLevelPreset(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllWindowLevelPresets",argv[1]))&&(argc == 2))
    {
    op->RemoveAllWindowLevelPresets();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfWindowLevelPresets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfWindowLevelPresets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HasWindowLevelPreset",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->HasWindowLevelPreset(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNthWindowLevelPreset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNthWindowLevelPreset(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNthWindowLevelPresetComment",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetNthWindowLevelPresetComment(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNthWindowLevelPresetComment",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNthWindowLevelPresetComment(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkMedicalImagePropertiesCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMedicalImageProperties:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Clear\n",NULL);
    Tcl_AppendResult(interp,"  SetPatientName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientName\n",NULL);
    Tcl_AppendResult(interp,"  SetPatientID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientID\n",NULL);
    Tcl_AppendResult(interp,"  SetPatientAge\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientAge\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientAgeYear\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientAgeMonth\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientAgeWeek\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientAgeDay\n",NULL);
    Tcl_AppendResult(interp,"  SetPatientSex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientSex\n",NULL);
    Tcl_AppendResult(interp,"  SetPatientBirthDate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientBirthDate\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientBirthDateYear\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientBirthDateMonth\n",NULL);
    Tcl_AppendResult(interp,"  GetPatientBirthDateDay\n",NULL);
    Tcl_AppendResult(interp,"  SetAcquisitionDate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAcquisitionDate\n",NULL);
    Tcl_AppendResult(interp,"  GetAcquisitionDateYear\n",NULL);
    Tcl_AppendResult(interp,"  GetAcquisitionDateMonth\n",NULL);
    Tcl_AppendResult(interp,"  GetAcquisitionDateDay\n",NULL);
    Tcl_AppendResult(interp,"  SetAcquisitionTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAcquisitionTime\n",NULL);
    Tcl_AppendResult(interp,"  SetImageDate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageDate\n",NULL);
    Tcl_AppendResult(interp,"  GetImageDateYear\n",NULL);
    Tcl_AppendResult(interp,"  GetImageDateMonth\n",NULL);
    Tcl_AppendResult(interp,"  GetImageDateDay\n",NULL);
    Tcl_AppendResult(interp,"  GetDateAsLocale\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetImageTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageTime\n",NULL);
    Tcl_AppendResult(interp,"  SetImageNumber\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageNumber\n",NULL);
    Tcl_AppendResult(interp,"  SetSeriesNumber\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSeriesNumber\n",NULL);
    Tcl_AppendResult(interp,"  SetSeriesDescription\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSeriesDescription\n",NULL);
    Tcl_AppendResult(interp,"  SetStudyID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStudyID\n",NULL);
    Tcl_AppendResult(interp,"  SetStudyDescription\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStudyDescription\n",NULL);
    Tcl_AppendResult(interp,"  SetModality\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetModality\n",NULL);
    Tcl_AppendResult(interp,"  SetManufacturer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetManufacturer\n",NULL);
    Tcl_AppendResult(interp,"  SetManufacturerModelName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetManufacturerModelName\n",NULL);
    Tcl_AppendResult(interp,"  SetStationName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStationName\n",NULL);
    Tcl_AppendResult(interp,"  SetInstitutionName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInstitutionName\n",NULL);
    Tcl_AppendResult(interp,"  SetConvolutionKernel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConvolutionKernel\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceThickness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceThickness\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceThicknessAsDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetKVP\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKVP\n",NULL);
    Tcl_AppendResult(interp,"  SetGantryTilt\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGantryTilt\n",NULL);
    Tcl_AppendResult(interp,"  GetGantryTiltAsDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetEchoTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEchoTime\n",NULL);
    Tcl_AppendResult(interp,"  SetEchoTrainLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEchoTrainLength\n",NULL);
    Tcl_AppendResult(interp,"  SetRepetitionTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRepetitionTime\n",NULL);
    Tcl_AppendResult(interp,"  SetExposureTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExposureTime\n",NULL);
    Tcl_AppendResult(interp,"  SetXRayTubeCurrent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXRayTubeCurrent\n",NULL);
    Tcl_AppendResult(interp,"  SetExposure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExposure\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddWindowLevelPreset\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveWindowLevelPreset\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllWindowLevelPresets\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfWindowLevelPresets\n",NULL);
    Tcl_AppendResult(interp,"  HasWindowLevelPreset\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNthWindowLevelPreset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNthWindowLevelPresetComment\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNthWindowLevelPresetComment\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
