// python wrapper for vtkMedicalImageReader2 object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMedicalImageReader2.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMedicalImageReader2New(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMedicalImageReader2New(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageReader2New(char *); }

static PyObject *PyvtkMedicalImageReader2_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  const char    *temp20;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageReader2::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageReader2::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  vtkMedicalImageReader2  *temp20;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageReader2::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMedicalImageReader2  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMedicalImageReader2::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_GetMedicalImageProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  vtkMedicalImageProperties  *temp20;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageReader2::GetMedicalImageProperties();
      }
    else
      {
      temp20 = op->GetMedicalImageProperties();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_SetPatientName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  char    *temp0;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageReader2::SetPatientName(temp0);
      }
    else
      {
      op->SetPatientName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_GetPatientName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  const char    *temp20;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageReader2::GetPatientName();
      }
    else
      {
      temp20 = op->GetPatientName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_SetPatientID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  char    *temp0;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageReader2::SetPatientID(temp0);
      }
    else
      {
      op->SetPatientID(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_GetPatientID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  const char    *temp20;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageReader2::GetPatientID();
      }
    else
      {
      temp20 = op->GetPatientID();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_SetDate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  char    *temp0;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageReader2::SetDate(temp0);
      }
    else
      {
      op->SetDate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_GetDate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  const char    *temp20;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageReader2::GetDate();
      }
    else
      {
      temp20 = op->GetDate();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_SetSeries(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  char    *temp0;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageReader2::SetSeries(temp0);
      }
    else
      {
      op->SetSeries(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_GetSeries(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  const char    *temp20;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageReader2::GetSeries();
      }
    else
      {
      temp20 = op->GetSeries();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_SetStudy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  char    *temp0;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageReader2::SetStudy(temp0);
      }
    else
      {
      op->SetStudy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_GetStudy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  const char    *temp20;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageReader2::GetStudy();
      }
    else
      {
      temp20 = op->GetStudy();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_SetImageNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  char    *temp0;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageReader2::SetImageNumber(temp0);
      }
    else
      {
      op->SetImageNumber(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_GetImageNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  const char    *temp20;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageReader2::GetImageNumber();
      }
    else
      {
      temp20 = op->GetImageNumber();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_SetModality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  char    *temp0;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMedicalImageReader2::SetModality(temp0);
      }
    else
      {
      op->SetModality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMedicalImageReader2_GetModality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMedicalImageReader2 *op;

  const char    *temp20;
  if ((op = (vtkMedicalImageReader2 *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMedicalImageReader2::GetModality();
      }
    else
      {
      temp20 = op->GetModality();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMedicalImageReader2Methods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMedicalImageReader2_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMedicalImageReader2_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMedicalImageReader2_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMedicalImageReader2\nC++: vtkMedicalImageReader2 *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMedicalImageReader2_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMedicalImageReader2\nC++: vtkMedicalImageReader2 *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMedicalImageProperties",                (PyCFunction)PyvtkMedicalImageReader2_GetMedicalImageProperties, 1,
   (char*)"V.GetMedicalImageProperties() -> vtkMedicalImageProperties\nC++: vtkMedicalImageProperties *GetMedicalImageProperties ();\n\n Get the medical image properties object\n"},
  {(char*)"SetPatientName",                (PyCFunction)PyvtkMedicalImageReader2_SetPatientName, 1,
   (char*)"V.SetPatientName(string)\nC++: virtual void SetPatientName (const char *);\n\n For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n"},
  {(char*)"GetPatientName",                (PyCFunction)PyvtkMedicalImageReader2_GetPatientName, 1,
   (char*)"V.GetPatientName() -> string\nC++: virtual const char *GetPatientName ();\n\n For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n"},
  {(char*)"SetPatientID",                (PyCFunction)PyvtkMedicalImageReader2_SetPatientID, 1,
   (char*)"V.SetPatientID(string)\nC++: virtual void SetPatientID (const char *);\n\n For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n"},
  {(char*)"GetPatientID",                (PyCFunction)PyvtkMedicalImageReader2_GetPatientID, 1,
   (char*)"V.GetPatientID() -> string\nC++: virtual const char *GetPatientID ();\n\n For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n"},
  {(char*)"SetDate",                (PyCFunction)PyvtkMedicalImageReader2_SetDate, 1,
   (char*)"V.SetDate(string)\nC++: virtual void SetDate (const char *);\n\n For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n"},
  {(char*)"GetDate",                (PyCFunction)PyvtkMedicalImageReader2_GetDate, 1,
   (char*)"V.GetDate() -> string\nC++: virtual const char *GetDate ();\n\n For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n"},
  {(char*)"SetSeries",                (PyCFunction)PyvtkMedicalImageReader2_SetSeries, 1,
   (char*)"V.SetSeries(string)\nC++: virtual void SetSeries (const char *);\n\n For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n"},
  {(char*)"GetSeries",                (PyCFunction)PyvtkMedicalImageReader2_GetSeries, 1,
   (char*)"V.GetSeries() -> string\nC++: virtual const char *GetSeries ();\n\n For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n"},
  {(char*)"SetStudy",                (PyCFunction)PyvtkMedicalImageReader2_SetStudy, 1,
   (char*)"V.SetStudy(string)\nC++: virtual void SetStudy (const char *);\n\n For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n"},
  {(char*)"GetStudy",                (PyCFunction)PyvtkMedicalImageReader2_GetStudy, 1,
   (char*)"V.GetStudy() -> string\nC++: virtual const char *GetStudy ();\n\n For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n"},
  {(char*)"SetImageNumber",                (PyCFunction)PyvtkMedicalImageReader2_SetImageNumber, 1,
   (char*)"V.SetImageNumber(string)\nC++: virtual void SetImageNumber (const char *);\n\n For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n"},
  {(char*)"GetImageNumber",                (PyCFunction)PyvtkMedicalImageReader2_GetImageNumber, 1,
   (char*)"V.GetImageNumber() -> string\nC++: virtual const char *GetImageNumber ();\n\n For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n"},
  {(char*)"SetModality",                (PyCFunction)PyvtkMedicalImageReader2_SetModality, 1,
   (char*)"V.SetModality(string)\nC++: virtual void SetModality (const char *);\n\n For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n"},
  {(char*)"GetModality",                (PyCFunction)PyvtkMedicalImageReader2_GetModality, 1,
   (char*)"V.GetModality() -> string\nC++: virtual const char *GetModality ();\n\n For backward compatibility, propagate calls to the MedicalImageProperties\n object.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMedicalImageReader2Doc[] = {
  (char*)"vtkMedicalImageReader2 - vtkImageReader2 with medical meta data.\n\n",
  "Super Class:\n\n vtkImageReader2\n\n",
  (char*)" vtkMedicalImageReader2 is a parent class for medical image readers.\n It provides a place to store patient information that may be stored\n in the image header.\n\n",
  "See Also:\n\n vtkImageReader2 vtkGESignaReader vtkMedicalImageProperties\n\n",
  NULL
};

static vtkObjectBase *vtkMedicalImageReader2StaticNew()
{
  return vtkMedicalImageReader2::New();
}

PyObject *PyVTKClass_vtkMedicalImageReader2New(char *modulename)
{
  return PyVTKClass_New(&vtkMedicalImageReader2StaticNew,
                        PyvtkMedicalImageReader2Methods,
                        (char*)"vtkMedicalImageReader2",modulename,
                        (char**)vtkMedicalImageReader2Doc,
                        PyVTKClass_vtkImageReader2New(modulename));
}

