// python wrapper for vtkMetaImageReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMetaImageReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMetaImageReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMetaImageReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageReaderNew(char *); }

static PyObject *PyvtkMetaImageReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageReader *op;

  const char    *temp20;
  if ((op = (vtkMetaImageReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMetaImageReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMetaImageReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMetaImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMetaImageReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMetaImageReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageReader *op;

  vtkMetaImageReader  *temp20;
  if ((op = (vtkMetaImageReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMetaImageReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMetaImageReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMetaImageReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMetaImageReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMetaImageReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageReader *op;

  char    *temp0;
  if ((op = (vtkMetaImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMetaImageReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMetaImageReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageReader *op;

  char    *temp20;
  if ((op = (vtkMetaImageReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMetaImageReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMetaImageReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMetaImageReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMetaImageReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMetaImageReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMetaImageReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMetaImageReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMetaImageReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMetaImageReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMetaImageReader\nC++: vtkMetaImageReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMetaImageReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMetaImageReader\nC++: vtkMetaImageReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkMetaImageReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: virtual void SetFileName (const char *fname);\n\n Specify file name of meta file\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkMetaImageReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: virtual char *GetFileName ();return this MHDFileName \n\n Test whether the file with the given name can be read by this\n reader.\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkMetaImageReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile (const char *name);\n\n Test whether the file with the given name can be read by this\n reader.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMetaImageReaderDoc[] = {
  (char*)"vtkMetaImageReader - read binary UNC meta image data\n\n",
  "Super Class:\n\n vtkImageReader\n\n",
  (char*)" One of the formats for which a reader is already available in the toolkit is\n the MetaImage file format. This is a fairly simple yet powerful format\n consisting of a text header and a binary data section. The following\n instructions describe how you can write a MetaImage header for the data that\n you download from the BrainWeb page.\n\n The minimal structure of the MetaImage header is the following",
  (char*)":\n\n    NDims = 3\n    DimSize = 181 217 181\n    ElementType = MET_UCHAR\n    ElementSpacing = 1.0 1.0 1.0\n    ElementByteOrderMSB = False\n    ElementDataFile = brainweb1.raw\n\n    * NDims indicate that this is a 3D image. ITK can handle images of\n      arbitrary dimension.\n    * DimSize indicates the size of the volume in pixels along each\n      direction.\n    * ElementType indicate the primitive typ",
  (char*)"e used for pixels. In this case\n      is \"unsigned char\", implying that the data is digitized in 8 bits /\n      pixel.\n    * ElementSpacing indicates the physical separation between the center of\n      one pixel and the center of the next pixel along each direction in space.\n      The units used are millimeters.\n    * ElementByteOrderMSB indicates is the data is encoded in little or big\n      endi",
  (char*)"an order. You might want to play with this value when moving data\n      between different computer platforms.\n    * ElementDataFile is the name of the file containing the raw binary data\n      of the image. This file must be in the same directory as the header. \n\n MetaImage headers are expected to have extension: \".mha\" or \".mhd\"\n\n Once you write this header text file, it should be possible to rea",
  (char*)"d the\n image into your ITK based application using the itk::FileIOToImageFilter\n class.\n\n",
  "Caveats:\n\n \n\n",
  "See Also:\n\n vtkImageReader\n\n",
  NULL
};

static vtkObjectBase *vtkMetaImageReaderStaticNew()
{
  return vtkMetaImageReader::New();
}

PyObject *PyVTKClass_vtkMetaImageReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkMetaImageReaderStaticNew,
                        PyvtkMetaImageReaderMethods,
                        (char*)"vtkMetaImageReader",modulename,
                        (char**)vtkMetaImageReaderDoc,
                        PyVTKClass_vtkImageReaderNew(modulename));
}

