// python wrapper for vtkMultiBlockPLOT3DReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMultiBlockPLOT3DReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMultiBlockPLOT3DReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMultiBlockPLOT3DReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHierarchicalDataSetAlgorithmNew(char *); }

static PyObject *PyvtkMultiBlockPLOT3DReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  const char    *temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  vtkMultiBlockPLOT3DReader  *temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMultiBlockPLOT3DReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMultiBlockPLOT3DReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  char    *temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  const char    *temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetXYZFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  char    *temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetXYZFileName(temp0);
      }
    else
      {
      op->SetXYZFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetXYZFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  char    *temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetXYZFileName();
      }
    else
      {
      temp20 = op->GetXYZFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetQFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  char    *temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetQFileName(temp0);
      }
    else
      {
      op->SetQFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetQFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  char    *temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetQFileName();
      }
    else
      {
      temp20 = op->GetQFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetNumberOfBlocks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetNumberOfBlocks();
      }
    else
      {
      temp20 = op->GetNumberOfBlocks();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetNumberOfGrids(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetNumberOfGrids();
      }
    else
      {
      temp20 = op->GetNumberOfGrids();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetBinaryFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetBinaryFile(temp0);
      }
    else
      {
      op->SetBinaryFile(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetBinaryFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetBinaryFile();
      }
    else
      {
      temp20 = op->GetBinaryFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_BinaryFileOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::BinaryFileOn();
      }
    else
      {
      op->BinaryFileOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_BinaryFileOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::BinaryFileOff();
      }
    else
      {
      op->BinaryFileOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetMultiGrid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetMultiGrid(temp0);
      }
    else
      {
      op->SetMultiGrid(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetMultiGrid(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetMultiGrid();
      }
    else
      {
      temp20 = op->GetMultiGrid();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_MultiGridOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::MultiGridOn();
      }
    else
      {
      op->MultiGridOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_MultiGridOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::MultiGridOff();
      }
    else
      {
      op->MultiGridOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetHasByteCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetHasByteCount(temp0);
      }
    else
      {
      op->SetHasByteCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetHasByteCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetHasByteCount();
      }
    else
      {
      temp20 = op->GetHasByteCount();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_HasByteCountOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::HasByteCountOn();
      }
    else
      {
      op->HasByteCountOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_HasByteCountOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::HasByteCountOff();
      }
    else
      {
      op->HasByteCountOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetIBlanking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetIBlanking(temp0);
      }
    else
      {
      op->SetIBlanking(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetIBlanking(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetIBlanking();
      }
    else
      {
      temp20 = op->GetIBlanking();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_IBlankingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::IBlankingOn();
      }
    else
      {
      op->IBlankingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_IBlankingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::IBlankingOff();
      }
    else
      {
      op->IBlankingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetTwoDimensionalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetTwoDimensionalGeometry(temp0);
      }
    else
      {
      op->SetTwoDimensionalGeometry(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetTwoDimensionalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetTwoDimensionalGeometry();
      }
    else
      {
      temp20 = op->GetTwoDimensionalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_TwoDimensionalGeometryOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::TwoDimensionalGeometryOn();
      }
    else
      {
      op->TwoDimensionalGeometryOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_TwoDimensionalGeometryOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::TwoDimensionalGeometryOff();
      }
    else
      {
      op->TwoDimensionalGeometryOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetForceRead(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetForceRead(temp0);
      }
    else
      {
      op->SetForceRead(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetForceRead(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetForceRead();
      }
    else
      {
      temp20 = op->GetForceRead();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_ForceReadOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::ForceReadOn();
      }
    else
      {
      op->ForceReadOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_ForceReadOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::ForceReadOff();
      }
    else
      {
      op->ForceReadOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetByteOrderToBigEndian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetByteOrderToBigEndian();
      }
    else
      {
      op->SetByteOrderToBigEndian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetByteOrderToLittleEndian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetByteOrderToLittleEndian();
      }
    else
      {
      op->SetByteOrderToLittleEndian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetByteOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetByteOrder(temp0);
      }
    else
      {
      op->SetByteOrder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetByteOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetByteOrder();
      }
    else
      {
      temp20 = op->GetByteOrder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetByteOrderAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  const char    *temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetByteOrderAsString();
      }
    else
      {
      temp20 = op->GetByteOrderAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetR(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  double   temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetR(temp0);
      }
    else
      {
      op->SetR(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetR(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  double   temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetR();
      }
    else
      {
      temp20 = op->GetR();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetGamma(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  double   temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetGamma(temp0);
      }
    else
      {
      op->SetGamma(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetGamma(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  double   temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetGamma();
      }
    else
      {
      temp20 = op->GetGamma();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetUvinf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  double   temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetUvinf(temp0);
      }
    else
      {
      op->SetUvinf(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetUvinf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  double   temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetUvinf();
      }
    else
      {
      temp20 = op->GetUvinf();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetVvinf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  double   temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetVvinf(temp0);
      }
    else
      {
      op->SetVvinf(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetVvinf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  double   temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetVvinf();
      }
    else
      {
      temp20 = op->GetVvinf();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetWvinf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  double   temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetWvinf(temp0);
      }
    else
      {
      op->SetWvinf(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetWvinf(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  double   temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetWvinf();
      }
    else
      {
      temp20 = op->GetWvinf();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetScalarFunctionNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetScalarFunctionNumber(temp0);
      }
    else
      {
      op->SetScalarFunctionNumber(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetScalarFunctionNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetScalarFunctionNumber();
      }
    else
      {
      temp20 = op->GetScalarFunctionNumber();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_SetVectorFunctionNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::SetVectorFunctionNumber(temp0);
      }
    else
      {
      op->SetVectorFunctionNumber(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GetVectorFunctionNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GetVectorFunctionNumber();
      }
    else
      {
      temp20 = op->GetVectorFunctionNumber();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_AddFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::AddFunction(temp0);
      }
    else
      {
      op->AddFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_RemoveFunction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp0;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::RemoveFunction(temp0);
      }
    else
      {
      op->RemoveFunction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_RemoveAllFunctions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiBlockPLOT3DReader::RemoveAllFunctions();
      }
    else
      {
      op->RemoveAllFunctions();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_CanReadBinaryFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::CanReadBinaryFile(temp0);
      }
    else
      {
      temp20 = op->CanReadBinaryFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiBlockPLOT3DReader_GenerateDefaultConfiguration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiBlockPLOT3DReader *op;

  int      temp20;
  if ((op = (vtkMultiBlockPLOT3DReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiBlockPLOT3DReader::GenerateDefaultConfiguration();
      }
    else
      {
      temp20 = op->GenerateDefaultConfiguration();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMultiBlockPLOT3DReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMultiBlockPLOT3DReader\nC++: vtkMultiBlockPLOT3DReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMultiBlockPLOT3DReader\nC++: vtkMultiBlockPLOT3DReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (const char *name);this SetXYZFileName name \n\n Set/Get the PLOT3D geometry filename.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: const char *GetFileName ();return this GetXYZFileName \n\n Set/Get the PLOT3D geometry filename.\n"},
  {(char*)"SetXYZFileName",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetXYZFileName, 1,
   (char*)"V.SetXYZFileName(string)\nC++: virtual void SetXYZFileName (const char *);\n\n Set/Get the PLOT3D geometry filename.\n"},
  {(char*)"GetXYZFileName",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetXYZFileName, 1,
   (char*)"V.GetXYZFileName() -> string\nC++: char *GetXYZFileName ();\n\n Set/Get the PLOT3D geometry filename.\n"},
  {(char*)"SetQFileName",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetQFileName, 1,
   (char*)"V.SetQFileName(string)\nC++: void SetQFileName (char *);\n\n Set/Get the PLOT3D solution filename.\n"},
  {(char*)"GetQFileName",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetQFileName, 1,
   (char*)"V.GetQFileName() -> string\nC++: char *GetQFileName ();\n\n Set/Get the PLOT3D solution filename.\n"},
  {(char*)"GetNumberOfBlocks",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetNumberOfBlocks, 1,
   (char*)"V.GetNumberOfBlocks() -> int\nC++: int GetNumberOfBlocks ();\n\n This returns the number of outputs this reader will produce.\n This number is equal to the number of grids in the current \n file. This method has to be called before getting any output\n if the number of outputs will be greater than 1 (the first\n output is always the same). Note that every time this method\n is invoked, the header file is opened and part of the header \n is read.\n"},
  {(char*)"GetNumberOfGrids",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetNumberOfGrids, 1,
   (char*)"V.GetNumberOfGrids() -> int\nC++: int GetNumberOfGrids ();return this GetNumberOfBlocks \n\n Is the file to be read written in binary format (as opposed\n to ascii).\n"},
  {(char*)"SetBinaryFile",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetBinaryFile, 1,
   (char*)"V.SetBinaryFile(int)\nC++: void SetBinaryFile (int );\n\n Is the file to be read written in binary format (as opposed\n to ascii).\n"},
  {(char*)"GetBinaryFile",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetBinaryFile, 1,
   (char*)"V.GetBinaryFile() -> int\nC++: int GetBinaryFile ();\n\n Is the file to be read written in binary format (as opposed\n to ascii).\n"},
  {(char*)"BinaryFileOn",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_BinaryFileOn, 1,
   (char*)"V.BinaryFileOn()\nC++: void BinaryFileOn ();\n\n Is the file to be read written in binary format (as opposed\n to ascii).\n"},
  {(char*)"BinaryFileOff",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_BinaryFileOff, 1,
   (char*)"V.BinaryFileOff()\nC++: void BinaryFileOff ();\n\n Is the file to be read written in binary format (as opposed\n to ascii).\n"},
  {(char*)"SetMultiGrid",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetMultiGrid, 1,
   (char*)"V.SetMultiGrid(int)\nC++: void SetMultiGrid (int );\n\n Does the file to be read contain information about number of\n grids. In some PLOT3D files, the first value contains the number \n of grids (even if there is only 1). If reading such a file,\n set this to true.\n"},
  {(char*)"GetMultiGrid",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetMultiGrid, 1,
   (char*)"V.GetMultiGrid() -> int\nC++: int GetMultiGrid ();\n\n Does the file to be read contain information about number of\n grids. In some PLOT3D files, the first value contains the number \n of grids (even if there is only 1). If reading such a file,\n set this to true.\n"},
  {(char*)"MultiGridOn",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_MultiGridOn, 1,
   (char*)"V.MultiGridOn()\nC++: void MultiGridOn ();\n\n Does the file to be read contain information about number of\n grids. In some PLOT3D files, the first value contains the number \n of grids (even if there is only 1). If reading such a file,\n set this to true.\n"},
  {(char*)"MultiGridOff",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_MultiGridOff, 1,
   (char*)"V.MultiGridOff()\nC++: void MultiGridOff ();\n\n Does the file to be read contain information about number of\n grids. In some PLOT3D files, the first value contains the number \n of grids (even if there is only 1). If reading such a file,\n set this to true.\n"},
  {(char*)"SetHasByteCount",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetHasByteCount, 1,
   (char*)"V.SetHasByteCount(int)\nC++: void SetHasByteCount (int );\n\n Were the arrays written with leading and trailing byte counts ?\n Usually, files written by a fortran program will contain these\n byte counts whereas the ones written by C/C++ won't.\n"},
  {(char*)"GetHasByteCount",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetHasByteCount, 1,
   (char*)"V.GetHasByteCount() -> int\nC++: int GetHasByteCount ();\n\n Were the arrays written with leading and trailing byte counts ?\n Usually, files written by a fortran program will contain these\n byte counts whereas the ones written by C/C++ won't.\n"},
  {(char*)"HasByteCountOn",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_HasByteCountOn, 1,
   (char*)"V.HasByteCountOn()\nC++: void HasByteCountOn ();\n\n Were the arrays written with leading and trailing byte counts ?\n Usually, files written by a fortran program will contain these\n byte counts whereas the ones written by C/C++ won't.\n"},
  {(char*)"HasByteCountOff",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_HasByteCountOff, 1,
   (char*)"V.HasByteCountOff()\nC++: void HasByteCountOff ();\n\n Were the arrays written with leading and trailing byte counts ?\n Usually, files written by a fortran program will contain these\n byte counts whereas the ones written by C/C++ won't.\n"},
  {(char*)"SetIBlanking",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetIBlanking, 1,
   (char*)"V.SetIBlanking(int)\nC++: void SetIBlanking (int );\n\n Is there iblanking (point visibility) information in the file.\n If there is iblanking arrays, these will be read and assigned\n to the PointVisibility array of the output.\n"},
  {(char*)"GetIBlanking",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetIBlanking, 1,
   (char*)"V.GetIBlanking() -> int\nC++: int GetIBlanking ();\n\n Is there iblanking (point visibility) information in the file.\n If there is iblanking arrays, these will be read and assigned\n to the PointVisibility array of the output.\n"},
  {(char*)"IBlankingOn",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_IBlankingOn, 1,
   (char*)"V.IBlankingOn()\nC++: void IBlankingOn ();\n\n Is there iblanking (point visibility) information in the file.\n If there is iblanking arrays, these will be read and assigned\n to the PointVisibility array of the output.\n"},
  {(char*)"IBlankingOff",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_IBlankingOff, 1,
   (char*)"V.IBlankingOff()\nC++: void IBlankingOff ();\n\n Is there iblanking (point visibility) information in the file.\n If there is iblanking arrays, these will be read and assigned\n to the PointVisibility array of the output.\n"},
  {(char*)"SetTwoDimensionalGeometry",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetTwoDimensionalGeometry, 1,
   (char*)"V.SetTwoDimensionalGeometry(int)\nC++: void SetTwoDimensionalGeometry (int );\n\n If only two-dimensional data was written to the file,\n turn this on.\n"},
  {(char*)"GetTwoDimensionalGeometry",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetTwoDimensionalGeometry, 1,
   (char*)"V.GetTwoDimensionalGeometry() -> int\nC++: int GetTwoDimensionalGeometry ();\n\n If only two-dimensional data was written to the file,\n turn this on.\n"},
  {(char*)"TwoDimensionalGeometryOn",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_TwoDimensionalGeometryOn, 1,
   (char*)"V.TwoDimensionalGeometryOn()\nC++: void TwoDimensionalGeometryOn ();\n\n If only two-dimensional data was written to the file,\n turn this on.\n"},
  {(char*)"TwoDimensionalGeometryOff",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_TwoDimensionalGeometryOff, 1,
   (char*)"V.TwoDimensionalGeometryOff()\nC++: void TwoDimensionalGeometryOff ();\n\n If only two-dimensional data was written to the file,\n turn this on.\n"},
  {(char*)"SetForceRead",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetForceRead, 1,
   (char*)"V.SetForceRead(int)\nC++: void SetForceRead (int );\n\n Try to read a binary file even if the file length seems to be\n inconsistent with the header information. Use this with caution,\n if the file length is not the same as calculated from the header.\n either the file is corrupt or the settings are wrong. \n"},
  {(char*)"GetForceRead",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetForceRead, 1,
   (char*)"V.GetForceRead() -> int\nC++: int GetForceRead ();\n\n Try to read a binary file even if the file length seems to be\n inconsistent with the header information. Use this with caution,\n if the file length is not the same as calculated from the header.\n either the file is corrupt or the settings are wrong. \n"},
  {(char*)"ForceReadOn",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_ForceReadOn, 1,
   (char*)"V.ForceReadOn()\nC++: void ForceReadOn ();\n\n Try to read a binary file even if the file length seems to be\n inconsistent with the header information. Use this with caution,\n if the file length is not the same as calculated from the header.\n either the file is corrupt or the settings are wrong. \n"},
  {(char*)"ForceReadOff",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_ForceReadOff, 1,
   (char*)"V.ForceReadOff()\nC++: void ForceReadOff ();\n\n Try to read a binary file even if the file length seems to be\n inconsistent with the header information. Use this with caution,\n if the file length is not the same as calculated from the header.\n either the file is corrupt or the settings are wrong. \n"},
  {(char*)"SetByteOrderToBigEndian",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetByteOrderToBigEndian, 1,
   (char*)"V.SetByteOrderToBigEndian()\nC++: void SetByteOrderToBigEndian ();\n\n Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n"},
  {(char*)"SetByteOrderToLittleEndian",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetByteOrderToLittleEndian, 1,
   (char*)"V.SetByteOrderToLittleEndian()\nC++: void SetByteOrderToLittleEndian ();\n\n Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n"},
  {(char*)"SetByteOrder",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetByteOrder, 1,
   (char*)"V.SetByteOrder(int)\nC++: void SetByteOrder (int );\n\n Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n"},
  {(char*)"GetByteOrder",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetByteOrder, 1,
   (char*)"V.GetByteOrder() -> int\nC++: int GetByteOrder ();\n\n Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n"},
  {(char*)"GetByteOrderAsString",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetByteOrderAsString, 1,
   (char*)"V.GetByteOrderAsString() -> string\nC++: const char *GetByteOrderAsString ();\n\n Set the byte order of the file (remember, more Unix workstations\n write big endian whereas PCs write little endian). Default is\n big endian (since most older PLOT3D files were written by\n workstations).\n"},
  {(char*)"SetR",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetR, 1,
   (char*)"V.SetR(float)\nC++: void SetR (double );\n\n Set/Get the gas constant. Default is 1.0.\n"},
  {(char*)"GetR",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetR, 1,
   (char*)"V.GetR() -> float\nC++: double GetR ();\n\n Set/Get the gas constant. Default is 1.0.\n"},
  {(char*)"SetGamma",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetGamma, 1,
   (char*)"V.SetGamma(float)\nC++: void SetGamma (double );\n\n Set/Get the ratio of specific heats. Default is 1.4.\n"},
  {(char*)"GetGamma",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetGamma, 1,
   (char*)"V.GetGamma() -> float\nC++: double GetGamma ();\n\n Set/Get the ratio of specific heats. Default is 1.4.\n"},
  {(char*)"SetUvinf",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetUvinf, 1,
   (char*)"V.SetUvinf(float)\nC++: void SetUvinf (double );\n\n Set/Get the x-component of the free-stream velocity. Default is 1.0.\n"},
  {(char*)"GetUvinf",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetUvinf, 1,
   (char*)"V.GetUvinf() -> float\nC++: double GetUvinf ();\n\n Set/Get the x-component of the free-stream velocity. Default is 1.0.\n"},
  {(char*)"SetVvinf",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetVvinf, 1,
   (char*)"V.SetVvinf(float)\nC++: void SetVvinf (double );\n\n Set/Get the y-component of the free-stream velocity. Default is 1.0.\n"},
  {(char*)"GetVvinf",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetVvinf, 1,
   (char*)"V.GetVvinf() -> float\nC++: double GetVvinf ();\n\n Set/Get the y-component of the free-stream velocity. Default is 1.0.\n"},
  {(char*)"SetWvinf",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetWvinf, 1,
   (char*)"V.SetWvinf(float)\nC++: void SetWvinf (double );\n\n Set/Get the z-component of the free-stream velocity. Default is 1.0.\n"},
  {(char*)"GetWvinf",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetWvinf, 1,
   (char*)"V.GetWvinf() -> float\nC++: double GetWvinf ();\n\n Set/Get the z-component of the free-stream velocity. Default is 1.0.\n"},
  {(char*)"SetScalarFunctionNumber",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetScalarFunctionNumber, 1,
   (char*)"V.SetScalarFunctionNumber(int)\nC++: void SetScalarFunctionNumber (int num);\n\n Specify the scalar function to extract. If ==(-1), then no scalar \n function is extracted.\n"},
  {(char*)"GetScalarFunctionNumber",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetScalarFunctionNumber, 1,
   (char*)"V.GetScalarFunctionNumber() -> int\nC++: int GetScalarFunctionNumber ();\n\n Specify the scalar function to extract. If ==(-1), then no scalar \n function is extracted.\n"},
  {(char*)"SetVectorFunctionNumber",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_SetVectorFunctionNumber, 1,
   (char*)"V.SetVectorFunctionNumber(int)\nC++: void SetVectorFunctionNumber (int num);\n\n Specify the vector function to extract. If ==(-1), then no vector\n function is extracted.\n"},
  {(char*)"GetVectorFunctionNumber",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GetVectorFunctionNumber, 1,
   (char*)"V.GetVectorFunctionNumber() -> int\nC++: int GetVectorFunctionNumber ();\n\n Specify the vector function to extract. If ==(-1), then no vector\n function is extracted.\n"},
  {(char*)"AddFunction",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_AddFunction, 1,
   (char*)"V.AddFunction(int)\nC++: void AddFunction (int functionNumber);\n\n Specify additional functions to read. These are placed into the\n point data as data arrays. Later on they can be used by labeling\n them as scalars, etc.\n"},
  {(char*)"RemoveFunction",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_RemoveFunction, 1,
   (char*)"V.RemoveFunction(int)\nC++: void RemoveFunction (int );\n\n Specify additional functions to read. These are placed into the\n point data as data arrays. Later on they can be used by labeling\n them as scalars, etc.\n"},
  {(char*)"RemoveAllFunctions",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_RemoveAllFunctions, 1,
   (char*)"V.RemoveAllFunctions()\nC++: void RemoveAllFunctions ();\n\n Specify additional functions to read. These are placed into the\n point data as data arrays. Later on they can be used by labeling\n them as scalars, etc.\n"},
  {(char*)"CanReadBinaryFile",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_CanReadBinaryFile, 1,
   (char*)"V.CanReadBinaryFile(string) -> int\nC++: virtual int CanReadBinaryFile (const char *fname);\n\n Return 1 if the reader can read the given file name. Only meaningful\n for binary files.\n"},
  {(char*)"GenerateDefaultConfiguration",                (PyCFunction)PyvtkMultiBlockPLOT3DReader_GenerateDefaultConfiguration, 1,
   (char*)"V.GenerateDefaultConfiguration() -> int\nC++: int GenerateDefaultConfiguration ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMultiBlockPLOT3DReaderDoc[] = {
  (char*)"vtkMultiBlockPLOT3DReader - read PLOT3D data files\n\n",
  "Super Class:\n\n vtkHierarchicalDataSetAlgorithm\n\n",
  (char*)" vtkMultiBlockPLOT3DReader is a reader object that reads PLOT3D formatted\n files and generates structured grid(s) on output. PLOT3D is a computer\n graphics program designed to visualize the grids and solutions of\n computational fluid dynamics. Please see the \"PLOT3D User's Manual\"\n available from NASA Ames Research Center, Moffett Field CA.\n\n PLOT3D files consist of a grid file (also known as XYZ ",
  (char*)"file), an \n optional solution file (also known as a Q file), and an optional function \n file that contains user created data (currently unsupported). The Q file \n contains solution  information as follows: the four parameters free stream \n mach number (Fsmach), angle of attack (Alpha), Reynolds number (Re), and \n total integration time (Time). This information is stored in an array\n called Propert",
  (char*)"ies in the FieldData of each output (tuple 0: fsmach, tuple 1:\n alpha, tuple 2: re, tuple 3: time). In addition, the solution file contains \n the flow density (scalar), flow momentum (vector), and flow energy (scalar).\n\n The reader can generate additional scalars and vectors (or \"functions\")\n from this information. To use vtkMultiBlockPLOT3DReader, you must specify the \n particular function number",
  (char*)" for the scalar and vector you want to visualize.\n This implementation of the reader provides the following functions. The\n scalar functions are:\n    -1  - don't read or compute any scalars\n    100 - density\n    110 - pressure\n    120 - temperature\n    130 - enthalpy\n    140 - internal energy\n    144 - kinetic energy\n    153 - velocity magnitude\n    163 - stagnation energy\n    170 - entropy\n    18",
  (char*)"4 - swirl.\n\n The vector functions are:\n    -1  - don't read or compute any vectors\n    200 - velocity\n    201 - vorticity\n    202 - momentum\n    210 - pressure gradient.\n\n (Other functions are described in the PLOT3D spec, but only those listed are\n implemented here.) Note that by default, this reader creates the density \n scalar (100) and momentum vector (202) as output. (These are just read in\n ",
  (char*)"from the solution file.) Please note that the validity of computation is\n a function of this class's gas constants (R, Gamma) and the equations used.\n They may not be suitable for your computational domain.\n\n Additionally, you can read other data and associate it as a vtkDataArray\n into the output's point attribute data. Use the method AddFunction()\n to list all the functions that you'd like to re",
  (char*)"ad. AddFunction() accepts\n an integer parameter that defines the function number.\n\n\n",
  "See Also:\n\n vtkStructuredGridSource vtkStructuredGrid\n\n",
  NULL
};

static vtkObjectBase *vtkMultiBlockPLOT3DReaderStaticNew()
{
  return vtkMultiBlockPLOT3DReader::New();
}

PyObject *PyVTKClass_vtkMultiBlockPLOT3DReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkMultiBlockPLOT3DReaderStaticNew,
                        PyvtkMultiBlockPLOT3DReaderMethods,
                        (char*)"vtkMultiBlockPLOT3DReader",modulename,
                        (char**)vtkMultiBlockPLOT3DReaderDoc,
                        PyVTKClass_vtkHierarchicalDataSetAlgorithmNew(modulename));
}

