// tcl wrapper for vtkMultiBlockPLOT3DReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMultiBlockPLOT3DReader.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkMultiBlockPLOT3DReaderNewCommand()
{
  vtkMultiBlockPLOT3DReader *temp = vtkMultiBlockPLOT3DReader::New();
  return ((ClientData)temp);
}

int vtkHierarchicalDataSetAlgorithmCppCommand(vtkHierarchicalDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMultiBlockPLOT3DReaderCppCommand(vtkMultiBlockPLOT3DReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMultiBlockPLOT3DReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMultiBlockPLOT3DReaderCppCommand((vtkMultiBlockPLOT3DReader *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMultiBlockPLOT3DReaderCppCommand(vtkMultiBlockPLOT3DReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMultiBlockPLOT3DReader",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkHierarchicalDataSetAlgorithmCppCommand((vtkHierarchicalDataSetAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkHierarchicalDataSetAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMultiBlockPLOT3DReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMultiBlockPLOT3DReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMultiBlockPLOT3DReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMultiBlockPLOT3DReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMultiBlockPLOT3DReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMultiBlockPLOT3DReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXYZFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXYZFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXYZFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXYZFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetQFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetQFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetQFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetQFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfBlocks",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfBlocks();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfGrids",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfGrids();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBinaryFile",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBinaryFile(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBinaryFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBinaryFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BinaryFileOn",argv[1]))&&(argc == 2))
    {
    op->BinaryFileOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BinaryFileOff",argv[1]))&&(argc == 2))
    {
    op->BinaryFileOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMultiGrid",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMultiGrid(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMultiGrid",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMultiGrid();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MultiGridOn",argv[1]))&&(argc == 2))
    {
    op->MultiGridOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MultiGridOff",argv[1]))&&(argc == 2))
    {
    op->MultiGridOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHasByteCount",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHasByteCount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHasByteCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHasByteCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HasByteCountOn",argv[1]))&&(argc == 2))
    {
    op->HasByteCountOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HasByteCountOff",argv[1]))&&(argc == 2))
    {
    op->HasByteCountOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIBlanking",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIBlanking(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIBlanking",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIBlanking();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IBlankingOn",argv[1]))&&(argc == 2))
    {
    op->IBlankingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IBlankingOff",argv[1]))&&(argc == 2))
    {
    op->IBlankingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTwoDimensionalGeometry",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTwoDimensionalGeometry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTwoDimensionalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTwoDimensionalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TwoDimensionalGeometryOn",argv[1]))&&(argc == 2))
    {
    op->TwoDimensionalGeometryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TwoDimensionalGeometryOff",argv[1]))&&(argc == 2))
    {
    op->TwoDimensionalGeometryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetForceRead",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetForceRead(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetForceRead",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetForceRead();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ForceReadOn",argv[1]))&&(argc == 2))
    {
    op->ForceReadOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ForceReadOff",argv[1]))&&(argc == 2))
    {
    op->ForceReadOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetByteOrderToBigEndian",argv[1]))&&(argc == 2))
    {
    op->SetByteOrderToBigEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetByteOrderToLittleEndian",argv[1]))&&(argc == 2))
    {
    op->SetByteOrderToLittleEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetByteOrder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetByteOrder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetByteOrder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetByteOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetByteOrderAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetByteOrderAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetR",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetR(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetR",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetR();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGamma",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGamma(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGamma",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGamma();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUvinf",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetUvinf(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUvinf",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetUvinf();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVvinf",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetVvinf(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVvinf",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVvinf();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWvinf",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetWvinf(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWvinf",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWvinf();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarFunctionNumber",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarFunctionNumber(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarFunctionNumber",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarFunctionNumber();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorFunctionNumber",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVectorFunctionNumber(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorFunctionNumber",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVectorFunctionNumber();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->AddFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllFunctions",argv[1]))&&(argc == 2))
    {
    op->RemoveAllFunctions();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CanReadBinaryFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CanReadBinaryFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateDefaultConfiguration",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GenerateDefaultConfiguration();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkMultiBlockPLOT3DReaderCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkHierarchicalDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMultiBlockPLOT3DReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetXYZFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXYZFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetQFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetQFileName\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfBlocks\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfGrids\n",NULL);
    Tcl_AppendResult(interp,"  SetBinaryFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBinaryFile\n",NULL);
    Tcl_AppendResult(interp,"  BinaryFileOn\n",NULL);
    Tcl_AppendResult(interp,"  BinaryFileOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMultiGrid\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMultiGrid\n",NULL);
    Tcl_AppendResult(interp,"  MultiGridOn\n",NULL);
    Tcl_AppendResult(interp,"  MultiGridOff\n",NULL);
    Tcl_AppendResult(interp,"  SetHasByteCount\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHasByteCount\n",NULL);
    Tcl_AppendResult(interp,"  HasByteCountOn\n",NULL);
    Tcl_AppendResult(interp,"  HasByteCountOff\n",NULL);
    Tcl_AppendResult(interp,"  SetIBlanking\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIBlanking\n",NULL);
    Tcl_AppendResult(interp,"  IBlankingOn\n",NULL);
    Tcl_AppendResult(interp,"  IBlankingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTwoDimensionalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTwoDimensionalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  TwoDimensionalGeometryOn\n",NULL);
    Tcl_AppendResult(interp,"  TwoDimensionalGeometryOff\n",NULL);
    Tcl_AppendResult(interp,"  SetForceRead\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetForceRead\n",NULL);
    Tcl_AppendResult(interp,"  ForceReadOn\n",NULL);
    Tcl_AppendResult(interp,"  ForceReadOff\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrderToBigEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrderToLittleEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetByteOrder\n",NULL);
    Tcl_AppendResult(interp,"  GetByteOrderAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetR\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetR\n",NULL);
    Tcl_AppendResult(interp,"  SetGamma\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGamma\n",NULL);
    Tcl_AppendResult(interp,"  SetUvinf\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUvinf\n",NULL);
    Tcl_AppendResult(interp,"  SetVvinf\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVvinf\n",NULL);
    Tcl_AppendResult(interp,"  SetWvinf\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWvinf\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarFunctionNumber\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarFunctionNumber\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorFunctionNumber\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorFunctionNumber\n",NULL);
    Tcl_AppendResult(interp,"  AddFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllFunctions\n",NULL);
    Tcl_AppendResult(interp,"  CanReadBinaryFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GenerateDefaultConfiguration\n",NULL);
    return TCL_OK;
    }

  if (vtkHierarchicalDataSetAlgorithmCppCommand((vtkHierarchicalDataSetAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
