// python wrapper for vtkOBJReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOBJReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOBJReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOBJReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkOBJReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBJReader *op;

  const char    *temp20;
  if ((op = (vtkOBJReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBJReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOBJReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBJReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOBJReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBJReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOBJReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBJReader *op;

  vtkOBJReader  *temp20;
  if ((op = (vtkOBJReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBJReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOBJReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOBJReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOBJReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOBJReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBJReader *op;

  char    *temp0;
  if ((op = (vtkOBJReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOBJReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOBJReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOBJReader *op;

  char    *temp20;
  if ((op = (vtkOBJReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOBJReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOBJReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOBJReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOBJReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOBJReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOBJReader\nC++: vtkOBJReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOBJReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOBJReader\nC++: vtkOBJReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkOBJReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name of Wavefront .obj file.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkOBJReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of Wavefront .obj file.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOBJReaderDoc[] = {
  (char*)"vtkOBJReader - read Wavefront .obj files\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkOBJReader is a source object that reads Wavefront .obj\n files. The output of this source object is polygonal data.\n\n",
  "See Also:\n\n vtkOBJImporter\n\n",
  NULL
};

static vtkObjectBase *vtkOBJReaderStaticNew()
{
  return vtkOBJReader::New();
}

PyObject *PyVTKClass_vtkOBJReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkOBJReaderStaticNew,
                        PyvtkOBJReaderMethods,
                        (char*)"vtkOBJReader",modulename,
                        (char**)vtkOBJReaderDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

