// python wrapper for vtkPNGReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPNGReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPNGReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPNGReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageReader2New(char *); }

static PyObject *PyvtkPNGReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNGReader *op;

  const char    *temp20;
  if ((op = (vtkPNGReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNGReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPNGReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNGReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPNGReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNGReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPNGReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNGReader *op;

  vtkPNGReader  *temp20;
  if ((op = (vtkPNGReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNGReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPNGReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPNGReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPNGReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPNGReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNGReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPNGReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNGReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPNGReader_GetFileExtensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNGReader *op;

  const char    *temp20;
  if ((op = (vtkPNGReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNGReader::GetFileExtensions();
      }
    else
      {
      temp20 = op->GetFileExtensions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPNGReader_GetDescriptiveName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPNGReader *op;

  const char    *temp20;
  if ((op = (vtkPNGReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPNGReader::GetDescriptiveName();
      }
    else
      {
      temp20 = op->GetDescriptiveName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPNGReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPNGReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPNGReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPNGReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPNGReader\nC++: vtkPNGReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPNGReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPNGReader\nC++: vtkPNGReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkPNGReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile (const char *fname);\n\n"},
  {(char*)"GetFileExtensions",                (PyCFunction)PyvtkPNGReader_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions ();return \n\n Return a descriptive name for the file format that might be useful in a GUI.\n"},
  {(char*)"GetDescriptiveName",                (PyCFunction)PyvtkPNGReader_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName ();return \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPNGReaderDoc[] = {
  (char*)"vtkPNGReader - read PNG files\n\n",
  "Super Class:\n\n vtkImageReader2\n\n",
  (char*)" vtkPNGReader is a source object that reads PNG files.\n It should be able to read most any PNG file\n\n\n",
  "See Also:\n\n vtkPNGWriter\n\n",
  NULL
};

static vtkObjectBase *vtkPNGReaderStaticNew()
{
  return vtkPNGReader::New();
}

PyObject *PyVTKClass_vtkPNGReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkPNGReaderStaticNew,
                        PyvtkPNGReaderMethods,
                        (char*)"vtkPNGReader",modulename,
                        (char**)vtkPNGReaderDoc,
                        PyVTKClass_vtkImageReader2New(modulename));
}

