// python wrapper for vtkParticleReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkParticleReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParticleReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParticleReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkParticleReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  const char    *temp20;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParticleReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParticleReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  vtkParticleReader  *temp20;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParticleReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkParticleReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkParticleReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkParticleReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  char    *temp0;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  char    *temp20;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParticleReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SetDataByteOrderToBigEndian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SetDataByteOrderToBigEndian();
      }
    else
      {
      op->SetDataByteOrderToBigEndian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SetDataByteOrderToLittleEndian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SetDataByteOrderToLittleEndian();
      }
    else
      {
      op->SetDataByteOrderToLittleEndian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_GetDataByteOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  int      temp20;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParticleReader::GetDataByteOrder();
      }
    else
      {
      temp20 = op->GetDataByteOrder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SetDataByteOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  int      temp0;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SetDataByteOrder(temp0);
      }
    else
      {
      op->SetDataByteOrder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_GetDataByteOrderAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  const char    *temp20;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParticleReader::GetDataByteOrderAsString();
      }
    else
      {
      temp20 = op->GetDataByteOrderAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SetSwapBytes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  int      temp0;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SetSwapBytes(temp0);
      }
    else
      {
      op->SetSwapBytes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_GetSwapBytes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  int      temp20;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParticleReader::GetSwapBytes();
      }
    else
      {
      temp20 = op->GetSwapBytes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SwapBytesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SwapBytesOn();
      }
    else
      {
      op->SwapBytesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SwapBytesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SwapBytesOff();
      }
    else
      {
      op->SwapBytesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SetHasScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  int      temp0;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SetHasScalar(temp0);
      }
    else
      {
      op->SetHasScalar(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_GetHasScalar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  int      temp20;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParticleReader::GetHasScalar();
      }
    else
      {
      temp20 = op->GetHasScalar();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_HasScalarOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::HasScalarOn();
      }
    else
      {
      op->HasScalarOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_HasScalarOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::HasScalarOff();
      }
    else
      {
      op->HasScalarOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SetFileType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  int      temp0;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SetFileType(temp0);
      }
    else
      {
      op->SetFileType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_GetFileTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  int      temp20;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParticleReader::GetFileTypeMinValue();
      }
    else
      {
      temp20 = op->GetFileTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_GetFileTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  int      temp20;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParticleReader::GetFileTypeMaxValue();
      }
    else
      {
      temp20 = op->GetFileTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_GetFileType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  int      temp20;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParticleReader::GetFileType();
      }
    else
      {
      temp20 = op->GetFileType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SetFileTypeToUnknown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SetFileTypeToUnknown();
      }
    else
      {
      op->SetFileTypeToUnknown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SetFileTypeToText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SetFileTypeToText();
      }
    else
      {
      op->SetFileTypeToText();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SetFileTypeToBinary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SetFileTypeToBinary();
      }
    else
      {
      op->SetFileTypeToBinary();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  int      temp0;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SetDataType(temp0);
      }
    else
      {
      op->SetDataType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_GetDataTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  int      temp20;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParticleReader::GetDataTypeMinValue();
      }
    else
      {
      temp20 = op->GetDataTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_GetDataTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  int      temp20;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParticleReader::GetDataTypeMaxValue();
      }
    else
      {
      temp20 = op->GetDataTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_GetDataType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  int      temp20;
  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParticleReader::GetDataType();
      }
    else
      {
      temp20 = op->GetDataType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SetDataTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SetDataTypeToFloat();
      }
    else
      {
      op->SetDataTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParticleReader_SetDataTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParticleReader *op;

  if ((op = (vtkParticleReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParticleReader::SetDataTypeToDouble();
      }
    else
      {
      op->SetDataTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkParticleReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParticleReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParticleReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParticleReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParticleReader\nC++: vtkParticleReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkParticleReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkParticleReader\nC++: vtkParticleReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkParticleReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify file name.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkParticleReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name.\n"},
  {(char*)"SetDataByteOrderToBigEndian",                (PyCFunction)PyvtkParticleReader_SetDataByteOrderToBigEndian, 1,
   (char*)"V.SetDataByteOrderToBigEndian()\nC++: void SetDataByteOrderToBigEndian ();\n\n These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines are BigEndian while PC's\n and VAX tend to be LittleEndian. So if the file you are reading\n in was generated on a VAX or PC, SetDataByteOrderToLittleEndian \n otherwise SetDataByteOrderToBigEndian. Not used when reading\n text files. \n"},
  {(char*)"SetDataByteOrderToLittleEndian",                (PyCFunction)PyvtkParticleReader_SetDataByteOrderToLittleEndian, 1,
   (char*)"V.SetDataByteOrderToLittleEndian()\nC++: void SetDataByteOrderToLittleEndian ();\n\n These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines are BigEndian while PC's\n and VAX tend to be LittleEndian. So if the file you are reading\n in was generated on a VAX or PC, SetDataByteOrderToLittleEndian \n otherwise SetDataByteOrderToBigEndian. Not used when reading\n text files. \n"},
  {(char*)"GetDataByteOrder",                (PyCFunction)PyvtkParticleReader_GetDataByteOrder, 1,
   (char*)"V.GetDataByteOrder() -> int\nC++: int GetDataByteOrder ();\n\n These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines are BigEndian while PC's\n and VAX tend to be LittleEndian. So if the file you are reading\n in was generated on a VAX or PC, SetDataByteOrderToLittleEndian \n otherwise SetDataByteOrderToBigEndian. Not used when reading\n text files. \n"},
  {(char*)"SetDataByteOrder",                (PyCFunction)PyvtkParticleReader_SetDataByteOrder, 1,
   (char*)"V.SetDataByteOrder(int)\nC++: void SetDataByteOrder (int );\n\n These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines are BigEndian while PC's\n and VAX tend to be LittleEndian. So if the file you are reading\n in was generated on a VAX or PC, SetDataByteOrderToLittleEndian \n otherwise SetDataByteOrderToBigEndian. Not used when reading\n text files. \n"},
  {(char*)"GetDataByteOrderAsString",                (PyCFunction)PyvtkParticleReader_GetDataByteOrderAsString, 1,
   (char*)"V.GetDataByteOrderAsString() -> string\nC++: const char *GetDataByteOrderAsString ();\n\n These methods should be used instead of the SwapBytes methods.\n They indicate the byte ordering of the file you are trying\n to read in. These methods will then either swap or not swap\n the bytes depending on the byte ordering of the machine it is\n being run on. For example, reading in a BigEndian file on a\n BigEndian machine will result in no swapping. Trying to read\n the same file on a LittleEndian machine will result in swapping.\n As a quick note most UNIX machines are BigEndian while PC's\n and VAX tend to be LittleEndian. So if the file you are reading\n in was generated on a VAX or PC, SetDataByteOrderToLittleEndian \n otherwise SetDataByteOrderToBigEndian. Not used when reading\n text files. \n"},
  {(char*)"SetSwapBytes",                (PyCFunction)PyvtkParticleReader_SetSwapBytes, 1,
   (char*)"V.SetSwapBytes(int)\nC++: void SetSwapBytes (int );\n\n Set/Get the byte swapping to explicitly swap the bytes of a file.\n Not used when reading text files.\n"},
  {(char*)"GetSwapBytes",                (PyCFunction)PyvtkParticleReader_GetSwapBytes, 1,
   (char*)"V.GetSwapBytes() -> int\nC++: int GetSwapBytes ();return this SwapBytes \n\n Set/Get the byte swapping to explicitly swap the bytes of a file.\n Not used when reading text files.\n"},
  {(char*)"SwapBytesOn",                (PyCFunction)PyvtkParticleReader_SwapBytesOn, 1,
   (char*)"V.SwapBytesOn()\nC++: void SwapBytesOn ();\n\n Set/Get the byte swapping to explicitly swap the bytes of a file.\n Not used when reading text files.\n"},
  {(char*)"SwapBytesOff",                (PyCFunction)PyvtkParticleReader_SwapBytesOff, 1,
   (char*)"V.SwapBytesOff()\nC++: void SwapBytesOff ();\n\n Set/Get the byte swapping to explicitly swap the bytes of a file.\n Not used when reading text files.\n"},
  {(char*)"SetHasScalar",                (PyCFunction)PyvtkParticleReader_SetHasScalar, 1,
   (char*)"V.SetHasScalar(int)\nC++: void SetHasScalar (int );\n\n Default: 1. If 1 then each particle has a value associated with it.\n"},
  {(char*)"GetHasScalar",                (PyCFunction)PyvtkParticleReader_GetHasScalar, 1,
   (char*)"V.GetHasScalar() -> int\nC++: int GetHasScalar ();\n\n Default: 1. If 1 then each particle has a value associated with it.\n"},
  {(char*)"HasScalarOn",                (PyCFunction)PyvtkParticleReader_HasScalarOn, 1,
   (char*)"V.HasScalarOn()\nC++: void HasScalarOn ();\n\n Default: 1. If 1 then each particle has a value associated with it.\n"},
  {(char*)"HasScalarOff",                (PyCFunction)PyvtkParticleReader_HasScalarOff, 1,
   (char*)"V.HasScalarOff()\nC++: void HasScalarOff ();\n\n Default: 1. If 1 then each particle has a value associated with it.\n"},
  {(char*)"SetFileType",                (PyCFunction)PyvtkParticleReader_SetFileType, 1,
   (char*)"V.SetFileType(int)\nC++: void SetFileType (int );\n\n Get/Set the file type.  The options are:\n - FILE_TYPE_IS_UNKNOWN (default) the class \n     will attempt to determine the file type.\n     If this fails then you should set the file type\n     yourself.\n - FILE_TYPE_IS_TEXT the file type is text.\n - FILE_TYPE_IS_BINARY the file type is binary.\n"},
  {(char*)"GetFileTypeMinValue",                (PyCFunction)PyvtkParticleReader_GetFileTypeMinValue, 1,
   (char*)"V.GetFileTypeMinValue() -> int\nC++: int GetFileTypeMinValue ();\n\n Get/Set the file type.  The options are:\n - FILE_TYPE_IS_UNKNOWN (default) the class \n     will attempt to determine the file type.\n     If this fails then you should set the file type\n     yourself.\n - FILE_TYPE_IS_TEXT the file type is text.\n - FILE_TYPE_IS_BINARY the file type is binary.\n"},
  {(char*)"GetFileTypeMaxValue",                (PyCFunction)PyvtkParticleReader_GetFileTypeMaxValue, 1,
   (char*)"V.GetFileTypeMaxValue() -> int\nC++: int GetFileTypeMaxValue ();\n\n Get/Set the file type.  The options are:\n - FILE_TYPE_IS_UNKNOWN (default) the class \n     will attempt to determine the file type.\n     If this fails then you should set the file type\n     yourself.\n - FILE_TYPE_IS_TEXT the file type is text.\n - FILE_TYPE_IS_BINARY the file type is binary.\n"},
  {(char*)"GetFileType",                (PyCFunction)PyvtkParticleReader_GetFileType, 1,
   (char*)"V.GetFileType() -> int\nC++: int GetFileType ();\n\n Get/Set the file type.  The options are:\n - FILE_TYPE_IS_UNKNOWN (default) the class \n     will attempt to determine the file type.\n     If this fails then you should set the file type\n     yourself.\n - FILE_TYPE_IS_TEXT the file type is text.\n - FILE_TYPE_IS_BINARY the file type is binary.\n"},
  {(char*)"SetFileTypeToUnknown",                (PyCFunction)PyvtkParticleReader_SetFileTypeToUnknown, 1,
   (char*)"V.SetFileTypeToUnknown()\nC++: void SetFileTypeToUnknown ();this SetFileType FILE_TYPE_IS_UNKNOWN \n\n Get/Set the file type.  The options are:\n - FILE_TYPE_IS_UNKNOWN (default) the class \n     will attempt to determine the file type.\n     If this fails then you should set the file type\n     yourself.\n - FILE_TYPE_IS_TEXT the file type is text.\n - FILE_TYPE_IS_BINARY the file type is binary.\n"},
  {(char*)"SetFileTypeToText",                (PyCFunction)PyvtkParticleReader_SetFileTypeToText, 1,
   (char*)"V.SetFileTypeToText()\nC++: void SetFileTypeToText ();this SetFileType FILE_TYPE_IS_TEXT \n\n Get/Set the file type.  The options are:\n - FILE_TYPE_IS_UNKNOWN (default) the class \n     will attempt to determine the file type.\n     If this fails then you should set the file type\n     yourself.\n - FILE_TYPE_IS_TEXT the file type is text.\n - FILE_TYPE_IS_BINARY the file type is binary.\n"},
  {(char*)"SetFileTypeToBinary",                (PyCFunction)PyvtkParticleReader_SetFileTypeToBinary, 1,
   (char*)"V.SetFileTypeToBinary()\nC++: void SetFileTypeToBinary ();this SetFileType FILE_TYPE_IS_BINARY \n\n Get/Set the data type.  The options are:\n - VTK_FLOAT (default) single precision floating point.\n - VTK_DOUBLE double precision floating point.\n"},
  {(char*)"SetDataType",                (PyCFunction)PyvtkParticleReader_SetDataType, 1,
   (char*)"V.SetDataType(int)\nC++: void SetDataType (int );\n\n Get/Set the data type.  The options are:\n - VTK_FLOAT (default) single precision floating point.\n - VTK_DOUBLE double precision floating point.\n"},
  {(char*)"GetDataTypeMinValue",                (PyCFunction)PyvtkParticleReader_GetDataTypeMinValue, 1,
   (char*)"V.GetDataTypeMinValue() -> int\nC++: int GetDataTypeMinValue ();\n\n Get/Set the data type.  The options are:\n - VTK_FLOAT (default) single precision floating point.\n - VTK_DOUBLE double precision floating point.\n"},
  {(char*)"GetDataTypeMaxValue",                (PyCFunction)PyvtkParticleReader_GetDataTypeMaxValue, 1,
   (char*)"V.GetDataTypeMaxValue() -> int\nC++: int GetDataTypeMaxValue ();\n\n Get/Set the data type.  The options are:\n - VTK_FLOAT (default) single precision floating point.\n - VTK_DOUBLE double precision floating point.\n"},
  {(char*)"GetDataType",                (PyCFunction)PyvtkParticleReader_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: int GetDataType ();\n\n Get/Set the data type.  The options are:\n - VTK_FLOAT (default) single precision floating point.\n - VTK_DOUBLE double precision floating point.\n"},
  {(char*)"SetDataTypeToFloat",                (PyCFunction)PyvtkParticleReader_SetDataTypeToFloat, 1,
   (char*)"V.SetDataTypeToFloat()\nC++: void SetDataTypeToFloat ();this SetDataType VTK_FLOAT \n\n Get/Set the data type.  The options are:\n - VTK_FLOAT (default) single precision floating point.\n - VTK_DOUBLE double precision floating point.\n"},
  {(char*)"SetDataTypeToDouble",                (PyCFunction)PyvtkParticleReader_SetDataTypeToDouble, 1,
   (char*)"V.SetDataTypeToDouble()\nC++: void SetDataTypeToDouble ();this SetDataType VTK_DOUBLE \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParticleReaderDoc[] = {
  (char*)"vtkParticleReader - Read ASCII or binary particle \n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkParticleReader reads either a binary or a text file of \n  particles. Each particle can have associated with it an optional\n  scalar value. So the format is: x, y, z, scalar \n  (all floats or doubles). The text file can consist of a comma \n  delimited set of values. In most cases vtkParticleReader can \n  automatically determine whether the file is text or binary. \n  The data can be either float",
  (char*)" or double. \n  Progress updates are provided. \n  With respect to binary files, random access into the file to read \n  pieces is supported.\n  \n\n",
  NULL
};

static vtkObjectBase *vtkParticleReaderStaticNew()
{
  return vtkParticleReader::New();
}

PyObject *PyVTKClass_vtkParticleReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkParticleReaderStaticNew,
                        PyvtkParticleReaderMethods,
                        (char*)"vtkParticleReader",modulename,
                        (char**)vtkParticleReaderDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

