// python wrapper for vtkPolyDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPolyDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataReaderNew(char *); }

static PyObject *PyvtkPolyDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataReader *op;

  const char    *temp20;
  if ((op = (vtkPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataReader *op;

  vtkPolyDataReader  *temp20;
  if ((op = (vtkPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolyDataReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolyDataReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyDataReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataReader *op;

  vtkPolyData  *temp20;
  if ((op = (vtkPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataReader *op;

  int      temp0;
  vtkPolyData  *temp20;
  PyErr_Clear();
  if ((op = (vtkPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataReader_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataReader *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataReader::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkPolyDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataReader\nC++: vtkPolyDataReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolyDataReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolyDataReader\nC++: vtkPolyDataReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkPolyDataReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkPolyData\nC++: vtkPolyData *GetOutput ();\nV.GetOutput(int) -> vtkPolyData\nC++: vtkPolyData *GetOutput (int idx);\n\n Get the output of this reader.\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkPolyDataReader_SetOutput, 1,
   (char*)"V.SetOutput(vtkPolyData)\nC++: void SetOutput (vtkPolyData *output);\n\n Get the output of this reader.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataReaderDoc[] = {
  (char*)"vtkPolyDataReader - read vtk polygonal data file\n\n",
  "Super Class:\n\n vtkDataReader\n\n",
  (char*)" vtkPolyDataReader is a source object that reads ASCII or binary \n polygonal data files in vtk format (see text for format details).\n The output of this reader is a single vtkPolyData data object.\n The superclass of this class, vtkDataReader, provides many methods for\n controlling the reading of the data file, see vtkDataReader for more\n information.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n\n",
  "See Also:\n\n vtkPolyData vtkDataReader\n\n",
  NULL
};

static vtkObjectBase *vtkPolyDataReaderStaticNew()
{
  return vtkPolyDataReader::New();
}

PyObject *PyVTKClass_vtkPolyDataReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolyDataReaderStaticNew,
                        PyvtkPolyDataReaderMethods,
                        (char*)"vtkPolyDataReader",modulename,
                        (char**)vtkPolyDataReaderDoc,
                        PyVTKClass_vtkDataReaderNew(modulename));
}

