// python wrapper for vtkPostScriptWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPostScriptWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPostScriptWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPostScriptWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageWriterNew(char *); }

static PyObject *PyvtkPostScriptWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostScriptWriter *op;

  const char    *temp20;
  if ((op = (vtkPostScriptWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostScriptWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPostScriptWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostScriptWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPostScriptWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostScriptWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostScriptWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPostScriptWriter *op;

  vtkPostScriptWriter  *temp20;
  if ((op = (vtkPostScriptWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPostScriptWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPostScriptWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPostScriptWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPostScriptWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkPostScriptWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPostScriptWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPostScriptWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPostScriptWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPostScriptWriter\nC++: vtkPostScriptWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPostScriptWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPostScriptWriter\nC++: vtkPostScriptWriter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPostScriptWriterDoc[] = {
  (char*)"vtkPostScriptWriter - Writes an image as a PostScript file.\n\n",
  "Super Class:\n\n vtkImageWriter\n\n",
  (char*)" vtkPostScriptWriter writes an image as a PostScript file using some\n reasonable scalings and centered on the page which is assumed to be\n about 8.5 by 11 inches. This is based loosely off of the code from\n pnmtops.c. Right now there aren't any real options.\n\n",
  NULL
};

static vtkObjectBase *vtkPostScriptWriterStaticNew()
{
  return vtkPostScriptWriter::New();
}

PyObject *PyVTKClass_vtkPostScriptWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPostScriptWriterStaticNew,
                        PyvtkPostScriptWriterMethods,
                        (char*)"vtkPostScriptWriter",modulename,
                        (char**)vtkPostScriptWriterDoc,
                        PyVTKClass_vtkImageWriterNew(modulename));
}

