// python wrapper for vtkSTLWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSTLWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSTLWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSTLWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataWriterNew(char *); }

static PyObject *PyvtkSTLWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLWriter *op;

  const char    *temp20;
  if ((op = (vtkSTLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSTLWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSTLWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSTLWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSTLWriter *op;

  vtkSTLWriter  *temp20;
  if ((op = (vtkSTLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSTLWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSTLWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSTLWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSTLWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkSTLWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSTLWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSTLWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSTLWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSTLWriter\nC++: vtkSTLWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSTLWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSTLWriter\nC++: vtkSTLWriter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSTLWriterDoc[] = {
  (char*)"vtkSTLWriter - write stereo lithography files\n\n",
  "Super Class:\n\n vtkPolyDataWriter\n\n",
  (char*)" vtkSTLWriter writes stereo lithography (.stl) files in either ASCII or\n binary form. Stereo lithography files only contain triangles. If polygons\n with more than 3 vertices are present, only the first 3 vertices are\n written.  Use vtkTriangleFilter to convert polygons to triangles.\n\n",
  "Caveats:\n\n Binary files written on one system may not be readable on other systems.\n vtkSTLWriter uses VAX or PC byte ordering and swaps bytes on other systems.\n\n",
  NULL
};

static vtkObjectBase *vtkSTLWriterStaticNew()
{
  return vtkSTLWriter::New();
}

PyObject *PyVTKClass_vtkSTLWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkSTLWriterStaticNew,
                        PyvtkSTLWriterMethods,
                        (char*)"vtkSTLWriter",modulename,
                        (char**)vtkSTLWriterDoc,
                        PyVTKClass_vtkPolyDataWriterNew(modulename));
}

