// python wrapper for vtkSimplePointsReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSimplePointsReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSimplePointsReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSimplePointsReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkSimplePointsReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimplePointsReader *op;

  const char    *temp20;
  if ((op = (vtkSimplePointsReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimplePointsReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSimplePointsReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimplePointsReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSimplePointsReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimplePointsReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimplePointsReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimplePointsReader *op;

  vtkSimplePointsReader  *temp20;
  if ((op = (vtkSimplePointsReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimplePointsReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSimplePointsReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSimplePointsReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSimplePointsReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSimplePointsReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimplePointsReader *op;

  char    *temp0;
  if ((op = (vtkSimplePointsReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSimplePointsReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSimplePointsReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSimplePointsReader *op;

  char    *temp20;
  if ((op = (vtkSimplePointsReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSimplePointsReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSimplePointsReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSimplePointsReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSimplePointsReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSimplePointsReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSimplePointsReader\nC++: vtkSimplePointsReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSimplePointsReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSimplePointsReader\nC++: vtkSimplePointsReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkSimplePointsReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Set/Get the name of the file from which to read points.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkSimplePointsReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Set/Get the name of the file from which to read points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSimplePointsReaderDoc[] = {
  (char*)"vtkSimplePointsReader - Read a list of points from a file.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkSimplePointsReader is a source object that reads a list of\n points from a file.  Each point is specified by three\n floating-point values in ASCII format.  There is one point per line\n of the file.  A vertex cell is created for each point in the\n output.  This reader is meant as an example of how to write a\n reader in VTK.\n\n",
  NULL
};

static vtkObjectBase *vtkSimplePointsReaderStaticNew()
{
  return vtkSimplePointsReader::New();
}

PyObject *PyVTKClass_vtkSimplePointsReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkSimplePointsReaderStaticNew,
                        PyvtkSimplePointsReaderMethods,
                        (char*)"vtkSimplePointsReader",modulename,
                        (char**)vtkSimplePointsReaderDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

