// python wrapper for vtkTIFFReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTIFFReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTIFFReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTIFFReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageReader2New(char *); }

static PyObject *PyvtkTIFFReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  const char    *temp20;
  if ((op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  vtkTIFFReader  *temp20;
  if ((op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTIFFReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTIFFReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTIFFReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_GetFileExtensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  const char    *temp20;
  if ((op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::GetFileExtensions();
      }
    else
      {
      temp20 = op->GetFileExtensions();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_GetDescriptiveName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  const char    *temp20;
  if ((op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFReader::GetDescriptiveName();
      }
    else
      {
      temp20 = op->GetDescriptiveName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFReader_InitializeColors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFReader *op;

  if ((op = (vtkTIFFReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFReader::InitializeColors();
      }
    else
      {
      op->InitializeColors();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTIFFReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTIFFReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTIFFReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTIFFReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTIFFReader\nC++: vtkTIFFReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTIFFReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTIFFReader\nC++: vtkTIFFReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkTIFFReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile (const char *fname);\n\n Is the given file name a tiff file file?\n"},
  {(char*)"GetFileExtensions",                (PyCFunction)PyvtkTIFFReader_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions ();return \n\n Return a descriptive name for the file format that might be useful\n in a GUI.\n"},
  {(char*)"GetDescriptiveName",                (PyCFunction)PyvtkTIFFReader_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName ();return \n\n Auxilary methods used by the reader internally.\n"},
  {(char*)"InitializeColors",                (PyCFunction)PyvtkTIFFReader_InitializeColors, 1,
   (char*)"V.InitializeColors()\nC++: void InitializeColors ();\n\n Auxilary methods used by the reader internally.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTIFFReaderDoc[] = {
  (char*)"vtkTIFFReader - read TIFF files\n\n",
  "Super Class:\n\n vtkImageReader2\n\n",
  (char*)" vtkTIFFReader is a source object that reads TIFF files.\n It should be able to read almost any TIFF file\n\n\n",
  "See Also:\n\n vtkTIFFWriter\n\n",
  NULL
};

static vtkObjectBase *vtkTIFFReaderStaticNew()
{
  return vtkTIFFReader::New();
}

PyObject *PyVTKClass_vtkTIFFReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkTIFFReaderStaticNew,
                        PyvtkTIFFReaderMethods,
                        (char*)"vtkTIFFReader",modulename,
                        (char**)vtkTIFFReaderDoc,
                        PyVTKClass_vtkImageReader2New(modulename));
}

