// python wrapper for vtkTIFFWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTIFFWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTIFFWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTIFFWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageWriterNew(char *); }

static PyObject *PyvtkTIFFWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFWriter *op;

  const char    *temp20;
  if ((op = (vtkTIFFWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTIFFWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFWriter *op;

  vtkTIFFWriter  *temp20;
  if ((op = (vtkTIFFWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTIFFWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTIFFWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTIFFWriter_SetCompression(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFWriter *op;

  int      temp0;
  if ((op = (vtkTIFFWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFWriter::SetCompression(temp0);
      }
    else
      {
      op->SetCompression(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFWriter_GetCompressionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFWriter *op;

  int      temp20;
  if ((op = (vtkTIFFWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFWriter::GetCompressionMinValue();
      }
    else
      {
      temp20 = op->GetCompressionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFWriter_GetCompressionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFWriter *op;

  int      temp20;
  if ((op = (vtkTIFFWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFWriter::GetCompressionMaxValue();
      }
    else
      {
      temp20 = op->GetCompressionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFWriter_GetCompression(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFWriter *op;

  int      temp20;
  if ((op = (vtkTIFFWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTIFFWriter::GetCompression();
      }
    else
      {
      temp20 = op->GetCompression();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFWriter_SetCompressionToNoCompression(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFWriter *op;

  if ((op = (vtkTIFFWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFWriter::SetCompressionToNoCompression();
      }
    else
      {
      op->SetCompressionToNoCompression();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFWriter_SetCompressionToPackBits(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFWriter *op;

  if ((op = (vtkTIFFWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFWriter::SetCompressionToPackBits();
      }
    else
      {
      op->SetCompressionToPackBits();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFWriter_SetCompressionToJPEG(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFWriter *op;

  if ((op = (vtkTIFFWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFWriter::SetCompressionToJPEG();
      }
    else
      {
      op->SetCompressionToJPEG();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFWriter_SetCompressionToDeflate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFWriter *op;

  if ((op = (vtkTIFFWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFWriter::SetCompressionToDeflate();
      }
    else
      {
      op->SetCompressionToDeflate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTIFFWriter_SetCompressionToLZW(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTIFFWriter *op;

  if ((op = (vtkTIFFWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTIFFWriter::SetCompressionToLZW();
      }
    else
      {
      op->SetCompressionToLZW();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTIFFWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTIFFWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTIFFWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTIFFWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTIFFWriter\nC++: vtkTIFFWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTIFFWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTIFFWriter\nC++: vtkTIFFWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCompression",                (PyCFunction)PyvtkTIFFWriter_SetCompression, 1,
   (char*)"V.SetCompression(int)\nC++: void SetCompression (int );\n\n Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n"},
  {(char*)"GetCompressionMinValue",                (PyCFunction)PyvtkTIFFWriter_GetCompressionMinValue, 1,
   (char*)"V.GetCompressionMinValue() -> int\nC++: int GetCompressionMinValue ();\n\n Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n"},
  {(char*)"GetCompressionMaxValue",                (PyCFunction)PyvtkTIFFWriter_GetCompressionMaxValue, 1,
   (char*)"V.GetCompressionMaxValue() -> int\nC++: int GetCompressionMaxValue ();\n\n Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n"},
  {(char*)"GetCompression",                (PyCFunction)PyvtkTIFFWriter_GetCompression, 1,
   (char*)"V.GetCompression() -> int\nC++: int GetCompression ();\n\n Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n"},
  {(char*)"SetCompressionToNoCompression",                (PyCFunction)PyvtkTIFFWriter_SetCompressionToNoCompression, 1,
   (char*)"V.SetCompressionToNoCompression()\nC++: void SetCompressionToNoCompression ();this SetCompression NoCompression \n\n Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n"},
  {(char*)"SetCompressionToPackBits",                (PyCFunction)PyvtkTIFFWriter_SetCompressionToPackBits, 1,
   (char*)"V.SetCompressionToPackBits()\nC++: void SetCompressionToPackBits ();this SetCompression PackBits \n\n Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n"},
  {(char*)"SetCompressionToJPEG",                (PyCFunction)PyvtkTIFFWriter_SetCompressionToJPEG, 1,
   (char*)"V.SetCompressionToJPEG()\nC++: void SetCompressionToJPEG ();this SetCompression JPEG \n\n Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n"},
  {(char*)"SetCompressionToDeflate",                (PyCFunction)PyvtkTIFFWriter_SetCompressionToDeflate, 1,
   (char*)"V.SetCompressionToDeflate()\nC++: void SetCompressionToDeflate ();this SetCompression Deflate \n\n Set compression type. Sinze LZW compression is patented outside US, the\n additional work steps have to be taken in order to use that compression.\n"},
  {(char*)"SetCompressionToLZW",                (PyCFunction)PyvtkTIFFWriter_SetCompressionToLZW, 1,
   (char*)"V.SetCompressionToLZW()\nC++: void SetCompressionToLZW ();this SetCompression LZW \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTIFFWriterDoc[] = {
  (char*)"vtkTIFFWriter - write out image data as a TIFF file\n\n",
  "Super Class:\n\n vtkImageWriter\n\n",
  (char*)" vtkTIFFWriter writes image data as a TIFF data file. Data can be written\n uncompressed or compressed. Several forms of compression are supported\n including packed bits, JPEG, deflation, and LZW. (Note: LZW compression\n is currently under patent in the US and is disabled until the patent\n expires. However, the mechanism for supporting this compression is available\n for those with a valid license o",
  (char*)"r to whom the patent does not apply.)\n\n",
  NULL
};

static vtkObjectBase *vtkTIFFWriterStaticNew()
{
  return vtkTIFFWriter::New();
}

PyObject *PyVTKClass_vtkTIFFWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkTIFFWriterStaticNew,
                        PyvtkTIFFWriterMethods,
                        (char*)"vtkTIFFWriter",modulename,
                        (char**)vtkTIFFWriterDoc,
                        PyVTKClass_vtkImageWriterNew(modulename));
}

