// python wrapper for vtkUGFacetReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkUGFacetReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUGFacetReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUGFacetReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkUGFacetReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  const char    *temp20;
  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUGFacetReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUGFacetReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  vtkUGFacetReader  *temp20;
  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUGFacetReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUGFacetReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUGFacetReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUGFacetReader_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  unsigned long     temp20;
  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUGFacetReader::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  char    *temp0;
  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUGFacetReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  char    *temp20;
  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUGFacetReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_GetNumberOfParts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  int      temp20;
  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUGFacetReader::GetNumberOfParts();
      }
    else
      {
      temp20 = op->GetNumberOfParts();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_GetPartColorIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  int      temp0;
  short    temp20;
  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUGFacetReader::GetPartColorIndex(temp0);
      }
    else
      {
      temp20 = op->GetPartColorIndex(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_SetPartNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  int      temp0;
  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUGFacetReader::SetPartNumber(temp0);
      }
    else
      {
      op->SetPartNumber(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_GetPartNumber(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  int      temp20;
  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUGFacetReader::GetPartNumber();
      }
    else
      {
      temp20 = op->GetPartNumber();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_SetMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  int      temp0;
  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUGFacetReader::SetMerging(temp0);
      }
    else
      {
      op->SetMerging(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_GetMerging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  int      temp20;
  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUGFacetReader::GetMerging();
      }
    else
      {
      temp20 = op->GetMerging();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_MergingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUGFacetReader::MergingOn();
      }
    else
      {
      op->MergingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_MergingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUGFacetReader::MergingOff();
      }
    else
      {
      op->MergingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_SetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  vtkPointLocator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPointLocator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointLocator");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkUGFacetReader::SetLocator(temp0);
      }
    else
      {
      op->SetLocator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkUGFacetReader_GetLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  vtkPointLocator  *temp20;
  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUGFacetReader::GetLocator();
      }
    else
      {
      temp20 = op->GetLocator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUGFacetReader_CreateDefaultLocator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUGFacetReader *op;

  if ((op = (vtkUGFacetReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUGFacetReader::CreateDefaultLocator();
      }
    else
      {
      op->CreateDefaultLocator();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUGFacetReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUGFacetReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUGFacetReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUGFacetReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUGFacetReader\nC++: vtkUGFacetReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUGFacetReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUGFacetReader\nC++: vtkUGFacetReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkUGFacetReader_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Overload standard modified time function. If locator is modified,\n then this object is modified as well.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkUGFacetReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Specify Unigraphics file name.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkUGFacetReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify Unigraphics file name.\n"},
  {(char*)"GetNumberOfParts",                (PyCFunction)PyvtkUGFacetReader_GetNumberOfParts, 1,
   (char*)"V.GetNumberOfParts() -> int\nC++: int GetNumberOfParts ();\n\n Special methods for interrogating the data file.\n"},
  {(char*)"GetPartColorIndex",                (PyCFunction)PyvtkUGFacetReader_GetPartColorIndex, 1,
   (char*)"V.GetPartColorIndex(int) -> int\nC++: short GetPartColorIndex (int partId);\n\n Retrieve color index for the parts in the file.\n"},
  {(char*)"SetPartNumber",                (PyCFunction)PyvtkUGFacetReader_SetPartNumber, 1,
   (char*)"V.SetPartNumber(int)\nC++: void SetPartNumber (int );\n\n Specify the desired part to extract. The part number must range between\n [0,NumberOfParts-1]. If the value is =(-1), then all parts will be \n extracted. If the value is <(-1), then no parts will be  extracted but \n the part colors will be updated.\n"},
  {(char*)"GetPartNumber",                (PyCFunction)PyvtkUGFacetReader_GetPartNumber, 1,
   (char*)"V.GetPartNumber() -> int\nC++: int GetPartNumber ();\n\n Specify the desired part to extract. The part number must range between\n [0,NumberOfParts-1]. If the value is =(-1), then all parts will be \n extracted. If the value is <(-1), then no parts will be  extracted but \n the part colors will be updated.\n"},
  {(char*)"SetMerging",                (PyCFunction)PyvtkUGFacetReader_SetMerging, 1,
   (char*)"V.SetMerging(int)\nC++: void SetMerging (int );\n\n Turn on/off merging of points/triangles.\n"},
  {(char*)"GetMerging",                (PyCFunction)PyvtkUGFacetReader_GetMerging, 1,
   (char*)"V.GetMerging() -> int\nC++: int GetMerging ();\n\n Turn on/off merging of points/triangles.\n"},
  {(char*)"MergingOn",                (PyCFunction)PyvtkUGFacetReader_MergingOn, 1,
   (char*)"V.MergingOn()\nC++: void MergingOn ();\n\n Turn on/off merging of points/triangles.\n"},
  {(char*)"MergingOff",                (PyCFunction)PyvtkUGFacetReader_MergingOff, 1,
   (char*)"V.MergingOff()\nC++: void MergingOff ();\n\n Turn on/off merging of points/triangles.\n"},
  {(char*)"SetLocator",                (PyCFunction)PyvtkUGFacetReader_SetLocator, 1,
   (char*)"V.SetLocator(vtkPointLocator)\nC++: void SetLocator (vtkPointLocator *locator);\n\n Specify a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"GetLocator",                (PyCFunction)PyvtkUGFacetReader_GetLocator, 1,
   (char*)"V.GetLocator() -> vtkPointLocator\nC++: vtkPointLocator *GetLocator ();\n\n Specify a spatial locator for merging points. By\n default an instance of vtkMergePoints is used.\n"},
  {(char*)"CreateDefaultLocator",                (PyCFunction)PyvtkUGFacetReader_CreateDefaultLocator, 1,
   (char*)"V.CreateDefaultLocator()\nC++: void CreateDefaultLocator ();\n\n Create default locator. Used to create one when none is specified.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUGFacetReaderDoc[] = {
  (char*)"vtkUGFacetReader - read EDS Unigraphics facet files\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkUGFacetReader is a source object that reads Unigraphics facet files.\n Unigraphics is a solid modeling system; facet files are the polygonal\n plot files it uses to create 3D plots.\n\n",
  NULL
};

static vtkObjectBase *vtkUGFacetReaderStaticNew()
{
  return vtkUGFacetReader::New();
}

PyObject *PyVTKClass_vtkUGFacetReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkUGFacetReaderStaticNew,
                        PyvtkUGFacetReaderMethods,
                        (char*)"vtkUGFacetReader",modulename,
                        (char**)vtkUGFacetReaderDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

