// python wrapper for vtkVolumeReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkVolumeReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumeReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumeReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkVolumeReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  const char    *temp20;
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  vtkVolumeReader  *temp20;
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeReader_SetFilePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  char    *temp0;
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeReader::SetFilePrefix(temp0);
      }
    else
      {
      op->SetFilePrefix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeReader_GetFilePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  char    *temp20;
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeReader::GetFilePrefix();
      }
    else
      {
      temp20 = op->GetFilePrefix();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeReader_SetFilePattern(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  char    *temp0;
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeReader::SetFilePattern(temp0);
      }
    else
      {
      op->SetFilePattern(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeReader_GetFilePattern(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  char    *temp20;
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeReader::GetFilePattern();
      }
    else
      {
      temp20 = op->GetFilePattern();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeReader_SetImageRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeReader::SetImageRange(temp0,temp1);
      }
    else
      {
      op->SetImageRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  int    temp0[2];
  PyErr_Clear();
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeReader::SetImageRange(temp0);
      }
    else
      {
      op->SetImageRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeReader_GetImageRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  int     *temp20;
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeReader::GetImageRange();
      }
    else
      {
      temp20 = op->GetImageRange();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeReader_SetDataSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeReader::SetDataSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetDataSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeReader::SetDataSpacing(temp0);
      }
    else
      {
      op->SetDataSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeReader_GetDataSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  double  *temp20;
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeReader::GetDataSpacing();
      }
    else
      {
      temp20 = op->GetDataSpacing();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeReader_SetDataOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeReader::SetDataOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetDataOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeReader::SetDataOrigin(temp0);
      }
    else
      {
      op->SetDataOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeReader_GetDataOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  double  *temp20;
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeReader::GetDataOrigin();
      }
    else
      {
      temp20 = op->GetDataOrigin();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeReader_GetImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeReader *op;

  int      temp0;
  vtkImageData  *temp20;
  if ((op = (vtkVolumeReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetImage(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVolumeReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumeReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumeReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumeReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumeReader\nC++: vtkVolumeReader *NewInstance ();\n\n"},
  {(char*)"SetFilePrefix",                (PyCFunction)PyvtkVolumeReader_SetFilePrefix, 1,
   (char*)"V.SetFilePrefix(string)\nC++: void SetFilePrefix (char *);\n\n Specify file prefix for the image file(s).\n"},
  {(char*)"GetFilePrefix",                (PyCFunction)PyvtkVolumeReader_GetFilePrefix, 1,
   (char*)"V.GetFilePrefix() -> string\nC++: char *GetFilePrefix ();\n\n Specify file prefix for the image file(s).\n"},
  {(char*)"SetFilePattern",                (PyCFunction)PyvtkVolumeReader_SetFilePattern, 1,
   (char*)"V.SetFilePattern(string)\nC++: void SetFilePattern (char *);\n\n The sprintf format used to build filename from FilePrefix and number.\n"},
  {(char*)"GetFilePattern",                (PyCFunction)PyvtkVolumeReader_GetFilePattern, 1,
   (char*)"V.GetFilePattern() -> string\nC++: char *GetFilePattern ();\n\n The sprintf format used to build filename from FilePrefix and number.\n"},
  {(char*)"SetImageRange",                (PyCFunction)PyvtkVolumeReader_SetImageRange, 1,
   (char*)"V.SetImageRange(int, int)\nC++: void SetImageRange (int , int );\nV.SetImageRange((int, int))\nC++: void SetImageRange (int  a[2]);\n\n Set the range of files to read.\n"},
  {(char*)"GetImageRange",                (PyCFunction)PyvtkVolumeReader_GetImageRange, 1,
   (char*)"V.GetImageRange() -> (int, int)\nC++: int  *GetImageRange ();\n\n Set the range of files to read.\n"},
  {(char*)"SetDataSpacing",                (PyCFunction)PyvtkVolumeReader_SetDataSpacing, 1,
   (char*)"V.SetDataSpacing(float, float, float)\nC++: void SetDataSpacing (double , double , double );\nV.SetDataSpacing((float, float, float))\nC++: void SetDataSpacing (double  a[3]);\n\n Specify the spacing for the data.\n"},
  {(char*)"GetDataSpacing",                (PyCFunction)PyvtkVolumeReader_GetDataSpacing, 1,
   (char*)"V.GetDataSpacing() -> (float, float, float)\nC++: double  *GetDataSpacing ();\n\n Specify the spacing for the data.\n"},
  {(char*)"SetDataOrigin",                (PyCFunction)PyvtkVolumeReader_SetDataOrigin, 1,
   (char*)"V.SetDataOrigin(float, float, float)\nC++: void SetDataOrigin (double , double , double );\nV.SetDataOrigin((float, float, float))\nC++: void SetDataOrigin (double  a[3]);\n\n Specify the origin for the data.\n"},
  {(char*)"GetDataOrigin",                (PyCFunction)PyvtkVolumeReader_GetDataOrigin, 1,
   (char*)"V.GetDataOrigin() -> (float, float, float)\nC++: double  *GetDataOrigin ();\n\n Specify the origin for the data.\n"},
  {(char*)"GetImage",                (PyCFunction)PyvtkVolumeReader_GetImage, 1,
   (char*)"V.GetImage(int) -> vtkImageData\nC++: virtual vtkImageData *GetImage (int ImageNumber) = 0;\n\n Other objects make use of this method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumeReaderDoc[] = {
  (char*)"vtkVolumeReader - read image files\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkVolumeReader is a source object that reads image files.\n\n VolumeReader creates structured point datasets. The dimension of the \n dataset depends upon the number of files read. Reading a single file \n results in a 2D image, while reading more than one file results in a \n 3D volume.\n\n File names are created using FilePattern and FilePrefix as follows:\n sprintf (filename, FilePattern, FilePrefix,",
  (char*)" number);\n where number is in the range ImageRange[0] to ImageRange[1]. If\n ImageRange[1] <= ImageRange[0], then slice number ImageRange[0] is\n read. Thus to read an image set ImageRange[0] = ImageRange[1] = slice \n number. The default behavior is to read a single file (i.e., image slice 1).\n\n The DataMask instance variable is used to read data files with imbedded\n connectivity or segmentation inf",
  (char*)"ormation. For example, some data has\n the high order bit set to indicate connected surface. The DataMask allows\n you to select this data. Other important ivars include HeaderSize, which\n allows you to skip over initial info, and SwapBytes, which turns on/off\n byte swapping. Consider using vtkImageReader as a replacement.\n\n",
  "See Also:\n\n vtkSliceCubes vtkMarchingCubes vtkPNMReader vtkVolume16Reader\n vtkImageReader\n\n",
  NULL
};

PyObject *PyVTKClass_vtkVolumeReaderNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkVolumeReaderMethods,
                        (char*)"vtkVolumeReader",modulename,
                        (char**)vtkVolumeReaderDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

