// python wrapper for vtkWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWriter *op;

  const char    *temp20;
  if ((op = (vtkWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWriter *op;

  vtkWriter  *temp20;
  if ((op = (vtkWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWriter_Write(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWriter *op;

  int      temp20;
  if ((op = (vtkWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWriter::Write();
      }
    else
      {
      temp20 = op->Write();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWriter_EncodeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWriter *op;

  char    *temp0;
  char    *temp1;
  if ((op = (vtkWriter *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWriter::EncodeArrayName(temp0,temp1);
      }
    else
      {
      op->EncodeArrayName(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWriter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWriter *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkWriter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  /* handle an occurrence */
  {
  vtkWriter *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkWriter *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkWriter::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWriter\nC++: vtkWriter *NewInstance ();\n\n"},
  {(char*)"Write",                (PyCFunction)PyvtkWriter_Write, 1,
   (char*)"V.Write() -> int\nC++: virtual int Write ();\n\n Write data to output. Method executes subclasses WriteData() method, as \n well as StartMethod() and EndMethod() methods.\n Returns 1 on success and 0 on failure.\n"},
  {(char*)"EncodeArrayName",                (PyCFunction)PyvtkWriter_EncodeArrayName, 1,
   (char*)"V.EncodeArrayName(string, string)\nC++: void EncodeArrayName (char *resname, const char *name);\n\n Encode the name so that the reader will not have problems.\n The resulting string is up to four time the size of the input \n string.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkWriter_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *input);\nV.SetInput(int, vtkDataObject)\nC++: void SetInput (int index, vtkDataObject *input);\n\n Set/get the input to this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWriterDoc[] = {
  (char*)"vtkWriter - abstract class to write data to file(s)\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkWriter is an abstract class for mapper objects that write their data\n to disk (or into a communications port). All writers respond to Write()\n method. This method insures that there is input and input is up to date.\n\n Since vtkWriter is a subclass of vtkProcessObject, StartMethod(), \n EndMethod(), and ProgressMethod() are all available to writers.\n These methods are executed before and after e",
  (char*)"xecution of the Write() \n method. You can also specify arguments to these methods.\n\n",
  "Caveats:\n\n Every subclass of vtkWriter must implement a WriteData() method. Most likely\n will have to create SetInput() method as well.\n\n",
  "See Also:\n\n vtkBYUWriter vtkDataWriter vtkSTLWriter vtkVoxelWriter vtkMCubesWriter\n\n",
  NULL
};

PyObject *PyVTKClass_vtkWriterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkWriterMethods,
                        (char*)"vtkWriter",modulename,
                        (char**)vtkWriterDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

