// python wrapper for vtkXMLDataElement object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLDataElement.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLDataElementNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLDataElementNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkXMLDataElement_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  const char    *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  vtkXMLDataElement  *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLDataElement  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLDataElement::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetName();
      }
    else
      {
      temp20 = op->GetName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_SetName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::SetName(temp0);
      }
    else
      {
      op->SetName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetId();
      }
    else
      {
      temp20 = op->GetId();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_SetId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::SetId(temp0);
      }
    else
      {
      op->SetId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  const char    *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetAttribute(temp0);
      }
    else
      {
      temp20 = op->GetAttribute(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_SetAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  char    *temp1;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::SetAttribute(temp0,temp1);
      }
    else
      {
      op->SetAttribute(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_SetCharacterData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  int      temp1;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::SetCharacterData(temp0,temp1);
      }
    else
      {
      op->SetCharacterData(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_AddCharacterData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  int      temp1;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::AddCharacterData(temp0,temp1);
      }
    else
      {
      op->AddCharacterData(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetCharacterData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetCharacterData();
      }
    else
      {
      temp20 = op->GetCharacterData();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_SetIntAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  int      temp1;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::SetIntAttribute(temp0,temp1);
      }
    else
      {
      op->SetIntAttribute(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_SetFloatAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  float    temp1;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"zf", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::SetFloatAttribute(temp0,temp1);
      }
    else
      {
      op->SetFloatAttribute(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_SetDoubleAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  double   temp1;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"zd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::SetDoubleAttribute(temp0,temp1);
      }
    else
      {
      op->SetDoubleAttribute(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_SetUnsignedLongAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  unsigned long     temp1;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"zl", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::SetUnsignedLongAttribute(temp0,temp1);
      }
    else
      {
      op->SetUnsignedLongAttribute(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetNumberOfAttributes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  int      temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetNumberOfAttributes();
      }
    else
      {
      temp20 = op->GetNumberOfAttributes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetAttributeName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetAttributeName(temp0);
      }
    else
      {
      temp20 = op->GetAttributeName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetAttributeValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetAttributeValue(temp0);
      }
    else
      {
      temp20 = op->GetAttributeValue(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_RemoveAllAttributes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::RemoveAllAttributes();
      }
    else
      {
      op->RemoveAllAttributes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetParent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  vtkXMLDataElement  *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetParent();
      }
    else
      {
      temp20 = op->GetParent();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_SetParent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  vtkXMLDataElement  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkXMLDataElement *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXMLDataElement");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::SetParent(temp0);
      }
    else
      {
      op->SetParent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  vtkXMLDataElement  *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetRoot();
      }
    else
      {
      temp20 = op->GetRoot();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetNumberOfNestedElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  int      temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetNumberOfNestedElements();
      }
    else
      {
      temp20 = op->GetNumberOfNestedElements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetNestedElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  int      temp0;
  vtkXMLDataElement  *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetNestedElement(temp0);
      }
    else
      {
      temp20 = op->GetNestedElement(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_AddNestedElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  vtkXMLDataElement  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkXMLDataElement *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXMLDataElement");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::AddNestedElement(temp0);
      }
    else
      {
      op->AddNestedElement(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkXMLDataElement_RemoveNestedElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  vtkXMLDataElement  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkXMLDataElement *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXMLDataElement");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::RemoveNestedElement(temp0);
      }
    else
      {
      op->RemoveNestedElement(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkXMLDataElement_RemoveAllNestedElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::RemoveAllNestedElements();
      }
    else
      {
      op->RemoveAllNestedElements();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_FindNestedElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  vtkXMLDataElement  *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::FindNestedElement(temp0);
      }
    else
      {
      temp20 = op->FindNestedElement(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_FindNestedElementWithName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  vtkXMLDataElement  *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::FindNestedElementWithName(temp0);
      }
    else
      {
      temp20 = op->FindNestedElementWithName(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_FindNestedElementWithNameAndId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  char    *temp1;
  vtkXMLDataElement  *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::FindNestedElementWithNameAndId(temp0,temp1);
      }
    else
      {
      temp20 = op->FindNestedElementWithNameAndId(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_FindNestedElementWithNameAndAttribute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  char    *temp1;
  char    *temp2;
  vtkXMLDataElement  *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"zzz", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::FindNestedElementWithNameAndAttribute(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->FindNestedElementWithNameAndAttribute(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_LookupElement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  char    *temp0;
  vtkXMLDataElement  *temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::LookupElement(temp0);
      }
    else
      {
      temp20 = op->LookupElement(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetXMLByteIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  unsigned long     temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetXMLByteIndex();
      }
    else
      {
      temp20 = op->GetXMLByteIndex();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_SetXMLByteIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  unsigned long     temp0;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::SetXMLByteIndex(temp0);
      }
    else
      {
      op->SetXMLByteIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_IsEqualTo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  vtkXMLDataElement  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkXMLDataElement *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXMLDataElement");
    if (!temp0 && tempH0 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::IsEqualTo(temp0);
      }
    else
      {
      temp20 = op->IsEqualTo(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break36:
  return NULL;
}


static PyObject *PyvtkXMLDataElement_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  vtkXMLDataElement  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkXMLDataElement *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXMLDataElement");
    if (!temp0 && tempH0 != Py_None) goto break37;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break37:
  return NULL;
}


static PyObject *PyvtkXMLDataElement_SetAttributeEncoding(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  int      temp0;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataElement::SetAttributeEncoding(temp0);
      }
    else
      {
      op->SetAttributeEncoding(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetAttributeEncodingMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  int      temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetAttributeEncodingMinValue();
      }
    else
      {
      temp20 = op->GetAttributeEncodingMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetAttributeEncodingMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  int      temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetAttributeEncodingMaxValue();
      }
    else
      {
      temp20 = op->GetAttributeEncodingMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataElement_GetAttributeEncoding(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement *op;

  int      temp20;
  if ((op = (vtkXMLDataElement *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataElement::GetAttributeEncoding();
      }
    else
      {
      temp20 = op->GetAttributeEncoding();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLDataElementMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLDataElement_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLDataElement_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLDataElement_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLDataElement\nC++: vtkXMLDataElement *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLDataElement_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLDataElement\nC++: vtkXMLDataElement *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetName",                (PyCFunction)PyvtkXMLDataElement_GetName, 1,
   (char*)"V.GetName() -> string\nC++: char *GetName ();\n\n Set/Get the name of the element.  This is its XML tag.\n"},
  {(char*)"SetName",                (PyCFunction)PyvtkXMLDataElement_SetName, 1,
   (char*)"V.SetName(string)\nC++: void SetName (char *);\n\n Set/Get the name of the element.  This is its XML tag.\n"},
  {(char*)"GetId",                (PyCFunction)PyvtkXMLDataElement_GetId, 1,
   (char*)"V.GetId() -> string\nC++: char *GetId ();\n\n Set/Get the value of the id attribute of the element, if any.\n"},
  {(char*)"SetId",                (PyCFunction)PyvtkXMLDataElement_SetId, 1,
   (char*)"V.SetId(string)\nC++: void SetId (char *);\n\n Set/Get the value of the id attribute of the element, if any.\n"},
  {(char*)"GetAttribute",                (PyCFunction)PyvtkXMLDataElement_GetAttribute, 1,
   (char*)"V.GetAttribute(string) -> string\nC++: const char *GetAttribute (const char *name);\n\n Get the attribute with the given name.  If it doesn't exist,\n returns 0.\n"},
  {(char*)"SetAttribute",                (PyCFunction)PyvtkXMLDataElement_SetAttribute, 1,
   (char*)"V.SetAttribute(string, string)\nC++: void SetAttribute (const char *name, const char *value);\n\n Set the attribute with the given name and value. If it doesn't exist,\n adds it.\n"},
  {(char*)"SetCharacterData",                (PyCFunction)PyvtkXMLDataElement_SetCharacterData, 1,
   (char*)"V.SetCharacterData(string, int)\nC++: void SetCharacterData (const char *c, int length);\n\n Set/Get the character data between XML start/end tags.\n"},
  {(char*)"AddCharacterData",                (PyCFunction)PyvtkXMLDataElement_AddCharacterData, 1,
   (char*)"V.AddCharacterData(string, int)\nC++: void AddCharacterData (const char *c, int length);\n\n Set/Get the character data between XML start/end tags.\n"},
  {(char*)"GetCharacterData",                (PyCFunction)PyvtkXMLDataElement_GetCharacterData, 1,
   (char*)"V.GetCharacterData() -> string\nC++: char *GetCharacterData ();\n\n Set/Get the character data between XML start/end tags.\n"},
  {(char*)"SetIntAttribute",                (PyCFunction)PyvtkXMLDataElement_SetIntAttribute, 1,
   (char*)"V.SetIntAttribute(string, int)\nC++: void SetIntAttribute (const char *name, int value);\n\n Set the attribute with the given name.\n We can not use the same GetScalarAttribute() construct since\n the compiler will not be able to resolve between\n SetAttribute(..., int) and SetAttribute(..., unsigned long).\n"},
  {(char*)"SetFloatAttribute",                (PyCFunction)PyvtkXMLDataElement_SetFloatAttribute, 1,
   (char*)"V.SetFloatAttribute(string, float)\nC++: void SetFloatAttribute (const char *name, float value);\n\n Set the attribute with the given name.\n We can not use the same GetScalarAttribute() construct since\n the compiler will not be able to resolve between\n SetAttribute(..., int) and SetAttribute(..., unsigned long).\n"},
  {(char*)"SetDoubleAttribute",                (PyCFunction)PyvtkXMLDataElement_SetDoubleAttribute, 1,
   (char*)"V.SetDoubleAttribute(string, float)\nC++: void SetDoubleAttribute (const char *name, double value);\n\n Set the attribute with the given name.\n We can not use the same GetScalarAttribute() construct since\n the compiler will not be able to resolve between\n SetAttribute(..., int) and SetAttribute(..., unsigned long).\n"},
  {(char*)"SetUnsignedLongAttribute",                (PyCFunction)PyvtkXMLDataElement_SetUnsignedLongAttribute, 1,
   (char*)"V.SetUnsignedLongAttribute(string, int)\nC++: void SetUnsignedLongAttribute (const char *name, unsigned long value);\n\n Set the attribute with the given name.\n We can not use the same GetScalarAttribute() construct since\n the compiler will not be able to resolve between\n SetAttribute(..., int) and SetAttribute(..., unsigned long).\n"},
  {(char*)"GetNumberOfAttributes",                (PyCFunction)PyvtkXMLDataElement_GetNumberOfAttributes, 1,
   (char*)"V.GetNumberOfAttributes() -> int\nC++: int GetNumberOfAttributes ();\n\n Get the number of attributes.\n"},
  {(char*)"GetAttributeName",                (PyCFunction)PyvtkXMLDataElement_GetAttributeName, 1,
   (char*)"V.GetAttributeName(int) -> string\nC++: const char *GetAttributeName (int idx);\n\n Get the n-th attribute name.\n Returns 0 if there is no such attribute.\n"},
  {(char*)"GetAttributeValue",                (PyCFunction)PyvtkXMLDataElement_GetAttributeValue, 1,
   (char*)"V.GetAttributeValue(int) -> string\nC++: const char *GetAttributeValue (int idx);\n\n Get the n-th attribute value.\n Returns 0 if there is no such attribute.\n"},
  {(char*)"RemoveAllAttributes",                (PyCFunction)PyvtkXMLDataElement_RemoveAllAttributes, 1,
   (char*)"V.RemoveAllAttributes()\nC++: virtual void RemoveAllAttributes ();\n\n Remove all attributes.\n"},
  {(char*)"GetParent",                (PyCFunction)PyvtkXMLDataElement_GetParent, 1,
   (char*)"V.GetParent() -> vtkXMLDataElement\nC++: vtkXMLDataElement *GetParent ();\n\n Set/Get the parent of this element.\n"},
  {(char*)"SetParent",                (PyCFunction)PyvtkXMLDataElement_SetParent, 1,
   (char*)"V.SetParent(vtkXMLDataElement)\nC++: void SetParent (vtkXMLDataElement *parent);\n\n Set/Get the parent of this element.\n"},
  {(char*)"GetRoot",                (PyCFunction)PyvtkXMLDataElement_GetRoot, 1,
   (char*)"V.GetRoot() -> vtkXMLDataElement\nC++: virtual vtkXMLDataElement *GetRoot ();\n\n Get root of the XML tree this element is part of.\n"},
  {(char*)"GetNumberOfNestedElements",                (PyCFunction)PyvtkXMLDataElement_GetNumberOfNestedElements, 1,
   (char*)"V.GetNumberOfNestedElements() -> int\nC++: int GetNumberOfNestedElements ();\n\n Get the number of elements nested in this one.\n"},
  {(char*)"GetNestedElement",                (PyCFunction)PyvtkXMLDataElement_GetNestedElement, 1,
   (char*)"V.GetNestedElement(int) -> vtkXMLDataElement\nC++: vtkXMLDataElement *GetNestedElement (int index);\n\n Get the element nested in this one at the given index.\n"},
  {(char*)"AddNestedElement",                (PyCFunction)PyvtkXMLDataElement_AddNestedElement, 1,
   (char*)"V.AddNestedElement(vtkXMLDataElement)\nC++: void AddNestedElement (vtkXMLDataElement *element);\n\n Add nested element\n"},
  {(char*)"RemoveNestedElement",                (PyCFunction)PyvtkXMLDataElement_RemoveNestedElement, 1,
   (char*)"V.RemoveNestedElement(vtkXMLDataElement)\nC++: virtual void RemoveNestedElement (vtkXMLDataElement *);\n\n Remove nested element.\n"},
  {(char*)"RemoveAllNestedElements",                (PyCFunction)PyvtkXMLDataElement_RemoveAllNestedElements, 1,
   (char*)"V.RemoveAllNestedElements()\nC++: virtual void RemoveAllNestedElements ();\n\n Remove all nested elements.\n"},
  {(char*)"FindNestedElement",                (PyCFunction)PyvtkXMLDataElement_FindNestedElement, 1,
   (char*)"V.FindNestedElement(string) -> vtkXMLDataElement\nC++: vtkXMLDataElement *FindNestedElement (const char *id);\n\n Find a nested element with the given id, given name, or given name and id.\n"},
  {(char*)"FindNestedElementWithName",                (PyCFunction)PyvtkXMLDataElement_FindNestedElementWithName, 1,
   (char*)"V.FindNestedElementWithName(string) -> vtkXMLDataElement\nC++: vtkXMLDataElement *FindNestedElementWithName (const char *name);\n\n Find a nested element with the given id, given name, or given name and id.\n"},
  {(char*)"FindNestedElementWithNameAndId",                (PyCFunction)PyvtkXMLDataElement_FindNestedElementWithNameAndId, 1,
   (char*)"V.FindNestedElementWithNameAndId(string, string) -> vtkXMLDataElement\nC++: vtkXMLDataElement *FindNestedElementWithNameAndId (const char *name, const char *id);\n\n Find a nested element with the given id, given name, or given name and id.\n"},
  {(char*)"FindNestedElementWithNameAndAttribute",                (PyCFunction)PyvtkXMLDataElement_FindNestedElementWithNameAndAttribute, 1,
   (char*)"V.FindNestedElementWithNameAndAttribute(string, string, string) -> vtkXMLDataElement\nC++: vtkXMLDataElement *FindNestedElementWithNameAndAttribute (const char *name, const char *att_name, const char *att_value);\n\n Find a nested element with the given id, given name, or given name and id.\n"},
  {(char*)"LookupElement",                (PyCFunction)PyvtkXMLDataElement_LookupElement, 1,
   (char*)"V.LookupElement(string) -> vtkXMLDataElement\nC++: vtkXMLDataElement *LookupElement (const char *id);\n\n Lookup the element with the given id, starting at this scope.\n"},
  {(char*)"GetXMLByteIndex",                (PyCFunction)PyvtkXMLDataElement_GetXMLByteIndex, 1,
   (char*)"V.GetXMLByteIndex() -> int\nC++: long unsigned GetXMLByteIndex ();\n\n Set/Get the offset from the beginning of the XML document to this element.\n"},
  {(char*)"SetXMLByteIndex",                (PyCFunction)PyvtkXMLDataElement_SetXMLByteIndex, 1,
   (char*)"V.SetXMLByteIndex(int)\nC++: void SetXMLByteIndex (unsigned long );\n\n Set/Get the offset from the beginning of the XML document to this element.\n"},
  {(char*)"IsEqualTo",                (PyCFunction)PyvtkXMLDataElement_IsEqualTo, 1,
   (char*)"V.IsEqualTo(vtkXMLDataElement) -> int\nC++: virtual int IsEqualTo (vtkXMLDataElement *elem);\n\n Check if the instance has the same name, attributes, character data\n and nested elements contents than the given element (this method is\n applied recursively on the nested elements, and they must be stored in\n the same order).\n Warning: Id, Parent, XMLByteIndex are ignored.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkXMLDataElement_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkXMLDataElement)\nC++: virtual void DeepCopy (vtkXMLDataElement *elem);\n\n Copy this element from another of the same type (elem), recursively.\n Old attributes and nested elements are removed, new ones are created\n given the contents of 'elem'.\n Warning: Parent is ignored.\n"},
  {(char*)"SetAttributeEncoding",                (PyCFunction)PyvtkXMLDataElement_SetAttributeEncoding, 1,
   (char*)"V.SetAttributeEncoding(int)\nC++: void SetAttributeEncoding (int );\n\n Get/Set the internal character encoding of the attributes.\n Default type is VTK_ENCODING_UTF_8.\n Note that a vtkXMLDataParser has its own AttributesEncoding ivar. If \n this ivar is set to something other than VTK_ENCODING_NONE, it will be\n used to set the attribute encoding of each vtkXMLDataElement \n created by this vtkXMLDataParser.\n"},
  {(char*)"GetAttributeEncodingMinValue",                (PyCFunction)PyvtkXMLDataElement_GetAttributeEncodingMinValue, 1,
   (char*)"V.GetAttributeEncodingMinValue() -> int\nC++: int GetAttributeEncodingMinValue ();\n\n Get/Set the internal character encoding of the attributes.\n Default type is VTK_ENCODING_UTF_8.\n Note that a vtkXMLDataParser has its own AttributesEncoding ivar. If \n this ivar is set to something other than VTK_ENCODING_NONE, it will be\n used to set the attribute encoding of each vtkXMLDataElement \n created by this vtkXMLDataParser.\n"},
  {(char*)"GetAttributeEncodingMaxValue",                (PyCFunction)PyvtkXMLDataElement_GetAttributeEncodingMaxValue, 1,
   (char*)"V.GetAttributeEncodingMaxValue() -> int\nC++: int GetAttributeEncodingMaxValue ();\n\n Get/Set the internal character encoding of the attributes.\n Default type is VTK_ENCODING_UTF_8.\n Note that a vtkXMLDataParser has its own AttributesEncoding ivar. If \n this ivar is set to something other than VTK_ENCODING_NONE, it will be\n used to set the attribute encoding of each vtkXMLDataElement \n created by this vtkXMLDataParser.\n"},
  {(char*)"GetAttributeEncoding",                (PyCFunction)PyvtkXMLDataElement_GetAttributeEncoding, 1,
   (char*)"V.GetAttributeEncoding() -> int\nC++: int GetAttributeEncoding ();\n\n Get/Set the internal character encoding of the attributes.\n Default type is VTK_ENCODING_UTF_8.\n Note that a vtkXMLDataParser has its own AttributesEncoding ivar. If \n this ivar is set to something other than VTK_ENCODING_NONE, it will be\n used to set the attribute encoding of each vtkXMLDataElement \n created by this vtkXMLDataParser.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLDataElementDoc[] = {
  (char*)"vtkXMLDataElement - Represents an XML element and those nested inside.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkXMLDataElement is used by vtkXMLDataParser to represent an XML\n element.  It provides methods to access the element's attributes\n and nested elements in a convenient manner.  This allows easy\n traversal of an input XML file by vtkXMLReader and its subclasses.\n\n",
  "See Also:\n\n vtkXMLDataParser\n\n",
  NULL
};

static vtkObjectBase *vtkXMLDataElementStaticNew()
{
  return vtkXMLDataElement::New();
}

PyObject *PyVTKClass_vtkXMLDataElementNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLDataElementStaticNew,
                        PyvtkXMLDataElementMethods,
                        (char*)"vtkXMLDataElement",modulename,
                        (char**)vtkXMLDataElementDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

