// tcl wrapper for vtkXMLDataElement object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLDataElement.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkXMLDataElementNewCommand()
{
  vtkXMLDataElement *temp = vtkXMLDataElement::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXMLDataElementCppCommand(vtkXMLDataElement *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkXMLDataElementCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkXMLDataElementCppCommand((vtkXMLDataElement *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXMLDataElementCppCommand(vtkXMLDataElement *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkXMLDataElement",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkXMLDataElement  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataElement");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkXMLDataElement  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkXMLDataElement  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataElement");
    return TCL_OK;
    }
  if ((!strcmp("GetName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetId",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetId();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetId",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttribute",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    const char    *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetAttribute(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttribute",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->SetAttribute(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCharacterData",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCharacterData(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddCharacterData",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddCharacterData(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCharacterData",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCharacterData();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetIntAttribute",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetIntAttribute(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFloatAttribute",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    float    temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetFloatAttribute(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDoubleAttribute",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    double   temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetDoubleAttribute(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUnsignedLongAttribute",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    unsigned long     temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = (unsigned long)tempi;
    if (!error)
    {
    op->SetUnsignedLongAttribute(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfAttributes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfAttributes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributeName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAttributeName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAttributeValue(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllAttributes",argv[1]))&&(argc == 2))
    {
    op->RemoveAllAttributes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetParent",argv[1]))&&(argc == 2))
    {
    vtkXMLDataElement  *temp20;
    temp20 = (op)->GetParent();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataElement");
    return TCL_OK;
    }
  if ((!strcmp("SetParent",argv[1]))&&(argc == 3))
    {
    vtkXMLDataElement  *temp0;
    error = 0;

    temp0 = (vtkXMLDataElement *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkXMLDataElement",interp,error));
    if (!error)
    {
    op->SetParent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRoot",argv[1]))&&(argc == 2))
    {
    vtkXMLDataElement  *temp20;
    temp20 = (op)->GetRoot();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataElement");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfNestedElements",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfNestedElements();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNestedElement",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkXMLDataElement  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNestedElement(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddNestedElement",argv[1]))&&(argc == 3))
    {
    vtkXMLDataElement  *temp0;
    error = 0;

    temp0 = (vtkXMLDataElement *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkXMLDataElement",interp,error));
    if (!error)
    {
    op->AddNestedElement(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveNestedElement",argv[1]))&&(argc == 3))
    {
    vtkXMLDataElement  *temp0;
    error = 0;

    temp0 = (vtkXMLDataElement *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkXMLDataElement",interp,error));
    if (!error)
    {
    op->RemoveNestedElement(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllNestedElements",argv[1]))&&(argc == 2))
    {
    op->RemoveAllNestedElements();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FindNestedElement",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkXMLDataElement  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->FindNestedElement(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("FindNestedElementWithName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkXMLDataElement  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->FindNestedElementWithName(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("FindNestedElementWithNameAndId",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    vtkXMLDataElement  *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->FindNestedElementWithNameAndId(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("FindNestedElementWithNameAndAttribute",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    char    *temp2;
    vtkXMLDataElement  *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->FindNestedElementWithNameAndAttribute(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("LookupElement",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkXMLDataElement  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->LookupElement(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataElement");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXMLByteIndex",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetXMLByteIndex();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetXMLByteIndex",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned long)tempi;
    if (!error)
    {
    op->SetXMLByteIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsEqualTo",argv[1]))&&(argc == 3))
    {
    vtkXMLDataElement  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkXMLDataElement *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkXMLDataElement",interp,error));
    if (!error)
    {
    temp20 = (op)->IsEqualTo(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkXMLDataElement  *temp0;
    error = 0;

    temp0 = (vtkXMLDataElement *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkXMLDataElement",interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttributeEncoding",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAttributeEncoding(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributeEncodingMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributeEncodingMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributeEncodingMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributeEncodingMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributeEncoding",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributeEncoding();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkXMLDataElementCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXMLDataElement:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetName\n",NULL);
    Tcl_AppendResult(interp,"  SetName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetId\n",NULL);
    Tcl_AppendResult(interp,"  SetId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttribute\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCharacterData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddCharacterData\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCharacterData\n",NULL);
    Tcl_AppendResult(interp,"  SetIntAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFloatAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDoubleAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUnsignedLongAttribute\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAttributes\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllAttributes\n",NULL);
    Tcl_AppendResult(interp,"  GetParent\n",NULL);
    Tcl_AppendResult(interp,"  SetParent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRoot\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNestedElements\n",NULL);
    Tcl_AppendResult(interp,"  GetNestedElement\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddNestedElement\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveNestedElement\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllNestedElements\n",NULL);
    Tcl_AppendResult(interp,"  FindNestedElement\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FindNestedElementWithName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FindNestedElementWithNameAndId\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  FindNestedElementWithNameAndAttribute\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  LookupElement\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXMLByteIndex\n",NULL);
    Tcl_AppendResult(interp,"  SetXMLByteIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsEqualTo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributeEncoding\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeEncodingMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeEncodingMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributeEncoding\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
