// tcl wrapper for vtkXMLDataParser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLDataParser.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkXMLDataParserNewCommand()
{
  vtkXMLDataParser *temp = vtkXMLDataParser::New();
  return ((ClientData)temp);
}

int vtkXMLParserCppCommand(vtkXMLParser *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXMLDataParserCppCommand(vtkXMLDataParser *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkXMLDataParserCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkXMLDataParserCppCommand((vtkXMLDataParser *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXMLDataParserCppCommand(vtkXMLDataParser *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkXMLDataParser",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkXMLParserCppCommand((vtkXMLParser *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkXMLParser", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkXMLDataParser  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataParser");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkXMLDataParser  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataParser");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkXMLDataParser  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataParser");
    return TCL_OK;
    }
  if ((!strcmp("GetRootElement",argv[1]))&&(argc == 2))
    {
    vtkXMLDataElement  *temp20;
    temp20 = (op)->GetRootElement();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLDataElement");
    return TCL_OK;
    }
  if ((!strcmp("SetCompressor",argv[1]))&&(argc == 3))
    {
    vtkDataCompressor  *temp0;
    error = 0;

    temp0 = (vtkDataCompressor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataCompressor",interp,error));
    if (!error)
    {
    op->SetCompressor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompressor",argv[1]))&&(argc == 2))
    {
    vtkDataCompressor  *temp20;
    temp20 = (op)->GetCompressor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataCompressor");
    return TCL_OK;
    }
  if ((!strcmp("GetWordTypeSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    unsigned long     temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetWordTypeSize(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Parse",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Parse();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAbort",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAbort();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAbort",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAbort(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProgress",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetProgress();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetProgress",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetProgress(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAttributesEncoding",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAttributesEncoding(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAttributesEncodingMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributesEncodingMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributesEncodingMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributesEncodingMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAttributesEncoding",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAttributesEncoding();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkXMLDataParserCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkXMLParserCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXMLDataParser:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetRootElement\n",NULL);
    Tcl_AppendResult(interp,"  SetCompressor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompressor\n",NULL);
    Tcl_AppendResult(interp,"  GetWordTypeSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Parse\n",NULL);
    Tcl_AppendResult(interp,"  GetAbort\n",NULL);
    Tcl_AppendResult(interp,"  SetAbort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProgress\n",NULL);
    Tcl_AppendResult(interp,"  SetProgress\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAttributesEncoding\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributesEncodingMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributesEncodingMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAttributesEncoding\n",NULL);
    return TCL_OK;
    }

  if (vtkXMLParserCppCommand((vtkXMLParser *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
