// python wrapper for vtkXMLDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLReaderNew(char *); }

static PyObject *PyvtkXMLDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataReader *op;

  const char    *temp20;
  if ((op = (vtkXMLDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataReader *op;

  vtkXMLDataReader  *temp20;
  if ((op = (vtkXMLDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataReader_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataReader *op;

  vtkIdType   temp20;
  if ((op = (vtkXMLDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataReader_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataReader *op;

  vtkIdType   temp20;
  if ((op = (vtkXMLDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLDataReader_CopyOutputInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataReader *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  if ((op = (vtkXMLDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLDataReader::CopyOutputInformation(temp0,temp1);
      }
    else
      {
      op->CopyOutputInformation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkXMLDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLDataReader\nC++: vtkXMLDataReader *NewInstance ();\n\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkXMLDataReader_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: virtual vtkIdType GetNumberOfPoints () = 0;\n\n Get the number of points in the output.\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkXMLDataReader_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: virtual vtkIdType GetNumberOfCells () = 0;\n\n Get the number of cells in the output.\n"},
  {(char*)"CopyOutputInformation",                (PyCFunction)PyvtkXMLDataReader_CopyOutputInformation, 1,
   (char*)"V.CopyOutputInformation(vtkInformation, int)\nC++: virtual void CopyOutputInformation (vtkInformation *outInfo, int port);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLDataReaderDoc[] = {
  (char*)"vtkXMLDataReader - Superclass for VTK XML file readers.\n\n",
  "Super Class:\n\n vtkXMLReader\n\n",
  (char*)" vtkXMLDataReader provides functionality common to all VTK XML file\n readers.  Concrete subclasses call upon this functionality when\n needed.\n\n",
  "See Also:\n\n vtkXMLPDataReader\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLDataReaderNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLDataReaderMethods,
                        (char*)"vtkXMLDataReader",modulename,
                        (char**)vtkXMLDataReaderDoc,
                        PyVTKClass_vtkXMLReaderNew(modulename));
}

