// python wrapper for vtkXMLImageDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLImageDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLImageDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLImageDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLStructuredDataReaderNew(char *); }

static PyObject *PyvtkXMLImageDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLImageDataReader *op;

  const char    *temp20;
  if ((op = (vtkXMLImageDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLImageDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLImageDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLImageDataReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLImageDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLImageDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLImageDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLImageDataReader *op;

  vtkXMLImageDataReader  *temp20;
  if ((op = (vtkXMLImageDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLImageDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLImageDataReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLImageDataReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLImageDataReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLImageDataReader_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLImageDataReader *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXMLImageDataReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLImageDataReader::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkXMLImageDataReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLImageDataReader *op;

  vtkImageData  *temp20;
  if ((op = (vtkXMLImageDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLImageDataReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXMLImageDataReader *op;

  int      temp0;
  vtkImageData  *temp20;
  PyErr_Clear();
  if ((op = (vtkXMLImageDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLImageDataReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLImageDataReader_CopyOutputInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLImageDataReader *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  if ((op = (vtkXMLImageDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLImageDataReader::CopyOutputInformation(temp0,temp1);
      }
    else
      {
      op->CopyOutputInformation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkXMLImageDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLImageDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLImageDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLImageDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLImageDataReader\nC++: vtkXMLImageDataReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLImageDataReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLImageDataReader\nC++: vtkXMLImageDataReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkXMLImageDataReader_SetOutput, 1,
   (char*)"V.SetOutput(vtkImageData)\nC++: void SetOutput (vtkImageData *output);\n\n Get/Set the reader's output.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkXMLImageDataReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkImageData\nC++: vtkImageData *GetOutput ();\nV.GetOutput(int) -> vtkImageData\nC++: vtkImageData *GetOutput (int idx);\n\n Get/Set the reader's output.\n"},
  {(char*)"CopyOutputInformation",                (PyCFunction)PyvtkXMLImageDataReader_CopyOutputInformation, 1,
   (char*)"V.CopyOutputInformation(vtkInformation, int)\nC++: virtual void CopyOutputInformation (vtkInformation *outInfo, int port);\n\n For the specified port, copy the information this reader sets up in\n SetupOutputInformation to outInfo\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLImageDataReaderDoc[] = {
  (char*)"vtkXMLImageDataReader - Read VTK XML ImageData files.\n\n",
  "Super Class:\n\n vtkXMLStructuredDataReader\n\n",
  (char*)" vtkXMLImageDataReader reads the VTK XML ImageData file format.  One\n image data file can be read to produce one output.  Streaming is\n supported.  The standard extension for this reader's file format is\n \"vti\".  This reader is also used to read a single piece of the\n parallel file format.\n\n",
  "See Also:\n\n vtkXMLPImageDataReader\n\n",
  NULL
};

static vtkObjectBase *vtkXMLImageDataReaderStaticNew()
{
  return vtkXMLImageDataReader::New();
}

PyObject *PyVTKClass_vtkXMLImageDataReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLImageDataReaderStaticNew,
                        PyvtkXMLImageDataReaderMethods,
                        (char*)"vtkXMLImageDataReader",modulename,
                        (char**)vtkXMLImageDataReaderDoc,
                        PyVTKClass_vtkXMLStructuredDataReaderNew(modulename));
}

