// python wrapper for vtkXMLImageDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLImageDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLImageDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLImageDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLStructuredDataWriterNew(char *); }

static PyObject *PyvtkXMLImageDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLImageDataWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLImageDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLImageDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLImageDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLImageDataWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLImageDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLImageDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLImageDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLImageDataWriter *op;

  vtkXMLImageDataWriter  *temp20;
  if ((op = (vtkXMLImageDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLImageDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLImageDataWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLImageDataWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLImageDataWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLImageDataWriter_GetDefaultFileExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLImageDataWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLImageDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLImageDataWriter::GetDefaultFileExtension();
      }
    else
      {
      temp20 = op->GetDefaultFileExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLImageDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLImageDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLImageDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLImageDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLImageDataWriter\nC++: vtkXMLImageDataWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLImageDataWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLImageDataWriter\nC++: vtkXMLImageDataWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDefaultFileExtension",                (PyCFunction)PyvtkXMLImageDataWriter_GetDefaultFileExtension, 1,
   (char*)"V.GetDefaultFileExtension() -> string\nC++: const char *GetDefaultFileExtension ();\n\n Get the default file extension for files written by this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLImageDataWriterDoc[] = {
  (char*)"vtkXMLImageDataWriter - Write VTK XML ImageData files.\n\n",
  "Super Class:\n\n vtkXMLStructuredDataWriter\n\n",
  (char*)" vtkXMLImageDataWriter writes the VTK XML ImageData file format.\n One image data input can be written into one file in any number of\n streamed pieces.  The standard extension for this writer's file\n format is \"vti\".  This writer is also used to write a single piece\n of the parallel file format.\n\n",
  "See Also:\n\n vtkXMLPImageDataWriter\n\n",
  NULL
};

static vtkObjectBase *vtkXMLImageDataWriterStaticNew()
{
  return vtkXMLImageDataWriter::New();
}

PyObject *PyVTKClass_vtkXMLImageDataWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLImageDataWriterStaticNew,
                        PyvtkXMLImageDataWriterMethods,
                        (char*)"vtkXMLImageDataWriter",modulename,
                        (char**)vtkXMLImageDataWriterDoc,
                        PyVTKClass_vtkXMLStructuredDataWriterNew(modulename));
}

