// python wrapper for vtkXMLPDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLPDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLReaderNew(char *); }

static PyObject *PyvtkXMLPDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataReader *op;

  const char    *temp20;
  if ((op = (vtkXMLPDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLPDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataReader *op;

  vtkXMLPDataReader  *temp20;
  if ((op = (vtkXMLPDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataReader_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataReader *op;

  int      temp20;
  if ((op = (vtkXMLPDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataReader::GetNumberOfPieces();
      }
    else
      {
      temp20 = op->GetNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataReader_CopyOutputInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataReader *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  if ((op = (vtkXMLPDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPDataReader::CopyOutputInformation(temp0,temp1);
      }
    else
      {
      op->CopyOutputInformation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkXMLPDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPDataReader\nC++: vtkXMLPDataReader *NewInstance ();\n\n"},
  {(char*)"GetNumberOfPieces",                (PyCFunction)PyvtkXMLPDataReader_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: int GetNumberOfPieces ();\n\n Get the number of pieces from the summary file being read.\n"},
  {(char*)"CopyOutputInformation",                (PyCFunction)PyvtkXMLPDataReader_CopyOutputInformation, 1,
   (char*)"V.CopyOutputInformation(vtkInformation, int)\nC++: virtual void CopyOutputInformation (vtkInformation *outInfo, int port);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPDataReaderDoc[] = {
  (char*)"vtkXMLPDataReader - Superclass for PVTK XML file readers.\n\n",
  "Super Class:\n\n vtkXMLReader\n\n",
  (char*)" vtkXMLPDataReader provides functionality common to all PVTK XML\n file readers.  Concrete subclasses call upon this functionality\n when needed.\n\n",
  "See Also:\n\n vtkXMLDataReader\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLPDataReaderNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLPDataReaderMethods,
                        (char*)"vtkXMLPDataReader",modulename,
                        (char**)vtkXMLPDataReaderDoc,
                        PyVTKClass_vtkXMLReaderNew(modulename));
}

