// python wrapper for vtkXMLPDataSetWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLPDataSetWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPDataSetWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPDataSetWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPDataWriterNew(char *); }

static PyObject *PyvtkXMLPDataSetWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataSetWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataSetWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataSetWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataSetWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataSetWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataSetWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPDataSetWriter *op;

  vtkXMLPDataSetWriter  *temp20;
  if ((op = (vtkXMLPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPDataSetWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPDataSetWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLPDataSetWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLPDataSetWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkXMLPDataSetWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPDataSetWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPDataSetWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPDataSetWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPDataSetWriter\nC++: vtkXMLPDataSetWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLPDataSetWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLPDataSetWriter\nC++: vtkXMLPDataSetWriter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPDataSetWriterDoc[] = {
  (char*)"vtkXMLPDataSetWriter - Write any type of PVTK XML file.\n\n",
  "Super Class:\n\n vtkXMLPDataWriter\n\n",
  (char*)" vtkXMLPDataSetWriter is a wrapper around the PVTK XML file format\n writers.  Given an input vtkDataSet, the correct writer is\n automatically selected based on the type of input.\n\n",
  "See Also:\n\n vtkXMLPImageDataWriter vtkXMLPStructuredGridWriter\n vtkXMLPRectilinearGridWriter vtkXMLPPolyDataWriter\n vtkXMLPUnstructuredGridWriter\n\n",
  NULL
};

static vtkObjectBase *vtkXMLPDataSetWriterStaticNew()
{
  return vtkXMLPDataSetWriter::New();
}

PyObject *PyVTKClass_vtkXMLPDataSetWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLPDataSetWriterStaticNew,
                        PyvtkXMLPDataSetWriterMethods,
                        (char*)"vtkXMLPDataSetWriter",modulename,
                        (char**)vtkXMLPDataSetWriterDoc,
                        PyVTKClass_vtkXMLPDataWriterNew(modulename));
}

