// python wrapper for vtkXMLPImageDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLPImageDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPImageDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPImageDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPStructuredDataReaderNew(char *); }

static PyObject *PyvtkXMLPImageDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPImageDataReader *op;

  const char    *temp20;
  if ((op = (vtkXMLPImageDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPImageDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPImageDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPImageDataReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLPImageDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPImageDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPImageDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPImageDataReader *op;

  vtkXMLPImageDataReader  *temp20;
  if ((op = (vtkXMLPImageDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPImageDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPImageDataReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLPImageDataReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLPImageDataReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLPImageDataReader_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPImageDataReader *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXMLPImageDataReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPImageDataReader::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkXMLPImageDataReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPImageDataReader *op;

  vtkImageData  *temp20;
  if ((op = (vtkXMLPImageDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPImageDataReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXMLPImageDataReader *op;

  int      temp0;
  vtkImageData  *temp20;
  PyErr_Clear();
  if ((op = (vtkXMLPImageDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPImageDataReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPImageDataReader_CopyOutputInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPImageDataReader *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  if ((op = (vtkXMLPImageDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPImageDataReader::CopyOutputInformation(temp0,temp1);
      }
    else
      {
      op->CopyOutputInformation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkXMLPImageDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPImageDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPImageDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPImageDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPImageDataReader\nC++: vtkXMLPImageDataReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLPImageDataReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLPImageDataReader\nC++: vtkXMLPImageDataReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkXMLPImageDataReader_SetOutput, 1,
   (char*)"V.SetOutput(vtkImageData)\nC++: void SetOutput (vtkImageData *output);\n\n Get/Set the reader's output.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkXMLPImageDataReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkImageData\nC++: vtkImageData *GetOutput ();\nV.GetOutput(int) -> vtkImageData\nC++: vtkImageData *GetOutput (int idx);\n\n Get/Set the reader's output.\n"},
  {(char*)"CopyOutputInformation",                (PyCFunction)PyvtkXMLPImageDataReader_CopyOutputInformation, 1,
   (char*)"V.CopyOutputInformation(vtkInformation, int)\nC++: virtual void CopyOutputInformation (vtkInformation *outInfo, int port);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPImageDataReaderDoc[] = {
  (char*)"vtkXMLPImageDataReader - Read PVTK XML ImageData files.\n\n",
  "Super Class:\n\n vtkXMLPStructuredDataReader\n\n",
  (char*)" vtkXMLPImageDataReader reads the PVTK XML ImageData file format.\n This reads the parallel format's summary file and then uses\n vtkXMLImageDataReader to read data from the individual ImageData\n piece files.  Streaming is supported.  The standard extension for\n this reader's file format is \"pvti\".\n\n",
  "See Also:\n\n vtkXMLImageDataReader\n\n",
  NULL
};

static vtkObjectBase *vtkXMLPImageDataReaderStaticNew()
{
  return vtkXMLPImageDataReader::New();
}

PyObject *PyVTKClass_vtkXMLPImageDataReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLPImageDataReaderStaticNew,
                        PyvtkXMLPImageDataReaderMethods,
                        (char*)"vtkXMLPImageDataReader",modulename,
                        (char**)vtkXMLPImageDataReaderDoc,
                        PyVTKClass_vtkXMLPStructuredDataReaderNew(modulename));
}

