// python wrapper for vtkXMLPImageDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLPImageDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPImageDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPImageDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPStructuredDataWriterNew(char *); }

static PyObject *PyvtkXMLPImageDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPImageDataWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLPImageDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPImageDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPImageDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPImageDataWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLPImageDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPImageDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPImageDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPImageDataWriter *op;

  vtkXMLPImageDataWriter  *temp20;
  if ((op = (vtkXMLPImageDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPImageDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPImageDataWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLPImageDataWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLPImageDataWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLPImageDataWriter_GetDefaultFileExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPImageDataWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLPImageDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPImageDataWriter::GetDefaultFileExtension();
      }
    else
      {
      temp20 = op->GetDefaultFileExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLPImageDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPImageDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPImageDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPImageDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPImageDataWriter\nC++: vtkXMLPImageDataWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLPImageDataWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLPImageDataWriter\nC++: vtkXMLPImageDataWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDefaultFileExtension",                (PyCFunction)PyvtkXMLPImageDataWriter_GetDefaultFileExtension, 1,
   (char*)"V.GetDefaultFileExtension() -> string\nC++: const char *GetDefaultFileExtension ();\n\n Get the default file extension for files written by this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPImageDataWriterDoc[] = {
  (char*)"vtkXMLPImageDataWriter - Write PVTK XML ImageData files.\n\n",
  "Super Class:\n\n vtkXMLPStructuredDataWriter\n\n",
  (char*)" vtkXMLPImageDataWriter writes the PVTK XML ImageData file format.\n One image data input can be written into a parallel file format\n with any number of pieces spread across files.  The standard\n extension for this writer's file format is \"pvti\".  This writer\n uses vtkXMLImageDataWriter to write the individual piece files.\n\n",
  "See Also:\n\n vtkXMLImageDataWriter\n\n",
  NULL
};

static vtkObjectBase *vtkXMLPImageDataWriterStaticNew()
{
  return vtkXMLPImageDataWriter::New();
}

PyObject *PyVTKClass_vtkXMLPImageDataWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLPImageDataWriterStaticNew,
                        PyvtkXMLPImageDataWriterMethods,
                        (char*)"vtkXMLPImageDataWriter",modulename,
                        (char**)vtkXMLPImageDataWriterDoc,
                        PyVTKClass_vtkXMLPStructuredDataWriterNew(modulename));
}

