// python wrapper for vtkXMLPPolyDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLPPolyDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPPolyDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPPolyDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPUnstructuredDataReaderNew(char *); }

static PyObject *PyvtkXMLPPolyDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPPolyDataReader *op;

  const char    *temp20;
  if ((op = (vtkXMLPPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPPolyDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPPolyDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPPolyDataReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLPPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPPolyDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPPolyDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPPolyDataReader *op;

  vtkXMLPPolyDataReader  *temp20;
  if ((op = (vtkXMLPPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPPolyDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPPolyDataReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLPPolyDataReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLPPolyDataReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLPPolyDataReader_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPPolyDataReader *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXMLPPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPPolyDataReader::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkXMLPPolyDataReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPPolyDataReader *op;

  vtkPolyData  *temp20;
  if ((op = (vtkXMLPPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPPolyDataReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXMLPPolyDataReader *op;

  int      temp0;
  vtkPolyData  *temp20;
  PyErr_Clear();
  if ((op = (vtkXMLPPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPPolyDataReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLPPolyDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPPolyDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPPolyDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPPolyDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPPolyDataReader\nC++: vtkXMLPPolyDataReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLPPolyDataReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLPPolyDataReader\nC++: vtkXMLPPolyDataReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkXMLPPolyDataReader_SetOutput, 1,
   (char*)"V.SetOutput(vtkPolyData)\nC++: void SetOutput (vtkPolyData *output);\n\n Get/Set the reader's output.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkXMLPPolyDataReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkPolyData\nC++: vtkPolyData *GetOutput ();\nV.GetOutput(int) -> vtkPolyData\nC++: vtkPolyData *GetOutput (int idx);\n\n Get/Set the reader's output.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPPolyDataReaderDoc[] = {
  (char*)"vtkXMLPPolyDataReader - Read PVTK XML PolyData files.\n\n",
  "Super Class:\n\n vtkXMLPUnstructuredDataReader\n\n",
  (char*)" vtkXMLPPolyDataReader reads the PVTK XML PolyData file format.\n This reads the parallel format's summary file and then uses\n vtkXMLPolyDataReader to read data from the individual PolyData\n piece files.  Streaming is supported.  The standard extension for\n this reader's file format is \"pvtp\".\n\n",
  "See Also:\n\n vtkXMLPolyDataReader\n\n",
  NULL
};

static vtkObjectBase *vtkXMLPPolyDataReaderStaticNew()
{
  return vtkXMLPPolyDataReader::New();
}

PyObject *PyVTKClass_vtkXMLPPolyDataReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLPPolyDataReaderStaticNew,
                        PyvtkXMLPPolyDataReaderMethods,
                        (char*)"vtkXMLPPolyDataReader",modulename,
                        (char**)vtkXMLPPolyDataReaderDoc,
                        PyVTKClass_vtkXMLPUnstructuredDataReaderNew(modulename));
}

