// python wrapper for vtkXMLPRectilinearGridWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLPRectilinearGridWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPRectilinearGridWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPRectilinearGridWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPStructuredDataWriterNew(char *); }

static PyObject *PyvtkXMLPRectilinearGridWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPRectilinearGridWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLPRectilinearGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPRectilinearGridWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPRectilinearGridWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPRectilinearGridWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLPRectilinearGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPRectilinearGridWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPRectilinearGridWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPRectilinearGridWriter *op;

  vtkXMLPRectilinearGridWriter  *temp20;
  if ((op = (vtkXMLPRectilinearGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPRectilinearGridWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPRectilinearGridWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLPRectilinearGridWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLPRectilinearGridWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLPRectilinearGridWriter_GetDefaultFileExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPRectilinearGridWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLPRectilinearGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPRectilinearGridWriter::GetDefaultFileExtension();
      }
    else
      {
      temp20 = op->GetDefaultFileExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLPRectilinearGridWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPRectilinearGridWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPRectilinearGridWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPRectilinearGridWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPRectilinearGridWriter\nC++: vtkXMLPRectilinearGridWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLPRectilinearGridWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLPRectilinearGridWriter\nC++: vtkXMLPRectilinearGridWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDefaultFileExtension",                (PyCFunction)PyvtkXMLPRectilinearGridWriter_GetDefaultFileExtension, 1,
   (char*)"V.GetDefaultFileExtension() -> string\nC++: const char *GetDefaultFileExtension ();\n\n Get the default file extension for files written by this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPRectilinearGridWriterDoc[] = {
  (char*)"vtkXMLPRectilinearGridWriter - Write PVTK XML RectilinearGrid files.\n\n",
  "Super Class:\n\n vtkXMLPStructuredDataWriter\n\n",
  (char*)" vtkXMLPRectilinearGridWriter writes the PVTK XML RectilinearGrid\n file format.  One rectilinear grid input can be written into a\n parallel file format with any number of pieces spread across files.\n The standard extension for this writer's file format is \"pvtr\".\n This writer uses vtkXMLRectilinearGridWriter to write the\n individual piece files.\n\n",
  "See Also:\n\n vtkXMLRectilinearGridWriter\n\n",
  NULL
};

static vtkObjectBase *vtkXMLPRectilinearGridWriterStaticNew()
{
  return vtkXMLPRectilinearGridWriter::New();
}

PyObject *PyVTKClass_vtkXMLPRectilinearGridWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLPRectilinearGridWriterStaticNew,
                        PyvtkXMLPRectilinearGridWriterMethods,
                        (char*)"vtkXMLPRectilinearGridWriter",modulename,
                        (char**)vtkXMLPRectilinearGridWriterDoc,
                        PyVTKClass_vtkXMLPStructuredDataWriterNew(modulename));
}

