// python wrapper for vtkXMLPStructuredGridReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLPStructuredGridReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPStructuredGridReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPStructuredGridReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPStructuredDataReaderNew(char *); }

static PyObject *PyvtkXMLPStructuredGridReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredGridReader *op;

  const char    *temp20;
  if ((op = (vtkXMLPStructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredGridReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPStructuredGridReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredGridReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLPStructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredGridReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPStructuredGridReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredGridReader *op;

  vtkXMLPStructuredGridReader  *temp20;
  if ((op = (vtkXMLPStructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredGridReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPStructuredGridReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLPStructuredGridReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLPStructuredGridReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLPStructuredGridReader_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredGridReader *op;

  vtkStructuredGrid  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXMLPStructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkStructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPStructuredGridReader::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkXMLPStructuredGridReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPStructuredGridReader *op;

  vtkStructuredGrid  *temp20;
  if ((op = (vtkXMLPStructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredGridReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXMLPStructuredGridReader *op;

  int      temp0;
  vtkStructuredGrid  *temp20;
  PyErr_Clear();
  if ((op = (vtkXMLPStructuredGridReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPStructuredGridReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLPStructuredGridReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPStructuredGridReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPStructuredGridReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPStructuredGridReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPStructuredGridReader\nC++: vtkXMLPStructuredGridReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLPStructuredGridReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLPStructuredGridReader\nC++: vtkXMLPStructuredGridReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkXMLPStructuredGridReader_SetOutput, 1,
   (char*)"V.SetOutput(vtkStructuredGrid)\nC++: void SetOutput (vtkStructuredGrid *output);\n\n Get/Set the reader's output.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkXMLPStructuredGridReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetOutput ();\nV.GetOutput(int) -> vtkStructuredGrid\nC++: vtkStructuredGrid *GetOutput (int idx);\n\n Get/Set the reader's output.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPStructuredGridReaderDoc[] = {
  (char*)"vtkXMLPStructuredGridReader - Read PVTK XML StructuredGrid files.\n\n",
  "Super Class:\n\n vtkXMLPStructuredDataReader\n\n",
  (char*)" vtkXMLPStructuredGridReader reads the PVTK XML StructuredGrid file\n format.  This reads the parallel format's summary file and then\n uses vtkXMLStructuredGridReader to read data from the individual\n StructuredGrid piece files.  Streaming is supported.  The standard\n extension for this reader's file format is \"pvts\".\n\n",
  "See Also:\n\n vtkXMLStructuredGridReader\n\n",
  NULL
};

static vtkObjectBase *vtkXMLPStructuredGridReaderStaticNew()
{
  return vtkXMLPStructuredGridReader::New();
}

PyObject *PyVTKClass_vtkXMLPStructuredGridReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLPStructuredGridReaderStaticNew,
                        PyvtkXMLPStructuredGridReaderMethods,
                        (char*)"vtkXMLPStructuredGridReader",modulename,
                        (char**)vtkXMLPStructuredGridReaderDoc,
                        PyVTKClass_vtkXMLPStructuredDataReaderNew(modulename));
}

