// python wrapper for vtkXMLPUnstructuredDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLPUnstructuredDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPUnstructuredDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPUnstructuredDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLPDataWriterNew(char *); }

static PyObject *PyvtkXMLPUnstructuredDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredDataWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLPUnstructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPUnstructuredDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredDataWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLPUnstructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPUnstructuredDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPUnstructuredDataWriter *op;

  vtkXMLPUnstructuredDataWriter  *temp20;
  if ((op = (vtkXMLPUnstructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPUnstructuredDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLPUnstructuredDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPUnstructuredDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPUnstructuredDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPUnstructuredDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPUnstructuredDataWriter\nC++: vtkXMLPUnstructuredDataWriter *NewInstance ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPUnstructuredDataWriterDoc[] = {
  (char*)"vtkXMLPUnstructuredDataWriter - Superclass for PVTK XML unstructured data writers.\n\n",
  "Super Class:\n\n vtkXMLPDataWriter\n\n",
  (char*)" vtkXMLPUnstructuredDataWriter provides PVTK XML writing\n functionality that is common among all the parallel unstructured\n data formats.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLPUnstructuredDataWriterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLPUnstructuredDataWriterMethods,
                        (char*)"vtkXMLPUnstructuredDataWriter",modulename,
                        (char**)vtkXMLPUnstructuredDataWriterDoc,
                        PyVTKClass_vtkXMLPDataWriterNew(modulename));
}

