// python wrapper for vtkXMLParser object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLParser.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLParserNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLParserNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkXMLParser_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLParser *op;

  const char    *temp20;
  if ((op = (vtkXMLParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLParser::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLParser_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLParser *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLParser *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLParser::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLParser_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLParser *op;

  vtkXMLParser  *temp20;
  if ((op = (vtkXMLParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLParser::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLParser_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLParser  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLParser::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLParser_TellG(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLParser *op;

  long     temp20;
  if ((op = (vtkXMLParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLParser::TellG();
      }
    else
      {
      temp20 = op->TellG();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLParser_SeekG(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLParser *op;

  long     temp0;
  if ((op = (vtkXMLParser *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLParser::SeekG(temp0);
      }
    else
      {
      op->SeekG(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLParser_Parse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLParser *op;

  int      temp20;
  if ((op = (vtkXMLParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLParser::Parse();
      }
    else
      {
      temp20 = op->Parse();
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXMLParser *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkXMLParser *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLParser::Parse(temp0);
      }
    else
      {
      temp20 = op->Parse(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXMLParser *op;

  char    *temp0;
  unsigned int      temp1;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkXMLParser *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLParser::Parse(temp0,temp1);
      }
    else
      {
      temp20 = op->Parse(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLParser_InitializeParser(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLParser *op;

  int      temp20;
  if ((op = (vtkXMLParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLParser::InitializeParser();
      }
    else
      {
      temp20 = op->InitializeParser();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLParser_ParseChunk(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLParser *op;

  char    *temp0;
  unsigned int      temp1;
  int      temp20;
  if ((op = (vtkXMLParser *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLParser::ParseChunk(temp0,temp1);
      }
    else
      {
      temp20 = op->ParseChunk(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLParser_CleanupParser(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLParser *op;

  int      temp20;
  if ((op = (vtkXMLParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLParser::CleanupParser();
      }
    else
      {
      temp20 = op->CleanupParser();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLParser_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLParser *op;

  char    *temp0;
  if ((op = (vtkXMLParser *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLParser::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLParser_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLParser *op;

  char    *temp20;
  if ((op = (vtkXMLParser *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLParser::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLParserMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLParser_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLParser_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLParser_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLParser\nC++: vtkXMLParser *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLParser_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLParser\nC++: vtkXMLParser *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"TellG",                (PyCFunction)PyvtkXMLParser_TellG, 1,
   (char*)"V.TellG() -> int\nC++: long TellG ();\n\n Used by subclasses and their supporting classes.  These methods\n wrap around the tellg and seekg methods of the input stream to\n work-around stream bugs on various platforms.\n"},
  {(char*)"SeekG",                (PyCFunction)PyvtkXMLParser_SeekG, 1,
   (char*)"V.SeekG(int)\nC++: void SeekG (long position);\n\n Used by subclasses and their supporting classes.  These methods\n wrap around the tellg and seekg methods of the input stream to\n work-around stream bugs on various platforms.\n"},
  {(char*)"Parse",                (PyCFunction)PyvtkXMLParser_Parse, 1,
   (char*)"V.Parse() -> int\nC++: virtual int Parse ();\nV.Parse(string) -> int\nC++: virtual int Parse (const char *inputString);\nV.Parse(string, int) -> int\nC++: virtual int Parse (const char *inputString, unsigned int length);\n\n Parse the XML input.\n"},
  {(char*)"InitializeParser",                (PyCFunction)PyvtkXMLParser_InitializeParser, 1,
   (char*)"V.InitializeParser() -> int\nC++: virtual int InitializeParser ();\n\n When parsing fragments of XML or streaming XML, use the following\n three methods.  InitializeParser method initialize parser but\n does not perform any actual parsing.  ParseChunk parses framgent\n of XML. This has to match to what was already\n parsed. CleanupParser finishes parsing. If there were errors,\n CleanupParser will report them.\n"},
  {(char*)"ParseChunk",                (PyCFunction)PyvtkXMLParser_ParseChunk, 1,
   (char*)"V.ParseChunk(string, int) -> int\nC++: virtual int ParseChunk (const char *inputString, unsigned int length);\n\n When parsing fragments of XML or streaming XML, use the following\n three methods.  InitializeParser method initialize parser but\n does not perform any actual parsing.  ParseChunk parses framgent\n of XML. This has to match to what was already\n parsed. CleanupParser finishes parsing. If there were errors,\n CleanupParser will report them.\n"},
  {(char*)"CleanupParser",                (PyCFunction)PyvtkXMLParser_CleanupParser, 1,
   (char*)"V.CleanupParser() -> int\nC++: virtual int CleanupParser ();\n\n When parsing fragments of XML or streaming XML, use the following\n three methods.  InitializeParser method initialize parser but\n does not perform any actual parsing.  ParseChunk parses framgent\n of XML. This has to match to what was already\n parsed. CleanupParser finishes parsing. If there were errors,\n CleanupParser will report them.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkXMLParser_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Set and get file name.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkXMLParser_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Set and get file name.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLParserDoc[] = {
  (char*)"vtkXMLParser - Parse XML to handle element tags and attributes.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkXMLParser reads a stream and parses XML element tags and corresponding\n attributes.  Each element begin tag and its attributes are sent to\n the StartElement method.  Each element end tag is sent to the\n EndElement method.  Subclasses should replace these methods to actually\n use the tags.\n .SECTION ToDo: Add commands for parsing in Tcl.\n\n",
  NULL
};

static vtkObjectBase *vtkXMLParserStaticNew()
{
  return vtkXMLParser::New();
}

PyObject *PyVTKClass_vtkXMLParserNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLParserStaticNew,
                        PyvtkXMLParserMethods,
                        (char*)"vtkXMLParser",modulename,
                        (char**)vtkXMLParserDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

