// python wrapper for vtkXMLPolyDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLPolyDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLPolyDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLPolyDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLUnstructuredDataReaderNew(char *); }

static PyObject *PyvtkXMLPolyDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPolyDataReader *op;

  const char    *temp20;
  if ((op = (vtkXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPolyDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPolyDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPolyDataReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPolyDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPolyDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPolyDataReader *op;

  vtkXMLPolyDataReader  *temp20;
  if ((op = (vtkXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPolyDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPolyDataReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLPolyDataReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLPolyDataReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLPolyDataReader_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPolyDataReader *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLPolyDataReader::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkXMLPolyDataReader_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPolyDataReader *op;

  vtkPolyData  *temp20;
  if ((op = (vtkXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPolyDataReader::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXMLPolyDataReader *op;

  int      temp0;
  vtkPolyData  *temp20;
  PyErr_Clear();
  if ((op = (vtkXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPolyDataReader::GetOutput(temp0);
      }
    else
      {
      temp20 = op->GetOutput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPolyDataReader_GetNumberOfVerts(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPolyDataReader *op;

  vtkIdType   temp20;
  if ((op = (vtkXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPolyDataReader::GetNumberOfVerts();
      }
    else
      {
      temp20 = op->GetNumberOfVerts();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPolyDataReader_GetNumberOfLines(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPolyDataReader *op;

  vtkIdType   temp20;
  if ((op = (vtkXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPolyDataReader::GetNumberOfLines();
      }
    else
      {
      temp20 = op->GetNumberOfLines();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPolyDataReader_GetNumberOfStrips(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPolyDataReader *op;

  vtkIdType   temp20;
  if ((op = (vtkXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPolyDataReader::GetNumberOfStrips();
      }
    else
      {
      temp20 = op->GetNumberOfStrips();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLPolyDataReader_GetNumberOfPolys(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLPolyDataReader *op;

  vtkIdType   temp20;
  if ((op = (vtkXMLPolyDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLPolyDataReader::GetNumberOfPolys();
      }
    else
      {
      temp20 = op->GetNumberOfPolys();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLPolyDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLPolyDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLPolyDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLPolyDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLPolyDataReader\nC++: vtkXMLPolyDataReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLPolyDataReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLPolyDataReader\nC++: vtkXMLPolyDataReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkXMLPolyDataReader_SetOutput, 1,
   (char*)"V.SetOutput(vtkPolyData)\nC++: void SetOutput (vtkPolyData *output);\n\n Get/Set the reader's output.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkXMLPolyDataReader_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkPolyData\nC++: vtkPolyData *GetOutput ();\nV.GetOutput(int) -> vtkPolyData\nC++: vtkPolyData *GetOutput (int idx);\n\n Get/Set the reader's output.\n"},
  {(char*)"GetNumberOfVerts",                (PyCFunction)PyvtkXMLPolyDataReader_GetNumberOfVerts, 1,
   (char*)"V.GetNumberOfVerts() -> int\nC++: virtual vtkIdType GetNumberOfVerts ();\n\n Get the number of verts/lines/strips/polys in the output.\n"},
  {(char*)"GetNumberOfLines",                (PyCFunction)PyvtkXMLPolyDataReader_GetNumberOfLines, 1,
   (char*)"V.GetNumberOfLines() -> int\nC++: virtual vtkIdType GetNumberOfLines ();\n\n Get the number of verts/lines/strips/polys in the output.\n"},
  {(char*)"GetNumberOfStrips",                (PyCFunction)PyvtkXMLPolyDataReader_GetNumberOfStrips, 1,
   (char*)"V.GetNumberOfStrips() -> int\nC++: virtual vtkIdType GetNumberOfStrips ();\n\n Get the number of verts/lines/strips/polys in the output.\n"},
  {(char*)"GetNumberOfPolys",                (PyCFunction)PyvtkXMLPolyDataReader_GetNumberOfPolys, 1,
   (char*)"V.GetNumberOfPolys() -> int\nC++: virtual vtkIdType GetNumberOfPolys ();\n\n Get the number of verts/lines/strips/polys in the output.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLPolyDataReaderDoc[] = {
  (char*)"vtkXMLPolyDataReader - Read VTK XML PolyData files.\n\n",
  "Super Class:\n\n vtkXMLUnstructuredDataReader\n\n",
  (char*)" vtkXMLPolyDataReader reads the VTK XML PolyData file format.  One\n polygonal data file can be read to produce one output.  Streaming\n is supported.  The standard extension for this reader's file format\n is \"vtp\".  This reader is also used to read a single piece of the\n parallel file format.\n\n",
  "See Also:\n\n vtkXMLPPolyDataReader\n\n",
  NULL
};

static vtkObjectBase *vtkXMLPolyDataReaderStaticNew()
{
  return vtkXMLPolyDataReader::New();
}

PyObject *PyVTKClass_vtkXMLPolyDataReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLPolyDataReaderStaticNew,
                        PyvtkXMLPolyDataReaderMethods,
                        (char*)"vtkXMLPolyDataReader",modulename,
                        (char**)vtkXMLPolyDataReaderDoc,
                        PyVTKClass_vtkXMLUnstructuredDataReaderNew(modulename));
}

