// python wrapper for vtkXMLReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkXMLReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  const char    *temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  vtkXMLReader  *temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  char    *temp0;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  char    *temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_GetOutputAsDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  vtkDataSet  *temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetOutputAsDataSet();
      }
    else
      {
      temp20 = op->GetOutputAsDataSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  int      temp0;
  vtkDataSet  *temp20;
  PyErr_Clear();
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetOutputAsDataSet(temp0);
      }
    else
      {
      temp20 = op->GetOutputAsDataSet(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_GetPointDataArraySelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  vtkDataArraySelection  *temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetPointDataArraySelection();
      }
    else
      {
      temp20 = op->GetPointDataArraySelection();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_GetCellDataArraySelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  vtkDataArraySelection  *temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetCellDataArraySelection();
      }
    else
      {
      temp20 = op->GetCellDataArraySelection();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_GetNumberOfPointArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  int      temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetNumberOfPointArrays();
      }
    else
      {
      temp20 = op->GetNumberOfPointArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_GetNumberOfCellArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  int      temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetNumberOfCellArrays();
      }
    else
      {
      temp20 = op->GetNumberOfCellArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_GetPointArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetPointArrayName(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_GetCellArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  int      temp0;
  const char    *temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetCellArrayName(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_GetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetPointArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPointArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_GetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetCellArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetCellArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_SetPointArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  char    *temp0;
  int      temp1;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLReader::SetPointArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPointArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_SetCellArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  char    *temp0;
  int      temp1;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLReader::SetCellArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetCellArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_CopyOutputInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLReader::CopyOutputInformation(temp0,temp1);
      }
    else
      {
      op->CopyOutputInformation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkXMLReader_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  int      temp0;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLReader::SetTimeStep(temp0);
      }
    else
      {
      op->SetTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  int      temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetTimeStep();
      }
    else
      {
      temp20 = op->GetTimeStep();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_GetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  int      temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetNumberOfTimeSteps();
      }
    else
      {
      temp20 = op->GetNumberOfTimeSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_GetTimeStepRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  int     *temp20;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLReader::GetTimeStepRange();
      }
    else
      {
      temp20 = op->GetTimeStepRange();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLReader_SetTimeStepRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLReader::SetTimeStepRange(temp0,temp1);
      }
    else
      {
      op->SetTimeStepRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkXMLReader *op;

  int    temp0[2];
  PyErr_Clear();
  if ((op = (vtkXMLReader *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLReader::SetTimeStepRange(temp0);
      }
    else
      {
      op->SetTimeStepRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLReader\nC++: vtkXMLReader *NewInstance ();\n\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkXMLReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Get/Set the name of the input file.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkXMLReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Get/Set the name of the input file.\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkXMLReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile (const char *name);\n\n Test whether the file with the given name can be read by this\n reader.\n"},
  {(char*)"GetOutputAsDataSet",                (PyCFunction)PyvtkXMLReader_GetOutputAsDataSet, 1,
   (char*)"V.GetOutputAsDataSet() -> vtkDataSet\nC++: vtkDataSet *GetOutputAsDataSet ();\nV.GetOutputAsDataSet(int) -> vtkDataSet\nC++: vtkDataSet *GetOutputAsDataSet (int index);\n\n Get the output as a vtkDataSet pointer.\n"},
  {(char*)"GetPointDataArraySelection",                (PyCFunction)PyvtkXMLReader_GetPointDataArraySelection, 1,
   (char*)"V.GetPointDataArraySelection() -> vtkDataArraySelection\nC++: vtkDataArraySelection *GetPointDataArraySelection ();\n\n Get the data array selection tables used to configure which data\n arrays are loaded by the reader.\n"},
  {(char*)"GetCellDataArraySelection",                (PyCFunction)PyvtkXMLReader_GetCellDataArraySelection, 1,
   (char*)"V.GetCellDataArraySelection() -> vtkDataArraySelection\nC++: vtkDataArraySelection *GetCellDataArraySelection ();\n\n Get the data array selection tables used to configure which data\n arrays are loaded by the reader.\n"},
  {(char*)"GetNumberOfPointArrays",                (PyCFunction)PyvtkXMLReader_GetNumberOfPointArrays, 1,
   (char*)"V.GetNumberOfPointArrays() -> int\nC++: int GetNumberOfPointArrays ();\n\n Get the number of point or cell arrays available in the input.\n"},
  {(char*)"GetNumberOfCellArrays",                (PyCFunction)PyvtkXMLReader_GetNumberOfCellArrays, 1,
   (char*)"V.GetNumberOfCellArrays() -> int\nC++: int GetNumberOfCellArrays ();\n\n Get the number of point or cell arrays available in the input.\n"},
  {(char*)"GetPointArrayName",                (PyCFunction)PyvtkXMLReader_GetPointArrayName, 1,
   (char*)"V.GetPointArrayName(int) -> string\nC++: const char *GetPointArrayName (int index);\n\n Get the name of the point or cell array with the given index in\n the input.\n"},
  {(char*)"GetCellArrayName",                (PyCFunction)PyvtkXMLReader_GetCellArrayName, 1,
   (char*)"V.GetCellArrayName(int) -> string\nC++: const char *GetCellArrayName (int index);\n\n Get the name of the point or cell array with the given index in\n the input.\n"},
  {(char*)"GetPointArrayStatus",                (PyCFunction)PyvtkXMLReader_GetPointArrayStatus, 1,
   (char*)"V.GetPointArrayStatus(string) -> int\nC++: int GetPointArrayStatus (const char *name);\n\n Get/Set whether the point or cell array with the given name is to\n be read.\n"},
  {(char*)"GetCellArrayStatus",                (PyCFunction)PyvtkXMLReader_GetCellArrayStatus, 1,
   (char*)"V.GetCellArrayStatus(string) -> int\nC++: int GetCellArrayStatus (const char *name);\n\n Get/Set whether the point or cell array with the given name is to\n be read.\n"},
  {(char*)"SetPointArrayStatus",                (PyCFunction)PyvtkXMLReader_SetPointArrayStatus, 1,
   (char*)"V.SetPointArrayStatus(string, int)\nC++: void SetPointArrayStatus (const char *name, int status);\n\n Get/Set whether the point or cell array with the given name is to\n be read.\n"},
  {(char*)"SetCellArrayStatus",                (PyCFunction)PyvtkXMLReader_SetCellArrayStatus, 1,
   (char*)"V.SetCellArrayStatus(string, int)\nC++: void SetCellArrayStatus (const char *name, int status);\n\n Get/Set whether the point or cell array with the given name is to\n be read.\n"},
  {(char*)"CopyOutputInformation",                (PyCFunction)PyvtkXMLReader_CopyOutputInformation, 1,
   (char*)"V.CopyOutputInformation(vtkInformation, int)\nC++: virtual void CopyOutputInformation (vtkInformation *, int );\n\n Which TimeStep to read.    \n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkXMLReader_SetTimeStep, 1,
   (char*)"V.SetTimeStep(int)\nC++: void SetTimeStep (int );\n\n Which TimeStep to read.    \n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkXMLReader_GetTimeStep, 1,
   (char*)"V.GetTimeStep() -> int\nC++: int GetTimeStep ();\n\n Which TimeStep to read.    \n"},
  {(char*)"GetNumberOfTimeSteps",                (PyCFunction)PyvtkXMLReader_GetNumberOfTimeSteps, 1,
   (char*)"V.GetNumberOfTimeSteps() -> int\nC++: int GetNumberOfTimeSteps ();\n\n"},
  {(char*)"GetTimeStepRange",                (PyCFunction)PyvtkXMLReader_GetTimeStepRange, 1,
   (char*)"V.GetTimeStepRange() -> (int, int)\nC++: int  *GetTimeStepRange ();\n\n Which TimeStepRange to read\n"},
  {(char*)"SetTimeStepRange",                (PyCFunction)PyvtkXMLReader_SetTimeStepRange, 1,
   (char*)"V.SetTimeStepRange(int, int)\nC++: void SetTimeStepRange (int , int );\nV.SetTimeStepRange((int, int))\nC++: void SetTimeStepRange (int  a[2]);\n\n Which TimeStepRange to read\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLReaderDoc[] = {
  (char*)"vtkXMLReader - Superclass for VTK's XML format readers.\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkXMLReader uses vtkXMLDataParser to parse a VTK XML input file.\n Concrete subclasses then traverse the parsed file structure and\n extract data.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLReaderNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLReaderMethods,
                        (char*)"vtkXMLReader",modulename,
                        (char**)vtkXMLReaderDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

