// python wrapper for vtkXMLRectilinearGridWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLRectilinearGridWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLRectilinearGridWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLRectilinearGridWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLStructuredDataWriterNew(char *); }

static PyObject *PyvtkXMLRectilinearGridWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLRectilinearGridWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLRectilinearGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLRectilinearGridWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLRectilinearGridWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLRectilinearGridWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLRectilinearGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLRectilinearGridWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLRectilinearGridWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLRectilinearGridWriter *op;

  vtkXMLRectilinearGridWriter  *temp20;
  if ((op = (vtkXMLRectilinearGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLRectilinearGridWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLRectilinearGridWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLRectilinearGridWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLRectilinearGridWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLRectilinearGridWriter_GetDefaultFileExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLRectilinearGridWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLRectilinearGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLRectilinearGridWriter::GetDefaultFileExtension();
      }
    else
      {
      temp20 = op->GetDefaultFileExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLRectilinearGridWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLRectilinearGridWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLRectilinearGridWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLRectilinearGridWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLRectilinearGridWriter\nC++: vtkXMLRectilinearGridWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLRectilinearGridWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLRectilinearGridWriter\nC++: vtkXMLRectilinearGridWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDefaultFileExtension",                (PyCFunction)PyvtkXMLRectilinearGridWriter_GetDefaultFileExtension, 1,
   (char*)"V.GetDefaultFileExtension() -> string\nC++: const char *GetDefaultFileExtension ();\n\n Get the default file extension for files written by this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLRectilinearGridWriterDoc[] = {
  (char*)"vtkXMLRectilinearGridWriter - Write VTK XML RectilinearGrid files.\n\n",
  "Super Class:\n\n vtkXMLStructuredDataWriter\n\n",
  (char*)" vtkXMLRectilinearGridWriter writes the VTK XML RectilinearGrid\n file format.  One rectilinear grid input can be written into one\n file in any number of streamed pieces.  The standard extension for\n this writer's file format is \"vtr\".  This writer is also used to\n write a single piece of the parallel file format.\n\n",
  "See Also:\n\n vtkXMLPRectilinearGridWriter\n\n",
  NULL
};

static vtkObjectBase *vtkXMLRectilinearGridWriterStaticNew()
{
  return vtkXMLRectilinearGridWriter::New();
}

PyObject *PyVTKClass_vtkXMLRectilinearGridWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLRectilinearGridWriterStaticNew,
                        PyvtkXMLRectilinearGridWriterMethods,
                        (char*)"vtkXMLRectilinearGridWriter",modulename,
                        (char**)vtkXMLRectilinearGridWriterDoc,
                        PyVTKClass_vtkXMLStructuredDataWriterNew(modulename));
}

