// python wrapper for vtkXMLUnstructuredDataReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLUnstructuredDataReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLUnstructuredDataReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLUnstructuredDataReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLDataReaderNew(char *); }

static PyObject *PyvtkXMLUnstructuredDataReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataReader *op;

  const char    *temp20;
  if ((op = (vtkXMLUnstructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredDataReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredDataReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLUnstructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredDataReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredDataReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataReader *op;

  vtkXMLUnstructuredDataReader  *temp20;
  if ((op = (vtkXMLUnstructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredDataReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredDataReader_GetNumberOfPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataReader *op;

  vtkIdType   temp20;
  if ((op = (vtkXMLUnstructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredDataReader::GetNumberOfPoints();
      }
    else
      {
      temp20 = op->GetNumberOfPoints();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredDataReader_GetNumberOfCells(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataReader *op;

  vtkIdType   temp20;
  if ((op = (vtkXMLUnstructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredDataReader::GetNumberOfCells();
      }
    else
      {
      temp20 = op->GetNumberOfCells();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredDataReader_SetupUpdateExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkXMLUnstructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLUnstructuredDataReader::SetupUpdateExtent(temp0,temp1,temp2);
      }
    else
      {
      op->SetupUpdateExtent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredDataReader_CopyOutputInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataReader *op;

  vtkInformation  *temp0;
  PyObject *tempH0;
  int      temp1;
  if ((op = (vtkXMLUnstructuredDataReader *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkInformation");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLUnstructuredDataReader::CopyOutputInformation(temp0,temp1);
      }
    else
      {
      op->CopyOutputInformation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkXMLUnstructuredDataReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLUnstructuredDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLUnstructuredDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLUnstructuredDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLUnstructuredDataReader\nC++: vtkXMLUnstructuredDataReader *NewInstance ();\n\n"},
  {(char*)"GetNumberOfPoints",                (PyCFunction)PyvtkXMLUnstructuredDataReader_GetNumberOfPoints, 1,
   (char*)"V.GetNumberOfPoints() -> int\nC++: virtual vtkIdType GetNumberOfPoints ();\n\n Get the number of points in the output.\n"},
  {(char*)"GetNumberOfCells",                (PyCFunction)PyvtkXMLUnstructuredDataReader_GetNumberOfCells, 1,
   (char*)"V.GetNumberOfCells() -> int\nC++: virtual vtkIdType GetNumberOfCells ();\n\n Get the number of cells in the output.\n"},
  {(char*)"SetupUpdateExtent",                (PyCFunction)PyvtkXMLUnstructuredDataReader_SetupUpdateExtent, 1,
   (char*)"V.SetupUpdateExtent(int, int, int)\nC++: void SetupUpdateExtent (int piece, int numberOfPieces, int ghostLevel);\n\n Setup the reader as if the given update extent were requested by\n its output.  This can be used after an UpdateInformation to\n validate GetNumberOfPoints() and GetNumberOfCells() without\n actually reading data.\n"},
  {(char*)"CopyOutputInformation",                (PyCFunction)PyvtkXMLUnstructuredDataReader_CopyOutputInformation, 1,
   (char*)"V.CopyOutputInformation(vtkInformation, int)\nC++: virtual void CopyOutputInformation (vtkInformation *outInfo, int port);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLUnstructuredDataReaderDoc[] = {
  (char*)"vtkXMLUnstructuredDataReader - Superclass for unstructured data XML readers.\n\n",
  "Super Class:\n\n vtkXMLDataReader\n\n",
  (char*)" vtkXMLUnstructuredDataReader provides functionality common to all\n unstructured data format readers.\n\n",
  "See Also:\n\n vtkXMLPolyDataReader vtkXMLUnstructuredGridReader\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLUnstructuredDataReaderNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLUnstructuredDataReaderMethods,
                        (char*)"vtkXMLUnstructuredDataReader",modulename,
                        (char**)vtkXMLUnstructuredDataReaderDoc,
                        PyVTKClass_vtkXMLDataReaderNew(modulename));
}

