// python wrapper for vtkXMLUnstructuredDataWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLUnstructuredDataWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLUnstructuredDataWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLUnstructuredDataWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLWriterNew(char *); }

static PyObject *PyvtkXMLUnstructuredDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLUnstructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredDataWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredDataWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLUnstructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredDataWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataWriter *op;

  vtkXMLUnstructuredDataWriter  *temp20;
  if ((op = (vtkXMLUnstructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredDataWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredDataWriter_SetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataWriter *op;

  int      temp0;
  if ((op = (vtkXMLUnstructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLUnstructuredDataWriter::SetNumberOfPieces(temp0);
      }
    else
      {
      op->SetNumberOfPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredDataWriter_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataWriter *op;

  int      temp20;
  if ((op = (vtkXMLUnstructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredDataWriter::GetNumberOfPieces();
      }
    else
      {
      temp20 = op->GetNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredDataWriter_SetWritePiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataWriter *op;

  int      temp0;
  if ((op = (vtkXMLUnstructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLUnstructuredDataWriter::SetWritePiece(temp0);
      }
    else
      {
      op->SetWritePiece(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredDataWriter_GetWritePiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataWriter *op;

  int      temp20;
  if ((op = (vtkXMLUnstructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredDataWriter::GetWritePiece();
      }
    else
      {
      temp20 = op->GetWritePiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredDataWriter_SetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataWriter *op;

  int      temp0;
  if ((op = (vtkXMLUnstructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLUnstructuredDataWriter::SetGhostLevel(temp0);
      }
    else
      {
      op->SetGhostLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredDataWriter_GetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredDataWriter *op;

  int      temp20;
  if ((op = (vtkXMLUnstructuredDataWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredDataWriter::GetGhostLevel();
      }
    else
      {
      temp20 = op->GetGhostLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLUnstructuredDataWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLUnstructuredDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLUnstructuredDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLUnstructuredDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLUnstructuredDataWriter\nC++: vtkXMLUnstructuredDataWriter *NewInstance ();\n\n"},
  {(char*)"SetNumberOfPieces",                (PyCFunction)PyvtkXMLUnstructuredDataWriter_SetNumberOfPieces, 1,
   (char*)"V.SetNumberOfPieces(int)\nC++: void SetNumberOfPieces (int );\n\n Get/Set the number of pieces used to stream the image through the\n pipeline while writing to the file.\n"},
  {(char*)"GetNumberOfPieces",                (PyCFunction)PyvtkXMLUnstructuredDataWriter_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: int GetNumberOfPieces ();\n\n Get/Set the number of pieces used to stream the image through the\n pipeline while writing to the file.\n"},
  {(char*)"SetWritePiece",                (PyCFunction)PyvtkXMLUnstructuredDataWriter_SetWritePiece, 1,
   (char*)"V.SetWritePiece(int)\nC++: void SetWritePiece (int );\n\n Get/Set the piece to write to the file.  If this is\n negative or equal to the NumberOfPieces, all pieces will be written.\n"},
  {(char*)"GetWritePiece",                (PyCFunction)PyvtkXMLUnstructuredDataWriter_GetWritePiece, 1,
   (char*)"V.GetWritePiece() -> int\nC++: int GetWritePiece ();\n\n Get/Set the piece to write to the file.  If this is\n negative or equal to the NumberOfPieces, all pieces will be written.\n"},
  {(char*)"SetGhostLevel",                (PyCFunction)PyvtkXMLUnstructuredDataWriter_SetGhostLevel, 1,
   (char*)"V.SetGhostLevel(int)\nC++: void SetGhostLevel (int );\n\n Get/Set the ghost level used to pad each piece.\n"},
  {(char*)"GetGhostLevel",                (PyCFunction)PyvtkXMLUnstructuredDataWriter_GetGhostLevel, 1,
   (char*)"V.GetGhostLevel() -> int\nC++: int GetGhostLevel ();\n\n Get/Set the ghost level used to pad each piece.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLUnstructuredDataWriterDoc[] = {
  (char*)"vtkXMLUnstructuredDataWriter - Superclass for VTK XML unstructured data writers.\n\n",
  "Super Class:\n\n vtkXMLWriter\n\n",
  (char*)" vtkXMLUnstructuredDataWriter provides VTK XML writing functionality\n that is common among all the unstructured data formats.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLUnstructuredDataWriterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLUnstructuredDataWriterMethods,
                        (char*)"vtkXMLUnstructuredDataWriter",modulename,
                        (char**)vtkXMLUnstructuredDataWriterDoc,
                        PyVTKClass_vtkXMLWriterNew(modulename));
}

