// python wrapper for vtkXMLUnstructuredGridWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLUnstructuredGridWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLUnstructuredGridWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLUnstructuredGridWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkXMLUnstructuredDataWriterNew(char *); }

static PyObject *PyvtkXMLUnstructuredGridWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredGridWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLUnstructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredGridWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredGridWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredGridWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLUnstructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredGridWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredGridWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredGridWriter *op;

  vtkXMLUnstructuredGridWriter  *temp20;
  if ((op = (vtkXMLUnstructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredGridWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredGridWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLUnstructuredGridWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLUnstructuredGridWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLUnstructuredGridWriter_GetDefaultFileExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUnstructuredGridWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLUnstructuredGridWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUnstructuredGridWriter::GetDefaultFileExtension();
      }
    else
      {
      temp20 = op->GetDefaultFileExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLUnstructuredGridWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLUnstructuredGridWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLUnstructuredGridWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLUnstructuredGridWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLUnstructuredGridWriter\nC++: vtkXMLUnstructuredGridWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLUnstructuredGridWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLUnstructuredGridWriter\nC++: vtkXMLUnstructuredGridWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDefaultFileExtension",                (PyCFunction)PyvtkXMLUnstructuredGridWriter_GetDefaultFileExtension, 1,
   (char*)"V.GetDefaultFileExtension() -> string\nC++: const char *GetDefaultFileExtension ();\n\n Get the default file extension for files written by this writer.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLUnstructuredGridWriterDoc[] = {
  (char*)"vtkXMLUnstructuredGridWriter - Write VTK XML UnstructuredGrid files.\n\n",
  "Super Class:\n\n vtkXMLUnstructuredDataWriter\n\n",
  (char*)" vtkXMLUnstructuredGridWriter writes the VTK XML UnstructuredGrid\n file format.  One unstructured grid input can be written into one\n file in any number of streamed pieces (if supported by the rest of\n the pipeline).  The standard extension for this writer's file\n format is \"vtu\".  This writer is also used to write a single piece\n of the parallel file format.\n\n",
  "See Also:\n\n vtkXMLPUnstructuredGridWriter\n\n",
  NULL
};

static vtkObjectBase *vtkXMLUnstructuredGridWriterStaticNew()
{
  return vtkXMLUnstructuredGridWriter::New();
}

PyObject *PyVTKClass_vtkXMLUnstructuredGridWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLUnstructuredGridWriterStaticNew,
                        PyvtkXMLUnstructuredGridWriterMethods,
                        (char*)"vtkXMLUnstructuredGridWriter",modulename,
                        (char**)vtkXMLUnstructuredGridWriterDoc,
                        PyVTKClass_vtkXMLUnstructuredDataWriterNew(modulename));
}

