// python wrapper for vtkXMLUtilities object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLUtilities.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLUtilitiesNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLUtilitiesNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkXMLUtilities_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUtilities *op;

  const char    *temp20;
  if ((op = (vtkXMLUtilities *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUtilities::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUtilities_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUtilities *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLUtilities *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUtilities::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUtilities_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLUtilities *op;

  vtkXMLUtilities  *temp20;
  if ((op = (vtkXMLUtilities *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLUtilities::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLUtilities_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXMLUtilities  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXMLUtilities::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXMLUtilities_FactorElements(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkXMLDataElement *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXMLDataElement");
    if (!temp0 && tempH0 != Py_None) goto break4;
      {
      vtkXMLUtilities::FactorElements(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkXMLUtilities_UnFactorElements(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLDataElement  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkXMLDataElement *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXMLDataElement");
    if (!temp0 && tempH0 != Py_None) goto break5;
      {
      vtkXMLUtilities::UnFactorElements(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkXMLUtilitiesMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLUtilities_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLUtilities_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLUtilities_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLUtilities\nC++: vtkXMLUtilities *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXMLUtilities_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXMLUtilities\nC++: vtkXMLUtilities *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"FactorElements",                (PyCFunction)PyvtkXMLUtilities_FactorElements, 1,
   (char*)"V.FactorElements(vtkXMLDataElement)\nC++: static void FactorElements (vtkXMLDataElement *tree);\n\n Factor and unfactor a tree. This operation looks for duplicate elements\n in the tree, and replace them with references to a pool of elements.\n Unfactoring a non-factored element is harmless.\n"},
  {(char*)"UnFactorElements",                (PyCFunction)PyvtkXMLUtilities_UnFactorElements, 1,
   (char*)"V.UnFactorElements(vtkXMLDataElement)\nC++: static void UnFactorElements (vtkXMLDataElement *tree);\n\n Factor and unfactor a tree. This operation looks for duplicate elements\n in the tree, and replace them with references to a pool of elements.\n Unfactoring a non-factored element is harmless.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLUtilitiesDoc[] = {
  (char*)"vtkXMLUtilities - XML utilities.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkXMLUtilities provides XML-related convenience functions.\n\n",
  "See Also:\n\n vtkXMLDataElement\n\n",
  NULL
};

static vtkObjectBase *vtkXMLUtilitiesStaticNew()
{
  return vtkXMLUtilities::New();
}

PyObject *PyVTKClass_vtkXMLUtilitiesNew(char *modulename)
{
  return PyVTKClass_New(&vtkXMLUtilitiesStaticNew,
                        PyvtkXMLUtilitiesMethods,
                        (char*)"vtkXMLUtilities",modulename,
                        (char**)vtkXMLUtilitiesDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

