// python wrapper for vtkXMLWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXMLWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXMLWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXMLWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkXMLWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  vtkXMLWriter  *temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetByteOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp0;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetByteOrder(temp0);
      }
    else
      {
      op->SetByteOrder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_GetByteOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::GetByteOrder();
      }
    else
      {
      temp20 = op->GetByteOrder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetByteOrderToBigEndian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetByteOrderToBigEndian();
      }
    else
      {
      op->SetByteOrderToBigEndian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetByteOrderToLittleEndian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetByteOrderToLittleEndian();
      }
    else
      {
      op->SetByteOrderToLittleEndian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetIdType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp0;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetIdType(temp0);
      }
    else
      {
      op->SetIdType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_GetIdType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::GetIdType();
      }
    else
      {
      temp20 = op->GetIdType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetIdTypeToInt32(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetIdTypeToInt32();
      }
    else
      {
      op->SetIdTypeToInt32();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetIdTypeToInt64(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetIdTypeToInt64();
      }
    else
      {
      op->SetIdTypeToInt64();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  char    *temp0;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  char    *temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetCompressor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  vtkDataCompressor  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataCompressor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataCompressor");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetCompressor(temp0);
      }
    else
      {
      op->SetCompressor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkXMLWriter_GetCompressor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  vtkDataCompressor  *temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::GetCompressor();
      }
    else
      {
      temp20 = op->GetCompressor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetBlockSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  unsigned int      temp0;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetBlockSize(temp0);
      }
    else
      {
      op->SetBlockSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_GetBlockSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  unsigned int      temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::GetBlockSize();
      }
    else
      {
      temp20 = op->GetBlockSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetDataMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp0;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetDataMode(temp0);
      }
    else
      {
      op->SetDataMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_GetDataMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::GetDataMode();
      }
    else
      {
      temp20 = op->GetDataMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetDataModeToAscii(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetDataModeToAscii();
      }
    else
      {
      op->SetDataModeToAscii();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetDataModeToBinary(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetDataModeToBinary();
      }
    else
      {
      op->SetDataModeToBinary();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetDataModeToAppended(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetDataModeToAppended();
      }
    else
      {
      op->SetDataModeToAppended();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetEncodeAppendedData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp0;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetEncodeAppendedData(temp0);
      }
    else
      {
      op->SetEncodeAppendedData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_GetEncodeAppendedData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::GetEncodeAppendedData();
      }
    else
      {
      temp20 = op->GetEncodeAppendedData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_EncodeAppendedDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::EncodeAppendedDataOn();
      }
    else
      {
      op->EncodeAppendedDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_EncodeAppendedDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::EncodeAppendedDataOff();
      }
    else
      {
      op->EncodeAppendedDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkXMLWriter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp0;
  vtkDataObject  *temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  vtkDataObject  *temp20;
  PyErr_Clear();
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_GetDefaultFileExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  const char    *temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetDefaultFileExtension();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_Write(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::Write();
      }
    else
      {
      temp20 = op->Write();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp0;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetTimeStep(temp0);
      }
    else
      {
      op->SetTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::GetTimeStep();
      }
    else
      {
      temp20 = op->GetTimeStep();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_GetTimeStepRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int     *temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::GetTimeStepRange();
      }
    else
      {
      temp20 = op->GetTimeStepRange();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetTimeStepRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetTimeStepRange(temp0,temp1);
      }
    else
      {
      op->SetTimeStepRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int    temp0[2];
  PyErr_Clear();
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetTimeStepRange(temp0);
      }
    else
      {
      op->SetTimeStepRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_GetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp20;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXMLWriter::GetNumberOfTimeSteps();
      }
    else
      {
      temp20 = op->GetNumberOfTimeSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_SetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  int      temp0;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::SetNumberOfTimeSteps(temp0);
      }
    else
      {
      op->SetNumberOfTimeSteps(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_Start(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::Start();
      }
    else
      {
      op->Start();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_Stop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::Stop();
      }
    else
      {
      op->Stop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXMLWriter_WriteNextTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXMLWriter *op;

  double   temp0;
  if ((op = (vtkXMLWriter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXMLWriter::WriteNextTime(temp0);
      }
    else
      {
      op->WriteNextTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXMLWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXMLWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXMLWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXMLWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXMLWriter\nC++: vtkXMLWriter *NewInstance ();\n\n"},
  {(char*)"SetByteOrder",                (PyCFunction)PyvtkXMLWriter_SetByteOrder, 1,
   (char*)"V.SetByteOrder(int)\nC++: void SetByteOrder (int );\n\n Get/Set the byte order of data written to the file.  The default\n is the machine's hardware byte order.\n"},
  {(char*)"GetByteOrder",                (PyCFunction)PyvtkXMLWriter_GetByteOrder, 1,
   (char*)"V.GetByteOrder() -> int\nC++: int GetByteOrder ();\n\n Get/Set the byte order of data written to the file.  The default\n is the machine's hardware byte order.\n"},
  {(char*)"SetByteOrderToBigEndian",                (PyCFunction)PyvtkXMLWriter_SetByteOrderToBigEndian, 1,
   (char*)"V.SetByteOrderToBigEndian()\nC++: void SetByteOrderToBigEndian ();\n\n Get/Set the byte order of data written to the file.  The default\n is the machine's hardware byte order.\n"},
  {(char*)"SetByteOrderToLittleEndian",                (PyCFunction)PyvtkXMLWriter_SetByteOrderToLittleEndian, 1,
   (char*)"V.SetByteOrderToLittleEndian()\nC++: void SetByteOrderToLittleEndian ();\n\n Get/Set the byte order of data written to the file.  The default\n is the machine's hardware byte order.\n"},
  {(char*)"SetIdType",                (PyCFunction)PyvtkXMLWriter_SetIdType, 1,
   (char*)"V.SetIdType(int)\nC++: virtual void SetIdType (int );\n\n Get/Set the size of the vtkIdType values stored in the file.  The\n default is the real size of vtkIdType.\n"},
  {(char*)"GetIdType",                (PyCFunction)PyvtkXMLWriter_GetIdType, 1,
   (char*)"V.GetIdType() -> int\nC++: int GetIdType ();\n\n Get/Set the size of the vtkIdType values stored in the file.  The\n default is the real size of vtkIdType.\n"},
  {(char*)"SetIdTypeToInt32",                (PyCFunction)PyvtkXMLWriter_SetIdTypeToInt32, 1,
   (char*)"V.SetIdTypeToInt32()\nC++: void SetIdTypeToInt32 ();\n\n Get/Set the size of the vtkIdType values stored in the file.  The\n default is the real size of vtkIdType.\n"},
  {(char*)"SetIdTypeToInt64",                (PyCFunction)PyvtkXMLWriter_SetIdTypeToInt64, 1,
   (char*)"V.SetIdTypeToInt64()\nC++: void SetIdTypeToInt64 ();\n\n Get/Set the size of the vtkIdType values stored in the file.  The\n default is the real size of vtkIdType.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkXMLWriter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n Get/Set the name of the output file.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkXMLWriter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Get/Set the name of the output file.\n"},
  {(char*)"SetCompressor",                (PyCFunction)PyvtkXMLWriter_SetCompressor, 1,
   (char*)"V.SetCompressor(vtkDataCompressor)\nC++: virtual void SetCompressor (vtkDataCompressor *);\n\n Get/Set the compressor used to compress binary and appended data\n before writing to the file.  Default is no compression.\n"},
  {(char*)"GetCompressor",                (PyCFunction)PyvtkXMLWriter_GetCompressor, 1,
   (char*)"V.GetCompressor() -> vtkDataCompressor\nC++: vtkDataCompressor *GetCompressor ();\n\n Get/Set the compressor used to compress binary and appended data\n before writing to the file.  Default is no compression.\n"},
  {(char*)"SetBlockSize",                (PyCFunction)PyvtkXMLWriter_SetBlockSize, 1,
   (char*)"V.SetBlockSize(int)\nC++: virtual void SetBlockSize (unsigned int blockSize);\n\n Get/Set the block size used in compression.  When reading, this\n controls the granularity of how much extra information must be\n read when only part of the data are requested.  The value should\n be a multiple of the largest scalar data type.\n"},
  {(char*)"GetBlockSize",                (PyCFunction)PyvtkXMLWriter_GetBlockSize, 1,
   (char*)"V.GetBlockSize() -> int\nC++: int unsigned GetBlockSize ();\n\n Get/Set the block size used in compression.  When reading, this\n controls the granularity of how much extra information must be\n read when only part of the data are requested.  The value should\n be a multiple of the largest scalar data type.\n"},
  {(char*)"SetDataMode",                (PyCFunction)PyvtkXMLWriter_SetDataMode, 1,
   (char*)"V.SetDataMode(int)\nC++: void SetDataMode (int );\n\n Get/Set the data mode used for the file's data.  The options are\n vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and\n vtkXMLWriter::Appended.\n"},
  {(char*)"GetDataMode",                (PyCFunction)PyvtkXMLWriter_GetDataMode, 1,
   (char*)"V.GetDataMode() -> int\nC++: int GetDataMode ();\n\n Get/Set the data mode used for the file's data.  The options are\n vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and\n vtkXMLWriter::Appended.\n"},
  {(char*)"SetDataModeToAscii",                (PyCFunction)PyvtkXMLWriter_SetDataModeToAscii, 1,
   (char*)"V.SetDataModeToAscii()\nC++: void SetDataModeToAscii ();\n\n Get/Set the data mode used for the file's data.  The options are\n vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and\n vtkXMLWriter::Appended.\n"},
  {(char*)"SetDataModeToBinary",                (PyCFunction)PyvtkXMLWriter_SetDataModeToBinary, 1,
   (char*)"V.SetDataModeToBinary()\nC++: void SetDataModeToBinary ();\n\n Get/Set the data mode used for the file's data.  The options are\n vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and\n vtkXMLWriter::Appended.\n"},
  {(char*)"SetDataModeToAppended",                (PyCFunction)PyvtkXMLWriter_SetDataModeToAppended, 1,
   (char*)"V.SetDataModeToAppended()\nC++: void SetDataModeToAppended ();\n\n Get/Set the data mode used for the file's data.  The options are\n vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and\n vtkXMLWriter::Appended.\n"},
  {(char*)"SetEncodeAppendedData",                (PyCFunction)PyvtkXMLWriter_SetEncodeAppendedData, 1,
   (char*)"V.SetEncodeAppendedData(int)\nC++: void SetEncodeAppendedData (int );\n\n Get/Set whether the appended data section is base64 encoded.  If\n encoded, reading and writing will be slower, but the file will be\n fully valid XML and text-only.  If not encoded, the XML\n specification will be violated, but reading and writing will be\n fast.  The default is to do the encoding.\n"},
  {(char*)"GetEncodeAppendedData",                (PyCFunction)PyvtkXMLWriter_GetEncodeAppendedData, 1,
   (char*)"V.GetEncodeAppendedData() -> int\nC++: int GetEncodeAppendedData ();\n\n Get/Set whether the appended data section is base64 encoded.  If\n encoded, reading and writing will be slower, but the file will be\n fully valid XML and text-only.  If not encoded, the XML\n specification will be violated, but reading and writing will be\n fast.  The default is to do the encoding.\n"},
  {(char*)"EncodeAppendedDataOn",                (PyCFunction)PyvtkXMLWriter_EncodeAppendedDataOn, 1,
   (char*)"V.EncodeAppendedDataOn()\nC++: void EncodeAppendedDataOn ();\n\n Get/Set whether the appended data section is base64 encoded.  If\n encoded, reading and writing will be slower, but the file will be\n fully valid XML and text-only.  If not encoded, the XML\n specification will be violated, but reading and writing will be\n fast.  The default is to do the encoding.\n"},
  {(char*)"EncodeAppendedDataOff",                (PyCFunction)PyvtkXMLWriter_EncodeAppendedDataOff, 1,
   (char*)"V.EncodeAppendedDataOff()\nC++: void EncodeAppendedDataOff ();\n\n Get/Set whether the appended data section is base64 encoded.  If\n encoded, reading and writing will be slower, but the file will be\n fully valid XML and text-only.  If not encoded, the XML\n specification will be violated, but reading and writing will be\n fast.  The default is to do the encoding.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkXMLWriter_SetInput, 1,
   (char*)"V.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *);\nV.SetInput(int, vtkDataObject)\nC++: void SetInput (int , vtkDataObject *);\n\n Set/Get an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkXMLWriter_GetInput, 1,
   (char*)"V.GetInput(int) -> vtkDataObject\nC++: vtkDataObject *GetInput (int port);\nV.GetInput() -> vtkDataObject\nC++: vtkDataObject *GetInput ();return this GetInput \n\n Set/Get an input of this algorithm. You should not override these\n methods because they are not the only way to connect a pipeline\n"},
  {(char*)"GetDefaultFileExtension",                (PyCFunction)PyvtkXMLWriter_GetDefaultFileExtension, 1,
   (char*)"V.GetDefaultFileExtension() -> string\nC++: virtual const char *GetDefaultFileExtension () = 0;\n\n Get the default file extension for files written by this writer.\n"},
  {(char*)"Write",                (PyCFunction)PyvtkXMLWriter_Write, 1,
   (char*)"V.Write() -> int\nC++: int Write ();\n\n Invoke the writer.  Returns 1 for success, 0 for failure.\n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkXMLWriter_SetTimeStep, 1,
   (char*)"V.SetTimeStep(int)\nC++: void SetTimeStep (int );\n\n Which TimeStep to write.\n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkXMLWriter_GetTimeStep, 1,
   (char*)"V.GetTimeStep() -> int\nC++: int GetTimeStep ();\n\n Which TimeStep to write.\n"},
  {(char*)"GetTimeStepRange",                (PyCFunction)PyvtkXMLWriter_GetTimeStepRange, 1,
   (char*)"V.GetTimeStepRange() -> (int, int)\nC++: int  *GetTimeStepRange ();\n\n Which TimeStepRange to write.\n"},
  {(char*)"SetTimeStepRange",                (PyCFunction)PyvtkXMLWriter_SetTimeStepRange, 1,
   (char*)"V.SetTimeStepRange(int, int)\nC++: void SetTimeStepRange (int , int );\nV.SetTimeStepRange((int, int))\nC++: void SetTimeStepRange (int  a[2]);\n\n Which TimeStepRange to write.\n"},
  {(char*)"GetNumberOfTimeSteps",                (PyCFunction)PyvtkXMLWriter_GetNumberOfTimeSteps, 1,
   (char*)"V.GetNumberOfTimeSteps() -> int\nC++: int GetNumberOfTimeSteps ();\n\n Set the number of time steps\n"},
  {(char*)"SetNumberOfTimeSteps",                (PyCFunction)PyvtkXMLWriter_SetNumberOfTimeSteps, 1,
   (char*)"V.SetNumberOfTimeSteps(int)\nC++: void SetNumberOfTimeSteps (int );\n\n Set the number of time steps\n"},
  {(char*)"Start",                (PyCFunction)PyvtkXMLWriter_Start, 1,
   (char*)"V.Start()\nC++: void Start ();\n\n API to interface an outside the VTK pipeline control\n"},
  {(char*)"Stop",                (PyCFunction)PyvtkXMLWriter_Stop, 1,
   (char*)"V.Stop()\nC++: void Stop ();\n\n API to interface an outside the VTK pipeline control\n"},
  {(char*)"WriteNextTime",                (PyCFunction)PyvtkXMLWriter_WriteNextTime, 1,
   (char*)"V.WriteNextTime(float)\nC++: void WriteNextTime (double time);\n\n API to interface an outside the VTK pipeline control\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXMLWriterDoc[] = {
  (char*)"vtkXMLWriter - Superclass for VTK's XML file writers.\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkXMLWriter provides methods implementing most of the\n functionality needed to write VTK XML file formats.  Concrete\n subclasses provide actual writer implementations calling upon this\n functionality.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkXMLWriterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkXMLWriterMethods,
                        (char*)"vtkXMLWriter",modulename,
                        (char**)vtkXMLWriterDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

