// tcl wrapper for vtkXMLWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXMLWriter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXMLWriterCppCommand(vtkXMLWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkXMLWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkXMLWriterCppCommand((vtkXMLWriter *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXMLWriterCppCommand(vtkXMLWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkXMLWriter",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkAlgorithmCppCommand((vtkAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkXMLWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkXMLWriter");
    return TCL_OK;
    }
  if ((!strcmp("SetByteOrder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetByteOrder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetByteOrder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetByteOrder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetByteOrderToBigEndian",argv[1]))&&(argc == 2))
    {
    op->SetByteOrderToBigEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetByteOrderToLittleEndian",argv[1]))&&(argc == 2))
    {
    op->SetByteOrderToLittleEndian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIdType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIdType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIdType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIdType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIdTypeToInt32",argv[1]))&&(argc == 2))
    {
    op->SetIdTypeToInt32();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIdTypeToInt64",argv[1]))&&(argc == 2))
    {
    op->SetIdTypeToInt64();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCompressor",argv[1]))&&(argc == 3))
    {
    vtkDataCompressor  *temp0;
    error = 0;

    temp0 = (vtkDataCompressor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataCompressor",interp,error));
    if (!error)
    {
    op->SetCompressor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompressor",argv[1]))&&(argc == 2))
    {
    vtkDataCompressor  *temp20;
    temp20 = (op)->GetCompressor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataCompressor");
    return TCL_OK;
    }
  if ((!strcmp("SetBlockSize",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    op->SetBlockSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlockSize",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetBlockSize();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataModeToAscii",argv[1]))&&(argc == 2))
    {
    op->SetDataModeToAscii();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataModeToBinary",argv[1]))&&(argc == 2))
    {
    op->SetDataModeToBinary();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataModeToAppended",argv[1]))&&(argc == 2))
    {
    op->SetDataModeToAppended();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEncodeAppendedData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEncodeAppendedData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEncodeAppendedData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEncodeAppendedData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EncodeAppendedDataOn",argv[1]))&&(argc == 2))
    {
    op->EncodeAppendedDataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EncodeAppendedDataOff",argv[1]))&&(argc == 2))
    {
    op->EncodeAppendedDataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataObject  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->SetInput(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataObject  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("GetDefaultFileExtension",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDefaultFileExtension();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("Write",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Write();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTimeStep",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimeStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeStep",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTimeStep();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTimeStepRange",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetTimeStepRange();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTimeStepRange",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetTimeStepRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTimeStepRange",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetTimeStepRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfTimeSteps",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTimeSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfTimeSteps",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfTimeSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Start",argv[1]))&&(argc == 2))
    {
    op->Start();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Stop",argv[1]))&&(argc == 2))
    {
    op->Stop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteNextTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->WriteNextTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkXMLWriterCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXMLWriter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetByteOrder\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrderToBigEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetByteOrderToLittleEndian\n",NULL);
    Tcl_AppendResult(interp,"  SetIdType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIdType\n",NULL);
    Tcl_AppendResult(interp,"  SetIdTypeToInt32\n",NULL);
    Tcl_AppendResult(interp,"  SetIdTypeToInt64\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetCompressor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompressor\n",NULL);
    Tcl_AppendResult(interp,"  SetBlockSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBlockSize\n",NULL);
    Tcl_AppendResult(interp,"  SetDataMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataMode\n",NULL);
    Tcl_AppendResult(interp,"  SetDataModeToAscii\n",NULL);
    Tcl_AppendResult(interp,"  SetDataModeToBinary\n",NULL);
    Tcl_AppendResult(interp,"  SetDataModeToAppended\n",NULL);
    Tcl_AppendResult(interp,"  SetEncodeAppendedData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEncodeAppendedData\n",NULL);
    Tcl_AppendResult(interp,"  EncodeAppendedDataOn\n",NULL);
    Tcl_AppendResult(interp,"  EncodeAppendedDataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultFileExtension\n",NULL);
    Tcl_AppendResult(interp,"  Write\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeStep\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeStepRange\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStepRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStepRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTimeSteps\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfTimeSteps\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Start\n",NULL);
    Tcl_AppendResult(interp,"  Stop\n",NULL);
    Tcl_AppendResult(interp,"  WriteNextTime\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkAlgorithmCppCommand((vtkAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
