// python wrapper for vtkXYZMolReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXYZMolReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXYZMolReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXYZMolReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMoleculeReaderBaseNew(char *); }

static PyObject *PyvtkXYZMolReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYZMolReader *op;

  const char    *temp20;
  if ((op = (vtkXYZMolReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYZMolReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXYZMolReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYZMolReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXYZMolReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYZMolReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYZMolReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYZMolReader *op;

  vtkXYZMolReader  *temp20;
  if ((op = (vtkXYZMolReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYZMolReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYZMolReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXYZMolReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXYZMolReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXYZMolReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYZMolReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXYZMolReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYZMolReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYZMolReader_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYZMolReader *op;

  int      temp0;
  if ((op = (vtkXYZMolReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYZMolReader::SetTimeStep(temp0);
      }
    else
      {
      op->SetTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXYZMolReader_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYZMolReader *op;

  int      temp20;
  if ((op = (vtkXYZMolReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYZMolReader::GetTimeStep();
      }
    else
      {
      temp20 = op->GetTimeStep();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYZMolReader_GetMaxTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYZMolReader *op;

  int      temp20;
  if ((op = (vtkXYZMolReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYZMolReader::GetMaxTimeStep();
      }
    else
      {
      temp20 = op->GetMaxTimeStep();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXYZMolReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXYZMolReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXYZMolReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXYZMolReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXYZMolReader\nC++: vtkXYZMolReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXYZMolReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXYZMolReader\nC++: vtkXYZMolReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkXYZMolReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile (const char *name);\n\n Test whether the file with the given name can be read by this\n reader.\n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkXYZMolReader_SetTimeStep, 1,
   (char*)"V.SetTimeStep(int)\nC++: void SetTimeStep (int );\n\n Set the current time step. It should be greater than 0 and smaller than\n MaxTimeStep.\n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkXYZMolReader_GetTimeStep, 1,
   (char*)"V.GetTimeStep() -> int\nC++: int GetTimeStep ();\n\n Set the current time step. It should be greater than 0 and smaller than\n MaxTimeStep.\n"},
  {(char*)"GetMaxTimeStep",                (PyCFunction)PyvtkXYZMolReader_GetMaxTimeStep, 1,
   (char*)"V.GetMaxTimeStep() -> int\nC++: int GetMaxTimeStep ();\n\n Get the maximum time step.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXYZMolReaderDoc[] = {
  (char*)"vtkXYZMolReader - read Molecular Data files\n\n",
  "Super Class:\n\n vtkMoleculeReaderBase\n\n",
  (char*)" vtkXYZMolReader is a source object that reads Molecule files\n The FileName must be specified\n\n .SECTION Thanks\n Dr. Jean M. Favre who developed and contributed this class\n\n",
  NULL
};

static vtkObjectBase *vtkXYZMolReaderStaticNew()
{
  return vtkXYZMolReader::New();
}

PyObject *PyVTKClass_vtkXYZMolReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkXYZMolReaderStaticNew,
                        PyvtkXYZMolReaderMethods,
                        (char*)"vtkXYZMolReader",modulename,
                        (char**)vtkXYZMolReaderDoc,
                        PyVTKClass_vtkMoleculeReaderBaseNew(modulename));
}

