// python wrapper for vtkBooleanTexture object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkBooleanTexture.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBooleanTextureNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBooleanTextureNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkBooleanTexture_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  const char    *temp20;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBooleanTexture::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBooleanTexture::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  vtkBooleanTexture  *temp20;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBooleanTexture::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBooleanTexture  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBooleanTexture::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBooleanTexture_SetXSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  int      temp0;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBooleanTexture::SetXSize(temp0);
      }
    else
      {
      op->SetXSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_GetXSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  int      temp20;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBooleanTexture::GetXSize();
      }
    else
      {
      temp20 = op->GetXSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_SetYSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  int      temp0;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBooleanTexture::SetYSize(temp0);
      }
    else
      {
      op->SetYSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_GetYSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  int      temp20;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBooleanTexture::GetYSize();
      }
    else
      {
      temp20 = op->GetYSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_SetThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  int      temp0;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBooleanTexture::SetThickness(temp0);
      }
    else
      {
      op->SetThickness(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_GetThickness(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  int      temp20;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBooleanTexture::GetThickness();
      }
    else
      {
      temp20 = op->GetThickness();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_SetInIn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  unsigned char     temp0;
  unsigned char     temp1;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"bb", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBooleanTexture::SetInIn(temp0,temp1);
      }
    else
      {
      op->SetInIn(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_SetInOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  unsigned char     temp0;
  unsigned char     temp1;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"bb", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBooleanTexture::SetInOut(temp0,temp1);
      }
    else
      {
      op->SetInOut(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_SetOutIn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  unsigned char     temp0;
  unsigned char     temp1;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"bb", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBooleanTexture::SetOutIn(temp0,temp1);
      }
    else
      {
      op->SetOutIn(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_SetOutOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  unsigned char     temp0;
  unsigned char     temp1;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"bb", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBooleanTexture::SetOutOut(temp0,temp1);
      }
    else
      {
      op->SetOutOut(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_SetOnOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  unsigned char     temp0;
  unsigned char     temp1;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"bb", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBooleanTexture::SetOnOn(temp0,temp1);
      }
    else
      {
      op->SetOnOn(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_SetOnIn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  unsigned char     temp0;
  unsigned char     temp1;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"bb", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBooleanTexture::SetOnIn(temp0,temp1);
      }
    else
      {
      op->SetOnIn(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_SetOnOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  unsigned char     temp0;
  unsigned char     temp1;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"bb", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBooleanTexture::SetOnOut(temp0,temp1);
      }
    else
      {
      op->SetOnOut(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_SetInOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  unsigned char     temp0;
  unsigned char     temp1;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"bb", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBooleanTexture::SetInOn(temp0,temp1);
      }
    else
      {
      op->SetInOn(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBooleanTexture_SetOutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBooleanTexture *op;

  unsigned char     temp0;
  unsigned char     temp1;
  if ((op = (vtkBooleanTexture *)PyArg_VTKParseTuple(self, args, (char*)"bb", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBooleanTexture::SetOutOn(temp0,temp1);
      }
    else
      {
      op->SetOutOn(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBooleanTextureMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBooleanTexture_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBooleanTexture_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBooleanTexture_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBooleanTexture\nC++: vtkBooleanTexture *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBooleanTexture_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBooleanTexture\nC++: vtkBooleanTexture *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetXSize",                (PyCFunction)PyvtkBooleanTexture_SetXSize, 1,
   (char*)"V.SetXSize(int)\nC++: void SetXSize (int );\n\n Set the X texture map dimension.\n"},
  {(char*)"GetXSize",                (PyCFunction)PyvtkBooleanTexture_GetXSize, 1,
   (char*)"V.GetXSize() -> int\nC++: int GetXSize ();\n\n Set the X texture map dimension.\n"},
  {(char*)"SetYSize",                (PyCFunction)PyvtkBooleanTexture_SetYSize, 1,
   (char*)"V.SetYSize(int)\nC++: void SetYSize (int );\n\n Set the Y texture map dimension.\n"},
  {(char*)"GetYSize",                (PyCFunction)PyvtkBooleanTexture_GetYSize, 1,
   (char*)"V.GetYSize() -> int\nC++: int GetYSize ();\n\n Set the Y texture map dimension.\n"},
  {(char*)"SetThickness",                (PyCFunction)PyvtkBooleanTexture_SetThickness, 1,
   (char*)"V.SetThickness(int)\nC++: void SetThickness (int );\n\n Set the thickness of the \"on\" region.\n"},
  {(char*)"GetThickness",                (PyCFunction)PyvtkBooleanTexture_GetThickness, 1,
   (char*)"V.GetThickness() -> int\nC++: int GetThickness ();\n\n Set the thickness of the \"on\" region.\n"},
  {(char*)"SetInIn",                (PyCFunction)PyvtkBooleanTexture_SetInIn, 1,
   (char*)"V.SetInIn(int, int)\nC++: void SetInIn (unsigned char , unsigned char );\n\n Specify intensity/transparency for \"in/in\" region.\n"},
  {(char*)"SetInOut",                (PyCFunction)PyvtkBooleanTexture_SetInOut, 1,
   (char*)"V.SetInOut(int, int)\nC++: void SetInOut (unsigned char , unsigned char );\n\n Specify intensity/transparency for \"in/out\" region.\n"},
  {(char*)"SetOutIn",                (PyCFunction)PyvtkBooleanTexture_SetOutIn, 1,
   (char*)"V.SetOutIn(int, int)\nC++: void SetOutIn (unsigned char , unsigned char );\n\n Specify intensity/transparency for \"out/in\" region.\n"},
  {(char*)"SetOutOut",                (PyCFunction)PyvtkBooleanTexture_SetOutOut, 1,
   (char*)"V.SetOutOut(int, int)\nC++: void SetOutOut (unsigned char , unsigned char );\n\n Specify intensity/transparency for \"out/out\" region.\n"},
  {(char*)"SetOnOn",                (PyCFunction)PyvtkBooleanTexture_SetOnOn, 1,
   (char*)"V.SetOnOn(int, int)\nC++: void SetOnOn (unsigned char , unsigned char );\n\n Specify intensity/transparency for \"on/on\" region.\n"},
  {(char*)"SetOnIn",                (PyCFunction)PyvtkBooleanTexture_SetOnIn, 1,
   (char*)"V.SetOnIn(int, int)\nC++: void SetOnIn (unsigned char , unsigned char );\n\n Specify intensity/transparency for \"on/in\" region.\n"},
  {(char*)"SetOnOut",                (PyCFunction)PyvtkBooleanTexture_SetOnOut, 1,
   (char*)"V.SetOnOut(int, int)\nC++: void SetOnOut (unsigned char , unsigned char );\n\n Specify intensity/transparency for \"on/out\" region.\n"},
  {(char*)"SetInOn",                (PyCFunction)PyvtkBooleanTexture_SetInOn, 1,
   (char*)"V.SetInOn(int, int)\nC++: void SetInOn (unsigned char , unsigned char );\n\n Specify intensity/transparency for \"in/on\" region.\n"},
  {(char*)"SetOutOn",                (PyCFunction)PyvtkBooleanTexture_SetOutOn, 1,
   (char*)"V.SetOutOn(int, int)\nC++: void SetOutOn (unsigned char , unsigned char );\n\n Specify intensity/transparency for \"out/on\" region.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBooleanTextureDoc[] = {
  (char*)"vtkBooleanTexture - generate 2D texture map based on combinations of inside, outside, and on region boundary\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkBooleanTexture is a filter to generate a 2D texture map based on \n combinations of inside, outside, and on region boundary. The \"region\" is\n implicitly represented via 2D texture coordinates. These texture \n coordinates are normally generated using a filter like \n vtkImplicitTextureCoords, which generates the texture coordinates for \n any implicit function.\n\n vtkBooleanTexture generates the ma",
  (char*)"p according to the s-t texture\n coordinates plus the notion of being in, on, or outside of a\n region. An in region is when the texture coordinate is between\n (0,0.5-thickness/2).  An out region is where the texture coordinate\n is (0.5+thickness/2). An on region is between\n (0.5-thickness/2,0.5+thickness/2). The combination in, on, and out\n for each of the s-t texture coordinates results in 16 poss",
  (char*)"ible\n combinations (see text). For each combination, a different value of \n intensity and transparency can be assigned. To assign maximum intensity\n and/or opacity use the value 255. A minimum value of 0 results in\n a black region (for intensity) and a fully transparent region (for\n transparency).\n\n",
  "See Also:\n\n vtkImplicitTextureCoords vtkThresholdTextureCoords\n\n",
  NULL
};

static vtkObjectBase *vtkBooleanTextureStaticNew()
{
  return vtkBooleanTexture::New();
}

PyObject *PyVTKClass_vtkBooleanTextureNew(char *modulename)
{
  return PyVTKClass_New(&vtkBooleanTextureStaticNew,
                        PyvtkBooleanTextureMethods,
                        (char*)"vtkBooleanTexture",modulename,
                        (char**)vtkBooleanTextureDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

