// tcl wrapper for vtkBooleanTexture object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBooleanTexture.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkBooleanTextureNewCommand()
{
  vtkBooleanTexture *temp = vtkBooleanTexture::New();
  return ((ClientData)temp);
}

int vtkImageAlgorithmCppCommand(vtkImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBooleanTextureCppCommand(vtkBooleanTexture *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBooleanTextureCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBooleanTextureCppCommand((vtkBooleanTexture *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBooleanTextureCppCommand(vtkBooleanTexture *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBooleanTexture",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkImageAlgorithmCppCommand((vtkImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkImageAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBooleanTexture  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkBooleanTexture");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBooleanTexture  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkBooleanTexture");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBooleanTexture  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkBooleanTexture");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetXSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetXSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetYSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetYSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThickness",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThickness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThickness",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThickness();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInIn",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned char)tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = (unsigned char)tempi;
    if (!error)
    {
    op->SetInIn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInIn",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetInIn();
    char tempResult[1024];
    sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInOut",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned char)tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = (unsigned char)tempi;
    if (!error)
    {
    op->SetInOut(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInOut",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetInOut();
    char tempResult[1024];
    sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutIn",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned char)tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = (unsigned char)tempi;
    if (!error)
    {
    op->SetOutIn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutIn",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetOutIn();
    char tempResult[1024];
    sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutOut",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned char)tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = (unsigned char)tempi;
    if (!error)
    {
    op->SetOutOut(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutOut",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetOutOut();
    char tempResult[1024];
    sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOnOn",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned char)tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = (unsigned char)tempi;
    if (!error)
    {
    op->SetOnOn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOnOn",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetOnOn();
    char tempResult[1024];
    sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOnIn",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned char)tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = (unsigned char)tempi;
    if (!error)
    {
    op->SetOnIn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOnIn",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetOnIn();
    char tempResult[1024];
    sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOnOut",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned char)tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = (unsigned char)tempi;
    if (!error)
    {
    op->SetOnOut(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOnOut",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetOnOut();
    char tempResult[1024];
    sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInOn",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned char)tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = (unsigned char)tempi;
    if (!error)
    {
    op->SetInOn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInOn",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetInOn();
    char tempResult[1024];
    sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutOn",argv[1]))&&(argc == 4))
    {
    unsigned char     temp0;
    unsigned char     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned char)tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = (unsigned char)tempi;
    if (!error)
    {
    op->SetOutOn(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutOn",argv[1]))&&(argc == 2))
    {
    unsigned char    *temp20;
    temp20 = (op)->GetOutOn();
    char tempResult[1024];
    sprintf(tempResult,"%u %u ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkBooleanTextureCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBooleanTexture:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetXSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXSize\n",NULL);
    Tcl_AppendResult(interp,"  SetYSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYSize\n",NULL);
    Tcl_AppendResult(interp,"  SetThickness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThickness\n",NULL);
    Tcl_AppendResult(interp,"  SetInIn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInIn\n",NULL);
    Tcl_AppendResult(interp,"  SetInOut\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInOut\n",NULL);
    Tcl_AppendResult(interp,"  SetOutIn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutIn\n",NULL);
    Tcl_AppendResult(interp,"  SetOutOut\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutOut\n",NULL);
    Tcl_AppendResult(interp,"  SetOnOn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOnOn\n",NULL);
    Tcl_AppendResult(interp,"  SetOnIn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOnIn\n",NULL);
    Tcl_AppendResult(interp,"  SetOnOut\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOnOut\n",NULL);
    Tcl_AppendResult(interp,"  SetInOn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInOn\n",NULL);
    Tcl_AppendResult(interp,"  SetOutOn\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutOn\n",NULL);
    return TCL_OK;
    }

  if (vtkImageAlgorithmCppCommand((vtkImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
