// python wrapper for vtkExtractVOI object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkExtractVOI.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractVOINew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractVOINew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkExtractVOI_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVOI *op;

  const char    *temp20;
  if ((op = (vtkExtractVOI *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractVOI::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVOI_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVOI *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkExtractVOI *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractVOI::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVOI_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVOI *op;

  vtkExtractVOI  *temp20;
  if ((op = (vtkExtractVOI *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractVOI::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVOI_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractVOI  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractVOI::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractVOI_SetVOI(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVOI *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ((op = (vtkExtractVOI *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractVOI::SetVOI(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetVOI(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtractVOI *op;

  int    temp0[6];
  PyErr_Clear();
  if ((op = (vtkExtractVOI *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractVOI::SetVOI(temp0);
      }
    else
      {
      op->SetVOI(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVOI_GetVOI(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVOI *op;

  int     *temp20;
  if ((op = (vtkExtractVOI *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractVOI::GetVOI();
      }
    else
      {
      temp20 = op->GetVOI();
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVOI_SetSampleRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVOI *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkExtractVOI *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractVOI::SetSampleRate(temp0,temp1,temp2);
      }
    else
      {
      op->SetSampleRate(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExtractVOI *op;

  int    temp0[3];
  PyErr_Clear();
  if ((op = (vtkExtractVOI *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractVOI::SetSampleRate(temp0);
      }
    else
      {
      op->SetSampleRate(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractVOI_GetSampleRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractVOI *op;

  int     *temp20;
  if ((op = (vtkExtractVOI *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractVOI::GetSampleRate();
      }
    else
      {
      temp20 = op->GetSampleRate();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractVOIMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractVOI_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractVOI_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractVOI_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractVOI\nC++: vtkExtractVOI *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractVOI_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractVOI\nC++: vtkExtractVOI *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVOI",                (PyCFunction)PyvtkExtractVOI_SetVOI, 1,
   (char*)"V.SetVOI(int, int, int, int, int, int)\nC++: void SetVOI (int , int , int , int , int , int );\nV.SetVOI((int, int, int, int, int, int))\nC++: void SetVOI (int  a[6]);\n\n Specify i-j-k (min,max) pairs to extract. The resulting structured points\n dataset can be of any topological dimension (i.e., point, line, image, \n or volume). \n"},
  {(char*)"GetVOI",                (PyCFunction)PyvtkExtractVOI_GetVOI, 1,
   (char*)"V.GetVOI() -> (int, int, int, int, int, int)\nC++: int  *GetVOI ();\n\n Specify i-j-k (min,max) pairs to extract. The resulting structured points\n dataset can be of any topological dimension (i.e., point, line, image, \n or volume). \n"},
  {(char*)"SetSampleRate",                (PyCFunction)PyvtkExtractVOI_SetSampleRate, 1,
   (char*)"V.SetSampleRate(int, int, int)\nC++: void SetSampleRate (int , int , int );\nV.SetSampleRate((int, int, int))\nC++: void SetSampleRate (int  a[3]);\n\n Set the sampling rate in the i, j, and k directions. If the rate is >\n 1, then the resulting VOI will be subsampled representation of the\n input.  For example, if the SampleRate=(2,2,2), every other point will\n be selected, resulting in a volume 1/8th the original size.\n"},
  {(char*)"GetSampleRate",                (PyCFunction)PyvtkExtractVOI_GetSampleRate, 1,
   (char*)"V.GetSampleRate() -> (int, int, int)\nC++: int  *GetSampleRate ();\n\n Set the sampling rate in the i, j, and k directions. If the rate is >\n 1, then the resulting VOI will be subsampled representation of the\n input.  For example, if the SampleRate=(2,2,2), every other point will\n be selected, resulting in a volume 1/8th the original size.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractVOIDoc[] = {
  (char*)"vtkExtractVOI - select piece (e.g., volume of interest) and/or subsample structured points dataset\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkExtractVOI is a filter that selects a portion of an input structured\n points dataset, or subsamples an input dataset. (The selected portion of\n interested is referred to as the Volume Of Interest, or VOI.) The output of\n this filter is a structured points dataset. The filter treats input data\n of any topological dimension (i.e., point, line, image, or volume) and can\n generate output data of a",
  (char*)"ny topological dimension.\n\n To use this filter set the VOI ivar which are i-j-k min/max indices that\n specify a rectangular region in the data. (Note that these are 0-offset.)\n You can also specify a sampling rate to subsample the data.\n\n Typical applications of this filter are to extract a slice from a volume\n for image processing, subsampling large volumes to reduce data size, or\n extracting reg",
  (char*)"ions of a volume with interesting data.\n\n",
  "See Also:\n\n vtkGeometryFilter vtkExtractGeometry vtkExtractGrid\n\n",
  NULL
};

static vtkObjectBase *vtkExtractVOIStaticNew()
{
  return vtkExtractVOI::New();
}

PyObject *PyVTKClass_vtkExtractVOINew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractVOIStaticNew,
                        PyvtkExtractVOIMethods,
                        (char*)"vtkExtractVOI",modulename,
                        (char**)vtkExtractVOIDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

