// python wrapper for vtkGaussianSplatter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGaussianSplatter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGaussianSplatterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGaussianSplatterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkGaussianSplatter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  const char    *temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  vtkGaussianSplatter  *temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGaussianSplatter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGaussianSplatter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetSampleDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetSampleDimensions(temp0,temp1,temp2);
      }
    else
      {
      op->SetSampleDimensions(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  int    temp0[3];
  PyErr_Clear();
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetSampleDimensions(temp0);
      }
    else
      {
      op->SetSampleDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetSampleDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  int     *temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetSampleDimensions();
      }
    else
      {
      temp20 = op->GetSampleDimensions();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double temp0[6];
  PyErr_Clear();
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetModelBounds(temp0);
      }
    else
      {
      op->SetModelBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double  *temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetModelBounds();
      }
    else
      {
      temp20 = op->GetModelBounds();
      }
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp0;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetRadiusMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetRadiusMinValue();
      }
    else
      {
      temp20 = op->GetRadiusMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetRadiusMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetRadiusMaxValue();
      }
    else
      {
      temp20 = op->GetRadiusMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp0;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetScaleFactor(temp0);
      }
    else
      {
      op->SetScaleFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetScaleFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetScaleFactorMinValue();
      }
    else
      {
      temp20 = op->GetScaleFactorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetScaleFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetScaleFactorMaxValue();
      }
    else
      {
      temp20 = op->GetScaleFactorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetScaleFactor();
      }
    else
      {
      temp20 = op->GetScaleFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetExponentFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp0;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetExponentFactor(temp0);
      }
    else
      {
      op->SetExponentFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetExponentFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetExponentFactor();
      }
    else
      {
      temp20 = op->GetExponentFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetNormalWarping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  int      temp0;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetNormalWarping(temp0);
      }
    else
      {
      op->SetNormalWarping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetNormalWarping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  int      temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetNormalWarping();
      }
    else
      {
      temp20 = op->GetNormalWarping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_NormalWarpingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::NormalWarpingOn();
      }
    else
      {
      op->NormalWarpingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_NormalWarpingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::NormalWarpingOff();
      }
    else
      {
      op->NormalWarpingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetEccentricity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp0;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetEccentricity(temp0);
      }
    else
      {
      op->SetEccentricity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetEccentricityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetEccentricityMinValue();
      }
    else
      {
      temp20 = op->GetEccentricityMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetEccentricityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetEccentricityMaxValue();
      }
    else
      {
      temp20 = op->GetEccentricityMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetEccentricity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetEccentricity();
      }
    else
      {
      temp20 = op->GetEccentricity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetScalarWarping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  int      temp0;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetScalarWarping(temp0);
      }
    else
      {
      op->SetScalarWarping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetScalarWarping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  int      temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetScalarWarping();
      }
    else
      {
      temp20 = op->GetScalarWarping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_ScalarWarpingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::ScalarWarpingOn();
      }
    else
      {
      op->ScalarWarpingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_ScalarWarpingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::ScalarWarpingOff();
      }
    else
      {
      op->ScalarWarpingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  int      temp0;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetCapping(temp0);
      }
    else
      {
      op->SetCapping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetCapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  int      temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetCapping();
      }
    else
      {
      temp20 = op->GetCapping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_CappingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::CappingOn();
      }
    else
      {
      op->CappingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_CappingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::CappingOff();
      }
    else
      {
      op->CappingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetCapValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp0;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetCapValue(temp0);
      }
    else
      {
      op->SetCapValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetCapValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetCapValue();
      }
    else
      {
      temp20 = op->GetCapValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetAccumulationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  int      temp0;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetAccumulationMode(temp0);
      }
    else
      {
      op->SetAccumulationMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetAccumulationModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  int      temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetAccumulationModeMinValue();
      }
    else
      {
      temp20 = op->GetAccumulationModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetAccumulationModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  int      temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetAccumulationModeMaxValue();
      }
    else
      {
      temp20 = op->GetAccumulationModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetAccumulationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  int      temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetAccumulationMode();
      }
    else
      {
      temp20 = op->GetAccumulationMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetAccumulationModeToMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetAccumulationModeToMin();
      }
    else
      {
      op->SetAccumulationModeToMin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetAccumulationModeToMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetAccumulationModeToMax();
      }
    else
      {
      op->SetAccumulationModeToMax();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetAccumulationModeToSum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetAccumulationModeToSum();
      }
    else
      {
      op->SetAccumulationModeToSum();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetAccumulationModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  const char    *temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetAccumulationModeAsString();
      }
    else
      {
      temp20 = op->GetAccumulationModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_SetNullValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp0;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::SetNullValue(temp0);
      }
    else
      {
      op->SetNullValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_GetNullValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  double   temp20;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGaussianSplatter::GetNullValue();
      }
    else
      {
      temp20 = op->GetNullValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGaussianSplatter_ComputeModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGaussianSplatter *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  vtkImageData  *temp1;
  PyObject *tempH1;
  vtkInformation  *temp2;
  PyObject *tempH2;
  if ((op = (vtkGaussianSplatter *)PyArg_VTKParseTuple(self, args, (char*)"OOO", &tempH0, &tempH1, &tempH2)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break48;
    temp1 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkImageData");
    if (!temp1 && tempH1 != Py_None) goto break48;
    temp2 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkInformation");
    if (!temp2 && tempH2 != Py_None) goto break48;
    if (PyVTKClass_Check(self))
      {
      op->vtkGaussianSplatter::ComputeModelBounds(temp0,temp1,temp2);
      }
    else
      {
      op->ComputeModelBounds(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break48:
  return NULL;
}

static PyMethodDef PyvtkGaussianSplatterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGaussianSplatter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGaussianSplatter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGaussianSplatter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGaussianSplatter\nC++: vtkGaussianSplatter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGaussianSplatter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGaussianSplatter\nC++: vtkGaussianSplatter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSampleDimensions",                (PyCFunction)PyvtkGaussianSplatter_SetSampleDimensions, 1,
   (char*)"V.SetSampleDimensions(int, int, int)\nC++: void SetSampleDimensions (int i, int j, int k);\nV.SetSampleDimensions((int, int, int))\nC++: void SetSampleDimensions (int dim[3]);\n\n Set / get the dimensions of the sampling structured point set. Higher\n values produce better results but are much slower.\n"},
  {(char*)"GetSampleDimensions",                (PyCFunction)PyvtkGaussianSplatter_GetSampleDimensions, 1,
   (char*)"V.GetSampleDimensions() -> (int, int, int)\nC++: int  *GetSampleDimensions ();\n\n Set / get the dimensions of the sampling structured point set. Higher\n values produce better results but are much slower.\n"},
  {(char*)"SetModelBounds",                (PyCFunction)PyvtkGaussianSplatter_SetModelBounds, 1,
   (char*)"V.SetModelBounds(float, float, float, float, float, float)\nC++: void SetModelBounds (double , double , double , double , double , double );\nV.SetModelBounds((float, float, float, float, float, float))\nC++: void SetModelBounds (double  a[6]);\n\n Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding box in which\n the sampling is performed. If any of the (min,max) bounds values are\n min >= max, then the bounds will be computed automatically from the input\n data. Otherwise, the user-specified bounds will be used.\n"},
  {(char*)"GetModelBounds",                (PyCFunction)PyvtkGaussianSplatter_GetModelBounds, 1,
   (char*)"V.GetModelBounds() -> (float, float, float, float, float, float)\nC++: double  *GetModelBounds ();\n\n Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding box in which\n the sampling is performed. If any of the (min,max) bounds values are\n min >= max, then the bounds will be computed automatically from the input\n data. Otherwise, the user-specified bounds will be used.\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkGaussianSplatter_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Set / get the radius of propagation of the splat. This value is expressed\n as a percentage of the length of the longest side of the sampling\n volume. Smaller numbers greatly reduce execution time.\n"},
  {(char*)"GetRadiusMinValue",                (PyCFunction)PyvtkGaussianSplatter_GetRadiusMinValue, 1,
   (char*)"V.GetRadiusMinValue() -> float\nC++: double GetRadiusMinValue ();\n\n Set / get the radius of propagation of the splat. This value is expressed\n as a percentage of the length of the longest side of the sampling\n volume. Smaller numbers greatly reduce execution time.\n"},
  {(char*)"GetRadiusMaxValue",                (PyCFunction)PyvtkGaussianSplatter_GetRadiusMaxValue, 1,
   (char*)"V.GetRadiusMaxValue() -> float\nC++: double GetRadiusMaxValue ();\n\n Set / get the radius of propagation of the splat. This value is expressed\n as a percentage of the length of the longest side of the sampling\n volume. Smaller numbers greatly reduce execution time.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkGaussianSplatter_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Set / get the radius of propagation of the splat. This value is expressed\n as a percentage of the length of the longest side of the sampling\n volume. Smaller numbers greatly reduce execution time.\n"},
  {(char*)"SetScaleFactor",                (PyCFunction)PyvtkGaussianSplatter_SetScaleFactor, 1,
   (char*)"V.SetScaleFactor(float)\nC++: void SetScaleFactor (double );\n\n Multiply Gaussian splat distribution by this value. If ScalarWarping\n is on, then the Scalar value will be multiplied by the ScaleFactor\n times the Gaussian function.\n"},
  {(char*)"GetScaleFactorMinValue",                (PyCFunction)PyvtkGaussianSplatter_GetScaleFactorMinValue, 1,
   (char*)"V.GetScaleFactorMinValue() -> float\nC++: double GetScaleFactorMinValue ();\n\n Multiply Gaussian splat distribution by this value. If ScalarWarping\n is on, then the Scalar value will be multiplied by the ScaleFactor\n times the Gaussian function.\n"},
  {(char*)"GetScaleFactorMaxValue",                (PyCFunction)PyvtkGaussianSplatter_GetScaleFactorMaxValue, 1,
   (char*)"V.GetScaleFactorMaxValue() -> float\nC++: double GetScaleFactorMaxValue ();\n\n Multiply Gaussian splat distribution by this value. If ScalarWarping\n is on, then the Scalar value will be multiplied by the ScaleFactor\n times the Gaussian function.\n"},
  {(char*)"GetScaleFactor",                (PyCFunction)PyvtkGaussianSplatter_GetScaleFactor, 1,
   (char*)"V.GetScaleFactor() -> float\nC++: double GetScaleFactor ();\n\n Multiply Gaussian splat distribution by this value. If ScalarWarping\n is on, then the Scalar value will be multiplied by the ScaleFactor\n times the Gaussian function.\n"},
  {(char*)"SetExponentFactor",                (PyCFunction)PyvtkGaussianSplatter_SetExponentFactor, 1,
   (char*)"V.SetExponentFactor(float)\nC++: void SetExponentFactor (double );\n\n Set / get the sharpness of decay of the splats. This is the\n exponent constant in the Gaussian equation. Normally this is\n a negative value.\n"},
  {(char*)"GetExponentFactor",                (PyCFunction)PyvtkGaussianSplatter_GetExponentFactor, 1,
   (char*)"V.GetExponentFactor() -> float\nC++: double GetExponentFactor ();\n\n Set / get the sharpness of decay of the splats. This is the\n exponent constant in the Gaussian equation. Normally this is\n a negative value.\n"},
  {(char*)"SetNormalWarping",                (PyCFunction)PyvtkGaussianSplatter_SetNormalWarping, 1,
   (char*)"V.SetNormalWarping(int)\nC++: void SetNormalWarping (int );\n\n Turn on/off the generation of elliptical splats. If normal warping is\n on, then the input normals affect the distribution of the splat. This\n boolean is used in combination with the Eccentricity ivar.\n"},
  {(char*)"GetNormalWarping",                (PyCFunction)PyvtkGaussianSplatter_GetNormalWarping, 1,
   (char*)"V.GetNormalWarping() -> int\nC++: int GetNormalWarping ();\n\n Turn on/off the generation of elliptical splats. If normal warping is\n on, then the input normals affect the distribution of the splat. This\n boolean is used in combination with the Eccentricity ivar.\n"},
  {(char*)"NormalWarpingOn",                (PyCFunction)PyvtkGaussianSplatter_NormalWarpingOn, 1,
   (char*)"V.NormalWarpingOn()\nC++: void NormalWarpingOn ();\n\n Turn on/off the generation of elliptical splats. If normal warping is\n on, then the input normals affect the distribution of the splat. This\n boolean is used in combination with the Eccentricity ivar.\n"},
  {(char*)"NormalWarpingOff",                (PyCFunction)PyvtkGaussianSplatter_NormalWarpingOff, 1,
   (char*)"V.NormalWarpingOff()\nC++: void NormalWarpingOff ();\n\n Turn on/off the generation of elliptical splats. If normal warping is\n on, then the input normals affect the distribution of the splat. This\n boolean is used in combination with the Eccentricity ivar.\n"},
  {(char*)"SetEccentricity",                (PyCFunction)PyvtkGaussianSplatter_SetEccentricity, 1,
   (char*)"V.SetEccentricity(float)\nC++: void SetEccentricity (double );\n\n Control the shape of elliptical splatting. Eccentricity is the ratio\n of the major axis (aligned along normal) to the minor (axes) aligned\n along other two axes. So Eccentricity > 1 creates needles with the\n long axis in the direction of the normal; Eccentricity<1 creates\n pancakes perpendicular to the normal vector.\n"},
  {(char*)"GetEccentricityMinValue",                (PyCFunction)PyvtkGaussianSplatter_GetEccentricityMinValue, 1,
   (char*)"V.GetEccentricityMinValue() -> float\nC++: double GetEccentricityMinValue ();\n\n Control the shape of elliptical splatting. Eccentricity is the ratio\n of the major axis (aligned along normal) to the minor (axes) aligned\n along other two axes. So Eccentricity > 1 creates needles with the\n long axis in the direction of the normal; Eccentricity<1 creates\n pancakes perpendicular to the normal vector.\n"},
  {(char*)"GetEccentricityMaxValue",                (PyCFunction)PyvtkGaussianSplatter_GetEccentricityMaxValue, 1,
   (char*)"V.GetEccentricityMaxValue() -> float\nC++: double GetEccentricityMaxValue ();\n\n Control the shape of elliptical splatting. Eccentricity is the ratio\n of the major axis (aligned along normal) to the minor (axes) aligned\n along other two axes. So Eccentricity > 1 creates needles with the\n long axis in the direction of the normal; Eccentricity<1 creates\n pancakes perpendicular to the normal vector.\n"},
  {(char*)"GetEccentricity",                (PyCFunction)PyvtkGaussianSplatter_GetEccentricity, 1,
   (char*)"V.GetEccentricity() -> float\nC++: double GetEccentricity ();\n\n Control the shape of elliptical splatting. Eccentricity is the ratio\n of the major axis (aligned along normal) to the minor (axes) aligned\n along other two axes. So Eccentricity > 1 creates needles with the\n long axis in the direction of the normal; Eccentricity<1 creates\n pancakes perpendicular to the normal vector.\n"},
  {(char*)"SetScalarWarping",                (PyCFunction)PyvtkGaussianSplatter_SetScalarWarping, 1,
   (char*)"V.SetScalarWarping(int)\nC++: void SetScalarWarping (int );\n\n Turn on/off the scaling of splats by scalar value.\n"},
  {(char*)"GetScalarWarping",                (PyCFunction)PyvtkGaussianSplatter_GetScalarWarping, 1,
   (char*)"V.GetScalarWarping() -> int\nC++: int GetScalarWarping ();\n\n Turn on/off the scaling of splats by scalar value.\n"},
  {(char*)"ScalarWarpingOn",                (PyCFunction)PyvtkGaussianSplatter_ScalarWarpingOn, 1,
   (char*)"V.ScalarWarpingOn()\nC++: void ScalarWarpingOn ();\n\n Turn on/off the scaling of splats by scalar value.\n"},
  {(char*)"ScalarWarpingOff",                (PyCFunction)PyvtkGaussianSplatter_ScalarWarpingOff, 1,
   (char*)"V.ScalarWarpingOff()\nC++: void ScalarWarpingOff ();\n\n Turn on/off the scaling of splats by scalar value.\n"},
  {(char*)"SetCapping",                (PyCFunction)PyvtkGaussianSplatter_SetCapping, 1,
   (char*)"V.SetCapping(int)\nC++: void SetCapping (int );\n\n Turn on/off the capping of the outer boundary of the volume\n to a specified cap value. This can be used to close surfaces\n (after iso-surfacing) and create other effects.\n"},
  {(char*)"GetCapping",                (PyCFunction)PyvtkGaussianSplatter_GetCapping, 1,
   (char*)"V.GetCapping() -> int\nC++: int GetCapping ();\n\n Turn on/off the capping of the outer boundary of the volume\n to a specified cap value. This can be used to close surfaces\n (after iso-surfacing) and create other effects.\n"},
  {(char*)"CappingOn",                (PyCFunction)PyvtkGaussianSplatter_CappingOn, 1,
   (char*)"V.CappingOn()\nC++: void CappingOn ();\n\n Turn on/off the capping of the outer boundary of the volume\n to a specified cap value. This can be used to close surfaces\n (after iso-surfacing) and create other effects.\n"},
  {(char*)"CappingOff",                (PyCFunction)PyvtkGaussianSplatter_CappingOff, 1,
   (char*)"V.CappingOff()\nC++: void CappingOff ();\n\n Turn on/off the capping of the outer boundary of the volume\n to a specified cap value. This can be used to close surfaces\n (after iso-surfacing) and create other effects.\n"},
  {(char*)"SetCapValue",                (PyCFunction)PyvtkGaussianSplatter_SetCapValue, 1,
   (char*)"V.SetCapValue(float)\nC++: void SetCapValue (double );\n\n Specify the cap value to use. (This instance variable only has effect \n if the ivar Capping is on.)\n"},
  {(char*)"GetCapValue",                (PyCFunction)PyvtkGaussianSplatter_GetCapValue, 1,
   (char*)"V.GetCapValue() -> float\nC++: double GetCapValue ();\n\n Specify the cap value to use. (This instance variable only has effect \n if the ivar Capping is on.)\n"},
  {(char*)"SetAccumulationMode",                (PyCFunction)PyvtkGaussianSplatter_SetAccumulationMode, 1,
   (char*)"V.SetAccumulationMode(int)\nC++: void SetAccumulationMode (int );\n\n Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n"},
  {(char*)"GetAccumulationModeMinValue",                (PyCFunction)PyvtkGaussianSplatter_GetAccumulationModeMinValue, 1,
   (char*)"V.GetAccumulationModeMinValue() -> int\nC++: int GetAccumulationModeMinValue ();\n\n Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n"},
  {(char*)"GetAccumulationModeMaxValue",                (PyCFunction)PyvtkGaussianSplatter_GetAccumulationModeMaxValue, 1,
   (char*)"V.GetAccumulationModeMaxValue() -> int\nC++: int GetAccumulationModeMaxValue ();\n\n Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n"},
  {(char*)"GetAccumulationMode",                (PyCFunction)PyvtkGaussianSplatter_GetAccumulationMode, 1,
   (char*)"V.GetAccumulationMode() -> int\nC++: int GetAccumulationMode ();\n\n Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n"},
  {(char*)"SetAccumulationModeToMin",                (PyCFunction)PyvtkGaussianSplatter_SetAccumulationModeToMin, 1,
   (char*)"V.SetAccumulationModeToMin()\nC++: void SetAccumulationModeToMin ();this SetAccumulationMode VTK_ACCUMULATION_MODE_MIN \n\n Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n"},
  {(char*)"SetAccumulationModeToMax",                (PyCFunction)PyvtkGaussianSplatter_SetAccumulationModeToMax, 1,
   (char*)"V.SetAccumulationModeToMax()\nC++: void SetAccumulationModeToMax ();this SetAccumulationMode VTK_ACCUMULATION_MODE_MAX \n\n Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n"},
  {(char*)"SetAccumulationModeToSum",                (PyCFunction)PyvtkGaussianSplatter_SetAccumulationModeToSum, 1,
   (char*)"V.SetAccumulationModeToSum()\nC++: void SetAccumulationModeToSum ();this SetAccumulationMode VTK_ACCUMULATION_MODE_SUM \n\n Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n"},
  {(char*)"GetAccumulationModeAsString",                (PyCFunction)PyvtkGaussianSplatter_GetAccumulationModeAsString, 1,
   (char*)"V.GetAccumulationModeAsString() -> string\nC++: const char *GetAccumulationModeAsString ();\n\n Specify the scalar accumulation mode. This mode expresses how scalar\n values are combined when splats are overlapped. The Max mode acts\n like a set union operation and is the most commonly used; the Min\n mode acts like a set intersection, and the sum is just weird.\n"},
  {(char*)"SetNullValue",                (PyCFunction)PyvtkGaussianSplatter_SetNullValue, 1,
   (char*)"V.SetNullValue(float)\nC++: void SetNullValue (double );\n\n Set the Null value for output points not receiving a contribution from the\n input points. (This is the initial value of the voxel samples.)\n"},
  {(char*)"GetNullValue",                (PyCFunction)PyvtkGaussianSplatter_GetNullValue, 1,
   (char*)"V.GetNullValue() -> float\nC++: double GetNullValue ();\n\n Set the Null value for output points not receiving a contribution from the\n input points. (This is the initial value of the voxel samples.)\n"},
  {(char*)"ComputeModelBounds",                (PyCFunction)PyvtkGaussianSplatter_ComputeModelBounds, 1,
   (char*)"V.ComputeModelBounds(vtkDataSet, vtkImageData, vtkInformation)\nC++: void ComputeModelBounds (vtkDataSet *input, vtkImageData *output, vtkInformation *outInfo);\n\n Compute the size of the sample bounding box automatically from the\n input data. This is an internal helper function.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGaussianSplatterDoc[] = {
  (char*)"vtkGaussianSplatter - splat points into a volume with an elliptical, Gaussian distribution\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkGaussianSplatter is a filter that injects input points into a\n structured points (volume) dataset. As each point is injected, it \"splats\"\n or distributes values to nearby voxels. Data is distributed using an\n elliptical, Gaussian distribution function. The distribution function is\n modified using scalar values (expands distribution) or normals\n (creates ellipsoidal distribution rather than sph",
  (char*)"erical).\n\n In general, the Gaussian distribution function f(x) around a given\n splat point p is given by\n\n     f(x) = ScaleFactor * exp( ExponentFactor*((r/Radius)**2) )\n\n where x is the current voxel sample point; r is the distance |x-p|\n ExponentFactor <= 0.0, and ScaleFactor can be multiplied by the scalar \n value of the point p that is currently being splatted.\n\n If points normals are present ",
  (char*)"(and NormalWarping is on), then the splat \n function becomes elliptical (as compared to the spherical one described\n by the previous equation). The Gaussian distribution function then\n becomes:\n \n     f(x) = ScaleFactor * \n               exp( ExponentFactor*( ((rxy/E)**2 + z**2)/R**2) )\n\n where E is a user-defined eccentricity factor that controls the elliptical\n shape of the splat; z is the dista",
  (char*)"nce of the current voxel sample point\n along normal N; and rxy is the distance of x in the direction\n prependicular to N.\n\n This class is typically used to convert point-valued distributions into\n a volume representation. The volume is then usually iso-surfaced or\n volume rendered to generate a visualization. It can be used to create\n surfaces from point distributions, or to create structure (i.e.",
  (char*)",\n topology) when none exists.\n\n",
  "Caveats:\n\n The input to this filter is any dataset type. This filter can be used \n to resample any form of data, i.e., the input data need not be \n unstructured. \n\n Some voxels may never receive a contribution during the splatting process.\n The final value of these points can be specified with the \"NullValue\" \n instance variable.\n\n",
  "See Also:\n\n vtkShepardMethod\n\n",
  NULL
};

static vtkObjectBase *vtkGaussianSplatterStaticNew()
{
  return vtkGaussianSplatter::New();
}

PyObject *PyVTKClass_vtkGaussianSplatterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGaussianSplatterStaticNew,
                        PyvtkGaussianSplatterMethods,
                        (char*)"vtkGaussianSplatter",modulename,
                        (char**)vtkGaussianSplatterDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

