// python wrapper for vtkImageAppend object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageAppend.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageAppendNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageAppendNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageAppend_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAppend *op;

  const char    *temp20;
  if ((op = (vtkImageAppend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAppend::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAppend_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAppend *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageAppend *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAppend::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAppend_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAppend *op;

  vtkImageAppend  *temp20;
  if ((op = (vtkImageAppend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAppend::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAppend_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageAppend  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageAppend::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageAppend_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAppend *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  if ((op = (vtkImageAppend *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAppend::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkImageAppend *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkImageAppend *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAppend::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkImageAppend_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAppend *op;

  int      temp0;
  vtkDataObject  *temp20;
  if ((op = (vtkImageAppend *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAppend::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImageAppend *op;

  vtkDataObject  *temp20;
  PyErr_Clear();
  if ((op = (vtkImageAppend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAppend::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAppend_GetNumberOfInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAppend *op;

  int      temp20;
  if ((op = (vtkImageAppend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAppend::GetNumberOfInputs();
      }
    else
      {
      temp20 = op->GetNumberOfInputs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAppend_SetAppendAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAppend *op;

  int      temp0;
  if ((op = (vtkImageAppend *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAppend::SetAppendAxis(temp0);
      }
    else
      {
      op->SetAppendAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAppend_GetAppendAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAppend *op;

  int      temp20;
  if ((op = (vtkImageAppend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAppend::GetAppendAxis();
      }
    else
      {
      temp20 = op->GetAppendAxis();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAppend_SetPreserveExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAppend *op;

  int      temp0;
  if ((op = (vtkImageAppend *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAppend::SetPreserveExtents(temp0);
      }
    else
      {
      op->SetPreserveExtents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAppend_GetPreserveExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAppend *op;

  int      temp20;
  if ((op = (vtkImageAppend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageAppend::GetPreserveExtents();
      }
    else
      {
      temp20 = op->GetPreserveExtents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAppend_PreserveExtentsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAppend *op;

  if ((op = (vtkImageAppend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAppend::PreserveExtentsOn();
      }
    else
      {
      op->PreserveExtentsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageAppend_PreserveExtentsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageAppend *op;

  if ((op = (vtkImageAppend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageAppend::PreserveExtentsOff();
      }
    else
      {
      op->PreserveExtentsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageAppendMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageAppend_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageAppend_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageAppend_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageAppend\nC++: vtkImageAppend *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageAppend_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageAppend\nC++: vtkImageAppend *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkImageAppend_SetInput, 1,
   (char*)"V.SetInput(int, vtkDataObject)\nC++: void SetInput (int num, vtkDataObject *input);\nV.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *input);this SetInput input \n\n Set an Input of this filter.  This method is only for support of\n old-style pipeline connections.  When writing new code you should\n use vtkAlgorithm::AddInputConnection(0, data).\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkImageAppend_GetInput, 1,
   (char*)"V.GetInput(int) -> vtkDataObject\nC++: vtkDataObject *GetInput (int num);\nV.GetInput() -> vtkDataObject\nC++: vtkDataObject *GetInput ();return this GetInput \n\n Get one input to this filter. This method is only for support of\n old-style pipeline connections.  When writing new code you should\n use vtkAlgorithm::GetInputConnection(0, num).\n"},
  {(char*)"GetNumberOfInputs",                (PyCFunction)PyvtkImageAppend_GetNumberOfInputs, 1,
   (char*)"V.GetNumberOfInputs() -> int\nC++: int GetNumberOfInputs ();return this GetNumberOfInputConnections \n\n Get the number of inputs to this filter. This method is only for\n support of old-style pipeline connections.  When writing new code\n you should use vtkAlgorithm::GetNumberOfInputConnections(0).\n"},
  {(char*)"SetAppendAxis",                (PyCFunction)PyvtkImageAppend_SetAppendAxis, 1,
   (char*)"V.SetAppendAxis(int)\nC++: void SetAppendAxis (int );\n\n This axis is expanded to hold the multiple images.  \n The default AppendAxis is the X axis.\n If you want to create a volue from a series of XY images, then you should\n set the AppendAxis to 2 (Z axis).\n"},
  {(char*)"GetAppendAxis",                (PyCFunction)PyvtkImageAppend_GetAppendAxis, 1,
   (char*)"V.GetAppendAxis() -> int\nC++: int GetAppendAxis ();\n\n This axis is expanded to hold the multiple images.  \n The default AppendAxis is the X axis.\n If you want to create a volue from a series of XY images, then you should\n set the AppendAxis to 2 (Z axis).\n"},
  {(char*)"SetPreserveExtents",                (PyCFunction)PyvtkImageAppend_SetPreserveExtents, 1,
   (char*)"V.SetPreserveExtents(int)\nC++: void SetPreserveExtents (int );\n\n By default \"PreserveExtents\" is off and the append axis is used.  \n When \"PreseveExtents\" is on, the extent of the inputs is used to \n place the image in the output.  The whole extent of the output is \n the union of the input whole extents.  Any portion of the \n output not covered by the inputs is set to zero.  The origin and \n spacing is taken from the first input.\n"},
  {(char*)"GetPreserveExtents",                (PyCFunction)PyvtkImageAppend_GetPreserveExtents, 1,
   (char*)"V.GetPreserveExtents() -> int\nC++: int GetPreserveExtents ();\n\n By default \"PreserveExtents\" is off and the append axis is used.  \n When \"PreseveExtents\" is on, the extent of the inputs is used to \n place the image in the output.  The whole extent of the output is \n the union of the input whole extents.  Any portion of the \n output not covered by the inputs is set to zero.  The origin and \n spacing is taken from the first input.\n"},
  {(char*)"PreserveExtentsOn",                (PyCFunction)PyvtkImageAppend_PreserveExtentsOn, 1,
   (char*)"V.PreserveExtentsOn()\nC++: void PreserveExtentsOn ();\n\n By default \"PreserveExtents\" is off and the append axis is used.  \n When \"PreseveExtents\" is on, the extent of the inputs is used to \n place the image in the output.  The whole extent of the output is \n the union of the input whole extents.  Any portion of the \n output not covered by the inputs is set to zero.  The origin and \n spacing is taken from the first input.\n"},
  {(char*)"PreserveExtentsOff",                (PyCFunction)PyvtkImageAppend_PreserveExtentsOff, 1,
   (char*)"V.PreserveExtentsOff()\nC++: void PreserveExtentsOff ();\n\n By default \"PreserveExtents\" is off and the append axis is used.  \n When \"PreseveExtents\" is on, the extent of the inputs is used to \n place the image in the output.  The whole extent of the output is \n the union of the input whole extents.  Any portion of the \n output not covered by the inputs is set to zero.  The origin and \n spacing is taken from the first input.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageAppendDoc[] = {
  (char*)"vtkImageAppend - Collects data from multiple inputs into one image.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageAppend takes the components from multiple inputs and merges\n them into one output. The output images are append along the \"AppendAxis\".\n Except for the append axis, all inputs must have the same extent.  \n All inputs must have the same number of scalar components.  \n A future extension might be to pad or clip inputs to have the same extent.\n The output has the same origin and spacing as t",
  (char*)"he first input.\n The origin and spacing of all other inputs are ignored.  All inputs\n must have the same scalar type.\n\n",
  NULL
};

static vtkObjectBase *vtkImageAppendStaticNew()
{
  return vtkImageAppend::New();
}

PyObject *PyVTKClass_vtkImageAppendNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageAppendStaticNew,
                        PyvtkImageAppendMethods,
                        (char*)"vtkImageAppend",modulename,
                        (char**)vtkImageAppendDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

