// python wrapper for vtkImageBlend object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageBlend.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageBlendNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageBlendNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageBlend_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  const char    *temp20;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageBlend::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageBlend::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  vtkImageBlend  *temp20;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageBlend::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageBlend  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageBlend::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageBlend_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageBlend::SetInput(temp0,temp1);
      }
    else
      {
      op->SetInput(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageBlend::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkImageBlend_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  int      temp0;
  vtkDataObject  *temp20;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageBlend::GetInput(temp0);
      }
    else
      {
      temp20 = op->GetInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  vtkDataObject  *temp20;
  PyErr_Clear();
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageBlend::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_GetNumberOfInputs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  int      temp20;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageBlend::GetNumberOfInputs();
      }
    else
      {
      temp20 = op->GetNumberOfInputs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_SetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  int      temp0;
  double   temp1;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageBlend::SetOpacity(temp0,temp1);
      }
    else
      {
      op->SetOpacity(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_GetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  int      temp0;
  double   temp20;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageBlend::GetOpacity(temp0);
      }
    else
      {
      temp20 = op->GetOpacity(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_SetStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  vtkImageStencilData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageStencilData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageStencilData");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageBlend::SetStencil(temp0);
      }
    else
      {
      op->SetStencil(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkImageBlend_GetStencil(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  vtkImageStencilData  *temp20;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageBlend::GetStencil();
      }
    else
      {
      temp20 = op->GetStencil();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_SetBlendMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  int      temp0;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageBlend::SetBlendMode(temp0);
      }
    else
      {
      op->SetBlendMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_GetBlendModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  int      temp20;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageBlend::GetBlendModeMinValue();
      }
    else
      {
      temp20 = op->GetBlendModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_GetBlendModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  int      temp20;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageBlend::GetBlendModeMaxValue();
      }
    else
      {
      temp20 = op->GetBlendModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_GetBlendMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  int      temp20;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageBlend::GetBlendMode();
      }
    else
      {
      temp20 = op->GetBlendMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_SetBlendModeToNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageBlend::SetBlendModeToNormal();
      }
    else
      {
      op->SetBlendModeToNormal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_SetBlendModeToCompound(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageBlend::SetBlendModeToCompound();
      }
    else
      {
      op->SetBlendModeToCompound();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_GetBlendModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  const char    *temp20;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageBlend::GetBlendModeAsString();
      }
    else
      {
      temp20 = op->GetBlendModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_SetCompoundThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  double   temp0;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageBlend::SetCompoundThreshold(temp0);
      }
    else
      {
      op->SetCompoundThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageBlend_GetCompoundThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageBlend *op;

  double   temp20;
  if ((op = (vtkImageBlend *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageBlend::GetCompoundThreshold();
      }
    else
      {
      temp20 = op->GetCompoundThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageBlendMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageBlend_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageBlend_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageBlend_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageBlend\nC++: vtkImageBlend *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageBlend_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageBlend\nC++: vtkImageBlend *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkImageBlend_SetInput, 1,
   (char*)"V.SetInput(int, vtkDataObject)\nC++: void SetInput (int num, vtkDataObject *input);\nV.SetInput(vtkDataObject)\nC++: void SetInput (vtkDataObject *input);this SetInput input \n\n Set an Input of this filter.  This method is only for support of\n old-style pipeline connections.  When writing new code you should\n use vtkAlgorithm::AddInputConnection(0, data).\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkImageBlend_GetInput, 1,
   (char*)"V.GetInput(int) -> vtkDataObject\nC++: vtkDataObject *GetInput (int num);\nV.GetInput() -> vtkDataObject\nC++: vtkDataObject *GetInput ();return this GetInput \n\n Get one input to this filter. This method is only for support of\n old-style pipeline connections.  When writing new code you should\n use vtkAlgorithm::GetInputConnection(0, num).\n"},
  {(char*)"GetNumberOfInputs",                (PyCFunction)PyvtkImageBlend_GetNumberOfInputs, 1,
   (char*)"V.GetNumberOfInputs() -> int\nC++: int GetNumberOfInputs ();return this GetNumberOfInputConnections \n\n Get the number of inputs to this filter. This method is only for\n support of old-style pipeline connections.  When writing new code\n you should use vtkAlgorithm::GetNumberOfInputConnections(0).\n"},
  {(char*)"SetOpacity",                (PyCFunction)PyvtkImageBlend_SetOpacity, 1,
   (char*)"V.SetOpacity(int, float)\nC++: void SetOpacity (int idx, double opacity);\n\n Set the opacity of an input image: the alpha values of the image are\n multiplied by the opacity.  The opacity of image idx=0 is ignored.\n"},
  {(char*)"GetOpacity",                (PyCFunction)PyvtkImageBlend_GetOpacity, 1,
   (char*)"V.GetOpacity(int) -> float\nC++: double GetOpacity (int idx);\n\n Set the opacity of an input image: the alpha values of the image are\n multiplied by the opacity.  The opacity of image idx=0 is ignored.\n"},
  {(char*)"SetStencil",                (PyCFunction)PyvtkImageBlend_SetStencil, 1,
   (char*)"V.SetStencil(vtkImageStencilData)\nC++: void SetStencil (vtkImageStencilData *stencil);\n\n Set a stencil to apply when blending the data.\n"},
  {(char*)"GetStencil",                (PyCFunction)PyvtkImageBlend_GetStencil, 1,
   (char*)"V.GetStencil() -> vtkImageStencilData\nC++: vtkImageStencilData *GetStencil ();\n\n Set a stencil to apply when blending the data.\n"},
  {(char*)"SetBlendMode",                (PyCFunction)PyvtkImageBlend_SetBlendMode, 1,
   (char*)"V.SetBlendMode(int)\nC++: void SetBlendMode (int );\n\n Set the blend mode\n"},
  {(char*)"GetBlendModeMinValue",                (PyCFunction)PyvtkImageBlend_GetBlendModeMinValue, 1,
   (char*)"V.GetBlendModeMinValue() -> int\nC++: int GetBlendModeMinValue ();\n\n Set the blend mode\n"},
  {(char*)"GetBlendModeMaxValue",                (PyCFunction)PyvtkImageBlend_GetBlendModeMaxValue, 1,
   (char*)"V.GetBlendModeMaxValue() -> int\nC++: int GetBlendModeMaxValue ();\n\n Set the blend mode\n"},
  {(char*)"GetBlendMode",                (PyCFunction)PyvtkImageBlend_GetBlendMode, 1,
   (char*)"V.GetBlendMode() -> int\nC++: int GetBlendMode ();\n\n Set the blend mode\n"},
  {(char*)"SetBlendModeToNormal",                (PyCFunction)PyvtkImageBlend_SetBlendModeToNormal, 1,
   (char*)"V.SetBlendModeToNormal()\nC++: void SetBlendModeToNormal ();this SetBlendMode VTK_IMAGE_BLEND_MODE_NORMAL \n\n Set the blend mode\n"},
  {(char*)"SetBlendModeToCompound",                (PyCFunction)PyvtkImageBlend_SetBlendModeToCompound, 1,
   (char*)"V.SetBlendModeToCompound()\nC++: void SetBlendModeToCompound ();this SetBlendMode VTK_IMAGE_BLEND_MODE_COMPOUND \n\n Set the blend mode\n"},
  {(char*)"GetBlendModeAsString",                (PyCFunction)PyvtkImageBlend_GetBlendModeAsString, 1,
   (char*)"V.GetBlendModeAsString() -> string\nC++: const char *GetBlendModeAsString (void );\n\n Set the blend mode\n"},
  {(char*)"SetCompoundThreshold",                (PyCFunction)PyvtkImageBlend_SetCompoundThreshold, 1,
   (char*)"V.SetCompoundThreshold(float)\nC++: void SetCompoundThreshold (double );\n\n Specify a threshold in compound mode. Pixels with opacity*alpha less\n or equal the threshold are ignored.\n"},
  {(char*)"GetCompoundThreshold",                (PyCFunction)PyvtkImageBlend_GetCompoundThreshold, 1,
   (char*)"V.GetCompoundThreshold() -> float\nC++: double GetCompoundThreshold ();\n\n Specify a threshold in compound mode. Pixels with opacity*alpha less\n or equal the threshold are ignored.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageBlendDoc[] = {
  (char*)"vtkImageBlend - blend images together using alpha or opacity\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageBlend takes L, LA, RGB, or RGBA images as input and blends them \n according to the alpha values and/or the opacity setting for each input.\n\n The spacing, origin, extent, and number of components of the output are\n the same as those for the first input.  If the input has an alpha\n component, then this component is copied unchanged into the output.\n In addition, if the first input has eithe",
  (char*)"r one component or two\n components i.e. if it is either L (greyscale) or LA (greyscale + alpha)\n then all other inputs must also be L or LA.\n\n Different blending modes are available:\n\n \\em Normal (default) : \n This is the standard blending mode used by OpenGL and other graphics\n packages.  The output always has the same number of components\n and the same extent as the first input.  The alpha value",
  (char*)" of the first\n input is not used in the blending computation, instead it is copied\n directly to the output.\n\n \\code\n output <- input[0]\n foreach input i {\n   foreach pixel px {\n     r <- input[i](px)(alpha) * opacity[i]\n     f <- (255 - r)\n     output(px) <- output(px) * f + input(px) * r\n   }\n }\n \\endcode\n\n \\em Compound : \n Images are compounded together and each component is scaled by the sum of",
  (char*)"\n the alpha/opacity values. Use the CompoundThreshold method to set \n specify a threshold in compound mode. Pixels with opacity*alpha less\n or equal than this threshold are ignored.\n The alpha value of the first input, if present, is NOT copied to the alpha \n value of the output.  The output always has the same number of components\n and the same extent as the first input.\n\n \\code\n output <- 0\n for",
  (char*)"each pixel px {\n   sum <- 0\n   foreach input i {\n     r <- input[i](px)(alpha) * opacity(i)\n     sum <- sum + r\n     if r > threshold {\n       output(px) <- output(px) + input(px) * r\n     }\n   }\n   output(px) <- output(px) / sum\n }\n \\endcode\n\n",
  NULL
};

static vtkObjectBase *vtkImageBlendStaticNew()
{
  return vtkImageBlend::New();
}

PyObject *PyVTKClass_vtkImageBlendNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageBlendStaticNew,
                        PyvtkImageBlendMethods,
                        (char*)"vtkImageBlend",modulename,
                        (char**)vtkImageBlendDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

