// python wrapper for vtkImageButterworthHighPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageButterworthHighPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageButterworthHighPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageButterworthHighPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageButterworthHighPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  const char    *temp20;
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageButterworthHighPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageButterworthHighPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageButterworthHighPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageButterworthHighPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  vtkImageButterworthHighPass  *temp20;
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageButterworthHighPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageButterworthHighPass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageButterworthHighPass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageButterworthHighPass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageButterworthHighPass_SetCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageButterworthHighPass::SetCutOff(temp0,temp1,temp2);
      }
    else
      {
      op->SetCutOff(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageButterworthHighPass::SetCutOff(temp0);
      }
    else
      {
      op->SetCutOff(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  double   temp0;
  PyErr_Clear();
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageButterworthHighPass::SetCutOff(temp0);
      }
    else
      {
      op->SetCutOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageButterworthHighPass_SetXCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  double   temp0;
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageButterworthHighPass::SetXCutOff(temp0);
      }
    else
      {
      op->SetXCutOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageButterworthHighPass_SetYCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  double   temp0;
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageButterworthHighPass::SetYCutOff(temp0);
      }
    else
      {
      op->SetYCutOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageButterworthHighPass_SetZCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  double   temp0;
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageButterworthHighPass::SetZCutOff(temp0);
      }
    else
      {
      op->SetZCutOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageButterworthHighPass_GetCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  double  *temp20;
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageButterworthHighPass::GetCutOff();
      }
    else
      {
      temp20 = op->GetCutOff();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageButterworthHighPass_GetXCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  double   temp20;
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageButterworthHighPass::GetXCutOff();
      }
    else
      {
      temp20 = op->GetXCutOff();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageButterworthHighPass_GetYCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  double   temp20;
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageButterworthHighPass::GetYCutOff();
      }
    else
      {
      temp20 = op->GetYCutOff();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageButterworthHighPass_GetZCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  double   temp20;
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageButterworthHighPass::GetZCutOff();
      }
    else
      {
      temp20 = op->GetZCutOff();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageButterworthHighPass_SetOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  int      temp0;
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageButterworthHighPass::SetOrder(temp0);
      }
    else
      {
      op->SetOrder(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageButterworthHighPass_GetOrder(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageButterworthHighPass *op;

  int      temp20;
  if ((op = (vtkImageButterworthHighPass *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageButterworthHighPass::GetOrder();
      }
    else
      {
      temp20 = op->GetOrder();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageButterworthHighPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageButterworthHighPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageButterworthHighPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageButterworthHighPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageButterworthHighPass\nC++: vtkImageButterworthHighPass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageButterworthHighPass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageButterworthHighPass\nC++: vtkImageButterworthHighPass *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCutOff",                (PyCFunction)PyvtkImageButterworthHighPass_SetCutOff, 1,
   (char*)"V.SetCutOff(float, float, float)\nC++: void SetCutOff (double , double , double );\nV.SetCutOff((float, float, float))\nC++: void SetCutOff (double  a[3]);\nV.SetCutOff(float)\nC++: void SetCutOff (double v);this SetCutOff v v v \n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"SetXCutOff",                (PyCFunction)PyvtkImageButterworthHighPass_SetXCutOff, 1,
   (char*)"V.SetXCutOff(float)\nC++: void SetXCutOff (double v);\n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"SetYCutOff",                (PyCFunction)PyvtkImageButterworthHighPass_SetYCutOff, 1,
   (char*)"V.SetYCutOff(float)\nC++: void SetYCutOff (double v);\n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"SetZCutOff",                (PyCFunction)PyvtkImageButterworthHighPass_SetZCutOff, 1,
   (char*)"V.SetZCutOff(float)\nC++: void SetZCutOff (double v);\n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"GetCutOff",                (PyCFunction)PyvtkImageButterworthHighPass_GetCutOff, 1,
   (char*)"V.GetCutOff() -> (float, float, float)\nC++: double  *GetCutOff ();\n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"GetXCutOff",                (PyCFunction)PyvtkImageButterworthHighPass_GetXCutOff, 1,
   (char*)"V.GetXCutOff() -> float\nC++: double GetXCutOff ();return this CutOff \n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"GetYCutOff",                (PyCFunction)PyvtkImageButterworthHighPass_GetYCutOff, 1,
   (char*)"V.GetYCutOff() -> float\nC++: double GetYCutOff ();return this CutOff \n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"GetZCutOff",                (PyCFunction)PyvtkImageButterworthHighPass_GetZCutOff, 1,
   (char*)"V.GetZCutOff() -> float\nC++: double GetZCutOff ();return this CutOff \n\n The order determines sharpness of the cutoff curve.\n"},
  {(char*)"SetOrder",                (PyCFunction)PyvtkImageButterworthHighPass_SetOrder, 1,
   (char*)"V.SetOrder(int)\nC++: void SetOrder (int );\n\n The order determines sharpness of the cutoff curve.\n"},
  {(char*)"GetOrder",                (PyCFunction)PyvtkImageButterworthHighPass_GetOrder, 1,
   (char*)"V.GetOrder() -> int\nC++: int GetOrder ();\n\n The order determines sharpness of the cutoff curve.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageButterworthHighPassDoc[] = {
  (char*)"vtkImageButterworthHighPass - Frequency domain high pass.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" This filter only works on an image after it has been converted to\n frequency domain by a vtkImageFFT filter.  A vtkImageRFFT filter\n can be used to convert the output back into the spatial domain.\n vtkImageButterworthHighPass  the frequency components around 0 are\n attenuated.  Input and output are in doubles, with two components\n (complex numbers).\n out(i, j) = 1 / (1 + pow(CutOff/Freq(i,j), 2*O",
  (char*)"rder));\n\n",
  "See Also:\n\n vtkImageButterworthLowPass\n\n",
  NULL
};

static vtkObjectBase *vtkImageButterworthHighPassStaticNew()
{
  return vtkImageButterworthHighPass::New();
}

PyObject *PyVTKClass_vtkImageButterworthHighPassNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageButterworthHighPassStaticNew,
                        PyvtkImageButterworthHighPassMethods,
                        (char*)"vtkImageButterworthHighPass",modulename,
                        (char**)vtkImageButterworthHighPassDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

