// python wrapper for vtkImageCacheFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageCacheFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageCacheFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageCacheFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageCacheFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCacheFilter *op;

  const char    *temp20;
  if ((op = (vtkImageCacheFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCacheFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCacheFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCacheFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageCacheFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCacheFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCacheFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCacheFilter *op;

  vtkImageCacheFilter  *temp20;
  if ((op = (vtkImageCacheFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCacheFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCacheFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageCacheFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageCacheFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageCacheFilter_SetCacheSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCacheFilter *op;

  int      temp0;
  if ((op = (vtkImageCacheFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCacheFilter::SetCacheSize(temp0);
      }
    else
      {
      op->SetCacheSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCacheFilter_GetCacheSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCacheFilter *op;

  int      temp20;
  if ((op = (vtkImageCacheFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCacheFilter::GetCacheSize();
      }
    else
      {
      temp20 = op->GetCacheSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageCacheFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageCacheFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageCacheFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageCacheFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageCacheFilter\nC++: vtkImageCacheFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageCacheFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageCacheFilter\nC++: vtkImageCacheFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCacheSize",                (PyCFunction)PyvtkImageCacheFilter_SetCacheSize, 1,
   (char*)"V.SetCacheSize(int)\nC++: void SetCacheSize (int size);\n\n This is the maximum number of images that can be retained in memory.\n it defaults to 10.\n"},
  {(char*)"GetCacheSize",                (PyCFunction)PyvtkImageCacheFilter_GetCacheSize, 1,
   (char*)"V.GetCacheSize() -> int\nC++: int GetCacheSize ();\n\n This is the maximum number of images that can be retained in memory.\n it defaults to 10.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageCacheFilterDoc[] = {
  (char*)"vtkImageCacheFilter - Caches multiple vtkImageData objects.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageCacheFilter keep a number of vtkImageDataObjects from previous\n updates to satisfy future updates without needing to update the input.  It\n does not change the data at all.  It just makes the pipeline more\n efficient at the expense of using extra memory.\n\n",
  NULL
};

static vtkObjectBase *vtkImageCacheFilterStaticNew()
{
  return vtkImageCacheFilter::New();
}

PyObject *PyVTKClass_vtkImageCacheFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageCacheFilterStaticNew,
                        PyvtkImageCacheFilterMethods,
                        (char*)"vtkImageCacheFilter",modulename,
                        (char**)vtkImageCacheFilterDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

