// python wrapper for vtkImageCast object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageCast.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageCastNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageCastNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageCast_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  const char    *temp20;
  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCast::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCast::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  vtkImageCast  *temp20;
  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCast::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageCast  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageCast::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageCast_SetOutputScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  int      temp0;
  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCast::SetOutputScalarType(temp0);
      }
    else
      {
      op->SetOutputScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_GetOutputScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  int      temp20;
  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCast::GetOutputScalarType();
      }
    else
      {
      temp20 = op->GetOutputScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_SetOutputScalarTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCast::SetOutputScalarTypeToFloat();
      }
    else
      {
      op->SetOutputScalarTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_SetOutputScalarTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCast::SetOutputScalarTypeToDouble();
      }
    else
      {
      op->SetOutputScalarTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_SetOutputScalarTypeToInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCast::SetOutputScalarTypeToInt();
      }
    else
      {
      op->SetOutputScalarTypeToInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_SetOutputScalarTypeToUnsignedInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCast::SetOutputScalarTypeToUnsignedInt();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_SetOutputScalarTypeToLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCast::SetOutputScalarTypeToLong();
      }
    else
      {
      op->SetOutputScalarTypeToLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_SetOutputScalarTypeToUnsignedLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCast::SetOutputScalarTypeToUnsignedLong();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_SetOutputScalarTypeToShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCast::SetOutputScalarTypeToShort();
      }
    else
      {
      op->SetOutputScalarTypeToShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_SetOutputScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCast::SetOutputScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_SetOutputScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCast::SetOutputScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_SetOutputScalarTypeToChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCast::SetOutputScalarTypeToChar();
      }
    else
      {
      op->SetOutputScalarTypeToChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_SetClampOverflow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  int      temp0;
  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCast::SetClampOverflow(temp0);
      }
    else
      {
      op->SetClampOverflow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_GetClampOverflow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  int      temp20;
  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCast::GetClampOverflow();
      }
    else
      {
      temp20 = op->GetClampOverflow();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_ClampOverflowOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCast::ClampOverflowOn();
      }
    else
      {
      op->ClampOverflowOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCast_ClampOverflowOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCast *op;

  if ((op = (vtkImageCast *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCast::ClampOverflowOff();
      }
    else
      {
      op->ClampOverflowOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageCastMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageCast_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageCast_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageCast_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageCast\nC++: vtkImageCast *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageCast_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageCast\nC++: vtkImageCast *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutputScalarType",                (PyCFunction)PyvtkImageCast_SetOutputScalarType, 1,
   (char*)"V.SetOutputScalarType(int)\nC++: void SetOutputScalarType (int );\n\n Set the desired output scalar type to cast to.\n"},
  {(char*)"GetOutputScalarType",                (PyCFunction)PyvtkImageCast_GetOutputScalarType, 1,
   (char*)"V.GetOutputScalarType() -> int\nC++: int GetOutputScalarType ();\n\n Set the desired output scalar type to cast to.\n"},
  {(char*)"SetOutputScalarTypeToFloat",                (PyCFunction)PyvtkImageCast_SetOutputScalarTypeToFloat, 1,
   (char*)"V.SetOutputScalarTypeToFloat()\nC++: void SetOutputScalarTypeToFloat ();this SetOutputScalarType VTK_FLOAT \n\n Set the desired output scalar type to cast to.\n"},
  {(char*)"SetOutputScalarTypeToDouble",                (PyCFunction)PyvtkImageCast_SetOutputScalarTypeToDouble, 1,
   (char*)"V.SetOutputScalarTypeToDouble()\nC++: void SetOutputScalarTypeToDouble ();this SetOutputScalarType VTK_DOUBLE \n\n Set the desired output scalar type to cast to.\n"},
  {(char*)"SetOutputScalarTypeToInt",                (PyCFunction)PyvtkImageCast_SetOutputScalarTypeToInt, 1,
   (char*)"V.SetOutputScalarTypeToInt()\nC++: void SetOutputScalarTypeToInt ();this SetOutputScalarType VTK_INT \n\n Set the desired output scalar type to cast to.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedInt",                (PyCFunction)PyvtkImageCast_SetOutputScalarTypeToUnsignedInt, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedInt()\nC++: void SetOutputScalarTypeToUnsignedInt ();this SetOutputScalarType VTK_UNSIGNED_INT \n\n Set the desired output scalar type to cast to.\n"},
  {(char*)"SetOutputScalarTypeToLong",                (PyCFunction)PyvtkImageCast_SetOutputScalarTypeToLong, 1,
   (char*)"V.SetOutputScalarTypeToLong()\nC++: void SetOutputScalarTypeToLong ();this SetOutputScalarType VTK_LONG \n\n Set the desired output scalar type to cast to.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedLong",                (PyCFunction)PyvtkImageCast_SetOutputScalarTypeToUnsignedLong, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedLong()\nC++: void SetOutputScalarTypeToUnsignedLong ();this SetOutputScalarType VTK_UNSIGNED_LONG \n\n Set the desired output scalar type to cast to.\n"},
  {(char*)"SetOutputScalarTypeToShort",                (PyCFunction)PyvtkImageCast_SetOutputScalarTypeToShort, 1,
   (char*)"V.SetOutputScalarTypeToShort()\nC++: void SetOutputScalarTypeToShort ();this SetOutputScalarType VTK_SHORT \n\n Set the desired output scalar type to cast to.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedShort",                (PyCFunction)PyvtkImageCast_SetOutputScalarTypeToUnsignedShort, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedShort()\nC++: void SetOutputScalarTypeToUnsignedShort ();this SetOutputScalarType VTK_UNSIGNED_SHORT \n\n Set the desired output scalar type to cast to.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedChar",                (PyCFunction)PyvtkImageCast_SetOutputScalarTypeToUnsignedChar, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedChar()\nC++: void SetOutputScalarTypeToUnsignedChar ();this SetOutputScalarType VTK_UNSIGNED_CHAR \n\n Set the desired output scalar type to cast to.\n"},
  {(char*)"SetOutputScalarTypeToChar",                (PyCFunction)PyvtkImageCast_SetOutputScalarTypeToChar, 1,
   (char*)"V.SetOutputScalarTypeToChar()\nC++: void SetOutputScalarTypeToChar ();this SetOutputScalarType VTK_CHAR \n\n Set the desired output scalar type to cast to.\n"},
  {(char*)"SetClampOverflow",                (PyCFunction)PyvtkImageCast_SetClampOverflow, 1,
   (char*)"V.SetClampOverflow(int)\nC++: void SetClampOverflow (int );\n\n When the ClampOverflow flag is on, the data is thresholded so that\n the output value does not exceed the max or min of the data type.\n By default ClampOverflow is off.\n"},
  {(char*)"GetClampOverflow",                (PyCFunction)PyvtkImageCast_GetClampOverflow, 1,
   (char*)"V.GetClampOverflow() -> int\nC++: int GetClampOverflow ();\n\n When the ClampOverflow flag is on, the data is thresholded so that\n the output value does not exceed the max or min of the data type.\n By default ClampOverflow is off.\n"},
  {(char*)"ClampOverflowOn",                (PyCFunction)PyvtkImageCast_ClampOverflowOn, 1,
   (char*)"V.ClampOverflowOn()\nC++: void ClampOverflowOn ();\n\n When the ClampOverflow flag is on, the data is thresholded so that\n the output value does not exceed the max or min of the data type.\n By default ClampOverflow is off.\n"},
  {(char*)"ClampOverflowOff",                (PyCFunction)PyvtkImageCast_ClampOverflowOff, 1,
   (char*)"V.ClampOverflowOff()\nC++: void ClampOverflowOff ();\n\n When the ClampOverflow flag is on, the data is thresholded so that\n the output value does not exceed the max or min of the data type.\n By default ClampOverflow is off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageCastDoc[] = {
  (char*)"vtkImageCast -  Image Data type Casting Filter\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageCast filter casts the input type to match the output type in\n the image processing pipeline.  The filter does nothing if the input\n already has the correct type.  To specify the \"CastTo\" type,\n use \"SetOutputScalarType\" method.\n\n",
  "See Also:\n\n vtkImageThreshold vtkImageShiftScale\n\n",
  NULL
};

static vtkObjectBase *vtkImageCastStaticNew()
{
  return vtkImageCast::New();
}

PyObject *PyVTKClass_vtkImageCastNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageCastStaticNew,
                        PyvtkImageCastMethods,
                        (char*)"vtkImageCast",modulename,
                        (char**)vtkImageCastDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

