// python wrapper for vtkImageChangeInformation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageChangeInformation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageChangeInformationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageChangeInformationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageChangeInformation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  const char    *temp20;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageChangeInformation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageChangeInformation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  vtkImageChangeInformation  *temp20;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageChangeInformation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageChangeInformation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageChangeInformation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_SetInformationInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetInformationInput(temp0);
      }
    else
      {
      op->SetInformationInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_GetInformationInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  vtkImageData  *temp20;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageChangeInformation::GetInformationInput();
      }
    else
      {
      temp20 = op->GetInformationInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_SetOutputExtentStart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetOutputExtentStart(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutputExtentStart(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  int    temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetOutputExtentStart(temp0);
      }
    else
      {
      op->SetOutputExtentStart(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_GetOutputExtentStart(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  int     *temp20;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageChangeInformation::GetOutputExtentStart();
      }
    else
      {
      temp20 = op->GetOutputExtentStart();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_SetOutputSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetOutputSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutputSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetOutputSpacing(temp0);
      }
    else
      {
      op->SetOutputSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_GetOutputSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double  *temp20;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageChangeInformation::GetOutputSpacing();
      }
    else
      {
      temp20 = op->GetOutputSpacing();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_SetOutputOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetOutputOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutputOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetOutputOrigin(temp0);
      }
    else
      {
      op->SetOutputOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_GetOutputOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double  *temp20;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageChangeInformation::GetOutputOrigin();
      }
    else
      {
      temp20 = op->GetOutputOrigin();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_SetCenterImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  int      temp0;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetCenterImage(temp0);
      }
    else
      {
      op->SetCenterImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_CenterImageOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::CenterImageOn();
      }
    else
      {
      op->CenterImageOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_CenterImageOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::CenterImageOff();
      }
    else
      {
      op->CenterImageOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_GetCenterImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  int      temp20;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageChangeInformation::GetCenterImage();
      }
    else
      {
      temp20 = op->GetCenterImage();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_SetExtentTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetExtentTranslation(temp0,temp1,temp2);
      }
    else
      {
      op->SetExtentTranslation(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  int    temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetExtentTranslation(temp0);
      }
    else
      {
      op->SetExtentTranslation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_GetExtentTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  int     *temp20;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageChangeInformation::GetExtentTranslation();
      }
    else
      {
      temp20 = op->GetExtentTranslation();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_SetSpacingScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetSpacingScale(temp0,temp1,temp2);
      }
    else
      {
      op->SetSpacingScale(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetSpacingScale(temp0);
      }
    else
      {
      op->SetSpacingScale(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_GetSpacingScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double  *temp20;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageChangeInformation::GetSpacingScale();
      }
    else
      {
      temp20 = op->GetSpacingScale();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_SetOriginTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetOriginTranslation(temp0,temp1,temp2);
      }
    else
      {
      op->SetOriginTranslation(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetOriginTranslation(temp0);
      }
    else
      {
      op->SetOriginTranslation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_GetOriginTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double  *temp20;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageChangeInformation::GetOriginTranslation();
      }
    else
      {
      temp20 = op->GetOriginTranslation();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_SetOriginScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetOriginScale(temp0,temp1,temp2);
      }
    else
      {
      op->SetOriginScale(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageChangeInformation::SetOriginScale(temp0);
      }
    else
      {
      op->SetOriginScale(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageChangeInformation_GetOriginScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageChangeInformation *op;

  double  *temp20;
  if ((op = (vtkImageChangeInformation *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageChangeInformation::GetOriginScale();
      }
    else
      {
      temp20 = op->GetOriginScale();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageChangeInformationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageChangeInformation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageChangeInformation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageChangeInformation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageChangeInformation\nC++: vtkImageChangeInformation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageChangeInformation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageChangeInformation\nC++: vtkImageChangeInformation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInformationInput",                (PyCFunction)PyvtkImageChangeInformation_SetInformationInput, 1,
   (char*)"V.SetInformationInput(vtkImageData)\nC++: virtual void SetInformationInput (vtkImageData *);\n\n Copy the information from another data set.  By default,\n the information is copied from the input.\n"},
  {(char*)"GetInformationInput",                (PyCFunction)PyvtkImageChangeInformation_GetInformationInput, 1,
   (char*)"V.GetInformationInput() -> vtkImageData\nC++: virtual vtkImageData *GetInformationInput ();\n\n Copy the information from another data set.  By default,\n the information is copied from the input.\n"},
  {(char*)"SetOutputExtentStart",                (PyCFunction)PyvtkImageChangeInformation_SetOutputExtentStart, 1,
   (char*)"V.SetOutputExtentStart(int, int, int)\nC++: void SetOutputExtentStart (int , int , int );\nV.SetOutputExtentStart((int, int, int))\nC++: void SetOutputExtentStart (int  a[3]);\n\n Specify new starting values for the extent explicitly.\n These values are used as WholeExtent[0], WholeExtent[2] and\n WholeExtent[4] of the output.  The default is to the\n use the extent start of the Input, or of the InformationInput\n if InformationInput is set.\n"},
  {(char*)"GetOutputExtentStart",                (PyCFunction)PyvtkImageChangeInformation_GetOutputExtentStart, 1,
   (char*)"V.GetOutputExtentStart() -> (int, int, int)\nC++: int  *GetOutputExtentStart ();\n\n Specify new starting values for the extent explicitly.\n These values are used as WholeExtent[0], WholeExtent[2] and\n WholeExtent[4] of the output.  The default is to the\n use the extent start of the Input, or of the InformationInput\n if InformationInput is set.\n"},
  {(char*)"SetOutputSpacing",                (PyCFunction)PyvtkImageChangeInformation_SetOutputSpacing, 1,
   (char*)"V.SetOutputSpacing(float, float, float)\nC++: void SetOutputSpacing (double , double , double );\nV.SetOutputSpacing((float, float, float))\nC++: void SetOutputSpacing (double  a[3]);\n\n Specify a new data spacing explicitly.  The default is to\n use the spacing of the Input, or of the InformationInput\n if InformationInput is set.\n"},
  {(char*)"GetOutputSpacing",                (PyCFunction)PyvtkImageChangeInformation_GetOutputSpacing, 1,
   (char*)"V.GetOutputSpacing() -> (float, float, float)\nC++: double  *GetOutputSpacing ();\n\n Specify a new data spacing explicitly.  The default is to\n use the spacing of the Input, or of the InformationInput\n if InformationInput is set.\n"},
  {(char*)"SetOutputOrigin",                (PyCFunction)PyvtkImageChangeInformation_SetOutputOrigin, 1,
   (char*)"V.SetOutputOrigin(float, float, float)\nC++: void SetOutputOrigin (double , double , double );\nV.SetOutputOrigin((float, float, float))\nC++: void SetOutputOrigin (double  a[3]);\n\n Specify a new data origin explicitly.  The default is to\n use the origin of the Input, or of the InformationInput\n if InformationInput is set.\n"},
  {(char*)"GetOutputOrigin",                (PyCFunction)PyvtkImageChangeInformation_GetOutputOrigin, 1,
   (char*)"V.GetOutputOrigin() -> (float, float, float)\nC++: double  *GetOutputOrigin ();\n\n Specify a new data origin explicitly.  The default is to\n use the origin of the Input, or of the InformationInput\n if InformationInput is set.\n"},
  {(char*)"SetCenterImage",                (PyCFunction)PyvtkImageChangeInformation_SetCenterImage, 1,
   (char*)"V.SetCenterImage(int)\nC++: void SetCenterImage (int );\n\n Set the Origin of the output so that image coordinate (0,0,0)\n lies at the Center of the data set.  This will override \n SetOutputOrigin.  This is often a useful operation to apply \n before using vtkImageReslice to apply a transformation to an image. \n"},
  {(char*)"CenterImageOn",                (PyCFunction)PyvtkImageChangeInformation_CenterImageOn, 1,
   (char*)"V.CenterImageOn()\nC++: void CenterImageOn ();\n\n Set the Origin of the output so that image coordinate (0,0,0)\n lies at the Center of the data set.  This will override \n SetOutputOrigin.  This is often a useful operation to apply \n before using vtkImageReslice to apply a transformation to an image. \n"},
  {(char*)"CenterImageOff",                (PyCFunction)PyvtkImageChangeInformation_CenterImageOff, 1,
   (char*)"V.CenterImageOff()\nC++: void CenterImageOff ();\n\n Set the Origin of the output so that image coordinate (0,0,0)\n lies at the Center of the data set.  This will override \n SetOutputOrigin.  This is often a useful operation to apply \n before using vtkImageReslice to apply a transformation to an image. \n"},
  {(char*)"GetCenterImage",                (PyCFunction)PyvtkImageChangeInformation_GetCenterImage, 1,
   (char*)"V.GetCenterImage() -> int\nC++: int GetCenterImage ();\n\n Set the Origin of the output so that image coordinate (0,0,0)\n lies at the Center of the data set.  This will override \n SetOutputOrigin.  This is often a useful operation to apply \n before using vtkImageReslice to apply a transformation to an image. \n"},
  {(char*)"SetExtentTranslation",                (PyCFunction)PyvtkImageChangeInformation_SetExtentTranslation, 1,
   (char*)"V.SetExtentTranslation(int, int, int)\nC++: void SetExtentTranslation (int , int , int );\nV.SetExtentTranslation((int, int, int))\nC++: void SetExtentTranslation (int  a[3]);\n\n Apply a translation to the extent.\n"},
  {(char*)"GetExtentTranslation",                (PyCFunction)PyvtkImageChangeInformation_GetExtentTranslation, 1,
   (char*)"V.GetExtentTranslation() -> (int, int, int)\nC++: int  *GetExtentTranslation ();\n\n Apply a translation to the extent.\n"},
  {(char*)"SetSpacingScale",                (PyCFunction)PyvtkImageChangeInformation_SetSpacingScale, 1,
   (char*)"V.SetSpacingScale(float, float, float)\nC++: void SetSpacingScale (double , double , double );\nV.SetSpacingScale((float, float, float))\nC++: void SetSpacingScale (double  a[3]);\n\n Apply a scale factor to the spacing. \n"},
  {(char*)"GetSpacingScale",                (PyCFunction)PyvtkImageChangeInformation_GetSpacingScale, 1,
   (char*)"V.GetSpacingScale() -> (float, float, float)\nC++: double  *GetSpacingScale ();\n\n Apply a scale factor to the spacing. \n"},
  {(char*)"SetOriginTranslation",                (PyCFunction)PyvtkImageChangeInformation_SetOriginTranslation, 1,
   (char*)"V.SetOriginTranslation(float, float, float)\nC++: void SetOriginTranslation (double , double , double );\nV.SetOriginTranslation((float, float, float))\nC++: void SetOriginTranslation (double  a[3]);\n\n Apply a translation to the origin.\n"},
  {(char*)"GetOriginTranslation",                (PyCFunction)PyvtkImageChangeInformation_GetOriginTranslation, 1,
   (char*)"V.GetOriginTranslation() -> (float, float, float)\nC++: double  *GetOriginTranslation ();\n\n Apply a translation to the origin.\n"},
  {(char*)"SetOriginScale",                (PyCFunction)PyvtkImageChangeInformation_SetOriginScale, 1,
   (char*)"V.SetOriginScale(float, float, float)\nC++: void SetOriginScale (double , double , double );\nV.SetOriginScale((float, float, float))\nC++: void SetOriginScale (double  a[3]);\n\n Apply a scale to the origin.  The scale is applied\n before the translation.\n"},
  {(char*)"GetOriginScale",                (PyCFunction)PyvtkImageChangeInformation_GetOriginScale, 1,
   (char*)"V.GetOriginScale() -> (float, float, float)\nC++: double  *GetOriginScale ();\n\n Apply a scale to the origin.  The scale is applied\n before the translation.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageChangeInformationDoc[] = {
  (char*)"vtkImageChangeInformation - modify spacing, origin and extent.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageChangeInformation  modify the spacing, origin, or extent of\n the data without changing the data itself.  The data is not resampled\n by this filter, only the information accompanying the data is modified.\n\n",
  NULL
};

static vtkObjectBase *vtkImageChangeInformationStaticNew()
{
  return vtkImageChangeInformation::New();
}

PyObject *PyVTKClass_vtkImageChangeInformationNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageChangeInformationStaticNew,
                        PyvtkImageChangeInformationMethods,
                        (char*)"vtkImageChangeInformation",modulename,
                        (char**)vtkImageChangeInformationDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

