// python wrapper for vtkImageClip object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageClip.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageClipNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageClipNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageClip_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageClip *op;

  const char    *temp20;
  if ((op = (vtkImageClip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageClip::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageClip_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageClip *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageClip *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageClip::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageClip_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageClip *op;

  vtkImageClip  *temp20;
  if ((op = (vtkImageClip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageClip::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageClip_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageClip  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageClip::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageClip_SetOutputWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageClip *op;

  int    temp0[6];
  vtkInformation  *temp1;
  PyObject *tempH1;
  if ((op = (vtkImageClip *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)O", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, &tempH1)))
    {
    temp1 = (vtkInformation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkInformation");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageClip::SetOutputWholeExtent(temp0,temp1);
      }
    else
      {
      op->SetOutputWholeExtent(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkImageClip *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  if ((op = (vtkImageClip *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageClip::SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageClip *op;

  int      temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkImageClip *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageClip::SetOutputWholeExtent(temp0,temp1);
      }
    else
      {
      op->SetOutputWholeExtent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageClip_GetOutputWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageClip *op;

  int    temp0[6];
  if ((op = (vtkImageClip *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageClip::GetOutputWholeExtent(temp0);
      }
    else
      {
      op->GetOutputWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageClip *op;

  int     *temp20;
  PyErr_Clear();
  if ((op = (vtkImageClip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageClip::GetOutputWholeExtent();
      }
    else
      {
      temp20 = op->GetOutputWholeExtent();
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageClip_ResetOutputWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageClip *op;

  if ((op = (vtkImageClip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageClip::ResetOutputWholeExtent();
      }
    else
      {
      op->ResetOutputWholeExtent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageClip_SetClipData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageClip *op;

  int      temp0;
  if ((op = (vtkImageClip *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageClip::SetClipData(temp0);
      }
    else
      {
      op->SetClipData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageClip_GetClipData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageClip *op;

  int      temp20;
  if ((op = (vtkImageClip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageClip::GetClipData();
      }
    else
      {
      temp20 = op->GetClipData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageClip_ClipDataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageClip *op;

  if ((op = (vtkImageClip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageClip::ClipDataOn();
      }
    else
      {
      op->ClipDataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageClip_ClipDataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageClip *op;

  if ((op = (vtkImageClip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageClip::ClipDataOff();
      }
    else
      {
      op->ClipDataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageClipMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageClip_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageClip_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageClip_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageClip\nC++: vtkImageClip *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageClip_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageClip\nC++: vtkImageClip *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutputWholeExtent",                (PyCFunction)PyvtkImageClip_SetOutputWholeExtent, 1,
   (char*)"V.SetOutputWholeExtent((int, int, int, int, int, int), vtkInformation)\nC++: void SetOutputWholeExtent (int extent[6], vtkInformation *outInfo);\nV.SetOutputWholeExtent(int, int, int, int, int, int)\nC++: void SetOutputWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ);\nV.SetOutputWholeExtent(int, int)\nC++: void SetOutputWholeExtent (int piece, int numPieces);\n\n The whole extent of the output has to be set explicitly.\n"},
  {(char*)"GetOutputWholeExtent",                (PyCFunction)PyvtkImageClip_GetOutputWholeExtent, 1,
   (char*)"V.GetOutputWholeExtent((int, int, int, int, int, int))\nC++: void GetOutputWholeExtent (int extent[6]);\nV.GetOutputWholeExtent() -> (int, int, int, int, int, int)\nC++: int *GetOutputWholeExtent ();return this OutputWholeExtent \n\n The whole extent of the output has to be set explicitly.\n"},
  {(char*)"ResetOutputWholeExtent",                (PyCFunction)PyvtkImageClip_ResetOutputWholeExtent, 1,
   (char*)"V.ResetOutputWholeExtent()\nC++: void ResetOutputWholeExtent ();\n\n"},
  {(char*)"SetClipData",                (PyCFunction)PyvtkImageClip_SetClipData, 1,
   (char*)"V.SetClipData(int)\nC++: void SetClipData (int );\n\n By default, ClipData is off, and only the WholeExtent is modified.\n the data's extent may actually be larger.  When this flag is on,\n the data extent will be no more than the OutputWholeExtent.\n"},
  {(char*)"GetClipData",                (PyCFunction)PyvtkImageClip_GetClipData, 1,
   (char*)"V.GetClipData() -> int\nC++: int GetClipData ();\n\n By default, ClipData is off, and only the WholeExtent is modified.\n the data's extent may actually be larger.  When this flag is on,\n the data extent will be no more than the OutputWholeExtent.\n"},
  {(char*)"ClipDataOn",                (PyCFunction)PyvtkImageClip_ClipDataOn, 1,
   (char*)"V.ClipDataOn()\nC++: void ClipDataOn ();\n\n By default, ClipData is off, and only the WholeExtent is modified.\n the data's extent may actually be larger.  When this flag is on,\n the data extent will be no more than the OutputWholeExtent.\n"},
  {(char*)"ClipDataOff",                (PyCFunction)PyvtkImageClip_ClipDataOff, 1,
   (char*)"V.ClipDataOff()\nC++: void ClipDataOff ();\n\n By default, ClipData is off, and only the WholeExtent is modified.\n the data's extent may actually be larger.  When this flag is on,\n the data extent will be no more than the OutputWholeExtent.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageClipDoc[] = {
  (char*)"vtkImageClip - Reduces the image extent of the input.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageClip  will make an image smaller.  The output must have\n an image extent which is the subset of the input.  The filter has two \n modes of operation: \n 1: By default, the data is not copied in this filter. \n Only the whole extent is modified.  \n 2: If ClipDataOn is set, then you will get no more that the clipped\n extent.\n\n",
  NULL
};

static vtkObjectBase *vtkImageClipStaticNew()
{
  return vtkImageClip::New();
}

PyObject *PyVTKClass_vtkImageClipNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageClipStaticNew,
                        PyvtkImageClipMethods,
                        (char*)"vtkImageClip",modulename,
                        (char**)vtkImageClipDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

