// python wrapper for vtkImageConnector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageConnector.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageConnectorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageConnectorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkImageConnector_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConnector *op;

  const char    *temp20;
  if ((op = (vtkImageConnector *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageConnector::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConnector_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConnector *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageConnector *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageConnector::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConnector_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConnector *op;

  vtkImageConnector  *temp20;
  if ((op = (vtkImageConnector *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageConnector::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConnector_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageConnector  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageConnector::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageConnector_RemoveAllSeeds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConnector *op;

  if ((op = (vtkImageConnector *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageConnector::RemoveAllSeeds();
      }
    else
      {
      op->RemoveAllSeeds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConnector_SetConnectedValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConnector *op;

  unsigned char     temp0;
  if ((op = (vtkImageConnector *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageConnector::SetConnectedValue(temp0);
      }
    else
      {
      op->SetConnectedValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConnector_GetConnectedValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConnector *op;

  unsigned char     temp20;
  if ((op = (vtkImageConnector *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageConnector::GetConnectedValue();
      }
    else
      {
      temp20 = op->GetConnectedValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConnector_SetUnconnectedValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConnector *op;

  unsigned char     temp0;
  if ((op = (vtkImageConnector *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageConnector::SetUnconnectedValue(temp0);
      }
    else
      {
      op->SetUnconnectedValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConnector_GetUnconnectedValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConnector *op;

  unsigned char     temp20;
  if ((op = (vtkImageConnector *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageConnector::GetUnconnectedValue();
      }
    else
      {
      temp20 = op->GetUnconnectedValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConnector_MarkData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConnector *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  int      temp1;
  int    temp2[6];
  if ((op = (vtkImageConnector *)PyArg_VTKParseTuple(self, args, (char*)"Oi(iiiiii)", &tempH0, &temp1, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageConnector::MarkData(temp0,temp1,temp2);
      }
    else
      {
      op->MarkData(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,2,temp2,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}

static PyMethodDef PyvtkImageConnectorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageConnector_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageConnector_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageConnector_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageConnector\nC++: vtkImageConnector *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageConnector_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageConnector\nC++: vtkImageConnector *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RemoveAllSeeds",                (PyCFunction)PyvtkImageConnector_RemoveAllSeeds, 1,
   (char*)"V.RemoveAllSeeds()\nC++: void RemoveAllSeeds ();\n\n"},
  {(char*)"SetConnectedValue",                (PyCFunction)PyvtkImageConnector_SetConnectedValue, 1,
   (char*)"V.SetConnectedValue(int)\nC++: void SetConnectedValue (unsigned char );\n\n Values used by the MarkRegion method\n"},
  {(char*)"GetConnectedValue",                (PyCFunction)PyvtkImageConnector_GetConnectedValue, 1,
   (char*)"V.GetConnectedValue() -> int\nC++: char unsigned GetConnectedValue ();\n\n Values used by the MarkRegion method\n"},
  {(char*)"SetUnconnectedValue",                (PyCFunction)PyvtkImageConnector_SetUnconnectedValue, 1,
   (char*)"V.SetUnconnectedValue(int)\nC++: void SetUnconnectedValue (unsigned char );\n\n Values used by the MarkRegion method\n"},
  {(char*)"GetUnconnectedValue",                (PyCFunction)PyvtkImageConnector_GetUnconnectedValue, 1,
   (char*)"V.GetUnconnectedValue() -> int\nC++: char unsigned GetUnconnectedValue ();\n\n Values used by the MarkRegion method\n"},
  {(char*)"MarkData",                (PyCFunction)PyvtkImageConnector_MarkData, 1,
   (char*)"V.MarkData(vtkImageData, int, (int, int, int, int, int, int))\nC++: void MarkData (vtkImageData *data, int dimensionality, int ext[6]);\n\n Input a data of 0's and \"UnconnectedValue\"s. Seeds of this object are\n used to find connected pixels.  All pixels connected to seeds are set to\n ConnectedValue.  The data has to be unsigned char.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageConnectorDoc[] = {
  (char*)"vtkImageConnector - Create a binary image of a sphere.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkImageConnector is a helper class for connectivity filters.  \n It is not meant to be used directly.\n It implements a stack and breadth first search necessary for\n some connectivity filters.  Filtered axes sets the dimensionality \n of the neighbor comparison, and\n cannot be more than three dimensions.  \n As implemented, only voxels which share faces are considered\n neighbors. \n\n",
  NULL
};

static vtkObjectBase *vtkImageConnectorStaticNew()
{
  return vtkImageConnector::New();
}

PyObject *PyVTKClass_vtkImageConnectorNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageConnectorStaticNew,
                        PyvtkImageConnectorMethods,
                        (char*)"vtkImageConnector",modulename,
                        (char**)vtkImageConnectorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

