// python wrapper for vtkImageConstantPad object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageConstantPad.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageConstantPadNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageConstantPadNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImagePadFilterNew(char *); }

static PyObject *PyvtkImageConstantPad_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConstantPad *op;

  const char    *temp20;
  if ((op = (vtkImageConstantPad *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageConstantPad::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConstantPad_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConstantPad *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageConstantPad *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageConstantPad::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConstantPad_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConstantPad *op;

  vtkImageConstantPad  *temp20;
  if ((op = (vtkImageConstantPad *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageConstantPad::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConstantPad_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageConstantPad  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageConstantPad::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageConstantPad_SetConstant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConstantPad *op;

  double   temp0;
  if ((op = (vtkImageConstantPad *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageConstantPad::SetConstant(temp0);
      }
    else
      {
      op->SetConstant(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConstantPad_GetConstant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConstantPad *op;

  double   temp20;
  if ((op = (vtkImageConstantPad *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageConstantPad::GetConstant();
      }
    else
      {
      temp20 = op->GetConstant();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageConstantPadMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageConstantPad_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageConstantPad_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageConstantPad_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageConstantPad\nC++: vtkImageConstantPad *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageConstantPad_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageConstantPad\nC++: vtkImageConstantPad *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetConstant",                (PyCFunction)PyvtkImageConstantPad_SetConstant, 1,
   (char*)"V.SetConstant(float)\nC++: void SetConstant (double );\n\n Set/Get the pad value.\n"},
  {(char*)"GetConstant",                (PyCFunction)PyvtkImageConstantPad_GetConstant, 1,
   (char*)"V.GetConstant() -> float\nC++: double GetConstant ();\n\n Set/Get the pad value.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageConstantPadDoc[] = {
  (char*)"vtkImageConstantPad - Makes image larger by padding with constant.\n\n",
  "Super Class:\n\n vtkImagePadFilter\n\n",
  (char*)" vtkImageConstantPad changes the image extent of its input.\n Any pixels outside of the original image extent are filled with\n a constant value.\n\n",
  "See Also:\n\n vtkImageWrapPad vtkImageMirrorPad\n\n",
  NULL
};

static vtkObjectBase *vtkImageConstantPadStaticNew()
{
  return vtkImageConstantPad::New();
}

PyObject *PyVTKClass_vtkImageConstantPadNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageConstantPadStaticNew,
                        PyvtkImageConstantPadMethods,
                        (char*)"vtkImageConstantPad",modulename,
                        (char**)vtkImageConstantPadDoc,
                        PyVTKClass_vtkImagePadFilterNew(modulename));
}

