// python wrapper for vtkImageContinuousDilate3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageContinuousDilate3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageContinuousDilate3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageContinuousDilate3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageSpatialAlgorithmNew(char *); }

static PyObject *PyvtkImageContinuousDilate3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageContinuousDilate3D *op;

  const char    *temp20;
  if ((op = (vtkImageContinuousDilate3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageContinuousDilate3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageContinuousDilate3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageContinuousDilate3D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageContinuousDilate3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageContinuousDilate3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageContinuousDilate3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageContinuousDilate3D *op;

  vtkImageContinuousDilate3D  *temp20;
  if ((op = (vtkImageContinuousDilate3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageContinuousDilate3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageContinuousDilate3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageContinuousDilate3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageContinuousDilate3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageContinuousDilate3D_SetKernelSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageContinuousDilate3D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkImageContinuousDilate3D *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageContinuousDilate3D::SetKernelSize(temp0,temp1,temp2);
      }
    else
      {
      op->SetKernelSize(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageContinuousDilate3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageContinuousDilate3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Construct an instance of vtkImageContinuousDilate3D filter.\n By default zero values are dilated.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageContinuousDilate3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Construct an instance of vtkImageContinuousDilate3D filter.\n By default zero values are dilated.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageContinuousDilate3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageContinuousDilate3D\nC++: vtkImageContinuousDilate3D *NewInstance ();\n\n Construct an instance of vtkImageContinuousDilate3D filter.\n By default zero values are dilated.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageContinuousDilate3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageContinuousDilate3D\nC++: vtkImageContinuousDilate3D *SafeDownCast (vtkObject* o);\n\n Construct an instance of vtkImageContinuousDilate3D filter.\n By default zero values are dilated.\n"},
  {(char*)"SetKernelSize",                (PyCFunction)PyvtkImageContinuousDilate3D_SetKernelSize, 1,
   (char*)"V.SetKernelSize(int, int, int)\nC++: void SetKernelSize (int size0, int size1, int size2);\n\n This method sets the size of the neighborhood.  It also sets the \n default middle of the neighborhood and computes the elliptical foot print.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageContinuousDilate3DDoc[] = {
  (char*)"vtkImageContinuousDilate3D - Dilate implemented as a maximum.\n\n",
  "Super Class:\n\n vtkImageSpatialAlgorithm\n\n",
  (char*)" vtkImageContinuousDilate3D replaces a pixel with the maximum over\n an ellipsoidal neighborhood.  If KernelSize of an axis is 1, no processing\n is done on that axis.\n\n",
  NULL
};

static vtkObjectBase *vtkImageContinuousDilate3DStaticNew()
{
  return vtkImageContinuousDilate3D::New();
}

PyObject *PyVTKClass_vtkImageContinuousDilate3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageContinuousDilate3DStaticNew,
                        PyvtkImageContinuousDilate3DMethods,
                        (char*)"vtkImageContinuousDilate3D",modulename,
                        (char**)vtkImageContinuousDilate3DDoc,
                        PyVTKClass_vtkImageSpatialAlgorithmNew(modulename));
}

