// python wrapper for vtkImageConvolve object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageConvolve.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageConvolveNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageConvolveNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageConvolve_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConvolve *op;

  const char    *temp20;
  if ((op = (vtkImageConvolve *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageConvolve::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConvolve_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConvolve *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageConvolve *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageConvolve::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConvolve_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConvolve *op;

  vtkImageConvolve  *temp20;
  if ((op = (vtkImageConvolve *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageConvolve::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConvolve_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageConvolve  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageConvolve::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageConvolve_GetKernelSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConvolve *op;

  int     *temp20;
  if ((op = (vtkImageConvolve *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageConvolve::GetKernelSize();
      }
    else
      {
      temp20 = op->GetKernelSize();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConvolve_SetKernel3x3(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConvolve *op;

  double temp0[9];
  if ((op = (vtkImageConvolve *)PyArg_VTKParseTuple(self, args, (char*)"(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageConvolve::SetKernel3x3(temp0);
      }
    else
      {
      op->SetKernel3x3(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConvolve_SetKernel5x5(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConvolve *op;

  double temp0[25];
  if ((op = (vtkImageConvolve *)PyArg_VTKParseTuple(self, args, (char*)"(ddddddddddddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15, temp0 + 16, temp0 + 17, temp0 + 18, temp0 + 19, temp0 + 20, temp0 + 21, temp0 + 22, temp0 + 23, temp0 + 24)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageConvolve::SetKernel5x5(temp0);
      }
    else
      {
      op->SetKernel5x5(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConvolve_GetKernel3x3(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConvolve *op;

  double temp0[9];
  if ((op = (vtkImageConvolve *)PyArg_VTKParseTuple(self, args, (char*)"(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageConvolve::GetKernel3x3(temp0);
      }
    else
      {
      op->GetKernel3x3(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,9)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConvolve_GetKernel5x5(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConvolve *op;

  double temp0[25];
  if ((op = (vtkImageConvolve *)PyArg_VTKParseTuple(self, args, (char*)"(ddddddddddddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15, temp0 + 16, temp0 + 17, temp0 + 18, temp0 + 19, temp0 + 20, temp0 + 21, temp0 + 22, temp0 + 23, temp0 + 24)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageConvolve::GetKernel5x5(temp0);
      }
    else
      {
      op->GetKernel5x5(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,25)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConvolve_SetKernel3x3x3(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConvolve *op;

  double temp0[27];
  if ((op = (vtkImageConvolve *)PyArg_VTKParseTuple(self, args, (char*)"(ddddddddddddddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15, temp0 + 16, temp0 + 17, temp0 + 18, temp0 + 19, temp0 + 20, temp0 + 21, temp0 + 22, temp0 + 23, temp0 + 24, temp0 + 25, temp0 + 26)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageConvolve::SetKernel3x3x3(temp0);
      }
    else
      {
      op->SetKernel3x3x3(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageConvolve_GetKernel3x3x3(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageConvolve *op;

  double temp0[27];
  if ((op = (vtkImageConvolve *)PyArg_VTKParseTuple(self, args, (char*)"(ddddddddddddddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15, temp0 + 16, temp0 + 17, temp0 + 18, temp0 + 19, temp0 + 20, temp0 + 21, temp0 + 22, temp0 + 23, temp0 + 24, temp0 + 25, temp0 + 26)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageConvolve::GetKernel3x3x3(temp0);
      }
    else
      {
      op->GetKernel3x3x3(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,27)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageConvolveMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageConvolve_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Construct an instance of vtkImageConvolve filter.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageConvolve_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Construct an instance of vtkImageConvolve filter.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageConvolve_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageConvolve\nC++: vtkImageConvolve *NewInstance ();\n\n Construct an instance of vtkImageConvolve filter.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageConvolve_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageConvolve\nC++: vtkImageConvolve *SafeDownCast (vtkObject* o);\n\n Construct an instance of vtkImageConvolve filter.\n"},
  {(char*)"GetKernelSize",                (PyCFunction)PyvtkImageConvolve_GetKernelSize, 1,
   (char*)"V.GetKernelSize() -> (int, int, int)\nC++: int  *GetKernelSize ();\n\n Get the kernel size\n"},
  {(char*)"SetKernel3x3",                (PyCFunction)PyvtkImageConvolve_SetKernel3x3, 1,
   (char*)"V.SetKernel3x3((float, float, float, float, float, float, float, float, float))\nC++: void SetKernel3x3 (const double kernel[9]);\n\n Set the kernel to be a given 3x3 or 5x5 or 7x7 kernel.\n"},
  {(char*)"SetKernel5x5",                (PyCFunction)PyvtkImageConvolve_SetKernel5x5, 1,
   (char*)"V.SetKernel5x5((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: void SetKernel5x5 (const double kernel[25]);\n\n Set the kernel to be a given 3x3 or 5x5 or 7x7 kernel.\n"},
  {(char*)"GetKernel3x3",                (PyCFunction)PyvtkImageConvolve_GetKernel3x3, 1,
   (char*)"V.GetKernel3x3((float, float, float, float, float, float, float, float, float))\nC++: void GetKernel3x3 (double kernel[9]);\n\n Return an array that contains the kernel.\n"},
  {(char*)"GetKernel5x5",                (PyCFunction)PyvtkImageConvolve_GetKernel5x5, 1,
   (char*)"V.GetKernel5x5((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: void GetKernel5x5 (double kernel[25]);\n\n Return an array that contains the kernel.\n"},
  {(char*)"SetKernel3x3x3",                (PyCFunction)PyvtkImageConvolve_SetKernel3x3x3, 1,
   (char*)"V.SetKernel3x3x3((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: void SetKernel3x3x3 (const double kernel[27]);\n\n Set the kernel to be a 3x3x3 or 5x5x5 or 7x7x7 kernel.\n"},
  {(char*)"GetKernel3x3x3",                (PyCFunction)PyvtkImageConvolve_GetKernel3x3x3, 1,
   (char*)"V.GetKernel3x3x3((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: void GetKernel3x3x3 (double kernel[27]);\n\n Return an array that contains the kernel\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageConvolveDoc[] = {
  (char*)"vtkImageConvolve - Convolution of an image with a kernel.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageConvolve convolves the image with a 3D NxNxN kernel or a\n 2D NxN kernal.  The output image is cropped to the same size as\n the input.\n\n",
  NULL
};

static vtkObjectBase *vtkImageConvolveStaticNew()
{
  return vtkImageConvolve::New();
}

PyObject *PyVTKClass_vtkImageConvolveNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageConvolveStaticNew,
                        PyvtkImageConvolveMethods,
                        (char*)"vtkImageConvolve",modulename,
                        (char**)vtkImageConvolveDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

