// python wrapper for vtkImageCursor3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageCursor3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageCursor3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageCursor3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageInPlaceFilterNew(char *); }

static PyObject *PyvtkImageCursor3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCursor3D *op;

  const char    *temp20;
  if ((op = (vtkImageCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCursor3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCursor3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCursor3D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCursor3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCursor3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCursor3D *op;

  vtkImageCursor3D  *temp20;
  if ((op = (vtkImageCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCursor3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCursor3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageCursor3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageCursor3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageCursor3D_SetCursorPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCursor3D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCursor3D::SetCursorPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetCursorPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageCursor3D *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCursor3D::SetCursorPosition(temp0);
      }
    else
      {
      op->SetCursorPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCursor3D_GetCursorPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCursor3D *op;

  double  *temp20;
  if ((op = (vtkImageCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCursor3D::GetCursorPosition();
      }
    else
      {
      temp20 = op->GetCursorPosition();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCursor3D_SetCursorValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCursor3D *op;

  double   temp0;
  if ((op = (vtkImageCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCursor3D::SetCursorValue(temp0);
      }
    else
      {
      op->SetCursorValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCursor3D_GetCursorValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCursor3D *op;

  double   temp20;
  if ((op = (vtkImageCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCursor3D::GetCursorValue();
      }
    else
      {
      temp20 = op->GetCursorValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCursor3D_SetCursorRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCursor3D *op;

  int      temp0;
  if ((op = (vtkImageCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageCursor3D::SetCursorRadius(temp0);
      }
    else
      {
      op->SetCursorRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageCursor3D_GetCursorRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageCursor3D *op;

  int      temp20;
  if ((op = (vtkImageCursor3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageCursor3D::GetCursorRadius();
      }
    else
      {
      temp20 = op->GetCursorRadius();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageCursor3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageCursor3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageCursor3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageCursor3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageCursor3D\nC++: vtkImageCursor3D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageCursor3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageCursor3D\nC++: vtkImageCursor3D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCursorPosition",                (PyCFunction)PyvtkImageCursor3D_SetCursorPosition, 1,
   (char*)"V.SetCursorPosition(float, float, float)\nC++: void SetCursorPosition (double , double , double );\nV.SetCursorPosition((float, float, float))\nC++: void SetCursorPosition (double  a[3]);\n\n Sets/Gets the center point of the 3d cursor.\n"},
  {(char*)"GetCursorPosition",                (PyCFunction)PyvtkImageCursor3D_GetCursorPosition, 1,
   (char*)"V.GetCursorPosition() -> (float, float, float)\nC++: double  *GetCursorPosition ();\n\n Sets/Gets the center point of the 3d cursor.\n"},
  {(char*)"SetCursorValue",                (PyCFunction)PyvtkImageCursor3D_SetCursorValue, 1,
   (char*)"V.SetCursorValue(float)\nC++: void SetCursorValue (double );\n\n Sets/Gets what pixel value to draw the cursor in.\n"},
  {(char*)"GetCursorValue",                (PyCFunction)PyvtkImageCursor3D_GetCursorValue, 1,
   (char*)"V.GetCursorValue() -> float\nC++: double GetCursorValue ();\n\n Sets/Gets what pixel value to draw the cursor in.\n"},
  {(char*)"SetCursorRadius",                (PyCFunction)PyvtkImageCursor3D_SetCursorRadius, 1,
   (char*)"V.SetCursorRadius(int)\nC++: void SetCursorRadius (int );\n\n Sets/Gets the radius of the cursor. The radius determines\n how far the axis lines project out from the cursors center.\n"},
  {(char*)"GetCursorRadius",                (PyCFunction)PyvtkImageCursor3D_GetCursorRadius, 1,
   (char*)"V.GetCursorRadius() -> int\nC++: int GetCursorRadius ();\n\n Sets/Gets the radius of the cursor. The radius determines\n how far the axis lines project out from the cursors center.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageCursor3DDoc[] = {
  (char*)"vtkImageCursor3D - Paints a cursor on top of an image or volume.\n\n",
  "Super Class:\n\n vtkImageInPlaceFilter\n\n",
  (char*)" vtkImageCursor3D will draw a cursor on a 2d image or 3d volume.\n\n",
  NULL
};

static vtkObjectBase *vtkImageCursor3DStaticNew()
{
  return vtkImageCursor3D::New();
}

PyObject *PyVTKClass_vtkImageCursor3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageCursor3DStaticNew,
                        PyvtkImageCursor3DMethods,
                        (char*)"vtkImageCursor3D",modulename,
                        (char**)vtkImageCursor3DDoc,
                        PyVTKClass_vtkImageInPlaceFilterNew(modulename));
}

