// python wrapper for vtkImageDataStreamer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageDataStreamer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageDataStreamerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageDataStreamerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageDataStreamer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataStreamer *op;

  const char    *temp20;
  if ((op = (vtkImageDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataStreamer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataStreamer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataStreamer *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataStreamer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataStreamer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataStreamer *op;

  vtkImageDataStreamer  *temp20;
  if ((op = (vtkImageDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataStreamer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataStreamer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageDataStreamer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageDataStreamer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageDataStreamer_SetNumberOfStreamDivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataStreamer *op;

  int      temp0;
  if ((op = (vtkImageDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataStreamer::SetNumberOfStreamDivisions(temp0);
      }
    else
      {
      op->SetNumberOfStreamDivisions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataStreamer_GetNumberOfStreamDivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataStreamer *op;

  int      temp20;
  if ((op = (vtkImageDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataStreamer::GetNumberOfStreamDivisions();
      }
    else
      {
      temp20 = op->GetNumberOfStreamDivisions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataStreamer_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataStreamer *op;

  if ((op = (vtkImageDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataStreamer::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataStreamer_UpdateWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataStreamer *op;

  if ((op = (vtkImageDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataStreamer::UpdateWholeExtent();
      }
    else
      {
      op->UpdateWholeExtent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDataStreamer_SetExtentTranslator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataStreamer *op;

  vtkExtentTranslator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkExtentTranslator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkExtentTranslator");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDataStreamer::SetExtentTranslator(temp0);
      }
    else
      {
      op->SetExtentTranslator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkImageDataStreamer_GetExtentTranslator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDataStreamer *op;

  vtkExtentTranslator  *temp20;
  if ((op = (vtkImageDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDataStreamer::GetExtentTranslator();
      }
    else
      {
      temp20 = op->GetExtentTranslator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageDataStreamerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageDataStreamer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageDataStreamer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageDataStreamer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageDataStreamer\nC++: vtkImageDataStreamer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageDataStreamer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageDataStreamer\nC++: vtkImageDataStreamer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfStreamDivisions",                (PyCFunction)PyvtkImageDataStreamer_SetNumberOfStreamDivisions, 1,
   (char*)"V.SetNumberOfStreamDivisions(int)\nC++: void SetNumberOfStreamDivisions (int );\n\n Set how many pieces to divide the input into.\n void SetNumberOfStreamDivisions(int num);\n int GetNumberOfStreamDivisions();\n"},
  {(char*)"GetNumberOfStreamDivisions",                (PyCFunction)PyvtkImageDataStreamer_GetNumberOfStreamDivisions, 1,
   (char*)"V.GetNumberOfStreamDivisions() -> int\nC++: int GetNumberOfStreamDivisions ();\n\n Set how many pieces to divide the input into.\n void SetNumberOfStreamDivisions(int num);\n int GetNumberOfStreamDivisions();\n"},
  {(char*)"Update",                (PyCFunction)PyvtkImageDataStreamer_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();this vtkAlgorithm Update \n\n"},
  {(char*)"UpdateWholeExtent",                (PyCFunction)PyvtkImageDataStreamer_UpdateWholeExtent, 1,
   (char*)"V.UpdateWholeExtent()\nC++: virtual void UpdateWholeExtent ();this vtkAlgorithm UpdateWholeExtent \n\n"},
  {(char*)"SetExtentTranslator",                (PyCFunction)PyvtkImageDataStreamer_SetExtentTranslator, 1,
   (char*)"V.SetExtentTranslator(vtkExtentTranslator)\nC++: virtual void SetExtentTranslator (vtkExtentTranslator *);\n\n Get the extent translator that will be used to split the requests\n"},
  {(char*)"GetExtentTranslator",                (PyCFunction)PyvtkImageDataStreamer_GetExtentTranslator, 1,
   (char*)"V.GetExtentTranslator() -> vtkExtentTranslator\nC++: vtkExtentTranslator *GetExtentTranslator ();\n\n Get the extent translator that will be used to split the requests\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageDataStreamerDoc[] = {
  (char*)"vtkImageDataStreamer - Initiates streaming on image data.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" To satisfy a request, this filter calls update on its input\n many times with smaller update extents.  All processing up stream\n streams smaller pieces.\n\n",
  NULL
};

static vtkObjectBase *vtkImageDataStreamerStaticNew()
{
  return vtkImageDataStreamer::New();
}

PyObject *PyVTKClass_vtkImageDataStreamerNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageDataStreamerStaticNew,
                        PyvtkImageDataStreamerMethods,
                        (char*)"vtkImageDataStreamer",modulename,
                        (char**)vtkImageDataStreamerDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

