// python wrapper for vtkImageDecomposeFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageDecomposeFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageDecomposeFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageDecomposeFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageIterateFilterNew(char *); }

static PyObject *PyvtkImageDecomposeFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDecomposeFilter *op;

  const char    *temp20;
  if ((op = (vtkImageDecomposeFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDecomposeFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDecomposeFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDecomposeFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageDecomposeFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDecomposeFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDecomposeFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDecomposeFilter *op;

  vtkImageDecomposeFilter  *temp20;
  if ((op = (vtkImageDecomposeFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDecomposeFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDecomposeFilter_SetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDecomposeFilter *op;

  int      temp0;
  if ((op = (vtkImageDecomposeFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDecomposeFilter::SetDimensionality(temp0);
      }
    else
      {
      op->SetDimensionality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDecomposeFilter_GetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDecomposeFilter *op;

  int      temp20;
  if ((op = (vtkImageDecomposeFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDecomposeFilter::GetDimensionality();
      }
    else
      {
      temp20 = op->GetDimensionality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageDecomposeFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageDecomposeFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Construct an instance of vtkImageDecomposeFilter filter with default\n dimensionality 3.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageDecomposeFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Construct an instance of vtkImageDecomposeFilter filter with default\n dimensionality 3.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageDecomposeFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageDecomposeFilter\nC++: vtkImageDecomposeFilter *NewInstance ();\n\n Construct an instance of vtkImageDecomposeFilter filter with default\n dimensionality 3.\n"},
  {(char*)"SetDimensionality",                (PyCFunction)PyvtkImageDecomposeFilter_SetDimensionality, 1,
   (char*)"V.SetDimensionality(int)\nC++: void SetDimensionality (int dim);\n\n Dimensionality is the number of axes which are considered during\n execution. To process images dimensionality would be set to 2.\n"},
  {(char*)"GetDimensionality",                (PyCFunction)PyvtkImageDecomposeFilter_GetDimensionality, 1,
   (char*)"V.GetDimensionality() -> int\nC++: int GetDimensionality ();\n\n Dimensionality is the number of axes which are considered during\n execution. To process images dimensionality would be set to 2.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageDecomposeFilterDoc[] = {
  (char*)"vtkImageDecomposeFilter - Filters that execute axes in series.\n\n",
  "Super Class:\n\n vtkImageIterateFilter\n\n",
  (char*)" This superclass molds the vtkImageIterateFilter superclass so\n it iterates over the axes.  The filter uses dimensionality to \n determine how many axes to execute (starting from x).  \n The filter also provides convenience methods for permuting information\n retrieved from input, output and vtkImageData.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkImageDecomposeFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkImageDecomposeFilterMethods,
                        (char*)"vtkImageDecomposeFilter",modulename,
                        (char**)vtkImageDecomposeFilterDoc,
                        PyVTKClass_vtkImageIterateFilterNew(modulename));
}

