// python wrapper for vtkImageDivergence object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageDivergence.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageDivergenceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageDivergenceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageDivergence_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDivergence *op;

  const char    *temp20;
  if ((op = (vtkImageDivergence *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDivergence::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDivergence_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDivergence *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageDivergence *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDivergence::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDivergence_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDivergence *op;

  vtkImageDivergence  *temp20;
  if ((op = (vtkImageDivergence *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDivergence::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDivergence_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageDivergence  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageDivergence::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageDivergenceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageDivergence_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageDivergence_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageDivergence_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageDivergence\nC++: vtkImageDivergence *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageDivergence_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageDivergence\nC++: vtkImageDivergence *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageDivergenceDoc[] = {
  (char*)"vtkImageDivergence - Divergence of a vector field.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageDivergence takes a 3D vector field \n and creates a scalar field which \n which represents the rate of change of the vector field.\n The definition of Divergence:\n Given V = P(x,y,z), Q(x,y,z), R(x,y,z),\n Divergence = dP/dx + dQ/dy + dR/dz.\n\n",
  NULL
};

static vtkObjectBase *vtkImageDivergenceStaticNew()
{
  return vtkImageDivergence::New();
}

PyObject *PyVTKClass_vtkImageDivergenceNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageDivergenceStaticNew,
                        PyvtkImageDivergenceMethods,
                        (char*)"vtkImageDivergence",modulename,
                        (char**)vtkImageDivergenceDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

