// python wrapper for vtkImageDotProduct object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageDotProduct.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageDotProductNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageDotProductNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageDotProduct_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDotProduct *op;

  const char    *temp20;
  if ((op = (vtkImageDotProduct *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDotProduct::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDotProduct_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDotProduct *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageDotProduct *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDotProduct::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDotProduct_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDotProduct *op;

  vtkImageDotProduct  *temp20;
  if ((op = (vtkImageDotProduct *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageDotProduct::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageDotProduct_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageDotProduct  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageDotProduct::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageDotProduct_SetInput1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDotProduct *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageDotProduct *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDotProduct::SetInput1(temp0);
      }
    else
      {
      op->SetInput1(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageDotProduct_SetInput2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageDotProduct *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageDotProduct *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageDotProduct::SetInput2(temp0);
      }
    else
      {
      op->SetInput2(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkImageDotProductMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageDotProduct_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageDotProduct_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageDotProduct_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageDotProduct\nC++: vtkImageDotProduct *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageDotProduct_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageDotProduct\nC++: vtkImageDotProduct *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput1",                (PyCFunction)PyvtkImageDotProduct_SetInput1, 1,
   (char*)"V.SetInput1(vtkDataObject)\nC++: virtual void SetInput1 (vtkDataObject *in);this SetInput in \n\n Set the two inputs to this filter\n"},
  {(char*)"SetInput2",                (PyCFunction)PyvtkImageDotProduct_SetInput2, 1,
   (char*)"V.SetInput2(vtkDataObject)\nC++: virtual void SetInput2 (vtkDataObject *in);this SetInput in \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageDotProductDoc[] = {
  (char*)"vtkImageDotProduct - Dot product of two vector images.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageDotProduct interprets the scalar components of two images\n as vectors and takes the dot product vector by vector (pixel by pixel).\n\n",
  NULL
};

static vtkObjectBase *vtkImageDotProductStaticNew()
{
  return vtkImageDotProduct::New();
}

PyObject *PyVTKClass_vtkImageDotProductNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageDotProductStaticNew,
                        PyvtkImageDotProductMethods,
                        (char*)"vtkImageDotProduct",modulename,
                        (char**)vtkImageDotProductDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

