// python wrapper for vtkImageEllipsoidSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageEllipsoidSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageEllipsoidSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageEllipsoidSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageEllipsoidSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  const char    *temp20;
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEllipsoidSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEllipsoidSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  vtkImageEllipsoidSource  *temp20;
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEllipsoidSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageEllipsoidSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageEllipsoidSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  int    temp0[6];
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetWholeExtent(temp0);
      }
    else
      {
      op->SetWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_GetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  int    temp0[6];
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::GetWholeExtent(temp0);
      }
    else
      {
      op->GetWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  int     *temp20;
  PyErr_Clear();
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEllipsoidSource::GetWholeExtent();
      }
    else
      {
      temp20 = op->GetWholeExtent();
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  double  *temp20;
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEllipsoidSource::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetRadius(temp0,temp1,temp2);
      }
    else
      {
      op->SetRadius(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  double  *temp20;
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEllipsoidSource::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetInValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  double   temp0;
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetInValue(temp0);
      }
    else
      {
      op->SetInValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_GetInValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  double   temp20;
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEllipsoidSource::GetInValue();
      }
    else
      {
      temp20 = op->GetInValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetOutValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  double   temp0;
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetOutValue(temp0);
      }
    else
      {
      op->SetOutValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_GetOutValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  double   temp20;
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEllipsoidSource::GetOutValue();
      }
    else
      {
      temp20 = op->GetOutValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetOutputScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  int      temp0;
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetOutputScalarType(temp0);
      }
    else
      {
      op->SetOutputScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_GetOutputScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  int      temp20;
  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEllipsoidSource::GetOutputScalarType();
      }
    else
      {
      temp20 = op->GetOutputScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetOutputScalarTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetOutputScalarTypeToFloat();
      }
    else
      {
      op->SetOutputScalarTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetOutputScalarTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetOutputScalarTypeToDouble();
      }
    else
      {
      op->SetOutputScalarTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetOutputScalarTypeToLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetOutputScalarTypeToLong();
      }
    else
      {
      op->SetOutputScalarTypeToLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetOutputScalarTypeToUnsignedLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetOutputScalarTypeToUnsignedLong();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetOutputScalarTypeToInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetOutputScalarTypeToInt();
      }
    else
      {
      op->SetOutputScalarTypeToInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetOutputScalarTypeToUnsignedInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetOutputScalarTypeToUnsignedInt();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetOutputScalarTypeToShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetOutputScalarTypeToShort();
      }
    else
      {
      op->SetOutputScalarTypeToShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetOutputScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetOutputScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetOutputScalarTypeToChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetOutputScalarTypeToChar();
      }
    else
      {
      op->SetOutputScalarTypeToChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEllipsoidSource_SetOutputScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEllipsoidSource *op;

  if ((op = (vtkImageEllipsoidSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEllipsoidSource::SetOutputScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageEllipsoidSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageEllipsoidSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageEllipsoidSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageEllipsoidSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageEllipsoidSource\nC++: vtkImageEllipsoidSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageEllipsoidSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageEllipsoidSource\nC++: vtkImageEllipsoidSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetWholeExtent",                (PyCFunction)PyvtkImageEllipsoidSource_SetWholeExtent, 1,
   (char*)"V.SetWholeExtent((int, int, int, int, int, int))\nC++: void SetWholeExtent (int extent[6]);\nV.SetWholeExtent(int, int, int, int, int, int)\nC++: void SetWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ);\n\n Set/Get the extent of the whole output image.\n"},
  {(char*)"GetWholeExtent",                (PyCFunction)PyvtkImageEllipsoidSource_GetWholeExtent, 1,
   (char*)"V.GetWholeExtent((int, int, int, int, int, int))\nC++: void GetWholeExtent (int extent[6]);\nV.GetWholeExtent() -> (int, int, int, int, int, int)\nC++: int *GetWholeExtent ();return this WholeExtent \n\n Set/Get the extent of the whole output image.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkImageEllipsoidSource_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double , double , double );\nV.SetCenter((float, float, float))\nC++: void SetCenter (double  a[3]);\n\n Set/Get the center of the ellipsoid.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkImageEllipsoidSource_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double  *GetCenter ();\n\n Set/Get the center of the ellipsoid.\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkImageEllipsoidSource_SetRadius, 1,
   (char*)"V.SetRadius(float, float, float)\nC++: void SetRadius (double , double , double );\nV.SetRadius((float, float, float))\nC++: void SetRadius (double  a[3]);\n\n Set/Get the radius of the ellipsoid.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkImageEllipsoidSource_GetRadius, 1,
   (char*)"V.GetRadius() -> (float, float, float)\nC++: double  *GetRadius ();\n\n Set/Get the radius of the ellipsoid.\n"},
  {(char*)"SetInValue",                (PyCFunction)PyvtkImageEllipsoidSource_SetInValue, 1,
   (char*)"V.SetInValue(float)\nC++: void SetInValue (double );\n\n Set/Get the inside pixel values.\n"},
  {(char*)"GetInValue",                (PyCFunction)PyvtkImageEllipsoidSource_GetInValue, 1,
   (char*)"V.GetInValue() -> float\nC++: double GetInValue ();\n\n Set/Get the inside pixel values.\n"},
  {(char*)"SetOutValue",                (PyCFunction)PyvtkImageEllipsoidSource_SetOutValue, 1,
   (char*)"V.SetOutValue(float)\nC++: void SetOutValue (double );\n\n Set/Get the outside pixel values.\n"},
  {(char*)"GetOutValue",                (PyCFunction)PyvtkImageEllipsoidSource_GetOutValue, 1,
   (char*)"V.GetOutValue() -> float\nC++: double GetOutValue ();\n\n Set/Get the outside pixel values.\n"},
  {(char*)"SetOutputScalarType",                (PyCFunction)PyvtkImageEllipsoidSource_SetOutputScalarType, 1,
   (char*)"V.SetOutputScalarType(int)\nC++: void SetOutputScalarType (int );\n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"GetOutputScalarType",                (PyCFunction)PyvtkImageEllipsoidSource_GetOutputScalarType, 1,
   (char*)"V.GetOutputScalarType() -> int\nC++: int GetOutputScalarType ();\n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToFloat",                (PyCFunction)PyvtkImageEllipsoidSource_SetOutputScalarTypeToFloat, 1,
   (char*)"V.SetOutputScalarTypeToFloat()\nC++: void SetOutputScalarTypeToFloat ();this SetOutputScalarType VTK_FLOAT \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToDouble",                (PyCFunction)PyvtkImageEllipsoidSource_SetOutputScalarTypeToDouble, 1,
   (char*)"V.SetOutputScalarTypeToDouble()\nC++: void SetOutputScalarTypeToDouble ();this SetOutputScalarType VTK_DOUBLE \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToLong",                (PyCFunction)PyvtkImageEllipsoidSource_SetOutputScalarTypeToLong, 1,
   (char*)"V.SetOutputScalarTypeToLong()\nC++: void SetOutputScalarTypeToLong ();this SetOutputScalarType VTK_LONG \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedLong",                (PyCFunction)PyvtkImageEllipsoidSource_SetOutputScalarTypeToUnsignedLong, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedLong()\nC++: void SetOutputScalarTypeToUnsignedLong ();this SetOutputScalarType VTK_UNSIGNED_LONG \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToInt",                (PyCFunction)PyvtkImageEllipsoidSource_SetOutputScalarTypeToInt, 1,
   (char*)"V.SetOutputScalarTypeToInt()\nC++: void SetOutputScalarTypeToInt ();this SetOutputScalarType VTK_INT \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedInt",                (PyCFunction)PyvtkImageEllipsoidSource_SetOutputScalarTypeToUnsignedInt, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedInt()\nC++: void SetOutputScalarTypeToUnsignedInt ();this SetOutputScalarType VTK_UNSIGNED_INT \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToShort",                (PyCFunction)PyvtkImageEllipsoidSource_SetOutputScalarTypeToShort, 1,
   (char*)"V.SetOutputScalarTypeToShort()\nC++: void SetOutputScalarTypeToShort ();this SetOutputScalarType VTK_SHORT \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedShort",                (PyCFunction)PyvtkImageEllipsoidSource_SetOutputScalarTypeToUnsignedShort, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedShort()\nC++: void SetOutputScalarTypeToUnsignedShort ();this SetOutputScalarType VTK_UNSIGNED_SHORT \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToChar",                (PyCFunction)PyvtkImageEllipsoidSource_SetOutputScalarTypeToChar, 1,
   (char*)"V.SetOutputScalarTypeToChar()\nC++: void SetOutputScalarTypeToChar ();this SetOutputScalarType VTK_CHAR \n\n Set what type of scalar data this source should generate.\n"},
  {(char*)"SetOutputScalarTypeToUnsignedChar",                (PyCFunction)PyvtkImageEllipsoidSource_SetOutputScalarTypeToUnsignedChar, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedChar()\nC++: void SetOutputScalarTypeToUnsignedChar ();this SetOutputScalarType VTK_UNSIGNED_CHAR \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageEllipsoidSourceDoc[] = {
  (char*)"vtkImageEllipsoidSource - Create a binary image of an ellipsoid.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageEllipsoidSource creates a binary image of a ellipsoid.  It was created\n as an example of a simple source, and to test the mask filter.\n It is also used internally in vtkImageDilateErode3D.\n\n",
  NULL
};

static vtkObjectBase *vtkImageEllipsoidSourceStaticNew()
{
  return vtkImageEllipsoidSource::New();
}

PyObject *PyVTKClass_vtkImageEllipsoidSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageEllipsoidSourceStaticNew,
                        PyvtkImageEllipsoidSourceMethods,
                        (char*)"vtkImageEllipsoidSource",modulename,
                        (char**)vtkImageEllipsoidSourceDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

