// python wrapper for vtkImageEuclideanToPolar object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageEuclideanToPolar.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageEuclideanToPolarNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageEuclideanToPolarNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageEuclideanToPolar_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanToPolar *op;

  const char    *temp20;
  if ((op = (vtkImageEuclideanToPolar *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEuclideanToPolar::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanToPolar_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanToPolar *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageEuclideanToPolar *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEuclideanToPolar::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanToPolar_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanToPolar *op;

  vtkImageEuclideanToPolar  *temp20;
  if ((op = (vtkImageEuclideanToPolar *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEuclideanToPolar::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanToPolar_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageEuclideanToPolar  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageEuclideanToPolar::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageEuclideanToPolar_SetThetaMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanToPolar *op;

  double   temp0;
  if ((op = (vtkImageEuclideanToPolar *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageEuclideanToPolar::SetThetaMaximum(temp0);
      }
    else
      {
      op->SetThetaMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageEuclideanToPolar_GetThetaMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageEuclideanToPolar *op;

  double   temp20;
  if ((op = (vtkImageEuclideanToPolar *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageEuclideanToPolar::GetThetaMaximum();
      }
    else
      {
      temp20 = op->GetThetaMaximum();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageEuclideanToPolarMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageEuclideanToPolar_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageEuclideanToPolar_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageEuclideanToPolar_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageEuclideanToPolar\nC++: vtkImageEuclideanToPolar *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageEuclideanToPolar_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageEuclideanToPolar\nC++: vtkImageEuclideanToPolar *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetThetaMaximum",                (PyCFunction)PyvtkImageEuclideanToPolar_SetThetaMaximum, 1,
   (char*)"V.SetThetaMaximum(float)\nC++: void SetThetaMaximum (double );\n\n Theta is an angle. Maximum specifies when it maps back to 0.\n ThetaMaximum defaults to 255 instead of 2PI, because unsigned char\n is expected as input. The output type must be the same as input type.\n"},
  {(char*)"GetThetaMaximum",                (PyCFunction)PyvtkImageEuclideanToPolar_GetThetaMaximum, 1,
   (char*)"V.GetThetaMaximum() -> float\nC++: double GetThetaMaximum ();\n\n Theta is an angle. Maximum specifies when it maps back to 0.\n ThetaMaximum defaults to 255 instead of 2PI, because unsigned char\n is expected as input. The output type must be the same as input type.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageEuclideanToPolarDoc[] = {
  (char*)"vtkImageEuclideanToPolar - Converts 2D Euclidean coordinates to polar.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" For each pixel with vector components x,y, this filter outputs \n theta in component0, and radius in component1.\n\n",
  NULL
};

static vtkObjectBase *vtkImageEuclideanToPolarStaticNew()
{
  return vtkImageEuclideanToPolar::New();
}

PyObject *PyVTKClass_vtkImageEuclideanToPolarNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageEuclideanToPolarStaticNew,
                        PyvtkImageEuclideanToPolarMethods,
                        (char*)"vtkImageEuclideanToPolar",modulename,
                        (char**)vtkImageEuclideanToPolarDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

