// python wrapper for vtkImageExport object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageExport.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageExportNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageExportNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageExport_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  const char    *temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  vtkImageExport  *temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageExport  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageExport::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageExport_GetDataMemorySize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  int      temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::GetDataMemorySize();
      }
    else
      {
      temp20 = op->GetDataMemorySize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_GetDataDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  int     *temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::GetDataDimensions();
      }
    else
      {
      temp20 = op->GetDataDimensions();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_GetDataNumberOfScalarComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  int      temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::GetDataNumberOfScalarComponents();
      }
    else
      {
      temp20 = op->GetDataNumberOfScalarComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_GetDataScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  int      temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::GetDataScalarType();
      }
    else
      {
      temp20 = op->GetDataScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_GetDataScalarTypeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  const char    *temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::GetDataScalarTypeAsString();
      }
    else
      {
      temp20 = op->GetDataScalarTypeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_GetDataExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  int     *temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::GetDataExtent();
      }
    else
      {
      temp20 = op->GetDataExtent();
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_GetDataSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  double  *temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::GetDataSpacing();
      }
    else
      {
      temp20 = op->GetDataSpacing();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_GetDataOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  double  *temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::GetDataOrigin();
      }
    else
      {
      temp20 = op->GetDataOrigin();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_ImageLowerLeftOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageExport::ImageLowerLeftOn();
      }
    else
      {
      op->ImageLowerLeftOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_ImageLowerLeftOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageExport::ImageLowerLeftOff();
      }
    else
      {
      op->ImageLowerLeftOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_GetImageLowerLeft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  int      temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::GetImageLowerLeft();
      }
    else
      {
      temp20 = op->GetImageLowerLeft();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_SetImageLowerLeft(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  int      temp0;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageExport::SetImageLowerLeft(temp0);
      }
    else
      {
      op->SetImageLowerLeft(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_SetExportVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  void    *temp0;
  int      size0;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetExportVoidPointer in vtkImageExport was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetExportVoidPointer in vtkImageExport was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkImageExport::SetExportVoidPointer(temp0);
      }
    else
      {
      op->SetExportVoidPointer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_GetExportVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  void    *temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::GetExportVoidPointer();
      }
    else
      {
      temp20 = op->GetExportVoidPointer();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_Export(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageExport::Export();
      }
    else
      {
      op->Export();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageExport *op;

  void    *temp0;
  int      size0;
  PyErr_Clear();
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Export in vtkImageExport was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to Export in vtkImageExport was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkImageExport::Export(temp0);
      }
    else
      {
      op->Export(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_GetPointerToData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  void    *temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::GetPointerToData();
      }
    else
      {
      temp20 = op->GetPointerToData();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExport_GetCallbackUserData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExport *op;

  void    *temp20;
  if ((op = (vtkImageExport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExport::GetCallbackUserData();
      }
    else
      {
      temp20 = op->GetCallbackUserData();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageExportMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageExport_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageExport_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageExport_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageExport\nC++: vtkImageExport *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageExport_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageExport\nC++: vtkImageExport *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDataMemorySize",                (PyCFunction)PyvtkImageExport_GetDataMemorySize, 1,
   (char*)"V.GetDataMemorySize() -> int\nC++: int GetDataMemorySize ();\n\n Get the number of bytes required for the output C array.\n"},
  {(char*)"GetDataDimensions",                (PyCFunction)PyvtkImageExport_GetDataDimensions, 1,
   (char*)"V.GetDataDimensions() -> (int, int, int)\nC++: int *GetDataDimensions ();this GetDataDimensions this DataDimensions return this DataDimensions \n\n Get the number of scalar components of the data.  Please note that\n when you index into a C array, the scalar component index comes\n last, i.e. array[z][y][x][c].\n"},
  {(char*)"GetDataNumberOfScalarComponents",                (PyCFunction)PyvtkImageExport_GetDataNumberOfScalarComponents, 1,
   (char*)"V.GetDataNumberOfScalarComponents() -> int\nC++: int GetDataNumberOfScalarComponents ();\n\n Get the number of scalar components of the data.  Please note that\n when you index into a C array, the scalar component index comes\n last, i.e. array[z][y][x][c].\n"},
  {(char*)"GetDataScalarType",                (PyCFunction)PyvtkImageExport_GetDataScalarType, 1,
   (char*)"V.GetDataScalarType() -> int\nC++: int GetDataScalarType ();\n\n Get the scalar type of the data.  The scalar type of the C array\n must match the scalar type of the data.\n"},
  {(char*)"GetDataScalarTypeAsString",                (PyCFunction)PyvtkImageExport_GetDataScalarTypeAsString, 1,
   (char*)"V.GetDataScalarTypeAsString() -> string\nC++: const char *GetDataScalarTypeAsString ();return vtkImageScalarTypeNameMacro this GetDataScalarType \n\n Get miscellaneous additional information about the data.\n"},
  {(char*)"GetDataExtent",                (PyCFunction)PyvtkImageExport_GetDataExtent, 1,
   (char*)"V.GetDataExtent() -> (int, int, int, int, int, int)\nC++: int *GetDataExtent ();\n\n Get miscellaneous additional information about the data.\n"},
  {(char*)"GetDataSpacing",                (PyCFunction)PyvtkImageExport_GetDataSpacing, 1,
   (char*)"V.GetDataSpacing() -> (float, float, float)\nC++: double *GetDataSpacing ();\n\n Get miscellaneous additional information about the data.\n"},
  {(char*)"GetDataOrigin",                (PyCFunction)PyvtkImageExport_GetDataOrigin, 1,
   (char*)"V.GetDataOrigin() -> (float, float, float)\nC++: double *GetDataOrigin ();\n\n Get miscellaneous additional information about the data.\n"},
  {(char*)"ImageLowerLeftOn",                (PyCFunction)PyvtkImageExport_ImageLowerLeftOn, 1,
   (char*)"V.ImageLowerLeftOn()\nC++: void ImageLowerLeftOn ();\n\n Set/Get whether the data goes to the exported memory starting \n in the lower left corner or upper left corner.  Default: On.\n When this flag is Off, the image will be flipped vertically\n before it is exported.\n WARNING: this flag is used only with the Export() method,\n it is ignored by GetPointerToData().\n"},
  {(char*)"ImageLowerLeftOff",                (PyCFunction)PyvtkImageExport_ImageLowerLeftOff, 1,
   (char*)"V.ImageLowerLeftOff()\nC++: void ImageLowerLeftOff ();\n\n Set/Get whether the data goes to the exported memory starting \n in the lower left corner or upper left corner.  Default: On.\n When this flag is Off, the image will be flipped vertically\n before it is exported.\n WARNING: this flag is used only with the Export() method,\n it is ignored by GetPointerToData().\n"},
  {(char*)"GetImageLowerLeft",                (PyCFunction)PyvtkImageExport_GetImageLowerLeft, 1,
   (char*)"V.GetImageLowerLeft() -> int\nC++: int GetImageLowerLeft ();\n\n Set/Get whether the data goes to the exported memory starting \n in the lower left corner or upper left corner.  Default: On.\n When this flag is Off, the image will be flipped vertically\n before it is exported.\n WARNING: this flag is used only with the Export() method,\n it is ignored by GetPointerToData().\n"},
  {(char*)"SetImageLowerLeft",                (PyCFunction)PyvtkImageExport_SetImageLowerLeft, 1,
   (char*)"V.SetImageLowerLeft(int)\nC++: void SetImageLowerLeft (int );\n\n Set/Get whether the data goes to the exported memory starting \n in the lower left corner or upper left corner.  Default: On.\n When this flag is Off, the image will be flipped vertically\n before it is exported.\n WARNING: this flag is used only with the Export() method,\n it is ignored by GetPointerToData().\n"},
  {(char*)"SetExportVoidPointer",                (PyCFunction)PyvtkImageExport_SetExportVoidPointer, 1,
   (char*)"V.SetExportVoidPointer(string)\nC++: void SetExportVoidPointer (void *);\n\n Set the void pointer of the C array to export the data to.\n From python, you can specify a pointer to a string that is\n large enough to hold the data.\n"},
  {(char*)"GetExportVoidPointer",                (PyCFunction)PyvtkImageExport_GetExportVoidPointer, 1,
   (char*)"V.GetExportVoidPointer() -> string\nC++: void *GetExportVoidPointer ();return this ExportVoidPointer \n\n Set the void pointer of the C array to export the data to.\n From python, you can specify a pointer to a string that is\n large enough to hold the data.\n"},
  {(char*)"Export",                (PyCFunction)PyvtkImageExport_Export, 1,
   (char*)"V.Export()\nC++: void Export ();this Export this ExportVoidPointer \nV.Export(string)\nC++: virtual void Export (void *);\n\n The main interface: update the pipeline and export the image\n to the memory pointed to by SetExportVoidPointer().  You can\n also specify a void pointer when you call Export().\n"},
  {(char*)"GetPointerToData",                (PyCFunction)PyvtkImageExport_GetPointerToData, 1,
   (char*)"V.GetPointerToData() -> string\nC++: void *GetPointerToData ();\n\n An alternative to Export(): Use with caution.   Update the\n pipeline and return a pointer to the image memory.  The\n pointer is only valid until the next time that the pipeline\n is updated.\n WARNING: This method ignores the ImageLowerLeft flag.\n"},
  {(char*)"GetCallbackUserData",                (PyCFunction)PyvtkImageExport_GetCallbackUserData, 1,
   (char*)"V.GetCallbackUserData() -> string\nC++: void *GetCallbackUserData ();\n\n Get the user data that should be passed to the callback functions.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageExportDoc[] = {
  (char*)"vtkImageExport - Export VTK images to third-party systems.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageExport provides a way of exporting image data at the end\n of a pipeline to a third-party system or to a simple C array.\n Applications can use this to get direct access to the image data\n in memory.  A callback interface is provided to allow connection\n of the VTK pipeline to a third-party pipeline.  This interface\n conforms to the interface of vtkImageImport.\n In Python it is possible to ",
  (char*)"use this class to write the image data\n into a python string that has been pre-allocated to be the correct\n size.\n\n",
  "See Also:\n\n vtkImageImport\n\n",
  NULL
};

static vtkObjectBase *vtkImageExportStaticNew()
{
  return vtkImageExport::New();
}

PyObject *PyVTKClass_vtkImageExportNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageExportStaticNew,
                        PyvtkImageExportMethods,
                        (char*)"vtkImageExport",modulename,
                        (char**)vtkImageExportDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

