// python wrapper for vtkImageExtractComponents object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageExtractComponents.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageExtractComponentsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageExtractComponentsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageExtractComponents_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExtractComponents *op;

  const char    *temp20;
  if ((op = (vtkImageExtractComponents *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExtractComponents::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExtractComponents_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExtractComponents *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageExtractComponents *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExtractComponents::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExtractComponents_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExtractComponents *op;

  vtkImageExtractComponents  *temp20;
  if ((op = (vtkImageExtractComponents *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExtractComponents::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExtractComponents_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageExtractComponents  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageExtractComponents::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageExtractComponents_SetComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExtractComponents *op;

  int      temp0;
  if ((op = (vtkImageExtractComponents *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageExtractComponents::SetComponents(temp0);
      }
    else
      {
      op->SetComponents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageExtractComponents *op;

  int      temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkImageExtractComponents *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageExtractComponents::SetComponents(temp0,temp1);
      }
    else
      {
      op->SetComponents(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageExtractComponents *op;

  int      temp0;
  int      temp1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkImageExtractComponents *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageExtractComponents::SetComponents(temp0,temp1,temp2);
      }
    else
      {
      op->SetComponents(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExtractComponents_GetComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExtractComponents *op;

  int     *temp20;
  if ((op = (vtkImageExtractComponents *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExtractComponents::GetComponents();
      }
    else
      {
      temp20 = op->GetComponents();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageExtractComponents_GetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageExtractComponents *op;

  int      temp20;
  if ((op = (vtkImageExtractComponents *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageExtractComponents::GetNumberOfComponents();
      }
    else
      {
      temp20 = op->GetNumberOfComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageExtractComponentsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageExtractComponents_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageExtractComponents_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageExtractComponents_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageExtractComponents\nC++: vtkImageExtractComponents *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageExtractComponents_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageExtractComponents\nC++: vtkImageExtractComponents *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetComponents",                (PyCFunction)PyvtkImageExtractComponents_SetComponents, 1,
   (char*)"V.SetComponents(int)\nC++: void SetComponents (int c1);\nV.SetComponents(int, int)\nC++: void SetComponents (int c1, int c2);\nV.SetComponents(int, int, int)\nC++: void SetComponents (int c1, int c2, int c3);\n\n Set/Get the components to extract.\n"},
  {(char*)"GetComponents",                (PyCFunction)PyvtkImageExtractComponents_GetComponents, 1,
   (char*)"V.GetComponents() -> (int, int, int)\nC++: int  *GetComponents ();\n\n Set/Get the components to extract.\n"},
  {(char*)"GetNumberOfComponents",                (PyCFunction)PyvtkImageExtractComponents_GetNumberOfComponents, 1,
   (char*)"V.GetNumberOfComponents() -> int\nC++: int GetNumberOfComponents ();\n\n Get the number of components to extract. This is set implicitly by the \n SetComponents() method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageExtractComponentsDoc[] = {
  (char*)"vtkImageExtractComponents - Outputs a single component\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageExtractComponents takes an input with any number of components\n and outputs some of them.  It does involve a copy of the data.\n\n",
  "See Also:\n\n vtkImageAppendComponents\n\n",
  NULL
};

static vtkObjectBase *vtkImageExtractComponentsStaticNew()
{
  return vtkImageExtractComponents::New();
}

PyObject *PyVTKClass_vtkImageExtractComponentsNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageExtractComponentsStaticNew,
                        PyvtkImageExtractComponentsMethods,
                        (char*)"vtkImageExtractComponents",modulename,
                        (char**)vtkImageExtractComponentsDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

