// python wrapper for vtkImageFlip object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageFlip.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageFlipNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageFlipNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageResliceNew(char *); }

static PyObject *PyvtkImageFlip_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFlip *op;

  const char    *temp20;
  if ((op = (vtkImageFlip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFlip::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFlip_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFlip *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageFlip *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFlip::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFlip_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFlip *op;

  vtkImageFlip  *temp20;
  if ((op = (vtkImageFlip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFlip::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFlip_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageFlip  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageFlip::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageFlip_SetFilteredAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFlip *op;

  int      temp0;
  if ((op = (vtkImageFlip *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageFlip::SetFilteredAxis(temp0);
      }
    else
      {
      op->SetFilteredAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFlip_GetFilteredAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFlip *op;

  int      temp20;
  if ((op = (vtkImageFlip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFlip::GetFilteredAxis();
      }
    else
      {
      temp20 = op->GetFilteredAxis();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFlip_SetFlipAboutOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFlip *op;

  int      temp0;
  if ((op = (vtkImageFlip *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageFlip::SetFlipAboutOrigin(temp0);
      }
    else
      {
      op->SetFlipAboutOrigin(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFlip_GetFlipAboutOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFlip *op;

  int      temp20;
  if ((op = (vtkImageFlip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFlip::GetFlipAboutOrigin();
      }
    else
      {
      temp20 = op->GetFlipAboutOrigin();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFlip_FlipAboutOriginOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFlip *op;

  if ((op = (vtkImageFlip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageFlip::FlipAboutOriginOn();
      }
    else
      {
      op->FlipAboutOriginOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFlip_FlipAboutOriginOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFlip *op;

  if ((op = (vtkImageFlip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageFlip::FlipAboutOriginOff();
      }
    else
      {
      op->FlipAboutOriginOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFlip_SetFilteredAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFlip *op;

  int      temp0;
  if ((op = (vtkImageFlip *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageFlip::SetFilteredAxes(temp0);
      }
    else
      {
      op->SetFilteredAxes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFlip_SetPreserveImageExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFlip *op;

  int      temp0;
  if ((op = (vtkImageFlip *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageFlip::SetPreserveImageExtent(temp0);
      }
    else
      {
      op->SetPreserveImageExtent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFlip_GetPreserveImageExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFlip *op;

  int      temp20;
  if ((op = (vtkImageFlip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageFlip::GetPreserveImageExtent();
      }
    else
      {
      temp20 = op->GetPreserveImageExtent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFlip_PreserveImageExtentOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFlip *op;

  if ((op = (vtkImageFlip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageFlip::PreserveImageExtentOn();
      }
    else
      {
      op->PreserveImageExtentOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageFlip_PreserveImageExtentOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageFlip *op;

  if ((op = (vtkImageFlip *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageFlip::PreserveImageExtentOff();
      }
    else
      {
      op->PreserveImageExtentOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageFlipMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageFlip_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageFlip_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageFlip_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageFlip\nC++: vtkImageFlip *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageFlip_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageFlip\nC++: vtkImageFlip *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFilteredAxis",                (PyCFunction)PyvtkImageFlip_SetFilteredAxis, 1,
   (char*)"V.SetFilteredAxis(int)\nC++: void SetFilteredAxis (int );\n\n Specify which axis will be flipped.  This must be an integer\n between 0 (for x) and 2 (for z).\n"},
  {(char*)"GetFilteredAxis",                (PyCFunction)PyvtkImageFlip_GetFilteredAxis, 1,
   (char*)"V.GetFilteredAxis() -> int\nC++: int GetFilteredAxis ();\n\n Specify which axis will be flipped.  This must be an integer\n between 0 (for x) and 2 (for z).\n"},
  {(char*)"SetFlipAboutOrigin",                (PyCFunction)PyvtkImageFlip_SetFlipAboutOrigin, 1,
   (char*)"V.SetFlipAboutOrigin(int)\nC++: void SetFlipAboutOrigin (int );\n\n By default the image will be flipped about its center, and the\n Origin, Spacing and Extent of the output will be identical to\n the input.  However, if you have a coordinate system associated\n with the image and you want to use the flip to convert +ve values\n along one axis to -ve values (and vice versa) then you actually\n want to flip the image about coordinate (0,0,0) instead of about\n the center of the image.  This method will adjust the Origin of\n the output such that the flip occurs about (0,0,0).  Note that\n this method only changes the Origin (and hence the coordinate system)\n the output data: the actual pixel values are the same whether or not\n this method is used.  Also note that the Origin in this method name\n refers to (0,0,0) in the coordinate system associated with the image,\n it does not refer to the Origin ivar that is associated with a \n vtkImageData.\n"},
  {(char*)"GetFlipAboutOrigin",                (PyCFunction)PyvtkImageFlip_GetFlipAboutOrigin, 1,
   (char*)"V.GetFlipAboutOrigin() -> int\nC++: int GetFlipAboutOrigin ();\n\n By default the image will be flipped about its center, and the\n Origin, Spacing and Extent of the output will be identical to\n the input.  However, if you have a coordinate system associated\n with the image and you want to use the flip to convert +ve values\n along one axis to -ve values (and vice versa) then you actually\n want to flip the image about coordinate (0,0,0) instead of about\n the center of the image.  This method will adjust the Origin of\n the output such that the flip occurs about (0,0,0).  Note that\n this method only changes the Origin (and hence the coordinate system)\n the output data: the actual pixel values are the same whether or not\n this method is used.  Also note that the Origin in this method name\n refers to (0,0,0) in the coordinate system associated with the image,\n it does not refer to the Origin ivar that is associated with a \n vtkImageData.\n"},
  {(char*)"FlipAboutOriginOn",                (PyCFunction)PyvtkImageFlip_FlipAboutOriginOn, 1,
   (char*)"V.FlipAboutOriginOn()\nC++: void FlipAboutOriginOn ();\n\n By default the image will be flipped about its center, and the\n Origin, Spacing and Extent of the output will be identical to\n the input.  However, if you have a coordinate system associated\n with the image and you want to use the flip to convert +ve values\n along one axis to -ve values (and vice versa) then you actually\n want to flip the image about coordinate (0,0,0) instead of about\n the center of the image.  This method will adjust the Origin of\n the output such that the flip occurs about (0,0,0).  Note that\n this method only changes the Origin (and hence the coordinate system)\n the output data: the actual pixel values are the same whether or not\n this method is used.  Also note that the Origin in this method name\n refers to (0,0,0) in the coordinate system associated with the image,\n it does not refer to the Origin ivar that is associated with a \n vtkImageData.\n"},
  {(char*)"FlipAboutOriginOff",                (PyCFunction)PyvtkImageFlip_FlipAboutOriginOff, 1,
   (char*)"V.FlipAboutOriginOff()\nC++: void FlipAboutOriginOff ();\n\n By default the image will be flipped about its center, and the\n Origin, Spacing and Extent of the output will be identical to\n the input.  However, if you have a coordinate system associated\n with the image and you want to use the flip to convert +ve values\n along one axis to -ve values (and vice versa) then you actually\n want to flip the image about coordinate (0,0,0) instead of about\n the center of the image.  This method will adjust the Origin of\n the output such that the flip occurs about (0,0,0).  Note that\n this method only changes the Origin (and hence the coordinate system)\n the output data: the actual pixel values are the same whether or not\n this method is used.  Also note that the Origin in this method name\n refers to (0,0,0) in the coordinate system associated with the image,\n it does not refer to the Origin ivar that is associated with a \n vtkImageData.\n"},
  {(char*)"SetFilteredAxes",                (PyCFunction)PyvtkImageFlip_SetFilteredAxes, 1,
   (char*)"V.SetFilteredAxes(int)\nC++: void SetFilteredAxes (int axis);this SetFilteredAxis axis \n\n For compatibility with old scripts.\n"},
  {(char*)"SetPreserveImageExtent",                (PyCFunction)PyvtkImageFlip_SetPreserveImageExtent, 1,
   (char*)"V.SetPreserveImageExtent(int)\nC++: void SetPreserveImageExtent (int );\n\n PreserveImageExtentOff wasn't covered by test scripts and its\n implementation was broken.  It is deprecated now and it has\n no effect (i.e. the ImageExtent is always preserved).\n"},
  {(char*)"GetPreserveImageExtent",                (PyCFunction)PyvtkImageFlip_GetPreserveImageExtent, 1,
   (char*)"V.GetPreserveImageExtent() -> int\nC++: int GetPreserveImageExtent ();\n\n PreserveImageExtentOff wasn't covered by test scripts and its\n implementation was broken.  It is deprecated now and it has\n no effect (i.e. the ImageExtent is always preserved).\n"},
  {(char*)"PreserveImageExtentOn",                (PyCFunction)PyvtkImageFlip_PreserveImageExtentOn, 1,
   (char*)"V.PreserveImageExtentOn()\nC++: void PreserveImageExtentOn ();\n\n PreserveImageExtentOff wasn't covered by test scripts and its\n implementation was broken.  It is deprecated now and it has\n no effect (i.e. the ImageExtent is always preserved).\n"},
  {(char*)"PreserveImageExtentOff",                (PyCFunction)PyvtkImageFlip_PreserveImageExtentOff, 1,
   (char*)"V.PreserveImageExtentOff()\nC++: void PreserveImageExtentOff ();\n\n PreserveImageExtentOff wasn't covered by test scripts and its\n implementation was broken.  It is deprecated now and it has\n no effect (i.e. the ImageExtent is always preserved).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageFlipDoc[] = {
  (char*)"vtkImageFlip - This flips an axis of an image. Right becomes left ...\n\n",
  "Super Class:\n\n vtkImageReslice\n\n",
  (char*)" vtkImageFlip will reflect the data along the filtered axis.  This filter is\n actually a thin wrapper around vtkImageReslice.\n\n",
  NULL
};

static vtkObjectBase *vtkImageFlipStaticNew()
{
  return vtkImageFlip::New();
}

PyObject *PyVTKClass_vtkImageFlipNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageFlipStaticNew,
                        PyvtkImageFlipMethods,
                        (char*)"vtkImageFlip",modulename,
                        (char**)vtkImageFlipDoc,
                        PyVTKClass_vtkImageResliceNew(modulename));
}

