// python wrapper for vtkImageGradientMagnitude object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageGradientMagnitude.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageGradientMagnitudeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageGradientMagnitudeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageGradientMagnitude_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradientMagnitude *op;

  const char    *temp20;
  if ((op = (vtkImageGradientMagnitude *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGradientMagnitude::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradientMagnitude_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradientMagnitude *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageGradientMagnitude *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGradientMagnitude::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradientMagnitude_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradientMagnitude *op;

  vtkImageGradientMagnitude  *temp20;
  if ((op = (vtkImageGradientMagnitude *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGradientMagnitude::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradientMagnitude_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageGradientMagnitude  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageGradientMagnitude::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageGradientMagnitude_SetHandleBoundaries(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradientMagnitude *op;

  int      temp0;
  if ((op = (vtkImageGradientMagnitude *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGradientMagnitude::SetHandleBoundaries(temp0);
      }
    else
      {
      op->SetHandleBoundaries(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradientMagnitude_GetHandleBoundaries(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradientMagnitude *op;

  int      temp20;
  if ((op = (vtkImageGradientMagnitude *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGradientMagnitude::GetHandleBoundaries();
      }
    else
      {
      temp20 = op->GetHandleBoundaries();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradientMagnitude_HandleBoundariesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradientMagnitude *op;

  if ((op = (vtkImageGradientMagnitude *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGradientMagnitude::HandleBoundariesOn();
      }
    else
      {
      op->HandleBoundariesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradientMagnitude_HandleBoundariesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradientMagnitude *op;

  if ((op = (vtkImageGradientMagnitude *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGradientMagnitude::HandleBoundariesOff();
      }
    else
      {
      op->HandleBoundariesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradientMagnitude_SetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradientMagnitude *op;

  int      temp0;
  if ((op = (vtkImageGradientMagnitude *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageGradientMagnitude::SetDimensionality(temp0);
      }
    else
      {
      op->SetDimensionality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradientMagnitude_GetDimensionalityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradientMagnitude *op;

  int      temp20;
  if ((op = (vtkImageGradientMagnitude *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGradientMagnitude::GetDimensionalityMinValue();
      }
    else
      {
      temp20 = op->GetDimensionalityMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradientMagnitude_GetDimensionalityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradientMagnitude *op;

  int      temp20;
  if ((op = (vtkImageGradientMagnitude *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGradientMagnitude::GetDimensionalityMaxValue();
      }
    else
      {
      temp20 = op->GetDimensionalityMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageGradientMagnitude_GetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageGradientMagnitude *op;

  int      temp20;
  if ((op = (vtkImageGradientMagnitude *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageGradientMagnitude::GetDimensionality();
      }
    else
      {
      temp20 = op->GetDimensionality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageGradientMagnitudeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageGradientMagnitude_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageGradientMagnitude_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageGradientMagnitude_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageGradientMagnitude\nC++: vtkImageGradientMagnitude *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageGradientMagnitude_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageGradientMagnitude\nC++: vtkImageGradientMagnitude *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetHandleBoundaries",                (PyCFunction)PyvtkImageGradientMagnitude_SetHandleBoundaries, 1,
   (char*)"V.SetHandleBoundaries(int)\nC++: void SetHandleBoundaries (int );\n\n If \"HandleBoundariesOn\" then boundary pixels are duplicated\n So central differences can get values.\n"},
  {(char*)"GetHandleBoundaries",                (PyCFunction)PyvtkImageGradientMagnitude_GetHandleBoundaries, 1,
   (char*)"V.GetHandleBoundaries() -> int\nC++: int GetHandleBoundaries ();\n\n If \"HandleBoundariesOn\" then boundary pixels are duplicated\n So central differences can get values.\n"},
  {(char*)"HandleBoundariesOn",                (PyCFunction)PyvtkImageGradientMagnitude_HandleBoundariesOn, 1,
   (char*)"V.HandleBoundariesOn()\nC++: void HandleBoundariesOn ();\n\n If \"HandleBoundariesOn\" then boundary pixels are duplicated\n So central differences can get values.\n"},
  {(char*)"HandleBoundariesOff",                (PyCFunction)PyvtkImageGradientMagnitude_HandleBoundariesOff, 1,
   (char*)"V.HandleBoundariesOff()\nC++: void HandleBoundariesOff ();\n\n If \"HandleBoundariesOn\" then boundary pixels are duplicated\n So central differences can get values.\n"},
  {(char*)"SetDimensionality",                (PyCFunction)PyvtkImageGradientMagnitude_SetDimensionality, 1,
   (char*)"V.SetDimensionality(int)\nC++: void SetDimensionality (int );\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {(char*)"GetDimensionalityMinValue",                (PyCFunction)PyvtkImageGradientMagnitude_GetDimensionalityMinValue, 1,
   (char*)"V.GetDimensionalityMinValue() -> int\nC++: int GetDimensionalityMinValue ();\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {(char*)"GetDimensionalityMaxValue",                (PyCFunction)PyvtkImageGradientMagnitude_GetDimensionalityMaxValue, 1,
   (char*)"V.GetDimensionalityMaxValue() -> int\nC++: int GetDimensionalityMaxValue ();\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {(char*)"GetDimensionality",                (PyCFunction)PyvtkImageGradientMagnitude_GetDimensionality, 1,
   (char*)"V.GetDimensionality() -> int\nC++: int GetDimensionality ();\n\n Determines how the input is interpreted (set of 2d slices ...)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageGradientMagnitudeDoc[] = {
  (char*)"vtkImageGradientMagnitude - Computes magnitude of the gradient.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageGradientMagnitude computes the gradient magnitude of an image.\n Setting the dimensionality determines whether the gradient is computed on\n 2D images, or 3D volumes.  The default is two dimensional XY images.\n\n",
  "See Also:\n\n vtkImageGradient vtkImageMagnitude\n\n",
  NULL
};

static vtkObjectBase *vtkImageGradientMagnitudeStaticNew()
{
  return vtkImageGradientMagnitude::New();
}

PyObject *PyVTKClass_vtkImageGradientMagnitudeNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageGradientMagnitudeStaticNew,
                        PyvtkImageGradientMagnitudeMethods,
                        (char*)"vtkImageGradientMagnitude",modulename,
                        (char**)vtkImageGradientMagnitudeDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

