// python wrapper for vtkImageHybridMedian2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageHybridMedian2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageHybridMedian2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageHybridMedian2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageSpatialAlgorithmNew(char *); }

static PyObject *PyvtkImageHybridMedian2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageHybridMedian2D *op;

  const char    *temp20;
  if ((op = (vtkImageHybridMedian2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageHybridMedian2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageHybridMedian2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageHybridMedian2D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageHybridMedian2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageHybridMedian2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageHybridMedian2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageHybridMedian2D *op;

  vtkImageHybridMedian2D  *temp20;
  if ((op = (vtkImageHybridMedian2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageHybridMedian2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageHybridMedian2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageHybridMedian2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageHybridMedian2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageHybridMedian2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageHybridMedian2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageHybridMedian2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageHybridMedian2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageHybridMedian2D\nC++: vtkImageHybridMedian2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageHybridMedian2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageHybridMedian2D\nC++: vtkImageHybridMedian2D *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageHybridMedian2DDoc[] = {
  (char*)"vtkImageHybridMedian2D - Median filter that preserves lines and \n\n",
  "Super Class:\n\n vtkImageSpatialAlgorithm\n\n",
  (char*)" vtkImageHybridMedian2D is a median filter that preserves thin lines and\n corners.  It operates on a 5x5 pixel neighborhood.  It computes two values\n initially: the median of the + neighbors and the median of the x\n neighbors.  It then computes the median of these two values plus the center\n pixel.  This result of this second median is the output pixel value.\n\n",
  NULL
};

static vtkObjectBase *vtkImageHybridMedian2DStaticNew()
{
  return vtkImageHybridMedian2D::New();
}

PyObject *PyVTKClass_vtkImageHybridMedian2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageHybridMedian2DStaticNew,
                        PyvtkImageHybridMedian2DMethods,
                        (char*)"vtkImageHybridMedian2D",modulename,
                        (char**)vtkImageHybridMedian2DDoc,
                        PyVTKClass_vtkImageSpatialAlgorithmNew(modulename));
}

