// python wrapper for vtkImageIdealLowPass object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageIdealLowPass.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageIdealLowPassNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageIdealLowPassNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageIdealLowPass_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealLowPass *op;

  const char    *temp20;
  if ((op = (vtkImageIdealLowPass *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIdealLowPass::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealLowPass_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealLowPass *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageIdealLowPass *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIdealLowPass::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealLowPass_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealLowPass *op;

  vtkImageIdealLowPass  *temp20;
  if ((op = (vtkImageIdealLowPass *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIdealLowPass::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealLowPass_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageIdealLowPass  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageIdealLowPass::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageIdealLowPass_SetCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealLowPass *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageIdealLowPass *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageIdealLowPass::SetCutOff(temp0,temp1,temp2);
      }
    else
      {
      op->SetCutOff(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageIdealLowPass *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageIdealLowPass *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageIdealLowPass::SetCutOff(temp0);
      }
    else
      {
      op->SetCutOff(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageIdealLowPass *op;

  double   temp0;
  PyErr_Clear();
  if ((op = (vtkImageIdealLowPass *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageIdealLowPass::SetCutOff(temp0);
      }
    else
      {
      op->SetCutOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealLowPass_SetXCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealLowPass *op;

  double   temp0;
  if ((op = (vtkImageIdealLowPass *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageIdealLowPass::SetXCutOff(temp0);
      }
    else
      {
      op->SetXCutOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealLowPass_SetYCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealLowPass *op;

  double   temp0;
  if ((op = (vtkImageIdealLowPass *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageIdealLowPass::SetYCutOff(temp0);
      }
    else
      {
      op->SetYCutOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealLowPass_SetZCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealLowPass *op;

  double   temp0;
  if ((op = (vtkImageIdealLowPass *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageIdealLowPass::SetZCutOff(temp0);
      }
    else
      {
      op->SetZCutOff(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealLowPass_GetCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealLowPass *op;

  double  *temp20;
  if ((op = (vtkImageIdealLowPass *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIdealLowPass::GetCutOff();
      }
    else
      {
      temp20 = op->GetCutOff();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealLowPass_GetXCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealLowPass *op;

  double   temp20;
  if ((op = (vtkImageIdealLowPass *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIdealLowPass::GetXCutOff();
      }
    else
      {
      temp20 = op->GetXCutOff();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealLowPass_GetYCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealLowPass *op;

  double   temp20;
  if ((op = (vtkImageIdealLowPass *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIdealLowPass::GetYCutOff();
      }
    else
      {
      temp20 = op->GetYCutOff();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIdealLowPass_GetZCutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIdealLowPass *op;

  double   temp20;
  if ((op = (vtkImageIdealLowPass *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIdealLowPass::GetZCutOff();
      }
    else
      {
      temp20 = op->GetZCutOff();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageIdealLowPassMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageIdealLowPass_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageIdealLowPass_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageIdealLowPass_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageIdealLowPass\nC++: vtkImageIdealLowPass *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageIdealLowPass_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageIdealLowPass\nC++: vtkImageIdealLowPass *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCutOff",                (PyCFunction)PyvtkImageIdealLowPass_SetCutOff, 1,
   (char*)"V.SetCutOff(float, float, float)\nC++: void SetCutOff (double , double , double );\nV.SetCutOff((float, float, float))\nC++: void SetCutOff (double  a[3]);\nV.SetCutOff(float)\nC++: void SetCutOff (double v);this SetCutOff v v v \n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"SetXCutOff",                (PyCFunction)PyvtkImageIdealLowPass_SetXCutOff, 1,
   (char*)"V.SetXCutOff(float)\nC++: void SetXCutOff (double v);\n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"SetYCutOff",                (PyCFunction)PyvtkImageIdealLowPass_SetYCutOff, 1,
   (char*)"V.SetYCutOff(float)\nC++: void SetYCutOff (double v);\n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"SetZCutOff",                (PyCFunction)PyvtkImageIdealLowPass_SetZCutOff, 1,
   (char*)"V.SetZCutOff(float)\nC++: void SetZCutOff (double v);\n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"GetCutOff",                (PyCFunction)PyvtkImageIdealLowPass_GetCutOff, 1,
   (char*)"V.GetCutOff() -> (float, float, float)\nC++: double  *GetCutOff ();\n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"GetXCutOff",                (PyCFunction)PyvtkImageIdealLowPass_GetXCutOff, 1,
   (char*)"V.GetXCutOff() -> float\nC++: double GetXCutOff ();return this CutOff \n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"GetYCutOff",                (PyCFunction)PyvtkImageIdealLowPass_GetYCutOff, 1,
   (char*)"V.GetYCutOff() -> float\nC++: double GetYCutOff ();return this CutOff \n\n Set/Get the cutoff frequency for each axis.\n The values are specified in the order X, Y, Z, Time.\n Units: Cycles per world unit (as defined by the data spacing).\n"},
  {(char*)"GetZCutOff",                (PyCFunction)PyvtkImageIdealLowPass_GetZCutOff, 1,
   (char*)"V.GetZCutOff() -> float\nC++: double GetZCutOff ();return this CutOff \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageIdealLowPassDoc[] = {
  (char*)"vtkImageIdealLowPass - Simple frequency domain band pass.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" This filter only works on an image after it has been converted to\n frequency domain by a vtkImageFFT filter.  A vtkImageRFFT filter\n can be used to convert the output back into the spatial domain.\n vtkImageIdealLowPass just sets a portion of the image to zero.  The result\n is an image with a lot of ringing.  Input and Output must be doubles.\n Dimensionality is set when the axes are set.  Defaults",
  (char*)" to 2D on X and Y\n axes.\n\n",
  "See Also:\n\n vtkImageButterworthLowPass vtkImageIdealHighPass vtkImageFFT vtkImageRFFT\n\n",
  NULL
};

static vtkObjectBase *vtkImageIdealLowPassStaticNew()
{
  return vtkImageIdealLowPass::New();
}

PyObject *PyVTKClass_vtkImageIdealLowPassNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageIdealLowPassStaticNew,
                        PyvtkImageIdealLowPassMethods,
                        (char*)"vtkImageIdealLowPass",modulename,
                        (char**)vtkImageIdealLowPassDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

