// python wrapper for vtkImageImport object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageImport.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageImportNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageImportNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageImport_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  const char    *temp20;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImport::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImport::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  vtkImageImport  *temp20;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImport::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageImport  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageImport::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageImport_CopyImportVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  void    *temp0;
  int      size0;
  int      temp1;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"s#i", &temp0, &size0, &temp1)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to CopyImportVoidPointer in vtkImageImport was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to CopyImportVoidPointer in vtkImageImport was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::CopyImportVoidPointer(temp0,temp1);
      }
    else
      {
      op->CopyImportVoidPointer(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SetImportVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  void    *temp0;
  int      size0;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetImportVoidPointer in vtkImageImport was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetImportVoidPointer in vtkImageImport was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetImportVoidPointer(temp0);
      }
    else
      {
      op->SetImportVoidPointer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageImport *op;

  void    *temp0;
  int      size0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"s#i", &temp0, &size0, &temp1)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetImportVoidPointer in vtkImageImport was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetImportVoidPointer in vtkImageImport was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetImportVoidPointer(temp0,temp1);
      }
    else
      {
      op->SetImportVoidPointer(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_GetImportVoidPointer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  void    *temp20;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImport::GetImportVoidPointer();
      }
    else
      {
      temp20 = op->GetImportVoidPointer();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SetDataScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  int      temp0;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetDataScalarType(temp0);
      }
    else
      {
      op->SetDataScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SetDataScalarTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetDataScalarTypeToDouble();
      }
    else
      {
      op->SetDataScalarTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SetDataScalarTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetDataScalarTypeToFloat();
      }
    else
      {
      op->SetDataScalarTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SetDataScalarTypeToInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetDataScalarTypeToInt();
      }
    else
      {
      op->SetDataScalarTypeToInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SetDataScalarTypeToShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetDataScalarTypeToShort();
      }
    else
      {
      op->SetDataScalarTypeToShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SetDataScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetDataScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetDataScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SetDataScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetDataScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetDataScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_GetDataScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  int      temp20;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImport::GetDataScalarType();
      }
    else
      {
      temp20 = op->GetDataScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_GetDataScalarTypeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  const char    *temp20;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImport::GetDataScalarTypeAsString();
      }
    else
      {
      temp20 = op->GetDataScalarTypeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SetNumberOfScalarComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  int      temp0;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetNumberOfScalarComponents(temp0);
      }
    else
      {
      op->SetNumberOfScalarComponents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_GetNumberOfScalarComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  int      temp20;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImport::GetNumberOfScalarComponents();
      }
    else
      {
      temp20 = op->GetNumberOfScalarComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SetDataExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetDataExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetDataExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageImport *op;

  int    temp0[6];
  PyErr_Clear();
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetDataExtent(temp0);
      }
    else
      {
      op->SetDataExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_GetDataExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  int     *temp20;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImport::GetDataExtent();
      }
    else
      {
      temp20 = op->GetDataExtent();
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SetDataExtentToWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetDataExtentToWholeExtent();
      }
    else
      {
      op->SetDataExtentToWholeExtent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SetDataSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetDataSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetDataSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageImport *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetDataSpacing(temp0);
      }
    else
      {
      op->SetDataSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_GetDataSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  double  *temp20;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImport::GetDataSpacing();
      }
    else
      {
      temp20 = op->GetDataSpacing();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SetDataOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetDataOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetDataOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageImport *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetDataOrigin(temp0);
      }
    else
      {
      op->SetDataOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_GetDataOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  double  *temp20;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImport::GetDataOrigin();
      }
    else
      {
      temp20 = op->GetDataOrigin();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_SetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageImport *op;

  int    temp0[6];
  PyErr_Clear();
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::SetWholeExtent(temp0);
      }
    else
      {
      op->SetWholeExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_GetWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  int     *temp20;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImport::GetWholeExtent();
      }
    else
      {
      temp20 = op->GetWholeExtent();
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_InvokePipelineModifiedCallbacks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  int      temp20;
  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageImport::InvokePipelineModifiedCallbacks();
      }
    else
      {
      temp20 = op->InvokePipelineModifiedCallbacks();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_InvokeUpdateInformationCallbacks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::InvokeUpdateInformationCallbacks();
      }
    else
      {
      op->InvokeUpdateInformationCallbacks();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_InvokeExecuteInformationCallbacks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::InvokeExecuteInformationCallbacks();
      }
    else
      {
      op->InvokeExecuteInformationCallbacks();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_InvokeExecuteDataCallbacks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::InvokeExecuteDataCallbacks();
      }
    else
      {
      op->InvokeExecuteDataCallbacks();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageImport_LegacyCheckWholeExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageImport *op;

  if ((op = (vtkImageImport *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageImport::LegacyCheckWholeExtent();
      }
    else
      {
      op->LegacyCheckWholeExtent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageImportMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageImport_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageImport_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageImport_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageImport\nC++: vtkImageImport *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageImport_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageImport\nC++: vtkImageImport *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CopyImportVoidPointer",                (PyCFunction)PyvtkImageImport_CopyImportVoidPointer, 1,
   (char*)"V.CopyImportVoidPointer(string, int)\nC++: void CopyImportVoidPointer (void *ptr, int size);\n\n Import data and make an internal copy of it.  If you do not want\n VTK to copy the data, then use SetImportVoidPointer instead (do\n not use both).  Give the size of the data array in bytes.\n"},
  {(char*)"SetImportVoidPointer",                (PyCFunction)PyvtkImageImport_SetImportVoidPointer, 1,
   (char*)"V.SetImportVoidPointer(string)\nC++: void SetImportVoidPointer (void *ptr);\nV.SetImportVoidPointer(string, int)\nC++: void SetImportVoidPointer (void *ptr, int save);\n\n Set the pointer from which the image data is imported.  VTK will\n not make its own copy of the data, it will access the data directly\n from the supplied array.  VTK will not attempt to delete the data\n nor modify the data.\n"},
  {(char*)"GetImportVoidPointer",                (PyCFunction)PyvtkImageImport_GetImportVoidPointer, 1,
   (char*)"V.GetImportVoidPointer() -> string\nC++: void *GetImportVoidPointer ();return this ImportVoidPointer \n\n Set the pointer from which the image data is imported.  VTK will\n not make its own copy of the data, it will access the data directly\n from the supplied array.  VTK will not attempt to delete the data\n nor modify the data.\n"},
  {(char*)"SetDataScalarType",                (PyCFunction)PyvtkImageImport_SetDataScalarType, 1,
   (char*)"V.SetDataScalarType(int)\nC++: void SetDataScalarType (int );\n\n Set/Get the data type of pixels in the imported data.  This is used\n as the scalar type of the Output.  Default: Short.\n"},
  {(char*)"SetDataScalarTypeToDouble",                (PyCFunction)PyvtkImageImport_SetDataScalarTypeToDouble, 1,
   (char*)"V.SetDataScalarTypeToDouble()\nC++: void SetDataScalarTypeToDouble ();this SetDataScalarType VTK_DOUBLE \n\n Set/Get the data type of pixels in the imported data.  This is used\n as the scalar type of the Output.  Default: Short.\n"},
  {(char*)"SetDataScalarTypeToFloat",                (PyCFunction)PyvtkImageImport_SetDataScalarTypeToFloat, 1,
   (char*)"V.SetDataScalarTypeToFloat()\nC++: void SetDataScalarTypeToFloat ();this SetDataScalarType VTK_FLOAT \n\n Set/Get the data type of pixels in the imported data.  This is used\n as the scalar type of the Output.  Default: Short.\n"},
  {(char*)"SetDataScalarTypeToInt",                (PyCFunction)PyvtkImageImport_SetDataScalarTypeToInt, 1,
   (char*)"V.SetDataScalarTypeToInt()\nC++: void SetDataScalarTypeToInt ();this SetDataScalarType VTK_INT \n\n Set/Get the data type of pixels in the imported data.  This is used\n as the scalar type of the Output.  Default: Short.\n"},
  {(char*)"SetDataScalarTypeToShort",                (PyCFunction)PyvtkImageImport_SetDataScalarTypeToShort, 1,
   (char*)"V.SetDataScalarTypeToShort()\nC++: void SetDataScalarTypeToShort ();this SetDataScalarType VTK_SHORT \n\n Set/Get the data type of pixels in the imported data.  This is used\n as the scalar type of the Output.  Default: Short.\n"},
  {(char*)"SetDataScalarTypeToUnsignedShort",                (PyCFunction)PyvtkImageImport_SetDataScalarTypeToUnsignedShort, 1,
   (char*)"V.SetDataScalarTypeToUnsignedShort()\nC++: void SetDataScalarTypeToUnsignedShort ();this SetDataScalarType VTK_UNSIGNED_SHORT \n\n Set/Get the data type of pixels in the imported data.  This is used\n as the scalar type of the Output.  Default: Short.\n"},
  {(char*)"SetDataScalarTypeToUnsignedChar",                (PyCFunction)PyvtkImageImport_SetDataScalarTypeToUnsignedChar, 1,
   (char*)"V.SetDataScalarTypeToUnsignedChar()\nC++: void SetDataScalarTypeToUnsignedChar ();this SetDataScalarType VTK_UNSIGNED_CHAR \n\n Set/Get the data type of pixels in the imported data.  This is used\n as the scalar type of the Output.  Default: Short.\n"},
  {(char*)"GetDataScalarType",                (PyCFunction)PyvtkImageImport_GetDataScalarType, 1,
   (char*)"V.GetDataScalarType() -> int\nC++: int GetDataScalarType ();\n\n Set/Get the data type of pixels in the imported data.  This is used\n as the scalar type of the Output.  Default: Short.\n"},
  {(char*)"GetDataScalarTypeAsString",                (PyCFunction)PyvtkImageImport_GetDataScalarTypeAsString, 1,
   (char*)"V.GetDataScalarTypeAsString() -> string\nC++: const char *GetDataScalarTypeAsString ();return vtkImageScalarTypeNameMacro this DataScalarType \n\n Set/Get the number of scalar components, for RGB images this must be 3.\n Default: 1.\n"},
  {(char*)"SetNumberOfScalarComponents",                (PyCFunction)PyvtkImageImport_SetNumberOfScalarComponents, 1,
   (char*)"V.SetNumberOfScalarComponents(int)\nC++: void SetNumberOfScalarComponents (int );\n\n Set/Get the number of scalar components, for RGB images this must be 3.\n Default: 1.\n"},
  {(char*)"GetNumberOfScalarComponents",                (PyCFunction)PyvtkImageImport_GetNumberOfScalarComponents, 1,
   (char*)"V.GetNumberOfScalarComponents() -> int\nC++: int GetNumberOfScalarComponents ();\n\n Set/Get the number of scalar components, for RGB images this must be 3.\n Default: 1.\n"},
  {(char*)"SetDataExtent",                (PyCFunction)PyvtkImageImport_SetDataExtent, 1,
   (char*)"V.SetDataExtent(int, int, int, int, int, int)\nC++: void SetDataExtent (int , int , int , int , int , int );\nV.SetDataExtent((int, int, int, int, int, int))\nC++: void SetDataExtent (int  a[6]);\n\n Get/Set the extent of the data buffer.  The dimensions of your data\n must be equal to (extent[1]-extent[0]+1) * (extent[3]-extent[2]+1) * \n (extent[5]-DataExtent[4]+1).  For example, for a 2D image use\n (0,width-1, 0,height-1, 0,0).\n"},
  {(char*)"GetDataExtent",                (PyCFunction)PyvtkImageImport_GetDataExtent, 1,
   (char*)"V.GetDataExtent() -> (int, int, int, int, int, int)\nC++: int  *GetDataExtent ();\n\n Get/Set the extent of the data buffer.  The dimensions of your data\n must be equal to (extent[1]-extent[0]+1) * (extent[3]-extent[2]+1) * \n (extent[5]-DataExtent[4]+1).  For example, for a 2D image use\n (0,width-1, 0,height-1, 0,0).\n"},
  {(char*)"SetDataExtentToWholeExtent",                (PyCFunction)PyvtkImageImport_SetDataExtentToWholeExtent, 1,
   (char*)"V.SetDataExtentToWholeExtent()\nC++: void SetDataExtentToWholeExtent ();this SetDataExtent this GetWholeExtent \n\n Set/Get the spacing (typically in mm) between image voxels.\n Default: (1.0, 1.0, 1.0).\n"},
  {(char*)"SetDataSpacing",                (PyCFunction)PyvtkImageImport_SetDataSpacing, 1,
   (char*)"V.SetDataSpacing(float, float, float)\nC++: void SetDataSpacing (double , double , double );\nV.SetDataSpacing((float, float, float))\nC++: void SetDataSpacing (double  a[3]);\n\n Set/Get the spacing (typically in mm) between image voxels.\n Default: (1.0, 1.0, 1.0).\n"},
  {(char*)"GetDataSpacing",                (PyCFunction)PyvtkImageImport_GetDataSpacing, 1,
   (char*)"V.GetDataSpacing() -> (float, float, float)\nC++: double  *GetDataSpacing ();\n\n Set/Get the spacing (typically in mm) between image voxels.\n Default: (1.0, 1.0, 1.0).\n"},
  {(char*)"SetDataOrigin",                (PyCFunction)PyvtkImageImport_SetDataOrigin, 1,
   (char*)"V.SetDataOrigin(float, float, float)\nC++: void SetDataOrigin (double , double , double );\nV.SetDataOrigin((float, float, float))\nC++: void SetDataOrigin (double  a[3]);\n\n Set/Get the origin of the data, i.e. the coordinates (usually in mm)\n of voxel (0,0,0).  Default: (0.0, 0.0, 0.0). \n"},
  {(char*)"GetDataOrigin",                (PyCFunction)PyvtkImageImport_GetDataOrigin, 1,
   (char*)"V.GetDataOrigin() -> (float, float, float)\nC++: double  *GetDataOrigin ();\n\n Set/Get the origin of the data, i.e. the coordinates (usually in mm)\n of voxel (0,0,0).  Default: (0.0, 0.0, 0.0). \n"},
  {(char*)"SetWholeExtent",                (PyCFunction)PyvtkImageImport_SetWholeExtent, 1,
   (char*)"V.SetWholeExtent(int, int, int, int, int, int)\nC++: void SetWholeExtent (int , int , int , int , int , int );\nV.SetWholeExtent((int, int, int, int, int, int))\nC++: void SetWholeExtent (int  a[6]);\n\n Get/Set the whole extent of the image.  This is the largest possible\n extent.  Set the DataExtent to the extent of the image in the buffer\n pointed to by the ImportVoidPointer.\n"},
  {(char*)"GetWholeExtent",                (PyCFunction)PyvtkImageImport_GetWholeExtent, 1,
   (char*)"V.GetWholeExtent() -> (int, int, int, int, int, int)\nC++: int  *GetWholeExtent ();\n\n Get/Set the whole extent of the image.  This is the largest possible\n extent.  Set the DataExtent to the extent of the image in the buffer\n pointed to by the ImportVoidPointer.\n"},
  {(char*)"InvokePipelineModifiedCallbacks",                (PyCFunction)PyvtkImageImport_InvokePipelineModifiedCallbacks, 1,
   (char*)"V.InvokePipelineModifiedCallbacks() -> int\nC++: int InvokePipelineModifiedCallbacks ();\n\n Invoke the appropriate callbacks\n"},
  {(char*)"InvokeUpdateInformationCallbacks",                (PyCFunction)PyvtkImageImport_InvokeUpdateInformationCallbacks, 1,
   (char*)"V.InvokeUpdateInformationCallbacks()\nC++: void InvokeUpdateInformationCallbacks ();\n\n Invoke the appropriate callbacks\n"},
  {(char*)"InvokeExecuteInformationCallbacks",                (PyCFunction)PyvtkImageImport_InvokeExecuteInformationCallbacks, 1,
   (char*)"V.InvokeExecuteInformationCallbacks()\nC++: void InvokeExecuteInformationCallbacks ();\n\n Invoke the appropriate callbacks\n"},
  {(char*)"InvokeExecuteDataCallbacks",                (PyCFunction)PyvtkImageImport_InvokeExecuteDataCallbacks, 1,
   (char*)"V.InvokeExecuteDataCallbacks()\nC++: void InvokeExecuteDataCallbacks ();\n\n Invoke the appropriate callbacks\n"},
  {(char*)"LegacyCheckWholeExtent",                (PyCFunction)PyvtkImageImport_LegacyCheckWholeExtent, 1,
   (char*)"V.LegacyCheckWholeExtent()\nC++: void LegacyCheckWholeExtent ();\n\n Invoke the appropriate callbacks\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageImportDoc[] = {
  (char*)"vtkImageImport - Import data from a C array.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageImport provides methods needed to import image data from a source\n independent of VTK, such as a simple C array or a third-party pipeline.\n Note that the VTK convention is for the image voxel index (0,0,0) to be\n the lower-left corner of the image, while most 2D image formats use\n the upper-left corner.  You can use vtkImageFlip to correct the \n orientation after the image has been loaded",
  (char*)" into VTK.\n Note that is also possible to import the raw data from a Python string\n instead of from a C array.\n\n",
  "See Also:\n\n vtkImageExport\n\n",
  NULL
};

static vtkObjectBase *vtkImageImportStaticNew()
{
  return vtkImageImport::New();
}

PyObject *PyVTKClass_vtkImageImportNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageImportStaticNew,
                        PyvtkImageImportMethods,
                        (char*)"vtkImageImport",modulename,
                        (char**)vtkImageImportDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

