// python wrapper for vtkImageIterateFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageIterateFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageIterateFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageIterateFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageIterateFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIterateFilter *op;

  const char    *temp20;
  if ((op = (vtkImageIterateFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIterateFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIterateFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIterateFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageIterateFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIterateFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIterateFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIterateFilter *op;

  vtkImageIterateFilter  *temp20;
  if ((op = (vtkImageIterateFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIterateFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIterateFilter_GetIteration(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIterateFilter *op;

  int      temp20;
  if ((op = (vtkImageIterateFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIterateFilter::GetIteration();
      }
    else
      {
      temp20 = op->GetIteration();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageIterateFilter_GetNumberOfIterations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageIterateFilter *op;

  int      temp20;
  if ((op = (vtkImageIterateFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageIterateFilter::GetNumberOfIterations();
      }
    else
      {
      temp20 = op->GetNumberOfIterations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageIterateFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageIterateFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageIterateFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageIterateFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageIterateFilter\nC++: vtkImageIterateFilter *NewInstance ();\n\n"},
  {(char*)"GetIteration",                (PyCFunction)PyvtkImageIterateFilter_GetIteration, 1,
   (char*)"V.GetIteration() -> int\nC++: int GetIteration ();\n\n Get which iteration is current being performed. Normally the\n user will not access this method.\n"},
  {(char*)"GetNumberOfIterations",                (PyCFunction)PyvtkImageIterateFilter_GetNumberOfIterations, 1,
   (char*)"V.GetNumberOfIterations() -> int\nC++: int GetNumberOfIterations ();\n\n Get which iteration is current being performed. Normally the\n user will not access this method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageIterateFilterDoc[] = {
  (char*)"vtkImageIterateFilter - Multiple executes per update.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageIterateFilter is a filter superclass that supports calling execute\n multiple times per update.  The largest hack/open issue is that the input\n and output caches are temporarily changed to \"fool\" the subclasses.  I\n believe the correct solution is to pass the in and out cache to the\n subclasses methods as arguments.  Now the data is passes.  Can the caches\n be passed, and data retrieved fr",
  (char*)"om the cache? \n\n",
  NULL
};

PyObject *PyVTKClass_vtkImageIterateFilterNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkImageIterateFilterMethods,
                        (char*)"vtkImageIterateFilter",modulename,
                        (char**)vtkImageIterateFilterDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

