// python wrapper for vtkImageLogarithmicScale object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageLogarithmicScale.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageLogarithmicScaleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageLogarithmicScaleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageLogarithmicScale_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogarithmicScale *op;

  const char    *temp20;
  if ((op = (vtkImageLogarithmicScale *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLogarithmicScale::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogarithmicScale_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogarithmicScale *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageLogarithmicScale *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLogarithmicScale::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogarithmicScale_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogarithmicScale *op;

  vtkImageLogarithmicScale  *temp20;
  if ((op = (vtkImageLogarithmicScale *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLogarithmicScale::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogarithmicScale_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageLogarithmicScale  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageLogarithmicScale::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageLogarithmicScale_SetConstant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogarithmicScale *op;

  double   temp0;
  if ((op = (vtkImageLogarithmicScale *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageLogarithmicScale::SetConstant(temp0);
      }
    else
      {
      op->SetConstant(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLogarithmicScale_GetConstant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLogarithmicScale *op;

  double   temp20;
  if ((op = (vtkImageLogarithmicScale *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLogarithmicScale::GetConstant();
      }
    else
      {
      temp20 = op->GetConstant();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageLogarithmicScaleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageLogarithmicScale_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageLogarithmicScale_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageLogarithmicScale_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageLogarithmicScale\nC++: vtkImageLogarithmicScale *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageLogarithmicScale_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageLogarithmicScale\nC++: vtkImageLogarithmicScale *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetConstant",                (PyCFunction)PyvtkImageLogarithmicScale_SetConstant, 1,
   (char*)"V.SetConstant(float)\nC++: void SetConstant (double );\n\n Set/Get the scale factor for the logarithmic function.\n"},
  {(char*)"GetConstant",                (PyCFunction)PyvtkImageLogarithmicScale_GetConstant, 1,
   (char*)"V.GetConstant() -> float\nC++: double GetConstant ();\n\n Set/Get the scale factor for the logarithmic function.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageLogarithmicScaleDoc[] = {
  (char*)"vtkImageLogarithmicScale - Passes each pixel through log function.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageLogarithmicScale passes each pixel through the function\n c*log(1+x).  It also handles negative values with the function\n -c*log(1-x).\n\n",
  NULL
};

static vtkObjectBase *vtkImageLogarithmicScaleStaticNew()
{
  return vtkImageLogarithmicScale::New();
}

PyObject *PyVTKClass_vtkImageLogarithmicScaleNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageLogarithmicScaleStaticNew,
                        PyvtkImageLogarithmicScaleMethods,
                        (char*)"vtkImageLogarithmicScale",modulename,
                        (char**)vtkImageLogarithmicScaleDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

