// python wrapper for vtkImageLuminance object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageLuminance.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageLuminanceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageLuminanceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageLuminance_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLuminance *op;

  const char    *temp20;
  if ((op = (vtkImageLuminance *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLuminance::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLuminance_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLuminance *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageLuminance *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLuminance::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLuminance_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageLuminance *op;

  vtkImageLuminance  *temp20;
  if ((op = (vtkImageLuminance *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageLuminance::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageLuminance_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageLuminance  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageLuminance::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageLuminanceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageLuminance_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageLuminance_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageLuminance_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageLuminance\nC++: vtkImageLuminance *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageLuminance_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageLuminance\nC++: vtkImageLuminance *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageLuminanceDoc[] = {
  (char*)"vtkImageLuminance - Computes the luminance of the input\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageLuminance calculates luminance from an rgb input.\n\n",
  NULL
};

static vtkObjectBase *vtkImageLuminanceStaticNew()
{
  return vtkImageLuminance::New();
}

PyObject *PyVTKClass_vtkImageLuminanceNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageLuminanceStaticNew,
                        PyvtkImageLuminanceMethods,
                        (char*)"vtkImageLuminance",modulename,
                        (char**)vtkImageLuminanceDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

