// python wrapper for vtkImageMagnitude object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageMagnitude.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMagnitudeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMagnitudeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageMagnitude_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMagnitude *op;

  const char    *temp20;
  if ((op = (vtkImageMagnitude *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMagnitude::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMagnitude_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMagnitude *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageMagnitude *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMagnitude::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMagnitude_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMagnitude *op;

  vtkImageMagnitude  *temp20;
  if ((op = (vtkImageMagnitude *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMagnitude::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMagnitude_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageMagnitude  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageMagnitude::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageMagnitudeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageMagnitude_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageMagnitude_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageMagnitude_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMagnitude\nC++: vtkImageMagnitude *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageMagnitude_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageMagnitude\nC++: vtkImageMagnitude *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageMagnitudeDoc[] = {
  (char*)"vtkImageMagnitude - Colapses components with magnitude function..\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageMagnitude takes the magnitude of the components.\n\n",
  NULL
};

static vtkObjectBase *vtkImageMagnitudeStaticNew()
{
  return vtkImageMagnitude::New();
}

PyObject *PyVTKClass_vtkImageMagnitudeNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageMagnitudeStaticNew,
                        PyvtkImageMagnitudeMethods,
                        (char*)"vtkImageMagnitude",modulename,
                        (char**)vtkImageMagnitudeDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

