// python wrapper for vtkImageMapToColors object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageMapToColors.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMapToColorsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMapToColorsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageMapToColors_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  const char    *temp20;
  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapToColors::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapToColors::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  vtkImageMapToColors  *temp20;
  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapToColors::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageMapToColors  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageMapToColors::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageMapToColors_SetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  vtkScalarsToColors  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkScalarsToColors *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarsToColors");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapToColors::SetLookupTable(temp0);
      }
    else
      {
      op->SetLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageMapToColors_GetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  vtkScalarsToColors  *temp20;
  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapToColors::GetLookupTable();
      }
    else
      {
      temp20 = op->GetLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_SetOutputFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  int      temp0;
  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapToColors::SetOutputFormat(temp0);
      }
    else
      {
      op->SetOutputFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_GetOutputFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  int      temp20;
  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapToColors::GetOutputFormat();
      }
    else
      {
      temp20 = op->GetOutputFormat();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_SetOutputFormatToRGBA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapToColors::SetOutputFormatToRGBA();
      }
    else
      {
      op->SetOutputFormatToRGBA();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_SetOutputFormatToRGB(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapToColors::SetOutputFormatToRGB();
      }
    else
      {
      op->SetOutputFormatToRGB();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_SetOutputFormatToLuminanceAlpha(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapToColors::SetOutputFormatToLuminanceAlpha();
      }
    else
      {
      op->SetOutputFormatToLuminanceAlpha();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_SetOutputFormatToLuminance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapToColors::SetOutputFormatToLuminance();
      }
    else
      {
      op->SetOutputFormatToLuminance();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_SetActiveComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  int      temp0;
  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapToColors::SetActiveComponent(temp0);
      }
    else
      {
      op->SetActiveComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_GetActiveComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  int      temp20;
  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapToColors::GetActiveComponent();
      }
    else
      {
      temp20 = op->GetActiveComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_SetPassAlphaToOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  int      temp0;
  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapToColors::SetPassAlphaToOutput(temp0);
      }
    else
      {
      op->SetPassAlphaToOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_PassAlphaToOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapToColors::PassAlphaToOutputOn();
      }
    else
      {
      op->PassAlphaToOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_PassAlphaToOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMapToColors::PassAlphaToOutputOff();
      }
    else
      {
      op->PassAlphaToOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_GetPassAlphaToOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  int      temp20;
  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapToColors::GetPassAlphaToOutput();
      }
    else
      {
      temp20 = op->GetPassAlphaToOutput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToColors_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToColors *op;

  unsigned long     temp20;
  if ((op = (vtkImageMapToColors *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapToColors::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageMapToColorsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageMapToColors_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageMapToColors_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageMapToColors_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMapToColors\nC++: vtkImageMapToColors *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageMapToColors_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageMapToColors\nC++: vtkImageMapToColors *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLookupTable",                (PyCFunction)PyvtkImageMapToColors_SetLookupTable, 1,
   (char*)"V.SetLookupTable(vtkScalarsToColors)\nC++: virtual void SetLookupTable (vtkScalarsToColors *);\n\n Set the lookup table.\n"},
  {(char*)"GetLookupTable",                (PyCFunction)PyvtkImageMapToColors_GetLookupTable, 1,
   (char*)"V.GetLookupTable() -> vtkScalarsToColors\nC++: vtkScalarsToColors *GetLookupTable ();\n\n Set the lookup table.\n"},
  {(char*)"SetOutputFormat",                (PyCFunction)PyvtkImageMapToColors_SetOutputFormat, 1,
   (char*)"V.SetOutputFormat(int)\nC++: void SetOutputFormat (int );\n\n Set the output format, the default is RGBA.  \n"},
  {(char*)"GetOutputFormat",                (PyCFunction)PyvtkImageMapToColors_GetOutputFormat, 1,
   (char*)"V.GetOutputFormat() -> int\nC++: int GetOutputFormat ();\n\n Set the output format, the default is RGBA.  \n"},
  {(char*)"SetOutputFormatToRGBA",                (PyCFunction)PyvtkImageMapToColors_SetOutputFormatToRGBA, 1,
   (char*)"V.SetOutputFormatToRGBA()\nC++: void SetOutputFormatToRGBA ();this OutputFormat VTK_RGBA \n\n Set the output format, the default is RGBA.  \n"},
  {(char*)"SetOutputFormatToRGB",                (PyCFunction)PyvtkImageMapToColors_SetOutputFormatToRGB, 1,
   (char*)"V.SetOutputFormatToRGB()\nC++: void SetOutputFormatToRGB ();this OutputFormat VTK_RGB \n\n Set the output format, the default is RGBA.  \n"},
  {(char*)"SetOutputFormatToLuminanceAlpha",                (PyCFunction)PyvtkImageMapToColors_SetOutputFormatToLuminanceAlpha, 1,
   (char*)"V.SetOutputFormatToLuminanceAlpha()\nC++: void SetOutputFormatToLuminanceAlpha ();this OutputFormat VTK_LUMINANCE_ALPHA \n\n Set the output format, the default is RGBA.  \n"},
  {(char*)"SetOutputFormatToLuminance",                (PyCFunction)PyvtkImageMapToColors_SetOutputFormatToLuminance, 1,
   (char*)"V.SetOutputFormatToLuminance()\nC++: void SetOutputFormatToLuminance ();this OutputFormat VTK_LUMINANCE \n\n Set the output format, the default is RGBA.  \n"},
  {(char*)"SetActiveComponent",                (PyCFunction)PyvtkImageMapToColors_SetActiveComponent, 1,
   (char*)"V.SetActiveComponent(int)\nC++: void SetActiveComponent (int );\n\n Set the component to map for multi-component images (default: 0)\n"},
  {(char*)"GetActiveComponent",                (PyCFunction)PyvtkImageMapToColors_GetActiveComponent, 1,
   (char*)"V.GetActiveComponent() -> int\nC++: int GetActiveComponent ();\n\n Set the component to map for multi-component images (default: 0)\n"},
  {(char*)"SetPassAlphaToOutput",                (PyCFunction)PyvtkImageMapToColors_SetPassAlphaToOutput, 1,
   (char*)"V.SetPassAlphaToOutput(int)\nC++: void SetPassAlphaToOutput (int );\n\n Use the alpha component of the input when computing the alpha component\n of the output (useful when converting monochrome+alpha data to RGBA)\n"},
  {(char*)"PassAlphaToOutputOn",                (PyCFunction)PyvtkImageMapToColors_PassAlphaToOutputOn, 1,
   (char*)"V.PassAlphaToOutputOn()\nC++: void PassAlphaToOutputOn ();\n\n Use the alpha component of the input when computing the alpha component\n of the output (useful when converting monochrome+alpha data to RGBA)\n"},
  {(char*)"PassAlphaToOutputOff",                (PyCFunction)PyvtkImageMapToColors_PassAlphaToOutputOff, 1,
   (char*)"V.PassAlphaToOutputOff()\nC++: void PassAlphaToOutputOff ();\n\n Use the alpha component of the input when computing the alpha component\n of the output (useful when converting monochrome+alpha data to RGBA)\n"},
  {(char*)"GetPassAlphaToOutput",                (PyCFunction)PyvtkImageMapToColors_GetPassAlphaToOutput, 1,
   (char*)"V.GetPassAlphaToOutput() -> int\nC++: int GetPassAlphaToOutput ();\n\n Use the alpha component of the input when computing the alpha component\n of the output (useful when converting monochrome+alpha data to RGBA)\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkImageMapToColors_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n We need to check the modified time of the lookup table too.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageMapToColorsDoc[] = {
  (char*)"vtkImageMapToColors - map the input image through a lookup table\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" The vtkImageMapToColors filter will take an input image of any valid\n scalar type, and map the first component of the image through a\n lookup table.  The result is an image of type VTK_UNSIGNED_CHAR.\n If the lookup table is not set, or is set to NULL, then the input\n data will be passed through if it is already of type UNSIGNED_CHAR.\n\n",
  "See Also:\n\n vtkLookupTable vtkScalarsToColors\n\n",
  NULL
};

static vtkObjectBase *vtkImageMapToColorsStaticNew()
{
  return vtkImageMapToColors::New();
}

PyObject *PyVTKClass_vtkImageMapToColorsNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageMapToColorsStaticNew,
                        PyvtkImageMapToColorsMethods,
                        (char*)"vtkImageMapToColors",modulename,
                        (char**)vtkImageMapToColorsDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

