// tcl wrapper for vtkImageMapToColors object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMapToColors.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkImageMapToColorsNewCommand()
{
  vtkImageMapToColors *temp = vtkImageMapToColors::New();
  return ((ClientData)temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageMapToColorsCppCommand(vtkImageMapToColors *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageMapToColorsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageMapToColorsCppCommand((vtkImageMapToColors *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageMapToColorsCppCommand(vtkImageMapToColors *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageMapToColors",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand((vtkThreadedImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkThreadedImageAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageMapToColors  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageMapToColors");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageMapToColors  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageMapToColors");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageMapToColors  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageMapToColors");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkScalarsToColors",interp,error));
    if (!error)
    {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("SetOutputFormat",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputFormat",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputFormat();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputFormatToRGBA",argv[1]))&&(argc == 2))
    {
    op->SetOutputFormatToRGBA();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputFormatToRGB",argv[1]))&&(argc == 2))
    {
    op->SetOutputFormatToRGB();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputFormatToLuminanceAlpha",argv[1]))&&(argc == 2))
    {
    op->SetOutputFormatToLuminanceAlpha();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputFormatToLuminance",argv[1]))&&(argc == 2))
    {
    op->SetOutputFormatToLuminance();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetActiveComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetActiveComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActiveComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetActiveComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPassAlphaToOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPassAlphaToOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PassAlphaToOutputOn",argv[1]))&&(argc == 2))
    {
    op->PassAlphaToOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PassAlphaToOutputOff",argv[1]))&&(argc == 2))
    {
    op->PassAlphaToOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPassAlphaToOutput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPassAlphaToOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkImageMapToColorsCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageMapToColors:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputFormatToRGBA\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputFormatToRGB\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputFormatToLuminanceAlpha\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputFormatToLuminance\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetPassAlphaToOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PassAlphaToOutputOn\n",NULL);
    Tcl_AppendResult(interp,"  PassAlphaToOutputOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPassAlphaToOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (vtkThreadedImageAlgorithmCppCommand((vtkThreadedImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
