// python wrapper for vtkImageMapToRGBA object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageMapToRGBA.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMapToRGBANew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMapToRGBANew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageMapToColorsNew(char *); }

static PyObject *PyvtkImageMapToRGBA_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToRGBA *op;

  const char    *temp20;
  if ((op = (vtkImageMapToRGBA *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapToRGBA::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToRGBA_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToRGBA *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageMapToRGBA *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapToRGBA::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToRGBA_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMapToRGBA *op;

  vtkImageMapToRGBA  *temp20;
  if ((op = (vtkImageMapToRGBA *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMapToRGBA::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMapToRGBA_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageMapToRGBA  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageMapToRGBA::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageMapToRGBAMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageMapToRGBA_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageMapToRGBA_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageMapToRGBA_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMapToRGBA\nC++: vtkImageMapToRGBA *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageMapToRGBA_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageMapToRGBA\nC++: vtkImageMapToRGBA *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageMapToRGBADoc[] = {
  (char*)"vtkImageMapToRGBA - map the input image through a lookup table\n\n",
  "Super Class:\n\n vtkImageMapToColors\n\n",
  (char*)" This filter has been replaced by vtkImageMapToColors, which provided\n additional features.  Use vtkImageMapToColors instead.\n\n",
  "See Also:\n\n vtkLookupTable\n\n",
  NULL
};

static vtkObjectBase *vtkImageMapToRGBAStaticNew()
{
  return vtkImageMapToRGBA::New();
}

PyObject *PyVTKClass_vtkImageMapToRGBANew(char *modulename)
{
  return PyVTKClass_New(&vtkImageMapToRGBAStaticNew,
                        PyvtkImageMapToRGBAMethods,
                        (char*)"vtkImageMapToRGBA",modulename,
                        (char**)vtkImageMapToRGBADoc,
                        PyVTKClass_vtkImageMapToColorsNew(modulename));
}

