// python wrapper for vtkImageMaskBits object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageMaskBits.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMaskBitsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMaskBitsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageMaskBits_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMaskBits *op;

  const char    *temp20;
  if ((op = (vtkImageMaskBits *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMaskBits::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMaskBits_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMaskBits *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageMaskBits *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMaskBits::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMaskBits_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMaskBits *op;

  vtkImageMaskBits  *temp20;
  if ((op = (vtkImageMaskBits *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMaskBits::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMaskBits_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageMaskBits  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageMaskBits::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageMaskBits_SetMasks(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMaskBits *op;

  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  unsigned int      temp3;
  if ((op = (vtkImageMaskBits *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMaskBits::SetMasks(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetMasks(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageMaskBits *op;

  unsigned int      temp0;
  unsigned int      temp1;
  PyErr_Clear();
  if ((op = (vtkImageMaskBits *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMaskBits::SetMasks(temp0,temp1);
      }
    else
      {
      op->SetMasks(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageMaskBits *op;

  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  PyErr_Clear();
  if ((op = (vtkImageMaskBits *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMaskBits::SetMasks(temp0,temp1,temp2);
      }
    else
      {
      op->SetMasks(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMaskBits_SetMask(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMaskBits *op;

  unsigned int      temp0;
  if ((op = (vtkImageMaskBits *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMaskBits::SetMask(temp0);
      }
    else
      {
      op->SetMask(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMaskBits_SetOperation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMaskBits *op;

  int      temp0;
  if ((op = (vtkImageMaskBits *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMaskBits::SetOperation(temp0);
      }
    else
      {
      op->SetOperation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMaskBits_GetOperation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMaskBits *op;

  int      temp20;
  if ((op = (vtkImageMaskBits *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMaskBits::GetOperation();
      }
    else
      {
      temp20 = op->GetOperation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMaskBits_SetOperationToAnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMaskBits *op;

  if ((op = (vtkImageMaskBits *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMaskBits::SetOperationToAnd();
      }
    else
      {
      op->SetOperationToAnd();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMaskBits_SetOperationToOr(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMaskBits *op;

  if ((op = (vtkImageMaskBits *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMaskBits::SetOperationToOr();
      }
    else
      {
      op->SetOperationToOr();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMaskBits_SetOperationToXor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMaskBits *op;

  if ((op = (vtkImageMaskBits *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMaskBits::SetOperationToXor();
      }
    else
      {
      op->SetOperationToXor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMaskBits_SetOperationToNand(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMaskBits *op;

  if ((op = (vtkImageMaskBits *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMaskBits::SetOperationToNand();
      }
    else
      {
      op->SetOperationToNand();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMaskBits_SetOperationToNor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMaskBits *op;

  if ((op = (vtkImageMaskBits *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMaskBits::SetOperationToNor();
      }
    else
      {
      op->SetOperationToNor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageMaskBitsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageMaskBits_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageMaskBits_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageMaskBits_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMaskBits\nC++: vtkImageMaskBits *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageMaskBits_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageMaskBits\nC++: vtkImageMaskBits *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMasks",                (PyCFunction)PyvtkImageMaskBits_SetMasks, 1,
   (char*)"V.SetMasks(int, int, int, int)\nC++: void SetMasks (unsigned int , unsigned int , unsigned int , unsigned int );\nV.SetMasks(int, int)\nC++: void SetMasks (unsigned int mask1, unsigned int mask2);this SetMasks mask1 mask2 xffffffff xffffffff \nV.SetMasks(int, int, int)\nC++: void SetMasks (unsigned int mask1, unsigned int mask2, unsigned int mask3);this SetMasks mask1 mask2 mask3 xffffffff \n\n Set/Get the bit-masks. Default is 0xffffffff.\n"},
  {(char*)"SetMask",                (PyCFunction)PyvtkImageMaskBits_SetMask, 1,
   (char*)"V.SetMask(int)\nC++: void SetMask (unsigned int mask);this SetMasks mask mask mask mask \n\n Set/Get the bit-masks. Default is 0xffffffff.\n"},
  {(char*)"SetOperation",                (PyCFunction)PyvtkImageMaskBits_SetOperation, 1,
   (char*)"V.SetOperation(int)\nC++: void SetOperation (int );\n\n Set/Get the boolean operator. Default is AND.\n"},
  {(char*)"GetOperation",                (PyCFunction)PyvtkImageMaskBits_GetOperation, 1,
   (char*)"V.GetOperation() -> int\nC++: int GetOperation ();\n\n Set/Get the boolean operator. Default is AND.\n"},
  {(char*)"SetOperationToAnd",                (PyCFunction)PyvtkImageMaskBits_SetOperationToAnd, 1,
   (char*)"V.SetOperationToAnd()\nC++: void SetOperationToAnd ();this SetOperation VTK_AND \n\n Set/Get the boolean operator. Default is AND.\n"},
  {(char*)"SetOperationToOr",                (PyCFunction)PyvtkImageMaskBits_SetOperationToOr, 1,
   (char*)"V.SetOperationToOr()\nC++: void SetOperationToOr ();this SetOperation VTK_OR \n\n Set/Get the boolean operator. Default is AND.\n"},
  {(char*)"SetOperationToXor",                (PyCFunction)PyvtkImageMaskBits_SetOperationToXor, 1,
   (char*)"V.SetOperationToXor()\nC++: void SetOperationToXor ();this SetOperation VTK_XOR \n\n Set/Get the boolean operator. Default is AND.\n"},
  {(char*)"SetOperationToNand",                (PyCFunction)PyvtkImageMaskBits_SetOperationToNand, 1,
   (char*)"V.SetOperationToNand()\nC++: void SetOperationToNand ();this SetOperation VTK_NAND \n\n Set/Get the boolean operator. Default is AND.\n"},
  {(char*)"SetOperationToNor",                (PyCFunction)PyvtkImageMaskBits_SetOperationToNor, 1,
   (char*)"V.SetOperationToNor()\nC++: void SetOperationToNor ();this SetOperation VTK_NOR \n\n Set/Get the boolean operator. Default is AND.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageMaskBitsDoc[] = {
  (char*)"vtkImageMaskBits - applies a bit-mask pattern to each component.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageMaskBits applies a bit-mask pattern to each component.  The\n bit-mask can be applied using a variety of boolean bitwise operators.\n\n",
  NULL
};

static vtkObjectBase *vtkImageMaskBitsStaticNew()
{
  return vtkImageMaskBits::New();
}

PyObject *PyVTKClass_vtkImageMaskBitsNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageMaskBitsStaticNew,
                        PyvtkImageMaskBitsMethods,
                        (char*)"vtkImageMaskBits",modulename,
                        (char**)vtkImageMaskBitsDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

