// python wrapper for vtkImageMask object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageMask.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMaskNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMaskNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageMask_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  const char    *temp20;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMask::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMask_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMask::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMask_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  vtkImageMask  *temp20;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMask::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMask_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageMask  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageMask::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageMask_SetMaskedOutputValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  double   temp0;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMask::SetMaskedOutputValue(temp0);
      }
    else
      {
      op->SetMaskedOutputValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageMask *op;

  double   temp0;
  double   temp1;
  PyErr_Clear();
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMask::SetMaskedOutputValue(temp0,temp1);
      }
    else
      {
      op->SetMaskedOutputValue(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageMask *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMask::SetMaskedOutputValue(temp0,temp1,temp2);
      }
    else
      {
      op->SetMaskedOutputValue(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMask_GetMaskedOutputValueLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  int      temp20;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMask::GetMaskedOutputValueLength();
      }
    else
      {
      temp20 = op->GetMaskedOutputValueLength();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMask_SetMaskAlpha(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  double   temp0;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMask::SetMaskAlpha(temp0);
      }
    else
      {
      op->SetMaskAlpha(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMask_GetMaskAlphaMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  double   temp20;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMask::GetMaskAlphaMinValue();
      }
    else
      {
      temp20 = op->GetMaskAlphaMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMask_GetMaskAlphaMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  double   temp20;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMask::GetMaskAlphaMaxValue();
      }
    else
      {
      temp20 = op->GetMaskAlphaMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMask_GetMaskAlpha(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  double   temp20;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMask::GetMaskAlpha();
      }
    else
      {
      temp20 = op->GetMaskAlpha();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMask_SetImageInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMask::SetImageInput(temp0);
      }
    else
      {
      op->SetImageInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkImageMask_SetMaskInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMask::SetMaskInput(temp0);
      }
    else
      {
      op->SetMaskInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkImageMask_SetNotMask(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  int      temp0;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMask::SetNotMask(temp0);
      }
    else
      {
      op->SetNotMask(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMask_GetNotMask(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  int      temp20;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMask::GetNotMask();
      }
    else
      {
      temp20 = op->GetNotMask();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMask_NotMaskOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMask::NotMaskOn();
      }
    else
      {
      op->NotMaskOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMask_NotMaskOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMask::NotMaskOff();
      }
    else
      {
      op->NotMaskOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMask_SetInput1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMask::SetInput1(temp0);
      }
    else
      {
      op->SetInput1(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkImageMask_SetInput2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMask *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageMask *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMask::SetInput2(temp0);
      }
    else
      {
      op->SetInput2(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}

static PyMethodDef PyvtkImageMaskMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageMask_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageMask_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageMask_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMask\nC++: vtkImageMask *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageMask_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageMask\nC++: vtkImageMask *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMaskedOutputValue",                (PyCFunction)PyvtkImageMask_SetMaskedOutputValue, 1,
   (char*)"V.SetMaskedOutputValue(float)\nC++: void SetMaskedOutputValue (double v);this SetMaskedOutputValue v \nV.SetMaskedOutputValue(float, float)\nC++: void SetMaskedOutputValue (double v1, double v2);double v v v1 v v2 this SetMaskedOutputValue v \nV.SetMaskedOutputValue(float, float, float)\nC++: void SetMaskedOutputValue (double v1, double v2, double v3);double v v v1 v v2 v v3 this SetMaskedOutputValue v \n\n SetGet the value of the output pixel replaced by mask.\n"},
  {(char*)"GetMaskedOutputValueLength",                (PyCFunction)PyvtkImageMask_GetMaskedOutputValueLength, 1,
   (char*)"V.GetMaskedOutputValueLength() -> int\nC++: int GetMaskedOutputValueLength ();return this MaskedOutputValueLength \n\n Set/Get the alpha blending value for the mask\n The input image is assumed to be at alpha = 1.0\n and the mask image uses this alpha to blend using\n an over operator.\n"},
  {(char*)"SetMaskAlpha",                (PyCFunction)PyvtkImageMask_SetMaskAlpha, 1,
   (char*)"V.SetMaskAlpha(float)\nC++: void SetMaskAlpha (double );\n\n Set/Get the alpha blending value for the mask\n The input image is assumed to be at alpha = 1.0\n and the mask image uses this alpha to blend using\n an over operator.\n"},
  {(char*)"GetMaskAlphaMinValue",                (PyCFunction)PyvtkImageMask_GetMaskAlphaMinValue, 1,
   (char*)"V.GetMaskAlphaMinValue() -> float\nC++: double GetMaskAlphaMinValue ();\n\n Set/Get the alpha blending value for the mask\n The input image is assumed to be at alpha = 1.0\n and the mask image uses this alpha to blend using\n an over operator.\n"},
  {(char*)"GetMaskAlphaMaxValue",                (PyCFunction)PyvtkImageMask_GetMaskAlphaMaxValue, 1,
   (char*)"V.GetMaskAlphaMaxValue() -> float\nC++: double GetMaskAlphaMaxValue ();\n\n Set/Get the alpha blending value for the mask\n The input image is assumed to be at alpha = 1.0\n and the mask image uses this alpha to blend using\n an over operator.\n"},
  {(char*)"GetMaskAlpha",                (PyCFunction)PyvtkImageMask_GetMaskAlpha, 1,
   (char*)"V.GetMaskAlpha() -> float\nC++: double GetMaskAlpha ();\n\n Set/Get the alpha blending value for the mask\n The input image is assumed to be at alpha = 1.0\n and the mask image uses this alpha to blend using\n an over operator.\n"},
  {(char*)"SetImageInput",                (PyCFunction)PyvtkImageMask_SetImageInput, 1,
   (char*)"V.SetImageInput(vtkImageData)\nC++: void SetImageInput (vtkImageData *in);\n\n Set the input to be masked.\n"},
  {(char*)"SetMaskInput",                (PyCFunction)PyvtkImageMask_SetMaskInput, 1,
   (char*)"V.SetMaskInput(vtkImageData)\nC++: void SetMaskInput (vtkImageData *in);\n\n Set the mask to be used.\n"},
  {(char*)"SetNotMask",                (PyCFunction)PyvtkImageMask_SetNotMask, 1,
   (char*)"V.SetNotMask(int)\nC++: void SetNotMask (int );\n\n When Not Mask is on, the mask is passed through a boolean not\n before it is used to mask the image.  The effect is to pass the\n pixels where the input mask is zero, and replace the pixels\n where the input value is non zero.\n"},
  {(char*)"GetNotMask",                (PyCFunction)PyvtkImageMask_GetNotMask, 1,
   (char*)"V.GetNotMask() -> int\nC++: int GetNotMask ();\n\n When Not Mask is on, the mask is passed through a boolean not\n before it is used to mask the image.  The effect is to pass the\n pixels where the input mask is zero, and replace the pixels\n where the input value is non zero.\n"},
  {(char*)"NotMaskOn",                (PyCFunction)PyvtkImageMask_NotMaskOn, 1,
   (char*)"V.NotMaskOn()\nC++: void NotMaskOn ();\n\n When Not Mask is on, the mask is passed through a boolean not\n before it is used to mask the image.  The effect is to pass the\n pixels where the input mask is zero, and replace the pixels\n where the input value is non zero.\n"},
  {(char*)"NotMaskOff",                (PyCFunction)PyvtkImageMask_NotMaskOff, 1,
   (char*)"V.NotMaskOff()\nC++: void NotMaskOff ();\n\n When Not Mask is on, the mask is passed through a boolean not\n before it is used to mask the image.  The effect is to pass the\n pixels where the input mask is zero, and replace the pixels\n where the input value is non zero.\n"},
  {(char*)"SetInput1",                (PyCFunction)PyvtkImageMask_SetInput1, 1,
   (char*)"V.SetInput1(vtkDataObject)\nC++: virtual void SetInput1 (vtkDataObject *in);this SetInput in \n\n Set the two inputs to this filter\n"},
  {(char*)"SetInput2",                (PyCFunction)PyvtkImageMask_SetInput2, 1,
   (char*)"V.SetInput2(vtkDataObject)\nC++: virtual void SetInput2 (vtkDataObject *in);this SetInput in \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageMaskDoc[] = {
  (char*)"vtkImageMask - Combines a mask and an image.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageMask combines a mask with an image.  Non zero mask\n implies the output pixel will be the same as the image.\n If a mask pixel is zero,  the the output pixel\n is set to \"MaskedValue\".  The filter also has the option to pass\n the mask through a boolean not operation before processing the image.\n This reverses the passed and replaced pixels.\n The two inputs should have the same \"WholeExtent\".",
  (char*)"\n The mask input should be unsigned char, and the image scalar type\n is the same as the output scalar type.\n\n",
  NULL
};

static vtkObjectBase *vtkImageMaskStaticNew()
{
  return vtkImageMask::New();
}

PyObject *PyVTKClass_vtkImageMaskNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageMaskStaticNew,
                        PyvtkImageMaskMethods,
                        (char*)"vtkImageMask",modulename,
                        (char**)vtkImageMaskDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

