// python wrapper for vtkImageMathematics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageMathematics.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMathematicsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMathematicsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageMathematics_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  const char    *temp20;
  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMathematics::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMathematics::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  vtkImageMathematics  *temp20;
  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMathematics::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageMathematics  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageMathematics::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  int      temp0;
  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperation(temp0);
      }
    else
      {
      op->SetOperation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_GetOperation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  int      temp20;
  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMathematics::GetOperation();
      }
    else
      {
      temp20 = op->GetOperation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToAdd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToAdd();
      }
    else
      {
      op->SetOperationToAdd();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToSubtract(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToSubtract();
      }
    else
      {
      op->SetOperationToSubtract();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToMultiply(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToMultiply();
      }
    else
      {
      op->SetOperationToMultiply();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToDivide(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToDivide();
      }
    else
      {
      op->SetOperationToDivide();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToConjugate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToConjugate();
      }
    else
      {
      op->SetOperationToConjugate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToComplexMultiply(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToComplexMultiply();
      }
    else
      {
      op->SetOperationToComplexMultiply();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToInvert(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToInvert();
      }
    else
      {
      op->SetOperationToInvert();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToSin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToSin();
      }
    else
      {
      op->SetOperationToSin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToCos(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToCos();
      }
    else
      {
      op->SetOperationToCos();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToExp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToExp();
      }
    else
      {
      op->SetOperationToExp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToLog(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToLog();
      }
    else
      {
      op->SetOperationToLog();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToAbsoluteValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToAbsoluteValue();
      }
    else
      {
      op->SetOperationToAbsoluteValue();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToSquare(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToSquare();
      }
    else
      {
      op->SetOperationToSquare();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToSquareRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToSquareRoot();
      }
    else
      {
      op->SetOperationToSquareRoot();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToMin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToMin();
      }
    else
      {
      op->SetOperationToMin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToMax(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToMax();
      }
    else
      {
      op->SetOperationToMax();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToATAN(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToATAN();
      }
    else
      {
      op->SetOperationToATAN();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToATAN2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToATAN2();
      }
    else
      {
      op->SetOperationToATAN2();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToMultiplyByK(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToMultiplyByK();
      }
    else
      {
      op->SetOperationToMultiplyByK();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToAddConstant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToAddConstant();
      }
    else
      {
      op->SetOperationToAddConstant();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetOperationToReplaceCByK(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetOperationToReplaceCByK();
      }
    else
      {
      op->SetOperationToReplaceCByK();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetConstantK(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  double   temp0;
  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetConstantK(temp0);
      }
    else
      {
      op->SetConstantK(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_GetConstantK(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  double   temp20;
  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMathematics::GetConstantK();
      }
    else
      {
      temp20 = op->GetConstantK();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetConstantC(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  double   temp0;
  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetConstantC(temp0);
      }
    else
      {
      op->SetConstantC(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_GetConstantC(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  double   temp20;
  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMathematics::GetConstantC();
      }
    else
      {
      temp20 = op->GetConstantC();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetDivideByZeroToC(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  int      temp0;
  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetDivideByZeroToC(temp0);
      }
    else
      {
      op->SetDivideByZeroToC(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_GetDivideByZeroToC(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  int      temp20;
  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMathematics::GetDivideByZeroToC();
      }
    else
      {
      temp20 = op->GetDivideByZeroToC();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_DivideByZeroToCOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::DivideByZeroToCOn();
      }
    else
      {
      op->DivideByZeroToCOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_DivideByZeroToCOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::DivideByZeroToCOff();
      }
    else
      {
      op->DivideByZeroToCOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetInput1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break35;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetInput1(temp0);
      }
    else
      {
      op->SetInput1(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break35:
  return NULL;
}


static PyObject *PyvtkImageMathematics_SetInput2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMathematics *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageMathematics *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMathematics::SetInput2(temp0);
      }
    else
      {
      op->SetInput2(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break36:
  return NULL;
}

static PyMethodDef PyvtkImageMathematicsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageMathematics_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageMathematics_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageMathematics_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMathematics\nC++: vtkImageMathematics *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageMathematics_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageMathematics\nC++: vtkImageMathematics *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOperation",                (PyCFunction)PyvtkImageMathematics_SetOperation, 1,
   (char*)"V.SetOperation(int)\nC++: void SetOperation (int );\n\n Set/Get the Operation to perform.\n"},
  {(char*)"GetOperation",                (PyCFunction)PyvtkImageMathematics_GetOperation, 1,
   (char*)"V.GetOperation() -> int\nC++: int GetOperation ();\n\n Set/Get the Operation to perform.\n"},
  {(char*)"SetOperationToAdd",                (PyCFunction)PyvtkImageMathematics_SetOperationToAdd, 1,
   (char*)"V.SetOperationToAdd()\nC++: void SetOperationToAdd ();this SetOperation VTK_ADD \n\n Set/Get the Operation to perform.\n"},
  {(char*)"SetOperationToSubtract",                (PyCFunction)PyvtkImageMathematics_SetOperationToSubtract, 1,
   (char*)"V.SetOperationToSubtract()\nC++: void SetOperationToSubtract ();this SetOperation VTK_SUBTRACT \n\n Set/Get the Operation to perform.\n"},
  {(char*)"SetOperationToMultiply",                (PyCFunction)PyvtkImageMathematics_SetOperationToMultiply, 1,
   (char*)"V.SetOperationToMultiply()\nC++: void SetOperationToMultiply ();this SetOperation VTK_MULTIPLY \n\n Set/Get the Operation to perform.\n"},
  {(char*)"SetOperationToDivide",                (PyCFunction)PyvtkImageMathematics_SetOperationToDivide, 1,
   (char*)"V.SetOperationToDivide()\nC++: void SetOperationToDivide ();this SetOperation VTK_DIVIDE \n\n Set/Get the Operation to perform.\n"},
  {(char*)"SetOperationToConjugate",                (PyCFunction)PyvtkImageMathematics_SetOperationToConjugate, 1,
   (char*)"V.SetOperationToConjugate()\nC++: void SetOperationToConjugate ();this SetOperation VTK_CONJUGATE \n\n Set/Get the Operation to perform.\n"},
  {(char*)"SetOperationToComplexMultiply",                (PyCFunction)PyvtkImageMathematics_SetOperationToComplexMultiply, 1,
   (char*)"V.SetOperationToComplexMultiply()\nC++: void SetOperationToComplexMultiply ();this SetOperation VTK_COMPLEX_MULTIPLY \n\n Set/Get the Operation to perform.\n"},
  {(char*)"SetOperationToInvert",                (PyCFunction)PyvtkImageMathematics_SetOperationToInvert, 1,
   (char*)"V.SetOperationToInvert()\nC++: void SetOperationToInvert ();this SetOperation VTK_INVERT \n\n"},
  {(char*)"SetOperationToSin",                (PyCFunction)PyvtkImageMathematics_SetOperationToSin, 1,
   (char*)"V.SetOperationToSin()\nC++: void SetOperationToSin ();this SetOperation VTK_SIN \n\n"},
  {(char*)"SetOperationToCos",                (PyCFunction)PyvtkImageMathematics_SetOperationToCos, 1,
   (char*)"V.SetOperationToCos()\nC++: void SetOperationToCos ();this SetOperation VTK_COS \n\n"},
  {(char*)"SetOperationToExp",                (PyCFunction)PyvtkImageMathematics_SetOperationToExp, 1,
   (char*)"V.SetOperationToExp()\nC++: void SetOperationToExp ();this SetOperation VTK_EXP \n\n"},
  {(char*)"SetOperationToLog",                (PyCFunction)PyvtkImageMathematics_SetOperationToLog, 1,
   (char*)"V.SetOperationToLog()\nC++: void SetOperationToLog ();this SetOperation VTK_LOG \n\n"},
  {(char*)"SetOperationToAbsoluteValue",                (PyCFunction)PyvtkImageMathematics_SetOperationToAbsoluteValue, 1,
   (char*)"V.SetOperationToAbsoluteValue()\nC++: void SetOperationToAbsoluteValue ();this SetOperation VTK_ABS \n\n"},
  {(char*)"SetOperationToSquare",                (PyCFunction)PyvtkImageMathematics_SetOperationToSquare, 1,
   (char*)"V.SetOperationToSquare()\nC++: void SetOperationToSquare ();this SetOperation VTK_SQR \n\n"},
  {(char*)"SetOperationToSquareRoot",                (PyCFunction)PyvtkImageMathematics_SetOperationToSquareRoot, 1,
   (char*)"V.SetOperationToSquareRoot()\nC++: void SetOperationToSquareRoot ();this SetOperation VTK_SQRT \n\n"},
  {(char*)"SetOperationToMin",                (PyCFunction)PyvtkImageMathematics_SetOperationToMin, 1,
   (char*)"V.SetOperationToMin()\nC++: void SetOperationToMin ();this SetOperation VTK_MIN \n\n"},
  {(char*)"SetOperationToMax",                (PyCFunction)PyvtkImageMathematics_SetOperationToMax, 1,
   (char*)"V.SetOperationToMax()\nC++: void SetOperationToMax ();this SetOperation VTK_MAX \n\n"},
  {(char*)"SetOperationToATAN",                (PyCFunction)PyvtkImageMathematics_SetOperationToATAN, 1,
   (char*)"V.SetOperationToATAN()\nC++: void SetOperationToATAN ();this SetOperation VTK_ATAN \n\n"},
  {(char*)"SetOperationToATAN2",                (PyCFunction)PyvtkImageMathematics_SetOperationToATAN2, 1,
   (char*)"V.SetOperationToATAN2()\nC++: void SetOperationToATAN2 ();this SetOperation VTK_ATAN2 \n\n"},
  {(char*)"SetOperationToMultiplyByK",                (PyCFunction)PyvtkImageMathematics_SetOperationToMultiplyByK, 1,
   (char*)"V.SetOperationToMultiplyByK()\nC++: void SetOperationToMultiplyByK ();this SetOperation VTK_MULTIPLYBYK \n\n"},
  {(char*)"SetOperationToAddConstant",                (PyCFunction)PyvtkImageMathematics_SetOperationToAddConstant, 1,
   (char*)"V.SetOperationToAddConstant()\nC++: void SetOperationToAddConstant ();this SetOperation VTK_ADDC \n\n"},
  {(char*)"SetOperationToReplaceCByK",                (PyCFunction)PyvtkImageMathematics_SetOperationToReplaceCByK, 1,
   (char*)"V.SetOperationToReplaceCByK()\nC++: void SetOperationToReplaceCByK ();this SetOperation VTK_REPLACECBYK \n\n"},
  {(char*)"SetConstantK",                (PyCFunction)PyvtkImageMathematics_SetConstantK, 1,
   (char*)"V.SetConstantK(float)\nC++: void SetConstantK (double );\n\n"},
  {(char*)"GetConstantK",                (PyCFunction)PyvtkImageMathematics_GetConstantK, 1,
   (char*)"V.GetConstantK() -> float\nC++: double GetConstantK ();\n\n"},
  {(char*)"SetConstantC",                (PyCFunction)PyvtkImageMathematics_SetConstantC, 1,
   (char*)"V.SetConstantC(float)\nC++: void SetConstantC (double );\n\n"},
  {(char*)"GetConstantC",                (PyCFunction)PyvtkImageMathematics_GetConstantC, 1,
   (char*)"V.GetConstantC() -> float\nC++: double GetConstantC ();\n\n"},
  {(char*)"SetDivideByZeroToC",                (PyCFunction)PyvtkImageMathematics_SetDivideByZeroToC, 1,
   (char*)"V.SetDivideByZeroToC(int)\nC++: void SetDivideByZeroToC (int );\n\n"},
  {(char*)"GetDivideByZeroToC",                (PyCFunction)PyvtkImageMathematics_GetDivideByZeroToC, 1,
   (char*)"V.GetDivideByZeroToC() -> int\nC++: int GetDivideByZeroToC ();\n\n"},
  {(char*)"DivideByZeroToCOn",                (PyCFunction)PyvtkImageMathematics_DivideByZeroToCOn, 1,
   (char*)"V.DivideByZeroToCOn()\nC++: void DivideByZeroToCOn ();\n\n"},
  {(char*)"DivideByZeroToCOff",                (PyCFunction)PyvtkImageMathematics_DivideByZeroToCOff, 1,
   (char*)"V.DivideByZeroToCOff()\nC++: void DivideByZeroToCOff ();\n\n"},
  {(char*)"SetInput1",                (PyCFunction)PyvtkImageMathematics_SetInput1, 1,
   (char*)"V.SetInput1(vtkDataObject)\nC++: virtual void SetInput1 (vtkDataObject *in);this SetInput in \n\n Set the two inputs to this filter\n"},
  {(char*)"SetInput2",                (PyCFunction)PyvtkImageMathematics_SetInput2, 1,
   (char*)"V.SetInput2(vtkDataObject)\nC++: virtual void SetInput2 (vtkDataObject *in);this SetInput in \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageMathematicsDoc[] = {
  (char*)"vtkImageMathematics - Add, subtract, multiply, divide, invert, sin, cos, exp, log.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageMathematics implements basic mathematic operations SetOperation is\n used to select the filters behavior.  The filter can take two or one\n input.\n\n",
  NULL
};

static vtkObjectBase *vtkImageMathematicsStaticNew()
{
  return vtkImageMathematics::New();
}

PyObject *PyVTKClass_vtkImageMathematicsNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageMathematicsStaticNew,
                        PyvtkImageMathematicsMethods,
                        (char*)"vtkImageMathematics",modulename,
                        (char**)vtkImageMathematicsDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

