// tcl wrapper for vtkImageMathematics object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageMathematics.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkImageMathematicsNewCommand()
{
  vtkImageMathematics *temp = vtkImageMathematics::New();
  return ((ClientData)temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageMathematicsCppCommand(vtkImageMathematics *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageMathematicsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageMathematicsCppCommand((vtkImageMathematics *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageMathematicsCppCommand(vtkImageMathematics *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageMathematics",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand((vtkThreadedImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkThreadedImageAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageMathematics  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageMathematics");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageMathematics  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageMathematics");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageMathematics  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageMathematics");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOperation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOperation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOperation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOperation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToAdd",argv[1]))&&(argc == 2))
    {
    op->SetOperationToAdd();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToSubtract",argv[1]))&&(argc == 2))
    {
    op->SetOperationToSubtract();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToMultiply",argv[1]))&&(argc == 2))
    {
    op->SetOperationToMultiply();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToDivide",argv[1]))&&(argc == 2))
    {
    op->SetOperationToDivide();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToConjugate",argv[1]))&&(argc == 2))
    {
    op->SetOperationToConjugate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToComplexMultiply",argv[1]))&&(argc == 2))
    {
    op->SetOperationToComplexMultiply();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToInvert",argv[1]))&&(argc == 2))
    {
    op->SetOperationToInvert();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToSin",argv[1]))&&(argc == 2))
    {
    op->SetOperationToSin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToCos",argv[1]))&&(argc == 2))
    {
    op->SetOperationToCos();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToExp",argv[1]))&&(argc == 2))
    {
    op->SetOperationToExp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToLog",argv[1]))&&(argc == 2))
    {
    op->SetOperationToLog();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToAbsoluteValue",argv[1]))&&(argc == 2))
    {
    op->SetOperationToAbsoluteValue();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToSquare",argv[1]))&&(argc == 2))
    {
    op->SetOperationToSquare();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToSquareRoot",argv[1]))&&(argc == 2))
    {
    op->SetOperationToSquareRoot();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToMin",argv[1]))&&(argc == 2))
    {
    op->SetOperationToMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToMax",argv[1]))&&(argc == 2))
    {
    op->SetOperationToMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToATAN",argv[1]))&&(argc == 2))
    {
    op->SetOperationToATAN();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToATAN2",argv[1]))&&(argc == 2))
    {
    op->SetOperationToATAN2();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToMultiplyByK",argv[1]))&&(argc == 2))
    {
    op->SetOperationToMultiplyByK();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToAddConstant",argv[1]))&&(argc == 2))
    {
    op->SetOperationToAddConstant();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOperationToReplaceCByK",argv[1]))&&(argc == 2))
    {
    op->SetOperationToReplaceCByK();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetConstantK",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetConstantK(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConstantK",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetConstantK();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetConstantC",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetConstantC(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetConstantC",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetConstantC();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDivideByZeroToC",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDivideByZeroToC(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDivideByZeroToC",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDivideByZeroToC();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DivideByZeroToCOn",argv[1]))&&(argc == 2))
    {
    op->DivideByZeroToCOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DivideByZeroToCOff",argv[1]))&&(argc == 2))
    {
    op->DivideByZeroToCOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInput1",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->SetInput1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput2",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->SetInput2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkImageMathematicsCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageMathematics:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOperation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOperation\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToAdd\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToSubtract\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToMultiply\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToDivide\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToConjugate\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToComplexMultiply\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToInvert\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToSin\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToCos\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToExp\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToLog\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToAbsoluteValue\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToSquare\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToSquareRoot\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToMin\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToMax\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToATAN\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToATAN2\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToMultiplyByK\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToAddConstant\n",NULL);
    Tcl_AppendResult(interp,"  SetOperationToReplaceCByK\n",NULL);
    Tcl_AppendResult(interp,"  SetConstantK\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConstantK\n",NULL);
    Tcl_AppendResult(interp,"  SetConstantC\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetConstantC\n",NULL);
    Tcl_AppendResult(interp,"  SetDivideByZeroToC\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDivideByZeroToC\n",NULL);
    Tcl_AppendResult(interp,"  DivideByZeroToCOn\n",NULL);
    Tcl_AppendResult(interp,"  DivideByZeroToCOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInput1\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput2\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkThreadedImageAlgorithmCppCommand((vtkThreadedImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
