// python wrapper for vtkImageMedian3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageMedian3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMedian3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMedian3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageSpatialAlgorithmNew(char *); }

static PyObject *PyvtkImageMedian3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMedian3D *op;

  const char    *temp20;
  if ((op = (vtkImageMedian3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMedian3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMedian3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMedian3D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageMedian3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMedian3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMedian3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMedian3D *op;

  vtkImageMedian3D  *temp20;
  if ((op = (vtkImageMedian3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMedian3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMedian3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageMedian3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageMedian3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageMedian3D_SetKernelSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMedian3D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkImageMedian3D *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageMedian3D::SetKernelSize(temp0,temp1,temp2);
      }
    else
      {
      op->SetKernelSize(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageMedian3D_GetNumberOfElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageMedian3D *op;

  int      temp20;
  if ((op = (vtkImageMedian3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageMedian3D::GetNumberOfElements();
      }
    else
      {
      temp20 = op->GetNumberOfElements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageMedian3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageMedian3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageMedian3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageMedian3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMedian3D\nC++: vtkImageMedian3D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageMedian3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageMedian3D\nC++: vtkImageMedian3D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetKernelSize",                (PyCFunction)PyvtkImageMedian3D_SetKernelSize, 1,
   (char*)"V.SetKernelSize(int, int, int)\nC++: void SetKernelSize (int size0, int size1, int size2);\n\n This method sets the size of the neighborhood.  It also sets the \n default middle of the neighborhood \n"},
  {(char*)"GetNumberOfElements",                (PyCFunction)PyvtkImageMedian3D_GetNumberOfElements, 1,
   (char*)"V.GetNumberOfElements() -> int\nC++: int GetNumberOfElements ();\n\n Return the number of elements in the median mask\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageMedian3DDoc[] = {
  (char*)"vtkImageMedian3D - Median Filter\n\n",
  "Super Class:\n\n vtkImageSpatialAlgorithm\n\n",
  (char*)" vtkImageMedian3D a Median filter that replaces each pixel with the \n median value from a rectangular neighborhood around that pixel.\n Neighborhoods can be no more than 3 dimensional.  Setting one\n axis of the neighborhood kernelSize to 1 changes the filter\n into a 2D median.  \n\n",
  NULL
};

static vtkObjectBase *vtkImageMedian3DStaticNew()
{
  return vtkImageMedian3D::New();
}

PyObject *PyVTKClass_vtkImageMedian3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageMedian3DStaticNew,
                        PyvtkImageMedian3DMethods,
                        (char*)"vtkImageMedian3D",modulename,
                        (char**)vtkImageMedian3DDoc,
                        PyVTKClass_vtkImageSpatialAlgorithmNew(modulename));
}

