// python wrapper for vtkImageNonMaximumSuppression object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageNonMaximumSuppression.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageNonMaximumSuppressionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageNonMaximumSuppressionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageNonMaximumSuppression_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNonMaximumSuppression *op;

  const char    *temp20;
  if ((op = (vtkImageNonMaximumSuppression *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNonMaximumSuppression::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNonMaximumSuppression_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNonMaximumSuppression *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageNonMaximumSuppression *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNonMaximumSuppression::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNonMaximumSuppression_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNonMaximumSuppression *op;

  vtkImageNonMaximumSuppression  *temp20;
  if ((op = (vtkImageNonMaximumSuppression *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNonMaximumSuppression::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNonMaximumSuppression_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageNonMaximumSuppression  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageNonMaximumSuppression::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageNonMaximumSuppression_SetMagnitudeInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNonMaximumSuppression *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageNonMaximumSuppression *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageNonMaximumSuppression::SetMagnitudeInput(temp0);
      }
    else
      {
      op->SetMagnitudeInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageNonMaximumSuppression_SetVectorInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNonMaximumSuppression *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageNonMaximumSuppression *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageNonMaximumSuppression::SetVectorInput(temp0);
      }
    else
      {
      op->SetVectorInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkImageNonMaximumSuppression_SetHandleBoundaries(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNonMaximumSuppression *op;

  int      temp0;
  if ((op = (vtkImageNonMaximumSuppression *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageNonMaximumSuppression::SetHandleBoundaries(temp0);
      }
    else
      {
      op->SetHandleBoundaries(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNonMaximumSuppression_GetHandleBoundaries(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNonMaximumSuppression *op;

  int      temp20;
  if ((op = (vtkImageNonMaximumSuppression *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNonMaximumSuppression::GetHandleBoundaries();
      }
    else
      {
      temp20 = op->GetHandleBoundaries();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNonMaximumSuppression_HandleBoundariesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNonMaximumSuppression *op;

  if ((op = (vtkImageNonMaximumSuppression *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageNonMaximumSuppression::HandleBoundariesOn();
      }
    else
      {
      op->HandleBoundariesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNonMaximumSuppression_HandleBoundariesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNonMaximumSuppression *op;

  if ((op = (vtkImageNonMaximumSuppression *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageNonMaximumSuppression::HandleBoundariesOff();
      }
    else
      {
      op->HandleBoundariesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNonMaximumSuppression_SetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNonMaximumSuppression *op;

  int      temp0;
  if ((op = (vtkImageNonMaximumSuppression *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageNonMaximumSuppression::SetDimensionality(temp0);
      }
    else
      {
      op->SetDimensionality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNonMaximumSuppression_GetDimensionalityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNonMaximumSuppression *op;

  int      temp20;
  if ((op = (vtkImageNonMaximumSuppression *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNonMaximumSuppression::GetDimensionalityMinValue();
      }
    else
      {
      temp20 = op->GetDimensionalityMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNonMaximumSuppression_GetDimensionalityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNonMaximumSuppression *op;

  int      temp20;
  if ((op = (vtkImageNonMaximumSuppression *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNonMaximumSuppression::GetDimensionalityMaxValue();
      }
    else
      {
      temp20 = op->GetDimensionalityMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNonMaximumSuppression_GetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNonMaximumSuppression *op;

  int      temp20;
  if ((op = (vtkImageNonMaximumSuppression *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNonMaximumSuppression::GetDimensionality();
      }
    else
      {
      temp20 = op->GetDimensionality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageNonMaximumSuppressionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageNonMaximumSuppression_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageNonMaximumSuppression_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageNonMaximumSuppression_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageNonMaximumSuppression\nC++: vtkImageNonMaximumSuppression *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageNonMaximumSuppression_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageNonMaximumSuppression\nC++: vtkImageNonMaximumSuppression *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMagnitudeInput",                (PyCFunction)PyvtkImageNonMaximumSuppression_SetMagnitudeInput, 1,
   (char*)"V.SetMagnitudeInput(vtkImageData)\nC++: void SetMagnitudeInput (vtkImageData *input);this SetInput input \n\n Set the magnitude and vector inputs.\n"},
  {(char*)"SetVectorInput",                (PyCFunction)PyvtkImageNonMaximumSuppression_SetVectorInput, 1,
   (char*)"V.SetVectorInput(vtkImageData)\nC++: void SetVectorInput (vtkImageData *input);this SetInput input \n\n Set the magnitude and vector inputs.\n"},
  {(char*)"SetHandleBoundaries",                (PyCFunction)PyvtkImageNonMaximumSuppression_SetHandleBoundaries, 1,
   (char*)"V.SetHandleBoundaries(int)\nC++: void SetHandleBoundaries (int );\n\n If \"HandleBoundariesOn\" then boundary pixels are duplicated\n So central differences can get values.\n"},
  {(char*)"GetHandleBoundaries",                (PyCFunction)PyvtkImageNonMaximumSuppression_GetHandleBoundaries, 1,
   (char*)"V.GetHandleBoundaries() -> int\nC++: int GetHandleBoundaries ();\n\n If \"HandleBoundariesOn\" then boundary pixels are duplicated\n So central differences can get values.\n"},
  {(char*)"HandleBoundariesOn",                (PyCFunction)PyvtkImageNonMaximumSuppression_HandleBoundariesOn, 1,
   (char*)"V.HandleBoundariesOn()\nC++: void HandleBoundariesOn ();\n\n If \"HandleBoundariesOn\" then boundary pixels are duplicated\n So central differences can get values.\n"},
  {(char*)"HandleBoundariesOff",                (PyCFunction)PyvtkImageNonMaximumSuppression_HandleBoundariesOff, 1,
   (char*)"V.HandleBoundariesOff()\nC++: void HandleBoundariesOff ();\n\n If \"HandleBoundariesOn\" then boundary pixels are duplicated\n So central differences can get values.\n"},
  {(char*)"SetDimensionality",                (PyCFunction)PyvtkImageNonMaximumSuppression_SetDimensionality, 1,
   (char*)"V.SetDimensionality(int)\nC++: void SetDimensionality (int );\n\n Determines how the input is interpreted (set of 2d slices or a 3D volume)\n"},
  {(char*)"GetDimensionalityMinValue",                (PyCFunction)PyvtkImageNonMaximumSuppression_GetDimensionalityMinValue, 1,
   (char*)"V.GetDimensionalityMinValue() -> int\nC++: int GetDimensionalityMinValue ();\n\n Determines how the input is interpreted (set of 2d slices or a 3D volume)\n"},
  {(char*)"GetDimensionalityMaxValue",                (PyCFunction)PyvtkImageNonMaximumSuppression_GetDimensionalityMaxValue, 1,
   (char*)"V.GetDimensionalityMaxValue() -> int\nC++: int GetDimensionalityMaxValue ();\n\n Determines how the input is interpreted (set of 2d slices or a 3D volume)\n"},
  {(char*)"GetDimensionality",                (PyCFunction)PyvtkImageNonMaximumSuppression_GetDimensionality, 1,
   (char*)"V.GetDimensionality() -> int\nC++: int GetDimensionality ();\n\n Determines how the input is interpreted (set of 2d slices or a 3D volume)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageNonMaximumSuppressionDoc[] = {
  (char*)"vtkImageNonMaximumSuppression - Performs non-maximum suppression\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageNonMaximumSuppression Sets to zero any pixel that is not a peak.\n If a pixel has a neighbor along the vector that has larger magnitude, the\n smaller pixel is set to zero.  The filter takes two inputs: a magnitude\n and a vector.  Output is magnitude information and is always in doubles.\n Typically this filter is used with vtkImageGradient and\n vtkImageGradientMagnitude as inputs.\n\n",
  NULL
};

static vtkObjectBase *vtkImageNonMaximumSuppressionStaticNew()
{
  return vtkImageNonMaximumSuppression::New();
}

PyObject *PyVTKClass_vtkImageNonMaximumSuppressionNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageNonMaximumSuppressionStaticNew,
                        PyvtkImageNonMaximumSuppressionMethods,
                        (char*)"vtkImageNonMaximumSuppression",modulename,
                        (char**)vtkImageNonMaximumSuppressionDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

