// python wrapper for vtkImageNormalize object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageNormalize.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageNormalizeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageNormalizeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageNormalize_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNormalize *op;

  const char    *temp20;
  if ((op = (vtkImageNormalize *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNormalize::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNormalize_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNormalize *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageNormalize *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNormalize::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNormalize_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageNormalize *op;

  vtkImageNormalize  *temp20;
  if ((op = (vtkImageNormalize *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageNormalize::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageNormalize_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageNormalize  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageNormalize::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageNormalizeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageNormalize_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageNormalize_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageNormalize_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageNormalize\nC++: vtkImageNormalize *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageNormalize_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageNormalize\nC++: vtkImageNormalize *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageNormalizeDoc[] = {
  (char*)"vtkImageNormalize - Normalizes that scalar components for each point.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" For each point, vtkImageNormalize normalizes the vector defined by the \n scalar components.  If the magnitude of this vector is zero, the output\n vector is zero also.\n\n",
  NULL
};

static vtkObjectBase *vtkImageNormalizeStaticNew()
{
  return vtkImageNormalize::New();
}

PyObject *PyVTKClass_vtkImageNormalizeNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageNormalizeStaticNew,
                        PyvtkImageNormalizeMethods,
                        (char*)"vtkImageNormalize",modulename,
                        (char**)vtkImageNormalizeDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

