// python wrapper for vtkImageRGBToHSI object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageRGBToHSI.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageRGBToHSINew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageRGBToHSINew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageRGBToHSI_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageRGBToHSI *op;

  const char    *temp20;
  if ((op = (vtkImageRGBToHSI *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageRGBToHSI::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageRGBToHSI_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageRGBToHSI *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageRGBToHSI *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageRGBToHSI::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageRGBToHSI_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageRGBToHSI *op;

  vtkImageRGBToHSI  *temp20;
  if ((op = (vtkImageRGBToHSI *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageRGBToHSI::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageRGBToHSI_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageRGBToHSI  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageRGBToHSI::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageRGBToHSI_SetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageRGBToHSI *op;

  double   temp0;
  if ((op = (vtkImageRGBToHSI *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageRGBToHSI::SetMaximum(temp0);
      }
    else
      {
      op->SetMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageRGBToHSI_GetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageRGBToHSI *op;

  double   temp20;
  if ((op = (vtkImageRGBToHSI *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageRGBToHSI::GetMaximum();
      }
    else
      {
      temp20 = op->GetMaximum();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageRGBToHSIMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageRGBToHSI_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageRGBToHSI_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageRGBToHSI_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageRGBToHSI\nC++: vtkImageRGBToHSI *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageRGBToHSI_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageRGBToHSI\nC++: vtkImageRGBToHSI *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMaximum",                (PyCFunction)PyvtkImageRGBToHSI_SetMaximum, 1,
   (char*)"V.SetMaximum(float)\nC++: void SetMaximum (double );\n\n Hue is an angle. Maximum specifies when it maps back to 0.  HueMaximum\n defaults to 255 instead of 2PI, because unsigned char is expected as\n input.  Maximum also specifies the maximum of the Saturation.\n"},
  {(char*)"GetMaximum",                (PyCFunction)PyvtkImageRGBToHSI_GetMaximum, 1,
   (char*)"V.GetMaximum() -> float\nC++: double GetMaximum ();\n\n Hue is an angle. Maximum specifies when it maps back to 0.  HueMaximum\n defaults to 255 instead of 2PI, because unsigned char is expected as\n input.  Maximum also specifies the maximum of the Saturation.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageRGBToHSIDoc[] = {
  (char*)"vtkImageRGBToHSI - Converts RGB components to HSI.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" For each pixel with red, blue, and green components this\n filter output the color coded as hue, saturation and intensity.\n Output type must be the same as input type.\n\n",
  NULL
};

static vtkObjectBase *vtkImageRGBToHSIStaticNew()
{
  return vtkImageRGBToHSI::New();
}

PyObject *PyVTKClass_vtkImageRGBToHSINew(char *modulename)
{
  return PyVTKClass_New(&vtkImageRGBToHSIStaticNew,
                        PyvtkImageRGBToHSIMethods,
                        (char*)"vtkImageRGBToHSI",modulename,
                        (char**)vtkImageRGBToHSIDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

