// python wrapper for vtkImageSeedConnectivity object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageSeedConnectivity.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageSeedConnectivityNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageSeedConnectivityNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkImageSeedConnectivity_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  const char    *temp20;
  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeedConnectivity::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeedConnectivity_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeedConnectivity::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeedConnectivity_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  vtkImageSeedConnectivity  *temp20;
  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeedConnectivity::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeedConnectivity_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageSeedConnectivity  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageSeedConnectivity::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageSeedConnectivity_RemoveAllSeeds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSeedConnectivity::RemoveAllSeeds();
      }
    else
      {
      op->RemoveAllSeeds();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeedConnectivity_AddSeed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSeedConnectivity::AddSeed(temp0,temp1,temp2);
      }
    else
      {
      op->AddSeed(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  int      temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSeedConnectivity::AddSeed(temp0,temp1);
      }
    else
      {
      op->AddSeed(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeedConnectivity_SetInputConnectValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  int      temp0;
  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSeedConnectivity::SetInputConnectValue(temp0);
      }
    else
      {
      op->SetInputConnectValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeedConnectivity_GetInputConnectValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  int      temp20;
  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeedConnectivity::GetInputConnectValue();
      }
    else
      {
      temp20 = op->GetInputConnectValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeedConnectivity_SetOutputConnectedValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  int      temp0;
  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSeedConnectivity::SetOutputConnectedValue(temp0);
      }
    else
      {
      op->SetOutputConnectedValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeedConnectivity_GetOutputConnectedValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  int      temp20;
  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeedConnectivity::GetOutputConnectedValue();
      }
    else
      {
      temp20 = op->GetOutputConnectedValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeedConnectivity_SetOutputUnconnectedValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  int      temp0;
  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSeedConnectivity::SetOutputUnconnectedValue(temp0);
      }
    else
      {
      op->SetOutputUnconnectedValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeedConnectivity_GetOutputUnconnectedValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  int      temp20;
  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeedConnectivity::GetOutputUnconnectedValue();
      }
    else
      {
      temp20 = op->GetOutputUnconnectedValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeedConnectivity_GetConnector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  vtkImageConnector  *temp20;
  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeedConnectivity::GetConnector();
      }
    else
      {
      temp20 = op->GetConnector();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeedConnectivity_SetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  int      temp0;
  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSeedConnectivity::SetDimensionality(temp0);
      }
    else
      {
      op->SetDimensionality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeedConnectivity_GetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeedConnectivity *op;

  int      temp20;
  if ((op = (vtkImageSeedConnectivity *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeedConnectivity::GetDimensionality();
      }
    else
      {
      temp20 = op->GetDimensionality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageSeedConnectivityMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageSeedConnectivity_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageSeedConnectivity_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageSeedConnectivity_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageSeedConnectivity\nC++: vtkImageSeedConnectivity *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageSeedConnectivity_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageSeedConnectivity\nC++: vtkImageSeedConnectivity *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RemoveAllSeeds",                (PyCFunction)PyvtkImageSeedConnectivity_RemoveAllSeeds, 1,
   (char*)"V.RemoveAllSeeds()\nC++: void RemoveAllSeeds ();\n\n Methods for manipulating the seed pixels.\n"},
  {(char*)"AddSeed",                (PyCFunction)PyvtkImageSeedConnectivity_AddSeed, 1,
   (char*)"V.AddSeed(int, int, int)\nC++: void AddSeed (int i0, int i1, int i2);\nV.AddSeed(int, int)\nC++: void AddSeed (int i0, int i1);\n\n Methods for manipulating the seed pixels.\n"},
  {(char*)"SetInputConnectValue",                (PyCFunction)PyvtkImageSeedConnectivity_SetInputConnectValue, 1,
   (char*)"V.SetInputConnectValue(int)\nC++: void SetInputConnectValue (int );\n\n Set/Get what value is considered as connecting pixels.\n"},
  {(char*)"GetInputConnectValue",                (PyCFunction)PyvtkImageSeedConnectivity_GetInputConnectValue, 1,
   (char*)"V.GetInputConnectValue() -> int\nC++: int GetInputConnectValue ();\n\n Set/Get what value is considered as connecting pixels.\n"},
  {(char*)"SetOutputConnectedValue",                (PyCFunction)PyvtkImageSeedConnectivity_SetOutputConnectedValue, 1,
   (char*)"V.SetOutputConnectedValue(int)\nC++: void SetOutputConnectedValue (int );\n\n Set/Get the value to set connected pixels to.\n"},
  {(char*)"GetOutputConnectedValue",                (PyCFunction)PyvtkImageSeedConnectivity_GetOutputConnectedValue, 1,
   (char*)"V.GetOutputConnectedValue() -> int\nC++: int GetOutputConnectedValue ();\n\n Set/Get the value to set connected pixels to.\n"},
  {(char*)"SetOutputUnconnectedValue",                (PyCFunction)PyvtkImageSeedConnectivity_SetOutputUnconnectedValue, 1,
   (char*)"V.SetOutputUnconnectedValue(int)\nC++: void SetOutputUnconnectedValue (int );\n\n Set/Get the value to set unconnected pixels to.\n"},
  {(char*)"GetOutputUnconnectedValue",                (PyCFunction)PyvtkImageSeedConnectivity_GetOutputUnconnectedValue, 1,
   (char*)"V.GetOutputUnconnectedValue() -> int\nC++: int GetOutputUnconnectedValue ();\n\n Set/Get the value to set unconnected pixels to.\n"},
  {(char*)"GetConnector",                (PyCFunction)PyvtkImageSeedConnectivity_GetConnector, 1,
   (char*)"V.GetConnector() -> vtkImageConnector\nC++: vtkImageConnector *GetConnector ();\n\n Get the vtkImageCOnnector used by this filter.\n"},
  {(char*)"SetDimensionality",                (PyCFunction)PyvtkImageSeedConnectivity_SetDimensionality, 1,
   (char*)"V.SetDimensionality(int)\nC++: void SetDimensionality (int );\n\n Set the number of axes to use in connectivity.\n"},
  {(char*)"GetDimensionality",                (PyCFunction)PyvtkImageSeedConnectivity_GetDimensionality, 1,
   (char*)"V.GetDimensionality() -> int\nC++: int GetDimensionality ();\n\n Set the number of axes to use in connectivity.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageSeedConnectivityDoc[] = {
  (char*)"vtkImageSeedConnectivity - SeedConnectivity with user defined seeds.\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkImageSeedConnectivity marks pixels connected to user supplied seeds.\n The input must be unsigned char, and the output is also unsigned char.  If\n a seed supplied by the user does not have pixel value \"InputTrueValue\",\n then the image is scanned +x, +y, +z until a pixel is encountered with\n value \"InputTrueValue\".  This new pixel is used as the seed .  Any pixel\n with out value \"InputTrueValue\"",
  (char*)" is consider off.  The output pixels values\n are 0 for any off pixel in input, \"OutputTrueValue\" for any pixels\n connected to seeds, and \"OutputUnconnectedValue\" for any on pixels not\n connected to seeds.  The same seeds are used for all images in the image\n set.\n\n",
  NULL
};

static vtkObjectBase *vtkImageSeedConnectivityStaticNew()
{
  return vtkImageSeedConnectivity::New();
}

PyObject *PyVTKClass_vtkImageSeedConnectivityNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageSeedConnectivityStaticNew,
                        PyvtkImageSeedConnectivityMethods,
                        (char*)"vtkImageSeedConnectivity",modulename,
                        (char**)vtkImageSeedConnectivityDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

