// python wrapper for vtkImageSeparableConvolution object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageSeparableConvolution.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageSeparableConvolutionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageSeparableConvolutionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageDecomposeFilterNew(char *); }

static PyObject *PyvtkImageSeparableConvolution_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeparableConvolution *op;

  const char    *temp20;
  if ((op = (vtkImageSeparableConvolution *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeparableConvolution::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeparableConvolution_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeparableConvolution *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageSeparableConvolution *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeparableConvolution::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeparableConvolution_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeparableConvolution *op;

  vtkImageSeparableConvolution  *temp20;
  if ((op = (vtkImageSeparableConvolution *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeparableConvolution::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeparableConvolution_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageSeparableConvolution  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageSeparableConvolution::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageSeparableConvolution_SetXKernel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeparableConvolution *op;

  vtkFloatArray  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageSeparableConvolution *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFloatArray");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSeparableConvolution::SetXKernel(temp0);
      }
    else
      {
      op->SetXKernel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageSeparableConvolution_GetXKernel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeparableConvolution *op;

  vtkFloatArray  *temp20;
  if ((op = (vtkImageSeparableConvolution *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeparableConvolution::GetXKernel();
      }
    else
      {
      temp20 = op->GetXKernel();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeparableConvolution_SetYKernel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeparableConvolution *op;

  vtkFloatArray  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageSeparableConvolution *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFloatArray");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSeparableConvolution::SetYKernel(temp0);
      }
    else
      {
      op->SetYKernel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkImageSeparableConvolution_GetYKernel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeparableConvolution *op;

  vtkFloatArray  *temp20;
  if ((op = (vtkImageSeparableConvolution *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeparableConvolution::GetYKernel();
      }
    else
      {
      temp20 = op->GetYKernel();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeparableConvolution_SetZKernel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeparableConvolution *op;

  vtkFloatArray  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageSeparableConvolution *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFloatArray");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageSeparableConvolution::SetZKernel(temp0);
      }
    else
      {
      op->SetZKernel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkImageSeparableConvolution_GetZKernel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeparableConvolution *op;

  vtkFloatArray  *temp20;
  if ((op = (vtkImageSeparableConvolution *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeparableConvolution::GetZKernel();
      }
    else
      {
      temp20 = op->GetZKernel();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSeparableConvolution_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSeparableConvolution *op;

  unsigned long     temp20;
  if ((op = (vtkImageSeparableConvolution *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSeparableConvolution::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageSeparableConvolutionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageSeparableConvolution_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageSeparableConvolution_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageSeparableConvolution_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageSeparableConvolution\nC++: vtkImageSeparableConvolution *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageSeparableConvolution_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageSeparableConvolution\nC++: vtkImageSeparableConvolution *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetXKernel",                (PyCFunction)PyvtkImageSeparableConvolution_SetXKernel, 1,
   (char*)"V.SetXKernel(vtkFloatArray)\nC++: virtual void SetXKernel (vtkFloatArray *);\n\n"},
  {(char*)"GetXKernel",                (PyCFunction)PyvtkImageSeparableConvolution_GetXKernel, 1,
   (char*)"V.GetXKernel() -> vtkFloatArray\nC++: vtkFloatArray *GetXKernel ();\n\n"},
  {(char*)"SetYKernel",                (PyCFunction)PyvtkImageSeparableConvolution_SetYKernel, 1,
   (char*)"V.SetYKernel(vtkFloatArray)\nC++: virtual void SetYKernel (vtkFloatArray *);\n\n"},
  {(char*)"GetYKernel",                (PyCFunction)PyvtkImageSeparableConvolution_GetYKernel, 1,
   (char*)"V.GetYKernel() -> vtkFloatArray\nC++: vtkFloatArray *GetYKernel ();\n\n"},
  {(char*)"SetZKernel",                (PyCFunction)PyvtkImageSeparableConvolution_SetZKernel, 1,
   (char*)"V.SetZKernel(vtkFloatArray)\nC++: virtual void SetZKernel (vtkFloatArray *);\n\n"},
  {(char*)"GetZKernel",                (PyCFunction)PyvtkImageSeparableConvolution_GetZKernel, 1,
   (char*)"V.GetZKernel() -> vtkFloatArray\nC++: vtkFloatArray *GetZKernel ();\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkImageSeparableConvolution_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Overload standard modified time function. If kernel arrays are modified,\n then this object is modified as well.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageSeparableConvolutionDoc[] = {
  (char*)"vtkImageSeparableConvolution -  3 1D convolutions on an image\n\n",
  "Super Class:\n\n vtkImageDecomposeFilter\n\n",
  (char*)" vtkImageSeparableConvolution performs a convolution along the X, Y,\n and Z axes of an image, based on the three different 1D convolution\n kernels.  The kernels must be of odd size, and are considered to be\n centered at (int)((kernelsize - 1) / 2.0 ).  If a kernel is NULL,\n that dimension is skipped.  This filter is designed to efficiently\n convolve separable filters that can be decomposed into 1 ",
  (char*)"or more 1D\n convolutions.  It also handles arbitrarly large kernel sizes, and\n uses edge replication to handle boundaries.\n\n",
  NULL
};

static vtkObjectBase *vtkImageSeparableConvolutionStaticNew()
{
  return vtkImageSeparableConvolution::New();
}

PyObject *PyVTKClass_vtkImageSeparableConvolutionNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageSeparableConvolutionStaticNew,
                        PyvtkImageSeparableConvolutionMethods,
                        (char*)"vtkImageSeparableConvolution",modulename,
                        (char**)vtkImageSeparableConvolutionDoc,
                        PyVTKClass_vtkImageDecomposeFilterNew(modulename));
}

