// python wrapper for vtkImageShrink3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageShrink3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageShrink3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageShrink3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageShrink3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  const char    *temp20;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShrink3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShrink3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  vtkImageShrink3D  *temp20;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShrink3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageShrink3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageShrink3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageShrink3D_SetShrinkFactors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::SetShrinkFactors(temp0,temp1,temp2);
      }
    else
      {
      op->SetShrinkFactors(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int    temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::SetShrinkFactors(temp0);
      }
    else
      {
      op->SetShrinkFactors(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_GetShrinkFactors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int     *temp20;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShrink3D::GetShrinkFactors();
      }
    else
      {
      temp20 = op->GetShrinkFactors();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_SetShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::SetShift(temp0,temp1,temp2);
      }
    else
      {
      op->SetShift(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int    temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::SetShift(temp0);
      }
    else
      {
      op->SetShift(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_GetShift(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int     *temp20;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShrink3D::GetShift();
      }
    else
      {
      temp20 = op->GetShift();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_SetAveraging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int      temp0;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::SetAveraging(temp0);
      }
    else
      {
      op->SetAveraging(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_GetAveraging(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int      temp20;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShrink3D::GetAveraging();
      }
    else
      {
      temp20 = op->GetAveraging();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_AveragingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::AveragingOn();
      }
    else
      {
      op->AveragingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_AveragingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::AveragingOff();
      }
    else
      {
      op->AveragingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_SetMean(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int      temp0;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::SetMean(temp0);
      }
    else
      {
      op->SetMean(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_GetMean(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int      temp20;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShrink3D::GetMean();
      }
    else
      {
      temp20 = op->GetMean();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_MeanOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::MeanOn();
      }
    else
      {
      op->MeanOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_MeanOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::MeanOff();
      }
    else
      {
      op->MeanOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_SetMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int      temp0;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::SetMinimum(temp0);
      }
    else
      {
      op->SetMinimum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_GetMinimum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int      temp20;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShrink3D::GetMinimum();
      }
    else
      {
      temp20 = op->GetMinimum();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_MinimumOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::MinimumOn();
      }
    else
      {
      op->MinimumOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_MinimumOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::MinimumOff();
      }
    else
      {
      op->MinimumOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_SetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int      temp0;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::SetMaximum(temp0);
      }
    else
      {
      op->SetMaximum(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_GetMaximum(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int      temp20;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShrink3D::GetMaximum();
      }
    else
      {
      temp20 = op->GetMaximum();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_MaximumOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::MaximumOn();
      }
    else
      {
      op->MaximumOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_MaximumOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::MaximumOff();
      }
    else
      {
      op->MaximumOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_SetMedian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int      temp0;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::SetMedian(temp0);
      }
    else
      {
      op->SetMedian(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_GetMedian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  int      temp20;
  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageShrink3D::GetMedian();
      }
    else
      {
      temp20 = op->GetMedian();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_MedianOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::MedianOn();
      }
    else
      {
      op->MedianOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageShrink3D_MedianOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageShrink3D *op;

  if ((op = (vtkImageShrink3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageShrink3D::MedianOff();
      }
    else
      {
      op->MedianOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageShrink3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageShrink3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageShrink3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageShrink3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageShrink3D\nC++: vtkImageShrink3D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageShrink3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageShrink3D\nC++: vtkImageShrink3D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetShrinkFactors",                (PyCFunction)PyvtkImageShrink3D_SetShrinkFactors, 1,
   (char*)"V.SetShrinkFactors(int, int, int)\nC++: void SetShrinkFactors (int , int , int );\nV.SetShrinkFactors((int, int, int))\nC++: void SetShrinkFactors (int  a[3]);\n\n Set/Get the shrink factors\n"},
  {(char*)"GetShrinkFactors",                (PyCFunction)PyvtkImageShrink3D_GetShrinkFactors, 1,
   (char*)"V.GetShrinkFactors() -> (int, int, int)\nC++: int  *GetShrinkFactors ();\n\n Set/Get the shrink factors\n"},
  {(char*)"SetShift",                (PyCFunction)PyvtkImageShrink3D_SetShift, 1,
   (char*)"V.SetShift(int, int, int)\nC++: void SetShift (int , int , int );\nV.SetShift((int, int, int))\nC++: void SetShift (int  a[3]);\n\n Set/Get the pixel to use as origin.\n"},
  {(char*)"GetShift",                (PyCFunction)PyvtkImageShrink3D_GetShift, 1,
   (char*)"V.GetShift() -> (int, int, int)\nC++: int  *GetShift ();\n\n Set/Get the pixel to use as origin.\n"},
  {(char*)"SetAveraging",                (PyCFunction)PyvtkImageShrink3D_SetAveraging, 1,
   (char*)"V.SetAveraging(int)\nC++: void SetAveraging (int );\n\n Choose Mean, Minimum, Maximum, Median or sub sampling.\n The neighborhood operations are not centered on the sampled pixel.\n This may cause a half pixel shift in your output image.\n You can changed \"Shift\" to get around this.\n vtkImageGaussianSmooth or vtkImageMean with strides.\n"},
  {(char*)"GetAveraging",                (PyCFunction)PyvtkImageShrink3D_GetAveraging, 1,
   (char*)"V.GetAveraging() -> int\nC++: int GetAveraging ();return this GetMean \n\n Choose Mean, Minimum, Maximum, Median or sub sampling.\n The neighborhood operations are not centered on the sampled pixel.\n This may cause a half pixel shift in your output image.\n You can changed \"Shift\" to get around this.\n vtkImageGaussianSmooth or vtkImageMean with strides.\n"},
  {(char*)"AveragingOn",                (PyCFunction)PyvtkImageShrink3D_AveragingOn, 1,
   (char*)"V.AveragingOn()\nC++: void AveragingOn ();\n\n Choose Mean, Minimum, Maximum, Median or sub sampling.\n The neighborhood operations are not centered on the sampled pixel.\n This may cause a half pixel shift in your output image.\n You can changed \"Shift\" to get around this.\n vtkImageGaussianSmooth or vtkImageMean with strides.\n"},
  {(char*)"AveragingOff",                (PyCFunction)PyvtkImageShrink3D_AveragingOff, 1,
   (char*)"V.AveragingOff()\nC++: void AveragingOff ();\n\n Choose Mean, Minimum, Maximum, Median or sub sampling.\n The neighborhood operations are not centered on the sampled pixel.\n This may cause a half pixel shift in your output image.\n You can changed \"Shift\" to get around this.\n vtkImageGaussianSmooth or vtkImageMean with strides.\n"},
  {(char*)"SetMean",                (PyCFunction)PyvtkImageShrink3D_SetMean, 1,
   (char*)"V.SetMean(int)\nC++: void SetMean (int );\n\n"},
  {(char*)"GetMean",                (PyCFunction)PyvtkImageShrink3D_GetMean, 1,
   (char*)"V.GetMean() -> int\nC++: int GetMean ();\n\n"},
  {(char*)"MeanOn",                (PyCFunction)PyvtkImageShrink3D_MeanOn, 1,
   (char*)"V.MeanOn()\nC++: void MeanOn ();\n\n"},
  {(char*)"MeanOff",                (PyCFunction)PyvtkImageShrink3D_MeanOff, 1,
   (char*)"V.MeanOff()\nC++: void MeanOff ();\n\n"},
  {(char*)"SetMinimum",                (PyCFunction)PyvtkImageShrink3D_SetMinimum, 1,
   (char*)"V.SetMinimum(int)\nC++: void SetMinimum (int );\n\n"},
  {(char*)"GetMinimum",                (PyCFunction)PyvtkImageShrink3D_GetMinimum, 1,
   (char*)"V.GetMinimum() -> int\nC++: int GetMinimum ();\n\n"},
  {(char*)"MinimumOn",                (PyCFunction)PyvtkImageShrink3D_MinimumOn, 1,
   (char*)"V.MinimumOn()\nC++: void MinimumOn ();\n\n"},
  {(char*)"MinimumOff",                (PyCFunction)PyvtkImageShrink3D_MinimumOff, 1,
   (char*)"V.MinimumOff()\nC++: void MinimumOff ();\n\n"},
  {(char*)"SetMaximum",                (PyCFunction)PyvtkImageShrink3D_SetMaximum, 1,
   (char*)"V.SetMaximum(int)\nC++: void SetMaximum (int );\n\n"},
  {(char*)"GetMaximum",                (PyCFunction)PyvtkImageShrink3D_GetMaximum, 1,
   (char*)"V.GetMaximum() -> int\nC++: int GetMaximum ();\n\n"},
  {(char*)"MaximumOn",                (PyCFunction)PyvtkImageShrink3D_MaximumOn, 1,
   (char*)"V.MaximumOn()\nC++: void MaximumOn ();\n\n"},
  {(char*)"MaximumOff",                (PyCFunction)PyvtkImageShrink3D_MaximumOff, 1,
   (char*)"V.MaximumOff()\nC++: void MaximumOff ();\n\n"},
  {(char*)"SetMedian",                (PyCFunction)PyvtkImageShrink3D_SetMedian, 1,
   (char*)"V.SetMedian(int)\nC++: void SetMedian (int );\n\n"},
  {(char*)"GetMedian",                (PyCFunction)PyvtkImageShrink3D_GetMedian, 1,
   (char*)"V.GetMedian() -> int\nC++: int GetMedian ();\n\n"},
  {(char*)"MedianOn",                (PyCFunction)PyvtkImageShrink3D_MedianOn, 1,
   (char*)"V.MedianOn()\nC++: void MedianOn ();\n\n"},
  {(char*)"MedianOff",                (PyCFunction)PyvtkImageShrink3D_MedianOff, 1,
   (char*)"V.MedianOff()\nC++: void MedianOff ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageShrink3DDoc[] = {
  (char*)"vtkImageShrink3D - Subsamples an image.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageShrink3D shrinks an image by sub sampling on a \n uniform grid (integer multiples).  \n\n",
  NULL
};

static vtkObjectBase *vtkImageShrink3DStaticNew()
{
  return vtkImageShrink3D::New();
}

PyObject *PyVTKClass_vtkImageShrink3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageShrink3DStaticNew,
                        PyvtkImageShrink3DMethods,
                        (char*)"vtkImageShrink3D",modulename,
                        (char**)vtkImageShrink3DDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

