// tcl wrapper for vtkImageShrink3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageShrink3D.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkImageShrink3DNewCommand()
{
  vtkImageShrink3D *temp = vtkImageShrink3D::New();
  return ((ClientData)temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageShrink3DCppCommand(vtkImageShrink3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageShrink3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageShrink3DCppCommand((vtkImageShrink3D *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageShrink3DCppCommand(vtkImageShrink3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageShrink3D",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand((vtkThreadedImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkThreadedImageAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageShrink3D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageShrink3D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageShrink3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageShrink3D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageShrink3D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageShrink3D");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShrinkFactors",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetShrinkFactors(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShrinkFactors",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetShrinkFactors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShrinkFactors",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetShrinkFactors();
    char tempResult[1024];
    sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShift",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetShift(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShift",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->SetShift(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShift",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetShift();
    char tempResult[1024];
    sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAveraging",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAveraging(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAveraging",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAveraging();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AveragingOn",argv[1]))&&(argc == 2))
    {
    op->AveragingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AveragingOff",argv[1]))&&(argc == 2))
    {
    op->AveragingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMean",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMean(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMean",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMean();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MeanOn",argv[1]))&&(argc == 2))
    {
    op->MeanOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MeanOff",argv[1]))&&(argc == 2))
    {
    op->MeanOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimum",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinimum(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimum",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinimum();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MinimumOn",argv[1]))&&(argc == 2))
    {
    op->MinimumOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MinimumOff",argv[1]))&&(argc == 2))
    {
    op->MinimumOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximum",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximum(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximum",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximum();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MaximumOn",argv[1]))&&(argc == 2))
    {
    op->MaximumOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaximumOff",argv[1]))&&(argc == 2))
    {
    op->MaximumOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMedian",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMedian(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMedian",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMedian();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MedianOn",argv[1]))&&(argc == 2))
    {
    op->MedianOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MedianOff",argv[1]))&&(argc == 2))
    {
    op->MedianOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkImageShrink3DCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageShrink3D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetShrinkFactors\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetShrinkFactors\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetShrinkFactors\n",NULL);
    Tcl_AppendResult(interp,"  SetShift\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetShift\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetShift\n",NULL);
    Tcl_AppendResult(interp,"  SetAveraging\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAveraging\n",NULL);
    Tcl_AppendResult(interp,"  AveragingOn\n",NULL);
    Tcl_AppendResult(interp,"  AveragingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMean\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMean\n",NULL);
    Tcl_AppendResult(interp,"  MeanOn\n",NULL);
    Tcl_AppendResult(interp,"  MeanOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimum\n",NULL);
    Tcl_AppendResult(interp,"  MinimumOn\n",NULL);
    Tcl_AppendResult(interp,"  MinimumOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximum\n",NULL);
    Tcl_AppendResult(interp,"  MaximumOn\n",NULL);
    Tcl_AppendResult(interp,"  MaximumOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMedian\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMedian\n",NULL);
    Tcl_AppendResult(interp,"  MedianOn\n",NULL);
    Tcl_AppendResult(interp,"  MedianOff\n",NULL);
    return TCL_OK;
    }

  if (vtkThreadedImageAlgorithmCppCommand((vtkThreadedImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
