// python wrapper for vtkImageSobel3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageSobel3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageSobel3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageSobel3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageSpatialAlgorithmNew(char *); }

static PyObject *PyvtkImageSobel3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSobel3D *op;

  const char    *temp20;
  if ((op = (vtkImageSobel3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSobel3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSobel3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSobel3D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageSobel3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSobel3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSobel3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSobel3D *op;

  vtkImageSobel3D  *temp20;
  if ((op = (vtkImageSobel3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSobel3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSobel3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageSobel3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageSobel3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageSobel3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageSobel3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageSobel3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageSobel3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageSobel3D\nC++: vtkImageSobel3D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageSobel3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageSobel3D\nC++: vtkImageSobel3D *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageSobel3DDoc[] = {
  (char*)"vtkImageSobel3D - Computes a vector field using sobel functions.\n\n",
  "Super Class:\n\n vtkImageSpatialAlgorithm\n\n",
  (char*)" vtkImageSobel3D computes a vector field from a scalar field by using\n Sobel functions.  The number of vector components is 3 because\n the input is a volume.  Output is always doubles.  A little creative \n liberty was used to extend the 2D sobel kernels into 3D.\n\n",
  NULL
};

static vtkObjectBase *vtkImageSobel3DStaticNew()
{
  return vtkImageSobel3D::New();
}

PyObject *PyVTKClass_vtkImageSobel3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageSobel3DStaticNew,
                        PyvtkImageSobel3DMethods,
                        (char*)"vtkImageSobel3D",modulename,
                        (char**)vtkImageSobel3DDoc,
                        PyVTKClass_vtkImageSpatialAlgorithmNew(modulename));
}

