// python wrapper for vtkImageSpatialAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageSpatialAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageSpatialAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageSpatialAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageSpatialAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSpatialAlgorithm *op;

  const char    *temp20;
  if ((op = (vtkImageSpatialAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSpatialAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSpatialAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSpatialAlgorithm *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageSpatialAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSpatialAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSpatialAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSpatialAlgorithm *op;

  vtkImageSpatialAlgorithm  *temp20;
  if ((op = (vtkImageSpatialAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSpatialAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSpatialAlgorithm_GetKernelSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSpatialAlgorithm *op;

  int     *temp20;
  if ((op = (vtkImageSpatialAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSpatialAlgorithm::GetKernelSize();
      }
    else
      {
      temp20 = op->GetKernelSize();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageSpatialAlgorithm_GetKernelMiddle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageSpatialAlgorithm *op;

  int     *temp20;
  if ((op = (vtkImageSpatialAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageSpatialAlgorithm::GetKernelMiddle();
      }
    else
      {
      temp20 = op->GetKernelMiddle();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageSpatialAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageSpatialAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageSpatialAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageSpatialAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageSpatialAlgorithm\nC++: vtkImageSpatialAlgorithm *NewInstance ();\n\n"},
  {(char*)"GetKernelSize",                (PyCFunction)PyvtkImageSpatialAlgorithm_GetKernelSize, 1,
   (char*)"V.GetKernelSize() -> (int, int, int)\nC++: int *GetKernelSize ();return this KernelSize \n\n Get the Kernel middle.\n"},
  {(char*)"GetKernelMiddle",                (PyCFunction)PyvtkImageSpatialAlgorithm_GetKernelMiddle, 1,
   (char*)"V.GetKernelMiddle() -> (int, int, int)\nC++: int *GetKernelMiddle ();return this KernelMiddle \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageSpatialAlgorithmDoc[] = {
  (char*)"vtkImageSpatialAlgorithm - Filters that operate on pixel neighborhoods.\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageSpatialAlgorithm is a super class for filters that operate on an\n input neighborhood for each output pixel. It handles even sized\n neighborhoods, but their can be a half pixel shift associated with\n processing.  This superclass has some logic for handling boundaries.  It\n can split regions into boundary and non-boundary pieces and call different\n execute methods.\n\n",
  NULL
};

static vtkObjectBase *vtkImageSpatialAlgorithmStaticNew()
{
  return vtkImageSpatialAlgorithm::New();
}

PyObject *PyVTKClass_vtkImageSpatialAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageSpatialAlgorithmStaticNew,
                        PyvtkImageSpatialAlgorithmMethods,
                        (char*)"vtkImageSpatialAlgorithm",modulename,
                        (char**)vtkImageSpatialAlgorithmDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

