// python wrapper for vtkImageStencilData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageStencilData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageStencilDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageStencilDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataObjectNew(char *); }

static PyObject *PyvtkImageStencilData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  const char    *temp20;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  vtkImageStencilData  *temp20;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageStencilData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageStencilData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageStencilData_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkImageStencilData_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkImageStencilData_InternalImageStencilDataCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  vtkImageStencilData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageStencilData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageStencilData");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::InternalImageStencilDataCopy(temp0);
      }
    else
      {
      op->InternalImageStencilDataCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkImageStencilData_GetDataObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int      temp20;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::GetDataObjectType();
      }
    else
      {
      temp20 = op->GetDataObjectType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_GetExtentType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int      temp20;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::GetExtentType();
      }
    else
      {
      temp20 = op->GetExtentType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_InsertNextExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::InsertNextExtent(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->InsertNextExtent(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_SetSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetSpacing(temp0);
      }
    else
      {
      op->SetSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_GetSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double  *temp20;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::GetSpacing();
      }
    else
      {
      temp20 = op->GetSpacing();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double  *temp20;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_SetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int    temp0[6];
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetExtent(temp0);
      }
    else
      {
      op->SetExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  PyErr_Clear();
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_GetExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  int     *temp20;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::GetExtent();
      }
    else
      {
      temp20 = op->GetExtent();
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_SetOldSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetOldSpacing(temp0,temp1,temp2);
      }
    else
      {
      op->SetOldSpacing(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetOldSpacing(temp0);
      }
    else
      {
      op->SetOldSpacing(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_GetOldSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double  *temp20;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::GetOldSpacing();
      }
    else
      {
      temp20 = op->GetOldSpacing();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_SetOldOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetOldOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOldOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::SetOldOrigin(temp0);
      }
    else
      {
      op->SetOldOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_GetOldOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  double  *temp20;
  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilData::GetOldOrigin();
      }
    else
      {
      temp20 = op->GetOldOrigin();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_AllocateExtents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::AllocateExtents();
      }
    else
      {
      op->AllocateExtents();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_UpdateData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::UpdateData();
      }
    else
      {
      op->UpdateData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_PropagateUpdateExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::PropagateUpdateExtent();
      }
    else
      {
      op->PropagateUpdateExtent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilData_TriggerAsynchronousUpdate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilData *op;

  if ((op = (vtkImageStencilData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilData::TriggerAsynchronousUpdate();
      }
    else
      {
      op->TriggerAsynchronousUpdate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageStencilDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageStencilData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageStencilData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageStencilData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageStencilData\nC++: vtkImageStencilData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageStencilData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageStencilData\nC++: vtkImageStencilData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkImageStencilData_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkImageStencilData_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: void DeepCopy (vtkDataObject *o);\n\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkImageStencilData_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: void ShallowCopy (vtkDataObject *f);\n\n"},
  {(char*)"InternalImageStencilDataCopy",                (PyCFunction)PyvtkImageStencilData_InternalImageStencilDataCopy, 1,
   (char*)"V.InternalImageStencilDataCopy(vtkImageStencilData)\nC++: void InternalImageStencilDataCopy (vtkImageStencilData *s);\n\n"},
  {(char*)"GetDataObjectType",                (PyCFunction)PyvtkImageStencilData_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: int GetDataObjectType ();return VTK_DATA_OBJECT \n\n The extent type is 3D, just like vtkImageData.\n"},
  {(char*)"GetExtentType",                (PyCFunction)PyvtkImageStencilData_GetExtentType, 1,
   (char*)"V.GetExtentType() -> int\nC++: int GetExtentType ();return VTK_3D_EXTENT \n\n The extent type is 3D, just like vtkImageData.\n"},
  {(char*)"InsertNextExtent",                (PyCFunction)PyvtkImageStencilData_InsertNextExtent, 1,
   (char*)"V.InsertNextExtent(int, int, int, int)\nC++: void InsertNextExtent (int r1, int r2, int yIdx, int zIdx);\n\n This method is used by vtkImageStencilDataSource to add an x \n sub extent [r1,r2] for the x row (yIdx,zIdx).  The specified sub\n extent must not intersect any other sub extents along the same x row.\n As well, r1 and r2 must both be within the total x extent\n [Extent[0],Extent[1]].\n"},
  {(char*)"SetSpacing",                (PyCFunction)PyvtkImageStencilData_SetSpacing, 1,
   (char*)"V.SetSpacing(float, float, float)\nC++: void SetSpacing (double , double , double );\nV.SetSpacing((float, float, float))\nC++: void SetSpacing (double  a[3]);\n\n Set the desired spacing for the stencil.\n This must be called before the stencil is Updated, ideally \n in the ExecuteInformation method of the imaging filter that\n is using the stencil.\n"},
  {(char*)"GetSpacing",                (PyCFunction)PyvtkImageStencilData_GetSpacing, 1,
   (char*)"V.GetSpacing() -> (float, float, float)\nC++: double  *GetSpacing ();\n\n Set the desired spacing for the stencil.\n This must be called before the stencil is Updated, ideally \n in the ExecuteInformation method of the imaging filter that\n is using the stencil.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkImageStencilData_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double , double , double );\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double  a[3]);\n\n Set the desired origin for the stencil.\n This must be called before the stencil is Updated, ideally \n in the ExecuteInformation method of the imaging filter that\n is using the stencil.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkImageStencilData_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n Set the desired origin for the stencil.\n This must be called before the stencil is Updated, ideally \n in the ExecuteInformation method of the imaging filter that\n is using the stencil.\n"},
  {(char*)"SetExtent",                (PyCFunction)PyvtkImageStencilData_SetExtent, 1,
   (char*)"V.SetExtent((int, int, int, int, int, int))\nC++: void SetExtent (int extent[6]);\nV.SetExtent(int, int, int, int, int, int)\nC++: void SetExtent (int x1, int x2, int y1, int y2, int z1, int z2);\n\n Set the extent of the data.  This is should be called only \n by vtkImageStencilSource, as it is part of the basic pipeline\n functionality.\n"},
  {(char*)"GetExtent",                (PyCFunction)PyvtkImageStencilData_GetExtent, 1,
   (char*)"V.GetExtent() -> (int, int, int, int, int, int)\nC++: int  *GetExtent ();\n\n Set the extent of the data.  This is should be called only \n by vtkImageStencilSource, as it is part of the basic pipeline\n functionality.\n"},
  {(char*)"SetOldSpacing",                (PyCFunction)PyvtkImageStencilData_SetOldSpacing, 1,
   (char*)"V.SetOldSpacing(float, float, float)\nC++: void SetOldSpacing (double , double , double );\nV.SetOldSpacing((float, float, float))\nC++: void SetOldSpacing (double  a[3]);\n\n Save the previous data spacing.  This should be called only by\n vtkImageStencilSource.\n"},
  {(char*)"GetOldSpacing",                (PyCFunction)PyvtkImageStencilData_GetOldSpacing, 1,
   (char*)"V.GetOldSpacing() -> (float, float, float)\nC++: double  *GetOldSpacing ();\n\n Save the previous data spacing.  This should be called only by\n vtkImageStencilSource.\n"},
  {(char*)"SetOldOrigin",                (PyCFunction)PyvtkImageStencilData_SetOldOrigin, 1,
   (char*)"V.SetOldOrigin(float, float, float)\nC++: void SetOldOrigin (double , double , double );\nV.SetOldOrigin((float, float, float))\nC++: void SetOldOrigin (double  a[3]);\n\n Save the previous data origin.  This should be called only by\n vtkImageStencilSource.\n"},
  {(char*)"GetOldOrigin",                (PyCFunction)PyvtkImageStencilData_GetOldOrigin, 1,
   (char*)"V.GetOldOrigin() -> (float, float, float)\nC++: double  *GetOldOrigin ();\n\n Save the previous data origin.  This should be called only by\n vtkImageStencilSource.\n"},
  {(char*)"AllocateExtents",                (PyCFunction)PyvtkImageStencilData_AllocateExtents, 1,
   (char*)"V.AllocateExtents()\nC++: void AllocateExtents ();\n\n Allocate space for the sub-extents.  This is called by\n vtkImageStencilSource.\n"},
  {(char*)"UpdateData",                (PyCFunction)PyvtkImageStencilData_UpdateData, 1,
   (char*)"V.UpdateData()\nC++: void UpdateData ();\n\n WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. \n THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.\n Propagate the update back up the pipeline, and perform the actual \n work of updating on the way down. When the propagate arrives at a\n port, block and wait for the asynchronous update to finish on the\n other side.\n This propagation may early terminate based on the PipelineMTime.\n"},
  {(char*)"PropagateUpdateExtent",                (PyCFunction)PyvtkImageStencilData_PropagateUpdateExtent, 1,
   (char*)"V.PropagateUpdateExtent()\nC++: void PropagateUpdateExtent ();\n\n WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. \n THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.\n The update extent for this object is propagated up the pipeline.\n This propagation may early terminate based on the PipelineMTime.\n"},
  {(char*)"TriggerAsynchronousUpdate",                (PyCFunction)PyvtkImageStencilData_TriggerAsynchronousUpdate, 1,
   (char*)"V.TriggerAsynchronousUpdate()\nC++: void TriggerAsynchronousUpdate ();\n\n WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. \n THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY.\n Propagate back up the pipeline for ports and trigger the update on the\n other side of the port to allow for asynchronous parallel processing in\n the pipeline.\n This propagation may early terminate based on the PipelineMTime.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageStencilDataDoc[] = {
  (char*)"vtkImageStencilData - efficient description of an image stencil\n\n",
  "Super Class:\n\n vtkDataObject\n\n",
  (char*)" vtkImageStencilData describes an image stencil in a manner which is\n efficient both in terms of speed and storage space.  The stencil extents\n are stored for each x-row across the image (multiple extents per row if\n necessary) and can be retrieved via the GetNextExtent() method.\n\n",
  "See Also:\n\n vtkImageStencilSource vtkImageStencil\n\n",
  NULL
};

static vtkObjectBase *vtkImageStencilDataStaticNew()
{
  return vtkImageStencilData::New();
}

PyObject *PyVTKClass_vtkImageStencilDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageStencilDataStaticNew,
                        PyvtkImageStencilDataMethods,
                        (char*)"vtkImageStencilData",modulename,
                        (char**)vtkImageStencilDataDoc,
                        PyVTKClass_vtkDataObjectNew(modulename));
}

