// python wrapper for vtkImageStencilSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageStencilSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageStencilSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageStencilSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkImageStencilSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilSource *op;

  const char    *temp20;
  if ((op = (vtkImageStencilSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageStencilSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilSource *op;

  vtkImageStencilSource  *temp20;
  if ((op = (vtkImageStencilSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageStencilSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageStencilSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageStencilSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageStencilSource_SetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilSource *op;

  vtkImageStencilData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageStencilSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageStencilData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageStencilData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageStencilSource::SetOutput(temp0);
      }
    else
      {
      op->SetOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageStencilSource_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageStencilSource *op;

  vtkImageStencilData  *temp20;
  if ((op = (vtkImageStencilSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageStencilSource::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageStencilSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageStencilSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageStencilSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageStencilSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageStencilSource\nC++: vtkImageStencilSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageStencilSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageStencilSource\nC++: vtkImageStencilSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOutput",                (PyCFunction)PyvtkImageStencilSource_SetOutput, 1,
   (char*)"V.SetOutput(vtkImageStencilData)\nC++: void SetOutput (vtkImageStencilData *output);\n\n Get or set the output for this source.\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkImageStencilSource_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkImageStencilData\nC++: vtkImageStencilData *GetOutput ();\n\n Get or set the output for this source.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageStencilSourceDoc[] = {
  (char*)"vtkImageStencilSource - helper class for clipping images\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkImageStencilSource is a helper class for vtkImageToImageFilter\n classes.  Given a clipping object such as a vtkImplicitFunction, it\n will set up a list of clipping extents for each x-row through the\n image data.  The extents for each x-row can be retrieved via the \n GetNextExtent() method after the extent lists have been built\n with the BuildExtents() method.  For large images, using clipping\n",
  (char*)" extents is much more memory efficient (and slightly more time-efficient)\n than building a mask.  This class can be subclassed to allow clipping\n with objects other than vtkImplicitFunction.\n\n",
  "See Also:\n\n vtkImplicitFunction vtkImageStencil vtkPolyDataToImageStencil\n\n",
  NULL
};

static vtkObjectBase *vtkImageStencilSourceStaticNew()
{
  return vtkImageStencilSource::New();
}

PyObject *PyVTKClass_vtkImageStencilSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageStencilSourceStaticNew,
                        PyvtkImageStencilSourceMethods,
                        (char*)"vtkImageStencilSource",modulename,
                        (char**)vtkImageStencilSourceDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

