// tcl wrapper for vtkImageStencil object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageStencil.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkImageStencilNewCommand()
{
  vtkImageStencil *temp = vtkImageStencil::New();
  return ((ClientData)temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageStencilCppCommand(vtkImageStencil *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageStencilCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageStencilCppCommand((vtkImageStencil *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageStencilCppCommand(vtkImageStencil *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageStencil",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand((vtkThreadedImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkThreadedImageAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageStencil  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageStencil");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageStencil  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageStencil");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageStencil  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageStencil");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStencil",argv[1]))&&(argc == 3))
    {
    vtkImageStencilData  *temp0;
    error = 0;

    temp0 = (vtkImageStencilData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkImageStencilData",interp,error));
    if (!error)
    {
    op->SetStencil(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStencil",argv[1]))&&(argc == 2))
    {
    vtkImageStencilData  *temp20;
    temp20 = (op)->GetStencil();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageStencilData");
    return TCL_OK;
    }
  if ((!strcmp("SetReverseStencil",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReverseStencil(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReverseStencilOn",argv[1]))&&(argc == 2))
    {
    op->ReverseStencilOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReverseStencilOff",argv[1]))&&(argc == 2))
    {
    op->ReverseStencilOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetReverseStencil",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReverseStencil();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBackgroundInput",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkImageData",interp,error));
    if (!error)
    {
    op->SetBackgroundInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackgroundInput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetBackgroundInput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SetBackgroundValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBackgroundValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackgroundValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBackgroundValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBackgroundColor",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetBackgroundColor(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackgroundColor",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetBackgroundColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackgroundColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBackgroundColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkImageStencilCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageStencil:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetStencil\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStencil\n",NULL);
    Tcl_AppendResult(interp,"  SetReverseStencil\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReverseStencilOn\n",NULL);
    Tcl_AppendResult(interp,"  ReverseStencilOff\n",NULL);
    Tcl_AppendResult(interp,"  GetReverseStencil\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundInput\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundValue\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundColor\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundColor\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundColor\n",NULL);
    return TCL_OK;
    }

  if (vtkThreadedImageAlgorithmCppCommand((vtkThreadedImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
