// python wrapper for vtkImageThreshold object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageThreshold.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageThresholdNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageThresholdNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(char *); }

static PyObject *PyvtkImageThreshold_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  const char    *temp20;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageThreshold::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageThreshold::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  vtkImageThreshold  *temp20;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageThreshold::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageThreshold  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageThreshold::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageThreshold_ThresholdByUpper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  double   temp0;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::ThresholdByUpper(temp0);
      }
    else
      {
      op->ThresholdByUpper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_ThresholdByLower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  double   temp0;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::ThresholdByLower(temp0);
      }
    else
      {
      op->ThresholdByLower(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_ThresholdBetween(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::ThresholdBetween(temp0,temp1);
      }
    else
      {
      op->ThresholdBetween(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetReplaceIn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  int      temp0;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetReplaceIn(temp0);
      }
    else
      {
      op->SetReplaceIn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_GetReplaceIn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  int      temp20;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageThreshold::GetReplaceIn();
      }
    else
      {
      temp20 = op->GetReplaceIn();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_ReplaceInOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::ReplaceInOn();
      }
    else
      {
      op->ReplaceInOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_ReplaceInOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::ReplaceInOff();
      }
    else
      {
      op->ReplaceInOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetInValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  double   temp0;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetInValue(temp0);
      }
    else
      {
      op->SetInValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_GetInValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  double   temp20;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageThreshold::GetInValue();
      }
    else
      {
      temp20 = op->GetInValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetReplaceOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  int      temp0;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetReplaceOut(temp0);
      }
    else
      {
      op->SetReplaceOut(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_GetReplaceOut(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  int      temp20;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageThreshold::GetReplaceOut();
      }
    else
      {
      temp20 = op->GetReplaceOut();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_ReplaceOutOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::ReplaceOutOn();
      }
    else
      {
      op->ReplaceOutOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_ReplaceOutOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::ReplaceOutOff();
      }
    else
      {
      op->ReplaceOutOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetOutValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  double   temp0;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetOutValue(temp0);
      }
    else
      {
      op->SetOutValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_GetOutValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  double   temp20;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageThreshold::GetOutValue();
      }
    else
      {
      temp20 = op->GetOutValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_GetUpperThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  double   temp20;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageThreshold::GetUpperThreshold();
      }
    else
      {
      temp20 = op->GetUpperThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_GetLowerThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  double   temp20;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageThreshold::GetLowerThreshold();
      }
    else
      {
      temp20 = op->GetLowerThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetOutputScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  int      temp0;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetOutputScalarType(temp0);
      }
    else
      {
      op->SetOutputScalarType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_GetOutputScalarType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  int      temp20;
  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageThreshold::GetOutputScalarType();
      }
    else
      {
      temp20 = op->GetOutputScalarType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetOutputScalarTypeToDouble(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetOutputScalarTypeToDouble();
      }
    else
      {
      op->SetOutputScalarTypeToDouble();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetOutputScalarTypeToFloat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetOutputScalarTypeToFloat();
      }
    else
      {
      op->SetOutputScalarTypeToFloat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetOutputScalarTypeToLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetOutputScalarTypeToLong();
      }
    else
      {
      op->SetOutputScalarTypeToLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetOutputScalarTypeToUnsignedLong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetOutputScalarTypeToUnsignedLong();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedLong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetOutputScalarTypeToInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetOutputScalarTypeToInt();
      }
    else
      {
      op->SetOutputScalarTypeToInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetOutputScalarTypeToUnsignedInt(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetOutputScalarTypeToUnsignedInt();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedInt();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetOutputScalarTypeToShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetOutputScalarTypeToShort();
      }
    else
      {
      op->SetOutputScalarTypeToShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetOutputScalarTypeToUnsignedShort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetOutputScalarTypeToUnsignedShort();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedShort();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetOutputScalarTypeToChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetOutputScalarTypeToChar();
      }
    else
      {
      op->SetOutputScalarTypeToChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetOutputScalarTypeToSignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetOutputScalarTypeToSignedChar();
      }
    else
      {
      op->SetOutputScalarTypeToSignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageThreshold_SetOutputScalarTypeToUnsignedChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageThreshold *op;

  if ((op = (vtkImageThreshold *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageThreshold::SetOutputScalarTypeToUnsignedChar();
      }
    else
      {
      op->SetOutputScalarTypeToUnsignedChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageThresholdMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageThreshold_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageThreshold_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageThreshold_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageThreshold\nC++: vtkImageThreshold *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageThreshold_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageThreshold\nC++: vtkImageThreshold *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ThresholdByUpper",                (PyCFunction)PyvtkImageThreshold_ThresholdByUpper, 1,
   (char*)"V.ThresholdByUpper(float)\nC++: void ThresholdByUpper (double thresh);\n\n The values greater than or equal to the value match.\n"},
  {(char*)"ThresholdByLower",                (PyCFunction)PyvtkImageThreshold_ThresholdByLower, 1,
   (char*)"V.ThresholdByLower(float)\nC++: void ThresholdByLower (double thresh);\n\n The values less than or equal to the value match.\n"},
  {(char*)"ThresholdBetween",                (PyCFunction)PyvtkImageThreshold_ThresholdBetween, 1,
   (char*)"V.ThresholdBetween(float, float)\nC++: void ThresholdBetween (double lower, double upper);\n\n The values in a range (inclusive) match\n"},
  {(char*)"SetReplaceIn",                (PyCFunction)PyvtkImageThreshold_SetReplaceIn, 1,
   (char*)"V.SetReplaceIn(int)\nC++: void SetReplaceIn (int );\n\n Determines whether to replace the pixel in range with InValue\n"},
  {(char*)"GetReplaceIn",                (PyCFunction)PyvtkImageThreshold_GetReplaceIn, 1,
   (char*)"V.GetReplaceIn() -> int\nC++: int GetReplaceIn ();\n\n Determines whether to replace the pixel in range with InValue\n"},
  {(char*)"ReplaceInOn",                (PyCFunction)PyvtkImageThreshold_ReplaceInOn, 1,
   (char*)"V.ReplaceInOn()\nC++: void ReplaceInOn ();\n\n Determines whether to replace the pixel in range with InValue\n"},
  {(char*)"ReplaceInOff",                (PyCFunction)PyvtkImageThreshold_ReplaceInOff, 1,
   (char*)"V.ReplaceInOff()\nC++: void ReplaceInOff ();\n\n Determines whether to replace the pixel in range with InValue\n"},
  {(char*)"SetInValue",                (PyCFunction)PyvtkImageThreshold_SetInValue, 1,
   (char*)"V.SetInValue(float)\nC++: void SetInValue (double val);\n\n Replace the in range pixels with this value.\n"},
  {(char*)"GetInValue",                (PyCFunction)PyvtkImageThreshold_GetInValue, 1,
   (char*)"V.GetInValue() -> float\nC++: double GetInValue ();\n\n Replace the in range pixels with this value.\n"},
  {(char*)"SetReplaceOut",                (PyCFunction)PyvtkImageThreshold_SetReplaceOut, 1,
   (char*)"V.SetReplaceOut(int)\nC++: void SetReplaceOut (int );\n\n Determines whether to replace the pixel out of range with OutValue\n"},
  {(char*)"GetReplaceOut",                (PyCFunction)PyvtkImageThreshold_GetReplaceOut, 1,
   (char*)"V.GetReplaceOut() -> int\nC++: int GetReplaceOut ();\n\n Determines whether to replace the pixel out of range with OutValue\n"},
  {(char*)"ReplaceOutOn",                (PyCFunction)PyvtkImageThreshold_ReplaceOutOn, 1,
   (char*)"V.ReplaceOutOn()\nC++: void ReplaceOutOn ();\n\n Determines whether to replace the pixel out of range with OutValue\n"},
  {(char*)"ReplaceOutOff",                (PyCFunction)PyvtkImageThreshold_ReplaceOutOff, 1,
   (char*)"V.ReplaceOutOff()\nC++: void ReplaceOutOff ();\n\n Determines whether to replace the pixel out of range with OutValue\n"},
  {(char*)"SetOutValue",                (PyCFunction)PyvtkImageThreshold_SetOutValue, 1,
   (char*)"V.SetOutValue(float)\nC++: void SetOutValue (double val);\n\n Replace the in range pixels with this value.\n"},
  {(char*)"GetOutValue",                (PyCFunction)PyvtkImageThreshold_GetOutValue, 1,
   (char*)"V.GetOutValue() -> float\nC++: double GetOutValue ();\n\n Replace the in range pixels with this value.\n"},
  {(char*)"GetUpperThreshold",                (PyCFunction)PyvtkImageThreshold_GetUpperThreshold, 1,
   (char*)"V.GetUpperThreshold() -> float\nC++: double GetUpperThreshold ();\n\n Get the Upper and Lower thresholds.\n"},
  {(char*)"GetLowerThreshold",                (PyCFunction)PyvtkImageThreshold_GetLowerThreshold, 1,
   (char*)"V.GetLowerThreshold() -> float\nC++: double GetLowerThreshold ();\n\n Get the Upper and Lower thresholds.\n"},
  {(char*)"SetOutputScalarType",                (PyCFunction)PyvtkImageThreshold_SetOutputScalarType, 1,
   (char*)"V.SetOutputScalarType(int)\nC++: void SetOutputScalarType (int );\n\n Set the desired output scalar type to cast to\n"},
  {(char*)"GetOutputScalarType",                (PyCFunction)PyvtkImageThreshold_GetOutputScalarType, 1,
   (char*)"V.GetOutputScalarType() -> int\nC++: int GetOutputScalarType ();\n\n Set the desired output scalar type to cast to\n"},
  {(char*)"SetOutputScalarTypeToDouble",                (PyCFunction)PyvtkImageThreshold_SetOutputScalarTypeToDouble, 1,
   (char*)"V.SetOutputScalarTypeToDouble()\nC++: void SetOutputScalarTypeToDouble ();this SetOutputScalarType VTK_DOUBLE \n\n Set the desired output scalar type to cast to\n"},
  {(char*)"SetOutputScalarTypeToFloat",                (PyCFunction)PyvtkImageThreshold_SetOutputScalarTypeToFloat, 1,
   (char*)"V.SetOutputScalarTypeToFloat()\nC++: void SetOutputScalarTypeToFloat ();this SetOutputScalarType VTK_FLOAT \n\n Set the desired output scalar type to cast to\n"},
  {(char*)"SetOutputScalarTypeToLong",                (PyCFunction)PyvtkImageThreshold_SetOutputScalarTypeToLong, 1,
   (char*)"V.SetOutputScalarTypeToLong()\nC++: void SetOutputScalarTypeToLong ();this SetOutputScalarType VTK_LONG \n\n Set the desired output scalar type to cast to\n"},
  {(char*)"SetOutputScalarTypeToUnsignedLong",                (PyCFunction)PyvtkImageThreshold_SetOutputScalarTypeToUnsignedLong, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedLong()\nC++: void SetOutputScalarTypeToUnsignedLong ();this SetOutputScalarType VTK_UNSIGNED_LONG \n\n Set the desired output scalar type to cast to\n"},
  {(char*)"SetOutputScalarTypeToInt",                (PyCFunction)PyvtkImageThreshold_SetOutputScalarTypeToInt, 1,
   (char*)"V.SetOutputScalarTypeToInt()\nC++: void SetOutputScalarTypeToInt ();this SetOutputScalarType VTK_INT \n\n Set the desired output scalar type to cast to\n"},
  {(char*)"SetOutputScalarTypeToUnsignedInt",                (PyCFunction)PyvtkImageThreshold_SetOutputScalarTypeToUnsignedInt, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedInt()\nC++: void SetOutputScalarTypeToUnsignedInt ();this SetOutputScalarType VTK_UNSIGNED_INT \n\n Set the desired output scalar type to cast to\n"},
  {(char*)"SetOutputScalarTypeToShort",                (PyCFunction)PyvtkImageThreshold_SetOutputScalarTypeToShort, 1,
   (char*)"V.SetOutputScalarTypeToShort()\nC++: void SetOutputScalarTypeToShort ();this SetOutputScalarType VTK_SHORT \n\n Set the desired output scalar type to cast to\n"},
  {(char*)"SetOutputScalarTypeToUnsignedShort",                (PyCFunction)PyvtkImageThreshold_SetOutputScalarTypeToUnsignedShort, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedShort()\nC++: void SetOutputScalarTypeToUnsignedShort ();this SetOutputScalarType VTK_UNSIGNED_SHORT \n\n Set the desired output scalar type to cast to\n"},
  {(char*)"SetOutputScalarTypeToChar",                (PyCFunction)PyvtkImageThreshold_SetOutputScalarTypeToChar, 1,
   (char*)"V.SetOutputScalarTypeToChar()\nC++: void SetOutputScalarTypeToChar ();this SetOutputScalarType VTK_CHAR \n\n Set the desired output scalar type to cast to\n"},
  {(char*)"SetOutputScalarTypeToSignedChar",                (PyCFunction)PyvtkImageThreshold_SetOutputScalarTypeToSignedChar, 1,
   (char*)"V.SetOutputScalarTypeToSignedChar()\nC++: void SetOutputScalarTypeToSignedChar ();this SetOutputScalarType VTK_SIGNED_CHAR \n\n Set the desired output scalar type to cast to\n"},
  {(char*)"SetOutputScalarTypeToUnsignedChar",                (PyCFunction)PyvtkImageThreshold_SetOutputScalarTypeToUnsignedChar, 1,
   (char*)"V.SetOutputScalarTypeToUnsignedChar()\nC++: void SetOutputScalarTypeToUnsignedChar ();this SetOutputScalarType VTK_UNSIGNED_CHAR \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageThresholdDoc[] = {
  (char*)"vtkImageThreshold -  Flexible threshold\n\n",
  "Super Class:\n\n vtkThreadedImageAlgorithm\n\n",
  (char*)" vtkImageThreshold Can do binary or continuous thresholding for lower, upper\n or a range of data.  The output data type may be different than the\n output, but defaults to the same type.\n\n",
  NULL
};

static vtkObjectBase *vtkImageThresholdStaticNew()
{
  return vtkImageThreshold::New();
}

PyObject *PyVTKClass_vtkImageThresholdNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageThresholdStaticNew,
                        PyvtkImageThresholdMethods,
                        (char*)"vtkImageThreshold",modulename,
                        (char**)vtkImageThresholdDoc,
                        PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
}

