// tcl wrapper for vtkImageThreshold object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageThreshold.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkImageThresholdNewCommand()
{
  vtkImageThreshold *temp = vtkImageThreshold::New();
  return ((ClientData)temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageThresholdCppCommand(vtkImageThreshold *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageThresholdCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageThresholdCppCommand((vtkImageThreshold *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageThresholdCppCommand(vtkImageThreshold *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageThreshold",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand((vtkThreadedImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkThreadedImageAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageThreshold  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageThreshold");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageThreshold  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageThreshold");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageThreshold  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageThreshold");
    return TCL_OK;
    }
    }
  if ((!strcmp("ThresholdByUpper",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->ThresholdByUpper(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ThresholdByLower",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->ThresholdByLower(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ThresholdBetween",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->ThresholdBetween(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetReplaceIn",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReplaceIn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplaceIn",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReplaceIn();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceInOn",argv[1]))&&(argc == 2))
    {
    op->ReplaceInOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceInOff",argv[1]))&&(argc == 2))
    {
    op->ReplaceInOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReplaceOut",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReplaceOut(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplaceOut",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReplaceOut();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceOutOn",argv[1]))&&(argc == 2))
    {
    op->ReplaceOutOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceOutOff",argv[1]))&&(argc == 2))
    {
    op->ReplaceOutOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOutValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOutValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUpperThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetUpperThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLowerThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLowerThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputScalarType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutputScalarType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutputScalarType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToDouble",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToDouble();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToFloat",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToFloat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToLong",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedLong",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedLong();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToInt",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedInt",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedInt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToShort",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedShort",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedShort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToChar",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToSignedChar",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToSignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputScalarTypeToUnsignedChar",argv[1]))&&(argc == 2))
    {
    op->SetOutputScalarTypeToUnsignedChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkImageThresholdCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageThreshold:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdByUpper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdByLower\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ThresholdBetween\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetReplaceIn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplaceIn\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceInOn\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceInOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInValue\n",NULL);
    Tcl_AppendResult(interp,"  SetReplaceOut\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplaceOut\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceOutOn\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceOutOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutValue\n",NULL);
    Tcl_AppendResult(interp,"  GetUpperThreshold\n",NULL);
    Tcl_AppendResult(interp,"  GetLowerThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutputScalarType\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToDouble\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToFloat\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToLong\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedLong\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToInt\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedInt\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToShort\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedShort\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToChar\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToSignedChar\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputScalarTypeToUnsignedChar\n",NULL);
    return TCL_OK;
    }

  if (vtkThreadedImageAlgorithmCppCommand((vtkThreadedImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
