// python wrapper for vtkImageToImageStencil object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageToImageStencil.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageToImageStencilNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageToImageStencilNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageStencilSourceNew(char *); }

static PyObject *PyvtkImageToImageStencil_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageStencil *op;

  const char    *temp20;
  if ((op = (vtkImageToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageStencil::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageStencil_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageStencil *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageStencil::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageStencil_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageStencil *op;

  vtkImageToImageStencil  *temp20;
  if ((op = (vtkImageToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageStencil::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageStencil_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageToImageStencil  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageToImageStencil::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageToImageStencil_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageStencil *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImageToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToImageStencil::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkImageToImageStencil_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageStencil *op;

  vtkImageData  *temp20;
  if ((op = (vtkImageToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageStencil::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageStencil_ThresholdByUpper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageStencil *op;

  double   temp0;
  if ((op = (vtkImageToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToImageStencil::ThresholdByUpper(temp0);
      }
    else
      {
      op->ThresholdByUpper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageStencil_ThresholdByLower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageStencil *op;

  double   temp0;
  if ((op = (vtkImageToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToImageStencil::ThresholdByLower(temp0);
      }
    else
      {
      op->ThresholdByLower(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageStencil_ThresholdBetween(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageStencil *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkImageToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToImageStencil::ThresholdBetween(temp0,temp1);
      }
    else
      {
      op->ThresholdBetween(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageStencil_SetUpperThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageStencil *op;

  double   temp0;
  if ((op = (vtkImageToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToImageStencil::SetUpperThreshold(temp0);
      }
    else
      {
      op->SetUpperThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageStencil_GetUpperThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageStencil *op;

  double   temp20;
  if ((op = (vtkImageToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageStencil::GetUpperThreshold();
      }
    else
      {
      temp20 = op->GetUpperThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageStencil_SetLowerThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageStencil *op;

  double   temp0;
  if ((op = (vtkImageToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageToImageStencil::SetLowerThreshold(temp0);
      }
    else
      {
      op->SetLowerThreshold(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageToImageStencil_GetLowerThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageToImageStencil *op;

  double   temp20;
  if ((op = (vtkImageToImageStencil *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageToImageStencil::GetLowerThreshold();
      }
    else
      {
      temp20 = op->GetLowerThreshold();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageToImageStencilMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageToImageStencil_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageToImageStencil_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageToImageStencil_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageToImageStencil\nC++: vtkImageToImageStencil *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageToImageStencil_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageToImageStencil\nC++: vtkImageToImageStencil *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkImageToImageStencil_SetInput, 1,
   (char*)"V.SetInput(vtkImageData)\nC++: void SetInput (vtkImageData *input);\n\n Specify the image data to convert into a stencil.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkImageToImageStencil_GetInput, 1,
   (char*)"V.GetInput() -> vtkImageData\nC++: vtkImageData *GetInput ();\n\n Specify the image data to convert into a stencil.\n"},
  {(char*)"ThresholdByUpper",                (PyCFunction)PyvtkImageToImageStencil_ThresholdByUpper, 1,
   (char*)"V.ThresholdByUpper(float)\nC++: void ThresholdByUpper (double thresh);\n\n The values greater than or equal to the value match.\n"},
  {(char*)"ThresholdByLower",                (PyCFunction)PyvtkImageToImageStencil_ThresholdByLower, 1,
   (char*)"V.ThresholdByLower(float)\nC++: void ThresholdByLower (double thresh);\n\n The values less than or equal to the value match.\n"},
  {(char*)"ThresholdBetween",                (PyCFunction)PyvtkImageToImageStencil_ThresholdBetween, 1,
   (char*)"V.ThresholdBetween(float, float)\nC++: void ThresholdBetween (double lower, double upper);\n\n The values in a range (inclusive) match\n"},
  {(char*)"SetUpperThreshold",                (PyCFunction)PyvtkImageToImageStencil_SetUpperThreshold, 1,
   (char*)"V.SetUpperThreshold(float)\nC++: void SetUpperThreshold (double );\n\n Get the Upper and Lower thresholds.\n"},
  {(char*)"GetUpperThreshold",                (PyCFunction)PyvtkImageToImageStencil_GetUpperThreshold, 1,
   (char*)"V.GetUpperThreshold() -> float\nC++: double GetUpperThreshold ();\n\n Get the Upper and Lower thresholds.\n"},
  {(char*)"SetLowerThreshold",                (PyCFunction)PyvtkImageToImageStencil_SetLowerThreshold, 1,
   (char*)"V.SetLowerThreshold(float)\nC++: void SetLowerThreshold (double );\n\n Get the Upper and Lower thresholds.\n"},
  {(char*)"GetLowerThreshold",                (PyCFunction)PyvtkImageToImageStencil_GetLowerThreshold, 1,
   (char*)"V.GetLowerThreshold() -> float\nC++: double GetLowerThreshold ();\n\n Get the Upper and Lower thresholds.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageToImageStencilDoc[] = {
  (char*)"vtkImageToImageStencil - clip an image with a mask image\n\n",
  "Super Class:\n\n vtkImageStencilSource\n\n",
  (char*)" vtkImageToImageStencil will convert a vtkImageData into an stencil\n that can be used with vtkImageStecil or other vtk classes that apply\n a stencil to an image.\n\n",
  "See Also:\n\n vtkImageStencil vtkImplicitFunctionToImageStencil vtkPolyDataToImageStencil\n\n",
  NULL
};

static vtkObjectBase *vtkImageToImageStencilStaticNew()
{
  return vtkImageToImageStencil::New();
}

PyObject *PyVTKClass_vtkImageToImageStencilNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageToImageStencilStaticNew,
                        PyvtkImageToImageStencilMethods,
                        (char*)"vtkImageToImageStencil",modulename,
                        (char**)vtkImageToImageStencilDoc,
                        PyVTKClass_vtkImageStencilSourceNew(modulename));
}

