// python wrapper for vtkImageVariance3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageVariance3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageVariance3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageVariance3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageSpatialAlgorithmNew(char *); }

static PyObject *PyvtkImageVariance3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageVariance3D *op;

  const char    *temp20;
  if ((op = (vtkImageVariance3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageVariance3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageVariance3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageVariance3D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageVariance3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageVariance3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageVariance3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageVariance3D *op;

  vtkImageVariance3D  *temp20;
  if ((op = (vtkImageVariance3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageVariance3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageVariance3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageVariance3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageVariance3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageVariance3D_SetKernelSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageVariance3D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkImageVariance3D *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageVariance3D::SetKernelSize(temp0,temp1,temp2);
      }
    else
      {
      op->SetKernelSize(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImageVariance3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageVariance3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageVariance3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageVariance3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageVariance3D\nC++: vtkImageVariance3D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageVariance3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageVariance3D\nC++: vtkImageVariance3D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetKernelSize",                (PyCFunction)PyvtkImageVariance3D_SetKernelSize, 1,
   (char*)"V.SetKernelSize(int, int, int)\nC++: void SetKernelSize (int size0, int size1, int size2);\n\n This method sets the size of the neighborhood.  It also sets the default\n middle of the neighborhood and computes the Elliptical foot print.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageVariance3DDoc[] = {
  (char*)"vtkImageVariance3D - Variance in a neighborhood.\n\n",
  "Super Class:\n\n vtkImageSpatialAlgorithm\n\n",
  (char*)" vtkImageVariance3D replaces each pixel with a measurement of \n pixel variance in a elliptical neighborhood centered on that pixel.\n The value computed is not exactly the variance.\n The difference between the neighbor values and center value is computed\n and squared for each neighbor.  These values are summed and divided by\n the total number of neighbors to produce the output value.\n\n",
  NULL
};

static vtkObjectBase *vtkImageVariance3DStaticNew()
{
  return vtkImageVariance3D::New();
}

PyObject *PyVTKClass_vtkImageVariance3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageVariance3DStaticNew,
                        PyvtkImageVariance3DMethods,
                        (char*)"vtkImageVariance3D",modulename,
                        (char**)vtkImageVariance3DDoc,
                        PyVTKClass_vtkImageSpatialAlgorithmNew(modulename));
}

