// python wrapper for vtkImageWrapPad object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImageWrapPad.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageWrapPadNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageWrapPadNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImagePadFilterNew(char *); }

static PyObject *PyvtkImageWrapPad_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWrapPad *op;

  const char    *temp20;
  if ((op = (vtkImageWrapPad *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWrapPad::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWrapPad_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWrapPad *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImageWrapPad *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWrapPad::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWrapPad_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageWrapPad *op;

  vtkImageWrapPad  *temp20;
  if ((op = (vtkImageWrapPad *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageWrapPad::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageWrapPad_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageWrapPad  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageWrapPad::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkImageWrapPadMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageWrapPad_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageWrapPad_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageWrapPad_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageWrapPad\nC++: vtkImageWrapPad *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageWrapPad_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageWrapPad\nC++: vtkImageWrapPad *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageWrapPadDoc[] = {
  (char*)"vtkImageWrapPad - Makes an image larger by wrapping existing data.\n\n",
  "Super Class:\n\n vtkImagePadFilter\n\n",
  (char*)" vtkImageWrapPad performs a modulo operation on the output pixel index\n to determine the source input index.  The new image extent of the\n output has to be specified.  Input has to be the same scalar type as \n output.\n\n",
  NULL
};

static vtkObjectBase *vtkImageWrapPadStaticNew()
{
  return vtkImageWrapPad::New();
}

PyObject *PyVTKClass_vtkImageWrapPadNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageWrapPadStaticNew,
                        PyvtkImageWrapPadMethods,
                        (char*)"vtkImageWrapPad",modulename,
                        (char**)vtkImageWrapPadDoc,
                        PyVTKClass_vtkImagePadFilterNew(modulename));
}

