// python wrapper for vtkPointLoad object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPointLoad.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointLoadNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointLoadNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkPointLoad_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  const char    *temp20;
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLoad::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLoad_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLoad::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLoad_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  vtkPointLoad  *temp20;
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLoad::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLoad_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPointLoad  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPointLoad::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPointLoad_SetLoadValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  double   temp0;
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLoad::SetLoadValue(temp0);
      }
    else
      {
      op->SetLoadValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLoad_GetLoadValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  double   temp20;
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLoad::GetLoadValue();
      }
    else
      {
      temp20 = op->GetLoadValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLoad_SetSampleDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLoad::SetSampleDimensions(temp0,temp1,temp2);
      }
    else
      {
      op->SetSampleDimensions(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  int    temp0[3];
  PyErr_Clear();
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"(iii)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLoad::SetSampleDimensions(temp0);
      }
    else
      {
      op->SetSampleDimensions(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLoad_GetSampleDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  int     *temp20;
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLoad::GetSampleDimensions();
      }
    else
      {
      temp20 = op->GetSampleDimensions();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLoad_SetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLoad::SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  double temp0[6];
  PyErr_Clear();
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLoad::SetModelBounds(temp0);
      }
    else
      {
      op->SetModelBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLoad_GetModelBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  double  *temp20;
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLoad::GetModelBounds();
      }
    else
      {
      temp20 = op->GetModelBounds();
      }
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLoad_SetPoissonsRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  double   temp0;
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLoad::SetPoissonsRatio(temp0);
      }
    else
      {
      op->SetPoissonsRatio(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLoad_GetPoissonsRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  double   temp20;
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLoad::GetPoissonsRatio();
      }
    else
      {
      temp20 = op->GetPoissonsRatio();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLoad_SetComputeEffectiveStress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  int      temp0;
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLoad::SetComputeEffectiveStress(temp0);
      }
    else
      {
      op->SetComputeEffectiveStress(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLoad_GetComputeEffectiveStress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  int      temp20;
  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointLoad::GetComputeEffectiveStress();
      }
    else
      {
      temp20 = op->GetComputeEffectiveStress();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLoad_ComputeEffectiveStressOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLoad::ComputeEffectiveStressOn();
      }
    else
      {
      op->ComputeEffectiveStressOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointLoad_ComputeEffectiveStressOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointLoad *op;

  if ((op = (vtkPointLoad *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointLoad::ComputeEffectiveStressOff();
      }
    else
      {
      op->ComputeEffectiveStressOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPointLoadMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointLoad_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointLoad_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointLoad_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointLoad\nC++: vtkPointLoad *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPointLoad_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPointLoad\nC++: vtkPointLoad *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetLoadValue",                (PyCFunction)PyvtkPointLoad_SetLoadValue, 1,
   (char*)"V.SetLoadValue(float)\nC++: void SetLoadValue (double );\n\n Set/Get value of applied load.\n"},
  {(char*)"GetLoadValue",                (PyCFunction)PyvtkPointLoad_GetLoadValue, 1,
   (char*)"V.GetLoadValue() -> float\nC++: double GetLoadValue ();\n\n Set/Get value of applied load.\n"},
  {(char*)"SetSampleDimensions",                (PyCFunction)PyvtkPointLoad_SetSampleDimensions, 1,
   (char*)"V.SetSampleDimensions(int, int, int)\nC++: void SetSampleDimensions (int i, int j, int k);\nV.SetSampleDimensions((int, int, int))\nC++: void SetSampleDimensions (int dim[3]);\n\n Specify the dimensions of the volume. A stress tensor will be computed for\n each point in the volume.\n"},
  {(char*)"GetSampleDimensions",                (PyCFunction)PyvtkPointLoad_GetSampleDimensions, 1,
   (char*)"V.GetSampleDimensions() -> (int, int, int)\nC++: int  *GetSampleDimensions ();\n\n Specify the dimensions of the volume. A stress tensor will be computed for\n each point in the volume.\n"},
  {(char*)"SetModelBounds",                (PyCFunction)PyvtkPointLoad_SetModelBounds, 1,
   (char*)"V.SetModelBounds(float, float, float, float, float, float)\nC++: void SetModelBounds (double , double , double , double , double , double );\nV.SetModelBounds((float, float, float, float, float, float))\nC++: void SetModelBounds (double  a[6]);\n\n Specify the region in space over which the tensors are computed. The point\n load is assumed to be applied at top center of the volume.\n"},
  {(char*)"GetModelBounds",                (PyCFunction)PyvtkPointLoad_GetModelBounds, 1,
   (char*)"V.GetModelBounds() -> (float, float, float, float, float, float)\nC++: double  *GetModelBounds ();\n\n Specify the region in space over which the tensors are computed. The point\n load is assumed to be applied at top center of the volume.\n"},
  {(char*)"SetPoissonsRatio",                (PyCFunction)PyvtkPointLoad_SetPoissonsRatio, 1,
   (char*)"V.SetPoissonsRatio(float)\nC++: void SetPoissonsRatio (double );\n\n Set/Get Poisson's ratio.\n"},
  {(char*)"GetPoissonsRatio",                (PyCFunction)PyvtkPointLoad_GetPoissonsRatio, 1,
   (char*)"V.GetPoissonsRatio() -> float\nC++: double GetPoissonsRatio ();\n\n Set/Get Poisson's ratio.\n"},
  {(char*)"SetComputeEffectiveStress",                (PyCFunction)PyvtkPointLoad_SetComputeEffectiveStress, 1,
   (char*)"V.SetComputeEffectiveStress(int)\nC++: void SetComputeEffectiveStress (int );\n\n Turn on/off computation of effective stress scalar. These methods do \n nothing. The effective stress is always computed.\n"},
  {(char*)"GetComputeEffectiveStress",                (PyCFunction)PyvtkPointLoad_GetComputeEffectiveStress, 1,
   (char*)"V.GetComputeEffectiveStress() -> int\nC++: int GetComputeEffectiveStress ();return \n\n Turn on/off computation of effective stress scalar. These methods do \n nothing. The effective stress is always computed.\n"},
  {(char*)"ComputeEffectiveStressOn",                (PyCFunction)PyvtkPointLoad_ComputeEffectiveStressOn, 1,
   (char*)"V.ComputeEffectiveStressOn()\nC++: void ComputeEffectiveStressOn ();\n\n Turn on/off computation of effective stress scalar. These methods do \n nothing. The effective stress is always computed.\n"},
  {(char*)"ComputeEffectiveStressOff",                (PyCFunction)PyvtkPointLoad_ComputeEffectiveStressOff, 1,
   (char*)"V.ComputeEffectiveStressOff()\nC++: void ComputeEffectiveStressOff ();\n\n Turn on/off computation of effective stress scalar. These methods do \n nothing. The effective stress is always computed.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointLoadDoc[] = {
  (char*)"vtkPointLoad - compute stress tensors given point load on semi-infinite domain\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkPointLoad is a source object that computes stress tensors on a volume. \n The tensors are computed from the application of a point load on a \n semi-infinite domain. (The analytical results are adapted from Saada - see \n text.) It also is possible to compute effective stress scalars if desired.\n This object serves as a specialized data generator for some of the examples\n in the text.\n\n",
  "See Also:\n\n vtkTensorGlyph, vtkHyperStreamline\n\n",
  NULL
};

static vtkObjectBase *vtkPointLoadStaticNew()
{
  return vtkPointLoad::New();
}

PyObject *PyVTKClass_vtkPointLoadNew(char *modulename)
{
  return PyVTKClass_New(&vtkPointLoadStaticNew,
                        PyvtkPointLoadMethods,
                        (char*)"vtkPointLoad",modulename,
                        (char**)vtkPointLoadDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

