// python wrapper for vtkSurfaceReconstructionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSurfaceReconstructionFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSurfaceReconstructionFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSurfaceReconstructionFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkSurfaceReconstructionFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceReconstructionFilter *op;

  const char    *temp20;
  if ((op = (vtkSurfaceReconstructionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceReconstructionFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceReconstructionFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceReconstructionFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSurfaceReconstructionFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceReconstructionFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceReconstructionFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceReconstructionFilter *op;

  vtkSurfaceReconstructionFilter  *temp20;
  if ((op = (vtkSurfaceReconstructionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceReconstructionFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceReconstructionFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSurfaceReconstructionFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSurfaceReconstructionFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSurfaceReconstructionFilter_GetNeighborhoodSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceReconstructionFilter *op;

  int      temp20;
  if ((op = (vtkSurfaceReconstructionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceReconstructionFilter::GetNeighborhoodSize();
      }
    else
      {
      temp20 = op->GetNeighborhoodSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceReconstructionFilter_SetNeighborhoodSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceReconstructionFilter *op;

  int      temp0;
  if ((op = (vtkSurfaceReconstructionFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceReconstructionFilter::SetNeighborhoodSize(temp0);
      }
    else
      {
      op->SetNeighborhoodSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceReconstructionFilter_GetSampleSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceReconstructionFilter *op;

  double   temp20;
  if ((op = (vtkSurfaceReconstructionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSurfaceReconstructionFilter::GetSampleSpacing();
      }
    else
      {
      temp20 = op->GetSampleSpacing();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSurfaceReconstructionFilter_SetSampleSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSurfaceReconstructionFilter *op;

  double   temp0;
  if ((op = (vtkSurfaceReconstructionFilter *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSurfaceReconstructionFilter::SetSampleSpacing(temp0);
      }
    else
      {
      op->SetSampleSpacing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSurfaceReconstructionFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSurfaceReconstructionFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSurfaceReconstructionFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSurfaceReconstructionFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSurfaceReconstructionFilter\nC++: vtkSurfaceReconstructionFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSurfaceReconstructionFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSurfaceReconstructionFilter\nC++: vtkSurfaceReconstructionFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNeighborhoodSize",                (PyCFunction)PyvtkSurfaceReconstructionFilter_GetNeighborhoodSize, 1,
   (char*)"V.GetNeighborhoodSize() -> int\nC++: int GetNeighborhoodSize ();\n\n Specify the number of neighbors each point has, used for estimating the\n local surface orientation.  The default value of 20 should be OK for\n most applications, higher values can be specified if the spread of\n points is uneven. Values as low as 10 may yield adequate results for\n some surfaces. Higher values cause the algorithm to take longer. Higher\n values will cause errors on sharp boundaries.\n"},
  {(char*)"SetNeighborhoodSize",                (PyCFunction)PyvtkSurfaceReconstructionFilter_SetNeighborhoodSize, 1,
   (char*)"V.SetNeighborhoodSize(int)\nC++: void SetNeighborhoodSize (int );\n\n Specify the number of neighbors each point has, used for estimating the\n local surface orientation.  The default value of 20 should be OK for\n most applications, higher values can be specified if the spread of\n points is uneven. Values as low as 10 may yield adequate results for\n some surfaces. Higher values cause the algorithm to take longer. Higher\n values will cause errors on sharp boundaries.\n"},
  {(char*)"GetSampleSpacing",                (PyCFunction)PyvtkSurfaceReconstructionFilter_GetSampleSpacing, 1,
   (char*)"V.GetSampleSpacing() -> float\nC++: double GetSampleSpacing ();\n\n Specify the spacing of the 3D sampling grid. If not set, a\n reasonable guess will be made.\n"},
  {(char*)"SetSampleSpacing",                (PyCFunction)PyvtkSurfaceReconstructionFilter_SetSampleSpacing, 1,
   (char*)"V.SetSampleSpacing(float)\nC++: void SetSampleSpacing (double );\n\n Specify the spacing of the 3D sampling grid. If not set, a\n reasonable guess will be made.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSurfaceReconstructionFilterDoc[] = {
  (char*)"vtkSurfaceReconstructionFilter - reconstructs a surface from unorganized points\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkSurfaceReconstructionFilter takes a list of points assumed to lie on\n the surface of a solid 3D object. A signed measure of the distance to the\n surface is computed and sampled on a regular grid. The grid can then be\n contoured at zero to extract the surface. The default values for\n neighborhood size and sample spacing should give reasonable results for\n most uses but can be set if desired. Th",
  (char*)"is procedure is based on the PhD\n work of Hugues Hoppe: http://www.research.microsoft.com/~hoppe\n\n",
  NULL
};

static vtkObjectBase *vtkSurfaceReconstructionFilterStaticNew()
{
  return vtkSurfaceReconstructionFilter::New();
}

PyObject *PyVTKClass_vtkSurfaceReconstructionFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkSurfaceReconstructionFilterStaticNew,
                        PyvtkSurfaceReconstructionFilterMethods,
                        (char*)"vtkSurfaceReconstructionFilter",modulename,
                        (char**)vtkSurfaceReconstructionFilterDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

