// python wrapper for vtkTriangularTexture object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTriangularTexture.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTriangularTextureNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTriangularTextureNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkTriangularTexture_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTexture *op;

  const char    *temp20;
  if ((op = (vtkTriangularTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangularTexture::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTexture_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTexture *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTriangularTexture *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangularTexture::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTexture_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTexture *op;

  vtkTriangularTexture  *temp20;
  if ((op = (vtkTriangularTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangularTexture::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTexture_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTriangularTexture  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTriangularTexture::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTriangularTexture_SetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTexture *op;

  double   temp0;
  if ((op = (vtkTriangularTexture *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTriangularTexture::SetScaleFactor(temp0);
      }
    else
      {
      op->SetScaleFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTexture_GetScaleFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTexture *op;

  double   temp20;
  if ((op = (vtkTriangularTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangularTexture::GetScaleFactor();
      }
    else
      {
      temp20 = op->GetScaleFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTexture_SetXSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTexture *op;

  int      temp0;
  if ((op = (vtkTriangularTexture *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTriangularTexture::SetXSize(temp0);
      }
    else
      {
      op->SetXSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTexture_GetXSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTexture *op;

  int      temp20;
  if ((op = (vtkTriangularTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangularTexture::GetXSize();
      }
    else
      {
      temp20 = op->GetXSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTexture_SetYSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTexture *op;

  int      temp0;
  if ((op = (vtkTriangularTexture *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTriangularTexture::SetYSize(temp0);
      }
    else
      {
      op->SetYSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTexture_GetYSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTexture *op;

  int      temp20;
  if ((op = (vtkTriangularTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangularTexture::GetYSize();
      }
    else
      {
      temp20 = op->GetYSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTexture_SetTexturePattern(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTexture *op;

  int      temp0;
  if ((op = (vtkTriangularTexture *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTriangularTexture::SetTexturePattern(temp0);
      }
    else
      {
      op->SetTexturePattern(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTexture_GetTexturePatternMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTexture *op;

  int      temp20;
  if ((op = (vtkTriangularTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangularTexture::GetTexturePatternMinValue();
      }
    else
      {
      temp20 = op->GetTexturePatternMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTexture_GetTexturePatternMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTexture *op;

  int      temp20;
  if ((op = (vtkTriangularTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangularTexture::GetTexturePatternMaxValue();
      }
    else
      {
      temp20 = op->GetTexturePatternMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTriangularTexture_GetTexturePattern(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTriangularTexture *op;

  int      temp20;
  if ((op = (vtkTriangularTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTriangularTexture::GetTexturePattern();
      }
    else
      {
      temp20 = op->GetTexturePattern();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTriangularTextureMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTriangularTexture_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTriangularTexture_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTriangularTexture_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTriangularTexture\nC++: vtkTriangularTexture *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTriangularTexture_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTriangularTexture\nC++: vtkTriangularTexture *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetScaleFactor",                (PyCFunction)PyvtkTriangularTexture_SetScaleFactor, 1,
   (char*)"V.SetScaleFactor(float)\nC++: void SetScaleFactor (double );\n\n Set a Scale Factor.\n"},
  {(char*)"GetScaleFactor",                (PyCFunction)PyvtkTriangularTexture_GetScaleFactor, 1,
   (char*)"V.GetScaleFactor() -> float\nC++: double GetScaleFactor ();\n\n Set a Scale Factor.\n"},
  {(char*)"SetXSize",                (PyCFunction)PyvtkTriangularTexture_SetXSize, 1,
   (char*)"V.SetXSize(int)\nC++: void SetXSize (int );\n\n Set the X texture map dimension. Default is 64.\n"},
  {(char*)"GetXSize",                (PyCFunction)PyvtkTriangularTexture_GetXSize, 1,
   (char*)"V.GetXSize() -> int\nC++: int GetXSize ();\n\n Set the X texture map dimension. Default is 64.\n"},
  {(char*)"SetYSize",                (PyCFunction)PyvtkTriangularTexture_SetYSize, 1,
   (char*)"V.SetYSize(int)\nC++: void SetYSize (int );\n\n Set the Y texture map dimension. Default is 64.\n"},
  {(char*)"GetYSize",                (PyCFunction)PyvtkTriangularTexture_GetYSize, 1,
   (char*)"V.GetYSize() -> int\nC++: int GetYSize ();\n\n Set the Y texture map dimension. Default is 64.\n"},
  {(char*)"SetTexturePattern",                (PyCFunction)PyvtkTriangularTexture_SetTexturePattern, 1,
   (char*)"V.SetTexturePattern(int)\nC++: void SetTexturePattern (int );\n\n Set the texture pattern.\n    1 = opaque at centroid (default)\n    2 = opaque at vertices\n    3 = opaque in rings around vertices\n"},
  {(char*)"GetTexturePatternMinValue",                (PyCFunction)PyvtkTriangularTexture_GetTexturePatternMinValue, 1,
   (char*)"V.GetTexturePatternMinValue() -> int\nC++: int GetTexturePatternMinValue ();\n\n Set the texture pattern.\n    1 = opaque at centroid (default)\n    2 = opaque at vertices\n    3 = opaque in rings around vertices\n"},
  {(char*)"GetTexturePatternMaxValue",                (PyCFunction)PyvtkTriangularTexture_GetTexturePatternMaxValue, 1,
   (char*)"V.GetTexturePatternMaxValue() -> int\nC++: int GetTexturePatternMaxValue ();\n\n Set the texture pattern.\n    1 = opaque at centroid (default)\n    2 = opaque at vertices\n    3 = opaque in rings around vertices\n"},
  {(char*)"GetTexturePattern",                (PyCFunction)PyvtkTriangularTexture_GetTexturePattern, 1,
   (char*)"V.GetTexturePattern() -> int\nC++: int GetTexturePattern ();\n\n Set the texture pattern.\n    1 = opaque at centroid (default)\n    2 = opaque at vertices\n    3 = opaque in rings around vertices\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTriangularTextureDoc[] = {
  (char*)"vtkTriangularTexture - generate 2D triangular texture map\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkTriangularTexture is a filter that generates a 2D texture map based on \n the paper \"Opacity-modulating Triangular Textures for Irregular Surfaces,\"\n by Penny Rheingans, IEEE Visualization '96, pp. 219-225.\n The textures assume texture coordinates of (0,0), (1.0) and\n (.5, sqrt(3)/2). The sequence of texture values is the same along each\n edge of the triangular texture map. So, the assignment o",
  (char*)"rder of texture\n coordinates is arbitrary.\n\n",
  "See Also:\n\n vtkTriangularTCoords\n\n",
  NULL
};

static vtkObjectBase *vtkTriangularTextureStaticNew()
{
  return vtkTriangularTexture::New();
}

PyObject *PyVTKClass_vtkTriangularTextureNew(char *modulename)
{
  return PyVTKClass_New(&vtkTriangularTextureStaticNew,
                        PyvtkTriangularTextureMethods,
                        (char*)"vtkTriangularTexture",modulename,
                        (char**)vtkTriangularTextureDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

