// python wrapper for vtkBranchExtentTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkBranchExtentTranslator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkBranchExtentTranslatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkBranchExtentTranslatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtentTranslatorNew(char *); }

static PyObject *PyvtkBranchExtentTranslator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBranchExtentTranslator *op;

  const char    *temp20;
  if ((op = (vtkBranchExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBranchExtentTranslator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkBranchExtentTranslator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBranchExtentTranslator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkBranchExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBranchExtentTranslator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBranchExtentTranslator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBranchExtentTranslator *op;

  vtkBranchExtentTranslator  *temp20;
  if ((op = (vtkBranchExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBranchExtentTranslator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBranchExtentTranslator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkBranchExtentTranslator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkBranchExtentTranslator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkBranchExtentTranslator_SetOriginalSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBranchExtentTranslator *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkBranchExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkBranchExtentTranslator::SetOriginalSource(temp0);
      }
    else
      {
      op->SetOriginalSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkBranchExtentTranslator_GetOriginalSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBranchExtentTranslator *op;

  vtkImageData  *temp20;
  if ((op = (vtkBranchExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBranchExtentTranslator::GetOriginalSource();
      }
    else
      {
      temp20 = op->GetOriginalSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBranchExtentTranslator_PieceToExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBranchExtentTranslator *op;

  int      temp20;
  if ((op = (vtkBranchExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBranchExtentTranslator::PieceToExtent();
      }
    else
      {
      temp20 = op->PieceToExtent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBranchExtentTranslator_SetAssignedPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBranchExtentTranslator *op;

  int      temp0;
  if ((op = (vtkBranchExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBranchExtentTranslator::SetAssignedPiece(temp0);
      }
    else
      {
      op->SetAssignedPiece(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBranchExtentTranslator_GetAssignedPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBranchExtentTranslator *op;

  int      temp20;
  if ((op = (vtkBranchExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBranchExtentTranslator::GetAssignedPiece();
      }
    else
      {
      temp20 = op->GetAssignedPiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkBranchExtentTranslator_SetAssignedNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBranchExtentTranslator *op;

  int      temp0;
  if ((op = (vtkBranchExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkBranchExtentTranslator::SetAssignedNumberOfPieces(temp0);
      }
    else
      {
      op->SetAssignedNumberOfPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkBranchExtentTranslator_GetAssignedNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkBranchExtentTranslator *op;

  int      temp20;
  if ((op = (vtkBranchExtentTranslator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkBranchExtentTranslator::GetAssignedNumberOfPieces();
      }
    else
      {
      temp20 = op->GetAssignedNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkBranchExtentTranslatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkBranchExtentTranslator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkBranchExtentTranslator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkBranchExtentTranslator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkBranchExtentTranslator\nC++: vtkBranchExtentTranslator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkBranchExtentTranslator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkBranchExtentTranslator\nC++: vtkBranchExtentTranslator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOriginalSource",                (PyCFunction)PyvtkBranchExtentTranslator_SetOriginalSource, 1,
   (char*)"V.SetOriginalSource(vtkImageData)\nC++: virtual void SetOriginalSource (vtkImageData *);\n\n This is the original upstream image source.\n"},
  {(char*)"GetOriginalSource",                (PyCFunction)PyvtkBranchExtentTranslator_GetOriginalSource, 1,
   (char*)"V.GetOriginalSource() -> vtkImageData\nC++: vtkImageData *GetOriginalSource ();\n\n This is the original upstream image source.\n"},
  {(char*)"PieceToExtent",                (PyCFunction)PyvtkBranchExtentTranslator_PieceToExtent, 1,
   (char*)"V.PieceToExtent() -> int\nC++: int PieceToExtent ();\n\n Generates the extent from the pieces.\n"},
  {(char*)"SetAssignedPiece",                (PyCFunction)PyvtkBranchExtentTranslator_SetAssignedPiece, 1,
   (char*)"V.SetAssignedPiece(int)\nC++: void SetAssignedPiece (int );\n\n This unstructured extent/piece is store here for the users convenience.\n It is not used internally.  The intent was to let an \"assignment\" be made\n when the translator/first source is created.  The translator/assignment\n can be used for any new filter that uses the original source as output.\n Branches will then have the same assignment.\n"},
  {(char*)"GetAssignedPiece",                (PyCFunction)PyvtkBranchExtentTranslator_GetAssignedPiece, 1,
   (char*)"V.GetAssignedPiece() -> int\nC++: int GetAssignedPiece ();\n\n This unstructured extent/piece is store here for the users convenience.\n It is not used internally.  The intent was to let an \"assignment\" be made\n when the translator/first source is created.  The translator/assignment\n can be used for any new filter that uses the original source as output.\n Branches will then have the same assignment.\n"},
  {(char*)"SetAssignedNumberOfPieces",                (PyCFunction)PyvtkBranchExtentTranslator_SetAssignedNumberOfPieces, 1,
   (char*)"V.SetAssignedNumberOfPieces(int)\nC++: void SetAssignedNumberOfPieces (int );\n\n This unstructured extent/piece is store here for the users convenience.\n It is not used internally.  The intent was to let an \"assignment\" be made\n when the translator/first source is created.  The translator/assignment\n can be used for any new filter that uses the original source as output.\n Branches will then have the same assignment.\n"},
  {(char*)"GetAssignedNumberOfPieces",                (PyCFunction)PyvtkBranchExtentTranslator_GetAssignedNumberOfPieces, 1,
   (char*)"V.GetAssignedNumberOfPieces() -> int\nC++: int GetAssignedNumberOfPieces ();\n\n This unstructured extent/piece is store here for the users convenience.\n It is not used internally.  The intent was to let an \"assignment\" be made\n when the translator/first source is created.  The translator/assignment\n can be used for any new filter that uses the original source as output.\n Branches will then have the same assignment.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkBranchExtentTranslatorDoc[] = {
  (char*)"vtkBranchExtentTranslator - Uses alternative source for whole extent.\n\n",
  "Super Class:\n\n vtkExtentTranslator\n\n",
  (char*)" vtkBranchExtentTranslator is like extent translator, but it uses an \n alternative source as a whole extent. The whole extent passed is assumed \n to be a subextent of the original source.  we simply take the intersection \n of the split extent and the whole extdent passed in.  We are attempting to\n make branching pipelines request consistent extents with the same piece \n requests.  \n\n",
  "Caveats:\n\n This object is still under development.\n\n",
  NULL
};

static vtkObjectBase *vtkBranchExtentTranslatorStaticNew()
{
  return vtkBranchExtentTranslator::New();
}

PyObject *PyVTKClass_vtkBranchExtentTranslatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkBranchExtentTranslatorStaticNew,
                        PyvtkBranchExtentTranslatorMethods,
                        (char*)"vtkBranchExtentTranslator",modulename,
                        (char**)vtkBranchExtentTranslatorDoc,
                        PyVTKClass_vtkExtentTranslatorNew(modulename));
}

