// python wrapper for vtkCommunicator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCommunicator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCommunicatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCommunicatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCommunicator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  const char    *temp20;
  if ((op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkCommunicator  *temp20;
  if ((op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_Send(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ((op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Send(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break3:
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Send(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_Receive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ((op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Receive(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCommunicator::Receive(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  /* handle an occurrence */
  {
  vtkCommunicator *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCommunicator_SetUseCopy(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkCommunicator::SetUseCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCommunicatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCommunicator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCommunicator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCommunicator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCommunicator\nC++: vtkCommunicator *NewInstance ();\n\n"},
  {(char*)"Send",                (PyCFunction)PyvtkCommunicator_Send, 1,
   (char*)"V.Send(vtkDataObject, int, int) -> int\nC++: virtual int Send (vtkDataObject *data, int remoteHandle, int tag);\nV.Send(vtkDataArray, int, int) -> int\nC++: virtual int Send (vtkDataArray *data, int remoteHandle, int tag);\nV.Send(string, int, int, int) -> int\nC++: virtual int Send (char *data, int length, int remoteHandle, int tag) = 0;\n\n This method sends a data object to a destination.  \n Tag eliminates ambiguity\n and is used to match sends to receives.\n"},
  {(char*)"Receive",                (PyCFunction)PyvtkCommunicator_Receive, 1,
   (char*)"V.Receive(vtkDataObject, int, int) -> int\nC++: virtual int Receive (vtkDataObject *data, int remoteHandle, int tag);\nV.Receive(vtkDataArray, int, int) -> int\nC++: virtual int Receive (vtkDataArray *data, int remoteHandle, int tag);\nV.Receive(string, int, int, int) -> int\nC++: virtual int Receive (char *data, int length, int remoteHandle, int tag) = 0;\n\n This method receives a data object from a corresponding send. It blocks\n until the receive is finished. \n"},
  {(char*)"SetUseCopy",                (PyCFunction)PyvtkCommunicator_SetUseCopy, 1,
   (char*)"V.SetUseCopy(int)\nC++: static void SetUseCopy (int useCopy);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCommunicatorDoc[] = {
  (char*)"vtkCommunicator - Used to send/receive messages in a multiprocess environment.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This is an abstact class which contains functionality for sending\n and receiving inter-process messages. It contains methods for marshaling\n an object into a string (currently used by the MPI communicator but\n not the shared memory communicator).\n\n",
  "Caveats:\n\n Communication between systems with different vtkIdTypes is not\n supported. All machines have to have the same vtkIdType.\n\n",
  "See Also:\n\n vtkMPICommunicator\n\n",
  NULL
};

PyObject *PyVTKClass_vtkCommunicatorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkCommunicatorMethods,
                        (char*)"vtkCommunicator",modulename,
                        (char**)vtkCommunicatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

