// tcl wrapper for vtkCompositer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositer.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkCompositerNewCommand()
{
  vtkCompositer *temp = vtkCompositer::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCompositerCppCommand(vtkCompositer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCompositerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCompositerCppCommand((vtkCompositer *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCompositerCppCommand(vtkCompositer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCompositer",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCompositer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCompositer");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCompositer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCompositer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCompositer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCompositer");
    return TCL_OK;
    }
    }
  if ((!strcmp("CompositeBuffer",argv[1]))&&(argc == 6))
    {
    vtkDataArray  *temp0;
    vtkFloatArray  *temp1;
    vtkDataArray  *temp2;
    vtkFloatArray  *temp3;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataArray",interp,error));
    temp1 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkFloatArray",interp,error));
    temp2 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkDataArray",interp,error));
    temp3 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkFloatArray",interp,error));
    if (!error)
    {
    op->CompositeBuffer(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMultiProcessController",interp,error));
    if (!error)
    {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfProcesses",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfProcesses(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfProcesses",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfProcesses();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DeleteArray",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataArray",interp,error));
    if (!error)
    {
    op->DeleteArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResizeFloatArray",argv[1]))&&(argc == 5))
    {
    vtkFloatArray  *temp0;
    int      temp1;
    vtkIdType   temp2;
    error = 0;

    temp0 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkFloatArray",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->ResizeFloatArray(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResizeUnsignedCharArray",argv[1]))&&(argc == 5))
    {
    vtkUnsignedCharArray  *temp0;
    int      temp1;
    vtkIdType   temp2;
    error = 0;

    temp0 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkUnsignedCharArray",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->ResizeUnsignedCharArray(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkCompositerCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCompositer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CompositeBuffer\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetController\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfProcesses\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfProcesses\n",NULL);
    Tcl_AppendResult(interp,"  DeleteArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ResizeFloatArray\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ResizeUnsignedCharArray\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
