// python wrapper for vtkCompressCompositer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCompressCompositer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCompressCompositerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCompressCompositerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCompositerNew(char *); }

static PyObject *PyvtkCompressCompositer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompressCompositer *op;

  const char    *temp20;
  if ((op = (vtkCompressCompositer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompressCompositer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCompressCompositer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompressCompositer *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCompressCompositer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompressCompositer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompressCompositer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompressCompositer *op;

  vtkCompressCompositer  *temp20;
  if ((op = (vtkCompressCompositer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCompressCompositer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCompressCompositer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCompressCompositer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCompressCompositer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCompressCompositer_CompositeBuffer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCompressCompositer *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkFloatArray  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  vtkFloatArray  *temp3;
  PyObject *tempH3;
  if ((op = (vtkCompressCompositer *)PyArg_VTKParseTuple(self, args, (char*)"OOOO", &tempH0, &tempH1, &tempH2, &tempH3)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkFloatArray");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break4;
    temp3 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkFloatArray");
    if (!temp3 && tempH3 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkCompressCompositer::CompositeBuffer(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->CompositeBuffer(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkCompressCompositer_Compress(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFloatArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkFloatArray  *temp2;
  PyObject *tempH2;
  vtkDataArray  *temp3;
  PyObject *tempH3;
  if ((PyArg_ParseTuple(args, (char*)"OOOO", &tempH0, &tempH1, &tempH2, &tempH3)))
    {
    temp0 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFloatArray");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break5;
    temp2 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkFloatArray");
    if (!temp2 && tempH2 != Py_None) goto break5;
    temp3 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDataArray");
    if (!temp3 && tempH3 != Py_None) goto break5;
      {
      vtkCompressCompositer::Compress(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkCompressCompositer_Uncompress(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFloatArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkFloatArray  *temp2;
  PyObject *tempH2;
  vtkDataArray  *temp3;
  PyObject *tempH3;
  int      temp4;
  if ((PyArg_ParseTuple(args, (char*)"OOOOi", &tempH0, &tempH1, &tempH2, &tempH3, &temp4)))
    {
    temp0 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFloatArray");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break6;
    temp2 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkFloatArray");
    if (!temp2 && tempH2 != Py_None) goto break6;
    temp3 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDataArray");
    if (!temp3 && tempH3 != Py_None) goto break6;
      {
      vtkCompressCompositer::Uncompress(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkCompressCompositer_CompositeImagePair(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFloatArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkFloatArray  *temp2;
  PyObject *tempH2;
  vtkDataArray  *temp3;
  PyObject *tempH3;
  vtkFloatArray  *temp4;
  PyObject *tempH4;
  vtkDataArray  *temp5;
  PyObject *tempH5;
  if ((PyArg_ParseTuple(args, (char*)"OOOOOO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4, &tempH5)))
    {
    temp0 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkFloatArray");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break7;
    temp2 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkFloatArray");
    if (!temp2 && tempH2 != Py_None) goto break7;
    temp3 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDataArray");
    if (!temp3 && tempH3 != Py_None) goto break7;
    temp4 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkFloatArray");
    if (!temp4 && tempH4 != Py_None) goto break7;
    temp5 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkDataArray");
    if (!temp5 && tempH5 != Py_None) goto break7;
      {
      vtkCompressCompositer::CompositeImagePair(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkCompressCompositerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCompressCompositer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCompressCompositer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCompressCompositer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCompressCompositer\nC++: vtkCompressCompositer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCompressCompositer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCompressCompositer\nC++: vtkCompressCompositer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CompositeBuffer",                (PyCFunction)PyvtkCompressCompositer_CompositeBuffer, 1,
   (char*)"V.CompositeBuffer(vtkDataArray, vtkFloatArray, vtkDataArray, vtkFloatArray)\nC++: virtual void CompositeBuffer (vtkDataArray *pBuf, vtkFloatArray *zBuf, vtkDataArray *pTmp, vtkFloatArray *zTmp);\n\n"},
  {(char*)"Compress",                (PyCFunction)PyvtkCompressCompositer_Compress, 1,
   (char*)"V.Compress(vtkFloatArray, vtkDataArray, vtkFloatArray, vtkDataArray)\nC++: static void Compress (vtkFloatArray *zIn, vtkDataArray *pIn, vtkFloatArray *zOut, vtkDataArray *pOut);\n\n I am granting access to these methods and making them static\n So I can create a TileDisplayCompositer which uses compression.\n"},
  {(char*)"Uncompress",                (PyCFunction)PyvtkCompressCompositer_Uncompress, 1,
   (char*)"V.Uncompress(vtkFloatArray, vtkDataArray, vtkFloatArray, vtkDataArray, int)\nC++: static void Uncompress (vtkFloatArray *zIn, vtkDataArray *pIn, vtkFloatArray *zOut, vtkDataArray *pOut, int finalLength);\n\n"},
  {(char*)"CompositeImagePair",                (PyCFunction)PyvtkCompressCompositer_CompositeImagePair, 1,
   (char*)"V.CompositeImagePair(vtkFloatArray, vtkDataArray, vtkFloatArray, vtkDataArray, vtkFloatArray, vtkDataArray)\nC++: static void CompositeImagePair (vtkFloatArray *localZ, vtkDataArray *localP, vtkFloatArray *remoteZ, vtkDataArray *remoteP, vtkFloatArray *outZ, vtkDataArray *outP);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCompressCompositerDoc[] = {
  (char*)"vtkCompressCompositer - Implements compressed tree based compositing.\n\n",
  "Super Class:\n\n vtkCompositer\n\n",
  (char*)" vtkCompressCompositer operates in multiple processes.  Each compositer has \n a render window.  They use vtkMultiProcessController to communicate \n the color and depth buffer to process 0's render window.\n It will not handle transparency.  Compositing is run length encoding\n of background pixels.\n\n SECTION See Also\n vtkCompositeManager.\n\n",
  NULL
};

static vtkObjectBase *vtkCompressCompositerStaticNew()
{
  return vtkCompressCompositer::New();
}

PyObject *PyVTKClass_vtkCompressCompositerNew(char *modulename)
{
  return PyVTKClass_New(&vtkCompressCompositerStaticNew,
                        PyvtkCompressCompositerMethods,
                        (char*)"vtkCompressCompositer",modulename,
                        (char**)vtkCompressCompositerDoc,
                        PyVTKClass_vtkCompositerNew(modulename));
}

