// python wrapper for vtkCutMaterial object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCutMaterial.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCutMaterialNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCutMaterialNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkCutMaterial_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  const char    *temp20;
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutMaterial::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCutMaterial_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutMaterial::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutMaterial_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  vtkCutMaterial  *temp20;
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutMaterial::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutMaterial_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCutMaterial  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCutMaterial::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCutMaterial_SetMaterialArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  char    *temp0;
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutMaterial::SetMaterialArrayName(temp0);
      }
    else
      {
      op->SetMaterialArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCutMaterial_GetMaterialArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  char    *temp20;
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutMaterial::GetMaterialArrayName();
      }
    else
      {
      temp20 = op->GetMaterialArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCutMaterial_SetMaterial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  int      temp0;
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutMaterial::SetMaterial(temp0);
      }
    else
      {
      op->SetMaterial(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCutMaterial_GetMaterial(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  int      temp20;
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutMaterial::GetMaterial();
      }
    else
      {
      temp20 = op->GetMaterial();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutMaterial_SetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  char    *temp0;
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutMaterial::SetArrayName(temp0);
      }
    else
      {
      op->SetArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCutMaterial_GetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  char    *temp20;
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutMaterial::GetArrayName();
      }
    else
      {
      temp20 = op->GetArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCutMaterial_SetUpVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutMaterial::SetUpVector(temp0,temp1,temp2);
      }
    else
      {
      op->SetUpVector(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCutMaterial::SetUpVector(temp0);
      }
    else
      {
      op->SetUpVector(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCutMaterial_GetUpVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  double  *temp20;
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutMaterial::GetUpVector();
      }
    else
      {
      temp20 = op->GetUpVector();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutMaterial_GetMaximumPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  double  *temp20;
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutMaterial::GetMaximumPoint();
      }
    else
      {
      temp20 = op->GetMaximumPoint();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutMaterial_GetCenterPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  double  *temp20;
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutMaterial::GetCenterPoint();
      }
    else
      {
      temp20 = op->GetCenterPoint();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkCutMaterial_GetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCutMaterial *op;

  double  *temp20;
  if ((op = (vtkCutMaterial *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCutMaterial::GetNormal();
      }
    else
      {
      temp20 = op->GetNormal();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCutMaterialMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCutMaterial_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCutMaterial_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCutMaterial_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCutMaterial\nC++: vtkCutMaterial *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCutMaterial_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCutMaterial\nC++: vtkCutMaterial *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMaterialArrayName",                (PyCFunction)PyvtkCutMaterial_SetMaterialArrayName, 1,
   (char*)"V.SetMaterialArrayName(string)\nC++: void SetMaterialArrayName (char *);\n\n Cell array that contains the material values.\n"},
  {(char*)"GetMaterialArrayName",                (PyCFunction)PyvtkCutMaterial_GetMaterialArrayName, 1,
   (char*)"V.GetMaterialArrayName() -> string\nC++: char *GetMaterialArrayName ();\n\n Cell array that contains the material values.\n"},
  {(char*)"SetMaterial",                (PyCFunction)PyvtkCutMaterial_SetMaterial, 1,
   (char*)"V.SetMaterial(int)\nC++: void SetMaterial (int );\n\n Material to probe.\n"},
  {(char*)"GetMaterial",                (PyCFunction)PyvtkCutMaterial_GetMaterial, 1,
   (char*)"V.GetMaterial() -> int\nC++: int GetMaterial ();\n\n Material to probe.\n"},
  {(char*)"SetArrayName",                (PyCFunction)PyvtkCutMaterial_SetArrayName, 1,
   (char*)"V.SetArrayName(string)\nC++: void SetArrayName (char *);\n\n For now, we just use the cell values.\n The array name to cut.\n"},
  {(char*)"GetArrayName",                (PyCFunction)PyvtkCutMaterial_GetArrayName, 1,
   (char*)"V.GetArrayName() -> string\nC++: char *GetArrayName ();\n\n For now, we just use the cell values.\n The array name to cut.\n"},
  {(char*)"SetUpVector",                (PyCFunction)PyvtkCutMaterial_SetUpVector, 1,
   (char*)"V.SetUpVector(float, float, float)\nC++: void SetUpVector (double , double , double );\nV.SetUpVector((float, float, float))\nC++: void SetUpVector (double  a[3]);\n\n The last piece of information that specifies the plane.\n"},
  {(char*)"GetUpVector",                (PyCFunction)PyvtkCutMaterial_GetUpVector, 1,
   (char*)"V.GetUpVector() -> (float, float, float)\nC++: double  *GetUpVector ();\n\n The last piece of information that specifies the plane.\n"},
  {(char*)"GetMaximumPoint",                (PyCFunction)PyvtkCutMaterial_GetMaximumPoint, 1,
   (char*)"V.GetMaximumPoint() -> (float, float, float)\nC++: double  *GetMaximumPoint ();\n\n Accesses to the values computed during the execute method.  They\n could be used to get a good camera view for the resulting plane.\n"},
  {(char*)"GetCenterPoint",                (PyCFunction)PyvtkCutMaterial_GetCenterPoint, 1,
   (char*)"V.GetCenterPoint() -> (float, float, float)\nC++: double  *GetCenterPoint ();\n\n Accesses to the values computed during the execute method.  They\n could be used to get a good camera view for the resulting plane.\n"},
  {(char*)"GetNormal",                (PyCFunction)PyvtkCutMaterial_GetNormal, 1,
   (char*)"V.GetNormal() -> (float, float, float)\nC++: double  *GetNormal ();\n\n Accesses to the values computed during the execute method.  They\n could be used to get a good camera view for the resulting plane.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCutMaterialDoc[] = {
  (char*)"vtkCutMaterial - Automatically computes the cut plane for a material array pair.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkCutMaterial computes a cut plane based on an up vector, center of the bounding box\n and the location of the maximum variable value.\n  These computed values are available so that they can be used to set the camera\n for the best view of the plane.\n\n",
  NULL
};

static vtkObjectBase *vtkCutMaterialStaticNew()
{
  return vtkCutMaterial::New();
}

PyObject *PyVTKClass_vtkCutMaterialNew(char *modulename)
{
  return PyVTKClass_New(&vtkCutMaterialStaticNew,
                        PyvtkCutMaterialMethods,
                        (char*)"vtkCutMaterial",modulename,
                        (char**)vtkCutMaterialDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

