// tcl wrapper for vtkDistributedDataFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDistributedDataFilter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkDistributedDataFilterNewCommand()
{
  vtkDistributedDataFilter *temp = vtkDistributedDataFilter::New();
  return ((ClientData)temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDistributedDataFilterCppCommand(vtkDistributedDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDistributedDataFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDistributedDataFilterCppCommand((vtkDistributedDataFilter *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDistributedDataFilterCppCommand(vtkDistributedDataFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDistributedDataFilter",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand((vtkUnstructuredGridAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkUnstructuredGridAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDistributedDataFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDistributedDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDistributedDataFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDistributedDataFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDistributedDataFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDistributedDataFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMultiProcessController",interp,error));
    if (!error)
    {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalNodeIdArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGlobalNodeIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGlobalElementIdArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGlobalElementIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RetainKdtreeOn",argv[1]))&&(argc == 2))
    {
    op->RetainKdtreeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RetainKdtreeOff",argv[1]))&&(argc == 2))
    {
    op->RetainKdtreeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRetainKdtree",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRetainKdtree();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRetainKdtree",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRetainKdtree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKdtree",argv[1]))&&(argc == 2))
    {
    vtkPKdTree  *temp20;
    temp20 = (op)->GetKdtree();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPKdTree");
    return TCL_OK;
    }
  if ((!strcmp("IncludeAllIntersectingCellsOn",argv[1]))&&(argc == 2))
    {
    op->IncludeAllIntersectingCellsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IncludeAllIntersectingCellsOff",argv[1]))&&(argc == 2))
    {
    op->IncludeAllIntersectingCellsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetIncludeAllIntersectingCells",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIncludeAllIntersectingCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIncludeAllIntersectingCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIncludeAllIntersectingCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClipCellsOn",argv[1]))&&(argc == 2))
    {
    op->ClipCellsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClipCellsOff",argv[1]))&&(argc == 2))
    {
    op->ClipCellsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetClipCells",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClipCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetClipCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClipCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBoundaryMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBoundaryMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBoundaryModeToAssignToOneRegion",argv[1]))&&(argc == 2))
    {
    op->SetBoundaryModeToAssignToOneRegion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBoundaryModeToAssignToAllIntersectingRegions",argv[1]))&&(argc == 2))
    {
    op->SetBoundaryModeToAssignToAllIntersectingRegions();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBoundaryModeToSplitBoundaryCells",argv[1]))&&(argc == 2))
    {
    op->SetBoundaryModeToSplitBoundaryCells();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBoundaryMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBoundaryMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseMinimalMemoryOn",argv[1]))&&(argc == 2))
    {
    op->UseMinimalMemoryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseMinimalMemoryOff",argv[1]))&&(argc == 2))
    {
    op->UseMinimalMemoryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetUseMinimalMemory",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseMinimalMemory();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseMinimalMemory",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseMinimalMemory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("TimingOn",argv[1]))&&(argc == 2))
    {
    op->TimingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TimingOff",argv[1]))&&(argc == 2))
    {
    op->TimingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTiming",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTiming(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTiming",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTiming();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkDistributedDataFilterCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDistributedDataFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetController\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalNodeIdArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalElementIdArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RetainKdtreeOn\n",NULL);
    Tcl_AppendResult(interp,"  RetainKdtreeOff\n",NULL);
    Tcl_AppendResult(interp,"  GetRetainKdtree\n",NULL);
    Tcl_AppendResult(interp,"  SetRetainKdtree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKdtree\n",NULL);
    Tcl_AppendResult(interp,"  IncludeAllIntersectingCellsOn\n",NULL);
    Tcl_AppendResult(interp,"  IncludeAllIntersectingCellsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetIncludeAllIntersectingCells\n",NULL);
    Tcl_AppendResult(interp,"  SetIncludeAllIntersectingCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClipCellsOn\n",NULL);
    Tcl_AppendResult(interp,"  ClipCellsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetClipCells\n",NULL);
    Tcl_AppendResult(interp,"  SetClipCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundaryMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundaryModeToAssignToOneRegion\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundaryModeToAssignToAllIntersectingRegions\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundaryModeToSplitBoundaryCells\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundaryMode\n",NULL);
    Tcl_AppendResult(interp,"  UseMinimalMemoryOn\n",NULL);
    Tcl_AppendResult(interp,"  UseMinimalMemoryOff\n",NULL);
    Tcl_AppendResult(interp,"  GetUseMinimalMemory\n",NULL);
    Tcl_AppendResult(interp,"  SetUseMinimalMemory\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TimingOn\n",NULL);
    Tcl_AppendResult(interp,"  TimingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTiming\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTiming\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (vtkUnstructuredGridAlgorithmCppCommand((vtkUnstructuredGridAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
