// python wrapper for vtkExodusIIWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkExodusIIWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExodusIIWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExodusIIWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWriterNew(char *); }

static PyObject *PyvtkExodusIIWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  const char    *temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  vtkExodusIIWriter  *temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExodusIIWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExodusIIWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  vtkUnstructuredGrid  *temp0;
  PyObject *tempH0;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkUnstructuredGrid *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnstructuredGrid");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  vtkUnstructuredGrid  *temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_SetModelMetadata(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  vtkModelMetadata  *temp0;
  PyObject *tempH0;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkModelMetadata *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkModelMetadata");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::SetModelMetadata(temp0);
      }
    else
      {
      op->SetModelMetadata(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetModelMetadata(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  vtkModelMetadata  *temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetModelMetadata();
      }
    else
      {
      temp20 = op->GetModelMetadata();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetOrCreateModelMetadata(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  vtkModelMetadata  *temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetOrCreateModelMetadata();
      }
    else
      {
      temp20 = op->GetOrCreateModelMetadata();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  char    *temp0;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  char    *temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_SetStoreDoubles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp0;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::SetStoreDoubles(temp0);
      }
    else
      {
      op->SetStoreDoubles(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetStoreDoubles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetStoreDoubles();
      }
    else
      {
      temp20 = op->GetStoreDoubles();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_SetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp0;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::SetGhostLevel(temp0);
      }
    else
      {
      op->SetGhostLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetGhostLevel();
      }
    else
      {
      temp20 = op->GetGhostLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_SetBlockIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  char    *temp0;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::SetBlockIdArrayName(temp0);
      }
    else
      {
      op->SetBlockIdArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetBlockIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  char    *temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetBlockIdArrayName();
      }
    else
      {
      temp20 = op->GetBlockIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_SetWriteOutBlockIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp0;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::SetWriteOutBlockIdArray(temp0);
      }
    else
      {
      op->SetWriteOutBlockIdArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetWriteOutBlockIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetWriteOutBlockIdArray();
      }
    else
      {
      temp20 = op->GetWriteOutBlockIdArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_WriteOutBlockIdArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::WriteOutBlockIdArrayOn();
      }
    else
      {
      op->WriteOutBlockIdArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_WriteOutBlockIdArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::WriteOutBlockIdArrayOff();
      }
    else
      {
      op->WriteOutBlockIdArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_SetGlobalNodeIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  char    *temp0;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::SetGlobalNodeIdArrayName(temp0);
      }
    else
      {
      op->SetGlobalNodeIdArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetGlobalNodeIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  char    *temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetGlobalNodeIdArrayName();
      }
    else
      {
      temp20 = op->GetGlobalNodeIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_SetWriteOutGlobalNodeIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp0;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::SetWriteOutGlobalNodeIdArray(temp0);
      }
    else
      {
      op->SetWriteOutGlobalNodeIdArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetWriteOutGlobalNodeIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetWriteOutGlobalNodeIdArray();
      }
    else
      {
      temp20 = op->GetWriteOutGlobalNodeIdArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_WriteOutGlobalNodeIdArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::WriteOutGlobalNodeIdArrayOn();
      }
    else
      {
      op->WriteOutGlobalNodeIdArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_WriteOutGlobalNodeIdArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::WriteOutGlobalNodeIdArrayOff();
      }
    else
      {
      op->WriteOutGlobalNodeIdArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_SetGlobalElementIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  char    *temp0;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::SetGlobalElementIdArrayName(temp0);
      }
    else
      {
      op->SetGlobalElementIdArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetGlobalElementIdArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  char    *temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetGlobalElementIdArrayName();
      }
    else
      {
      temp20 = op->GetGlobalElementIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_SetWriteOutGlobalElementIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp0;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::SetWriteOutGlobalElementIdArray(temp0);
      }
    else
      {
      op->SetWriteOutGlobalElementIdArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetWriteOutGlobalElementIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetWriteOutGlobalElementIdArray();
      }
    else
      {
      temp20 = op->GetWriteOutGlobalElementIdArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_WriteOutGlobalElementIdArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::WriteOutGlobalElementIdArrayOn();
      }
    else
      {
      op->WriteOutGlobalElementIdArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_WriteOutGlobalElementIdArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::WriteOutGlobalElementIdArrayOff();
      }
    else
      {
      op->WriteOutGlobalElementIdArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetNumberOfTimeSteps();
      }
    else
      {
      temp20 = op->GetNumberOfTimeSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_SetCurrentTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp0;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::SetCurrentTimeStep(temp0);
      }
    else
      {
      op->SetCurrentTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetCurrentTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetCurrentTimeStep();
      }
    else
      {
      temp20 = op->GetCurrentTimeStep();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_SetErrorStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp0;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIWriter::SetErrorStatus(temp0);
      }
    else
      {
      op->SetErrorStatus(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIWriter_GetErrorStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIWriter *op;

  int      temp20;
  if ((op = (vtkExodusIIWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIWriter::GetErrorStatus();
      }
    else
      {
      temp20 = op->GetErrorStatus();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExodusIIWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExodusIIWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExodusIIWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExodusIIWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExodusIIWriter\nC++: vtkExodusIIWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExodusIIWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExodusIIWriter\nC++: vtkExodusIIWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkExodusIIWriter_SetInput, 1,
   (char*)"V.SetInput(vtkUnstructuredGrid)\nC++: void SetInput (vtkUnstructuredGrid *ug);\n\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkExodusIIWriter_GetInput, 1,
   (char*)"V.GetInput() -> vtkUnstructuredGrid\nC++: vtkUnstructuredGrid *GetInput ();\n\n"},
  {(char*)"SetModelMetadata",                (PyCFunction)PyvtkExodusIIWriter_SetModelMetadata, 1,
   (char*)"V.SetModelMetadata(vtkModelMetadata)\nC++: virtual void SetModelMetadata (vtkModelMetadata *);\n\n"},
  {(char*)"GetModelMetadata",                (PyCFunction)PyvtkExodusIIWriter_GetModelMetadata, 1,
   (char*)"V.GetModelMetadata() -> vtkModelMetadata\nC++: vtkModelMetadata *GetModelMetadata ();\n\n"},
  {(char*)"GetOrCreateModelMetadata",                (PyCFunction)PyvtkExodusIIWriter_GetOrCreateModelMetadata, 1,
   (char*)"V.GetOrCreateModelMetadata() -> vtkModelMetadata\nC++: vtkModelMetadata *GetOrCreateModelMetadata ();\n\n By default, ModelMetadata is NULL until the Write() method is called,\n at which point the vtkExodusIIWriter will create a default metadata\n object. If you would like to obtain the metadata and modify it, rather\n than creating it yourself, you may call this function. If the\n metadata already exists (because it has been set by a call to SetModelMetadata\n or because it has been packed into the FieldData of the input mesh),\n that metadata will be returned. Otherwise, the vtkExodusIIWriter will\n create metadata using the input mesh as needed, set the metadata to\n that object, and return it.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkExodusIIWriter_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkExodusIIWriter_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n"},
  {(char*)"SetStoreDoubles",                (PyCFunction)PyvtkExodusIIWriter_SetStoreDoubles, 1,
   (char*)"V.SetStoreDoubles(int)\nC++: void SetStoreDoubles (int );\n\n"},
  {(char*)"GetStoreDoubles",                (PyCFunction)PyvtkExodusIIWriter_GetStoreDoubles, 1,
   (char*)"V.GetStoreDoubles() -> int\nC++: int GetStoreDoubles ();\n\n"},
  {(char*)"SetGhostLevel",                (PyCFunction)PyvtkExodusIIWriter_SetGhostLevel, 1,
   (char*)"V.SetGhostLevel(int)\nC++: void SetGhostLevel (int );\n\n"},
  {(char*)"GetGhostLevel",                (PyCFunction)PyvtkExodusIIWriter_GetGhostLevel, 1,
   (char*)"V.GetGhostLevel() -> int\nC++: int GetGhostLevel ();\n\n"},
  {(char*)"SetBlockIdArrayName",                (PyCFunction)PyvtkExodusIIWriter_SetBlockIdArrayName, 1,
   (char*)"V.SetBlockIdArrayName(string)\nC++: void SetBlockIdArrayName (char *);\n\n"},
  {(char*)"GetBlockIdArrayName",                (PyCFunction)PyvtkExodusIIWriter_GetBlockIdArrayName, 1,
   (char*)"V.GetBlockIdArrayName() -> string\nC++: char *GetBlockIdArrayName ();\n\n"},
  {(char*)"SetWriteOutBlockIdArray",                (PyCFunction)PyvtkExodusIIWriter_SetWriteOutBlockIdArray, 1,
   (char*)"V.SetWriteOutBlockIdArray(int)\nC++: void SetWriteOutBlockIdArray (int );\n\n"},
  {(char*)"GetWriteOutBlockIdArray",                (PyCFunction)PyvtkExodusIIWriter_GetWriteOutBlockIdArray, 1,
   (char*)"V.GetWriteOutBlockIdArray() -> int\nC++: int GetWriteOutBlockIdArray ();\n\n"},
  {(char*)"WriteOutBlockIdArrayOn",                (PyCFunction)PyvtkExodusIIWriter_WriteOutBlockIdArrayOn, 1,
   (char*)"V.WriteOutBlockIdArrayOn()\nC++: void WriteOutBlockIdArrayOn ();\n\n"},
  {(char*)"WriteOutBlockIdArrayOff",                (PyCFunction)PyvtkExodusIIWriter_WriteOutBlockIdArrayOff, 1,
   (char*)"V.WriteOutBlockIdArrayOff()\nC++: void WriteOutBlockIdArrayOff ();\n\n"},
  {(char*)"SetGlobalNodeIdArrayName",                (PyCFunction)PyvtkExodusIIWriter_SetGlobalNodeIdArrayName, 1,
   (char*)"V.SetGlobalNodeIdArrayName(string)\nC++: void SetGlobalNodeIdArrayName (char *);\n\n"},
  {(char*)"GetGlobalNodeIdArrayName",                (PyCFunction)PyvtkExodusIIWriter_GetGlobalNodeIdArrayName, 1,
   (char*)"V.GetGlobalNodeIdArrayName() -> string\nC++: char *GetGlobalNodeIdArrayName ();\n\n"},
  {(char*)"SetWriteOutGlobalNodeIdArray",                (PyCFunction)PyvtkExodusIIWriter_SetWriteOutGlobalNodeIdArray, 1,
   (char*)"V.SetWriteOutGlobalNodeIdArray(int)\nC++: void SetWriteOutGlobalNodeIdArray (int );\n\n"},
  {(char*)"GetWriteOutGlobalNodeIdArray",                (PyCFunction)PyvtkExodusIIWriter_GetWriteOutGlobalNodeIdArray, 1,
   (char*)"V.GetWriteOutGlobalNodeIdArray() -> int\nC++: int GetWriteOutGlobalNodeIdArray ();\n\n"},
  {(char*)"WriteOutGlobalNodeIdArrayOn",                (PyCFunction)PyvtkExodusIIWriter_WriteOutGlobalNodeIdArrayOn, 1,
   (char*)"V.WriteOutGlobalNodeIdArrayOn()\nC++: void WriteOutGlobalNodeIdArrayOn ();\n\n"},
  {(char*)"WriteOutGlobalNodeIdArrayOff",                (PyCFunction)PyvtkExodusIIWriter_WriteOutGlobalNodeIdArrayOff, 1,
   (char*)"V.WriteOutGlobalNodeIdArrayOff()\nC++: void WriteOutGlobalNodeIdArrayOff ();\n\n"},
  {(char*)"SetGlobalElementIdArrayName",                (PyCFunction)PyvtkExodusIIWriter_SetGlobalElementIdArrayName, 1,
   (char*)"V.SetGlobalElementIdArrayName(string)\nC++: void SetGlobalElementIdArrayName (char *);\n\n"},
  {(char*)"GetGlobalElementIdArrayName",                (PyCFunction)PyvtkExodusIIWriter_GetGlobalElementIdArrayName, 1,
   (char*)"V.GetGlobalElementIdArrayName() -> string\nC++: char *GetGlobalElementIdArrayName ();\n\n"},
  {(char*)"SetWriteOutGlobalElementIdArray",                (PyCFunction)PyvtkExodusIIWriter_SetWriteOutGlobalElementIdArray, 1,
   (char*)"V.SetWriteOutGlobalElementIdArray(int)\nC++: void SetWriteOutGlobalElementIdArray (int );\n\n"},
  {(char*)"GetWriteOutGlobalElementIdArray",                (PyCFunction)PyvtkExodusIIWriter_GetWriteOutGlobalElementIdArray, 1,
   (char*)"V.GetWriteOutGlobalElementIdArray() -> int\nC++: int GetWriteOutGlobalElementIdArray ();\n\n"},
  {(char*)"WriteOutGlobalElementIdArrayOn",                (PyCFunction)PyvtkExodusIIWriter_WriteOutGlobalElementIdArrayOn, 1,
   (char*)"V.WriteOutGlobalElementIdArrayOn()\nC++: void WriteOutGlobalElementIdArrayOn ();\n\n"},
  {(char*)"WriteOutGlobalElementIdArrayOff",                (PyCFunction)PyvtkExodusIIWriter_WriteOutGlobalElementIdArrayOff, 1,
   (char*)"V.WriteOutGlobalElementIdArrayOff()\nC++: void WriteOutGlobalElementIdArrayOff ();\n\n"},
  {(char*)"GetNumberOfTimeSteps",                (PyCFunction)PyvtkExodusIIWriter_GetNumberOfTimeSteps, 1,
   (char*)"V.GetNumberOfTimeSteps() -> int\nC++: int GetNumberOfTimeSteps ();return this InputNumberOfTimeSteps \n\n"},
  {(char*)"SetCurrentTimeStep",                (PyCFunction)PyvtkExodusIIWriter_SetCurrentTimeStep, 1,
   (char*)"V.SetCurrentTimeStep(int)\nC++: void SetCurrentTimeStep (int ts);\n\n"},
  {(char*)"GetCurrentTimeStep",                (PyCFunction)PyvtkExodusIIWriter_GetCurrentTimeStep, 1,
   (char*)"V.GetCurrentTimeStep() -> int\nC++: int GetCurrentTimeStep ();return this InputCurrentTimeStep \n\n"},
  {(char*)"SetErrorStatus",                (PyCFunction)PyvtkExodusIIWriter_SetErrorStatus, 1,
   (char*)"V.SetErrorStatus(int)\nC++: void SetErrorStatus (int );\n\n"},
  {(char*)"GetErrorStatus",                (PyCFunction)PyvtkExodusIIWriter_GetErrorStatus, 1,
   (char*)"V.GetErrorStatus() -> int\nC++: int GetErrorStatus ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExodusIIWriterDoc[] = {
  (char*)"vtkExodusIIWriter - Write Exodus II files\n\n",
  "Super Class:\n\n vtkWriter\n\n",
  (char*)"     This is a vtkWriter that writes it's vtkUnstructuredGrid \n     input out to an Exodus II file.  Go to http://endo.sandia.gov/SEACAS/\n     for more information about the Exodus II format.\n\n     Exodus files contain much information that is not captured\n     in a vtkUnstructuredGrid, such as time steps, information\n     lines, node sets, and side sets.  This information can be\n     stored in a ",
  (char*)"vtkModelMetadata object.\n\n     The vtkExodusReader and vtkPExodusReader can create\n     a vtkModelMetadata object and embed it in a vtkUnstructuredGrid\n     in a series of field arrays.  This writer searches for these\n     field arrays and will use the metadata contained in them\n     when creating the new Exodus II file. \n\n     You can also explicitly give the vtkExodusIIWriter a\n     vtkModelMeta",
  (char*)"data object to use when writing the file.\n\n     In the absence of the information provided by vtkModelMetadata,\n     if this writer is not part of a parallel application, we will use\n     reasonable defaults for all the values in the output Exodus file.\n     If you don't provide a block ID element array, we'll create a\n     block for each cell type that appears in the unstructured grid.\n\n     Howe",
  (char*)"ver if this writer is part of a parallel application (hence \n     writing out a distributed Exodus file), then we need at the very \n     least a list of all the block IDs that appear in the file.  And \n     we need the element array of block IDs for the input unstructured grid.\n\n     In the absense of a vtkModelMetadata object, you can also provide\n     time step information which we will include ",
  (char*)"in the output Exodus\n     file.\n\n  .SECTION Caveats\n     If the input floating point field arrays and point locations are all\n     floats or all doubles, this class will operate more efficiently.\n     Mixing floats and doubles will slow you down, because Exodus II\n     requires that we write only floats or only doubles.\n\n     We use the terms \"point\" and \"node\" interchangeably.\n     Also, we use t",
  (char*)"he terms \"element\" and \"cell\" interchangeably.\n\n\n",
  NULL
};

static vtkObjectBase *vtkExodusIIWriterStaticNew()
{
  return vtkExodusIIWriter::New();
}

PyObject *PyVTKClass_vtkExodusIIWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkExodusIIWriterStaticNew,
                        PyvtkExodusIIWriterMethods,
                        (char*)"vtkExodusIIWriter",modulename,
                        (char**)vtkExodusIIWriterDoc,
                        PyVTKClass_vtkWriterNew(modulename));
}

