// tcl wrapper for vtkExodusIIWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExodusIIWriter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkExodusIIWriterNewCommand()
{
  vtkExodusIIWriter *temp = vtkExodusIIWriter::New();
  return ((ClientData)temp);
}

int vtkWriterCppCommand(vtkWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExodusIIWriterCppCommand(vtkExodusIIWriter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExodusIIWriterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExodusIIWriterCppCommand((vtkExodusIIWriter *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExodusIIWriterCppCommand(vtkExodusIIWriter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExodusIIWriter",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkWriterCppCommand((vtkWriter *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkWriter", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkExodusIIWriter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkExodusIIWriter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExodusIIWriter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkExodusIIWriter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkExodusIIWriter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkExodusIIWriter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkUnstructuredGrid  *temp0;
    error = 0;

    temp0 = (vtkUnstructuredGrid *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkUnstructuredGrid",interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGrid  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkUnstructuredGrid");
    return TCL_OK;
    }
  if ((!strcmp("SetModelMetadata",argv[1]))&&(argc == 3))
    {
    vtkModelMetadata  *temp0;
    error = 0;

    temp0 = (vtkModelMetadata *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkModelMetadata",interp,error));
    if (!error)
    {
    op->SetModelMetadata(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModelMetadata",argv[1]))&&(argc == 2))
    {
    vtkModelMetadata  *temp20;
    temp20 = (op)->GetModelMetadata();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkModelMetadata");
    return TCL_OK;
    }
  if ((!strcmp("GetOrCreateModelMetadata",argv[1]))&&(argc == 2))
    {
    vtkModelMetadata  *temp20;
    temp20 = (op)->GetOrCreateModelMetadata();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkModelMetadata");
    return TCL_OK;
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetStoreDoubles",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStoreDoubles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStoreDoubles",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStoreDoubles();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGhostLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGhostLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGhostLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGhostLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBlockIdArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetBlockIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlockIdArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetBlockIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetWriteOutBlockIdArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWriteOutBlockIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWriteOutBlockIdArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWriteOutBlockIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WriteOutBlockIdArrayOn",argv[1]))&&(argc == 2))
    {
    op->WriteOutBlockIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteOutBlockIdArrayOff",argv[1]))&&(argc == 2))
    {
    op->WriteOutBlockIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalNodeIdArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGlobalNodeIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalNodeIdArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetGlobalNodeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetWriteOutGlobalNodeIdArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWriteOutGlobalNodeIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWriteOutGlobalNodeIdArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWriteOutGlobalNodeIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WriteOutGlobalNodeIdArrayOn",argv[1]))&&(argc == 2))
    {
    op->WriteOutGlobalNodeIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteOutGlobalNodeIdArrayOff",argv[1]))&&(argc == 2))
    {
    op->WriteOutGlobalNodeIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalElementIdArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGlobalElementIdArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalElementIdArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetGlobalElementIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetWriteOutGlobalElementIdArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWriteOutGlobalElementIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWriteOutGlobalElementIdArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWriteOutGlobalElementIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WriteOutGlobalElementIdArrayOn",argv[1]))&&(argc == 2))
    {
    op->WriteOutGlobalElementIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteOutGlobalElementIdArrayOff",argv[1]))&&(argc == 2))
    {
    op->WriteOutGlobalElementIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTimeSteps",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTimeSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCurrentTimeStep",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCurrentTimeStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentTimeStep",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCurrentTimeStep();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetErrorStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetErrorStatus(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetErrorStatus",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetErrorStatus();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkExodusIIWriterCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWriterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExodusIIWriter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetModelMetadata\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetModelMetadata\n",NULL);
    Tcl_AppendResult(interp,"  GetOrCreateModelMetadata\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetStoreDoubles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStoreDoubles\n",NULL);
    Tcl_AppendResult(interp,"  SetGhostLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGhostLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetBlockIdArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBlockIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetWriteOutBlockIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWriteOutBlockIdArray\n",NULL);
    Tcl_AppendResult(interp,"  WriteOutBlockIdArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  WriteOutBlockIdArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalNodeIdArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalNodeIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetWriteOutGlobalNodeIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWriteOutGlobalNodeIdArray\n",NULL);
    Tcl_AppendResult(interp,"  WriteOutGlobalNodeIdArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  WriteOutGlobalNodeIdArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalElementIdArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalElementIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetWriteOutGlobalElementIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWriteOutGlobalElementIdArray\n",NULL);
    Tcl_AppendResult(interp,"  WriteOutGlobalElementIdArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  WriteOutGlobalElementIdArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTimeSteps\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentTimeStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentTimeStep\n",NULL);
    Tcl_AppendResult(interp,"  SetErrorStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetErrorStatus\n",NULL);
    return TCL_OK;
    }

  if (vtkWriterCppCommand((vtkWriter *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
