// python wrapper for vtkExtractUserDefinedPiece object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkExtractUserDefinedPiece.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractUserDefinedPieceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractUserDefinedPieceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExtractUnstructuredGridPieceNew(char *); }

static PyObject *PyvtkExtractUserDefinedPiece_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUserDefinedPiece *op;

  const char    *temp20;
  if ((op = (vtkExtractUserDefinedPiece *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUserDefinedPiece::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUserDefinedPiece_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUserDefinedPiece *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkExtractUserDefinedPiece *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUserDefinedPiece::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUserDefinedPiece_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUserDefinedPiece *op;

  vtkExtractUserDefinedPiece  *temp20;
  if ((op = (vtkExtractUserDefinedPiece *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExtractUserDefinedPiece::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExtractUserDefinedPiece_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExtractUserDefinedPiece  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExtractUserDefinedPiece::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExtractUserDefinedPiece_SetConstantData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExtractUserDefinedPiece *op;

  void    *temp0;
  int      size0;
  int      temp1;
  if ((op = (vtkExtractUserDefinedPiece *)PyArg_VTKParseTuple(self, args, (char*)"s#i", &temp0, &size0, &temp1)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetConstantData in vtkExtractUserDefinedPiece was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetConstantData in vtkExtractUserDefinedPiece was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkExtractUserDefinedPiece::SetConstantData(temp0,temp1);
      }
    else
      {
      op->SetConstantData(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExtractUserDefinedPieceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExtractUserDefinedPiece_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExtractUserDefinedPiece_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExtractUserDefinedPiece_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractUserDefinedPiece\nC++: vtkExtractUserDefinedPiece *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExtractUserDefinedPiece_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractUserDefinedPiece\nC++: vtkExtractUserDefinedPiece *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetConstantData",                (PyCFunction)PyvtkExtractUserDefinedPiece_SetConstantData, 1,
   (char*)"V.SetConstantData(string, int)\nC++: void SetConstantData (void *data, int len);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExtractUserDefinedPieceDoc[] = {
  (char*)"vtkExtractUserDefinedPiece - Return user specified piece with ghost cells\n\n",
  "Super Class:\n\n vtkExtractUnstructuredGridPiece\n\n",
  (char*)" Provided a function that determines which cells are zero-level\n cells (\"the piece\"), this class outputs the piece with the \n requested number of ghost levels.  The only difference between \n this class and the class it is derived from is that the \n zero-level cells are specified by a function you provide, \n instead of determined by dividing up the cells based on cell Id.\n\n\n",
  "See Also:\n\n vtkExtractUnstructuredGridPiece\n\n",
  NULL
};

static vtkObjectBase *vtkExtractUserDefinedPieceStaticNew()
{
  return vtkExtractUserDefinedPiece::New();
}

PyObject *PyVTKClass_vtkExtractUserDefinedPieceNew(char *modulename)
{
  return PyVTKClass_New(&vtkExtractUserDefinedPieceStaticNew,
                        PyvtkExtractUserDefinedPieceMethods,
                        (char*)"vtkExtractUserDefinedPiece",modulename,
                        (char**)vtkExtractUserDefinedPieceDoc,
                        PyVTKClass_vtkExtractUnstructuredGridPieceNew(modulename));
}

