// python wrapper for vtkMemoryLimitImageDataStreamer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMemoryLimitImageDataStreamer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMemoryLimitImageDataStreamerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMemoryLimitImageDataStreamerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageDataStreamerNew(char *); }

static PyObject *PyvtkMemoryLimitImageDataStreamer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMemoryLimitImageDataStreamer *op;

  const char    *temp20;
  if ((op = (vtkMemoryLimitImageDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMemoryLimitImageDataStreamer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMemoryLimitImageDataStreamer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMemoryLimitImageDataStreamer *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMemoryLimitImageDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMemoryLimitImageDataStreamer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMemoryLimitImageDataStreamer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMemoryLimitImageDataStreamer *op;

  vtkMemoryLimitImageDataStreamer  *temp20;
  if ((op = (vtkMemoryLimitImageDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMemoryLimitImageDataStreamer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMemoryLimitImageDataStreamer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMemoryLimitImageDataStreamer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMemoryLimitImageDataStreamer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMemoryLimitImageDataStreamer_SetMemoryLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMemoryLimitImageDataStreamer *op;

  unsigned long     temp0;
  if ((op = (vtkMemoryLimitImageDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMemoryLimitImageDataStreamer::SetMemoryLimit(temp0);
      }
    else
      {
      op->SetMemoryLimit(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMemoryLimitImageDataStreamer_GetMemoryLimit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMemoryLimitImageDataStreamer *op;

  unsigned long     temp20;
  if ((op = (vtkMemoryLimitImageDataStreamer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMemoryLimitImageDataStreamer::GetMemoryLimit();
      }
    else
      {
      temp20 = op->GetMemoryLimit();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMemoryLimitImageDataStreamerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMemoryLimitImageDataStreamer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMemoryLimitImageDataStreamer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMemoryLimitImageDataStreamer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMemoryLimitImageDataStreamer\nC++: vtkMemoryLimitImageDataStreamer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMemoryLimitImageDataStreamer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMemoryLimitImageDataStreamer\nC++: vtkMemoryLimitImageDataStreamer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMemoryLimit",                (PyCFunction)PyvtkMemoryLimitImageDataStreamer_SetMemoryLimit, 1,
   (char*)"V.SetMemoryLimit(int)\nC++: void SetMemoryLimit (unsigned long );\n\n Set / Get the memory limit in kilobytes.\n"},
  {(char*)"GetMemoryLimit",                (PyCFunction)PyvtkMemoryLimitImageDataStreamer_GetMemoryLimit, 1,
   (char*)"V.GetMemoryLimit() -> int\nC++: long unsigned GetMemoryLimit ();\n\n Set / Get the memory limit in kilobytes.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMemoryLimitImageDataStreamerDoc[] = {
  (char*)"vtkMemoryLimitImageDataStreamer - Initiates streaming on image data.\n\n",
  "Super Class:\n\n vtkImageDataStreamer\n\n",
  (char*)" To satisfy a request, this filter calls update on its input\n many times with smaller update extents.  All processing up stream\n streams smaller pieces.\n\n",
  NULL
};

static vtkObjectBase *vtkMemoryLimitImageDataStreamerStaticNew()
{
  return vtkMemoryLimitImageDataStreamer::New();
}

PyObject *PyVTKClass_vtkMemoryLimitImageDataStreamerNew(char *modulename)
{
  return PyVTKClass_New(&vtkMemoryLimitImageDataStreamerStaticNew,
                        PyvtkMemoryLimitImageDataStreamerMethods,
                        (char*)"vtkMemoryLimitImageDataStreamer",modulename,
                        (char**)vtkMemoryLimitImageDataStreamerDoc,
                        PyVTKClass_vtkImageDataStreamerNew(modulename));
}

