// python wrapper for vtkMultiProcessController object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMultiProcessController.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMultiProcessControllerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMultiProcessControllerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkMultiProcessController_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  const char    *temp20;
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkMultiProcessController  *temp20;
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_Finalize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Finalize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  PyErr_Clear();
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Finalize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_SetNumberOfProcesses(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::SetNumberOfProcesses(temp0);
      }
    else
      {
      op->SetNumberOfProcesses(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_GetNumberOfProcesses(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp20;
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::GetNumberOfProcesses();
      }
    else
      {
      temp20 = op->GetNumberOfProcesses();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_SingleMethodExecute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->SingleMethodExecute();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_MultipleMethodExecute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->MultipleMethodExecute();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_GetLocalProcessId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp20;
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::GetLocalProcessId();
      }
    else
      {
      temp20 = op->GetLocalProcessId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_GetGlobalController(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMultiProcessController::GetGlobalController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_CreateOutputWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->CreateOutputWindow();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_TriggerRMI(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  void    *temp1;
  int      size1;
  int      temp2;
  int      temp3;
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"is#ii", &temp0, &temp1, &size1, &temp2, &temp3)))
    {
    temp1 = vtkPythonUnmanglePointer((char *)temp1,&size1,(char*)"void_p");
    if (size1 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to TriggerRMI in vtkMultiProcessController was of incorrect type.");
      return NULL;
      }
    else if (size1 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to TriggerRMI in vtkMultiProcessController was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::TriggerRMI(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->TriggerRMI(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  PyErr_Clear();
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"izi", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::TriggerRMI(temp0,temp1,temp2);
      }
    else
      {
      op->TriggerRMI(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::TriggerRMI(temp0,temp1);
      }
    else
      {
      op->TriggerRMI(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_TriggerBreakRMIs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::TriggerBreakRMIs();
      }
    else
      {
      op->TriggerBreakRMIs();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_ProcessRMIs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::ProcessRMIs(temp0);
      }
    else
      {
      temp20 = op->ProcessRMIs(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp20;
  PyErr_Clear();
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::ProcessRMIs();
      }
    else
      {
      temp20 = op->ProcessRMIs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_SetBreakFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp0;
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMultiProcessController::SetBreakFlag(temp0);
      }
    else
      {
      op->SetBreakFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_GetBreakFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  int      temp20;
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::GetBreakFlag();
      }
    else
      {
      temp20 = op->GetBreakFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_GetCommunicator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkCommunicator  *temp20;
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::GetCommunicator();
      }
    else
      {
      temp20 = op->GetCommunicator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_Barrier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Barrier();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMultiProcessController_SetGlobalController(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break22;
      {
      vtkMultiProcessController::SetGlobalController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkMultiProcessController_Send(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Send(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Send(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break24:
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break25;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Send(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break25:
  return NULL;
}


static PyObject *PyvtkMultiProcessController_Receive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Receive(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Receive(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break27:
  /* handle an occurrence */
  {
  vtkMultiProcessController *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkMultiProcessController *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMultiProcessController::Receive(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break28:
  return NULL;
}

static PyMethodDef PyvtkMultiProcessControllerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMultiProcessController_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMultiProcessController_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMultiProcessController_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMultiProcessController\nC++: vtkMultiProcessController *NewInstance ();\n\n"},
  {(char*)"Finalize",                (PyCFunction)PyvtkMultiProcessController_Finalize, 1,
   (char*)"V.Finalize()\nC++: virtual void Finalize () = 0;\nV.Finalize(int)\nC++: virtual void Finalize (int finalizedExternally) = 0;\n\n This method is for cleaning up.\n If a subclass needs to clean up process communication (i.e. MPI)\n it would over ride this method.\n"},
  {(char*)"SetNumberOfProcesses",                (PyCFunction)PyvtkMultiProcessController_SetNumberOfProcesses, 1,
   (char*)"V.SetNumberOfProcesses(int)\nC++: virtual void SetNumberOfProcesses (int num);\n\n Set the number of processes you will be using.  This defaults\n to the maximum number available.  If you set this to a value\n higher than the default, you will get an error.\n"},
  {(char*)"GetNumberOfProcesses",                (PyCFunction)PyvtkMultiProcessController_GetNumberOfProcesses, 1,
   (char*)"V.GetNumberOfProcesses() -> int\nC++: int GetNumberOfProcesses ();\n\n Set the number of processes you will be using.  This defaults\n to the maximum number available.  If you set this to a value\n higher than the default, you will get an error.\n"},
  {(char*)"SingleMethodExecute",                (PyCFunction)PyvtkMultiProcessController_SingleMethodExecute, 1,
   (char*)"V.SingleMethodExecute()\nC++: virtual void SingleMethodExecute () = 0;\n\n Execute the SingleMethod (as define by SetSingleMethod) using\n this->NumberOfProcesses processes.  This will only return when\n all the processes finish executing their methods.\n"},
  {(char*)"MultipleMethodExecute",                (PyCFunction)PyvtkMultiProcessController_MultipleMethodExecute, 1,
   (char*)"V.MultipleMethodExecute()\nC++: virtual void MultipleMethodExecute () = 0;\n\n Execute the MultipleMethods (as define by calling SetMultipleMethod\n for each of the required this->NumberOfProcesses methods) using\n this->NumberOfProcesses processes.\n"},
  {(char*)"GetLocalProcessId",                (PyCFunction)PyvtkMultiProcessController_GetLocalProcessId, 1,
   (char*)"V.GetLocalProcessId() -> int\nC++: int GetLocalProcessId ();\n\n Tells you which process [0, NumProcess) you are in.\n"},
  {(char*)"GetGlobalController",                (PyCFunction)PyvtkMultiProcessController_GetGlobalController, 1,
   (char*)"V.GetGlobalController() -> vtkMultiProcessController\nC++: static vtkMultiProcessController *GetGlobalController ();\n\n This convenience method returns the controller associated with the \n local process.  It returns NULL until the processes are spawned.\n It is better if you hang on to the controller passed as an argument to the\n SingleMethod or MultipleMethod functions.\n"},
  {(char*)"CreateOutputWindow",                (PyCFunction)PyvtkMultiProcessController_CreateOutputWindow, 1,
   (char*)"V.CreateOutputWindow()\nC++: virtual void CreateOutputWindow () = 0;\n\n This method can be used to tell the controller to create\n a special output window in which all messages are preceded\n by the process id.\n"},
  {(char*)"TriggerRMI",                (PyCFunction)PyvtkMultiProcessController_TriggerRMI, 1,
   (char*)"V.TriggerRMI(int, string, int, int)\nC++: void TriggerRMI (int remoteProcessId, void *arg, int argLength, int tag);\nV.TriggerRMI(int, string, int)\nC++: void TriggerRMI (int remoteProcessId, const char *arg, int tag);this TriggerRMI remoteProcessId void arg static_cast int strlen arg tag \nV.TriggerRMI(int, int)\nC++: void TriggerRMI (int remoteProcessId, int tag);this TriggerRMI remoteProcessId NULL tag \n\n A method to trigger a method invocation in another process.\n"},
  {(char*)"TriggerBreakRMIs",                (PyCFunction)PyvtkMultiProcessController_TriggerBreakRMIs, 1,
   (char*)"V.TriggerBreakRMIs()\nC++: void TriggerBreakRMIs ();\n\n A conveniance method.  Called on process 0 to break \"ProcessRMIs\" loop\n on all other processes.\n"},
  {(char*)"ProcessRMIs",                (PyCFunction)PyvtkMultiProcessController_ProcessRMIs, 1,
   (char*)"V.ProcessRMIs(int) -> int\nC++: int ProcessRMIs (int reportErrors);\nV.ProcessRMIs() -> int\nC++: int ProcessRMIs ();\n\n Calling this method gives control to the controller to start\n processing RMIs. Possible return values are:\n RMI_NO_ERROR,\n RMI_TAG_ERROR : rmi tag could not be received,\n RMI_ARG_ERROR : rmi arg could not be received.\n If reportErrors is false, no vtkErrorMacro is called.\n ProcessRMIs() calls ProcessRMIs(int) with reportErrors = 0.\n"},
  {(char*)"SetBreakFlag",                (PyCFunction)PyvtkMultiProcessController_SetBreakFlag, 1,
   (char*)"V.SetBreakFlag(int)\nC++: void SetBreakFlag (int );\n\n Setting this flag to 1 will cause the ProcessRMIs loop to return.\n This also causes vtkUpStreamPorts to return from\n their WaitForUpdate loops.\n"},
  {(char*)"GetBreakFlag",                (PyCFunction)PyvtkMultiProcessController_GetBreakFlag, 1,
   (char*)"V.GetBreakFlag() -> int\nC++: int GetBreakFlag ();\n\n Setting this flag to 1 will cause the ProcessRMIs loop to return.\n This also causes vtkUpStreamPorts to return from\n their WaitForUpdate loops.\n"},
  {(char*)"GetCommunicator",                (PyCFunction)PyvtkMultiProcessController_GetCommunicator, 1,
   (char*)"V.GetCommunicator() -> vtkCommunicator\nC++: vtkCommunicator *GetCommunicator ();\n\n"},
  {(char*)"Barrier",                (PyCFunction)PyvtkMultiProcessController_Barrier, 1,
   (char*)"V.Barrier()\nC++: virtual void Barrier () = 0;\n\n This method can be used to synchronize processes.\n"},
  {(char*)"SetGlobalController",                (PyCFunction)PyvtkMultiProcessController_SetGlobalController, 1,
   (char*)"V.SetGlobalController(vtkMultiProcessController)\nC++: static void SetGlobalController (vtkMultiProcessController *controller);\n\n"},
  {(char*)"Send",                (PyCFunction)PyvtkMultiProcessController_Send, 1,
   (char*)"V.Send(string, int, int, int) -> int\nC++: int Send (char *data, int length, int remoteProcessId, int tag);\nV.Send(vtkDataObject, int, int) -> int\nC++: int Send (vtkDataObject *data, int remoteId, int tag);\nV.Send(vtkDataArray, int, int) -> int\nC++: int Send (vtkDataArray *data, int remoteId, int tag);\n\n This method sends data to another process.  Tag eliminates ambiguity\n when multiple sends or receives exist in the same process.\n"},
  {(char*)"Receive",                (PyCFunction)PyvtkMultiProcessController_Receive, 1,
   (char*)"V.Receive(string, int, int, int) -> int\nC++: int Receive (char *data, int length, int remoteProcessId, int tag);\nV.Receive(vtkDataObject, int, int) -> int\nC++: int Receive (vtkDataObject *data, int remoteId, int tag);\nV.Receive(vtkDataArray, int, int) -> int\nC++: int Receive (vtkDataArray *data, int remoteId, int tag);\n\n This method receives data from a corresponding send. It blocks\n until the receive is finished.  It calls methods in \"data\"\n to communicate the sending data.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMultiProcessControllerDoc[] = {
  (char*)"vtkMultiProcessController - Multiprocessing communication superclass\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkMultiProcessController is used to control multiple processes\n in a distributed computing environment. It has\n methods for executing single/multiple method(s) on multiple processors,\n triggering registered callbacks (Remote Methods) (AddRMI(), TriggerRMI())\n and communication. Please note that the communication is done using\n the communicator which is accessible to the user. Therefore it is\n po",
  (char*)"ssible to get the communicator with GetCommunicator() and use\n it to send and receive data. This is the encoured communication method.\n The internal (RMI) communications are done using a second internal\n communicator (called RMICommunicator).\n\n\n",
  "See Also:\n\n vtkMPIController\n vtkCommunicator vtkMPICommunicator\n\n",
  NULL
};

PyObject *PyVTKClass_vtkMultiProcessControllerNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkMultiProcessControllerMethods,
                        (char*)"vtkMultiProcessController",modulename,
                        (char**)vtkMultiProcessControllerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

