// python wrapper for vtkPCellDataToPointData object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPCellDataToPointData.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPCellDataToPointDataNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPCellDataToPointDataNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCellDataToPointDataNew(char *); }

static PyObject *PyvtkPCellDataToPointData_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCellDataToPointData *op;

  const char    *temp20;
  if ((op = (vtkPCellDataToPointData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCellDataToPointData::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPCellDataToPointData_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCellDataToPointData *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPCellDataToPointData *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCellDataToPointData::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCellDataToPointData_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCellDataToPointData *op;

  vtkPCellDataToPointData  *temp20;
  if ((op = (vtkPCellDataToPointData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCellDataToPointData::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCellDataToPointData_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPCellDataToPointData  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPCellDataToPointData::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPCellDataToPointData_SetPieceInvariant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCellDataToPointData *op;

  int      temp0;
  if ((op = (vtkPCellDataToPointData *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCellDataToPointData::SetPieceInvariant(temp0);
      }
    else
      {
      op->SetPieceInvariant(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCellDataToPointData_GetPieceInvariant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCellDataToPointData *op;

  int      temp20;
  if ((op = (vtkPCellDataToPointData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPCellDataToPointData::GetPieceInvariant();
      }
    else
      {
      temp20 = op->GetPieceInvariant();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPCellDataToPointData_PieceInvariantOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCellDataToPointData *op;

  if ((op = (vtkPCellDataToPointData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCellDataToPointData::PieceInvariantOn();
      }
    else
      {
      op->PieceInvariantOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPCellDataToPointData_PieceInvariantOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPCellDataToPointData *op;

  if ((op = (vtkPCellDataToPointData *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPCellDataToPointData::PieceInvariantOff();
      }
    else
      {
      op->PieceInvariantOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPCellDataToPointDataMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPCellDataToPointData_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPCellDataToPointData_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPCellDataToPointData_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPCellDataToPointData\nC++: vtkPCellDataToPointData *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPCellDataToPointData_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPCellDataToPointData\nC++: vtkPCellDataToPointData *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPieceInvariant",                (PyCFunction)PyvtkPCellDataToPointData_SetPieceInvariant, 1,
   (char*)"V.SetPieceInvariant(int)\nC++: void SetPieceInvariant (int );\n\n To get piece invariance, this filter has to request an \n extra ghost level.  By default piece invariance is on.\n"},
  {(char*)"GetPieceInvariant",                (PyCFunction)PyvtkPCellDataToPointData_GetPieceInvariant, 1,
   (char*)"V.GetPieceInvariant() -> int\nC++: int GetPieceInvariant ();\n\n To get piece invariance, this filter has to request an \n extra ghost level.  By default piece invariance is on.\n"},
  {(char*)"PieceInvariantOn",                (PyCFunction)PyvtkPCellDataToPointData_PieceInvariantOn, 1,
   (char*)"V.PieceInvariantOn()\nC++: void PieceInvariantOn ();\n\n To get piece invariance, this filter has to request an \n extra ghost level.  By default piece invariance is on.\n"},
  {(char*)"PieceInvariantOff",                (PyCFunction)PyvtkPCellDataToPointData_PieceInvariantOff, 1,
   (char*)"V.PieceInvariantOff()\nC++: void PieceInvariantOff ();\n\n To get piece invariance, this filter has to request an \n extra ghost level.  By default piece invariance is on.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPCellDataToPointDataDoc[] = {
  (char*)"vtkPCellDataToPointData - Compute point arrays from cell arrays.\n\n",
  "Super Class:\n\n vtkCellDataToPointData\n\n",
  (char*)" Like it super class, this filter averages the cell data around\n a point to get new point data.  This subclass requests a layer of\n ghost cells to make the results invariant to pieces.  There is a \n \"PieceInvariant\" flag that lets the user change the behavior\n of the filter to that of its superclass.\n\n",
  NULL
};

static vtkObjectBase *vtkPCellDataToPointDataStaticNew()
{
  return vtkPCellDataToPointData::New();
}

PyObject *PyVTKClass_vtkPCellDataToPointDataNew(char *modulename)
{
  return PyVTKClass_New(&vtkPCellDataToPointDataStaticNew,
                        PyvtkPCellDataToPointDataMethods,
                        (char*)"vtkPCellDataToPointData",modulename,
                        (char**)vtkPCellDataToPointDataDoc,
                        PyVTKClass_vtkCellDataToPointDataNew(modulename));
}

