// python wrapper for vtkPDataSetWriter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPDataSetWriter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPDataSetWriterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPDataSetWriterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetWriterNew(char *); }

static PyObject *PyvtkPDataSetWriter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  const char    *temp20;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetWriter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetWriter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  vtkPDataSetWriter  *temp20;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetWriter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPDataSetWriter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPDataSetWriter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_Write(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  int      temp20;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetWriter::Write();
      }
    else
      {
      temp20 = op->Write();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_SetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  int      temp0;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPDataSetWriter::SetNumberOfPieces(temp0);
      }
    else
      {
      op->SetNumberOfPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  int      temp20;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetWriter::GetNumberOfPieces();
      }
    else
      {
      temp20 = op->GetNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_SetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  int      temp0;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPDataSetWriter::SetGhostLevel(temp0);
      }
    else
      {
      op->SetGhostLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_GetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  int      temp20;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetWriter::GetGhostLevel();
      }
    else
      {
      temp20 = op->GetGhostLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_SetStartPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  int      temp0;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPDataSetWriter::SetStartPiece(temp0);
      }
    else
      {
      op->SetStartPiece(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_GetStartPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  int      temp20;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetWriter::GetStartPiece();
      }
    else
      {
      temp20 = op->GetStartPiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_SetEndPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  int      temp0;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPDataSetWriter::SetEndPiece(temp0);
      }
    else
      {
      op->SetEndPiece(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_GetEndPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  int      temp20;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetWriter::GetEndPiece();
      }
    else
      {
      temp20 = op->GetEndPiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_SetFilePattern(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  char    *temp0;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPDataSetWriter::SetFilePattern(temp0);
      }
    else
      {
      op->SetFilePattern(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_GetFilePattern(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  char    *temp20;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetWriter::GetFilePattern();
      }
    else
      {
      temp20 = op->GetFilePattern();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_SetUseRelativeFileNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  int      temp0;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPDataSetWriter::SetUseRelativeFileNames(temp0);
      }
    else
      {
      op->SetUseRelativeFileNames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_GetUseRelativeFileNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  int      temp20;
  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPDataSetWriter::GetUseRelativeFileNames();
      }
    else
      {
      temp20 = op->GetUseRelativeFileNames();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_UseRelativeFileNamesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPDataSetWriter::UseRelativeFileNamesOn();
      }
    else
      {
      op->UseRelativeFileNamesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPDataSetWriter_UseRelativeFileNamesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPDataSetWriter *op;

  if ((op = (vtkPDataSetWriter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPDataSetWriter::UseRelativeFileNamesOff();
      }
    else
      {
      op->UseRelativeFileNamesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPDataSetWriterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPDataSetWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPDataSetWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPDataSetWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPDataSetWriter\nC++: vtkPDataSetWriter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPDataSetWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPDataSetWriter\nC++: vtkPDataSetWriter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Write",                (PyCFunction)PyvtkPDataSetWriter_Write, 1,
   (char*)"V.Write() -> int\nC++: virtual int Write ();\n\n Write the pvtk file and cooresponding vtk files.\n"},
  {(char*)"SetNumberOfPieces",                (PyCFunction)PyvtkPDataSetWriter_SetNumberOfPieces, 1,
   (char*)"V.SetNumberOfPieces(int)\nC++: void SetNumberOfPieces (int num);\n\n This is how many pieces the whole data set will be divided into.\n"},
  {(char*)"GetNumberOfPieces",                (PyCFunction)PyvtkPDataSetWriter_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: int GetNumberOfPieces ();\n\n This is how many pieces the whole data set will be divided into.\n"},
  {(char*)"SetGhostLevel",                (PyCFunction)PyvtkPDataSetWriter_SetGhostLevel, 1,
   (char*)"V.SetGhostLevel(int)\nC++: void SetGhostLevel (int );\n\n Extra ghost cells will be written out to each piece file\n if this value is larger than 0.\n"},
  {(char*)"GetGhostLevel",                (PyCFunction)PyvtkPDataSetWriter_GetGhostLevel, 1,
   (char*)"V.GetGhostLevel() -> int\nC++: int GetGhostLevel ();\n\n Extra ghost cells will be written out to each piece file\n if this value is larger than 0.\n"},
  {(char*)"SetStartPiece",                (PyCFunction)PyvtkPDataSetWriter_SetStartPiece, 1,
   (char*)"V.SetStartPiece(int)\nC++: void SetStartPiece (int );\n\n This is the range of pieces that that this writer is \n responsible for writing.  All pieces must be written\n by some process.  The process that writes piece 0 also\n writes the pvtk file that lists all the piece file names.\n"},
  {(char*)"GetStartPiece",                (PyCFunction)PyvtkPDataSetWriter_GetStartPiece, 1,
   (char*)"V.GetStartPiece() -> int\nC++: int GetStartPiece ();\n\n This is the range of pieces that that this writer is \n responsible for writing.  All pieces must be written\n by some process.  The process that writes piece 0 also\n writes the pvtk file that lists all the piece file names.\n"},
  {(char*)"SetEndPiece",                (PyCFunction)PyvtkPDataSetWriter_SetEndPiece, 1,
   (char*)"V.SetEndPiece(int)\nC++: void SetEndPiece (int );\n\n This is the range of pieces that that this writer is \n responsible for writing.  All pieces must be written\n by some process.  The process that writes piece 0 also\n writes the pvtk file that lists all the piece file names.\n"},
  {(char*)"GetEndPiece",                (PyCFunction)PyvtkPDataSetWriter_GetEndPiece, 1,
   (char*)"V.GetEndPiece() -> int\nC++: int GetEndPiece ();\n\n This is the range of pieces that that this writer is \n responsible for writing.  All pieces must be written\n by some process.  The process that writes piece 0 also\n writes the pvtk file that lists all the piece file names.\n"},
  {(char*)"SetFilePattern",                (PyCFunction)PyvtkPDataSetWriter_SetFilePattern, 1,
   (char*)"V.SetFilePattern(string)\nC++: void SetFilePattern (char *);\n\n This file pattern uses the file name and piece number\n to contruct a file name for the piece file.\n"},
  {(char*)"GetFilePattern",                (PyCFunction)PyvtkPDataSetWriter_GetFilePattern, 1,
   (char*)"V.GetFilePattern() -> string\nC++: char *GetFilePattern ();\n\n This file pattern uses the file name and piece number\n to contruct a file name for the piece file.\n"},
  {(char*)"SetUseRelativeFileNames",                (PyCFunction)PyvtkPDataSetWriter_SetUseRelativeFileNames, 1,
   (char*)"V.SetUseRelativeFileNames(int)\nC++: void SetUseRelativeFileNames (int );\n\n This flag determines whether to use absolute paths for the piece files.\n By default the pieces are put in the main directory, and the piece file\n names in the meta data pvtk file are relative to this directory.\n This should make moving the whole lot to another directory, an easier task.\n"},
  {(char*)"GetUseRelativeFileNames",                (PyCFunction)PyvtkPDataSetWriter_GetUseRelativeFileNames, 1,
   (char*)"V.GetUseRelativeFileNames() -> int\nC++: int GetUseRelativeFileNames ();\n\n This flag determines whether to use absolute paths for the piece files.\n By default the pieces are put in the main directory, and the piece file\n names in the meta data pvtk file are relative to this directory.\n This should make moving the whole lot to another directory, an easier task.\n"},
  {(char*)"UseRelativeFileNamesOn",                (PyCFunction)PyvtkPDataSetWriter_UseRelativeFileNamesOn, 1,
   (char*)"V.UseRelativeFileNamesOn()\nC++: void UseRelativeFileNamesOn ();\n\n This flag determines whether to use absolute paths for the piece files.\n By default the pieces are put in the main directory, and the piece file\n names in the meta data pvtk file are relative to this directory.\n This should make moving the whole lot to another directory, an easier task.\n"},
  {(char*)"UseRelativeFileNamesOff",                (PyCFunction)PyvtkPDataSetWriter_UseRelativeFileNamesOff, 1,
   (char*)"V.UseRelativeFileNamesOff()\nC++: void UseRelativeFileNamesOff ();\n\n This flag determines whether to use absolute paths for the piece files.\n By default the pieces are put in the main directory, and the piece file\n names in the meta data pvtk file are relative to this directory.\n This should make moving the whole lot to another directory, an easier task.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPDataSetWriterDoc[] = {
  (char*)"vtkPDataSetWriter - Manages writing pieces of a data set.\n\n",
  "Super Class:\n\n vtkDataSetWriter\n\n",
  (char*)" vtkPDataSetWriter will write a piece of a file, and will also create\n a metadata file that lists all of the files in a data set.\n\n",
  NULL
};

static vtkObjectBase *vtkPDataSetWriterStaticNew()
{
  return vtkPDataSetWriter::New();
}

PyObject *PyVTKClass_vtkPDataSetWriterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPDataSetWriterStaticNew,
                        PyvtkPDataSetWriterMethods,
                        (char*)"vtkPDataSetWriter",modulename,
                        (char**)vtkPDataSetWriterDoc,
                        PyVTKClass_vtkDataSetWriterNew(modulename));
}

