// python wrapper for vtkPLinearExtrusionFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPLinearExtrusionFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPLinearExtrusionFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPLinearExtrusionFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLinearExtrusionFilterNew(char *); }

static PyObject *PyvtkPLinearExtrusionFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLinearExtrusionFilter *op;

  const char    *temp20;
  if ((op = (vtkPLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLinearExtrusionFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPLinearExtrusionFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLinearExtrusionFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLinearExtrusionFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLinearExtrusionFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLinearExtrusionFilter *op;

  vtkPLinearExtrusionFilter  *temp20;
  if ((op = (vtkPLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLinearExtrusionFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLinearExtrusionFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPLinearExtrusionFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPLinearExtrusionFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPLinearExtrusionFilter_SetPieceInvariant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLinearExtrusionFilter *op;

  int      temp0;
  if ((op = (vtkPLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLinearExtrusionFilter::SetPieceInvariant(temp0);
      }
    else
      {
      op->SetPieceInvariant(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPLinearExtrusionFilter_GetPieceInvariant(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLinearExtrusionFilter *op;

  int      temp20;
  if ((op = (vtkPLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPLinearExtrusionFilter::GetPieceInvariant();
      }
    else
      {
      temp20 = op->GetPieceInvariant();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPLinearExtrusionFilter_PieceInvariantOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLinearExtrusionFilter *op;

  if ((op = (vtkPLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLinearExtrusionFilter::PieceInvariantOn();
      }
    else
      {
      op->PieceInvariantOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPLinearExtrusionFilter_PieceInvariantOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPLinearExtrusionFilter *op;

  if ((op = (vtkPLinearExtrusionFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPLinearExtrusionFilter::PieceInvariantOff();
      }
    else
      {
      op->PieceInvariantOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPLinearExtrusionFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPLinearExtrusionFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPLinearExtrusionFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPLinearExtrusionFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPLinearExtrusionFilter\nC++: vtkPLinearExtrusionFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPLinearExtrusionFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPLinearExtrusionFilter\nC++: vtkPLinearExtrusionFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetPieceInvariant",                (PyCFunction)PyvtkPLinearExtrusionFilter_SetPieceInvariant, 1,
   (char*)"V.SetPieceInvariant(int)\nC++: void SetPieceInvariant (int );\n\n"},
  {(char*)"GetPieceInvariant",                (PyCFunction)PyvtkPLinearExtrusionFilter_GetPieceInvariant, 1,
   (char*)"V.GetPieceInvariant() -> int\nC++: int GetPieceInvariant ();\n\n"},
  {(char*)"PieceInvariantOn",                (PyCFunction)PyvtkPLinearExtrusionFilter_PieceInvariantOn, 1,
   (char*)"V.PieceInvariantOn()\nC++: void PieceInvariantOn ();\n\n"},
  {(char*)"PieceInvariantOff",                (PyCFunction)PyvtkPLinearExtrusionFilter_PieceInvariantOff, 1,
   (char*)"V.PieceInvariantOff()\nC++: void PieceInvariantOff ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPLinearExtrusionFilterDoc[] = {
  (char*)"vtkPLinearExtrusionFilter - Subclass that handles piece invariance.\n\n",
  "Super Class:\n\n vtkLinearExtrusionFilter\n\n",
  (char*)" vtkPLinearExtrusionFilter is a parallel version of vtkLinearExtrusionFilter.\n\n",
  "See Also:\n\n vtkLinearExtrusionFilter\n\n",
  NULL
};

static vtkObjectBase *vtkPLinearExtrusionFilterStaticNew()
{
  return vtkPLinearExtrusionFilter::New();
}

PyObject *PyVTKClass_vtkPLinearExtrusionFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPLinearExtrusionFilterStaticNew,
                        PyvtkPLinearExtrusionFilterMethods,
                        (char*)"vtkPLinearExtrusionFilter",modulename,
                        (char**)vtkPLinearExtrusionFilterDoc,
                        PyVTKClass_vtkLinearExtrusionFilterNew(modulename));
}

