// python wrapper for vtkPOPReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPOPReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPOPReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPOPReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStructuredGridAlgorithmNew(char *); }

static PyObject *PyvtkPOPReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  const char    *temp20;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOPReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPOPReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOPReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPOPReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  vtkPOPReader  *temp20;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOPReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPOPReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPOPReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPOPReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPOPReader_GetDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  int     *temp20;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOPReader::GetDimensions();
      }
    else
      {
      temp20 = op->GetDimensions();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkPOPReader_GetGridFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  char    *temp20;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOPReader::GetGridFileName();
      }
    else
      {
      temp20 = op->GetGridFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPOPReader_GetUFlowFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  char    *temp20;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOPReader::GetUFlowFileName();
      }
    else
      {
      temp20 = op->GetUFlowFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPOPReader_GetVFlowFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  char    *temp20;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOPReader::GetVFlowFileName();
      }
    else
      {
      temp20 = op->GetVFlowFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPOPReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  char    *temp0;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPOPReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPOPReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  char    *temp20;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOPReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPOPReader_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  double   temp0;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPOPReader::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPOPReader_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  double   temp20;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOPReader::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPOPReader_SetClipExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"iiiiii", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPOPReader::SetClipExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetClipExtent(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  int    temp0[6];
  PyErr_Clear();
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"(iiiiii)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPOPReader::SetClipExtent(temp0);
      }
    else
      {
      op->SetClipExtent(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPOPReader_GetClipExtent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  int     *temp20;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOPReader::GetClipExtent();
      }
    else
      {
      temp20 = op->GetClipExtent();
      }
    return Py_BuildValue((char*)"iiiiii",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkPOPReader_SetNumberOfGhostLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  int      temp0;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPOPReader::SetNumberOfGhostLevels(temp0);
      }
    else
      {
      op->SetNumberOfGhostLevels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPOPReader_GetNumberOfGhostLevels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPOPReader *op;

  int      temp20;
  if ((op = (vtkPOPReader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPOPReader::GetNumberOfGhostLevels();
      }
    else
      {
      temp20 = op->GetNumberOfGhostLevels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPOPReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPOPReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPOPReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPOPReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPOPReader\nC++: vtkPOPReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPOPReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPOPReader\nC++: vtkPOPReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetDimensions",                (PyCFunction)PyvtkPOPReader_GetDimensions, 1,
   (char*)"V.GetDimensions() -> (int, int)\nC++: int  *GetDimensions ();\n\n This is the longitude and latitude dimensions of the structured grid.\n"},
  {(char*)"GetGridFileName",                (PyCFunction)PyvtkPOPReader_GetGridFileName, 1,
   (char*)"V.GetGridFileName() -> string\nC++: char *GetGridFileName ();\n\n This file contains the latitude and longitude of the grid.  \n It must be double with no header.\n"},
  {(char*)"GetUFlowFileName",                (PyCFunction)PyvtkPOPReader_GetUFlowFileName, 1,
   (char*)"V.GetUFlowFileName() -> string\nC++: char *GetUFlowFileName ();\n\n These files contains the u and v components of the flow.\n"},
  {(char*)"GetVFlowFileName",                (PyCFunction)PyvtkPOPReader_GetVFlowFileName, 1,
   (char*)"V.GetVFlowFileName() -> string\nC++: char *GetVFlowFileName ();\n\n These files contains the u and v components of the flow.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkPOPReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName (char *);\n\n This file contains information about all the files.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkPOPReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n This file contains information about all the files.\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkPOPReader_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double );\n\n Radius of the earth.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkPOPReader_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();\n\n Radius of the earth.\n"},
  {(char*)"SetClipExtent",                (PyCFunction)PyvtkPOPReader_SetClipExtent, 1,
   (char*)"V.SetClipExtent(int, int, int, int, int, int)\nC++: void SetClipExtent (int , int , int , int , int , int );\nV.SetClipExtent((int, int, int, int, int, int))\nC++: void SetClipExtent (int  a[6]);\n\n Because the data can be so large, here is an option to clip\n while reading.\n"},
  {(char*)"GetClipExtent",                (PyCFunction)PyvtkPOPReader_GetClipExtent, 1,
   (char*)"V.GetClipExtent() -> (int, int, int, int, int, int)\nC++: int  *GetClipExtent ();\n\n Because the data can be so large, here is an option to clip\n while reading.\n"},
  {(char*)"SetNumberOfGhostLevels",                (PyCFunction)PyvtkPOPReader_SetNumberOfGhostLevels, 1,
   (char*)"V.SetNumberOfGhostLevels(int)\nC++: void SetNumberOfGhostLevels (int );\n\n Set the number of ghost levels to include in the data\n"},
  {(char*)"GetNumberOfGhostLevels",                (PyCFunction)PyvtkPOPReader_GetNumberOfGhostLevels, 1,
   (char*)"V.GetNumberOfGhostLevels() -> int\nC++: int GetNumberOfGhostLevels ();\n\n Set the number of ghost levels to include in the data\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPOPReaderDoc[] = {
  (char*)"vtkPOPReader - read POP data files\n\n",
  "Super Class:\n\n vtkStructuredGridAlgorithm\n\n",
  (char*)" vtkPOPReader Just converts from images to a structured grid for now.\n\n",
  NULL
};

static vtkObjectBase *vtkPOPReaderStaticNew()
{
  return vtkPOPReader::New();
}

PyObject *PyVTKClass_vtkPOPReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkPOPReaderStaticNew,
                        PyvtkPOPReaderMethods,
                        (char*)"vtkPOPReader",modulename,
                        (char**)vtkPOPReaderDoc,
                        PyVTKClass_vtkStructuredGridAlgorithmNew(modulename));
}

