// python wrapper for vtkPStreamTracer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPStreamTracer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPStreamTracerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPStreamTracerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStreamTracerNew(char *); }

static PyObject *PyvtkPStreamTracer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPStreamTracer *op;

  const char    *temp20;
  if ((op = (vtkPStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPStreamTracer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPStreamTracer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPStreamTracer *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPStreamTracer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPStreamTracer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPStreamTracer *op;

  vtkPStreamTracer  *temp20;
  if ((op = (vtkPStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPStreamTracer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPStreamTracer_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPStreamTracer *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkPStreamTracer::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPStreamTracer_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPStreamTracer *op;

  vtkMultiProcessController  *temp20;
  if ((op = (vtkPStreamTracer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPStreamTracer::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPStreamTracerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPStreamTracer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPStreamTracer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPStreamTracer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPStreamTracer\nC++: vtkPStreamTracer *NewInstance ();\n\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkPStreamTracer_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *controller);\n\n Set/Get the controller use in compositing (set to\n the global controller by default)\n If not using the default, this must be called before any\n other methods.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkPStreamTracer_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Set/Get the controller use in compositing (set to\n the global controller by default)\n If not using the default, this must be called before any\n other methods.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPStreamTracerDoc[] = {
  (char*)"vtkPStreamTracer - Abstract superclass for parallel streamline generators\n\n",
  "Super Class:\n\n vtkStreamTracer\n\n",
  (char*)" This class implements some necessary functionality used by distributed\n and parallel streamline generators. Note that all processes must have\n access to the WHOLE seed source, i.e. the source must be identical\n on all processes.\n\n",
  "See Also:\n\n vtkStreamTracer vtkDistributedStreamTracer vtkMPIStreamTracer\n\n",
  NULL
};

PyObject *PyVTKClass_vtkPStreamTracerNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkPStreamTracerMethods,
                        (char*)"vtkPStreamTracer",modulename,
                        (char**)vtkPStreamTracerDoc,
                        PyVTKClass_vtkStreamTracerNew(modulename));
}

