// python wrapper for vtkParallelRenderManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkParallelRenderManager.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParallelRenderManagerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParallelRenderManagerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkParallelRenderManager_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  const char    *temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  vtkParallelRenderManager  *temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_MakeRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  vtkRenderWindow  *temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::MakeRenderWindow();
      }
    else
      {
      temp20 = op->MakeRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_MakeRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  vtkRenderer  *temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::MakeRenderer();
      }
    else
      {
      temp20 = op->MakeRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  vtkRenderWindow  *temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetRenderWindow(temp0);
      }
    else
      {
      op->SetRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  vtkMultiProcessController  *temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetController();
      }
    else
      {
      temp20 = op->GetController();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetController(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  vtkMultiProcessController  *temp0;
  PyObject *tempH0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMultiProcessController *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMultiProcessController");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetController(temp0);
      }
    else
      {
      op->SetController(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_InitializePieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::InitializePieces();
      }
    else
      {
      op->InitializePieces();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_InitializeOffScreen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::InitializeOffScreen();
      }
    else
      {
      op->InitializeOffScreen();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_StartInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::StartInteractor();
      }
    else
      {
      op->StartInteractor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_StartServices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::StartServices();
      }
    else
      {
      op->StartServices();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_StopServices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::StopServices();
      }
    else
      {
      op->StopServices();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_StartRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::StartRender();
      }
    else
      {
      op->StartRender();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_EndRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::EndRender();
      }
    else
      {
      op->EndRender();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SatelliteStartRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SatelliteStartRender();
      }
    else
      {
      op->SatelliteStartRender();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SatelliteEndRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SatelliteEndRender();
      }
    else
      {
      op->SatelliteEndRender();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_RenderRMI(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::RenderRMI();
      }
    else
      {
      op->RenderRMI();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_ResetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::ResetCamera(temp0);
      }
    else
      {
      op->ResetCamera(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_ResetCameraClippingRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::ResetCameraClippingRange(temp0);
      }
    else
      {
      op->ResetCameraClippingRange(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_ComputeVisiblePropBoundsRMI(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::ComputeVisiblePropBoundsRMI();
      }
    else
      {
      op->ComputeVisiblePropBoundsRMI();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_InitializeRMIs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::InitializeRMIs();
      }
    else
      {
      op->InitializeRMIs();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_ResetAllCameras(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::ResetAllCameras();
      }
    else
      {
      op->ResetAllCameras();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_ComputeVisiblePropBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[6];
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"O(dddddd)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::ComputeVisiblePropBounds(temp0,temp1);
      }
    else
      {
      op->ComputeVisiblePropBounds(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetParallelRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetParallelRendering(temp0);
      }
    else
      {
      op->SetParallelRendering(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetParallelRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetParallelRendering();
      }
    else
      {
      temp20 = op->GetParallelRendering();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_ParallelRenderingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::ParallelRenderingOn();
      }
    else
      {
      op->ParallelRenderingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_ParallelRenderingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::ParallelRenderingOff();
      }
    else
      {
      op->ParallelRenderingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetRenderEventPropagation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetRenderEventPropagation(temp0);
      }
    else
      {
      op->SetRenderEventPropagation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetRenderEventPropagation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetRenderEventPropagation();
      }
    else
      {
      temp20 = op->GetRenderEventPropagation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_RenderEventPropagationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::RenderEventPropagationOn();
      }
    else
      {
      op->RenderEventPropagationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_RenderEventPropagationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::RenderEventPropagationOff();
      }
    else
      {
      op->RenderEventPropagationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetUseCompositing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetUseCompositing(temp0);
      }
    else
      {
      op->SetUseCompositing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetUseCompositing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetUseCompositing();
      }
    else
      {
      temp20 = op->GetUseCompositing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_UseCompositingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::UseCompositingOn();
      }
    else
      {
      op->UseCompositingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_UseCompositingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::UseCompositingOff();
      }
    else
      {
      op->UseCompositingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetImageReductionFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  double   temp0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetImageReductionFactor(temp0);
      }
    else
      {
      op->SetImageReductionFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetImageReductionFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  double   temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetImageReductionFactor();
      }
    else
      {
      temp20 = op->GetImageReductionFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetMaxImageReductionFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  double   temp0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetMaxImageReductionFactor(temp0);
      }
    else
      {
      op->SetMaxImageReductionFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetMaxImageReductionFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  double   temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetMaxImageReductionFactor();
      }
    else
      {
      temp20 = op->GetMaxImageReductionFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetImageReductionFactorForUpdateRate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  double   temp0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetImageReductionFactorForUpdateRate(temp0);
      }
    else
      {
      op->SetImageReductionFactorForUpdateRate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetAutoImageReductionFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetAutoImageReductionFactor(temp0);
      }
    else
      {
      op->SetAutoImageReductionFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetAutoImageReductionFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetAutoImageReductionFactor();
      }
    else
      {
      temp20 = op->GetAutoImageReductionFactor();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_AutoImageReductionFactorOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::AutoImageReductionFactorOn();
      }
    else
      {
      op->AutoImageReductionFactorOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_AutoImageReductionFactorOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::AutoImageReductionFactorOff();
      }
    else
      {
      op->AutoImageReductionFactorOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetRenderTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  double   temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetRenderTime();
      }
    else
      {
      temp20 = op->GetRenderTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetImageProcessingTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  double   temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetImageProcessingTime();
      }
    else
      {
      temp20 = op->GetImageProcessingTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetWriteBackImages(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetWriteBackImages(temp0);
      }
    else
      {
      op->SetWriteBackImages(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetWriteBackImages(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetWriteBackImages();
      }
    else
      {
      temp20 = op->GetWriteBackImages();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_WriteBackImagesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::WriteBackImagesOn();
      }
    else
      {
      op->WriteBackImagesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_WriteBackImagesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::WriteBackImagesOff();
      }
    else
      {
      op->WriteBackImagesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetMagnifyImages(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetMagnifyImages(temp0);
      }
    else
      {
      op->SetMagnifyImages(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetMagnifyImages(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetMagnifyImages();
      }
    else
      {
      temp20 = op->GetMagnifyImages();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_MagnifyImagesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::MagnifyImagesOn();
      }
    else
      {
      op->MagnifyImagesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_MagnifyImagesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::MagnifyImagesOff();
      }
    else
      {
      op->MagnifyImagesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetMagnifyImageMethod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetMagnifyImageMethod(temp0);
      }
    else
      {
      op->SetMagnifyImageMethod(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetMagnifyImageMethod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetMagnifyImageMethod();
      }
    else
      {
      temp20 = op->GetMagnifyImageMethod();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetMagnifyImageMethodToNearest(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetMagnifyImageMethodToNearest();
      }
    else
      {
      op->SetMagnifyImageMethodToNearest();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetMagnifyImageMethodToLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetMagnifyImageMethodToLinear();
      }
    else
      {
      op->SetMagnifyImageMethodToLinear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  vtkUnsignedCharArray  *temp0;
  PyObject *tempH0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnsignedCharArray");
    if (!temp0 && tempH0 != Py_None) goto break60;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::GetPixelData(temp0);
      }
    else
      {
      op->GetPixelData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break60:
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  PyObject *tempH4;
  PyErr_Clear();
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"iiiiO", &temp0, &temp1, &temp2, &temp3, &tempH4)))
    {
    temp4 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkUnsignedCharArray");
    if (!temp4 && tempH4 != Py_None) goto break61;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::GetPixelData(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->GetPixelData(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break61:
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetReducedPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  vtkUnsignedCharArray  *temp0;
  PyObject *tempH0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkUnsignedCharArray");
    if (!temp0 && tempH0 != Py_None) goto break62;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::GetReducedPixelData(temp0);
      }
    else
      {
      op->GetReducedPixelData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break62:
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  PyObject *tempH4;
  PyErr_Clear();
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"iiiiO", &temp0, &temp1, &temp2, &temp3, &tempH4)))
    {
    temp4 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkUnsignedCharArray");
    if (!temp4 && tempH4 != Py_None) goto break63;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::GetReducedPixelData(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      op->GetReducedPixelData(temp0,temp1,temp2,temp3,temp4);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break63:
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetFullImageSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int     *temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetFullImageSize();
      }
    else
      {
      temp20 = op->GetFullImageSize();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetReducedImageSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int     *temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetReducedImageSize();
      }
    else
      {
      temp20 = op->GetReducedImageSize();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_TileWindows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp0;
  int      temp1;
  int      temp2;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::TileWindows(temp0,temp1,temp2);
      }
    else
      {
      op->TileWindows(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_SetUseRGBA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp0;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::SetUseRGBA(temp0);
      }
    else
      {
      op->SetUseRGBA(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelRenderManager_GetUseRGBA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  int      temp20;
  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelRenderManager::GetUseRGBA();
      }
    else
      {
      temp20 = op->GetUseRGBA();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkParallelRenderManager_StartService(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelRenderManager *op;

  if ((op = (vtkParallelRenderManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelRenderManager::StartService();
      }
    else
      {
      op->StartService();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif

static PyMethodDef PyvtkParallelRenderManagerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParallelRenderManager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParallelRenderManager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParallelRenderManager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParallelRenderManager\nC++: vtkParallelRenderManager *NewInstance ();\n\n"},
  {(char*)"MakeRenderWindow",                (PyCFunction)PyvtkParallelRenderManager_MakeRenderWindow, 1,
   (char*)"V.MakeRenderWindow() -> vtkRenderWindow\nC++: virtual vtkRenderWindow *MakeRenderWindow ();\n\n Builds a vtkRenderWindow compatible with this render manager.  The\n user program is responsible for registering the render window with the\n SetRenderWindow method and calling Delete.  It is not advisable to use\n a parallel render manager with a render window that was not built with\n this method.\n"},
  {(char*)"MakeRenderer",                (PyCFunction)PyvtkParallelRenderManager_MakeRenderer, 1,
   (char*)"V.MakeRenderer() -> vtkRenderer\nC++: virtual vtkRenderer *MakeRenderer ();\n\n Builds a vtkRenderer compatible with this render manager.  (Should we\n also register it?)  The user program is responsible for calling\n Delete.  It is not advisable to use a parallel render manager with a\n renderer that was not built with this method.\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkParallelRenderManager_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();\n\n Set/Get the RenderWindow to use for compositing.\n We add a start and end observer to the window.\n"},
  {(char*)"SetRenderWindow",                (PyCFunction)PyvtkParallelRenderManager_SetRenderWindow, 1,
   (char*)"V.SetRenderWindow(vtkRenderWindow)\nC++: virtual void SetRenderWindow (vtkRenderWindow *renWin);\n\n Set/Get the RenderWindow to use for compositing.\n We add a start and end observer to the window.\n"},
  {(char*)"GetController",                (PyCFunction)PyvtkParallelRenderManager_GetController, 1,
   (char*)"V.GetController() -> vtkMultiProcessController\nC++: vtkMultiProcessController *GetController ();\n\n Set/Get the vtkMultiProcessController which will handle communications\n for the parallel rendering.\n"},
  {(char*)"SetController",                (PyCFunction)PyvtkParallelRenderManager_SetController, 1,
   (char*)"V.SetController(vtkMultiProcessController)\nC++: virtual void SetController (vtkMultiProcessController *controller);\n\n Set/Get the vtkMultiProcessController which will handle communications\n for the parallel rendering.\n"},
  {(char*)"InitializePieces",                (PyCFunction)PyvtkParallelRenderManager_InitializePieces, 1,
   (char*)"V.InitializePieces()\nC++: virtual void InitializePieces ();\n\n This method sets the piece and number of pieces for each\n actor with a polydata mapper.\n"},
  {(char*)"InitializeOffScreen",                (PyCFunction)PyvtkParallelRenderManager_InitializeOffScreen, 1,
   (char*)"V.InitializeOffScreen()\nC++: virtual void InitializeOffScreen ();\n\n Make all rendering windows not viewable set as off screen rendering.\n To make all renderwindows on screen rendering again, call\n OffScreenRenderingOff on all the render windows.  This class assumes\n the window on root node is the only one viewable.  Subclasses should\n change this as necessary.\n"},
  {(char*)"StartInteractor",                (PyCFunction)PyvtkParallelRenderManager_StartInteractor, 1,
   (char*)"V.StartInteractor()\nC++: virtual void StartInteractor ();\n\n Initializes the RMIs and then, if on root node, starts the interactor\n on the attached render window.  Otherwise, starts processing RMIs.\n When the interactor returns, it breaks the RMI listening on all other\n processors.\n"},
  {(char*)"StartServices",                (PyCFunction)PyvtkParallelRenderManager_StartServices, 1,
   (char*)"V.StartServices()\nC++: virtual void StartServices ();\n\n If on node other than root, starts serving RMI requests for parallel\n renders.\n"},
  {(char*)"StopServices",                (PyCFunction)PyvtkParallelRenderManager_StopServices, 1,
   (char*)"V.StopServices()\nC++: virtual void StopServices ();\n\n If on root node, stops the RMI processing on all service nodes.\n"},
  {(char*)"StartRender",                (PyCFunction)PyvtkParallelRenderManager_StartRender, 1,
   (char*)"V.StartRender()\nC++: virtual void StartRender ();\n\n Callbacks that initialize and finish rendering and other tasks.\n"},
  {(char*)"EndRender",                (PyCFunction)PyvtkParallelRenderManager_EndRender, 1,
   (char*)"V.EndRender()\nC++: virtual void EndRender ();\n\n Callbacks that initialize and finish rendering and other tasks.\n"},
  {(char*)"SatelliteStartRender",                (PyCFunction)PyvtkParallelRenderManager_SatelliteStartRender, 1,
   (char*)"V.SatelliteStartRender()\nC++: virtual void SatelliteStartRender ();\n\n Callbacks that initialize and finish rendering and other tasks.\n"},
  {(char*)"SatelliteEndRender",                (PyCFunction)PyvtkParallelRenderManager_SatelliteEndRender, 1,
   (char*)"V.SatelliteEndRender()\nC++: virtual void SatelliteEndRender ();\n\n Callbacks that initialize and finish rendering and other tasks.\n"},
  {(char*)"RenderRMI",                (PyCFunction)PyvtkParallelRenderManager_RenderRMI, 1,
   (char*)"V.RenderRMI()\nC++: virtual void RenderRMI ();\n\n Callbacks that initialize and finish rendering and other tasks.\n"},
  {(char*)"ResetCamera",                (PyCFunction)PyvtkParallelRenderManager_ResetCamera, 1,
   (char*)"V.ResetCamera(vtkRenderer)\nC++: virtual void ResetCamera (vtkRenderer *ren);\n\n Callbacks that initialize and finish rendering and other tasks.\n"},
  {(char*)"ResetCameraClippingRange",                (PyCFunction)PyvtkParallelRenderManager_ResetCameraClippingRange, 1,
   (char*)"V.ResetCameraClippingRange(vtkRenderer)\nC++: virtual void ResetCameraClippingRange (vtkRenderer *ren);\n\n Callbacks that initialize and finish rendering and other tasks.\n"},
  {(char*)"ComputeVisiblePropBoundsRMI",                (PyCFunction)PyvtkParallelRenderManager_ComputeVisiblePropBoundsRMI, 1,
   (char*)"V.ComputeVisiblePropBoundsRMI()\nC++: virtual void ComputeVisiblePropBoundsRMI ();\n\n Callbacks that initialize and finish rendering and other tasks.\n"},
  {(char*)"InitializeRMIs",                (PyCFunction)PyvtkParallelRenderManager_InitializeRMIs, 1,
   (char*)"V.InitializeRMIs()\nC++: virtual void InitializeRMIs ();\n\n"},
  {(char*)"ResetAllCameras",                (PyCFunction)PyvtkParallelRenderManager_ResetAllCameras, 1,
   (char*)"V.ResetAllCameras()\nC++: virtual void ResetAllCameras ();\n\n Resets the camera of each renderer contained in the RenderWindow.\n Should only be called in the \"root\" process, and all remote processes\n must be processing RMIs for this method to complete.\n"},
  {(char*)"ComputeVisiblePropBounds",                (PyCFunction)PyvtkParallelRenderManager_ComputeVisiblePropBounds, 1,
   (char*)"V.ComputeVisiblePropBounds(vtkRenderer, (float, float, float, float, float, float))\nC++: virtual void ComputeVisiblePropBounds (vtkRenderer *ren, double bounds[6]);\n\n Calculates the bounds by gathering information from all processes.\n"},
  {(char*)"SetParallelRendering",                (PyCFunction)PyvtkParallelRenderManager_SetParallelRendering, 1,
   (char*)"V.SetParallelRendering(int)\nC++: void SetParallelRendering (int );\n\n Turns on/off parallel rendering.  When on (the default) the object\n responds to render events of the attached window, propagates the\n render event to other processors, and otherwise enables the parallel\n rendering process.\n"},
  {(char*)"GetParallelRendering",                (PyCFunction)PyvtkParallelRenderManager_GetParallelRendering, 1,
   (char*)"V.GetParallelRendering() -> int\nC++: int GetParallelRendering ();\n\n Turns on/off parallel rendering.  When on (the default) the object\n responds to render events of the attached window, propagates the\n render event to other processors, and otherwise enables the parallel\n rendering process.\n"},
  {(char*)"ParallelRenderingOn",                (PyCFunction)PyvtkParallelRenderManager_ParallelRenderingOn, 1,
   (char*)"V.ParallelRenderingOn()\nC++: void ParallelRenderingOn ();\n\n Turns on/off parallel rendering.  When on (the default) the object\n responds to render events of the attached window, propagates the\n render event to other processors, and otherwise enables the parallel\n rendering process.\n"},
  {(char*)"ParallelRenderingOff",                (PyCFunction)PyvtkParallelRenderManager_ParallelRenderingOff, 1,
   (char*)"V.ParallelRenderingOff()\nC++: void ParallelRenderingOff ();\n\n Turns on/off parallel rendering.  When on (the default) the object\n responds to render events of the attached window, propagates the\n render event to other processors, and otherwise enables the parallel\n rendering process.\n"},
  {(char*)"SetRenderEventPropagation",                (PyCFunction)PyvtkParallelRenderManager_SetRenderEventPropagation, 1,
   (char*)"V.SetRenderEventPropagation(int)\nC++: void SetRenderEventPropagation (int );\n\n Turns on/off render event propagation.  When on (the default) and\n ParallelRendering is on, process 0 will send an RMI call to all remote\n processes to perform a synchronized render.  When off, render must be\n manually called on each process.\n"},
  {(char*)"GetRenderEventPropagation",                (PyCFunction)PyvtkParallelRenderManager_GetRenderEventPropagation, 1,
   (char*)"V.GetRenderEventPropagation() -> int\nC++: int GetRenderEventPropagation ();\n\n Turns on/off render event propagation.  When on (the default) and\n ParallelRendering is on, process 0 will send an RMI call to all remote\n processes to perform a synchronized render.  When off, render must be\n manually called on each process.\n"},
  {(char*)"RenderEventPropagationOn",                (PyCFunction)PyvtkParallelRenderManager_RenderEventPropagationOn, 1,
   (char*)"V.RenderEventPropagationOn()\nC++: void RenderEventPropagationOn ();\n\n Turns on/off render event propagation.  When on (the default) and\n ParallelRendering is on, process 0 will send an RMI call to all remote\n processes to perform a synchronized render.  When off, render must be\n manually called on each process.\n"},
  {(char*)"RenderEventPropagationOff",                (PyCFunction)PyvtkParallelRenderManager_RenderEventPropagationOff, 1,
   (char*)"V.RenderEventPropagationOff()\nC++: void RenderEventPropagationOff ();\n\n Turns on/off render event propagation.  When on (the default) and\n ParallelRendering is on, process 0 will send an RMI call to all remote\n processes to perform a synchronized render.  When off, render must be\n manually called on each process.\n"},
  {(char*)"SetUseCompositing",                (PyCFunction)PyvtkParallelRenderManager_SetUseCompositing, 1,
   (char*)"V.SetUseCompositing(int)\nC++: void SetUseCompositing (int );\n\n This is used for tiled display rendering.  When data has been\n duplicated on all processes, then we do not need to compositing.\n Cameras and renders are still propagated though.\n"},
  {(char*)"GetUseCompositing",                (PyCFunction)PyvtkParallelRenderManager_GetUseCompositing, 1,
   (char*)"V.GetUseCompositing() -> int\nC++: int GetUseCompositing ();\n\n This is used for tiled display rendering.  When data has been\n duplicated on all processes, then we do not need to compositing.\n Cameras and renders are still propagated though.\n"},
  {(char*)"UseCompositingOn",                (PyCFunction)PyvtkParallelRenderManager_UseCompositingOn, 1,
   (char*)"V.UseCompositingOn()\nC++: void UseCompositingOn ();\n\n This is used for tiled display rendering.  When data has been\n duplicated on all processes, then we do not need to compositing.\n Cameras and renders are still propagated though.\n"},
  {(char*)"UseCompositingOff",                (PyCFunction)PyvtkParallelRenderManager_UseCompositingOff, 1,
   (char*)"V.UseCompositingOff()\nC++: void UseCompositingOff ();\n\n This is used for tiled display rendering.  When data has been\n duplicated on all processes, then we do not need to compositing.\n Cameras and renders are still propagated though.\n"},
  {(char*)"SetImageReductionFactor",                (PyCFunction)PyvtkParallelRenderManager_SetImageReductionFactor, 1,
   (char*)"V.SetImageReductionFactor(float)\nC++: virtual void SetImageReductionFactor (double factor);\n\n Set/Get the reduction factor (for sort-last based parallel renderers).\n The size of rendered image is divided by the reduction factor and then\n is blown up to the size of the current vtkRenderWindow.  Setting\n higher reduction factors enables shorter image transfer times (which\n is often the bottleneck) but will greatly reduce image quality.  A\n reduction factor of 2 or greater should only be used for intermediate\n images in interactive applications.  A reduction factor of 1 (or less)\n will result in no change in image quality.  A parallel render manager\n may ignore the image reduction factor if it will result in little or\n no performance enhancements (eg. it does not do image space\n manipulations).\n"},
  {(char*)"GetImageReductionFactor",                (PyCFunction)PyvtkParallelRenderManager_GetImageReductionFactor, 1,
   (char*)"V.GetImageReductionFactor() -> float\nC++: double GetImageReductionFactor ();\n\n Set/Get the reduction factor (for sort-last based parallel renderers).\n The size of rendered image is divided by the reduction factor and then\n is blown up to the size of the current vtkRenderWindow.  Setting\n higher reduction factors enables shorter image transfer times (which\n is often the bottleneck) but will greatly reduce image quality.  A\n reduction factor of 2 or greater should only be used for intermediate\n images in interactive applications.  A reduction factor of 1 (or less)\n will result in no change in image quality.  A parallel render manager\n may ignore the image reduction factor if it will result in little or\n no performance enhancements (eg. it does not do image space\n manipulations).\n"},
  {(char*)"SetMaxImageReductionFactor",                (PyCFunction)PyvtkParallelRenderManager_SetMaxImageReductionFactor, 1,
   (char*)"V.SetMaxImageReductionFactor(float)\nC++: void SetMaxImageReductionFactor (double );\n\n"},
  {(char*)"GetMaxImageReductionFactor",                (PyCFunction)PyvtkParallelRenderManager_GetMaxImageReductionFactor, 1,
   (char*)"V.GetMaxImageReductionFactor() -> float\nC++: double GetMaxImageReductionFactor ();\n\n"},
  {(char*)"SetImageReductionFactorForUpdateRate",                (PyCFunction)PyvtkParallelRenderManager_SetImageReductionFactorForUpdateRate, 1,
   (char*)"V.SetImageReductionFactorForUpdateRate(float)\nC++: virtual void SetImageReductionFactorForUpdateRate (double DesiredUpdateRate);\n\n Sets the ReductionFactor based on the given desired update rate and\n the rendering metrics taken from the last time UpdateServerInfo was\n called.  Note that if AutoReductionFactor is on, this function is called\n with the desired update rate of the render window automatically.\n"},
  {(char*)"SetAutoImageReductionFactor",                (PyCFunction)PyvtkParallelRenderManager_SetAutoImageReductionFactor, 1,
   (char*)"V.SetAutoImageReductionFactor(int)\nC++: void SetAutoImageReductionFactor (int );\n\n If on, the ReductionFactor is automatically adjusted to best meet the\n the DesiredUpdateRate in the current RenderWindow based on metrics\n from the last render.\n"},
  {(char*)"GetAutoImageReductionFactor",                (PyCFunction)PyvtkParallelRenderManager_GetAutoImageReductionFactor, 1,
   (char*)"V.GetAutoImageReductionFactor() -> int\nC++: int GetAutoImageReductionFactor ();\n\n If on, the ReductionFactor is automatically adjusted to best meet the\n the DesiredUpdateRate in the current RenderWindow based on metrics\n from the last render.\n"},
  {(char*)"AutoImageReductionFactorOn",                (PyCFunction)PyvtkParallelRenderManager_AutoImageReductionFactorOn, 1,
   (char*)"V.AutoImageReductionFactorOn()\nC++: void AutoImageReductionFactorOn ();\n\n If on, the ReductionFactor is automatically adjusted to best meet the\n the DesiredUpdateRate in the current RenderWindow based on metrics\n from the last render.\n"},
  {(char*)"AutoImageReductionFactorOff",                (PyCFunction)PyvtkParallelRenderManager_AutoImageReductionFactorOff, 1,
   (char*)"V.AutoImageReductionFactorOff()\nC++: void AutoImageReductionFactorOff ();\n\n If on, the ReductionFactor is automatically adjusted to best meet the\n the DesiredUpdateRate in the current RenderWindow based on metrics\n from the last render.\n"},
  {(char*)"GetRenderTime",                (PyCFunction)PyvtkParallelRenderManager_GetRenderTime, 1,
   (char*)"V.GetRenderTime() -> float\nC++: double GetRenderTime ();\n\n Get rendering metrics.\n"},
  {(char*)"GetImageProcessingTime",                (PyCFunction)PyvtkParallelRenderManager_GetImageProcessingTime, 1,
   (char*)"V.GetImageProcessingTime() -> float\nC++: double GetImageProcessingTime ();\n\n Get rendering metrics.\n"},
  {(char*)"SetWriteBackImages",                (PyCFunction)PyvtkParallelRenderManager_SetWriteBackImages, 1,
   (char*)"V.SetWriteBackImages(int)\nC++: void SetWriteBackImages (int );\n\n If on (the default), the result of any image space manipulations are\n written back to the render window frame buffer.  If off, the image\n stored in the frame buffer may not be correct.  Either way, the\n correct frame buffer images may be read with\n vtkParallelRenderManager::GetPixelData.  Turning WriteBackImages off\n may result in a speedup if the render window is not visible to the user\n and images are read back for further processing or transit.\n"},
  {(char*)"GetWriteBackImages",                (PyCFunction)PyvtkParallelRenderManager_GetWriteBackImages, 1,
   (char*)"V.GetWriteBackImages() -> int\nC++: int GetWriteBackImages ();\n\n If on (the default), the result of any image space manipulations are\n written back to the render window frame buffer.  If off, the image\n stored in the frame buffer may not be correct.  Either way, the\n correct frame buffer images may be read with\n vtkParallelRenderManager::GetPixelData.  Turning WriteBackImages off\n may result in a speedup if the render window is not visible to the user\n and images are read back for further processing or transit.\n"},
  {(char*)"WriteBackImagesOn",                (PyCFunction)PyvtkParallelRenderManager_WriteBackImagesOn, 1,
   (char*)"V.WriteBackImagesOn()\nC++: void WriteBackImagesOn ();\n\n If on (the default), the result of any image space manipulations are\n written back to the render window frame buffer.  If off, the image\n stored in the frame buffer may not be correct.  Either way, the\n correct frame buffer images may be read with\n vtkParallelRenderManager::GetPixelData.  Turning WriteBackImages off\n may result in a speedup if the render window is not visible to the user\n and images are read back for further processing or transit.\n"},
  {(char*)"WriteBackImagesOff",                (PyCFunction)PyvtkParallelRenderManager_WriteBackImagesOff, 1,
   (char*)"V.WriteBackImagesOff()\nC++: void WriteBackImagesOff ();\n\n If on (the default), the result of any image space manipulations are\n written back to the render window frame buffer.  If off, the image\n stored in the frame buffer may not be correct.  Either way, the\n correct frame buffer images may be read with\n vtkParallelRenderManager::GetPixelData.  Turning WriteBackImages off\n may result in a speedup if the render window is not visible to the user\n and images are read back for further processing or transit.\n"},
  {(char*)"SetMagnifyImages",                (PyCFunction)PyvtkParallelRenderManager_SetMagnifyImages, 1,
   (char*)"V.SetMagnifyImages(int)\nC++: void SetMagnifyImages (int );\n\n If on (the default), when the ImageReductionFactor is greater than 1\n and WriteBackImages is on, the image will be magnified to fill the\n entire render window.\n"},
  {(char*)"GetMagnifyImages",                (PyCFunction)PyvtkParallelRenderManager_GetMagnifyImages, 1,
   (char*)"V.GetMagnifyImages() -> int\nC++: int GetMagnifyImages ();\n\n If on (the default), when the ImageReductionFactor is greater than 1\n and WriteBackImages is on, the image will be magnified to fill the\n entire render window.\n"},
  {(char*)"MagnifyImagesOn",                (PyCFunction)PyvtkParallelRenderManager_MagnifyImagesOn, 1,
   (char*)"V.MagnifyImagesOn()\nC++: void MagnifyImagesOn ();\n\n If on (the default), when the ImageReductionFactor is greater than 1\n and WriteBackImages is on, the image will be magnified to fill the\n entire render window.\n"},
  {(char*)"MagnifyImagesOff",                (PyCFunction)PyvtkParallelRenderManager_MagnifyImagesOff, 1,
   (char*)"V.MagnifyImagesOff()\nC++: void MagnifyImagesOff ();\n\n If on (the default), when the ImageReductionFactor is greater than 1\n and WriteBackImages is on, the image will be magnified to fill the\n entire render window.\n"},
  {(char*)"SetMagnifyImageMethod",                (PyCFunction)PyvtkParallelRenderManager_SetMagnifyImageMethod, 1,
   (char*)"V.SetMagnifyImageMethod(int)\nC++: virtual void SetMagnifyImageMethod (int method);\n\n Sets the method used to magnify images.  Nearest simply replicates\n each pixel enough times to fill the image.  Linear performs linear\n interpolation between the pixels.\n"},
  {(char*)"GetMagnifyImageMethod",                (PyCFunction)PyvtkParallelRenderManager_GetMagnifyImageMethod, 1,
   (char*)"V.GetMagnifyImageMethod() -> int\nC++: int GetMagnifyImageMethod ();\n\n Sets the method used to magnify images.  Nearest simply replicates\n each pixel enough times to fill the image.  Linear performs linear\n interpolation between the pixels.\n"},
  {(char*)"SetMagnifyImageMethodToNearest",                (PyCFunction)PyvtkParallelRenderManager_SetMagnifyImageMethodToNearest, 1,
   (char*)"V.SetMagnifyImageMethodToNearest()\nC++: void SetMagnifyImageMethodToNearest ();this SetMagnifyImageMethod NEAREST \n\n Sets the method used to magnify images.  Nearest simply replicates\n each pixel enough times to fill the image.  Linear performs linear\n interpolation between the pixels.\n"},
  {(char*)"SetMagnifyImageMethodToLinear",                (PyCFunction)PyvtkParallelRenderManager_SetMagnifyImageMethodToLinear, 1,
   (char*)"V.SetMagnifyImageMethodToLinear()\nC++: void SetMagnifyImageMethodToLinear ();this SetMagnifyImageMethod LINEAR \n\n The most appropriate way to retrieve full size image data after a\n render.  Will work regardless of whether WriteBackImages or\n MagnifyImage is on or off.  The data returned may be a shallow copy of\n an internal array.  Therefore, the data may be invalid after the next\n render or if the ParallelRenderManager is destroyed.\n"},
  {(char*)"GetPixelData",                (PyCFunction)PyvtkParallelRenderManager_GetPixelData, 1,
   (char*)"V.GetPixelData(vtkUnsignedCharArray)\nC++: virtual void GetPixelData (vtkUnsignedCharArray *data);\nV.GetPixelData(int, int, int, int, vtkUnsignedCharArray)\nC++: virtual void GetPixelData (int x1, int y1, int x2, int y2, vtkUnsignedCharArray *data);\n\n The most appropriate way to retrieve full size image data after a\n render.  Will work regardless of whether WriteBackImages or\n MagnifyImage is on or off.  The data returned may be a shallow copy of\n an internal array.  Therefore, the data may be invalid after the next\n render or if the ParallelRenderManager is destroyed.\n"},
  {(char*)"GetReducedPixelData",                (PyCFunction)PyvtkParallelRenderManager_GetReducedPixelData, 1,
   (char*)"V.GetReducedPixelData(vtkUnsignedCharArray)\nC++: virtual void GetReducedPixelData (vtkUnsignedCharArray *data);\nV.GetReducedPixelData(int, int, int, int, vtkUnsignedCharArray)\nC++: virtual void GetReducedPixelData (int x1, int y1, int x2, int y2, vtkUnsignedCharArray *data);\n\n The most appropriate way to retrieve reduced size image data after a\n render.  Will work regardless of whether WriteBackImages or\n MagnifyImage is on or off.  The data returned may be a shallow copy of\n an internal array.  Therefore, the data may be invalid after the next\n render or if the ParallelRenderManager is destroyed.\n"},
  {(char*)"GetFullImageSize",                (PyCFunction)PyvtkParallelRenderManager_GetFullImageSize, 1,
   (char*)"V.GetFullImageSize() -> (int, int)\nC++: int  *GetFullImageSize ();\n\n Returns the full image size calculated at the last render.\n"},
  {(char*)"GetReducedImageSize",                (PyCFunction)PyvtkParallelRenderManager_GetReducedImageSize, 1,
   (char*)"V.GetReducedImageSize() -> (int, int)\nC++: int  *GetReducedImageSize ();\n\n Returns the reduced image size calculated at the last render.\n"},
  {(char*)"TileWindows",                (PyCFunction)PyvtkParallelRenderManager_TileWindows, 1,
   (char*)"V.TileWindows(int, int, int)\nC++: void TileWindows (int xsize, int ysize, int nColumns);\n\n Given the x and y size of the render windows, reposition them\n in a tile of n columns.\n"},
  {(char*)"SetUseRGBA",                (PyCFunction)PyvtkParallelRenderManager_SetUseRGBA, 1,
   (char*)"V.SetUseRGBA(int)\nC++: void SetUseRGBA (int );\n\n Get/Set if all Images must use RGBA instead of RGB. By default,\n this flag is on.\n"},
  {(char*)"GetUseRGBA",                (PyCFunction)PyvtkParallelRenderManager_GetUseRGBA, 1,
   (char*)"V.GetUseRGBA() -> int\nC++: int GetUseRGBA ();\n\n Get/Set if all Images must use RGBA instead of RGB. By default,\n this flag is on.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"StartService",                (PyCFunction)PyvtkParallelRenderManager_StartService, 1,
   (char*)"V.StartService()\nC++: virtual void StartService ();\n\n @deprecated Replaced by vtkParallelRenderManager::StartServices()\n as of VTK 5.0.\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParallelRenderManagerDoc[] = {
  (char*)"vtkParallelRenderManager - An object to control parallel rendering.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkParallelRenderManager operates in multiple processes.  It provides\n proper renderers and render windows for performing the parallel\n rendering correctly.  It can also attach itself to render windows and\n propagate rendering events and camera views.\n\n This class is based on the vtkCompositeManager class, except that it can\n handle any type of parallel rendering.\n\n .SECTION Note:\n Many parallel ",
  (char*)"rendering schemes do not correctly handle transparency.\n Unless otherwise documented, assume a sub class does not.\n\n .SECTION ToDo:\n Synchronization/barrier primitives.\n\n Query ranges of scalar values of objects in addition to the boundry in\n three-space\n\n\n",
  NULL
};

PyObject *PyVTKClass_vtkParallelRenderManagerNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkParallelRenderManagerMethods,
                        (char*)"vtkParallelRenderManager",modulename,
                        (char**)vtkParallelRenderManagerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

