// tcl wrapper for vtkParallelRenderManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelRenderManager.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParallelRenderManagerCppCommand(vtkParallelRenderManager *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParallelRenderManagerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParallelRenderManagerCppCommand((vtkParallelRenderManager *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParallelRenderManagerCppCommand(vtkParallelRenderManager *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParallelRenderManager",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParallelRenderManager  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkParallelRenderManager");
    return TCL_OK;
    }
  if ((!strcmp("MakeRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->MakeRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("MakeRenderer",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->MakeRenderer();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderWindow",interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("SetController",argv[1]))&&(argc == 3))
    {
    vtkMultiProcessController  *temp0;
    error = 0;

    temp0 = (vtkMultiProcessController *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMultiProcessController",interp,error));
    if (!error)
    {
    op->SetController(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitializePieces",argv[1]))&&(argc == 2))
    {
    op->InitializePieces();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InitializeOffScreen",argv[1]))&&(argc == 2))
    {
    op->InitializeOffScreen();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartInteractor",argv[1]))&&(argc == 2))
    {
    op->StartInteractor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartServices",argv[1]))&&(argc == 2))
    {
    op->StartServices();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StopServices",argv[1]))&&(argc == 2))
    {
    op->StopServices();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartRender",argv[1]))&&(argc == 2))
    {
    op->StartRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndRender",argv[1]))&&(argc == 2))
    {
    op->EndRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SatelliteStartRender",argv[1]))&&(argc == 2))
    {
    op->SatelliteStartRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SatelliteEndRender",argv[1]))&&(argc == 2))
    {
    op->SatelliteEndRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderRMI",argv[1]))&&(argc == 2))
    {
    op->RenderRMI();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetCamera",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    if (!error)
    {
    op->ResetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetCameraClippingRange",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    if (!error)
    {
    op->ResetCameraClippingRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeVisiblePropBoundsRMI",argv[1]))&&(argc == 2))
    {
    op->ComputeVisiblePropBoundsRMI();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InitializeRMIs",argv[1]))&&(argc == 2))
    {
    op->InitializeRMIs();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetAllCameras",argv[1]))&&(argc == 2))
    {
    op->ResetAllCameras();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetParallelRendering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParallelRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParallelRendering",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParallelRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ParallelRenderingOn",argv[1]))&&(argc == 2))
    {
    op->ParallelRenderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParallelRenderingOff",argv[1]))&&(argc == 2))
    {
    op->ParallelRenderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderEventPropagation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRenderEventPropagation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderEventPropagation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderEventPropagation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderEventPropagationOn",argv[1]))&&(argc == 2))
    {
    op->RenderEventPropagationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderEventPropagationOff",argv[1]))&&(argc == 2))
    {
    op->RenderEventPropagationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseCompositing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseCompositing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseCompositing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseCompositing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseCompositingOn",argv[1]))&&(argc == 2))
    {
    op->UseCompositingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseCompositingOff",argv[1]))&&(argc == 2))
    {
    op->UseCompositingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetImageReductionFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetImageReductionFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageReductionFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetImageReductionFactor();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxImageReductionFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaxImageReductionFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxImageReductionFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaxImageReductionFactor();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetImageReductionFactorForUpdateRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetImageReductionFactorForUpdateRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAutoImageReductionFactor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoImageReductionFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoImageReductionFactor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoImageReductionFactor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoImageReductionFactorOn",argv[1]))&&(argc == 2))
    {
    op->AutoImageReductionFactorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoImageReductionFactorOff",argv[1]))&&(argc == 2))
    {
    op->AutoImageReductionFactorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRenderTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRenderTime();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageProcessingTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetImageProcessingTime();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWriteBackImages",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWriteBackImages(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWriteBackImages",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWriteBackImages();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WriteBackImagesOn",argv[1]))&&(argc == 2))
    {
    op->WriteBackImagesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteBackImagesOff",argv[1]))&&(argc == 2))
    {
    op->WriteBackImagesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMagnifyImages",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMagnifyImages(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMagnifyImages",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMagnifyImages();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MagnifyImagesOn",argv[1]))&&(argc == 2))
    {
    op->MagnifyImagesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MagnifyImagesOff",argv[1]))&&(argc == 2))
    {
    op->MagnifyImagesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMagnifyImageMethod",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMagnifyImageMethod(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMagnifyImageMethod",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMagnifyImageMethod();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMagnifyImageMethodToNearest",argv[1]))&&(argc == 2))
    {
    op->SetMagnifyImageMethodToNearest();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMagnifyImageMethodToLinear",argv[1]))&&(argc == 2))
    {
    op->SetMagnifyImageMethodToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPixelData",argv[1]))&&(argc == 3))
    {
    vtkUnsignedCharArray  *temp0;
    error = 0;

    temp0 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkUnsignedCharArray",interp,error));
    if (!error)
    {
    op->GetPixelData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPixelData",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkUnsignedCharArray  *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkUnsignedCharArray",interp,error));
    if (!error)
    {
    op->GetPixelData(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReducedPixelData",argv[1]))&&(argc == 3))
    {
    vtkUnsignedCharArray  *temp0;
    error = 0;

    temp0 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkUnsignedCharArray",interp,error));
    if (!error)
    {
    op->GetReducedPixelData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReducedPixelData",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkUnsignedCharArray  *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkUnsignedCharArray",interp,error));
    if (!error)
    {
    op->GetReducedPixelData(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFullImageSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetFullImageSize();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetReducedImageSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetReducedImageSize();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TileWindows",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->TileWindows(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseRGBA",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseRGBA(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseRGBA",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseRGBA();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("StartService",argv[1]))&&(argc == 2))
    {
    op->StartService();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkParallelRenderManagerCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParallelRenderManager:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  MakeRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  MakeRenderer\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetController\n",NULL);
    Tcl_AppendResult(interp,"  SetController\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InitializePieces\n",NULL);
    Tcl_AppendResult(interp,"  InitializeOffScreen\n",NULL);
    Tcl_AppendResult(interp,"  StartInteractor\n",NULL);
    Tcl_AppendResult(interp,"  StartServices\n",NULL);
    Tcl_AppendResult(interp,"  StopServices\n",NULL);
    Tcl_AppendResult(interp,"  StartRender\n",NULL);
    Tcl_AppendResult(interp,"  EndRender\n",NULL);
    Tcl_AppendResult(interp,"  SatelliteStartRender\n",NULL);
    Tcl_AppendResult(interp,"  SatelliteEndRender\n",NULL);
    Tcl_AppendResult(interp,"  RenderRMI\n",NULL);
    Tcl_AppendResult(interp,"  ResetCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ResetCameraClippingRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputeVisiblePropBoundsRMI\n",NULL);
    Tcl_AppendResult(interp,"  InitializeRMIs\n",NULL);
    Tcl_AppendResult(interp,"  ResetAllCameras\n",NULL);
    Tcl_AppendResult(interp,"  SetParallelRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParallelRendering\n",NULL);
    Tcl_AppendResult(interp,"  ParallelRenderingOn\n",NULL);
    Tcl_AppendResult(interp,"  ParallelRenderingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderEventPropagation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderEventPropagation\n",NULL);
    Tcl_AppendResult(interp,"  RenderEventPropagationOn\n",NULL);
    Tcl_AppendResult(interp,"  RenderEventPropagationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseCompositing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseCompositing\n",NULL);
    Tcl_AppendResult(interp,"  UseCompositingOn\n",NULL);
    Tcl_AppendResult(interp,"  UseCompositingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetImageReductionFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageReductionFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxImageReductionFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxImageReductionFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetImageReductionFactorForUpdateRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoImageReductionFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoImageReductionFactor\n",NULL);
    Tcl_AppendResult(interp,"  AutoImageReductionFactorOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoImageReductionFactorOff\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderTime\n",NULL);
    Tcl_AppendResult(interp,"  GetImageProcessingTime\n",NULL);
    Tcl_AppendResult(interp,"  SetWriteBackImages\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWriteBackImages\n",NULL);
    Tcl_AppendResult(interp,"  WriteBackImagesOn\n",NULL);
    Tcl_AppendResult(interp,"  WriteBackImagesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMagnifyImages\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMagnifyImages\n",NULL);
    Tcl_AppendResult(interp,"  MagnifyImagesOn\n",NULL);
    Tcl_AppendResult(interp,"  MagnifyImagesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMagnifyImageMethod\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMagnifyImageMethod\n",NULL);
    Tcl_AppendResult(interp,"  SetMagnifyImageMethodToNearest\n",NULL);
    Tcl_AppendResult(interp,"  SetMagnifyImageMethodToLinear\n",NULL);
    Tcl_AppendResult(interp,"  GetPixelData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPixelData\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetReducedPixelData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReducedPixelData\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFullImageSize\n",NULL);
    Tcl_AppendResult(interp,"  GetReducedImageSize\n",NULL);
    Tcl_AppendResult(interp,"  TileWindows\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUseRGBA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseRGBA\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  StartService\n",NULL);
#endif
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
