// python wrapper for vtkPassThroughFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPassThroughFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPassThroughFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPassThroughFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkPassThroughFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThroughFilter *op;

  const char    *temp20;
  if ((op = (vtkPassThroughFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassThroughFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPassThroughFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThroughFilter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPassThroughFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassThroughFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPassThroughFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPassThroughFilter *op;

  vtkPassThroughFilter  *temp20;
  if ((op = (vtkPassThroughFilter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPassThroughFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPassThroughFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPassThroughFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPassThroughFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkPassThroughFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPassThroughFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPassThroughFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPassThroughFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPassThroughFilter\nC++: vtkPassThroughFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPassThroughFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPassThroughFilter\nC++: vtkPassThroughFilter *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPassThroughFilterDoc[] = {
  (char*)"vtkPassThroughFilter - Filter which shallow copies it's input to it's output\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" This filter shallow copies it's input to it's output. It is normally\n used by PVSources with multiple outputs as the VTK filter in the\n dummy connection objects at each output.\n\n",
  NULL
};

static vtkObjectBase *vtkPassThroughFilterStaticNew()
{
  return vtkPassThroughFilter::New();
}

PyObject *PyVTKClass_vtkPassThroughFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkPassThroughFilterStaticNew,
                        PyvtkPassThroughFilterMethods,
                        (char*)"vtkPassThroughFilter",modulename,
                        (char**)vtkPassThroughFilterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

