// python wrapper for vtkPieceScalars object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPieceScalars.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPieceScalarsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPieceScalarsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkPieceScalars_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceScalars *op;

  const char    *temp20;
  if ((op = (vtkPieceScalars *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceScalars::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceScalars_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceScalars *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPieceScalars *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceScalars::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceScalars_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceScalars *op;

  vtkPieceScalars  *temp20;
  if ((op = (vtkPieceScalars *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceScalars::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceScalars_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPieceScalars  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPieceScalars::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPieceScalars_SetScalarModeToCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceScalars *op;

  if ((op = (vtkPieceScalars *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPieceScalars::SetScalarModeToCellData();
      }
    else
      {
      op->SetScalarModeToCellData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceScalars_SetScalarModeToPointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceScalars *op;

  if ((op = (vtkPieceScalars *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPieceScalars::SetScalarModeToPointData();
      }
    else
      {
      op->SetScalarModeToPointData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceScalars_GetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceScalars *op;

  int      temp20;
  if ((op = (vtkPieceScalars *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceScalars::GetScalarMode();
      }
    else
      {
      temp20 = op->GetScalarMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceScalars_SetRandomMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceScalars *op;

  int      temp0;
  if ((op = (vtkPieceScalars *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPieceScalars::SetRandomMode(temp0);
      }
    else
      {
      op->SetRandomMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceScalars_GetRandomMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceScalars *op;

  int      temp20;
  if ((op = (vtkPieceScalars *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPieceScalars::GetRandomMode();
      }
    else
      {
      temp20 = op->GetRandomMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceScalars_RandomModeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceScalars *op;

  if ((op = (vtkPieceScalars *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPieceScalars::RandomModeOn();
      }
    else
      {
      op->RandomModeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPieceScalars_RandomModeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPieceScalars *op;

  if ((op = (vtkPieceScalars *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPieceScalars::RandomModeOff();
      }
    else
      {
      op->RandomModeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPieceScalarsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPieceScalars_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPieceScalars_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPieceScalars_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPieceScalars\nC++: vtkPieceScalars *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPieceScalars_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPieceScalars\nC++: vtkPieceScalars *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetScalarModeToCellData",                (PyCFunction)PyvtkPieceScalars_SetScalarModeToCellData, 1,
   (char*)"V.SetScalarModeToCellData()\nC++: void SetScalarModeToCellData ();this SetCellScalarsFlag \n\n Option to centerate cell scalars of poi9nts scalars.  Default is point scalars.\n"},
  {(char*)"SetScalarModeToPointData",                (PyCFunction)PyvtkPieceScalars_SetScalarModeToPointData, 1,
   (char*)"V.SetScalarModeToPointData()\nC++: void SetScalarModeToPointData ();this SetCellScalarsFlag \n\n Option to centerate cell scalars of poi9nts scalars.  Default is point scalars.\n"},
  {(char*)"GetScalarMode",                (PyCFunction)PyvtkPieceScalars_GetScalarMode, 1,
   (char*)"V.GetScalarMode() -> int\nC++: int GetScalarMode ();return this CellScalarsFlag \n\n"},
  {(char*)"SetRandomMode",                (PyCFunction)PyvtkPieceScalars_SetRandomMode, 1,
   (char*)"V.SetRandomMode(int)\nC++: void SetRandomMode (int );\n\n"},
  {(char*)"GetRandomMode",                (PyCFunction)PyvtkPieceScalars_GetRandomMode, 1,
   (char*)"V.GetRandomMode() -> int\nC++: int GetRandomMode ();\n\n"},
  {(char*)"RandomModeOn",                (PyCFunction)PyvtkPieceScalars_RandomModeOn, 1,
   (char*)"V.RandomModeOn()\nC++: void RandomModeOn ();\n\n"},
  {(char*)"RandomModeOff",                (PyCFunction)PyvtkPieceScalars_RandomModeOff, 1,
   (char*)"V.RandomModeOff()\nC++: void RandomModeOff ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPieceScalarsDoc[] = {
  (char*)"vtkPieceScalars - Sets all cell scalars from the update piece.\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkPieceScalars is meant to display which piece is being requested\n as scalar values.  It is usefull for visualizing the partitioning for\n streaming or distributed pipelines.\n\n\n",
  "See Also:\n\n vtkPolyDataStreamer\n\n",
  NULL
};

static vtkObjectBase *vtkPieceScalarsStaticNew()
{
  return vtkPieceScalars::New();
}

PyObject *PyVTKClass_vtkPieceScalarsNew(char *modulename)
{
  return PyVTKClass_New(&vtkPieceScalarsStaticNew,
                        PyvtkPieceScalarsMethods,
                        (char*)"vtkPieceScalars",modulename,
                        (char**)vtkPieceScalarsDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

