// python wrapper for vtkSocketCommunicator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSocketCommunicator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSocketCommunicatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSocketCommunicatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCommunicatorNew(char *); }

static PyObject *PyvtkSocketCommunicator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  const char    *temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  vtkSocketCommunicator  *temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSocketCommunicator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSocketCommunicator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_OpenSocket(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp0;
  char    *temp1;
  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::OpenSocket(temp0,temp1);
      }
    else
      {
      temp20 = op->OpenSocket(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetPort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetPort(temp0);
      }
    else
      {
      temp20 = op->GetPort(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_WaitForConnectionOnSocket(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp0;
  unsigned long     temp1;
  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"il", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::WaitForConnectionOnSocket(temp0,temp1);
      }
    else
      {
      temp20 = op->WaitForConnectionOnSocket(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_WaitForConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::WaitForConnection(temp0);
      }
    else
      {
      temp20 = op->WaitForConnection(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_CloseConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCommunicator::CloseConnection();
      }
    else
      {
      op->CloseConnection();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_ConnectTo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  char    *temp0;
  int      temp1;
  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::ConnectTo(temp0,temp1);
      }
    else
      {
      temp20 = op->ConnectTo(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetSwapBytesInReceivedData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetSwapBytesInReceivedData();
      }
    else
      {
      temp20 = op->GetSwapBytesInReceivedData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetIsConnected(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetIsConnected();
      }
    else
      {
      temp20 = op->GetIsConnected();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_Send(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::Send(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::Send(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::Send(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Send(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_Receive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"ziii", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::Receive(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::Receive(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break16:
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  vtkDataArray  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::Receive(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Receive(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_SetPerformHandshake(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp0;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCommunicator::SetPerformHandshake(temp0);
      }
    else
      {
      op->SetPerformHandshake(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetPerformHandshakeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetPerformHandshakeMinValue();
      }
    else
      {
      temp20 = op->GetPerformHandshakeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetPerformHandshakeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetPerformHandshakeMaxValue();
      }
    else
      {
      temp20 = op->GetPerformHandshakeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_PerformHandshakeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCommunicator::PerformHandshakeOn();
      }
    else
      {
      op->PerformHandshakeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_PerformHandshakeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCommunicator::PerformHandshakeOff();
      }
    else
      {
      op->PerformHandshakeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetPerformHandshake(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetPerformHandshake();
      }
    else
      {
      temp20 = op->GetPerformHandshake();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_LogToFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::LogToFile(temp0);
      }
    else
      {
      temp20 = op->LogToFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  char    *temp0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::LogToFile(temp0,temp1);
      }
    else
      {
      temp20 = op->LogToFile(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_SetReportErrors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp0;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketCommunicator::SetReportErrors(temp0);
      }
    else
      {
      op->SetReportErrors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketCommunicator_GetReportErrors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketCommunicator *op;

  int      temp20;
  if ((op = (vtkSocketCommunicator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketCommunicator::GetReportErrors();
      }
    else
      {
      temp20 = op->GetReportErrors();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSocketCommunicatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSocketCommunicator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSocketCommunicator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSocketCommunicator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSocketCommunicator\nC++: vtkSocketCommunicator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSocketCommunicator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSocketCommunicator\nC++: vtkSocketCommunicator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"OpenSocket",                (PyCFunction)PyvtkSocketCommunicator_OpenSocket, 1,
   (char*)"V.OpenSocket(int, string) -> int\nC++: virtual int OpenSocket (int port, const char *network);\n\n Create a socket on the given port, if port is 0, then\n create a random port.  If network is specified, then use\n the given network.  The socket number is returned.\n"},
  {(char*)"GetPort",                (PyCFunction)PyvtkSocketCommunicator_GetPort, 1,
   (char*)"V.GetPort(int) -> int\nC++: virtual int GetPort (int sock);\n\n Return the port used by an open socket.\n"},
  {(char*)"WaitForConnectionOnSocket",                (PyCFunction)PyvtkSocketCommunicator_WaitForConnectionOnSocket, 1,
   (char*)"V.WaitForConnectionOnSocket(int, int) -> int\nC++: virtual int WaitForConnectionOnSocket (int socket, unsigned long timeout);\n\n Wait for a connection on an already bound port created\n by a call to BindPort. If the timeout is specified, then the call will\n fail after timeout expiers with resulting code of -1.\n"},
  {(char*)"WaitForConnection",                (PyCFunction)PyvtkSocketCommunicator_WaitForConnection, 1,
   (char*)"V.WaitForConnection(int) -> int\nC++: virtual int WaitForConnection (int port);\n\n Wait for connection on a given port.\n"},
  {(char*)"CloseConnection",                (PyCFunction)PyvtkSocketCommunicator_CloseConnection, 1,
   (char*)"V.CloseConnection()\nC++: virtual void CloseConnection ();\n\n Close a connection.\n"},
  {(char*)"ConnectTo",                (PyCFunction)PyvtkSocketCommunicator_ConnectTo, 1,
   (char*)"V.ConnectTo(string, int) -> int\nC++: virtual int ConnectTo (char *hostName, int port);\n\n Open a connection to host.\n"},
  {(char*)"GetSwapBytesInReceivedData",                (PyCFunction)PyvtkSocketCommunicator_GetSwapBytesInReceivedData, 1,
   (char*)"V.GetSwapBytesInReceivedData() -> int\nC++: int GetSwapBytesInReceivedData ();\n\n Returns 1 if bytes must be swapped in received ints, floats, etc\n"},
  {(char*)"GetIsConnected",                (PyCFunction)PyvtkSocketCommunicator_GetIsConnected, 1,
   (char*)"V.GetIsConnected() -> int\nC++: int GetIsConnected ();\n\n Is the communicator connected?.\n"},
  {(char*)"Send",                (PyCFunction)PyvtkSocketCommunicator_Send, 1,
   (char*)"V.Send(string, int, int, int) -> int\nC++: int Send (char *data, int length, int remoteProcessId, int tag);\nV.Send(vtkDataObject, int, int) -> int\nC++: int Send (vtkDataObject *data, int remoteId, int tag);return this vtkCommunicator Send data remoteId tag \nV.Send(vtkDataArray, int, int) -> int\nC++: int Send (vtkDataArray *data, int remoteId, int tag);return this vtkCommunicator Send data remoteId tag \n\n This method sends data to another process.  Tag eliminates ambiguity\n when multiple sends or receives exist in the same process.\n"},
  {(char*)"Receive",                (PyCFunction)PyvtkSocketCommunicator_Receive, 1,
   (char*)"V.Receive(string, int, int, int) -> int\nC++: int Receive (char *data, int length, int remoteProcessId, int tag);\nV.Receive(vtkDataObject, int, int) -> int\nC++: int Receive (vtkDataObject *data, int remoteId, int tag);return this vtkCommunicator Receive data remoteId tag \nV.Receive(vtkDataArray, int, int) -> int\nC++: int Receive (vtkDataArray *data, int remoteId, int tag);return this vtkCommunicator Receive data remoteId tag \n\n This method receives data from a corresponding send. It blocks\n until the receive is finished.  It calls methods in \"data\"\n to communicate the sending data.\n"},
  {(char*)"SetPerformHandshake",                (PyCFunction)PyvtkSocketCommunicator_SetPerformHandshake, 1,
   (char*)"V.SetPerformHandshake(int)\nC++: void SetPerformHandshake (int );\n\n Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n"},
  {(char*)"GetPerformHandshakeMinValue",                (PyCFunction)PyvtkSocketCommunicator_GetPerformHandshakeMinValue, 1,
   (char*)"V.GetPerformHandshakeMinValue() -> int\nC++: int GetPerformHandshakeMinValue ();\n\n Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n"},
  {(char*)"GetPerformHandshakeMaxValue",                (PyCFunction)PyvtkSocketCommunicator_GetPerformHandshakeMaxValue, 1,
   (char*)"V.GetPerformHandshakeMaxValue() -> int\nC++: int GetPerformHandshakeMaxValue ();\n\n Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n"},
  {(char*)"PerformHandshakeOn",                (PyCFunction)PyvtkSocketCommunicator_PerformHandshakeOn, 1,
   (char*)"V.PerformHandshakeOn()\nC++: void PerformHandshakeOn ();\n\n Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n"},
  {(char*)"PerformHandshakeOff",                (PyCFunction)PyvtkSocketCommunicator_PerformHandshakeOff, 1,
   (char*)"V.PerformHandshakeOff()\nC++: void PerformHandshakeOff ();\n\n Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n"},
  {(char*)"GetPerformHandshake",                (PyCFunction)PyvtkSocketCommunicator_GetPerformHandshake, 1,
   (char*)"V.GetPerformHandshake() -> int\nC++: int GetPerformHandshake ();\n\n Set or get the PerformHandshake ivar. If it is on, the communicator\n will try to perform a handshake when connected.\n It is on by default.\n"},
  {(char*)"LogToFile",                (PyCFunction)PyvtkSocketCommunicator_LogToFile, 1,
   (char*)"V.LogToFile(string) -> int\nC++: virtual int LogToFile (const char *name);\nV.LogToFile(string, int) -> int\nC++: virtual int LogToFile (const char *name, int append);\n\n Log messages to the given file.  The file is truncated unless the\n second argument is non-zero (default is to truncate).  If the\n file name is empty or NULL, logging is disabled.  Returns 0 if\n the file failed to open, and 1 otherwise.\n"},
  {(char*)"SetReportErrors",                (PyCFunction)PyvtkSocketCommunicator_SetReportErrors, 1,
   (char*)"V.SetReportErrors(int)\nC++: void SetReportErrors (int );\n\n If ReportErrors if false, all vtkErrorMacros are suppressed.\n"},
  {(char*)"GetReportErrors",                (PyCFunction)PyvtkSocketCommunicator_GetReportErrors, 1,
   (char*)"V.GetReportErrors() -> int\nC++: int GetReportErrors ();\n\n If ReportErrors if false, all vtkErrorMacros are suppressed.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSocketCommunicatorDoc[] = {
  (char*)"vtkSocketCommunicator - Process communication using Sockets\n\n",
  "Super Class:\n\n vtkCommunicator\n\n",
  (char*)" This is a concrete implementation of vtkCommunicator which supports\n interprocess communication using BSD style sockets. \n It supports byte swapping for the communication of  machines \n with different endianness.\n\n",
  "Caveats:\n\n Communication between 32 bit and 64 bit systems is not fully\n supported. If a type does not have the same length on both\n systems, this communicator can not be used to transfer data\n of that type.\n\n",
  "See Also:\n\n vtkCommunicator vtkSocketController\n\n",
  NULL
};

static vtkObjectBase *vtkSocketCommunicatorStaticNew()
{
  return vtkSocketCommunicator::New();
}

PyObject *PyVTKClass_vtkSocketCommunicatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkSocketCommunicatorStaticNew,
                        PyvtkSocketCommunicatorMethods,
                        (char*)"vtkSocketCommunicator",modulename,
                        (char**)vtkSocketCommunicatorDoc,
                        PyVTKClass_vtkCommunicatorNew(modulename));
}

