// python wrapper for vtkSocketController object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSocketController.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSocketControllerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSocketControllerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiProcessControllerNew(char *); }

static PyObject *PyvtkSocketController_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  const char    *temp20;
  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketController::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketController_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketController::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketController_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  vtkSocketController  *temp20;
  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketController::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketController_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSocketController  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSocketController::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSocketController_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketController::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketController_Finalize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketController::Finalize();
      }
    else
      {
      op->Finalize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSocketController *op;

  int      temp0;
  PyErr_Clear();
  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketController::Finalize(temp0);
      }
    else
      {
      op->Finalize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketController_SingleMethodExecute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketController::SingleMethodExecute();
      }
    else
      {
      op->SingleMethodExecute();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketController_MultipleMethodExecute(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketController::MultipleMethodExecute();
      }
    else
      {
      op->MultipleMethodExecute();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketController_CreateOutputWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketController::CreateOutputWindow();
      }
    else
      {
      op->CreateOutputWindow();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketController_Barrier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketController::Barrier();
      }
    else
      {
      op->Barrier();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketController_SetNumberOfProcesses(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  int      temp0;
  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketController::SetNumberOfProcesses(temp0);
      }
    else
      {
      op->SetNumberOfProcesses(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketController_WaitForConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketController::WaitForConnection(temp0);
      }
    else
      {
      temp20 = op->WaitForConnection(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketController_CloseConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketController::CloseConnection();
      }
    else
      {
      op->CloseConnection();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketController_ConnectTo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  char    *temp0;
  int      temp1;
  int      temp20;
  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketController::ConnectTo(temp0,temp1);
      }
    else
      {
      temp20 = op->ConnectTo(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketController_GetSwapBytesInReceivedData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  int      temp20;
  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSocketController::GetSwapBytesInReceivedData();
      }
    else
      {
      temp20 = op->GetSwapBytesInReceivedData();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSocketController_SetCommunicator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSocketController *op;

  vtkSocketCommunicator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSocketController *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSocketCommunicator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSocketCommunicator");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkSocketController::SetCommunicator(temp0);
      }
    else
      {
      op->SetCommunicator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}

static PyMethodDef PyvtkSocketControllerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSocketController_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSocketController_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSocketController_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSocketController\nC++: vtkSocketController *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSocketController_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSocketController\nC++: vtkSocketController *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkSocketController_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize ();this Initialize \n\n Does not apply to sockets. Does nothing.\n"},
  {(char*)"Finalize",                (PyCFunction)PyvtkSocketController_Finalize, 1,
   (char*)"V.Finalize()\nC++: void Finalize ();\nV.Finalize(int)\nC++: void Finalize (int );\n\n Does not apply to sockets. Does nothing.\n"},
  {(char*)"SingleMethodExecute",                (PyCFunction)PyvtkSocketController_SingleMethodExecute, 1,
   (char*)"V.SingleMethodExecute()\nC++: void SingleMethodExecute ();\n\n  Does not apply to sockets. Does nothing.\n"},
  {(char*)"MultipleMethodExecute",                (PyCFunction)PyvtkSocketController_MultipleMethodExecute, 1,
   (char*)"V.MultipleMethodExecute()\nC++: void MultipleMethodExecute ();\n\n  Does not apply to sockets.  Does nothing.\n"},
  {(char*)"CreateOutputWindow",                (PyCFunction)PyvtkSocketController_CreateOutputWindow, 1,
   (char*)"V.CreateOutputWindow()\nC++: void CreateOutputWindow ();\n\n  Does not apply to sockets. Does nothing.\n"},
  {(char*)"Barrier",                (PyCFunction)PyvtkSocketController_Barrier, 1,
   (char*)"V.Barrier()\nC++: void Barrier ();\n\n  Does not apply to sockets. Does nothing.\n"},
  {(char*)"SetNumberOfProcesses",                (PyCFunction)PyvtkSocketController_SetNumberOfProcesses, 1,
   (char*)"V.SetNumberOfProcesses(int)\nC++: virtual void SetNumberOfProcesses (int num);\n\n Set the number of processes you will be using.\n"},
  {(char*)"WaitForConnection",                (PyCFunction)PyvtkSocketController_WaitForConnection, 1,
   (char*)"V.WaitForConnection(int) -> int\nC++: virtual int WaitForConnection (int port);\n\n Wait for connection on a given port, forwarded\n to the communicator\n"},
  {(char*)"CloseConnection",                (PyCFunction)PyvtkSocketController_CloseConnection, 1,
   (char*)"V.CloseConnection()\nC++: virtual void CloseConnection ();\n\n Close a connection, forwarded\n to the communicator\n"},
  {(char*)"ConnectTo",                (PyCFunction)PyvtkSocketController_ConnectTo, 1,
   (char*)"V.ConnectTo(string, int) -> int\nC++: virtual int ConnectTo (char *hostName, int port);\n\n Open a connection to a give machine, forwarded\n to the communicator\n"},
  {(char*)"GetSwapBytesInReceivedData",                (PyCFunction)PyvtkSocketController_GetSwapBytesInReceivedData, 1,
   (char*)"V.GetSwapBytesInReceivedData() -> int\nC++: int GetSwapBytesInReceivedData ();\n\n"},
  {(char*)"SetCommunicator",                (PyCFunction)PyvtkSocketController_SetCommunicator, 1,
   (char*)"V.SetCommunicator(vtkSocketCommunicator)\nC++: void SetCommunicator (vtkSocketCommunicator *comm);\n\n Set the communicator used in normal and rmi communications.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSocketControllerDoc[] = {
  (char*)"vtkSocketController - Process communication using Sockets\n\n",
  "Super Class:\n\n vtkMultiProcessController\n\n",
  (char*)" This is a concrete implementation of vtkMultiProcessController.\n It supports one-to-one communication using sockets. Note that\n process 0 will always correspond to self and process 1 to the\n remote process. This class is best used with ports.\n\n",
  "See Also:\n\n vtkMultiProcessController vtkSocketCommunicator vtkInputPort vtkOutputPort\n\n",
  NULL
};

static vtkObjectBase *vtkSocketControllerStaticNew()
{
  return vtkSocketController::New();
}

PyObject *PyVTKClass_vtkSocketControllerNew(char *modulename)
{
  return PyVTKClass_New(&vtkSocketControllerStaticNew,
                        PyvtkSocketControllerMethods,
                        (char*)"vtkSocketController",modulename,
                        (char**)vtkSocketControllerDoc,
                        PyVTKClass_vtkMultiProcessControllerNew(modulename));
}

