// python wrapper for vtkSubGroup object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSubGroup.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSubGroupNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSubGroupNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkSubGroup_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubGroup *op;

  const char    *temp20;
  if ((op = (vtkSubGroup *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubGroup::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSubGroup_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubGroup *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSubGroup *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubGroup::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSubGroup_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubGroup *op;

  vtkSubGroup  *temp20;
  if ((op = (vtkSubGroup *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubGroup::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSubGroup_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSubGroup  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSubGroup::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSubGroup_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubGroup *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkCommunicator  *temp4;
  PyObject *tempH4;
  int      temp20;
  if ((op = (vtkSubGroup *)PyArg_VTKParseTuple(self, args, (char*)"iiiiO", &temp0, &temp1, &temp2, &temp3, &tempH4)))
    {
    temp4 = (vtkCommunicator *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkCommunicator");
    if (!temp4 && tempH4 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubGroup::Initialize(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->Initialize(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSubGroup_Gather(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubGroup *op;

  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  if ((op = (vtkSubGroup *)PyArg_VTKParseTuple(self, args, (char*)"zzii", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubGroup::Gather(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Gather(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSubGroup_Broadcast(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubGroup *op;

  char    *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ((op = (vtkSubGroup *)PyArg_VTKParseTuple(self, args, (char*)"zii", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubGroup::Broadcast(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->Broadcast(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSubGroup_setGatherPattern(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubGroup *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkSubGroup *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSubGroup::setGatherPattern(temp0,temp1);
      }
    else
      {
      op->setGatherPattern(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSubGroup_getLocalRank(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubGroup *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkSubGroup *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubGroup::getLocalRank(temp0);
      }
    else
      {
      temp20 = op->getLocalRank(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSubGroup_Barrier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubGroup *op;

  int      temp20;
  if ((op = (vtkSubGroup *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSubGroup::Barrier();
      }
    else
      {
      temp20 = op->Barrier();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSubGroup_PrintSubGroup(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSubGroup *op;

  if ((op = (vtkSubGroup *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSubGroup::PrintSubGroup();
      }
    else
      {
      op->PrintSubGroup();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSubGroupMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSubGroup_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSubGroup_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSubGroup_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSubGroup\nC++: vtkSubGroup *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSubGroup_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSubGroup\nC++: vtkSubGroup *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkSubGroup_Initialize, 1,
   (char*)"V.Initialize(int, int, int, int, vtkCommunicator) -> int\nC++: int Initialize (int p0, int p1, int me, int tag, vtkCommunicator *c);\n\n"},
  {(char*)"Gather",                (PyCFunction)PyvtkSubGroup_Gather, 1,
   (char*)"V.Gather(string, string, int, int) -> int\nC++: int Gather (char *data, char *to, int length, int root);\n\n"},
  {(char*)"Broadcast",                (PyCFunction)PyvtkSubGroup_Broadcast, 1,
   (char*)"V.Broadcast(string, int, int) -> int\nC++: int Broadcast (char *data, int length, int root);\n\n"},
  {(char*)"setGatherPattern",                (PyCFunction)PyvtkSubGroup_setGatherPattern, 1,
   (char*)"V.setGatherPattern(int, int)\nC++: void setGatherPattern (int root, int length);\n\n"},
  {(char*)"getLocalRank",                (PyCFunction)PyvtkSubGroup_getLocalRank, 1,
   (char*)"V.getLocalRank(int) -> int\nC++: int getLocalRank (int processID);\n\n"},
  {(char*)"Barrier",                (PyCFunction)PyvtkSubGroup_Barrier, 1,
   (char*)"V.Barrier() -> int\nC++: int Barrier ();\n\n"},
  {(char*)"PrintSubGroup",                (PyCFunction)PyvtkSubGroup_PrintSubGroup, 1,
   (char*)"V.PrintSubGroup()\nC++: void PrintSubGroup () const;\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSubGroupDoc[] = {
  (char*)"vtkSubGroup - scalable collective communication for a\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"     This class provides scalable broadcast, reduce, etc. using\n     only a vtkMultiProcessController. It does not require MPI.\n     Users are vtkPKdTree and vtkDistributedDataFilter.\n\n\n",
  "See Also:\n\n vtkPKdTree vtkDistributedDataFilter\n\n",
  NULL
};

static vtkObjectBase *vtkSubGroupStaticNew()
{
  return vtkSubGroup::New();
}

PyObject *PyVTKClass_vtkSubGroupNew(char *modulename)
{
  return PyVTKClass_New(&vtkSubGroupStaticNew,
                        PyvtkSubGroupMethods,
                        (char*)"vtkSubGroup",modulename,
                        (char**)vtkSubGroupDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

