// python wrapper for vtkAbstractPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkAbstractPicker.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractPickerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractPickerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkAbstractPicker_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  const char    *temp20;
  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPicker::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPicker_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPicker::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPicker_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  vtkAbstractPicker  *temp20;
  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPicker::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPicker_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  vtkRenderer  *temp20;
  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPicker::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPicker_GetSelectionPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  double  *temp20;
  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPicker::GetSelectionPoint();
      }
    else
      {
      temp20 = op->GetSelectionPoint();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPicker_GetPickPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  double  *temp20;
  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPicker::GetPickPosition();
      }
    else
      {
      temp20 = op->GetPickPosition();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPicker_Pick(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  PyObject *tempH3;
  int      temp20;
  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"dddO", &temp0, &temp1, &temp2, &tempH3)))
    {
    temp3 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkRenderer");
    if (!temp3 && tempH3 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->Pick(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  double temp0[3];
  vtkRenderer  *temp1;
  PyObject *tempH1;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)O", temp0 + 0, temp0 + 1, temp0 + 2, &tempH1)))
    {
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPicker::Pick(temp0,temp1);
      }
    else
      {
      temp20 = op->Pick(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkAbstractPicker_SetPickFromList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  int      temp0;
  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPicker::SetPickFromList(temp0);
      }
    else
      {
      op->SetPickFromList(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPicker_GetPickFromList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  int      temp20;
  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPicker::GetPickFromList();
      }
    else
      {
      temp20 = op->GetPickFromList();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPicker_PickFromListOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPicker::PickFromListOn();
      }
    else
      {
      op->PickFromListOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPicker_PickFromListOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPicker::PickFromListOff();
      }
    else
      {
      op->PickFromListOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPicker_InitializePickList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPicker::InitializePickList();
      }
    else
      {
      op->InitializePickList();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractPicker_AddPickList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPicker::AddPickList(temp0);
      }
    else
      {
      op->AddPickList(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkAbstractPicker_DeletePickList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractPicker::DeletePickList(temp0);
      }
    else
      {
      op->DeletePickList(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkAbstractPicker_GetPickList(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractPicker *op;

  vtkPropCollection  *temp20;
  if ((op = (vtkAbstractPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractPicker::GetPickList();
      }
    else
      {
      temp20 = op->GetPickList();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAbstractPickerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractPicker_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractPicker_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractPicker_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractPicker\nC++: vtkAbstractPicker *NewInstance ();\n\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkAbstractPicker_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();\n\n Get the renderer in which pick event occurred.\n"},
  {(char*)"GetSelectionPoint",                (PyCFunction)PyvtkAbstractPicker_GetSelectionPoint, 1,
   (char*)"V.GetSelectionPoint() -> (float, float, float)\nC++: double  *GetSelectionPoint ();\n\n Get the selection point in screen (pixel) coordinates. The third\n value is related to z-buffer depth. (Normally should be =0.)\n"},
  {(char*)"GetPickPosition",                (PyCFunction)PyvtkAbstractPicker_GetPickPosition, 1,
   (char*)"V.GetPickPosition() -> (float, float, float)\nC++: double  *GetPickPosition ();\n\n Return position in global coordinates of pick point.\n"},
  {(char*)"Pick",                (PyCFunction)PyvtkAbstractPicker_Pick, 1,
   (char*)"V.Pick(float, float, float, vtkRenderer) -> int\nC++: virtual int Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer *renderer) = 0;\nV.Pick((float, float, float), vtkRenderer) -> int\nC++: int Pick (double selectionPt[3], vtkRenderer *ren);return this Pick selectionPt selectionPt selectionPt ren \n\n Perform pick operation with selection point provided. Normally the \n first two values for the selection point are x-y pixel coordinate, and\n the third value is =0. Return non-zero if something was successfully \n picked.\n"},
  {(char*)"SetPickFromList",                (PyCFunction)PyvtkAbstractPicker_SetPickFromList, 1,
   (char*)"V.SetPickFromList(int)\nC++: void SetPickFromList (int );\n\n Use these methods to control whether to limit the picking to this list\n (rather than renderer's actors). Make sure that the pick list contains \n actors that referred to by the picker's renderer.\n"},
  {(char*)"GetPickFromList",                (PyCFunction)PyvtkAbstractPicker_GetPickFromList, 1,
   (char*)"V.GetPickFromList() -> int\nC++: int GetPickFromList ();\n\n Use these methods to control whether to limit the picking to this list\n (rather than renderer's actors). Make sure that the pick list contains \n actors that referred to by the picker's renderer.\n"},
  {(char*)"PickFromListOn",                (PyCFunction)PyvtkAbstractPicker_PickFromListOn, 1,
   (char*)"V.PickFromListOn()\nC++: void PickFromListOn ();\n\n Use these methods to control whether to limit the picking to this list\n (rather than renderer's actors). Make sure that the pick list contains \n actors that referred to by the picker's renderer.\n"},
  {(char*)"PickFromListOff",                (PyCFunction)PyvtkAbstractPicker_PickFromListOff, 1,
   (char*)"V.PickFromListOff()\nC++: void PickFromListOff ();\n\n Use these methods to control whether to limit the picking to this list\n (rather than renderer's actors). Make sure that the pick list contains \n actors that referred to by the picker's renderer.\n"},
  {(char*)"InitializePickList",                (PyCFunction)PyvtkAbstractPicker_InitializePickList, 1,
   (char*)"V.InitializePickList()\nC++: void InitializePickList ();\n\n Initialize list of actors in pick list.\n"},
  {(char*)"AddPickList",                (PyCFunction)PyvtkAbstractPicker_AddPickList, 1,
   (char*)"V.AddPickList(vtkProp)\nC++: void AddPickList (vtkProp *);\n\n Add an actor to the pick list.\n"},
  {(char*)"DeletePickList",                (PyCFunction)PyvtkAbstractPicker_DeletePickList, 1,
   (char*)"V.DeletePickList(vtkProp)\nC++: void DeletePickList (vtkProp *);\n\n Delete an actor from the pick list.\n"},
  {(char*)"GetPickList",                (PyCFunction)PyvtkAbstractPicker_GetPickList, 1,
   (char*)"V.GetPickList() -> vtkPropCollection\nC++: vtkPropCollection *GetPickList ();return this PickList \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractPickerDoc[] = {
  (char*)"vtkAbstractPicker - define API for picking subclasses\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkAbstractPicker is an abstract superclass that defines a minimal API\n for its concrete subclasses. The minimum functionality of a picker is\n to return the x-y-z global coordinate position of a pick (the pick\n itself is defined in display coordinates).\n\n The API to this class is to invoke the Pick() method with a selection\n point (in display coordinates - pixels) and a renderer. Then get the\n re",
  (char*)"sulting pick position in global coordinates with the GetPickPosition()\n method.\n\n vtkPicker fires events during the picking process.  These\n events are StartPickEvent, PickEvent, and EndPickEvent which are\n invoked prior to picking, when something is picked, and after all picking\n candidates have been tested. Note that during the pick process the\n PickEvent of vtkProp (and its subclasses such as v",
  (char*)"tkActor) is fired\n prior to the PickEvent of vtkPicker.\n\n",
  "Caveats:\n\n vtkAbstractPicker and its subclasses will not pick props that are \n \"unpickable\" (see vtkProp) or are fully transparent (if transparency\n is a property of the vtkProp).\n\n There are two classes of pickers: those that pick using geometric methods\n (typically a ray cast); and those that use rendering hardware. Geometric\n methods return more information but are slower. Hardware methods are much\n faster and return minimal information. Examples of geometric pickers\n inc ...\n [Truncated]\n\n",
  "See Also:\n\n vtkPropPicker uses hardware acceleration to pick an instance of vtkProp.\n (This means that 2D and 3D props can be picked, and it's relatively fast.)\n If you need to pick cells or points, you might wish to use vtkCellPicker\n or vtkPointPicker. vtkWorldPointPicker is the fastest picker, returning\n an x-y-z coordinate value using the hardware z-buffer. vtkPicker can be\n used to pick the bounding box of 3D props.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractPickerNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractPickerMethods,
                        (char*)"vtkAbstractPicker",modulename,
                        (char**)vtkAbstractPickerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

