// tcl wrapper for vtkAbstractPropPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractPropPicker.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkAbstractPickerCppCommand(vtkAbstractPicker *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAbstractPropPickerCppCommand(vtkAbstractPropPicker *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAbstractPropPickerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAbstractPropPickerCppCommand((vtkAbstractPropPicker *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAbstractPropPickerCppCommand(vtkAbstractPropPicker *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAbstractPropPicker",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkAbstractPickerCppCommand((vtkAbstractPicker *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkAbstractPicker", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAbstractPropPicker  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAbstractPropPicker");
    return TCL_OK;
    }
  if ((!strcmp("SetPath",argv[1]))&&(argc == 3))
    {
    vtkAssemblyPath  *temp0;
    error = 0;

    temp0 = (vtkAssemblyPath *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkAssemblyPath",interp,error));
    if (!error)
    {
    op->SetPath(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPath",argv[1]))&&(argc == 2))
    {
    vtkAssemblyPath  *temp20;
    temp20 = (op)->GetPath();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAssemblyPath");
    return TCL_OK;
    }
  if ((!strcmp("GetViewProp",argv[1]))&&(argc == 2))
    {
    vtkProp  *temp20;
    temp20 = (op)->GetViewProp();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProp");
    return TCL_OK;
    }
  if ((!strcmp("GetProp3D",argv[1]))&&(argc == 2))
    {
    vtkProp3D  *temp20;
    temp20 = (op)->GetProp3D();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProp3D");
    return TCL_OK;
    }
  if ((!strcmp("GetActor",argv[1]))&&(argc == 2))
    {
    vtkActor  *temp20;
    temp20 = (op)->GetActor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkActor");
    return TCL_OK;
    }
  if ((!strcmp("GetActor2D",argv[1]))&&(argc == 2))
    {
    vtkActor2D  *temp20;
    temp20 = (op)->GetActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkActor2D");
    return TCL_OK;
    }
  if ((!strcmp("GetVolume",argv[1]))&&(argc == 2))
    {
    vtkVolume  *temp20;
    temp20 = (op)->GetVolume();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkVolume");
    return TCL_OK;
    }
  if ((!strcmp("GetAssembly",argv[1]))&&(argc == 2))
    {
    vtkAssembly  *temp20;
    temp20 = (op)->GetAssembly();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAssembly");
    return TCL_OK;
    }
  if ((!strcmp("GetPropAssembly",argv[1]))&&(argc == 2))
    {
    vtkPropAssembly  *temp20;
    temp20 = (op)->GetPropAssembly();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPropAssembly");
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetProp",argv[1]))&&(argc == 2))
    {
    vtkProp  *temp20;
    temp20 = (op)->GetProp();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProp");
    return TCL_OK;
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkAbstractPropPickerCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractPickerCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAbstractPropPicker:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetPath\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPath\n",NULL);
    Tcl_AppendResult(interp,"  GetViewProp\n",NULL);
    Tcl_AppendResult(interp,"  GetProp3D\n",NULL);
    Tcl_AppendResult(interp,"  GetActor\n",NULL);
    Tcl_AppendResult(interp,"  GetActor2D\n",NULL);
    Tcl_AppendResult(interp,"  GetVolume\n",NULL);
    Tcl_AppendResult(interp,"  GetAssembly\n",NULL);
    Tcl_AppendResult(interp,"  GetPropAssembly\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetProp\n",NULL);
#endif
    return TCL_OK;
    }

  if (vtkAbstractPickerCppCommand((vtkAbstractPicker *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
