// python wrapper for vtkAbstractVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkAbstractVolumeMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAbstractVolumeMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAbstractVolumeMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractMapper3DNew(char *); }

static PyObject *PyvtkAbstractVolumeMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  const char    *temp20;
  if ((op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  vtkAbstractVolumeMapper  *temp20;
  if ((op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractVolumeMapper::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_GetDataSetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  vtkDataSet  *temp20;
  if ((op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAbstractVolumeMapper::GetDataSetInput();
      }
    else
      {
      temp20 = op->GetDataSetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAbstractVolumeMapper_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAbstractVolumeMapper *op;

  double temp0[6];
  if ((op = (vtkAbstractVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAbstractVolumeMapper::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkAbstractVolumeMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAbstractVolumeMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAbstractVolumeMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAbstractVolumeMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAbstractVolumeMapper\nC++: vtkAbstractVolumeMapper *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkAbstractVolumeMapper_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: virtual void SetInput (vtkDataSet *);\n\n Set/Get the input data\n"},
  {(char*)"GetDataSetInput",                (PyCFunction)PyvtkAbstractVolumeMapper_GetDataSetInput, 1,
   (char*)"V.GetDataSetInput() -> vtkDataSet\nC++: vtkDataSet *GetDataSetInput ();\n\n Set/Get the input data\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkAbstractVolumeMapper_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float, float, float))\nC++: virtual void GetBounds (double bounds[6]);this vtkAbstractMapper3D GetBounds bounds \n\n Return bounding box (array of six doubles) of data expressed as\n (xmin,xmax, ymin,ymax, zmin,zmax).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAbstractVolumeMapperDoc[] = {
  (char*)"vtkAbstractVolumeMapper - Abstract class for a volume mapper\n\n",
  "Super Class:\n\n vtkAbstractMapper3D\n\n",
  (char*)" vtkAbstractVolumeMapper is the abstract definition of a volume mapper.  \n Specific subclasses deal with different specific types of data input\n\n",
  "See Also:\n\n vtkVolumeMapper vtkUnstructuredGridVolumeMapper\n\n",
  NULL
};

PyObject *PyVTKClass_vtkAbstractVolumeMapperNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkAbstractVolumeMapperMethods,
                        (char*)"vtkAbstractVolumeMapper",modulename,
                        (char**)vtkAbstractVolumeMapperDoc,
                        PyVTKClass_vtkAbstractMapper3DNew(modulename));
}

