// python wrapper for vtkActorCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkActorCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkActorCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkActorCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPropCollectionNew(char *); }

static PyObject *PyvtkActorCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActorCollection *op;

  const char    *temp20;
  if ((op = (vtkActorCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActorCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkActorCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActorCollection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkActorCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActorCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActorCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActorCollection *op;

  vtkActorCollection  *temp20;
  if ((op = (vtkActorCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActorCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActorCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkActorCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkActorCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkActorCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActorCollection *op;

  vtkActor  *temp0;
  PyObject *tempH0;
  if ((op = (vtkActorCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkActor");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkActorCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkActorCollection_GetNextActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActorCollection *op;

  vtkActor  *temp20;
  if ((op = (vtkActorCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActorCollection::GetNextActor();
      }
    else
      {
      temp20 = op->GetNextActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActorCollection_GetLastActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActorCollection *op;

  vtkActor  *temp20;
  if ((op = (vtkActorCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActorCollection::GetLastActor();
      }
    else
      {
      temp20 = op->GetLastActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActorCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActorCollection *op;

  vtkActor  *temp20;
  if ((op = (vtkActorCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActorCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActorCollection_GetLastItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActorCollection *op;

  vtkActor  *temp20;
  if ((op = (vtkActorCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkActorCollection::GetLastItem();
      }
    else
      {
      temp20 = op->GetLastItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkActorCollection_ApplyProperties(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkActorCollection *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkActorCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkActorCollection::ApplyProperties(temp0);
      }
    else
      {
      op->ApplyProperties(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}

static PyMethodDef PyvtkActorCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkActorCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkActorCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkActorCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkActorCollection\nC++: vtkActorCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkActorCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkActorCollection\nC++: vtkActorCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkActorCollection_AddItem, 1,
   (char*)"V.AddItem(vtkActor)\nC++: void AddItem (vtkActor *a);\n\n Add an actor to the list.\n"},
  {(char*)"GetNextActor",                (PyCFunction)PyvtkActorCollection_GetNextActor, 1,
   (char*)"V.GetNextActor() -> vtkActor\nC++: vtkActor *GetNextActor ();\n\n Get the next actor in the list.\n"},
  {(char*)"GetLastActor",                (PyCFunction)PyvtkActorCollection_GetLastActor, 1,
   (char*)"V.GetLastActor() -> vtkActor\nC++: vtkActor *GetLastActor ();\n\n Get the last actor in the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkActorCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkActor\nC++: vtkActor *GetNextItem ();\n\n Access routines that are provided for compatibility with previous\n version of VTK.  Please use the GetNextActor(), GetLastActor() variants\n where possible.\n"},
  {(char*)"GetLastItem",                (PyCFunction)PyvtkActorCollection_GetLastItem, 1,
   (char*)"V.GetLastItem() -> vtkActor\nC++: vtkActor *GetLastItem ();\n\n Access routines that are provided for compatibility with previous\n version of VTK.  Please use the GetNextActor(), GetLastActor() variants\n where possible.\n"},
  {(char*)"ApplyProperties",                (PyCFunction)PyvtkActorCollection_ApplyProperties, 1,
   (char*)"V.ApplyProperties(vtkProperty)\nC++: void ApplyProperties (vtkProperty *p);\n\n Apply properties to all actors in this collection.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkActorCollectionDoc[] = {
  (char*)"vtkActorCollection - a list of actors\n\n",
  "Super Class:\n\n vtkPropCollection\n\n",
  (char*)" vtkActorCollection represents and provides methods to manipulate a list of\n actors (i.e., vtkActor and subclasses). The list is unsorted and duplicate\n entries are not prevented.\n\n",
  "See Also:\n\n vtkActor vtkCollection \n\n",
  NULL
};

static vtkObjectBase *vtkActorCollectionStaticNew()
{
  return vtkActorCollection::New();
}

PyObject *PyVTKClass_vtkActorCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkActorCollectionStaticNew,
                        PyvtkActorCollectionMethods,
                        (char*)"vtkActorCollection",modulename,
                        (char**)vtkActorCollectionDoc,
                        PyVTKClass_vtkPropCollectionNew(modulename));
}

