// tcl wrapper for vtkActorCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkActorCollection.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkActorCollectionNewCommand()
{
  vtkActorCollection *temp = vtkActorCollection::New();
  return ((ClientData)temp);
}

int vtkPropCollectionCppCommand(vtkPropCollection *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkActorCollectionCppCommand(vtkActorCollection *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkActorCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkActorCollectionCppCommand((vtkActorCollection *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkActorCollectionCppCommand(vtkActorCollection *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkActorCollection",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPropCollectionCppCommand((vtkPropCollection *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPropCollection", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkActorCollection  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkActorCollection");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkActorCollection  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkActorCollection");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkActorCollection  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkActorCollection");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddItem",argv[1]))&&(argc == 3))
    {
    vtkActor  *temp0;
    error = 0;

    temp0 = (vtkActor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkActor",interp,error));
    if (!error)
    {
    op->AddItem(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNextActor",argv[1]))&&(argc == 2))
    {
    vtkActor  *temp20;
    temp20 = (op)->GetNextActor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkActor");
    return TCL_OK;
    }
  if ((!strcmp("GetLastActor",argv[1]))&&(argc == 2))
    {
    vtkActor  *temp20;
    temp20 = (op)->GetLastActor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkActor");
    return TCL_OK;
    }
  if ((!strcmp("GetNextItem",argv[1]))&&(argc == 2))
    {
    vtkActor  *temp20;
    temp20 = (op)->GetNextItem();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkActor");
    return TCL_OK;
    }
  if ((!strcmp("GetLastItem",argv[1]))&&(argc == 2))
    {
    vtkActor  *temp20;
    temp20 = (op)->GetLastItem();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkActor");
    return TCL_OK;
    }
  if ((!strcmp("ApplyProperties",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProperty",interp,error));
    if (!error)
    {
    op->ApplyProperties(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkActorCollectionCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPropCollectionCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkActorCollection:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNextActor\n",NULL);
    Tcl_AppendResult(interp,"  GetLastActor\n",NULL);
    Tcl_AppendResult(interp,"  GetNextItem\n",NULL);
    Tcl_AppendResult(interp,"  GetLastItem\n",NULL);
    Tcl_AppendResult(interp,"  ApplyProperties\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkPropCollectionCppCommand((vtkPropCollection *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
