// python wrapper for vtkAxisActor2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkAxisActor2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAxisActor2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAxisActor2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkActor2DNew(char *); }

static PyObject *PyvtkAxisActor2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  const char    *temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  vtkAxisActor2D  *temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkAxisActor2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkAxisActor2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetPoint1Coordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  vtkCoordinate  *temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetPoint1Coordinate();
      }
    else
      {
      temp20 = op->GetPoint1Coordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double temp0[2];
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetPoint1(temp0);
      }
    else
      {
      op->SetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double   temp0;
  double   temp1;
  PyErr_Clear();
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetPoint1(temp0,temp1);
      }
    else
      {
      op->SetPoint1(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetPoint2Coordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  vtkCoordinate  *temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetPoint2Coordinate();
      }
    else
      {
      temp20 = op->GetPoint2Coordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double temp0[2];
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetPoint2(temp0);
      }
    else
      {
      op->SetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double   temp0;
  double   temp1;
  PyErr_Clear();
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetPoint2(temp0,temp1);
      }
    else
      {
      op->SetPoint2(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetRange(temp0,temp1);
      }
    else
      {
      op->SetRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetRange(temp0);
      }
    else
      {
      op->SetRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double  *temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetRange();
      }
    else
      {
      temp20 = op->GetRange();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetNumberOfLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetNumberOfLabels(temp0);
      }
    else
      {
      op->SetNumberOfLabels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetNumberOfLabelsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetNumberOfLabelsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfLabelsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetNumberOfLabelsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetNumberOfLabelsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfLabelsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetNumberOfLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetNumberOfLabels();
      }
    else
      {
      temp20 = op->GetNumberOfLabels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  char    *temp0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetLabelFormat(temp0);
      }
    else
      {
      op->SetLabelFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  char    *temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetLabelFormat();
      }
    else
      {
      temp20 = op->GetLabelFormat();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetAdjustLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetAdjustLabels(temp0);
      }
    else
      {
      op->SetAdjustLabels(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetAdjustLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetAdjustLabels();
      }
    else
      {
      temp20 = op->GetAdjustLabels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_AdjustLabelsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::AdjustLabelsOn();
      }
    else
      {
      op->AdjustLabelsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_AdjustLabelsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::AdjustLabelsOff();
      }
    else
      {
      op->AdjustLabelsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetAdjustedRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double temp0[2];
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::GetAdjustedRange(temp0);
      }
    else
      {
      op->GetAdjustedRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetAdjustedNumberOfLabels(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetAdjustedNumberOfLabels();
      }
    else
      {
      temp20 = op->GetAdjustedNumberOfLabels();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  char    *temp0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetTitle(temp0);
      }
    else
      {
      op->SetTitle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  char    *temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetTitle();
      }
    else
      {
      temp20 = op->GetTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetTitleTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetTitleTextProperty(temp0);
      }
    else
      {
      op->SetTitleTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetTitleTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  vtkTextProperty  *temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetTitleTextProperty();
      }
    else
      {
      temp20 = op->GetTitleTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetLabelTextProperty(temp0);
      }
    else
      {
      op->SetLabelTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetLabelTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  vtkTextProperty  *temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetLabelTextProperty();
      }
    else
      {
      temp20 = op->GetLabelTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetTickLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetTickLength(temp0);
      }
    else
      {
      op->SetTickLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetTickLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetTickLengthMinValue();
      }
    else
      {
      temp20 = op->GetTickLengthMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetTickLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetTickLengthMaxValue();
      }
    else
      {
      temp20 = op->GetTickLengthMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetTickLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetTickLength();
      }
    else
      {
      temp20 = op->GetTickLength();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetTickOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetTickOffset(temp0);
      }
    else
      {
      op->SetTickOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetTickOffsetMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetTickOffsetMinValue();
      }
    else
      {
      temp20 = op->GetTickOffsetMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetTickOffsetMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetTickOffsetMaxValue();
      }
    else
      {
      temp20 = op->GetTickOffsetMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetTickOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetTickOffset();
      }
    else
      {
      temp20 = op->GetTickOffset();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetAxisVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetAxisVisibility(temp0);
      }
    else
      {
      op->SetAxisVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetAxisVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetAxisVisibility();
      }
    else
      {
      temp20 = op->GetAxisVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_AxisVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::AxisVisibilityOn();
      }
    else
      {
      op->AxisVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_AxisVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::AxisVisibilityOff();
      }
    else
      {
      op->AxisVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetTickVisibility(temp0);
      }
    else
      {
      op->SetTickVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetTickVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetTickVisibility();
      }
    else
      {
      temp20 = op->GetTickVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_TickVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::TickVisibilityOn();
      }
    else
      {
      op->TickVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_TickVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::TickVisibilityOff();
      }
    else
      {
      op->TickVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetLabelVisibility(temp0);
      }
    else
      {
      op->SetLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetLabelVisibility();
      }
    else
      {
      temp20 = op->GetLabelVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_LabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::LabelVisibilityOn();
      }
    else
      {
      op->LabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_LabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::LabelVisibilityOff();
      }
    else
      {
      op->LabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetTitleVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetTitleVisibility(temp0);
      }
    else
      {
      op->SetTitleVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetTitleVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetTitleVisibility();
      }
    else
      {
      temp20 = op->GetTitleVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_TitleVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::TitleVisibilityOn();
      }
    else
      {
      op->TitleVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_TitleVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::TitleVisibilityOff();
      }
    else
      {
      op->TitleVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetFontFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double   temp0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetFontFactor(temp0);
      }
    else
      {
      op->SetFontFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetFontFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double   temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetFontFactorMinValue();
      }
    else
      {
      temp20 = op->GetFontFactorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetFontFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double   temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetFontFactorMaxValue();
      }
    else
      {
      temp20 = op->GetFontFactorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetFontFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double   temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetFontFactor();
      }
    else
      {
      temp20 = op->GetFontFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_SetLabelFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double   temp0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::SetLabelFactor(temp0);
      }
    else
      {
      op->SetLabelFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetLabelFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double   temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetLabelFactorMinValue();
      }
    else
      {
      temp20 = op->GetLabelFactorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetLabelFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double   temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetLabelFactorMaxValue();
      }
    else
      {
      temp20 = op->GetLabelFactorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_GetLabelFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  double   temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::GetLabelFactor();
      }
    else
      {
      temp20 = op->GetLabelFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkAxisActor2D_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break63;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break63:
  return NULL;
}


static PyObject *PyvtkAxisActor2D_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break64;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break64:
  return NULL;
}


static PyObject *PyvtkAxisActor2D_RenderTranslucentGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break65;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkAxisActor2D::RenderTranslucentGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break65:
  return NULL;
}


static PyObject *PyvtkAxisActor2D_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break66;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break66:
  return NULL;
}


static PyObject *PyvtkAxisActor2D_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkAxisActor2D *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkAxisActor2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break67;
    if (PyVTKClass_Check(self))
      {
      op->vtkAxisActor2D::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break67:
  return NULL;
}

static PyMethodDef PyvtkAxisActor2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkAxisActor2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkAxisActor2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkAxisActor2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAxisActor2D\nC++: vtkAxisActor2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkAxisActor2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAxisActor2D\nC++: vtkAxisActor2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetPoint1Coordinate",                (PyCFunction)PyvtkAxisActor2D_GetPoint1Coordinate, 1,
   (char*)"V.GetPoint1Coordinate() -> vtkCoordinate\nC++: virtual vtkCoordinate *GetPoint1Coordinate ();return this GetPositionCoordinate \n\n Specify the position of the first point defining the axis.\n Note: backward compatibility only, use vtkActor2D's Position instead.\n"},
  {(char*)"SetPoint1",                (PyCFunction)PyvtkAxisActor2D_SetPoint1, 1,
   (char*)"V.SetPoint1((float, float))\nC++: virtual void SetPoint1 (double x[2]);this SetPosition x \nV.SetPoint1(float, float)\nC++: virtual void SetPoint1 (double x, double y);this SetPosition x y \n\n Specify the position of the first point defining the axis.\n Note: backward compatibility only, use vtkActor2D's Position instead.\n"},
  {(char*)"GetPoint2Coordinate",                (PyCFunction)PyvtkAxisActor2D_GetPoint2Coordinate, 1,
   (char*)"V.GetPoint2Coordinate() -> vtkCoordinate\nC++: virtual vtkCoordinate *GetPoint2Coordinate ();return this GetPosition2Coordinate \n\n Specify the position of the second point defining the axis. Note that\n the order from Point1 to Point2 controls which side the tick marks\n are drawn on (ticks are drawn on the right, if visible).\n Note: backward compatibility only, use vtkActor2D's Position2 instead.\n"},
  {(char*)"SetPoint2",                (PyCFunction)PyvtkAxisActor2D_SetPoint2, 1,
   (char*)"V.SetPoint2((float, float))\nC++: virtual void SetPoint2 (double x[2]);this SetPosition2 x \nV.SetPoint2(float, float)\nC++: virtual void SetPoint2 (double x, double y);this SetPosition2 x y \n\n Specify the position of the second point defining the axis. Note that\n the order from Point1 to Point2 controls which side the tick marks\n are drawn on (ticks are drawn on the right, if visible).\n Note: backward compatibility only, use vtkActor2D's Position2 instead.\n"},
  {(char*)"SetRange",                (PyCFunction)PyvtkAxisActor2D_SetRange, 1,
   (char*)"V.SetRange(float, float)\nC++: void SetRange (double , double );\nV.SetRange((float, float))\nC++: void SetRange (double  a[2]);\n\n Specify the (min,max) axis range. This will be used in the generation\n of labels, if labels are visible.\n"},
  {(char*)"GetRange",                (PyCFunction)PyvtkAxisActor2D_GetRange, 1,
   (char*)"V.GetRange() -> (float, float)\nC++: double  *GetRange ();\n\n Specify the (min,max) axis range. This will be used in the generation\n of labels, if labels are visible.\n"},
  {(char*)"SetNumberOfLabels",                (PyCFunction)PyvtkAxisActor2D_SetNumberOfLabels, 1,
   (char*)"V.SetNumberOfLabels(int)\nC++: void SetNumberOfLabels (int );\n\n Set/Get the number of annotation labels to show.\n"},
  {(char*)"GetNumberOfLabelsMinValue",                (PyCFunction)PyvtkAxisActor2D_GetNumberOfLabelsMinValue, 1,
   (char*)"V.GetNumberOfLabelsMinValue() -> int\nC++: int GetNumberOfLabelsMinValue ();\n\n Set/Get the number of annotation labels to show.\n"},
  {(char*)"GetNumberOfLabelsMaxValue",                (PyCFunction)PyvtkAxisActor2D_GetNumberOfLabelsMaxValue, 1,
   (char*)"V.GetNumberOfLabelsMaxValue() -> int\nC++: int GetNumberOfLabelsMaxValue ();\n\n Set/Get the number of annotation labels to show.\n"},
  {(char*)"GetNumberOfLabels",                (PyCFunction)PyvtkAxisActor2D_GetNumberOfLabels, 1,
   (char*)"V.GetNumberOfLabels() -> int\nC++: int GetNumberOfLabels ();\n\n Set/Get the number of annotation labels to show.\n"},
  {(char*)"SetLabelFormat",                (PyCFunction)PyvtkAxisActor2D_SetLabelFormat, 1,
   (char*)"V.SetLabelFormat(string)\nC++: void SetLabelFormat (char *);\n\n Set/Get the format with which to print the labels on the scalar\n bar.\n"},
  {(char*)"GetLabelFormat",                (PyCFunction)PyvtkAxisActor2D_GetLabelFormat, 1,
   (char*)"V.GetLabelFormat() -> string\nC++: char *GetLabelFormat ();\n\n Set/Get the format with which to print the labels on the scalar\n bar.\n"},
  {(char*)"SetAdjustLabels",                (PyCFunction)PyvtkAxisActor2D_SetAdjustLabels, 1,
   (char*)"V.SetAdjustLabels(int)\nC++: void SetAdjustLabels (int );\n\n Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n"},
  {(char*)"GetAdjustLabels",                (PyCFunction)PyvtkAxisActor2D_GetAdjustLabels, 1,
   (char*)"V.GetAdjustLabels() -> int\nC++: int GetAdjustLabels ();\n\n Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n"},
  {(char*)"AdjustLabelsOn",                (PyCFunction)PyvtkAxisActor2D_AdjustLabelsOn, 1,
   (char*)"V.AdjustLabelsOn()\nC++: void AdjustLabelsOn ();\n\n Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n"},
  {(char*)"AdjustLabelsOff",                (PyCFunction)PyvtkAxisActor2D_AdjustLabelsOff, 1,
   (char*)"V.AdjustLabelsOff()\nC++: void AdjustLabelsOff ();\n\n Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n"},
  {(char*)"GetAdjustedRange",                (PyCFunction)PyvtkAxisActor2D_GetAdjustedRange, 1,
   (char*)"V.GetAdjustedRange((float, float))\nC++: virtual void GetAdjustedRange (double _arg[2]);this GetAdjustedRange _arg _arg \n\n Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n"},
  {(char*)"GetAdjustedNumberOfLabels",                (PyCFunction)PyvtkAxisActor2D_GetAdjustedNumberOfLabels, 1,
   (char*)"V.GetAdjustedNumberOfLabels() -> int\nC++: virtual int GetAdjustedNumberOfLabels ();this UpdateAdjustedRange return this AdjustedNumberOfLabels \n\n Set/Get the title of the scalar bar actor,\n"},
  {(char*)"SetTitle",                (PyCFunction)PyvtkAxisActor2D_SetTitle, 1,
   (char*)"V.SetTitle(string)\nC++: void SetTitle (char *);\n\n Set/Get the title of the scalar bar actor,\n"},
  {(char*)"GetTitle",                (PyCFunction)PyvtkAxisActor2D_GetTitle, 1,
   (char*)"V.GetTitle() -> string\nC++: char *GetTitle ();\n\n Set/Get the title of the scalar bar actor,\n"},
  {(char*)"SetTitleTextProperty",                (PyCFunction)PyvtkAxisActor2D_SetTitleTextProperty, 1,
   (char*)"V.SetTitleTextProperty(vtkTextProperty)\nC++: virtual void SetTitleTextProperty (vtkTextProperty *p);\n\n Set/Get the title text property.\n"},
  {(char*)"GetTitleTextProperty",                (PyCFunction)PyvtkAxisActor2D_GetTitleTextProperty, 1,
   (char*)"V.GetTitleTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTitleTextProperty ();\n\n Set/Get the title text property.\n"},
  {(char*)"SetLabelTextProperty",                (PyCFunction)PyvtkAxisActor2D_SetLabelTextProperty, 1,
   (char*)"V.SetLabelTextProperty(vtkTextProperty)\nC++: virtual void SetLabelTextProperty (vtkTextProperty *p);\n\n Set/Get the labels text property.\n"},
  {(char*)"GetLabelTextProperty",                (PyCFunction)PyvtkAxisActor2D_GetLabelTextProperty, 1,
   (char*)"V.GetLabelTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetLabelTextProperty ();\n\n Set/Get the labels text property.\n"},
  {(char*)"SetTickLength",                (PyCFunction)PyvtkAxisActor2D_SetTickLength, 1,
   (char*)"V.SetTickLength(int)\nC++: void SetTickLength (int );\n\n Set/Get the length of the tick marks (expressed in pixels or display\n coordinates). \n"},
  {(char*)"GetTickLengthMinValue",                (PyCFunction)PyvtkAxisActor2D_GetTickLengthMinValue, 1,
   (char*)"V.GetTickLengthMinValue() -> int\nC++: int GetTickLengthMinValue ();\n\n Set/Get the length of the tick marks (expressed in pixels or display\n coordinates). \n"},
  {(char*)"GetTickLengthMaxValue",                (PyCFunction)PyvtkAxisActor2D_GetTickLengthMaxValue, 1,
   (char*)"V.GetTickLengthMaxValue() -> int\nC++: int GetTickLengthMaxValue ();\n\n Set/Get the length of the tick marks (expressed in pixels or display\n coordinates). \n"},
  {(char*)"GetTickLength",                (PyCFunction)PyvtkAxisActor2D_GetTickLength, 1,
   (char*)"V.GetTickLength() -> int\nC++: int GetTickLength ();\n\n Set/Get the length of the tick marks (expressed in pixels or display\n coordinates). \n"},
  {(char*)"SetTickOffset",                (PyCFunction)PyvtkAxisActor2D_SetTickOffset, 1,
   (char*)"V.SetTickOffset(int)\nC++: void SetTickOffset (int );\n\n Set/Get the offset of the labels (expressed in pixels or display\n coordinates). The offset is the distance of labels from tick marks\n or other objects.\n"},
  {(char*)"GetTickOffsetMinValue",                (PyCFunction)PyvtkAxisActor2D_GetTickOffsetMinValue, 1,
   (char*)"V.GetTickOffsetMinValue() -> int\nC++: int GetTickOffsetMinValue ();\n\n Set/Get the offset of the labels (expressed in pixels or display\n coordinates). The offset is the distance of labels from tick marks\n or other objects.\n"},
  {(char*)"GetTickOffsetMaxValue",                (PyCFunction)PyvtkAxisActor2D_GetTickOffsetMaxValue, 1,
   (char*)"V.GetTickOffsetMaxValue() -> int\nC++: int GetTickOffsetMaxValue ();\n\n Set/Get the offset of the labels (expressed in pixels or display\n coordinates). The offset is the distance of labels from tick marks\n or other objects.\n"},
  {(char*)"GetTickOffset",                (PyCFunction)PyvtkAxisActor2D_GetTickOffset, 1,
   (char*)"V.GetTickOffset() -> int\nC++: int GetTickOffset ();\n\n Set/Get the offset of the labels (expressed in pixels or display\n coordinates). The offset is the distance of labels from tick marks\n or other objects.\n"},
  {(char*)"SetAxisVisibility",                (PyCFunction)PyvtkAxisActor2D_SetAxisVisibility, 1,
   (char*)"V.SetAxisVisibility(int)\nC++: void SetAxisVisibility (int );\n\n Set/Get visibility of the axis line.\n"},
  {(char*)"GetAxisVisibility",                (PyCFunction)PyvtkAxisActor2D_GetAxisVisibility, 1,
   (char*)"V.GetAxisVisibility() -> int\nC++: int GetAxisVisibility ();\n\n Set/Get visibility of the axis line.\n"},
  {(char*)"AxisVisibilityOn",                (PyCFunction)PyvtkAxisActor2D_AxisVisibilityOn, 1,
   (char*)"V.AxisVisibilityOn()\nC++: void AxisVisibilityOn ();\n\n Set/Get visibility of the axis line.\n"},
  {(char*)"AxisVisibilityOff",                (PyCFunction)PyvtkAxisActor2D_AxisVisibilityOff, 1,
   (char*)"V.AxisVisibilityOff()\nC++: void AxisVisibilityOff ();\n\n Set/Get visibility of the axis line.\n"},
  {(char*)"SetTickVisibility",                (PyCFunction)PyvtkAxisActor2D_SetTickVisibility, 1,
   (char*)"V.SetTickVisibility(int)\nC++: void SetTickVisibility (int );\n\n Set/Get visibility of the axis tick marks.\n"},
  {(char*)"GetTickVisibility",                (PyCFunction)PyvtkAxisActor2D_GetTickVisibility, 1,
   (char*)"V.GetTickVisibility() -> int\nC++: int GetTickVisibility ();\n\n Set/Get visibility of the axis tick marks.\n"},
  {(char*)"TickVisibilityOn",                (PyCFunction)PyvtkAxisActor2D_TickVisibilityOn, 1,
   (char*)"V.TickVisibilityOn()\nC++: void TickVisibilityOn ();\n\n Set/Get visibility of the axis tick marks.\n"},
  {(char*)"TickVisibilityOff",                (PyCFunction)PyvtkAxisActor2D_TickVisibilityOff, 1,
   (char*)"V.TickVisibilityOff()\nC++: void TickVisibilityOff ();\n\n Set/Get visibility of the axis tick marks.\n"},
  {(char*)"SetLabelVisibility",                (PyCFunction)PyvtkAxisActor2D_SetLabelVisibility, 1,
   (char*)"V.SetLabelVisibility(int)\nC++: void SetLabelVisibility (int );\n\n Set/Get visibility of the axis labels.\n"},
  {(char*)"GetLabelVisibility",                (PyCFunction)PyvtkAxisActor2D_GetLabelVisibility, 1,
   (char*)"V.GetLabelVisibility() -> int\nC++: int GetLabelVisibility ();\n\n Set/Get visibility of the axis labels.\n"},
  {(char*)"LabelVisibilityOn",                (PyCFunction)PyvtkAxisActor2D_LabelVisibilityOn, 1,
   (char*)"V.LabelVisibilityOn()\nC++: void LabelVisibilityOn ();\n\n Set/Get visibility of the axis labels.\n"},
  {(char*)"LabelVisibilityOff",                (PyCFunction)PyvtkAxisActor2D_LabelVisibilityOff, 1,
   (char*)"V.LabelVisibilityOff()\nC++: void LabelVisibilityOff ();\n\n Set/Get visibility of the axis labels.\n"},
  {(char*)"SetTitleVisibility",                (PyCFunction)PyvtkAxisActor2D_SetTitleVisibility, 1,
   (char*)"V.SetTitleVisibility(int)\nC++: void SetTitleVisibility (int );\n\n Set/Get visibility of the axis title.\n"},
  {(char*)"GetTitleVisibility",                (PyCFunction)PyvtkAxisActor2D_GetTitleVisibility, 1,
   (char*)"V.GetTitleVisibility() -> int\nC++: int GetTitleVisibility ();\n\n Set/Get visibility of the axis title.\n"},
  {(char*)"TitleVisibilityOn",                (PyCFunction)PyvtkAxisActor2D_TitleVisibilityOn, 1,
   (char*)"V.TitleVisibilityOn()\nC++: void TitleVisibilityOn ();\n\n Set/Get visibility of the axis title.\n"},
  {(char*)"TitleVisibilityOff",                (PyCFunction)PyvtkAxisActor2D_TitleVisibilityOff, 1,
   (char*)"V.TitleVisibilityOff()\nC++: void TitleVisibilityOff ();\n\n Set/Get visibility of the axis title.\n"},
  {(char*)"SetFontFactor",                (PyCFunction)PyvtkAxisActor2D_SetFontFactor, 1,
   (char*)"V.SetFontFactor(float)\nC++: void SetFontFactor (double );\n\n Set/Get the factor that controls the overall size of the fonts used\n to label and title the axes. This ivar used in conjunction with\n the LabelFactor can be used to control font sizes.\n"},
  {(char*)"GetFontFactorMinValue",                (PyCFunction)PyvtkAxisActor2D_GetFontFactorMinValue, 1,
   (char*)"V.GetFontFactorMinValue() -> float\nC++: double GetFontFactorMinValue ();\n\n Set/Get the factor that controls the overall size of the fonts used\n to label and title the axes. This ivar used in conjunction with\n the LabelFactor can be used to control font sizes.\n"},
  {(char*)"GetFontFactorMaxValue",                (PyCFunction)PyvtkAxisActor2D_GetFontFactorMaxValue, 1,
   (char*)"V.GetFontFactorMaxValue() -> float\nC++: double GetFontFactorMaxValue ();\n\n Set/Get the factor that controls the overall size of the fonts used\n to label and title the axes. This ivar used in conjunction with\n the LabelFactor can be used to control font sizes.\n"},
  {(char*)"GetFontFactor",                (PyCFunction)PyvtkAxisActor2D_GetFontFactor, 1,
   (char*)"V.GetFontFactor() -> float\nC++: double GetFontFactor ();\n\n Set/Get the factor that controls the overall size of the fonts used\n to label and title the axes. This ivar used in conjunction with\n the LabelFactor can be used to control font sizes.\n"},
  {(char*)"SetLabelFactor",                (PyCFunction)PyvtkAxisActor2D_SetLabelFactor, 1,
   (char*)"V.SetLabelFactor(float)\nC++: void SetLabelFactor (double );\n\n Set/Get the factor that controls the relative size of the axis labels\n to the axis title.\n"},
  {(char*)"GetLabelFactorMinValue",                (PyCFunction)PyvtkAxisActor2D_GetLabelFactorMinValue, 1,
   (char*)"V.GetLabelFactorMinValue() -> float\nC++: double GetLabelFactorMinValue ();\n\n Set/Get the factor that controls the relative size of the axis labels\n to the axis title.\n"},
  {(char*)"GetLabelFactorMaxValue",                (PyCFunction)PyvtkAxisActor2D_GetLabelFactorMaxValue, 1,
   (char*)"V.GetLabelFactorMaxValue() -> float\nC++: double GetLabelFactorMaxValue ();\n\n Set/Get the factor that controls the relative size of the axis labels\n to the axis title.\n"},
  {(char*)"GetLabelFactor",                (PyCFunction)PyvtkAxisActor2D_GetLabelFactor, 1,
   (char*)"V.GetLabelFactor() -> float\nC++: double GetLabelFactor ();\n\n Set/Get the factor that controls the relative size of the axis labels\n to the axis title.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkAxisActor2D_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: int RenderOverlay (vtkViewport *viewport);\n\n Draw the axis. \n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkAxisActor2D_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Draw the axis. \n"},
  {(char*)"RenderTranslucentGeometry",                (PyCFunction)PyvtkAxisActor2D_RenderTranslucentGeometry, 1,
   (char*)"V.RenderTranslucentGeometry(vtkViewport) -> int\nC++: int RenderTranslucentGeometry (vtkViewport *);return \n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkAxisActor2D_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkAxisActor2D_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of an axis actor. Overloads the virtual vtkProp method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkAxisActor2DDoc[] = {
  (char*)"vtkAxisActor2D - Create an axis with tick marks and labels\n\n",
  "Super Class:\n\n vtkActor2D\n\n",
  (char*)" vtkAxisActor2D creates an axis with tick marks, labels, and/or a title,\n depending on the particular instance variable settings. vtkAxisActor2D is\n a 2D actor; that is, it is drawn on the overlay plane and is not\n occluded by 3D geometry. To use this class, you typically specify two\n points defining the start and end points of the line (x-y definition using\n vtkCoordinate class), the number of la",
  (char*)"bels, and the data range\n (min,max). You can also control what parts of the axis are visible\n including the line, the tick marks, the labels, and the title.  You can \n also specify the label format (a printf style format).\n\n This class decides what font size to use and how to locate the labels. It\n also decides how to create reasonable tick marks and labels. The number\n of labels and the range of ",
  (char*)"values may not match the number specified, but\n should be close.\n\n Labels are drawn on the \"right\" side of the axis. The \"right\" side is\n the side of the axis on the right as you move from Position to Position2. \n The way the labels and title line up with the axis and tick marks depends on\n whether the line is considered horizontal or vertical.\n\n The vtkActor2D instance variables Position and Posi",
  (char*)"tion2 are instances of \n vtkCoordinate. Note that the Position2 is an absolute position in that \n class (it was by default relative to Position in vtkActor2D).\n\n What this means is that you can specify the axis in a variety of coordinate\n systems. Also, the axis does not have to be either horizontal or vertical.\n The tick marks are created so that they are perpendicular to the axis.\n\n Set the text",
  (char*)" property/attributes of the title and the labels through the \n vtkTextProperty objects associated to this actor.\n\n\n",
  "See Also:\n\n vtkCubeAxesActor2D can be used to create axes in world coordinate space.\n\n vtkActor2D vtkTextMapper vtkPolyDataMapper2D vtkScalarBarActor\n vtkCoordinate vtkTextProperty\n\n",
  NULL
};

static vtkObjectBase *vtkAxisActor2DStaticNew()
{
  return vtkAxisActor2D::New();
}

PyObject *PyVTKClass_vtkAxisActor2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkAxisActor2DStaticNew,
                        PyvtkAxisActor2DMethods,
                        (char*)"vtkAxisActor2D",modulename,
                        (char**)vtkAxisActor2DDoc,
                        PyVTKClass_vtkActor2DNew(modulename));
}

