// python wrapper for vtkCameraInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCameraInterpolator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCameraInterpolatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCameraInterpolatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkCameraInterpolator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  const char    *temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  vtkCameraInterpolator  *temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCameraInterpolator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCameraInterpolator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_GetNumberOfCameras(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  int      temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::GetNumberOfCameras();
      }
    else
      {
      temp20 = op->GetNumberOfCameras();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_GetMinimumT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  double   temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::GetMinimumT();
      }
    else
      {
      temp20 = op->GetMinimumT();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_GetMaximumT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  double   temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::GetMaximumT();
      }
    else
      {
      temp20 = op->GetMaximumT();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraInterpolator::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_AddCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  double   temp0;
  vtkCamera  *temp1;
  PyObject *tempH1;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"dO", &temp0, &tempH1)))
    {
    temp1 = (vtkCamera *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkCamera");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraInterpolator::AddCamera(temp0,temp1);
      }
    else
      {
      op->AddCamera(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_RemoveCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  double   temp0;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraInterpolator::RemoveCamera(temp0);
      }
    else
      {
      op->RemoveCamera(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_InterpolateCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  double   temp0;
  vtkCamera  *temp1;
  PyObject *tempH1;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"dO", &temp0, &tempH1)))
    {
    temp1 = (vtkCamera *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkCamera");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraInterpolator::InterpolateCamera(temp0,temp1);
      }
    else
      {
      op->InterpolateCamera(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_SetInterpolationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  int      temp0;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraInterpolator::SetInterpolationType(temp0);
      }
    else
      {
      op->SetInterpolationType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_GetInterpolationTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  int      temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::GetInterpolationTypeMinValue();
      }
    else
      {
      temp20 = op->GetInterpolationTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_GetInterpolationTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  int      temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::GetInterpolationTypeMaxValue();
      }
    else
      {
      temp20 = op->GetInterpolationTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_GetInterpolationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  int      temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::GetInterpolationType();
      }
    else
      {
      temp20 = op->GetInterpolationType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_SetInterpolationTypeToLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraInterpolator::SetInterpolationTypeToLinear();
      }
    else
      {
      op->SetInterpolationTypeToLinear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_SetInterpolationTypeToSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraInterpolator::SetInterpolationTypeToSpline();
      }
    else
      {
      op->SetInterpolationTypeToSpline();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_SetInterpolationTypeToManual(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraInterpolator::SetInterpolationTypeToManual();
      }
    else
      {
      op->SetInterpolationTypeToManual();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_SetPositionInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  vtkTupleInterpolator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTupleInterpolator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTupleInterpolator");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraInterpolator::SetPositionInterpolator(temp0);
      }
    else
      {
      op->SetPositionInterpolator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_GetPositionInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  vtkTupleInterpolator  *temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::GetPositionInterpolator();
      }
    else
      {
      temp20 = op->GetPositionInterpolator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_SetFocalPointInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  vtkTupleInterpolator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTupleInterpolator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTupleInterpolator");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraInterpolator::SetFocalPointInterpolator(temp0);
      }
    else
      {
      op->SetFocalPointInterpolator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_GetFocalPointInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  vtkTupleInterpolator  *temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::GetFocalPointInterpolator();
      }
    else
      {
      temp20 = op->GetFocalPointInterpolator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_SetViewUpInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  vtkTupleInterpolator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTupleInterpolator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTupleInterpolator");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraInterpolator::SetViewUpInterpolator(temp0);
      }
    else
      {
      op->SetViewUpInterpolator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_GetViewUpInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  vtkTupleInterpolator  *temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::GetViewUpInterpolator();
      }
    else
      {
      temp20 = op->GetViewUpInterpolator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_SetViewAngleInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  vtkTupleInterpolator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTupleInterpolator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTupleInterpolator");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraInterpolator::SetViewAngleInterpolator(temp0);
      }
    else
      {
      op->SetViewAngleInterpolator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_GetViewAngleInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  vtkTupleInterpolator  *temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::GetViewAngleInterpolator();
      }
    else
      {
      temp20 = op->GetViewAngleInterpolator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_SetParallelScaleInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  vtkTupleInterpolator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTupleInterpolator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTupleInterpolator");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraInterpolator::SetParallelScaleInterpolator(temp0);
      }
    else
      {
      op->SetParallelScaleInterpolator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_GetParallelScaleInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  vtkTupleInterpolator  *temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::GetParallelScaleInterpolator();
      }
    else
      {
      temp20 = op->GetParallelScaleInterpolator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_SetClippingRangeInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  vtkTupleInterpolator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTupleInterpolator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTupleInterpolator");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkCameraInterpolator::SetClippingRangeInterpolator(temp0);
      }
    else
      {
      op->SetClippingRangeInterpolator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_GetClippingRangeInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  vtkTupleInterpolator  *temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::GetClippingRangeInterpolator();
      }
    else
      {
      temp20 = op->GetClippingRangeInterpolator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCameraInterpolator_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCameraInterpolator *op;

  unsigned long     temp20;
  if ((op = (vtkCameraInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCameraInterpolator::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCameraInterpolatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCameraInterpolator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCameraInterpolator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCameraInterpolator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCameraInterpolator\nC++: vtkCameraInterpolator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCameraInterpolator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCameraInterpolator\nC++: vtkCameraInterpolator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfCameras",                (PyCFunction)PyvtkCameraInterpolator_GetNumberOfCameras, 1,
   (char*)"V.GetNumberOfCameras() -> int\nC++: int GetNumberOfCameras ();\n\n Return the number of cameras in the list of cameras.\n"},
  {(char*)"GetMinimumT",                (PyCFunction)PyvtkCameraInterpolator_GetMinimumT, 1,
   (char*)"V.GetMinimumT() -> float\nC++: double GetMinimumT ();\n\n Obtain some information about the interpolation range. The numbers\n returned are undefined if the list of cameras is empty.\n"},
  {(char*)"GetMaximumT",                (PyCFunction)PyvtkCameraInterpolator_GetMaximumT, 1,
   (char*)"V.GetMaximumT() -> float\nC++: double GetMaximumT ();\n\n Obtain some information about the interpolation range. The numbers\n returned are undefined if the list of cameras is empty.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkCameraInterpolator_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Clear the list of cameras.\n"},
  {(char*)"AddCamera",                (PyCFunction)PyvtkCameraInterpolator_AddCamera, 1,
   (char*)"V.AddCamera(float, vtkCamera)\nC++: void AddCamera (double t, vtkCamera *camera);\n\n Add another camera to the list of cameras defining\n the camera function. Note that using the same time t value\n more than once replaces the previous camera value at t.\n At least one camera must be added to define a function.\n"},
  {(char*)"RemoveCamera",                (PyCFunction)PyvtkCameraInterpolator_RemoveCamera, 1,
   (char*)"V.RemoveCamera(float)\nC++: void RemoveCamera (double t);\n\n Delete the camera at a particular parameter t. If there is no\n camera defined at location t, then the method does nothing.\n"},
  {(char*)"InterpolateCamera",                (PyCFunction)PyvtkCameraInterpolator_InterpolateCamera, 1,
   (char*)"V.InterpolateCamera(float, vtkCamera)\nC++: void InterpolateCamera (double t, vtkCamera *camera);\n\n Interpolate the list of cameras and determine a new camera (i.e.,\n fill in the camera provided). If t is outside the range of\n (min,max) values, then t is clamped to lie within this range.\n"},
  {(char*)"SetInterpolationType",                (PyCFunction)PyvtkCameraInterpolator_SetInterpolationType, 1,
   (char*)"V.SetInterpolationType(int)\nC++: void SetInterpolationType (int );\n\n These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the instance variable interpolators (i.e.,\n position, focal point, clipping range, orientation, etc.)\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and this\n class does not forward the request for interpolation type to its\n interpolators.\n"},
  {(char*)"GetInterpolationTypeMinValue",                (PyCFunction)PyvtkCameraInterpolator_GetInterpolationTypeMinValue, 1,
   (char*)"V.GetInterpolationTypeMinValue() -> int\nC++: int GetInterpolationTypeMinValue ();\n\n These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the instance variable interpolators (i.e.,\n position, focal point, clipping range, orientation, etc.)\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and this\n class does not forward the request for interpolation type to its\n interpolators.\n"},
  {(char*)"GetInterpolationTypeMaxValue",                (PyCFunction)PyvtkCameraInterpolator_GetInterpolationTypeMaxValue, 1,
   (char*)"V.GetInterpolationTypeMaxValue() -> int\nC++: int GetInterpolationTypeMaxValue ();\n\n These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the instance variable interpolators (i.e.,\n position, focal point, clipping range, orientation, etc.)\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and this\n class does not forward the request for interpolation type to its\n interpolators.\n"},
  {(char*)"GetInterpolationType",                (PyCFunction)PyvtkCameraInterpolator_GetInterpolationType, 1,
   (char*)"V.GetInterpolationType() -> int\nC++: int GetInterpolationType ();\n\n These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the instance variable interpolators (i.e.,\n position, focal point, clipping range, orientation, etc.)\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and this\n class does not forward the request for interpolation type to its\n interpolators.\n"},
  {(char*)"SetInterpolationTypeToLinear",                (PyCFunction)PyvtkCameraInterpolator_SetInterpolationTypeToLinear, 1,
   (char*)"V.SetInterpolationTypeToLinear()\nC++: void SetInterpolationTypeToLinear ();this SetInterpolationType INTERPOLATION_TYPE_LINEAR \n\n These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the instance variable interpolators (i.e.,\n position, focal point, clipping range, orientation, etc.)\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and this\n class does not forward the request for interpolation type to its\n interpolators.\n"},
  {(char*)"SetInterpolationTypeToSpline",                (PyCFunction)PyvtkCameraInterpolator_SetInterpolationTypeToSpline, 1,
   (char*)"V.SetInterpolationTypeToSpline()\nC++: void SetInterpolationTypeToSpline ();this SetInterpolationType INTERPOLATION_TYPE_SPLINE \n\n These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the instance variable interpolators (i.e.,\n position, focal point, clipping range, orientation, etc.)\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and this\n class does not forward the request for interpolation type to its\n interpolators.\n"},
  {(char*)"SetInterpolationTypeToManual",                (PyCFunction)PyvtkCameraInterpolator_SetInterpolationTypeToManual, 1,
   (char*)"V.SetInterpolationTypeToManual()\nC++: void SetInterpolationTypeToManual ();this SetInterpolationType INTERPOLATION_TYPE_MANUAL \n\n Set/Get the tuple interpolator used to interpolate the position portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n"},
  {(char*)"SetPositionInterpolator",                (PyCFunction)PyvtkCameraInterpolator_SetPositionInterpolator, 1,
   (char*)"V.SetPositionInterpolator(vtkTupleInterpolator)\nC++: virtual void SetPositionInterpolator (vtkTupleInterpolator *);\n\n Set/Get the tuple interpolator used to interpolate the position portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n"},
  {(char*)"GetPositionInterpolator",                (PyCFunction)PyvtkCameraInterpolator_GetPositionInterpolator, 1,
   (char*)"V.GetPositionInterpolator() -> vtkTupleInterpolator\nC++: vtkTupleInterpolator *GetPositionInterpolator ();\n\n Set/Get the tuple interpolator used to interpolate the position portion\n of the camera. Note that you can modify the behavior of the interpolator\n (linear vs spline interpolation; change spline basis) by manipulating\n the interpolator instances directly.\n"},
  {(char*)"SetFocalPointInterpolator",                (PyCFunction)PyvtkCameraInterpolator_SetFocalPointInterpolator, 1,
   (char*)"V.SetFocalPointInterpolator(vtkTupleInterpolator)\nC++: virtual void SetFocalPointInterpolator (vtkTupleInterpolator *);\n\n"},
  {(char*)"GetFocalPointInterpolator",                (PyCFunction)PyvtkCameraInterpolator_GetFocalPointInterpolator, 1,
   (char*)"V.GetFocalPointInterpolator() -> vtkTupleInterpolator\nC++: vtkTupleInterpolator *GetFocalPointInterpolator ();\n\n"},
  {(char*)"SetViewUpInterpolator",                (PyCFunction)PyvtkCameraInterpolator_SetViewUpInterpolator, 1,
   (char*)"V.SetViewUpInterpolator(vtkTupleInterpolator)\nC++: virtual void SetViewUpInterpolator (vtkTupleInterpolator *);\n\n"},
  {(char*)"GetViewUpInterpolator",                (PyCFunction)PyvtkCameraInterpolator_GetViewUpInterpolator, 1,
   (char*)"V.GetViewUpInterpolator() -> vtkTupleInterpolator\nC++: vtkTupleInterpolator *GetViewUpInterpolator ();\n\n"},
  {(char*)"SetViewAngleInterpolator",                (PyCFunction)PyvtkCameraInterpolator_SetViewAngleInterpolator, 1,
   (char*)"V.SetViewAngleInterpolator(vtkTupleInterpolator)\nC++: virtual void SetViewAngleInterpolator (vtkTupleInterpolator *);\n\n"},
  {(char*)"GetViewAngleInterpolator",                (PyCFunction)PyvtkCameraInterpolator_GetViewAngleInterpolator, 1,
   (char*)"V.GetViewAngleInterpolator() -> vtkTupleInterpolator\nC++: vtkTupleInterpolator *GetViewAngleInterpolator ();\n\n"},
  {(char*)"SetParallelScaleInterpolator",                (PyCFunction)PyvtkCameraInterpolator_SetParallelScaleInterpolator, 1,
   (char*)"V.SetParallelScaleInterpolator(vtkTupleInterpolator)\nC++: virtual void SetParallelScaleInterpolator (vtkTupleInterpolator *);\n\n"},
  {(char*)"GetParallelScaleInterpolator",                (PyCFunction)PyvtkCameraInterpolator_GetParallelScaleInterpolator, 1,
   (char*)"V.GetParallelScaleInterpolator() -> vtkTupleInterpolator\nC++: vtkTupleInterpolator *GetParallelScaleInterpolator ();\n\n"},
  {(char*)"SetClippingRangeInterpolator",                (PyCFunction)PyvtkCameraInterpolator_SetClippingRangeInterpolator, 1,
   (char*)"V.SetClippingRangeInterpolator(vtkTupleInterpolator)\nC++: virtual void SetClippingRangeInterpolator (vtkTupleInterpolator *);\n\n"},
  {(char*)"GetClippingRangeInterpolator",                (PyCFunction)PyvtkCameraInterpolator_GetClippingRangeInterpolator, 1,
   (char*)"V.GetClippingRangeInterpolator() -> vtkTupleInterpolator\nC++: vtkTupleInterpolator *GetClippingRangeInterpolator ();\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkCameraInterpolator_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override GetMTime() because we depend on the interpolators which may be\n modified outside of this class.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCameraInterpolatorDoc[] = {
  (char*)"vtkCameraInterpolator - interpolate a series of cameras to update a new camera\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class is used to interpolate a series of cameras to update a\n specified camera. Either linear interpolation or spline interpolation may\n be used. The instance variables currently interpolated include position,\n focal point, view up, view angle, parallel scale, and clipping range.\n\n To use this class, specify the type of interpolation to use, and add a\n series of cameras at various times \"t\" ",
  (char*)"to the list of cameras from which to\n interpolate. Then to interpolate in between cameras, simply invoke the\n function InterpolateCamera(t,camera) where \"camera\" is the camera to be\n updated with interpolated values. Note that \"t\" should be in the range\n (min,max) times specified with the AddCamera() method. If outside this\n range, the interpolation is clamped. This class copies the camera informa",
  (char*)"tion\n (as compared to referencing the cameras) so you do not need to keep separate\n instances of the camera around for each camera added to the list of cameras\n to interpolate.\n\n\n",
  "Caveats:\n\n The interpolator classes are initialized the first time InterpolateCamera()\n is called. Any later changes to the interpolators, or additions to the list of\n cameras to be interpolated, causes a reinitialization of the \n interpolators the next time InterpolateCamera() is invoked. Thus the\n best performance is obtained by 1) configuring the interpolators, 2) adding \n all the cameras, and 3) finally performing interpolation.\n\n Currently position, focal point and view up ...\n [Truncated]\n\n",
  NULL
};

static vtkObjectBase *vtkCameraInterpolatorStaticNew()
{
  return vtkCameraInterpolator::New();
}

PyObject *PyVTKClass_vtkCameraInterpolatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkCameraInterpolatorStaticNew,
                        PyvtkCameraInterpolatorMethods,
                        (char*)"vtkCameraInterpolator",modulename,
                        (char**)vtkCameraInterpolatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

