// tcl wrapper for vtkCamera object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCamera.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkCameraNewCommand()
{
  vtkCamera *temp = vtkCamera::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCameraCppCommand(vtkCamera *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCameraCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCameraCppCommand((vtkCamera *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCameraCppCommand(vtkCamera *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCamera",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCamera  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCamera");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPosition(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPosition();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFocalPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetFocalPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFocalPoint",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetFocalPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFocalPoint",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetFocalPoint();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetViewUp",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetViewUp(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewUp",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetViewUp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewUp",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetViewUp();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OrthogonalizeViewUp",argv[1]))&&(argc == 2))
    {
    op->OrthogonalizeViewUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDistance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDistance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistance();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDirectionOfProjection",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDirectionOfProjection();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Dolly",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Dolly(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRoll",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRoll(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRoll",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRoll();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Roll",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Roll(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Azimuth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Azimuth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Yaw",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Yaw(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Elevation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Elevation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Pitch",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Pitch(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParallelProjection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParallelProjection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParallelProjection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParallelProjection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ParallelProjectionOn",argv[1]))&&(argc == 2))
    {
    op->ParallelProjectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParallelProjectionOff",argv[1]))&&(argc == 2))
    {
    op->ParallelProjectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseHorizontalViewAngle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseHorizontalViewAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseHorizontalViewAngle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseHorizontalViewAngle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseHorizontalViewAngleOn",argv[1]))&&(argc == 2))
    {
    op->UseHorizontalViewAngleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseHorizontalViewAngleOff",argv[1]))&&(argc == 2))
    {
    op->UseHorizontalViewAngleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetViewAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetViewAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetViewAngle();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetParallelScale",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetParallelScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParallelScale",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetParallelScale();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Zoom",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->Zoom(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClippingRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetClippingRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetClippingRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetClippingRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClippingRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetClippingRange();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThickness",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetThickness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThickness",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetThickness();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowCenter",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetWindowCenter(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindowCenter",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetWindowCenter();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetObliqueAngles",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetObliqueAngles(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ApplyTransform",argv[1]))&&(argc == 3))
    {
    vtkTransform  *temp0;
    error = 0;

    temp0 = (vtkTransform *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkTransform",interp,error));
    if (!error)
    {
    op->ApplyTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewPlaneNormal",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetViewPlaneNormal();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetViewShear",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetViewShear(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewShear",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetViewShear(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewShear",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetViewShear();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEyeAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEyeAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEyeAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEyeAngle();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFocalDisk",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFocalDisk(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFocalDisk",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFocalDisk();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetViewTransformMatrix",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->GetViewTransformMatrix();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("GetPerspectiveTransformMatrix",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    vtkMatrix4x4  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->GetPerspectiveTransformMatrix(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMatrix4x4");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompositePerspectiveTransformMatrix",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    vtkMatrix4x4  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->GetCompositePerspectiveTransformMatrix(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMatrix4x4");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUserTransform",argv[1]))&&(argc == 3))
    {
    vtkHomogeneousTransform  *temp0;
    error = 0;

    temp0 = (vtkHomogeneousTransform *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkHomogeneousTransform",interp,error));
    if (!error)
    {
    op->SetUserTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUserTransform",argv[1]))&&(argc == 2))
    {
    vtkHomogeneousTransform  *temp20;
    temp20 = (op)->GetUserTransform();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkHomogeneousTransform");
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    if (!error)
    {
    op->Render(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewingRaysMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetViewingRaysMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ViewingRaysModified",argv[1]))&&(argc == 2))
    {
    op->ViewingRaysModified();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOrientation",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrientation();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOrientationWXYZ",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrientationWXYZ();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetViewPlaneNormal",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetViewPlaneNormal(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewPlaneNormal",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetViewPlaneNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeViewPlaneNormal",argv[1]))&&(argc == 2))
    {
    op->ComputeViewPlaneNormal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCameraLightTransformMatrix",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->GetCameraLightTransformMatrix();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("UpdateViewport",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    if (!error)
    {
    op->UpdateViewport(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewTransformObject",argv[1]))&&(argc == 2))
    {
    vtkTransform  *temp20;
    temp20 = (op)->GetViewTransformObject();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTransform");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkCameraCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCamera:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetFocalPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFocalPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFocalPoint\n",NULL);
    Tcl_AppendResult(interp,"  SetViewUp\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewUp\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetViewUp\n",NULL);
    Tcl_AppendResult(interp,"  OrthogonalizeViewUp\n",NULL);
    Tcl_AppendResult(interp,"  SetDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDistance\n",NULL);
    Tcl_AppendResult(interp,"  GetDirectionOfProjection\n",NULL);
    Tcl_AppendResult(interp,"  Dolly\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRoll\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRoll\n",NULL);
    Tcl_AppendResult(interp,"  Roll\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Azimuth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Yaw\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Elevation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Pitch\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetParallelProjection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParallelProjection\n",NULL);
    Tcl_AppendResult(interp,"  ParallelProjectionOn\n",NULL);
    Tcl_AppendResult(interp,"  ParallelProjectionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseHorizontalViewAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseHorizontalViewAngle\n",NULL);
    Tcl_AppendResult(interp,"  UseHorizontalViewAngleOn\n",NULL);
    Tcl_AppendResult(interp,"  UseHorizontalViewAngleOff\n",NULL);
    Tcl_AppendResult(interp,"  SetViewAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetParallelScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParallelScale\n",NULL);
    Tcl_AppendResult(interp,"  Zoom\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetClippingRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetClippingRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetClippingRange\n",NULL);
    Tcl_AppendResult(interp,"  SetThickness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThickness\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowCenter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowCenter\n",NULL);
    Tcl_AppendResult(interp,"  SetObliqueAngles\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ApplyTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewPlaneNormal\n",NULL);
    Tcl_AppendResult(interp,"  SetViewShear\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewShear\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetViewShear\n",NULL);
    Tcl_AppendResult(interp,"  SetEyeAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEyeAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetFocalDisk\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFocalDisk\n",NULL);
    Tcl_AppendResult(interp,"  GetViewTransformMatrix\n",NULL);
    Tcl_AppendResult(interp,"  GetPerspectiveTransformMatrix\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositePerspectiveTransformMatrix\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUserTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUserTransform\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewingRaysMTime\n",NULL);
    Tcl_AppendResult(interp,"  ViewingRaysModified\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientation\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationWXYZ\n",NULL);
    Tcl_AppendResult(interp,"  SetViewPlaneNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewPlaneNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeViewPlaneNormal\n",NULL);
    Tcl_AppendResult(interp,"  GetCameraLightTransformMatrix\n",NULL);
    Tcl_AppendResult(interp,"  UpdateViewport\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewTransformObject\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
