// python wrapper for vtkCellPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkCellPicker.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCellPickerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCellPickerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPickerNew(char *); }

static PyObject *PyvtkCellPicker_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  const char    *temp20;
  if ((op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  vtkCellPicker  *temp20;
  if ((op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkCellPicker  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkCellPicker::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkCellPicker_GetCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  vtkIdType   temp20;
  if ((op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetCellId();
      }
    else
      {
      temp20 = op->GetCellId();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetSubId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  int      temp20;
  if ((op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetSubId();
      }
    else
      {
      temp20 = op->GetSubId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkCellPicker_GetPCoords(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCellPicker *op;

  double  *temp20;
  if ((op = (vtkCellPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkCellPicker::GetPCoords();
      }
    else
      {
      temp20 = op->GetPCoords();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkCellPickerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkCellPicker_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkCellPicker_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkCellPicker_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCellPicker\nC++: vtkCellPicker *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkCellPicker_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCellPicker\nC++: vtkCellPicker *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetCellId",                (PyCFunction)PyvtkCellPicker_GetCellId, 1,
   (char*)"V.GetCellId() -> int\nC++: vtkIdType GetCellId ();\n\n Get the id of the picked cell. If CellId = -1, nothing was picked.\n"},
  {(char*)"GetSubId",                (PyCFunction)PyvtkCellPicker_GetSubId, 1,
   (char*)"V.GetSubId() -> int\nC++: int GetSubId ();\n\n Get the subId of the picked cell. If SubId = -1, nothing was picked.\n"},
  {(char*)"GetPCoords",                (PyCFunction)PyvtkCellPicker_GetPCoords, 1,
   (char*)"V.GetPCoords() -> (float, float, float)\nC++: double  *GetPCoords ();\n\n Get the parametric coordinates of the picked cell. Only valid if \n pick was made.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkCellPickerDoc[] = {
  (char*)"vtkCellPicker - select a cell by shooting a ray into graphics window\n\n",
  "Super Class:\n\n vtkPicker\n\n",
  (char*)" vtkCellPicker is used to select a cell by shooting a ray into graphics\n window and intersecting with actor's defining geometry - specifically \n its cells. Beside returning coordinates, actor and mapper, vtkCellPicker\n returns the id of the closest cell within the tolerance along the pick\n ray, and the dataset that was picked.\n\n",
  "See Also:\n\n vtkPicker vtkPointPicker\n\n",
  NULL
};

static vtkObjectBase *vtkCellPickerStaticNew()
{
  return vtkCellPicker::New();
}

PyObject *PyVTKClass_vtkCellPickerNew(char *modulename)
{
  return PyVTKClass_New(&vtkCellPickerStaticNew,
                        PyvtkCellPickerMethods,
                        (char*)"vtkCellPicker",modulename,
                        (char**)vtkCellPickerDoc,
                        PyVTKClass_vtkPickerNew(modulename));
}

