// python wrapper for vtkDataSetMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDataSetMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDataSetMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDataSetMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMapperNew(char *); }

static PyObject *PyvtkDataSetMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetMapper *op;

  const char    *temp20;
  if ((op = (vtkDataSetMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetMapper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDataSetMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetMapper *op;

  vtkDataSetMapper  *temp20;
  if ((op = (vtkDataSetMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkDataSetMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkDataSetMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkDataSetMapper_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkActor  *temp1;
  PyObject *tempH1;
  if ((op = (vtkDataSetMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkActor *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetMapper::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkDataSetMapper_GetPolyDataMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetMapper *op;

  vtkPolyDataMapper  *temp20;
  if ((op = (vtkDataSetMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetMapper::GetPolyDataMapper();
      }
    else
      {
      temp20 = op->GetPolyDataMapper();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetMapper_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetMapper *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataSetMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetMapper::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkDataSetMapper_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetMapper *op;

  unsigned long     temp20;
  if ((op = (vtkDataSetMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetMapper::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDataSetMapper_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetMapper *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtkDataSetMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkDataSetMapper::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkDataSetMapper_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSetMapper *op;

  vtkDataSet  *temp20;
  if ((op = (vtkDataSetMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDataSetMapper::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDataSetMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDataSetMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDataSetMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDataSetMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDataSetMapper\nC++: vtkDataSetMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkDataSetMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDataSetMapper\nC++: vtkDataSetMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkDataSetMapper_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkActor)\nC++: void Render (vtkRenderer *ren, vtkActor *act);\n\n"},
  {(char*)"GetPolyDataMapper",                (PyCFunction)PyvtkDataSetMapper_GetPolyDataMapper, 1,
   (char*)"V.GetPolyDataMapper() -> vtkPolyDataMapper\nC++: vtkPolyDataMapper *GetPolyDataMapper ();\n\n Get the internal poly data mapper used to map data set to graphics system.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkDataSetMapper_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkDataSetMapper_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the mtime also considering the lookup table.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkDataSetMapper_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: void SetInput (vtkDataSet *input);\n\n Set the Input of this mapper.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkDataSetMapper_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataSet\nC++: vtkDataSet *GetInput ();\n\n Set the Input of this mapper.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDataSetMapperDoc[] = {
  (char*)"vtkDataSetMapper - map vtkDataSet and derived classes to graphics primitives\n\n",
  "Super Class:\n\n vtkMapper\n\n",
  (char*)" vtkDataSetMapper is a mapper to map data sets (i.e., vtkDataSet and \n all derived classes) to graphics primitives. The mapping procedure\n is as follows: all 0D, 1D, and 2D cells are converted into points,\n lines, and polygons/triangle strips and then mapped to the graphics \n system. The 2D faces of 3D cells are mapped only if they are used by \n only one cell, i.e., on the boundary of the data set",
  (char*)".\n\n",
  NULL
};

static vtkObjectBase *vtkDataSetMapperStaticNew()
{
  return vtkDataSetMapper::New();
}

PyObject *PyVTKClass_vtkDataSetMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkDataSetMapperStaticNew,
                        PyvtkDataSetMapperMethods,
                        (char*)"vtkDataSetMapper",modulename,
                        (char**)vtkDataSetMapperDoc,
                        PyVTKClass_vtkMapperNew(modulename));
}

