// python wrapper for vtkFollower object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkFollower.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFollowerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFollowerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkActorNew(char *); }

static PyObject *PyvtkFollower_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFollower *op;

  const char    *temp20;
  if ((op = (vtkFollower *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFollower::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFollower_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFollower *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkFollower *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFollower::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFollower_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFollower *op;

  vtkFollower  *temp20;
  if ((op = (vtkFollower *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFollower::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFollower_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkFollower  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkFollower::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkFollower_SetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFollower *op;

  vtkCamera  *temp0;
  PyObject *tempH0;
  if ((op = (vtkFollower *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCamera *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCamera");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkFollower::SetCamera(temp0);
      }
    else
      {
      op->SetCamera(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkFollower_GetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFollower *op;

  vtkCamera  *temp20;
  if ((op = (vtkFollower *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFollower::GetCamera();
      }
    else
      {
      temp20 = op->GetCamera();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFollower_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFollower *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkFollower *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFollower::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkFollower_RenderTranslucentGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFollower *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkFollower *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFollower::RenderTranslucentGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkFollower_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFollower *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  if ((op = (vtkFollower *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkFollower::Render(temp0);
      }
    else
      {
      op->Render(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkFollower_GetMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFollower *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkFollower *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkFollower::GetMatrix(temp0);
      }
    else
      {
      op->GetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  /* handle an occurrence */
  {
  vtkFollower *op;

  double temp0[16];
  PyErr_Clear();
  if ((op = (vtkFollower *)PyArg_VTKParseTuple(self, args, (char*)"(dddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkFollower::GetMatrix(temp0);
      }
    else
      {
      op->GetMatrix(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,16)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkFollower *op;

  vtkMatrix4x4  *temp20;
  PyErr_Clear();
  if ((op = (vtkFollower *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFollower::GetMatrix();
      }
    else
      {
      temp20 = op->GetMatrix();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFollower_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFollower *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkFollower *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkFollower::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}

static PyMethodDef PyvtkFollowerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFollower_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFollower_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFollower_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFollower\nC++: vtkFollower *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkFollower_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFollower\nC++: vtkFollower *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetCamera",                (PyCFunction)PyvtkFollower_SetCamera, 1,
   (char*)"V.SetCamera(vtkCamera)\nC++: virtual void SetCamera (vtkCamera *);\n\n Set/Get the camera to follow. If this is not set, then the follower\n won't know who to follow.\n"},
  {(char*)"GetCamera",                (PyCFunction)PyvtkFollower_GetCamera, 1,
   (char*)"V.GetCamera() -> vtkCamera\nC++: vtkCamera *GetCamera ();\n\n Set/Get the camera to follow. If this is not set, then the follower\n won't know who to follow.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkFollower_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n This causes the actor to be rendered. It in turn will render the actor's\n property, texture map and then mapper. If a property hasn't been\n assigned, then the actor will create one automatically. \n"},
  {(char*)"RenderTranslucentGeometry",                (PyCFunction)PyvtkFollower_RenderTranslucentGeometry, 1,
   (char*)"V.RenderTranslucentGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentGeometry (vtkViewport *viewport);\n\n This causes the actor to be rendered. It in turn will render the actor's\n property, texture map and then mapper. If a property hasn't been\n assigned, then the actor will create one automatically. \n"},
  {(char*)"Render",                (PyCFunction)PyvtkFollower_Render, 1,
   (char*)"V.Render(vtkRenderer)\nC++: virtual void Render (vtkRenderer *ren);\n\n This causes the actor to be rendered. It in turn will render the actor's\n property, texture map and then mapper. If a property hasn't been\n assigned, then the actor will create one automatically. \n"},
  {(char*)"GetMatrix",                (PyCFunction)PyvtkFollower_GetMatrix, 1,
   (char*)"V.GetMatrix(vtkMatrix4x4)\nC++: virtual void GetMatrix (vtkMatrix4x4 *m);\nV.GetMatrix((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: virtual void GetMatrix (double m[16]);\nV.GetMatrix() -> vtkMatrix4x4\nC++: virtual vtkMatrix4x4 *GetMatrix ();return this vtkActor GetMatrix \n\n Copy the follower's composite 4x4 matrix into the matrix provided.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkFollower_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of a follower. Overloads the virtual vtkProp method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFollowerDoc[] = {
  (char*)"vtkFollower - a subclass of actor that always faces the camera\n\n",
  "Super Class:\n\n vtkActor\n\n",
  (char*)" vtkFollower is a subclass of vtkActor that always follows its specified \n camera. More specifically it will not change its position or scale,\n but it will continually update its orientation so that it is right side\n up and facing the camera. This is typically used for text labels in a\n scene. All of the adjustments that can be made to an actor also will\n take effect with a follower.  So, if you c",
  (char*)"hange the orientation of the\n follower by 90 degrees, then it will follow the camera, but be off by \n 90 degrees.\n\n",
  "See Also:\n\n vtkActor vtkCamera\n\n",
  NULL
};

static vtkObjectBase *vtkFollowerStaticNew()
{
  return vtkFollower::New();
}

PyObject *PyVTKClass_vtkFollowerNew(char *modulename)
{
  return PyVTKClass_New(&vtkFollowerStaticNew,
                        PyvtkFollowerMethods,
                        (char*)"vtkFollower",modulename,
                        (char**)vtkFollowerDoc,
                        PyVTKClass_vtkActorNew(modulename));
}

