// python wrapper for vtkGL2PSExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkGL2PSExporter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGL2PSExporterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGL2PSExporterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkExporterNew(char *); }

static PyObject *PyvtkGL2PSExporter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  const char    *temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  vtkGL2PSExporter  *temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGL2PSExporter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGL2PSExporter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetFilePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  char    *temp0;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetFilePrefix(temp0);
      }
    else
      {
      op->SetFilePrefix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetFilePrefix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  char    *temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetFilePrefix();
      }
    else
      {
      temp20 = op->GetFilePrefix();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetFileFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp0;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetFileFormat(temp0);
      }
    else
      {
      op->SetFileFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetFileFormatMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetFileFormatMinValue();
      }
    else
      {
      temp20 = op->GetFileFormatMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetFileFormatMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetFileFormatMaxValue();
      }
    else
      {
      temp20 = op->GetFileFormatMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetFileFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetFileFormat();
      }
    else
      {
      temp20 = op->GetFileFormat();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetFileFormatToPS(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetFileFormatToPS();
      }
    else
      {
      op->SetFileFormatToPS();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetFileFormatToEPS(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetFileFormatToEPS();
      }
    else
      {
      op->SetFileFormatToEPS();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetFileFormatToPDF(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetFileFormatToPDF();
      }
    else
      {
      op->SetFileFormatToPDF();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetFileFormatToTeX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetFileFormatToTeX();
      }
    else
      {
      op->SetFileFormatToTeX();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetFileFormatAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  char    *temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetFileFormatAsString();
      }
    else
      {
      temp20 = op->GetFileFormatAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetSort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp0;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetSort(temp0);
      }
    else
      {
      op->SetSort(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetSortMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetSortMinValue();
      }
    else
      {
      temp20 = op->GetSortMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetSortMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetSortMaxValue();
      }
    else
      {
      temp20 = op->GetSortMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetSort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetSort();
      }
    else
      {
      temp20 = op->GetSort();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetSortToOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetSortToOff();
      }
    else
      {
      op->SetSortToOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetSortToSimple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetSortToSimple();
      }
    else
      {
      op->SetSortToSimple();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetSortToBSP(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetSortToBSP();
      }
    else
      {
      op->SetSortToBSP();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetSortAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  char    *temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetSortAsString();
      }
    else
      {
      temp20 = op->GetSortAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetCompress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp0;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetCompress(temp0);
      }
    else
      {
      op->SetCompress(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetCompress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetCompress();
      }
    else
      {
      temp20 = op->GetCompress();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_CompressOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::CompressOn();
      }
    else
      {
      op->CompressOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_CompressOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::CompressOff();
      }
    else
      {
      op->CompressOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetDrawBackground(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp0;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetDrawBackground(temp0);
      }
    else
      {
      op->SetDrawBackground(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetDrawBackground(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetDrawBackground();
      }
    else
      {
      temp20 = op->GetDrawBackground();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_DrawBackgroundOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::DrawBackgroundOn();
      }
    else
      {
      op->DrawBackgroundOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_DrawBackgroundOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::DrawBackgroundOff();
      }
    else
      {
      op->DrawBackgroundOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetSimpleLineOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp0;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetSimpleLineOffset(temp0);
      }
    else
      {
      op->SetSimpleLineOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetSimpleLineOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetSimpleLineOffset();
      }
    else
      {
      temp20 = op->GetSimpleLineOffset();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SimpleLineOffsetOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SimpleLineOffsetOn();
      }
    else
      {
      op->SimpleLineOffsetOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SimpleLineOffsetOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SimpleLineOffsetOff();
      }
    else
      {
      op->SimpleLineOffsetOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetSilent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp0;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetSilent(temp0);
      }
    else
      {
      op->SetSilent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetSilent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetSilent();
      }
    else
      {
      temp20 = op->GetSilent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SilentOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SilentOn();
      }
    else
      {
      op->SilentOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SilentOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SilentOff();
      }
    else
      {
      op->SilentOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetBestRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp0;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetBestRoot(temp0);
      }
    else
      {
      op->SetBestRoot(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetBestRoot(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetBestRoot();
      }
    else
      {
      temp20 = op->GetBestRoot();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_BestRootOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::BestRootOn();
      }
    else
      {
      op->BestRootOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_BestRootOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::BestRootOff();
      }
    else
      {
      op->BestRootOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp0;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetText(temp0);
      }
    else
      {
      op->SetText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetText();
      }
    else
      {
      temp20 = op->GetText();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_TextOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::TextOn();
      }
    else
      {
      op->TextOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_TextOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::TextOff();
      }
    else
      {
      op->TextOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetLandscape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp0;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetLandscape(temp0);
      }
    else
      {
      op->SetLandscape(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetLandscape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetLandscape();
      }
    else
      {
      temp20 = op->GetLandscape();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_LandscapeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::LandscapeOn();
      }
    else
      {
      op->LandscapeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_LandscapeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::LandscapeOff();
      }
    else
      {
      op->LandscapeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetPS3Shading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp0;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetPS3Shading(temp0);
      }
    else
      {
      op->SetPS3Shading(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetPS3Shading(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetPS3Shading();
      }
    else
      {
      temp20 = op->GetPS3Shading();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_PS3ShadingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::PS3ShadingOn();
      }
    else
      {
      op->PS3ShadingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_PS3ShadingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::PS3ShadingOff();
      }
    else
      {
      op->PS3ShadingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetOcclusionCull(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp0;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetOcclusionCull(temp0);
      }
    else
      {
      op->SetOcclusionCull(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetOcclusionCull(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetOcclusionCull();
      }
    else
      {
      temp20 = op->GetOcclusionCull();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_OcclusionCullOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::OcclusionCullOn();
      }
    else
      {
      op->OcclusionCullOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_OcclusionCullOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::OcclusionCullOff();
      }
    else
      {
      op->OcclusionCullOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetWrite3DPropsAsRasterImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp0;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::SetWrite3DPropsAsRasterImage(temp0);
      }
    else
      {
      op->SetWrite3DPropsAsRasterImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetWrite3DPropsAsRasterImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  int      temp20;
  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGL2PSExporter::GetWrite3DPropsAsRasterImage();
      }
    else
      {
      temp20 = op->GetWrite3DPropsAsRasterImage();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_Write3DPropsAsRasterImageOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::Write3DPropsAsRasterImageOn();
      }
    else
      {
      op->Write3DPropsAsRasterImageOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_Write3DPropsAsRasterImageOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGL2PSExporter *op;

  if ((op = (vtkGL2PSExporter *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGL2PSExporter::Write3DPropsAsRasterImageOff();
      }
    else
      {
      op->Write3DPropsAsRasterImageOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetGlobalPointSizeFactor(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float    temp0;
  if ((PyArg_ParseTuple(args, (char*)"f", &temp0)))
    {
      {
      vtkGL2PSExporter::SetGlobalPointSizeFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetGlobalPointSizeFactor(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkGL2PSExporter::GetGlobalPointSizeFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_SetGlobalLineWidthFactor(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float    temp0;
  if ((PyArg_ParseTuple(args, (char*)"f", &temp0)))
    {
      {
      vtkGL2PSExporter::SetGlobalLineWidthFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGL2PSExporter_GetGlobalLineWidthFactor(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  float    temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkGL2PSExporter::GetGlobalLineWidthFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGL2PSExporterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGL2PSExporter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGL2PSExporter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGL2PSExporter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGL2PSExporter\nC++: vtkGL2PSExporter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGL2PSExporter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGL2PSExporter\nC++: vtkGL2PSExporter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFilePrefix",                (PyCFunction)PyvtkGL2PSExporter_SetFilePrefix, 1,
   (char*)"V.SetFilePrefix(string)\nC++: void SetFilePrefix (char *);\n\n Specify the prefix of the files to write out. The resulting filenames\n will have .ps or .eps or .tex appended to them depending on the\n other options chosen.\n"},
  {(char*)"GetFilePrefix",                (PyCFunction)PyvtkGL2PSExporter_GetFilePrefix, 1,
   (char*)"V.GetFilePrefix() -> string\nC++: char *GetFilePrefix ();\n\n Specify the prefix of the files to write out. The resulting filenames\n will have .ps or .eps or .tex appended to them depending on the\n other options chosen.\n"},
  {(char*)"SetFileFormat",                (PyCFunction)PyvtkGL2PSExporter_SetFileFormat, 1,
   (char*)"V.SetFileFormat(int)\nC++: void SetFileFormat (int );\n\n Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n"},
  {(char*)"GetFileFormatMinValue",                (PyCFunction)PyvtkGL2PSExporter_GetFileFormatMinValue, 1,
   (char*)"V.GetFileFormatMinValue() -> int\nC++: int GetFileFormatMinValue ();\n\n Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n"},
  {(char*)"GetFileFormatMaxValue",                (PyCFunction)PyvtkGL2PSExporter_GetFileFormatMaxValue, 1,
   (char*)"V.GetFileFormatMaxValue() -> int\nC++: int GetFileFormatMaxValue ();\n\n Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n"},
  {(char*)"GetFileFormat",                (PyCFunction)PyvtkGL2PSExporter_GetFileFormat, 1,
   (char*)"V.GetFileFormat() -> int\nC++: int GetFileFormat ();\n\n Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n"},
  {(char*)"SetFileFormatToPS",                (PyCFunction)PyvtkGL2PSExporter_SetFileFormatToPS, 1,
   (char*)"V.SetFileFormatToPS()\nC++: void SetFileFormatToPS ();this SetFileFormat PS_FILE \n\n Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n"},
  {(char*)"SetFileFormatToEPS",                (PyCFunction)PyvtkGL2PSExporter_SetFileFormatToEPS, 1,
   (char*)"V.SetFileFormatToEPS()\nC++: void SetFileFormatToEPS ();this SetFileFormat EPS_FILE \n\n Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n"},
  {(char*)"SetFileFormatToPDF",                (PyCFunction)PyvtkGL2PSExporter_SetFileFormatToPDF, 1,
   (char*)"V.SetFileFormatToPDF()\nC++: void SetFileFormatToPDF ();this SetFileFormat PDF_FILE \n\n Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n"},
  {(char*)"SetFileFormatToTeX",                (PyCFunction)PyvtkGL2PSExporter_SetFileFormatToTeX, 1,
   (char*)"V.SetFileFormatToTeX()\nC++: void SetFileFormatToTeX ();this SetFileFormat TEX_FILE \n\n Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n"},
  {(char*)"GetFileFormatAsString",                (PyCFunction)PyvtkGL2PSExporter_GetFileFormatAsString, 1,
   (char*)"V.GetFileFormatAsString() -> string\nC++: char *GetFileFormatAsString ();\n\n Specify the format of file to write out.  This can be one of:\n PS_FILE, EPS_FILE, PDF_FILE, TEX_FILE.  Defaults to EPS_FILE.\n Depending on the option chosen it generates the appropriate file\n (with correct extension) when the Write function is called.\n"},
  {(char*)"SetSort",                (PyCFunction)PyvtkGL2PSExporter_SetSort, 1,
   (char*)"V.SetSort(int)\nC++: void SetSort (int );\n\n Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n"},
  {(char*)"GetSortMinValue",                (PyCFunction)PyvtkGL2PSExporter_GetSortMinValue, 1,
   (char*)"V.GetSortMinValue() -> int\nC++: int GetSortMinValue ();\n\n Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n"},
  {(char*)"GetSortMaxValue",                (PyCFunction)PyvtkGL2PSExporter_GetSortMaxValue, 1,
   (char*)"V.GetSortMaxValue() -> int\nC++: int GetSortMaxValue ();\n\n Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n"},
  {(char*)"GetSort",                (PyCFunction)PyvtkGL2PSExporter_GetSort, 1,
   (char*)"V.GetSort() -> int\nC++: int GetSort ();\n\n Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n"},
  {(char*)"SetSortToOff",                (PyCFunction)PyvtkGL2PSExporter_SetSortToOff, 1,
   (char*)"V.SetSortToOff()\nC++: void SetSortToOff ();this SetSort NO_SORT \n\n Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n"},
  {(char*)"SetSortToSimple",                (PyCFunction)PyvtkGL2PSExporter_SetSortToSimple, 1,
   (char*)"V.SetSortToSimple()\nC++: void SetSortToSimple ();this SetSort SIMPLE_SORT \n\n Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n"},
  {(char*)"SetSortToBSP",                (PyCFunction)PyvtkGL2PSExporter_SetSortToBSP, 1,
   (char*)"V.SetSortToBSP()\nC++: void SetSortToBSP ();this SetSort BSP_SORT \n\n Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n"},
  {(char*)"GetSortAsString",                (PyCFunction)PyvtkGL2PSExporter_GetSortAsString, 1,
   (char*)"V.GetSortAsString() -> string\nC++: char *GetSortAsString ();\n\n Set the the type of sorting algorithm to order primitives from\n back to front.  Successive algorithms are more memory\n intensive.  Simple is the default but BSP is perhaps the best.\n"},
  {(char*)"SetCompress",                (PyCFunction)PyvtkGL2PSExporter_SetCompress, 1,
   (char*)"V.SetCompress(int)\nC++: void SetCompress (int );\n\n Turn on/off compression when generating PostScript or PDF\n output. By default compression is on.\n"},
  {(char*)"GetCompress",                (PyCFunction)PyvtkGL2PSExporter_GetCompress, 1,
   (char*)"V.GetCompress() -> int\nC++: int GetCompress ();\n\n Turn on/off compression when generating PostScript or PDF\n output. By default compression is on.\n"},
  {(char*)"CompressOn",                (PyCFunction)PyvtkGL2PSExporter_CompressOn, 1,
   (char*)"V.CompressOn()\nC++: void CompressOn ();\n\n Turn on/off compression when generating PostScript or PDF\n output. By default compression is on.\n"},
  {(char*)"CompressOff",                (PyCFunction)PyvtkGL2PSExporter_CompressOff, 1,
   (char*)"V.CompressOff()\nC++: void CompressOff ();\n\n Turn on/off compression when generating PostScript or PDF\n output. By default compression is on.\n"},
  {(char*)"SetDrawBackground",                (PyCFunction)PyvtkGL2PSExporter_SetDrawBackground, 1,
   (char*)"V.SetDrawBackground(int)\nC++: void SetDrawBackground (int );\n\n Turn on/off drawing the background frame.  If off the background\n is treated as white.  By default the background is drawn.\n"},
  {(char*)"GetDrawBackground",                (PyCFunction)PyvtkGL2PSExporter_GetDrawBackground, 1,
   (char*)"V.GetDrawBackground() -> int\nC++: int GetDrawBackground ();\n\n Turn on/off drawing the background frame.  If off the background\n is treated as white.  By default the background is drawn.\n"},
  {(char*)"DrawBackgroundOn",                (PyCFunction)PyvtkGL2PSExporter_DrawBackgroundOn, 1,
   (char*)"V.DrawBackgroundOn()\nC++: void DrawBackgroundOn ();\n\n Turn on/off drawing the background frame.  If off the background\n is treated as white.  By default the background is drawn.\n"},
  {(char*)"DrawBackgroundOff",                (PyCFunction)PyvtkGL2PSExporter_DrawBackgroundOff, 1,
   (char*)"V.DrawBackgroundOff()\nC++: void DrawBackgroundOff ();\n\n Turn on/off drawing the background frame.  If off the background\n is treated as white.  By default the background is drawn.\n"},
  {(char*)"SetSimpleLineOffset",                (PyCFunction)PyvtkGL2PSExporter_SetSimpleLineOffset, 1,
   (char*)"V.SetSimpleLineOffset(int)\nC++: void SetSimpleLineOffset (int );\n\n Turn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a\n small offset is added in the z-buffer to all the lines in the\n plot.  This results in an anti-aliasing like solution.  Defaults to\n on.\n"},
  {(char*)"GetSimpleLineOffset",                (PyCFunction)PyvtkGL2PSExporter_GetSimpleLineOffset, 1,
   (char*)"V.GetSimpleLineOffset() -> int\nC++: int GetSimpleLineOffset ();\n\n Turn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a\n small offset is added in the z-buffer to all the lines in the\n plot.  This results in an anti-aliasing like solution.  Defaults to\n on.\n"},
  {(char*)"SimpleLineOffsetOn",                (PyCFunction)PyvtkGL2PSExporter_SimpleLineOffsetOn, 1,
   (char*)"V.SimpleLineOffsetOn()\nC++: void SimpleLineOffsetOn ();\n\n Turn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a\n small offset is added in the z-buffer to all the lines in the\n plot.  This results in an anti-aliasing like solution.  Defaults to\n on.\n"},
  {(char*)"SimpleLineOffsetOff",                (PyCFunction)PyvtkGL2PSExporter_SimpleLineOffsetOff, 1,
   (char*)"V.SimpleLineOffsetOff()\nC++: void SimpleLineOffsetOff ();\n\n Turn on/off the GL2PS_SIMPLE_LINE_OFFSET option.  When enabled a\n small offset is added in the z-buffer to all the lines in the\n plot.  This results in an anti-aliasing like solution.  Defaults to\n on.\n"},
  {(char*)"SetSilent",                (PyCFunction)PyvtkGL2PSExporter_SetSilent, 1,
   (char*)"V.SetSilent(int)\nC++: void SetSilent (int );\n\n Turn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When\n enabled GL2PS messages are suppressed.  Defaults to off.\n"},
  {(char*)"GetSilent",                (PyCFunction)PyvtkGL2PSExporter_GetSilent, 1,
   (char*)"V.GetSilent() -> int\nC++: int GetSilent ();\n\n Turn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When\n enabled GL2PS messages are suppressed.  Defaults to off.\n"},
  {(char*)"SilentOn",                (PyCFunction)PyvtkGL2PSExporter_SilentOn, 1,
   (char*)"V.SilentOn()\nC++: void SilentOn ();\n\n Turn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When\n enabled GL2PS messages are suppressed.  Defaults to off.\n"},
  {(char*)"SilentOff",                (PyCFunction)PyvtkGL2PSExporter_SilentOff, 1,
   (char*)"V.SilentOff()\nC++: void SilentOff ();\n\n Turn on/off GL2PS messages sent to stderr (GL2PS_SILENT).  When\n enabled GL2PS messages are suppressed.  Defaults to off.\n"},
  {(char*)"SetBestRoot",                (PyCFunction)PyvtkGL2PSExporter_SetBestRoot, 1,
   (char*)"V.SetBestRoot(int)\nC++: void SetBestRoot (int );\n\n Turn on/off the GL2PS_BEST_ROOT option.  When enabled the\n construction of the BSP tree is optimized by choosing the root\n primitives leading to the minimum number of splits.  Defaults to\n on.\n"},
  {(char*)"GetBestRoot",                (PyCFunction)PyvtkGL2PSExporter_GetBestRoot, 1,
   (char*)"V.GetBestRoot() -> int\nC++: int GetBestRoot ();\n\n Turn on/off the GL2PS_BEST_ROOT option.  When enabled the\n construction of the BSP tree is optimized by choosing the root\n primitives leading to the minimum number of splits.  Defaults to\n on.\n"},
  {(char*)"BestRootOn",                (PyCFunction)PyvtkGL2PSExporter_BestRootOn, 1,
   (char*)"V.BestRootOn()\nC++: void BestRootOn ();\n\n Turn on/off the GL2PS_BEST_ROOT option.  When enabled the\n construction of the BSP tree is optimized by choosing the root\n primitives leading to the minimum number of splits.  Defaults to\n on.\n"},
  {(char*)"BestRootOff",                (PyCFunction)PyvtkGL2PSExporter_BestRootOff, 1,
   (char*)"V.BestRootOff()\nC++: void BestRootOff ();\n\n Turn on/off the GL2PS_BEST_ROOT option.  When enabled the\n construction of the BSP tree is optimized by choosing the root\n primitives leading to the minimum number of splits.  Defaults to\n on.\n"},
  {(char*)"SetText",                (PyCFunction)PyvtkGL2PSExporter_SetText, 1,
   (char*)"V.SetText(int)\nC++: void SetText (int );\n\n Turn on/off drawing the text.  If on (default) the text is drawn.\n If the FileFormat is set to TeX output then a LaTeX picture is\n generated with the text strings.  If off text output is\n suppressed.\n"},
  {(char*)"GetText",                (PyCFunction)PyvtkGL2PSExporter_GetText, 1,
   (char*)"V.GetText() -> int\nC++: int GetText ();\n\n Turn on/off drawing the text.  If on (default) the text is drawn.\n If the FileFormat is set to TeX output then a LaTeX picture is\n generated with the text strings.  If off text output is\n suppressed.\n"},
  {(char*)"TextOn",                (PyCFunction)PyvtkGL2PSExporter_TextOn, 1,
   (char*)"V.TextOn()\nC++: void TextOn ();\n\n Turn on/off drawing the text.  If on (default) the text is drawn.\n If the FileFormat is set to TeX output then a LaTeX picture is\n generated with the text strings.  If off text output is\n suppressed.\n"},
  {(char*)"TextOff",                (PyCFunction)PyvtkGL2PSExporter_TextOff, 1,
   (char*)"V.TextOff()\nC++: void TextOff ();\n\n Turn on/off drawing the text.  If on (default) the text is drawn.\n If the FileFormat is set to TeX output then a LaTeX picture is\n generated with the text strings.  If off text output is\n suppressed.\n"},
  {(char*)"SetLandscape",                (PyCFunction)PyvtkGL2PSExporter_SetLandscape, 1,
   (char*)"V.SetLandscape(int)\nC++: void SetLandscape (int );\n\n Turn on/off landscape orientation.  If off (default) the\n orientation is set to portrait.\n"},
  {(char*)"GetLandscape",                (PyCFunction)PyvtkGL2PSExporter_GetLandscape, 1,
   (char*)"V.GetLandscape() -> int\nC++: int GetLandscape ();\n\n Turn on/off landscape orientation.  If off (default) the\n orientation is set to portrait.\n"},
  {(char*)"LandscapeOn",                (PyCFunction)PyvtkGL2PSExporter_LandscapeOn, 1,
   (char*)"V.LandscapeOn()\nC++: void LandscapeOn ();\n\n Turn on/off landscape orientation.  If off (default) the\n orientation is set to portrait.\n"},
  {(char*)"LandscapeOff",                (PyCFunction)PyvtkGL2PSExporter_LandscapeOff, 1,
   (char*)"V.LandscapeOff()\nC++: void LandscapeOff ();\n\n Turn on/off landscape orientation.  If off (default) the\n orientation is set to portrait.\n"},
  {(char*)"SetPS3Shading",                (PyCFunction)PyvtkGL2PSExporter_SetPS3Shading, 1,
   (char*)"V.SetPS3Shading(int)\nC++: void SetPS3Shading (int );\n\n Turn on/off the GL2PS_PS3_SHADING option.  When enabled the\n shfill PostScript level 3 operator is used.  Read the GL2PS\n documentation for more details.  Defaults to on.\n"},
  {(char*)"GetPS3Shading",                (PyCFunction)PyvtkGL2PSExporter_GetPS3Shading, 1,
   (char*)"V.GetPS3Shading() -> int\nC++: int GetPS3Shading ();\n\n Turn on/off the GL2PS_PS3_SHADING option.  When enabled the\n shfill PostScript level 3 operator is used.  Read the GL2PS\n documentation for more details.  Defaults to on.\n"},
  {(char*)"PS3ShadingOn",                (PyCFunction)PyvtkGL2PSExporter_PS3ShadingOn, 1,
   (char*)"V.PS3ShadingOn()\nC++: void PS3ShadingOn ();\n\n Turn on/off the GL2PS_PS3_SHADING option.  When enabled the\n shfill PostScript level 3 operator is used.  Read the GL2PS\n documentation for more details.  Defaults to on.\n"},
  {(char*)"PS3ShadingOff",                (PyCFunction)PyvtkGL2PSExporter_PS3ShadingOff, 1,
   (char*)"V.PS3ShadingOff()\nC++: void PS3ShadingOff ();\n\n Turn on/off the GL2PS_PS3_SHADING option.  When enabled the\n shfill PostScript level 3 operator is used.  Read the GL2PS\n documentation for more details.  Defaults to on.\n"},
  {(char*)"SetOcclusionCull",                (PyCFunction)PyvtkGL2PSExporter_SetOcclusionCull, 1,
   (char*)"V.SetOcclusionCull(int)\nC++: void SetOcclusionCull (int );\n\n Turn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).\n When enabled hidden polygons are removed.  This reduces file size\n considerably.  Defaults to on.\n"},
  {(char*)"GetOcclusionCull",                (PyCFunction)PyvtkGL2PSExporter_GetOcclusionCull, 1,
   (char*)"V.GetOcclusionCull() -> int\nC++: int GetOcclusionCull ();\n\n Turn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).\n When enabled hidden polygons are removed.  This reduces file size\n considerably.  Defaults to on.\n"},
  {(char*)"OcclusionCullOn",                (PyCFunction)PyvtkGL2PSExporter_OcclusionCullOn, 1,
   (char*)"V.OcclusionCullOn()\nC++: void OcclusionCullOn ();\n\n Turn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).\n When enabled hidden polygons are removed.  This reduces file size\n considerably.  Defaults to on.\n"},
  {(char*)"OcclusionCullOff",                (PyCFunction)PyvtkGL2PSExporter_OcclusionCullOff, 1,
   (char*)"V.OcclusionCullOff()\nC++: void OcclusionCullOff ();\n\n Turn on/off culling of occluded polygons (GL2PS_OCCLUSION_CULL).\n When enabled hidden polygons are removed.  This reduces file size\n considerably.  Defaults to on.\n"},
  {(char*)"SetWrite3DPropsAsRasterImage",                (PyCFunction)PyvtkGL2PSExporter_SetWrite3DPropsAsRasterImage, 1,
   (char*)"V.SetWrite3DPropsAsRasterImage(int)\nC++: void SetWrite3DPropsAsRasterImage (int );\n\n Turn on/off writing 3D props as raster images.  2D props are\n rendered using vector graphics primitives.  If you have hi-res\n actors and are using transparency you probably need to turn this\n on.  Defaults to Off.\n"},
  {(char*)"GetWrite3DPropsAsRasterImage",                (PyCFunction)PyvtkGL2PSExporter_GetWrite3DPropsAsRasterImage, 1,
   (char*)"V.GetWrite3DPropsAsRasterImage() -> int\nC++: int GetWrite3DPropsAsRasterImage ();\n\n Turn on/off writing 3D props as raster images.  2D props are\n rendered using vector graphics primitives.  If you have hi-res\n actors and are using transparency you probably need to turn this\n on.  Defaults to Off.\n"},
  {(char*)"Write3DPropsAsRasterImageOn",                (PyCFunction)PyvtkGL2PSExporter_Write3DPropsAsRasterImageOn, 1,
   (char*)"V.Write3DPropsAsRasterImageOn()\nC++: void Write3DPropsAsRasterImageOn ();\n\n Turn on/off writing 3D props as raster images.  2D props are\n rendered using vector graphics primitives.  If you have hi-res\n actors and are using transparency you probably need to turn this\n on.  Defaults to Off.\n"},
  {(char*)"Write3DPropsAsRasterImageOff",                (PyCFunction)PyvtkGL2PSExporter_Write3DPropsAsRasterImageOff, 1,
   (char*)"V.Write3DPropsAsRasterImageOff()\nC++: void Write3DPropsAsRasterImageOff ();\n\n Turn on/off writing 3D props as raster images.  2D props are\n rendered using vector graphics primitives.  If you have hi-res\n actors and are using transparency you probably need to turn this\n on.  Defaults to Off.\n"},
  {(char*)"SetGlobalPointSizeFactor",                (PyCFunction)PyvtkGL2PSExporter_SetGlobalPointSizeFactor, 1,
   (char*)"V.SetGlobalPointSizeFactor(float)\nC++: static void SetGlobalPointSizeFactor (float val);\n\n Set the ratio between the OpenGL PointSize and that used by GL2PS\n to generate PostScript.  Defaults to a ratio of 5/7.\n"},
  {(char*)"GetGlobalPointSizeFactor",                (PyCFunction)PyvtkGL2PSExporter_GetGlobalPointSizeFactor, 1,
   (char*)"V.GetGlobalPointSizeFactor() -> float\nC++: static float GetGlobalPointSizeFactor ();\n\n Set the ratio between the OpenGL PointSize and that used by GL2PS\n to generate PostScript.  Defaults to a ratio of 5/7.\n"},
  {(char*)"SetGlobalLineWidthFactor",                (PyCFunction)PyvtkGL2PSExporter_SetGlobalLineWidthFactor, 1,
   (char*)"V.SetGlobalLineWidthFactor(float)\nC++: static void SetGlobalLineWidthFactor (float val);\n\n Set the ratio between the OpenGL LineWidth and that used by GL2PS\n to generate PostScript.  Defaults to a ratio of 5/7.\n"},
  {(char*)"GetGlobalLineWidthFactor",                (PyCFunction)PyvtkGL2PSExporter_GetGlobalLineWidthFactor, 1,
   (char*)"V.GetGlobalLineWidthFactor() -> float\nC++: static float GetGlobalLineWidthFactor ();\n\n Set the ratio between the OpenGL LineWidth and that used by GL2PS\n to generate PostScript.  Defaults to a ratio of 5/7.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGL2PSExporterDoc[] = {
  (char*)"vtkGL2PSExporter - export a scene as a PostScript file using GL2PS.\n\n",
  "Super Class:\n\n vtkExporter\n\n",
  (char*)" vtkGL2PSExporter is a concrete subclass of vtkExporter that writes\n high quality vector PostScript (PS/EPS) or PDF files by using\n GL2PS.  GL2PS can be obtained at: http://www.geuz.org/gl2ps/.  This\n can be very useful when one requires publication quality pictures.\n This class works best with simple 3D scenes and most 2D plots.\n Please note that GL2PS has its limitations since PostScript is not\n",
  (char*)" an ideal language to represent complex 3D scenes.  However, this\n class does allow one to write mixed vector/raster files by using\n the Write3DPropsAsRasterImage ivar.  Please do read the caveats\n section of this documentation.\n\n By default vtkGL2PSExporter generates Encapsulated PostScript (EPS)\n output along with the text in portrait orientation with the\n background color of the window being dr",
  (char*)"awn.  The generated output\n is also compressed using zlib. The various other options are set to\n sensible defaults.\n\n The output file format (FileFormat) can be either PostScript (PS),\n Encapsulated PostScript (EPS), PDF or TeX.  The file extension is\n generated automatically depending on the FileFormat.  The default\n is EPS.  When TeX output is chosen, only the text strings in the\n plot are gener",
  (char*)"ated and put into a picture environment.  One can\n turn on and off the text when generating PS/EPS/PDF files by using\n the Text boolean variable.  By default the text is drawn.  The\n background color of the renderwindow is drawn by default.  To make\n the background white instead use the DrawBackgroundOff function.\n Landscape figures can be generated by using the LandscapeOn\n function.  Portrait or",
  (char*)"ientation is used by default.  Several of the\n GL2PS options can be set.  The names of the ivars for these options\n are similar to the ones that GL2PS provides.  Compress,\n SimpleLineOffset, Silent, BestRoot, PS3Shading and OcclusionCull\n are similar to the options provided by GL2PS.  Please read the\n function documentation or the GL2PS documentation for more details.\n The ivar Write3DPropsAsRaste",
  (char*)"rImage allows one to generate mixed\n vector/raster images.  All the 3D props in the scene will be\n written as a raster image and all 2D actors will be written as\n vector graphic primitives.  This makes it possible to handle\n transparency and complex 3D scenes.  This ivar is set to Off by\n default.  When drawing lines and points the OpenGL point size and\n line width are multiplied by a factor in or",
  (char*)"der to generate\n PostScript lines and points of the right size.  The\n Get/SetGlobalPointSizeFactor and Get/SetGlobalLineWidthFactor let\n one customize this ratio.  The default value is such that the\n PostScript output looks close to what is seen on screen.\n\n To use this class you need to turn on VTK_USE_GL2PS when\n configuring VTK.\n\n",
  "Caveats:\n\n By default (with Write3DPropsAsRasterImage set to Off) exporting\n complex 3D scenes can take a long while and result in huge output\n files.  Generating correct vector graphics output for scenes with\n transparency is almost impossible.  However, one can set\n Write3DPropsAsRasterImageOn and generate mixed vector/raster files.\n This should work fine with complex scenes along with transparent\n actors.\n\n",
  "See Also:\n\n vtkExporter\n\n",
  NULL
};

static vtkObjectBase *vtkGL2PSExporterStaticNew()
{
  return vtkGL2PSExporter::New();
}

PyObject *PyVTKClass_vtkGL2PSExporterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGL2PSExporterStaticNew,
                        PyvtkGL2PSExporterMethods,
                        (char*)"vtkGL2PSExporter",modulename,
                        (char**)vtkGL2PSExporterDoc,
                        PyVTKClass_vtkExporterNew(modulename));
}

