// tcl wrapper for vtkGL2PSExporter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGL2PSExporter.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkGL2PSExporterNewCommand()
{
  vtkGL2PSExporter *temp = vtkGL2PSExporter::New();
  return ((ClientData)temp);
}

int vtkExporterCppCommand(vtkExporter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGL2PSExporterCppCommand(vtkGL2PSExporter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGL2PSExporterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGL2PSExporterCppCommand((vtkGL2PSExporter *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGL2PSExporterCppCommand(vtkGL2PSExporter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGL2PSExporter",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkExporterCppCommand((vtkExporter *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkExporter", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGL2PSExporter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkGL2PSExporter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGL2PSExporter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkGL2PSExporter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGL2PSExporter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkGL2PSExporter");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFilePrefix",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFilePrefix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFilePrefix",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFilePrefix();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFileFormat",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFileFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileFormatMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileFormatMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFileFormatMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileFormatMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFileFormat",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileFormat();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFileFormatToPS",argv[1]))&&(argc == 2))
    {
    op->SetFileFormatToPS();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileFormatToEPS",argv[1]))&&(argc == 2))
    {
    op->SetFileFormatToEPS();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileFormatToPDF",argv[1]))&&(argc == 2))
    {
    op->SetFileFormatToPDF();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileFormatToTeX",argv[1]))&&(argc == 2))
    {
    op->SetFileFormatToTeX();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFileFormatAsString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileFormatAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSort",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSort(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSortMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSortMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSortMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSortMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSort",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSort();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSortToOff",argv[1]))&&(argc == 2))
    {
    op->SetSortToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSortToSimple",argv[1]))&&(argc == 2))
    {
    op->SetSortToSimple();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSortToBSP",argv[1]))&&(argc == 2))
    {
    op->SetSortToBSP();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSortAsString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetSortAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCompress",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCompress(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompress",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCompress();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CompressOn",argv[1]))&&(argc == 2))
    {
    op->CompressOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CompressOff",argv[1]))&&(argc == 2))
    {
    op->CompressOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDrawBackground",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDrawBackground(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDrawBackground",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDrawBackground();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DrawBackgroundOn",argv[1]))&&(argc == 2))
    {
    op->DrawBackgroundOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawBackgroundOff",argv[1]))&&(argc == 2))
    {
    op->DrawBackgroundOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSimpleLineOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSimpleLineOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSimpleLineOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSimpleLineOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SimpleLineOffsetOn",argv[1]))&&(argc == 2))
    {
    op->SimpleLineOffsetOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SimpleLineOffsetOff",argv[1]))&&(argc == 2))
    {
    op->SimpleLineOffsetOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSilent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSilent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSilent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSilent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SilentOn",argv[1]))&&(argc == 2))
    {
    op->SilentOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SilentOff",argv[1]))&&(argc == 2))
    {
    op->SilentOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBestRoot",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBestRoot(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBestRoot",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBestRoot();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BestRootOn",argv[1]))&&(argc == 2))
    {
    op->BestRootOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BestRootOff",argv[1]))&&(argc == 2))
    {
    op->BestRootOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetText",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetText",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetText();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TextOn",argv[1]))&&(argc == 2))
    {
    op->TextOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TextOff",argv[1]))&&(argc == 2))
    {
    op->TextOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLandscape",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLandscape(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLandscape",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLandscape();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LandscapeOn",argv[1]))&&(argc == 2))
    {
    op->LandscapeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LandscapeOff",argv[1]))&&(argc == 2))
    {
    op->LandscapeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPS3Shading",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPS3Shading(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPS3Shading",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPS3Shading();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PS3ShadingOn",argv[1]))&&(argc == 2))
    {
    op->PS3ShadingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PS3ShadingOff",argv[1]))&&(argc == 2))
    {
    op->PS3ShadingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOcclusionCull",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOcclusionCull(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOcclusionCull",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOcclusionCull();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OcclusionCullOn",argv[1]))&&(argc == 2))
    {
    op->OcclusionCullOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OcclusionCullOff",argv[1]))&&(argc == 2))
    {
    op->OcclusionCullOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWrite3DPropsAsRasterImage",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWrite3DPropsAsRasterImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWrite3DPropsAsRasterImage",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWrite3DPropsAsRasterImage();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Write3DPropsAsRasterImageOn",argv[1]))&&(argc == 2))
    {
    op->Write3DPropsAsRasterImageOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Write3DPropsAsRasterImageOff",argv[1]))&&(argc == 2))
    {
    op->Write3DPropsAsRasterImageOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalPointSizeFactor",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGlobalPointSizeFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalPointSizeFactor",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetGlobalPointSizeFactor();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalLineWidthFactor",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGlobalLineWidthFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalLineWidthFactor",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetGlobalLineWidthFactor();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkGL2PSExporterCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkExporterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGL2PSExporter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFilePrefix\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFilePrefix\n",NULL);
    Tcl_AppendResult(interp,"  SetFileFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileFormatMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFileFormatMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFileFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetFileFormatToPS\n",NULL);
    Tcl_AppendResult(interp,"  SetFileFormatToEPS\n",NULL);
    Tcl_AppendResult(interp,"  SetFileFormatToPDF\n",NULL);
    Tcl_AppendResult(interp,"  SetFileFormatToTeX\n",NULL);
    Tcl_AppendResult(interp,"  GetFileFormatAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetSort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSortMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSortMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSort\n",NULL);
    Tcl_AppendResult(interp,"  SetSortToOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSortToSimple\n",NULL);
    Tcl_AppendResult(interp,"  SetSortToBSP\n",NULL);
    Tcl_AppendResult(interp,"  GetSortAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetCompress\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompress\n",NULL);
    Tcl_AppendResult(interp,"  CompressOn\n",NULL);
    Tcl_AppendResult(interp,"  CompressOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawBackground\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDrawBackground\n",NULL);
    Tcl_AppendResult(interp,"  DrawBackgroundOn\n",NULL);
    Tcl_AppendResult(interp,"  DrawBackgroundOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSimpleLineOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSimpleLineOffset\n",NULL);
    Tcl_AppendResult(interp,"  SimpleLineOffsetOn\n",NULL);
    Tcl_AppendResult(interp,"  SimpleLineOffsetOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSilent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSilent\n",NULL);
    Tcl_AppendResult(interp,"  SilentOn\n",NULL);
    Tcl_AppendResult(interp,"  SilentOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBestRoot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBestRoot\n",NULL);
    Tcl_AppendResult(interp,"  BestRootOn\n",NULL);
    Tcl_AppendResult(interp,"  BestRootOff\n",NULL);
    Tcl_AppendResult(interp,"  SetText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetText\n",NULL);
    Tcl_AppendResult(interp,"  TextOn\n",NULL);
    Tcl_AppendResult(interp,"  TextOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLandscape\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLandscape\n",NULL);
    Tcl_AppendResult(interp,"  LandscapeOn\n",NULL);
    Tcl_AppendResult(interp,"  LandscapeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPS3Shading\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPS3Shading\n",NULL);
    Tcl_AppendResult(interp,"  PS3ShadingOn\n",NULL);
    Tcl_AppendResult(interp,"  PS3ShadingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOcclusionCull\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOcclusionCull\n",NULL);
    Tcl_AppendResult(interp,"  OcclusionCullOn\n",NULL);
    Tcl_AppendResult(interp,"  OcclusionCullOff\n",NULL);
    Tcl_AppendResult(interp,"  SetWrite3DPropsAsRasterImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWrite3DPropsAsRasterImage\n",NULL);
    Tcl_AppendResult(interp,"  Write3DPropsAsRasterImageOn\n",NULL);
    Tcl_AppendResult(interp,"  Write3DPropsAsRasterImageOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalPointSizeFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalPointSizeFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalLineWidthFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalLineWidthFactor\n",NULL);
    return TCL_OK;
    }

  if (vtkExporterCppCommand((vtkExporter *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
