// tcl wrapper for vtkGenericRenderWindowInteractor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericRenderWindowInteractor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkGenericRenderWindowInteractorNewCommand()
{
  vtkGenericRenderWindowInteractor *temp = vtkGenericRenderWindowInteractor::New();
  return ((ClientData)temp);
}

int vtkRenderWindowInteractorCppCommand(vtkRenderWindowInteractor *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGenericRenderWindowInteractorCppCommand(vtkGenericRenderWindowInteractor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGenericRenderWindowInteractorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGenericRenderWindowInteractorCppCommand((vtkGenericRenderWindowInteractor *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGenericRenderWindowInteractorCppCommand(vtkGenericRenderWindowInteractor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGenericRenderWindowInteractor",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkRenderWindowInteractorCppCommand((vtkRenderWindowInteractor *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkRenderWindowInteractor", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGenericRenderWindowInteractor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkGenericRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGenericRenderWindowInteractor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkGenericRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGenericRenderWindowInteractor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkGenericRenderWindowInteractor");
    return TCL_OK;
    }
    }
  if ((!strcmp("MouseMoveEvent",argv[1]))&&(argc == 2))
    {
    op->MouseMoveEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RightButtonPressEvent",argv[1]))&&(argc == 2))
    {
    op->RightButtonPressEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RightButtonReleaseEvent",argv[1]))&&(argc == 2))
    {
    op->RightButtonReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LeftButtonPressEvent",argv[1]))&&(argc == 2))
    {
    op->LeftButtonPressEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LeftButtonReleaseEvent",argv[1]))&&(argc == 2))
    {
    op->LeftButtonReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MiddleButtonPressEvent",argv[1]))&&(argc == 2))
    {
    op->MiddleButtonPressEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MiddleButtonReleaseEvent",argv[1]))&&(argc == 2))
    {
    op->MiddleButtonReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MouseWheelForwardEvent",argv[1]))&&(argc == 2))
    {
    op->MouseWheelForwardEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MouseWheelBackwardEvent",argv[1]))&&(argc == 2))
    {
    op->MouseWheelBackwardEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExposeEvent",argv[1]))&&(argc == 2))
    {
    op->ExposeEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConfigureEvent",argv[1]))&&(argc == 2))
    {
    op->ConfigureEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnterEvent",argv[1]))&&(argc == 2))
    {
    op->EnterEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LeaveEvent",argv[1]))&&(argc == 2))
    {
    op->LeaveEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TimerEvent",argv[1]))&&(argc == 2))
    {
    op->TimerEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("KeyPressEvent",argv[1]))&&(argc == 2))
    {
    op->KeyPressEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("KeyReleaseEvent",argv[1]))&&(argc == 2))
    {
    op->KeyReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CharEvent",argv[1]))&&(argc == 2))
    {
    op->CharEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExitEvent",argv[1]))&&(argc == 2))
    {
    op->ExitEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CreateTimer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->CreateTimer(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DestroyTimer",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->DestroyTimer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkGenericRenderWindowInteractorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderWindowInteractorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGenericRenderWindowInteractor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MouseMoveEvent\n",NULL);
    Tcl_AppendResult(interp,"  RightButtonPressEvent\n",NULL);
    Tcl_AppendResult(interp,"  RightButtonReleaseEvent\n",NULL);
    Tcl_AppendResult(interp,"  LeftButtonPressEvent\n",NULL);
    Tcl_AppendResult(interp,"  LeftButtonReleaseEvent\n",NULL);
    Tcl_AppendResult(interp,"  MiddleButtonPressEvent\n",NULL);
    Tcl_AppendResult(interp,"  MiddleButtonReleaseEvent\n",NULL);
    Tcl_AppendResult(interp,"  MouseWheelForwardEvent\n",NULL);
    Tcl_AppendResult(interp,"  MouseWheelBackwardEvent\n",NULL);
    Tcl_AppendResult(interp,"  ExposeEvent\n",NULL);
    Tcl_AppendResult(interp,"  ConfigureEvent\n",NULL);
    Tcl_AppendResult(interp,"  EnterEvent\n",NULL);
    Tcl_AppendResult(interp,"  LeaveEvent\n",NULL);
    Tcl_AppendResult(interp,"  TimerEvent\n",NULL);
    Tcl_AppendResult(interp,"  KeyPressEvent\n",NULL);
    Tcl_AppendResult(interp,"  KeyReleaseEvent\n",NULL);
    Tcl_AppendResult(interp,"  CharEvent\n",NULL);
    Tcl_AppendResult(interp,"  ExitEvent\n",NULL);
    Tcl_AppendResult(interp,"  CreateTimer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DestroyTimer\n",NULL);
    return TCL_OK;
    }

  if (vtkRenderWindowInteractorCppCommand((vtkRenderWindowInteractor *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
