// python wrapper for vtkHierarchicalPolyDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkHierarchicalPolyDataMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalPolyDataMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalPolyDataMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMapperNew(char *); }

static PyObject *PyvtkHierarchicalPolyDataMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalPolyDataMapper *op;

  const char    *temp20;
  if ((op = (vtkHierarchicalPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalPolyDataMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalPolyDataMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalPolyDataMapper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkHierarchicalPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalPolyDataMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalPolyDataMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalPolyDataMapper *op;

  vtkHierarchicalPolyDataMapper  *temp20;
  if ((op = (vtkHierarchicalPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalPolyDataMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalPolyDataMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalPolyDataMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalPolyDataMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHierarchicalPolyDataMapper_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalPolyDataMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkActor  *temp1;
  PyObject *tempH1;
  if ((op = (vtkHierarchicalPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkActor *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalPolyDataMapper::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkHierarchicalPolyDataMapper_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalPolyDataMapper *op;

  double temp0[6];
  if ((op = (vtkHierarchicalPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalPolyDataMapper::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalPolyDataMapper_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalPolyDataMapper *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  if ((op = (vtkHierarchicalPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalPolyDataMapper::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}

static PyMethodDef PyvtkHierarchicalPolyDataMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalPolyDataMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalPolyDataMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalPolyDataMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalPolyDataMapper\nC++: vtkHierarchicalPolyDataMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalPolyDataMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalPolyDataMapper\nC++: vtkHierarchicalPolyDataMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkHierarchicalPolyDataMapper_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkActor)\nC++: void Render (vtkRenderer *ren, vtkActor *a);\n\n Standard method for rendering a mapper. This method will be \n called by the actor.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkHierarchicalPolyDataMapper_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);this Superclass GetBounds bounds \n\n Standard vtkProp method to get 3D bounds of a 3D prop\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkHierarchicalPolyDataMapper_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release the underlying resources associated with this mapper  \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalPolyDataMapperDoc[] = {
  (char*)"vtkHierarchicalPolyDataMapper - a class that renders hierarchical polygonal data\n\n",
  "Super Class:\n\n vtkMapper\n\n",
  (char*)" This class uses a set of vtkPolyDataMappers to render input data\n which may be hierarchical. The input to this mapper may be\n either vtkPolyData or a vtkHierarchicalDataSet built from \n polydata. If something other than vtkPolyData is encountered,\n an error message will be produced.\n\n\n",
  "See Also:\n\n vtkPolyDataMapper\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalPolyDataMapperStaticNew()
{
  return vtkHierarchicalPolyDataMapper::New();
}

PyObject *PyVTKClass_vtkHierarchicalPolyDataMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalPolyDataMapperStaticNew,
                        PyvtkHierarchicalPolyDataMapperMethods,
                        (char*)"vtkHierarchicalPolyDataMapper",modulename,
                        (char**)vtkHierarchicalPolyDataMapperDoc,
                        PyVTKClass_vtkMapperNew(modulename));
}

