// tcl wrapper for vtkImageViewer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageViewer.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkImageViewerNewCommand()
{
  vtkImageViewer *temp = vtkImageViewer::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageViewerCppCommand(vtkImageViewer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageViewerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageViewerCppCommand((vtkImageViewer *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageViewerCppCommand(vtkImageViewer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageViewer",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageViewer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageViewer");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageViewer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageViewer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageViewer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageViewer");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindowName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetWindowName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkImageData",interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SetInputConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkAlgorithmOutput",interp,error));
    if (!error)
    {
    op->SetInputConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWholeZMin",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWholeZMin();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetWholeZMax",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWholeZMax();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetZSlice",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZSlice();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetZSlice",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetZSlice(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorWindow",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetColorWindow();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetColorLevel",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetColorLevel();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorWindow",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetColorWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColorLevel",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetColorLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetGrayScaleHint",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGrayScaleHint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetGrayScaleHint",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGrayScaleHint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GrayScaleHintOn",argv[1]))&&(argc == 2))
    {
    op->GrayScaleHintOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GrayScaleHintOff",argv[1]))&&(argc == 2))
    {
    op->GrayScaleHintOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
#endif
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSize();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetRenderer",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetRenderer();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("GetImageMapper",argv[1]))&&(argc == 2))
    {
    vtkImageMapper  *temp20;
    temp20 = (op)->GetImageMapper();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetActor2D",argv[1]))&&(argc == 2))
    {
    vtkActor2D  *temp20;
    temp20 = (op)->GetActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SetupInteractor",argv[1]))&&(argc == 3))
    {
    vtkRenderWindowInteractor  *temp0;
    error = 0;

    temp0 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderWindowInteractor",interp,error));
    if (!error)
    {
    op->SetupInteractor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOffScreenRendering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOffScreenRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOffScreenRendering",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOffScreenRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OffScreenRenderingOn",argv[1]))&&(argc == 2))
    {
    op->OffScreenRenderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OffScreenRenderingOff",argv[1]))&&(argc == 2))
    {
    op->OffScreenRenderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkImageViewerCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageViewer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowName\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetInputConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeZMin\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeZMax\n",NULL);
    Tcl_AppendResult(interp,"  GetZSlice\n",NULL);
    Tcl_AppendResult(interp,"  SetZSlice\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetColorLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetColorWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColorLevel\t with 1 arg\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetGrayScaleHint\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetGrayScaleHint\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GrayScaleHintOn\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GrayScaleHintOff\n",NULL);
#endif
    Tcl_AppendResult(interp,"  GetPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderer\n",NULL);
    Tcl_AppendResult(interp,"  GetImageMapper\n",NULL);
    Tcl_AppendResult(interp,"  GetActor2D\n",NULL);
    Tcl_AppendResult(interp,"  SetupInteractor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOffScreenRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOffScreenRendering\n",NULL);
    Tcl_AppendResult(interp,"  OffScreenRenderingOn\n",NULL);
    Tcl_AppendResult(interp,"  OffScreenRenderingOff\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
