// tcl wrapper for vtkInteractorObserver object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorObserver.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInteractorObserverCppCommand(vtkInteractorObserver *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInteractorObserverCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInteractorObserverCppCommand((vtkInteractorObserver *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInteractorObserverCppCommand(vtkInteractorObserver *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInteractorObserver",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInteractorObserver  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInteractorObserver");
    return TCL_OK;
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EnabledOn",argv[1]))&&(argc == 2))
    {
    op->EnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnabledOff",argv[1]))&&(argc == 2))
    {
    op->EnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("On",argv[1]))&&(argc == 2))
    {
    op->On();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Off",argv[1]))&&(argc == 2))
    {
    op->Off();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractor",argv[1]))&&(argc == 3))
    {
    vtkRenderWindowInteractor  *temp0;
    error = 0;

    temp0 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderWindowInteractor",interp,error));
    if (!error)
    {
    op->SetInteractor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractor",argv[1]))&&(argc == 2))
    {
    vtkRenderWindowInteractor  *temp20;
    temp20 = (op)->GetInteractor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("SetPriority",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPriority(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPriorityMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPriorityMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPriorityMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPriorityMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPriority",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPriority();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetKeyPressActivation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetKeyPressActivation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeyPressActivation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetKeyPressActivation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("KeyPressActivationOn",argv[1]))&&(argc == 2))
    {
    op->KeyPressActivationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("KeyPressActivationOff",argv[1]))&&(argc == 2))
    {
    op->KeyPressActivationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetKeyPressActivationValue",argv[1]))&&(argc == 3))
    {
    char     temp0;
    error = 0;

    temp0 = *(argv[2]);
    if (!error)
    {
    op->SetKeyPressActivationValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeyPressActivationValue",argv[1]))&&(argc == 2))
    {
    char     temp20;
    temp20 = (op)->GetKeyPressActivationValue();
    char tempResult[1024];
    sprintf(tempResult,"%c",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDefaultRenderer",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetDefaultRenderer();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    if (!error)
    {
    op->SetDefaultRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentRenderer",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetCurrentRenderer();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("SetCurrentRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    if (!error)
    {
    op->SetCurrentRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OnChar",argv[1]))&&(argc == 2))
    {
    op->OnChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkInteractorObserverCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInteractorObserver:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnabled\n",NULL);
    Tcl_AppendResult(interp,"  EnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  EnabledOff\n",NULL);
    Tcl_AppendResult(interp,"  On\n",NULL);
    Tcl_AppendResult(interp,"  Off\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractor\n",NULL);
    Tcl_AppendResult(interp,"  SetPriority\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPriorityMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPriorityMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPriority\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyPressActivation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyPressActivation\n",NULL);
    Tcl_AppendResult(interp,"  KeyPressActivationOn\n",NULL);
    Tcl_AppendResult(interp,"  KeyPressActivationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyPressActivationValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyPressActivationValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultRenderer\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentRenderer\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OnChar\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
