// python wrapper for vtkInteractorStyleFlight object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkInteractorStyleFlight.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInteractorStyleFlightNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInteractorStyleFlightNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInteractorStyleNew(char *); }

static PyObject *PyvtkInteractorStyleFlight_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  const char    *temp20;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleFlight::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleFlight::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  vtkInteractorStyleFlight  *temp20;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleFlight::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInteractorStyleFlight  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInteractorStyleFlight::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_JumpTo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  double temp0[3];
  double temp1[3];
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::JumpTo(temp0,temp1);
      }
    else
      {
      op->JumpTo(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_SetMotionStepSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  double   temp0;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::SetMotionStepSize(temp0);
      }
    else
      {
      op->SetMotionStepSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_GetMotionStepSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  double   temp20;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleFlight::GetMotionStepSize();
      }
    else
      {
      temp20 = op->GetMotionStepSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_SetMotionAccelerationFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  double   temp0;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::SetMotionAccelerationFactor(temp0);
      }
    else
      {
      op->SetMotionAccelerationFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_GetMotionAccelerationFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  double   temp20;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleFlight::GetMotionAccelerationFactor();
      }
    else
      {
      temp20 = op->GetMotionAccelerationFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_SetAngleStepSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  double   temp0;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::SetAngleStepSize(temp0);
      }
    else
      {
      op->SetAngleStepSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_GetAngleStepSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  double   temp20;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleFlight::GetAngleStepSize();
      }
    else
      {
      temp20 = op->GetAngleStepSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_SetAngleAccelerationFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  double   temp0;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::SetAngleAccelerationFactor(temp0);
      }
    else
      {
      op->SetAngleAccelerationFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_GetAngleAccelerationFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  double   temp20;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleFlight::GetAngleAccelerationFactor();
      }
    else
      {
      temp20 = op->GetAngleAccelerationFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_SetDisableMotion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  int      temp0;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::SetDisableMotion(temp0);
      }
    else
      {
      op->SetDisableMotion(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_GetDisableMotion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  int      temp20;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleFlight::GetDisableMotion();
      }
    else
      {
      temp20 = op->GetDisableMotion();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_DisableMotionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::DisableMotionOn();
      }
    else
      {
      op->DisableMotionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_DisableMotionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::DisableMotionOff();
      }
    else
      {
      op->DisableMotionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_SetRestoreUpVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  int      temp0;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::SetRestoreUpVector(temp0);
      }
    else
      {
      op->SetRestoreUpVector(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_GetRestoreUpVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  int      temp20;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleFlight::GetRestoreUpVector();
      }
    else
      {
      temp20 = op->GetRestoreUpVector();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_RestoreUpVectorOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::RestoreUpVectorOn();
      }
    else
      {
      op->RestoreUpVectorOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_RestoreUpVectorOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::RestoreUpVectorOff();
      }
    else
      {
      op->RestoreUpVectorOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_GetDefaultUpVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  double  *temp20;
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleFlight::GetDefaultUpVector();
      }
    else
      {
      temp20 = op->GetDefaultUpVector();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_SetDefaultUpVector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  double temp0[3];
  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::SetDefaultUpVector(temp0);
      }
    else
      {
      op->SetDefaultUpVector(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_OnMouseMove(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::OnMouseMove();
      }
    else
      {
      op->OnMouseMove();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_OnLeftButtonDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::OnLeftButtonDown();
      }
    else
      {
      op->OnLeftButtonDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_OnLeftButtonUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::OnLeftButtonUp();
      }
    else
      {
      op->OnLeftButtonUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_OnMiddleButtonDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::OnMiddleButtonDown();
      }
    else
      {
      op->OnMiddleButtonDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_OnMiddleButtonUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::OnMiddleButtonUp();
      }
    else
      {
      op->OnMiddleButtonUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_OnRightButtonDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::OnRightButtonDown();
      }
    else
      {
      op->OnRightButtonDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_OnRightButtonUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::OnRightButtonUp();
      }
    else
      {
      op->OnRightButtonUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_OnChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::OnChar();
      }
    else
      {
      op->OnChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_OnKeyDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::OnKeyDown();
      }
    else
      {
      op->OnKeyDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_OnKeyUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::OnKeyUp();
      }
    else
      {
      op->OnKeyUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_OnTimer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::OnTimer();
      }
    else
      {
      op->OnTimer();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_ForwardFly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::ForwardFly();
      }
    else
      {
      op->ForwardFly();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_ReverseFly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::ReverseFly();
      }
    else
      {
      op->ReverseFly();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_StartForwardFly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::StartForwardFly();
      }
    else
      {
      op->StartForwardFly();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_EndForwardFly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::EndForwardFly();
      }
    else
      {
      op->EndForwardFly();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_StartReverseFly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::StartReverseFly();
      }
    else
      {
      op->StartReverseFly();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleFlight_EndReverseFly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleFlight *op;

  if ((op = (vtkInteractorStyleFlight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleFlight::EndReverseFly();
      }
    else
      {
      op->EndReverseFly();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkInteractorStyleFlightMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInteractorStyleFlight_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInteractorStyleFlight_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInteractorStyleFlight_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInteractorStyleFlight\nC++: vtkInteractorStyleFlight *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInteractorStyleFlight_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInteractorStyleFlight\nC++: vtkInteractorStyleFlight *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"JumpTo",                (PyCFunction)PyvtkInteractorStyleFlight_JumpTo, 1,
   (char*)"V.JumpTo((float, float, float), (float, float, float))\nC++: void JumpTo (double campos[3], double focpos[3]);\n\n Move the Eye/Camera to a specific location (no intermediate\n steps are taken\n"},
  {(char*)"SetMotionStepSize",                (PyCFunction)PyvtkInteractorStyleFlight_SetMotionStepSize, 1,
   (char*)"V.SetMotionStepSize(float)\nC++: void SetMotionStepSize (double );\n\n Set the basic unit step size : by default 1/250 of bounding diagonal\n"},
  {(char*)"GetMotionStepSize",                (PyCFunction)PyvtkInteractorStyleFlight_GetMotionStepSize, 1,
   (char*)"V.GetMotionStepSize() -> float\nC++: double GetMotionStepSize ();\n\n Set the basic unit step size : by default 1/250 of bounding diagonal\n"},
  {(char*)"SetMotionAccelerationFactor",                (PyCFunction)PyvtkInteractorStyleFlight_SetMotionAccelerationFactor, 1,
   (char*)"V.SetMotionAccelerationFactor(float)\nC++: void SetMotionAccelerationFactor (double );\n\n Set acceleration factor when shift key is applied : default 10\n"},
  {(char*)"GetMotionAccelerationFactor",                (PyCFunction)PyvtkInteractorStyleFlight_GetMotionAccelerationFactor, 1,
   (char*)"V.GetMotionAccelerationFactor() -> float\nC++: double GetMotionAccelerationFactor ();\n\n Set acceleration factor when shift key is applied : default 10\n"},
  {(char*)"SetAngleStepSize",                (PyCFunction)PyvtkInteractorStyleFlight_SetAngleStepSize, 1,
   (char*)"V.SetAngleStepSize(float)\nC++: void SetAngleStepSize (double );\n\n Set the basic angular unit for turning : default 1 degree\n"},
  {(char*)"GetAngleStepSize",                (PyCFunction)PyvtkInteractorStyleFlight_GetAngleStepSize, 1,
   (char*)"V.GetAngleStepSize() -> float\nC++: double GetAngleStepSize ();\n\n Set the basic angular unit for turning : default 1 degree\n"},
  {(char*)"SetAngleAccelerationFactor",                (PyCFunction)PyvtkInteractorStyleFlight_SetAngleAccelerationFactor, 1,
   (char*)"V.SetAngleAccelerationFactor(float)\nC++: void SetAngleAccelerationFactor (double );\n\n Set angular acceleration when shift key is applied : default 5\n"},
  {(char*)"GetAngleAccelerationFactor",                (PyCFunction)PyvtkInteractorStyleFlight_GetAngleAccelerationFactor, 1,
   (char*)"V.GetAngleAccelerationFactor() -> float\nC++: double GetAngleAccelerationFactor ();\n\n Set angular acceleration when shift key is applied : default 5\n"},
  {(char*)"SetDisableMotion",                (PyCFunction)PyvtkInteractorStyleFlight_SetDisableMotion, 1,
   (char*)"V.SetDisableMotion(int)\nC++: void SetDisableMotion (int );\n\n Disable motion (temporarily - for viewing etc)\n"},
  {(char*)"GetDisableMotion",                (PyCFunction)PyvtkInteractorStyleFlight_GetDisableMotion, 1,
   (char*)"V.GetDisableMotion() -> int\nC++: int GetDisableMotion ();\n\n Disable motion (temporarily - for viewing etc)\n"},
  {(char*)"DisableMotionOn",                (PyCFunction)PyvtkInteractorStyleFlight_DisableMotionOn, 1,
   (char*)"V.DisableMotionOn()\nC++: void DisableMotionOn ();\n\n Disable motion (temporarily - for viewing etc)\n"},
  {(char*)"DisableMotionOff",                (PyCFunction)PyvtkInteractorStyleFlight_DisableMotionOff, 1,
   (char*)"V.DisableMotionOff()\nC++: void DisableMotionOff ();\n\n Disable motion (temporarily - for viewing etc)\n"},
  {(char*)"SetRestoreUpVector",                (PyCFunction)PyvtkInteractorStyleFlight_SetRestoreUpVector, 1,
   (char*)"V.SetRestoreUpVector(int)\nC++: void SetRestoreUpVector (int );\n\n When flying, apply a restorative force to the \"Up\" vector.\n This is activated when the current 'up' is close to the actual 'up'\n (as defined in DefaultUpVector). This prevents excessive twisting forces\n when viewing from arbitrary angles, but keep the horizon level when\n the user is flying over terrain.\n"},
  {(char*)"GetRestoreUpVector",                (PyCFunction)PyvtkInteractorStyleFlight_GetRestoreUpVector, 1,
   (char*)"V.GetRestoreUpVector() -> int\nC++: int GetRestoreUpVector ();\n\n When flying, apply a restorative force to the \"Up\" vector.\n This is activated when the current 'up' is close to the actual 'up'\n (as defined in DefaultUpVector). This prevents excessive twisting forces\n when viewing from arbitrary angles, but keep the horizon level when\n the user is flying over terrain.\n"},
  {(char*)"RestoreUpVectorOn",                (PyCFunction)PyvtkInteractorStyleFlight_RestoreUpVectorOn, 1,
   (char*)"V.RestoreUpVectorOn()\nC++: void RestoreUpVectorOn ();\n\n When flying, apply a restorative force to the \"Up\" vector.\n This is activated when the current 'up' is close to the actual 'up'\n (as defined in DefaultUpVector). This prevents excessive twisting forces\n when viewing from arbitrary angles, but keep the horizon level when\n the user is flying over terrain.\n"},
  {(char*)"RestoreUpVectorOff",                (PyCFunction)PyvtkInteractorStyleFlight_RestoreUpVectorOff, 1,
   (char*)"V.RestoreUpVectorOff()\nC++: void RestoreUpVectorOff ();\n\n When flying, apply a restorative force to the \"Up\" vector.\n This is activated when the current 'up' is close to the actual 'up'\n (as defined in DefaultUpVector). This prevents excessive twisting forces\n when viewing from arbitrary angles, but keep the horizon level when\n the user is flying over terrain.\n"},
  {(char*)"GetDefaultUpVector",                (PyCFunction)PyvtkInteractorStyleFlight_GetDefaultUpVector, 1,
   (char*)"V.GetDefaultUpVector() -> (float, float, float)\nC++: double  *GetDefaultUpVector ();\n\n"},
  {(char*)"SetDefaultUpVector",                (PyCFunction)PyvtkInteractorStyleFlight_SetDefaultUpVector, 1,
   (char*)"V.SetDefaultUpVector((float, float, float))\nC++: void SetDefaultUpVector (double  [3]);\n\n"},
  {(char*)"OnMouseMove",                (PyCFunction)PyvtkInteractorStyleFlight_OnMouseMove, 1,
   (char*)"V.OnMouseMove()\nC++: virtual void OnMouseMove ();\n\n Concrete implementation of Mouse event bindings for flight\n"},
  {(char*)"OnLeftButtonDown",                (PyCFunction)PyvtkInteractorStyleFlight_OnLeftButtonDown, 1,
   (char*)"V.OnLeftButtonDown()\nC++: virtual void OnLeftButtonDown ();\n\n Concrete implementation of Mouse event bindings for flight\n"},
  {(char*)"OnLeftButtonUp",                (PyCFunction)PyvtkInteractorStyleFlight_OnLeftButtonUp, 1,
   (char*)"V.OnLeftButtonUp()\nC++: virtual void OnLeftButtonUp ();\n\n Concrete implementation of Mouse event bindings for flight\n"},
  {(char*)"OnMiddleButtonDown",                (PyCFunction)PyvtkInteractorStyleFlight_OnMiddleButtonDown, 1,
   (char*)"V.OnMiddleButtonDown()\nC++: virtual void OnMiddleButtonDown ();\n\n Concrete implementation of Mouse event bindings for flight\n"},
  {(char*)"OnMiddleButtonUp",                (PyCFunction)PyvtkInteractorStyleFlight_OnMiddleButtonUp, 1,
   (char*)"V.OnMiddleButtonUp()\nC++: virtual void OnMiddleButtonUp ();\n\n Concrete implementation of Mouse event bindings for flight\n"},
  {(char*)"OnRightButtonDown",                (PyCFunction)PyvtkInteractorStyleFlight_OnRightButtonDown, 1,
   (char*)"V.OnRightButtonDown()\nC++: virtual void OnRightButtonDown ();\n\n Concrete implementation of Mouse event bindings for flight\n"},
  {(char*)"OnRightButtonUp",                (PyCFunction)PyvtkInteractorStyleFlight_OnRightButtonUp, 1,
   (char*)"V.OnRightButtonUp()\nC++: virtual void OnRightButtonUp ();\n\n Concrete implementation of Mouse event bindings for flight\n"},
  {(char*)"OnChar",                (PyCFunction)PyvtkInteractorStyleFlight_OnChar, 1,
   (char*)"V.OnChar()\nC++: virtual void OnChar ();\n\n Concrete implementation of Keyboard event bindings for flight\n"},
  {(char*)"OnKeyDown",                (PyCFunction)PyvtkInteractorStyleFlight_OnKeyDown, 1,
   (char*)"V.OnKeyDown()\nC++: virtual void OnKeyDown ();\n\n Concrete implementation of Keyboard event bindings for flight\n"},
  {(char*)"OnKeyUp",                (PyCFunction)PyvtkInteractorStyleFlight_OnKeyUp, 1,
   (char*)"V.OnKeyUp()\nC++: virtual void OnKeyUp ();\n\n Concrete implementation of Keyboard event bindings for flight\n"},
  {(char*)"OnTimer",                (PyCFunction)PyvtkInteractorStyleFlight_OnTimer, 1,
   (char*)"V.OnTimer()\nC++: virtual void OnTimer ();\n\n Concrete implementation of Keyboard event bindings for flight\n"},
  {(char*)"ForwardFly",                (PyCFunction)PyvtkInteractorStyleFlight_ForwardFly, 1,
   (char*)"V.ForwardFly()\nC++: virtual void ForwardFly ();\n\n Concrete implementation of Keyboard event bindings for flight\n\n"},
  {(char*)"ReverseFly",                (PyCFunction)PyvtkInteractorStyleFlight_ReverseFly, 1,
   (char*)"V.ReverseFly()\nC++: virtual void ReverseFly ();\n\n Concrete implementation of Keyboard event bindings for flight\n\n"},
  {(char*)"StartForwardFly",                (PyCFunction)PyvtkInteractorStyleFlight_StartForwardFly, 1,
   (char*)"V.StartForwardFly()\nC++: virtual void StartForwardFly ();\n\n Concrete implementation of Keyboard event bindings for flight\n\n\n"},
  {(char*)"EndForwardFly",                (PyCFunction)PyvtkInteractorStyleFlight_EndForwardFly, 1,
   (char*)"V.EndForwardFly()\nC++: virtual void EndForwardFly ();\n\n Concrete implementation of Keyboard event bindings for flight\n\n\n"},
  {(char*)"StartReverseFly",                (PyCFunction)PyvtkInteractorStyleFlight_StartReverseFly, 1,
   (char*)"V.StartReverseFly()\nC++: virtual void StartReverseFly ();\n\n Concrete implementation of Keyboard event bindings for flight\n\n\n"},
  {(char*)"EndReverseFly",                (PyCFunction)PyvtkInteractorStyleFlight_EndReverseFly, 1,
   (char*)"V.EndReverseFly()\nC++: virtual void EndReverseFly ();\n\n Concrete implementation of Keyboard event bindings for flight\n\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInteractorStyleFlightDoc[] = {
  (char*)"vtkInteractorStyleFlight - provides flight motion routines\n\n",
  "Super Class:\n\n vtkInteractorStyle\n\n",
  (char*)" Left  mouse button press produces forward motion.\n Right mouse button press produces reverse motion.\n Moving mouse during motion steers user in desired direction.\n Keyboard controls are:\n Left/Right/Up/Down Arrows for steering direction\n 'A' forward, 'Z' reverse motion\n Ctrl Key causes sidestep instead of steering in mouse and key modes\n Shift key is accelerator in mouse and key modes\n Ctrl and S",
  (char*)"hift together causes Roll in mouse and key modes\n\n By default, one \"step\" of motion corresponds to 1/250th of the diagonal\n of bounding box of visible actors, '+' and '-' keys allow user to\n increase or decrease step size.\n\n",
  NULL
};

static vtkObjectBase *vtkInteractorStyleFlightStaticNew()
{
  return vtkInteractorStyleFlight::New();
}

PyObject *PyVTKClass_vtkInteractorStyleFlightNew(char *modulename)
{
  return PyVTKClass_New(&vtkInteractorStyleFlightStaticNew,
                        PyvtkInteractorStyleFlightMethods,
                        (char*)"vtkInteractorStyleFlight",modulename,
                        (char**)vtkInteractorStyleFlightDoc,
                        PyVTKClass_vtkInteractorStyleNew(modulename));
}

