// python wrapper for vtkInteractorStyleImage object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkInteractorStyleImage.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInteractorStyleImageNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInteractorStyleImageNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInteractorStyleTrackballCameraNew(char *); }

static PyObject *PyvtkInteractorStyleImage_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  const char    *temp20;
  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleImage::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleImage::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  vtkInteractorStyleImage  *temp20;
  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleImage::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInteractorStyleImage  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInteractorStyleImage::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_GetWindowLevelStartPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  int     *temp20;
  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleImage::GetWindowLevelStartPosition();
      }
    else
      {
      temp20 = op->GetWindowLevelStartPosition();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_GetWindowLevelCurrentPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  int     *temp20;
  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleImage::GetWindowLevelCurrentPosition();
      }
    else
      {
      temp20 = op->GetWindowLevelCurrentPosition();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_OnMouseMove(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleImage::OnMouseMove();
      }
    else
      {
      op->OnMouseMove();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_OnLeftButtonDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleImage::OnLeftButtonDown();
      }
    else
      {
      op->OnLeftButtonDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_OnLeftButtonUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleImage::OnLeftButtonUp();
      }
    else
      {
      op->OnLeftButtonUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_OnRightButtonDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleImage::OnRightButtonDown();
      }
    else
      {
      op->OnRightButtonDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_OnRightButtonUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleImage::OnRightButtonUp();
      }
    else
      {
      op->OnRightButtonUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_OnChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleImage::OnChar();
      }
    else
      {
      op->OnChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_WindowLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleImage::WindowLevel();
      }
    else
      {
      op->WindowLevel();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_Pick(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleImage::Pick();
      }
    else
      {
      op->Pick();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_StartWindowLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleImage::StartWindowLevel();
      }
    else
      {
      op->StartWindowLevel();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_EndWindowLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleImage::EndWindowLevel();
      }
    else
      {
      op->EndWindowLevel();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_StartPick(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleImage::StartPick();
      }
    else
      {
      op->StartPick();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleImage_EndPick(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleImage *op;

  if ((op = (vtkInteractorStyleImage *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleImage::EndPick();
      }
    else
      {
      op->EndPick();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkInteractorStyleImageMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInteractorStyleImage_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInteractorStyleImage_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInteractorStyleImage_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInteractorStyleImage\nC++: vtkInteractorStyleImage *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInteractorStyleImage_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInteractorStyleImage\nC++: vtkInteractorStyleImage *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetWindowLevelStartPosition",                (PyCFunction)PyvtkInteractorStyleImage_GetWindowLevelStartPosition, 1,
   (char*)"V.GetWindowLevelStartPosition() -> (int, int)\nC++: int  *GetWindowLevelStartPosition ();\n\n Some useful information for handling window level\n"},
  {(char*)"GetWindowLevelCurrentPosition",                (PyCFunction)PyvtkInteractorStyleImage_GetWindowLevelCurrentPosition, 1,
   (char*)"V.GetWindowLevelCurrentPosition() -> (int, int)\nC++: int  *GetWindowLevelCurrentPosition ();\n\n Some useful information for handling window level\n"},
  {(char*)"OnMouseMove",                (PyCFunction)PyvtkInteractorStyleImage_OnMouseMove, 1,
   (char*)"V.OnMouseMove()\nC++: virtual void OnMouseMove ();\n\n Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n"},
  {(char*)"OnLeftButtonDown",                (PyCFunction)PyvtkInteractorStyleImage_OnLeftButtonDown, 1,
   (char*)"V.OnLeftButtonDown()\nC++: virtual void OnLeftButtonDown ();\n\n Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n"},
  {(char*)"OnLeftButtonUp",                (PyCFunction)PyvtkInteractorStyleImage_OnLeftButtonUp, 1,
   (char*)"V.OnLeftButtonUp()\nC++: virtual void OnLeftButtonUp ();\n\n Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n"},
  {(char*)"OnRightButtonDown",                (PyCFunction)PyvtkInteractorStyleImage_OnRightButtonDown, 1,
   (char*)"V.OnRightButtonDown()\nC++: virtual void OnRightButtonDown ();\n\n Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n"},
  {(char*)"OnRightButtonUp",                (PyCFunction)PyvtkInteractorStyleImage_OnRightButtonUp, 1,
   (char*)"V.OnRightButtonUp()\nC++: virtual void OnRightButtonUp ();\n\n Event bindings controlling the effects of pressing mouse buttons\n or moving the mouse.\n"},
  {(char*)"OnChar",                (PyCFunction)PyvtkInteractorStyleImage_OnChar, 1,
   (char*)"V.OnChar()\nC++: virtual void OnChar ();\n\n Override the \"fly-to\" (f keypress) for images.\n"},
  {(char*)"WindowLevel",                (PyCFunction)PyvtkInteractorStyleImage_WindowLevel, 1,
   (char*)"V.WindowLevel()\nC++: virtual void WindowLevel ();\n\n"},
  {(char*)"Pick",                (PyCFunction)PyvtkInteractorStyleImage_Pick, 1,
   (char*)"V.Pick()\nC++: virtual void Pick ();\n\n"},
  {(char*)"StartWindowLevel",                (PyCFunction)PyvtkInteractorStyleImage_StartWindowLevel, 1,
   (char*)"V.StartWindowLevel()\nC++: virtual void StartWindowLevel ();\n\n"},
  {(char*)"EndWindowLevel",                (PyCFunction)PyvtkInteractorStyleImage_EndWindowLevel, 1,
   (char*)"V.EndWindowLevel()\nC++: virtual void EndWindowLevel ();\n\n"},
  {(char*)"StartPick",                (PyCFunction)PyvtkInteractorStyleImage_StartPick, 1,
   (char*)"V.StartPick()\nC++: virtual void StartPick ();\n\n"},
  {(char*)"EndPick",                (PyCFunction)PyvtkInteractorStyleImage_EndPick, 1,
   (char*)"V.EndPick()\nC++: virtual void EndPick ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInteractorStyleImageDoc[] = {
  (char*)"vtkInteractorStyleImage - interactive manipulation of the camera specialized for images\n\n",
  "Super Class:\n\n vtkInteractorStyleTrackballCamera\n\n",
  (char*)" vtkInteractorStyleImage allows the user to interactively manipulate\n (rotate, pan, zoomm etc.) the camera. vtkInteractorStyleImage is specially\n designed to work with images that are being rendered with\n vtkImageActor. Several events are overloaded from its superclass\n vtkInteractorStyle, hence the mouse bindings are different. (The bindings\n keep the camera's view plane normal perpendicular to t",
  (char*)"he x-y plane.) In\n summary the mouse events are as follows:\n + Left Mouse button triggers window level events\n + CTRL Left Mouse spins the camera around its view plane normal\n + SHIFT Left Mouse pans the camera\n + CTRL SHIFT Left Mouse dollys (a positional zoom) the camera\n + Middle mouse button pans the camera\n + Right mouse button dollys the camera.\n + SHIFT Right Mouse triggers pick events\n\n No",
  (char*)"te that the renderer's actors are not moved; instead the camera is moved.\n\n",
  "See Also:\n\n vtkInteractorStyle vtkInteractorStyleTrackballActor \n vtkInteractorStyleJoystickCamera vtkInteractorStyleJoystickActor\n\n",
  NULL
};

static vtkObjectBase *vtkInteractorStyleImageStaticNew()
{
  return vtkInteractorStyleImage::New();
}

PyObject *PyVTKClass_vtkInteractorStyleImageNew(char *modulename)
{
  return PyVTKClass_New(&vtkInteractorStyleImageStaticNew,
                        PyvtkInteractorStyleImageMethods,
                        (char*)"vtkInteractorStyleImage",modulename,
                        (char**)vtkInteractorStyleImageDoc,
                        PyVTKClass_vtkInteractorStyleTrackballCameraNew(modulename));
}

