// python wrapper for vtkInteractorStyle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkInteractorStyle.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInteractorStyleNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInteractorStyleNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInteractorObserverNew(char *); }

static PyObject *PyvtkInteractorStyle_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  const char    *temp20;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyle::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyle::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  vtkInteractorStyle  *temp20;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyle::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInteractorStyle  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInteractorStyle::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInteractorStyle_SetInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  vtkRenderWindowInteractor  *temp0;
  PyObject *tempH0;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderWindowInteractor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindowInteractor");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::SetInteractor(temp0);
      }
    else
      {
      op->SetInteractor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInteractorStyle_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  int      temp0;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_SetAutoAdjustCameraClippingRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  int      temp0;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::SetAutoAdjustCameraClippingRange(temp0);
      }
    else
      {
      op->SetAutoAdjustCameraClippingRange(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_GetAutoAdjustCameraClippingRangeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  int      temp20;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyle::GetAutoAdjustCameraClippingRangeMinValue();
      }
    else
      {
      temp20 = op->GetAutoAdjustCameraClippingRangeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_GetAutoAdjustCameraClippingRangeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  int      temp20;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyle::GetAutoAdjustCameraClippingRangeMaxValue();
      }
    else
      {
      temp20 = op->GetAutoAdjustCameraClippingRangeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_GetAutoAdjustCameraClippingRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  int      temp20;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyle::GetAutoAdjustCameraClippingRange();
      }
    else
      {
      temp20 = op->GetAutoAdjustCameraClippingRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_AutoAdjustCameraClippingRangeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::AutoAdjustCameraClippingRangeOn();
      }
    else
      {
      op->AutoAdjustCameraClippingRangeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_AutoAdjustCameraClippingRangeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::AutoAdjustCameraClippingRangeOff();
      }
    else
      {
      op->AutoAdjustCameraClippingRangeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_FindPokedRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::FindPokedRenderer(temp0,temp1);
      }
    else
      {
      op->FindPokedRenderer(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_GetState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  int      temp20;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyle::GetState();
      }
    else
      {
      temp20 = op->GetState();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_GetUseTimers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  int      temp20;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyle::GetUseTimers();
      }
    else
      {
      temp20 = op->GetUseTimers();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_SetUseTimers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  int      temp0;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::SetUseTimers(temp0);
      }
    else
      {
      op->SetUseTimers(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_UseTimersOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::UseTimersOn();
      }
    else
      {
      op->UseTimersOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_UseTimersOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::UseTimersOff();
      }
    else
      {
      op->UseTimersOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_SetHandleObservers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  int      temp0;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::SetHandleObservers(temp0);
      }
    else
      {
      op->SetHandleObservers(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_GetHandleObservers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  int      temp20;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyle::GetHandleObservers();
      }
    else
      {
      temp20 = op->GetHandleObservers();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_HandleObserversOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::HandleObserversOn();
      }
    else
      {
      op->HandleObserversOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_HandleObserversOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::HandleObserversOff();
      }
    else
      {
      op->HandleObserversOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnMouseMove(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnMouseMove();
      }
    else
      {
      op->OnMouseMove();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnLeftButtonDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnLeftButtonDown();
      }
    else
      {
      op->OnLeftButtonDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnLeftButtonUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnLeftButtonUp();
      }
    else
      {
      op->OnLeftButtonUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnMiddleButtonDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnMiddleButtonDown();
      }
    else
      {
      op->OnMiddleButtonDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnMiddleButtonUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnMiddleButtonUp();
      }
    else
      {
      op->OnMiddleButtonUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnRightButtonDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnRightButtonDown();
      }
    else
      {
      op->OnRightButtonDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnRightButtonUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnRightButtonUp();
      }
    else
      {
      op->OnRightButtonUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnMouseWheelForward(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnMouseWheelForward();
      }
    else
      {
      op->OnMouseWheelForward();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnMouseWheelBackward(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnMouseWheelBackward();
      }
    else
      {
      op->OnMouseWheelBackward();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnChar();
      }
    else
      {
      op->OnChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnKeyDown(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnKeyDown();
      }
    else
      {
      op->OnKeyDown();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnKeyUp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnKeyUp();
      }
    else
      {
      op->OnKeyUp();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnKeyPress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnKeyPress();
      }
    else
      {
      op->OnKeyPress();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnKeyRelease(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnKeyRelease();
      }
    else
      {
      op->OnKeyRelease();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnExpose(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnExpose();
      }
    else
      {
      op->OnExpose();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnConfigure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnConfigure();
      }
    else
      {
      op->OnConfigure();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnEnter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnEnter();
      }
    else
      {
      op->OnEnter();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnLeave(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnLeave();
      }
    else
      {
      op->OnLeave();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_OnTimer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::OnTimer();
      }
    else
      {
      op->OnTimer();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_Rotate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::Rotate();
      }
    else
      {
      op->Rotate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_Spin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::Spin();
      }
    else
      {
      op->Spin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_Pan(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::Pan();
      }
    else
      {
      op->Pan();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_Dolly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::Dolly();
      }
    else
      {
      op->Dolly();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_Zoom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::Zoom();
      }
    else
      {
      op->Zoom();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_UniformScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::UniformScale();
      }
    else
      {
      op->UniformScale();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_StartState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  int      temp0;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::StartState(temp0);
      }
    else
      {
      op->StartState(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_StopState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::StopState();
      }
    else
      {
      op->StopState();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_StartAnimate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::StartAnimate();
      }
    else
      {
      op->StartAnimate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_StopAnimate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::StopAnimate();
      }
    else
      {
      op->StopAnimate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_StartRotate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::StartRotate();
      }
    else
      {
      op->StartRotate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_EndRotate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::EndRotate();
      }
    else
      {
      op->EndRotate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_StartZoom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::StartZoom();
      }
    else
      {
      op->StartZoom();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_EndZoom(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::EndZoom();
      }
    else
      {
      op->EndZoom();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_StartPan(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::StartPan();
      }
    else
      {
      op->StartPan();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_EndPan(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::EndPan();
      }
    else
      {
      op->EndPan();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_StartSpin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::StartSpin();
      }
    else
      {
      op->StartSpin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_EndSpin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::EndSpin();
      }
    else
      {
      op->EndSpin();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_StartDolly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::StartDolly();
      }
    else
      {
      op->StartDolly();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_EndDolly(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::EndDolly();
      }
    else
      {
      op->EndDolly();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_StartUniformScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::StartUniformScale();
      }
    else
      {
      op->StartUniformScale();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_EndUniformScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::EndUniformScale();
      }
    else
      {
      op->EndUniformScale();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_StartTimer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::StartTimer();
      }
    else
      {
      op->StartTimer();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_EndTimer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::EndTimer();
      }
    else
      {
      op->EndTimer();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_HighlightProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break65;
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::HighlightProp(temp0);
      }
    else
      {
      op->HighlightProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break65:
  return NULL;
}


static PyObject *PyvtkInteractorStyle_HighlightActor2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  vtkActor2D  *temp0;
  PyObject *tempH0;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkActor2D");
    if (!temp0 && tempH0 != Py_None) goto break66;
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::HighlightActor2D(temp0);
      }
    else
      {
      op->HighlightActor2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break66:
  return NULL;
}


static PyObject *PyvtkInteractorStyle_HighlightProp3D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  vtkProp3D  *temp0;
  PyObject *tempH0;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp3D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp3D");
    if (!temp0 && tempH0 != Py_None) goto break67;
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::HighlightProp3D(temp0);
      }
    else
      {
      op->HighlightProp3D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break67:
  return NULL;
}


static PyObject *PyvtkInteractorStyle_SetPickColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::SetPickColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetPickColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::SetPickColor(temp0);
      }
    else
      {
      op->SetPickColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_GetPickColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  double  *temp20;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyle::GetPickColor();
      }
    else
      {
      temp20 = op->GetPickColor();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_SetMouseWheelMotionFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  double   temp0;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyle::SetMouseWheelMotionFactor(temp0);
      }
    else
      {
      op->SetMouseWheelMotionFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyle_GetMouseWheelMotionFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyle *op;

  double   temp20;
  if ((op = (vtkInteractorStyle *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyle::GetMouseWheelMotionFactor();
      }
    else
      {
      temp20 = op->GetMouseWheelMotionFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkInteractorStyleMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInteractorStyle_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInteractorStyle_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInteractorStyle_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInteractorStyle\nC++: vtkInteractorStyle *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInteractorStyle_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInteractorStyle\nC++: vtkInteractorStyle *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInteractor",                (PyCFunction)PyvtkInteractorStyle_SetInteractor, 1,
   (char*)"V.SetInteractor(vtkRenderWindowInteractor)\nC++: virtual void SetInteractor (vtkRenderWindowInteractor *interactor);\n\n Set/Get the Interactor wrapper being controlled by this object.\n (Satisfy superclass API.)\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkInteractorStyle_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Turn on/off this interactor. Interactor styles operate a little\n bit differently than other types of interactor observers. When\n the SetInteractor() method is invoked, the automatically enable\n themselves. This is a legacy requirement, and convenient for the\n user.\n"},
  {(char*)"SetAutoAdjustCameraClippingRange",                (PyCFunction)PyvtkInteractorStyle_SetAutoAdjustCameraClippingRange, 1,
   (char*)"V.SetAutoAdjustCameraClippingRange(int)\nC++: void SetAutoAdjustCameraClippingRange (int );\n\n If AutoAdjustCameraClippingRange is on, then before each render the\n camera clipping range will be adjusted to \"fit\" the whole scene. Clipping\n will still occur if objects in the scene are behind the camera or\n come very close. If AutoAdjustCameraClippingRange is off, no adjustment\n will be made per render, but the camera clipping range will still\n be reset when the camera is reset.\n"},
  {(char*)"GetAutoAdjustCameraClippingRangeMinValue",                (PyCFunction)PyvtkInteractorStyle_GetAutoAdjustCameraClippingRangeMinValue, 1,
   (char*)"V.GetAutoAdjustCameraClippingRangeMinValue() -> int\nC++: int GetAutoAdjustCameraClippingRangeMinValue ();\n\n If AutoAdjustCameraClippingRange is on, then before each render the\n camera clipping range will be adjusted to \"fit\" the whole scene. Clipping\n will still occur if objects in the scene are behind the camera or\n come very close. If AutoAdjustCameraClippingRange is off, no adjustment\n will be made per render, but the camera clipping range will still\n be reset when the camera is reset.\n"},
  {(char*)"GetAutoAdjustCameraClippingRangeMaxValue",                (PyCFunction)PyvtkInteractorStyle_GetAutoAdjustCameraClippingRangeMaxValue, 1,
   (char*)"V.GetAutoAdjustCameraClippingRangeMaxValue() -> int\nC++: int GetAutoAdjustCameraClippingRangeMaxValue ();\n\n If AutoAdjustCameraClippingRange is on, then before each render the\n camera clipping range will be adjusted to \"fit\" the whole scene. Clipping\n will still occur if objects in the scene are behind the camera or\n come very close. If AutoAdjustCameraClippingRange is off, no adjustment\n will be made per render, but the camera clipping range will still\n be reset when the camera is reset.\n"},
  {(char*)"GetAutoAdjustCameraClippingRange",                (PyCFunction)PyvtkInteractorStyle_GetAutoAdjustCameraClippingRange, 1,
   (char*)"V.GetAutoAdjustCameraClippingRange() -> int\nC++: int GetAutoAdjustCameraClippingRange ();\n\n If AutoAdjustCameraClippingRange is on, then before each render the\n camera clipping range will be adjusted to \"fit\" the whole scene. Clipping\n will still occur if objects in the scene are behind the camera or\n come very close. If AutoAdjustCameraClippingRange is off, no adjustment\n will be made per render, but the camera clipping range will still\n be reset when the camera is reset.\n"},
  {(char*)"AutoAdjustCameraClippingRangeOn",                (PyCFunction)PyvtkInteractorStyle_AutoAdjustCameraClippingRangeOn, 1,
   (char*)"V.AutoAdjustCameraClippingRangeOn()\nC++: void AutoAdjustCameraClippingRangeOn ();\n\n If AutoAdjustCameraClippingRange is on, then before each render the\n camera clipping range will be adjusted to \"fit\" the whole scene. Clipping\n will still occur if objects in the scene are behind the camera or\n come very close. If AutoAdjustCameraClippingRange is off, no adjustment\n will be made per render, but the camera clipping range will still\n be reset when the camera is reset.\n"},
  {(char*)"AutoAdjustCameraClippingRangeOff",                (PyCFunction)PyvtkInteractorStyle_AutoAdjustCameraClippingRangeOff, 1,
   (char*)"V.AutoAdjustCameraClippingRangeOff()\nC++: void AutoAdjustCameraClippingRangeOff ();\n\n If AutoAdjustCameraClippingRange is on, then before each render the\n camera clipping range will be adjusted to \"fit\" the whole scene. Clipping\n will still occur if objects in the scene are behind the camera or\n come very close. If AutoAdjustCameraClippingRange is off, no adjustment\n will be made per render, but the camera clipping range will still\n be reset when the camera is reset.\n"},
  {(char*)"FindPokedRenderer",                (PyCFunction)PyvtkInteractorStyle_FindPokedRenderer, 1,
   (char*)"V.FindPokedRenderer(int, int)\nC++: void FindPokedRenderer (int , int );\n\n When an event occurs, we must determine which Renderer the event\n occurred within, since one RenderWindow may contain multiple\n renderers. \n"},
  {(char*)"GetState",                (PyCFunction)PyvtkInteractorStyle_GetState, 1,
   (char*)"V.GetState() -> int\nC++: int GetState ();\n\n Some useful information for interaction\n"},
  {(char*)"GetUseTimers",                (PyCFunction)PyvtkInteractorStyle_GetUseTimers, 1,
   (char*)"V.GetUseTimers() -> int\nC++: int GetUseTimers ();\n\n Set/Get timer hint\n"},
  {(char*)"SetUseTimers",                (PyCFunction)PyvtkInteractorStyle_SetUseTimers, 1,
   (char*)"V.SetUseTimers(int)\nC++: void SetUseTimers (int );\n\n Set/Get timer hint\n"},
  {(char*)"UseTimersOn",                (PyCFunction)PyvtkInteractorStyle_UseTimersOn, 1,
   (char*)"V.UseTimersOn()\nC++: void UseTimersOn ();\n\n Set/Get timer hint\n"},
  {(char*)"UseTimersOff",                (PyCFunction)PyvtkInteractorStyle_UseTimersOff, 1,
   (char*)"V.UseTimersOff()\nC++: void UseTimersOff ();\n\n Set/Get timer hint\n"},
  {(char*)"SetHandleObservers",                (PyCFunction)PyvtkInteractorStyle_SetHandleObservers, 1,
   (char*)"V.SetHandleObservers(int)\nC++: void SetHandleObservers (int );\n\n Does ProcessEvents handle observers on this class or not\n"},
  {(char*)"GetHandleObservers",                (PyCFunction)PyvtkInteractorStyle_GetHandleObservers, 1,
   (char*)"V.GetHandleObservers() -> int\nC++: int GetHandleObservers ();\n\n Does ProcessEvents handle observers on this class or not\n"},
  {(char*)"HandleObserversOn",                (PyCFunction)PyvtkInteractorStyle_HandleObserversOn, 1,
   (char*)"V.HandleObserversOn()\nC++: void HandleObserversOn ();\n\n Does ProcessEvents handle observers on this class or not\n"},
  {(char*)"HandleObserversOff",                (PyCFunction)PyvtkInteractorStyle_HandleObserversOff, 1,
   (char*)"V.HandleObserversOff()\nC++: void HandleObserversOff ();\n\n Does ProcessEvents handle observers on this class or not\n"},
  {(char*)"OnMouseMove",                (PyCFunction)PyvtkInteractorStyle_OnMouseMove, 1,
   (char*)"V.OnMouseMove()\nC++: virtual void OnMouseMove ();\n\n Generic event bindings must be overridden in subclasses\n"},
  {(char*)"OnLeftButtonDown",                (PyCFunction)PyvtkInteractorStyle_OnLeftButtonDown, 1,
   (char*)"V.OnLeftButtonDown()\nC++: virtual void OnLeftButtonDown ();\n\n Generic event bindings must be overridden in subclasses\n"},
  {(char*)"OnLeftButtonUp",                (PyCFunction)PyvtkInteractorStyle_OnLeftButtonUp, 1,
   (char*)"V.OnLeftButtonUp()\nC++: virtual void OnLeftButtonUp ();\n\n Generic event bindings must be overridden in subclasses\n"},
  {(char*)"OnMiddleButtonDown",                (PyCFunction)PyvtkInteractorStyle_OnMiddleButtonDown, 1,
   (char*)"V.OnMiddleButtonDown()\nC++: virtual void OnMiddleButtonDown ();\n\n Generic event bindings must be overridden in subclasses\n"},
  {(char*)"OnMiddleButtonUp",                (PyCFunction)PyvtkInteractorStyle_OnMiddleButtonUp, 1,
   (char*)"V.OnMiddleButtonUp()\nC++: virtual void OnMiddleButtonUp ();\n\n Generic event bindings must be overridden in subclasses\n"},
  {(char*)"OnRightButtonDown",                (PyCFunction)PyvtkInteractorStyle_OnRightButtonDown, 1,
   (char*)"V.OnRightButtonDown()\nC++: virtual void OnRightButtonDown ();\n\n Generic event bindings must be overridden in subclasses\n"},
  {(char*)"OnRightButtonUp",                (PyCFunction)PyvtkInteractorStyle_OnRightButtonUp, 1,
   (char*)"V.OnRightButtonUp()\nC++: virtual void OnRightButtonUp ();\n\n Generic event bindings must be overridden in subclasses\n"},
  {(char*)"OnMouseWheelForward",                (PyCFunction)PyvtkInteractorStyle_OnMouseWheelForward, 1,
   (char*)"V.OnMouseWheelForward()\nC++: virtual void OnMouseWheelForward ();\n\n Generic event bindings must be overridden in subclasses\n"},
  {(char*)"OnMouseWheelBackward",                (PyCFunction)PyvtkInteractorStyle_OnMouseWheelBackward, 1,
   (char*)"V.OnMouseWheelBackward()\nC++: virtual void OnMouseWheelBackward ();\n\n Generic event bindings must be overridden in subclasses\n"},
  {(char*)"OnChar",                (PyCFunction)PyvtkInteractorStyle_OnChar, 1,
   (char*)"V.OnChar()\nC++: virtual void OnChar ();\n\n OnChar implements keyboard functions, but subclasses can override this \n behavior\n"},
  {(char*)"OnKeyDown",                (PyCFunction)PyvtkInteractorStyle_OnKeyDown, 1,
   (char*)"V.OnKeyDown()\nC++: virtual void OnKeyDown ();\n\n OnChar implements keyboard functions, but subclasses can override this \n behavior\n"},
  {(char*)"OnKeyUp",                (PyCFunction)PyvtkInteractorStyle_OnKeyUp, 1,
   (char*)"V.OnKeyUp()\nC++: virtual void OnKeyUp ();\n\n OnChar implements keyboard functions, but subclasses can override this \n behavior\n"},
  {(char*)"OnKeyPress",                (PyCFunction)PyvtkInteractorStyle_OnKeyPress, 1,
   (char*)"V.OnKeyPress()\nC++: virtual void OnKeyPress ();\n\n OnChar implements keyboard functions, but subclasses can override this \n behavior\n"},
  {(char*)"OnKeyRelease",                (PyCFunction)PyvtkInteractorStyle_OnKeyRelease, 1,
   (char*)"V.OnKeyRelease()\nC++: virtual void OnKeyRelease ();\n\n OnChar implements keyboard functions, but subclasses can override this \n behavior\n"},
  {(char*)"OnExpose",                (PyCFunction)PyvtkInteractorStyle_OnExpose, 1,
   (char*)"V.OnExpose()\nC++: virtual void OnExpose ();\n\n These are more esoteric events, but are useful in some cases.\n"},
  {(char*)"OnConfigure",                (PyCFunction)PyvtkInteractorStyle_OnConfigure, 1,
   (char*)"V.OnConfigure()\nC++: virtual void OnConfigure ();\n\n These are more esoteric events, but are useful in some cases.\n"},
  {(char*)"OnEnter",                (PyCFunction)PyvtkInteractorStyle_OnEnter, 1,
   (char*)"V.OnEnter()\nC++: virtual void OnEnter ();\n\n These are more esoteric events, but are useful in some cases.\n"},
  {(char*)"OnLeave",                (PyCFunction)PyvtkInteractorStyle_OnLeave, 1,
   (char*)"V.OnLeave()\nC++: virtual void OnLeave ();\n\n These are more esoteric events, but are useful in some cases.\n"},
  {(char*)"OnTimer",                (PyCFunction)PyvtkInteractorStyle_OnTimer, 1,
   (char*)"V.OnTimer()\nC++: virtual void OnTimer ();\n\n OnTimer calls Rotate, Rotate etc which should be overridden by\n style subclasses.\n"},
  {(char*)"Rotate",                (PyCFunction)PyvtkInteractorStyle_Rotate, 1,
   (char*)"V.Rotate()\nC++: virtual void Rotate ();\n\n These methods for the different interactions in different modes\n are overridden in subclasses to perform the correct motion. Since\n they might be called from OnTimer, they do not have mouse coord parameters\n (use interactor's GetEventPosition and GetLastEventPosition)\n"},
  {(char*)"Spin",                (PyCFunction)PyvtkInteractorStyle_Spin, 1,
   (char*)"V.Spin()\nC++: virtual void Spin ();\n\n These methods for the different interactions in different modes\n are overridden in subclasses to perform the correct motion. Since\n they might be called from OnTimer, they do not have mouse coord parameters\n (use interactor's GetEventPosition and GetLastEventPosition)\n"},
  {(char*)"Pan",                (PyCFunction)PyvtkInteractorStyle_Pan, 1,
   (char*)"V.Pan()\nC++: virtual void Pan ();\n\n These methods for the different interactions in different modes\n are overridden in subclasses to perform the correct motion. Since\n they might be called from OnTimer, they do not have mouse coord parameters\n (use interactor's GetEventPosition and GetLastEventPosition)\n"},
  {(char*)"Dolly",                (PyCFunction)PyvtkInteractorStyle_Dolly, 1,
   (char*)"V.Dolly()\nC++: virtual void Dolly ();\n\n These methods for the different interactions in different modes\n are overridden in subclasses to perform the correct motion. Since\n they might be called from OnTimer, they do not have mouse coord parameters\n (use interactor's GetEventPosition and GetLastEventPosition)\n"},
  {(char*)"Zoom",                (PyCFunction)PyvtkInteractorStyle_Zoom, 1,
   (char*)"V.Zoom()\nC++: virtual void Zoom ();\n\n These methods for the different interactions in different modes\n are overridden in subclasses to perform the correct motion. Since\n they might be called from OnTimer, they do not have mouse coord parameters\n (use interactor's GetEventPosition and GetLastEventPosition)\n"},
  {(char*)"UniformScale",                (PyCFunction)PyvtkInteractorStyle_UniformScale, 1,
   (char*)"V.UniformScale()\nC++: virtual void UniformScale ();\n\n These methods for the different interactions in different modes\n are overridden in subclasses to perform the correct motion. Since\n they might be called from OnTimer, they do not have mouse coord parameters\n (use interactor's GetEventPosition and GetLastEventPosition)\n"},
  {(char*)"StartState",                (PyCFunction)PyvtkInteractorStyle_StartState, 1,
   (char*)"V.StartState(int)\nC++: virtual void StartState (int newstate);\n\n utility routines used by state changes\n"},
  {(char*)"StopState",                (PyCFunction)PyvtkInteractorStyle_StopState, 1,
   (char*)"V.StopState()\nC++: virtual void StopState ();\n\n utility routines used by state changes\n"},
  {(char*)"StartAnimate",                (PyCFunction)PyvtkInteractorStyle_StartAnimate, 1,
   (char*)"V.StartAnimate()\nC++: virtual void StartAnimate ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"StopAnimate",                (PyCFunction)PyvtkInteractorStyle_StopAnimate, 1,
   (char*)"V.StopAnimate()\nC++: virtual void StopAnimate ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"StartRotate",                (PyCFunction)PyvtkInteractorStyle_StartRotate, 1,
   (char*)"V.StartRotate()\nC++: virtual void StartRotate ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"EndRotate",                (PyCFunction)PyvtkInteractorStyle_EndRotate, 1,
   (char*)"V.EndRotate()\nC++: virtual void EndRotate ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"StartZoom",                (PyCFunction)PyvtkInteractorStyle_StartZoom, 1,
   (char*)"V.StartZoom()\nC++: virtual void StartZoom ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"EndZoom",                (PyCFunction)PyvtkInteractorStyle_EndZoom, 1,
   (char*)"V.EndZoom()\nC++: virtual void EndZoom ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"StartPan",                (PyCFunction)PyvtkInteractorStyle_StartPan, 1,
   (char*)"V.StartPan()\nC++: virtual void StartPan ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"EndPan",                (PyCFunction)PyvtkInteractorStyle_EndPan, 1,
   (char*)"V.EndPan()\nC++: virtual void EndPan ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"StartSpin",                (PyCFunction)PyvtkInteractorStyle_StartSpin, 1,
   (char*)"V.StartSpin()\nC++: virtual void StartSpin ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"EndSpin",                (PyCFunction)PyvtkInteractorStyle_EndSpin, 1,
   (char*)"V.EndSpin()\nC++: virtual void EndSpin ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"StartDolly",                (PyCFunction)PyvtkInteractorStyle_StartDolly, 1,
   (char*)"V.StartDolly()\nC++: virtual void StartDolly ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"EndDolly",                (PyCFunction)PyvtkInteractorStyle_EndDolly, 1,
   (char*)"V.EndDolly()\nC++: virtual void EndDolly ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"StartUniformScale",                (PyCFunction)PyvtkInteractorStyle_StartUniformScale, 1,
   (char*)"V.StartUniformScale()\nC++: virtual void StartUniformScale ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"EndUniformScale",                (PyCFunction)PyvtkInteractorStyle_EndUniformScale, 1,
   (char*)"V.EndUniformScale()\nC++: virtual void EndUniformScale ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"StartTimer",                (PyCFunction)PyvtkInteractorStyle_StartTimer, 1,
   (char*)"V.StartTimer()\nC++: virtual void StartTimer ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"EndTimer",                (PyCFunction)PyvtkInteractorStyle_EndTimer, 1,
   (char*)"V.EndTimer()\nC++: virtual void EndTimer ();\n\n Interaction mode entry points used internally.  \n"},
  {(char*)"HighlightProp",                (PyCFunction)PyvtkInteractorStyle_HighlightProp, 1,
   (char*)"V.HighlightProp(vtkProp)\nC++: virtual void HighlightProp (vtkProp *prop);\n\n When picking successfully selects an actor, this method highlights the\n picked prop appropriately. Currently this is done by placing a bounding \n box around a picked vtkProp3D, and using the PickColor to highlight a\n vtkProp2D. \n"},
  {(char*)"HighlightActor2D",                (PyCFunction)PyvtkInteractorStyle_HighlightActor2D, 1,
   (char*)"V.HighlightActor2D(vtkActor2D)\nC++: virtual void HighlightActor2D (vtkActor2D *actor2D);\n\n When picking successfully selects an actor, this method highlights the\n picked prop appropriately. Currently this is done by placing a bounding \n box around a picked vtkProp3D, and using the PickColor to highlight a\n vtkProp2D. \n"},
  {(char*)"HighlightProp3D",                (PyCFunction)PyvtkInteractorStyle_HighlightProp3D, 1,
   (char*)"V.HighlightProp3D(vtkProp3D)\nC++: virtual void HighlightProp3D (vtkProp3D *prop3D);\n\n When picking successfully selects an actor, this method highlights the\n picked prop appropriately. Currently this is done by placing a bounding \n box around a picked vtkProp3D, and using the PickColor to highlight a\n vtkProp2D. \n"},
  {(char*)"SetPickColor",                (PyCFunction)PyvtkInteractorStyle_SetPickColor, 1,
   (char*)"V.SetPickColor(float, float, float)\nC++: void SetPickColor (double , double , double );\nV.SetPickColor((float, float, float))\nC++: void SetPickColor (double  a[3]);\n\n Set/Get the pick color (used by default to color vtkActor2D's).\n The color is expressed as red/green/blue values between (0.0,1.0).\n"},
  {(char*)"GetPickColor",                (PyCFunction)PyvtkInteractorStyle_GetPickColor, 1,
   (char*)"V.GetPickColor() -> (float, float, float)\nC++: double  *GetPickColor ();\n\n Set/Get the pick color (used by default to color vtkActor2D's).\n The color is expressed as red/green/blue values between (0.0,1.0).\n"},
  {(char*)"SetMouseWheelMotionFactor",                (PyCFunction)PyvtkInteractorStyle_SetMouseWheelMotionFactor, 1,
   (char*)"V.SetMouseWheelMotionFactor(float)\nC++: void SetMouseWheelMotionFactor (double );\n\n Set/Get the mouse wheel motion factor. Default to 1.0. Set it to a \n different value to emphasize or de-emphasize the action triggered by\n mouse wheel motion.\n"},
  {(char*)"GetMouseWheelMotionFactor",                (PyCFunction)PyvtkInteractorStyle_GetMouseWheelMotionFactor, 1,
   (char*)"V.GetMouseWheelMotionFactor() -> float\nC++: double GetMouseWheelMotionFactor ();\n\n Set/Get the mouse wheel motion factor. Default to 1.0. Set it to a \n different value to emphasize or de-emphasize the action triggered by\n mouse wheel motion.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInteractorStyleDoc[] = {
  (char*)"vtkInteractorStyle - provide event-driven interface to the rendering window (defines trackball mode)\n\n",
  "Super Class:\n\n vtkInteractorObserver\n\n",
  (char*)" vtkInteractorStyle is a base class implementing the majority of motion\n control routines and defines an event driven interface to support\n vtkRenderWindowInteractor. vtkRenderWindowInteractor implements \n platform dependent key/mouse routing and timer control, which forwards\n events in a neutral form to vtkInteractorStyle.\n\n vtkInteractorStyle implements the \"joystick\" style of interaction. That\n",
  (char*)" is, holding down the mouse keys generates a stream of events that cause\n continuous actions (e.g., rotate, translate, pan, zoom). (The class\n vtkInteractorStyleTrackball implements a grab and move style.) The event\n bindings for this class include the following:\n - Keypress j / Keypress t: toggle between joystick (position sensitive) and\n trackball (motion sensitive) styles. In joystick style, mo",
  (char*)"tion occurs\n continuously as long as a mouse button is pressed. In trackball style,\n motion occurs when the mouse button is pressed and the mouse pointer\n moves.\n - Keypress c / Keypress a: toggle between camera and actor modes. In\n camera mode, mouse events affect the camera position and focal point. In\n actor mode, mouse events affect the actor that is under the mouse pointer.\n - Button 1: rotat",
  (char*)"e the camera around its focal point (if camera mode) or\n rotate the actor around its origin (if actor mode). The rotation is in the\n direction defined from the center of the renderer's viewport towards\n the mouse position. In joystick mode, the magnitude of the rotation is\n determined by the distance the mouse is from the center of the render\n window.\n - Button 2: pan the camera (if camera mode) o",
  (char*)"r translate the actor (if\n actor mode). In joystick mode, the direction of pan or translation is\n from the center of the viewport towards the mouse position. In trackball\n mode, the direction of motion is the direction the mouse moves. (Note:\n with 2-button mice, pan is defined as <Shift>-Button 1.)\n - Button 3: zoom the camera (if camera mode) or scale the actor (if\n actor mode). Zoom in/increase",
  (char*)" scale if the mouse position is in the top\n half of the viewport; zoom out/decrease scale if the mouse position is in\n the bottom half. In joystick mode, the amount of zoom is controlled by the\n distance of the mouse pointer from the horizontal centerline of the\n window.\n - Keypress 3: toggle the render window into and out of stereo mode. By\n default, red-blue stereo pairs are created. Some system",
  (char*)"s support Crystal\n Eyes LCD stereo glasses; you have to invoke SetStereoTypeToCrystalEyes()\n on the rendering window.\n - Keypress e: exit the application.\n - Keypress f: fly to the picked point\n - Keypress p: perform a pick operation. The render window interactor has\n an internal instance of vtkCellPicker that it uses to pick. \n - Keypress r: reset the camera view along the current view\n direction",
  (char*)". Centers the actors and moves the camera so that all actors are\n visible.\n - Keypress s: modify the representation of all actors so that they are\n surfaces.  \n - Keypress u: invoke the user-defined function. Typically,\n this keypress will bring up an interactor that you can type commands in.\n - Keypress w: modify the representation of all actors so that they are\n wireframe.\n\n vtkInteractorStyle c",
  (char*)"an be subclassed to provide new interaction styles and\n a facility to override any of the default mouse/key operations which\n currently handle trackball or joystick styles is provided. Note that this\n class will fire a variety of events that can be watched using an observer,\n such as LeftButtonPressEvent, LeftButtonReleaseEvent,\n MiddleButtonPressEvent, MiddleButtonReleaseEvent, RightButtonPressEv",
  (char*)"ent,\n RightButtonReleaseEvent, EnterEvent, LeaveEvent, KeyPressEvent,\n KeyReleaseEvent, CharEvent, ExposeEvent, ConfigureEvent, TimerEvent,\n MouseMoveEvent,\n\n",
  "See Also:\n\n vtkInteractorStyleTrackball\n\n",
  NULL
};

static vtkObjectBase *vtkInteractorStyleStaticNew()
{
  return vtkInteractorStyle::New();
}

PyObject *PyVTKClass_vtkInteractorStyleNew(char *modulename)
{
  return PyVTKClass_New(&vtkInteractorStyleStaticNew,
                        PyvtkInteractorStyleMethods,
                        (char*)"vtkInteractorStyle",modulename,
                        (char**)vtkInteractorStyleDoc,
                        PyVTKClass_vtkInteractorObserverNew(modulename));
}

