// python wrapper for vtkInteractorStyleSwitch object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkInteractorStyleSwitch.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkInteractorStyleSwitchNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkInteractorStyleSwitchNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInteractorStyleNew(char *); }

static PyObject *PyvtkInteractorStyleSwitch_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleSwitch *op;

  const char    *temp20;
  if ((op = (vtkInteractorStyleSwitch *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleSwitch::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleSwitch_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleSwitch *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkInteractorStyleSwitch *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleSwitch::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleSwitch_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleSwitch *op;

  vtkInteractorStyleSwitch  *temp20;
  if ((op = (vtkInteractorStyleSwitch *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleSwitch::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleSwitch_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkInteractorStyleSwitch  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkInteractorStyleSwitch::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkInteractorStyleSwitch_SetInteractor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleSwitch *op;

  vtkRenderWindowInteractor  *temp0;
  PyObject *tempH0;
  if ((op = (vtkInteractorStyleSwitch *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderWindowInteractor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindowInteractor");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleSwitch::SetInteractor(temp0);
      }
    else
      {
      op->SetInteractor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkInteractorStyleSwitch_SetAutoAdjustCameraClippingRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleSwitch *op;

  int      temp0;
  if ((op = (vtkInteractorStyleSwitch *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleSwitch::SetAutoAdjustCameraClippingRange(temp0);
      }
    else
      {
      op->SetAutoAdjustCameraClippingRange(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleSwitch_GetCurrentStyle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleSwitch *op;

  vtkInteractorStyle  *temp20;
  if ((op = (vtkInteractorStyleSwitch *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkInteractorStyleSwitch::GetCurrentStyle();
      }
    else
      {
      temp20 = op->GetCurrentStyle();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleSwitch_SetCurrentStyleToJoystickActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleSwitch *op;

  if ((op = (vtkInteractorStyleSwitch *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleSwitch::SetCurrentStyleToJoystickActor();
      }
    else
      {
      op->SetCurrentStyleToJoystickActor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleSwitch_SetCurrentStyleToJoystickCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleSwitch *op;

  if ((op = (vtkInteractorStyleSwitch *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleSwitch::SetCurrentStyleToJoystickCamera();
      }
    else
      {
      op->SetCurrentStyleToJoystickCamera();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleSwitch_SetCurrentStyleToTrackballActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleSwitch *op;

  if ((op = (vtkInteractorStyleSwitch *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleSwitch::SetCurrentStyleToTrackballActor();
      }
    else
      {
      op->SetCurrentStyleToTrackballActor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleSwitch_SetCurrentStyleToTrackballCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleSwitch *op;

  if ((op = (vtkInteractorStyleSwitch *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleSwitch::SetCurrentStyleToTrackballCamera();
      }
    else
      {
      op->SetCurrentStyleToTrackballCamera();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleSwitch_OnChar(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleSwitch *op;

  if ((op = (vtkInteractorStyleSwitch *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleSwitch::OnChar();
      }
    else
      {
      op->OnChar();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkInteractorStyleSwitch_SetDefaultRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleSwitch *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  if ((op = (vtkInteractorStyleSwitch *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleSwitch::SetDefaultRenderer(temp0);
      }
    else
      {
      op->SetDefaultRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkInteractorStyleSwitch_SetCurrentRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkInteractorStyleSwitch *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  if ((op = (vtkInteractorStyleSwitch *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkInteractorStyleSwitch::SetCurrentRenderer(temp0);
      }
    else
      {
      op->SetCurrentRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}

static PyMethodDef PyvtkInteractorStyleSwitchMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkInteractorStyleSwitch_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkInteractorStyleSwitch_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkInteractorStyleSwitch_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkInteractorStyleSwitch\nC++: vtkInteractorStyleSwitch *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkInteractorStyleSwitch_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkInteractorStyleSwitch\nC++: vtkInteractorStyleSwitch *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInteractor",                (PyCFunction)PyvtkInteractorStyleSwitch_SetInteractor, 1,
   (char*)"V.SetInteractor(vtkRenderWindowInteractor)\nC++: void SetInteractor (vtkRenderWindowInteractor *iren);\n\n The sub styles need the interactor too.\n"},
  {(char*)"SetAutoAdjustCameraClippingRange",                (PyCFunction)PyvtkInteractorStyleSwitch_SetAutoAdjustCameraClippingRange, 1,
   (char*)"V.SetAutoAdjustCameraClippingRange(int)\nC++: void SetAutoAdjustCameraClippingRange (int value);\n\n We must override this method in order to pass the setting down to\n the underlying styles\n"},
  {(char*)"GetCurrentStyle",                (PyCFunction)PyvtkInteractorStyleSwitch_GetCurrentStyle, 1,
   (char*)"V.GetCurrentStyle() -> vtkInteractorStyle\nC++: vtkInteractorStyle *GetCurrentStyle ();\n\n Set/Get current style\n"},
  {(char*)"SetCurrentStyleToJoystickActor",                (PyCFunction)PyvtkInteractorStyleSwitch_SetCurrentStyleToJoystickActor, 1,
   (char*)"V.SetCurrentStyleToJoystickActor()\nC++: void SetCurrentStyleToJoystickActor ();\n\n Set/Get current style\n"},
  {(char*)"SetCurrentStyleToJoystickCamera",                (PyCFunction)PyvtkInteractorStyleSwitch_SetCurrentStyleToJoystickCamera, 1,
   (char*)"V.SetCurrentStyleToJoystickCamera()\nC++: void SetCurrentStyleToJoystickCamera ();\n\n Set/Get current style\n"},
  {(char*)"SetCurrentStyleToTrackballActor",                (PyCFunction)PyvtkInteractorStyleSwitch_SetCurrentStyleToTrackballActor, 1,
   (char*)"V.SetCurrentStyleToTrackballActor()\nC++: void SetCurrentStyleToTrackballActor ();\n\n Set/Get current style\n"},
  {(char*)"SetCurrentStyleToTrackballCamera",                (PyCFunction)PyvtkInteractorStyleSwitch_SetCurrentStyleToTrackballCamera, 1,
   (char*)"V.SetCurrentStyleToTrackballCamera()\nC++: void SetCurrentStyleToTrackballCamera ();\n\n Set/Get current style\n"},
  {(char*)"OnChar",                (PyCFunction)PyvtkInteractorStyleSwitch_OnChar, 1,
   (char*)"V.OnChar()\nC++: virtual void OnChar ();\n\n Only care about the char event, which is used to switch between\n different styles.\n"},
  {(char*)"SetDefaultRenderer",                (PyCFunction)PyvtkInteractorStyleSwitch_SetDefaultRenderer, 1,
   (char*)"V.SetDefaultRenderer(vtkRenderer)\nC++: virtual void SetDefaultRenderer (vtkRenderer *);\n\n Overridden from vtkInteractorObserver because the interactor styles\n used by this class must also be updated.\n"},
  {(char*)"SetCurrentRenderer",                (PyCFunction)PyvtkInteractorStyleSwitch_SetCurrentRenderer, 1,
   (char*)"V.SetCurrentRenderer(vtkRenderer)\nC++: virtual void SetCurrentRenderer (vtkRenderer *);\n\n Overridden from vtkInteractorObserver because the interactor styles\n used by this class must also be updated.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkInteractorStyleSwitchDoc[] = {
  (char*)"vtkInteractorStyleSwitch - class to swap between interactory styles\n\n",
  "Super Class:\n\n vtkInteractorStyle\n\n",
  (char*)" The class vtkInteractorStyleSwitch allows handles interactively switching\n between four interactor styles -- joystick actor, joystick camera,\n trackball actor, and trackball camera.  Type 'j' or 't' to select\n joystick or trackball, and type 'c' or 'a' to select camera or actor.\n The default interactor style is joystick camera.\n\n",
  "See Also:\n\n vtkInteractorStyleJoystickActor vtkInteractorStyleJoystickCamera\n vtkInteractorStyleTrackballActor vtkInteractorStyleTrackballCamera\n\n",
  NULL
};

static vtkObjectBase *vtkInteractorStyleSwitchStaticNew()
{
  return vtkInteractorStyleSwitch::New();
}

PyObject *PyVTKClass_vtkInteractorStyleSwitchNew(char *modulename)
{
  return PyVTKClass_New(&vtkInteractorStyleSwitchStaticNew,
                        PyvtkInteractorStyleSwitchMethods,
                        (char*)"vtkInteractorStyleSwitch",modulename,
                        (char**)vtkInteractorStyleSwitchDoc,
                        PyVTKClass_vtkInteractorStyleNew(modulename));
}

