// tcl wrapper for vtkInteractorStyle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkInteractorStyle.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkInteractorStyleNewCommand()
{
  vtkInteractorStyle *temp = vtkInteractorStyle::New();
  return ((ClientData)temp);
}

int vtkInteractorObserverCppCommand(vtkInteractorObserver *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkInteractorStyleCppCommand(vtkInteractorStyle *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkInteractorStyleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkInteractorStyleCppCommand((vtkInteractorStyle *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkInteractorStyleCppCommand(vtkInteractorStyle *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkInteractorStyle",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkInteractorObserverCppCommand((vtkInteractorObserver *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkInteractorObserver", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyle  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInteractorStyle");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkInteractorStyle  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInteractorStyle");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkInteractorStyle  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInteractorStyle");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInteractor",argv[1]))&&(argc == 3))
    {
    vtkRenderWindowInteractor  *temp0;
    error = 0;

    temp0 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderWindowInteractor",interp,error));
    if (!error)
    {
    op->SetInteractor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAutoAdjustCameraClippingRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoAdjustCameraClippingRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoAdjustCameraClippingRangeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustCameraClippingRangeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustCameraClippingRangeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustCameraClippingRangeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustCameraClippingRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustCameraClippingRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustCameraClippingRangeOn",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustCameraClippingRangeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustCameraClippingRangeOff",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustCameraClippingRangeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FindPokedRenderer",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->FindPokedRenderer(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetState",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetState();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUseTimers",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseTimers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseTimers",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseTimers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UseTimersOn",argv[1]))&&(argc == 2))
    {
    op->UseTimersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseTimersOff",argv[1]))&&(argc == 2))
    {
    op->UseTimersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHandleObservers",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHandleObservers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleObservers",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHandleObservers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HandleObserversOn",argv[1]))&&(argc == 2))
    {
    op->HandleObserversOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HandleObserversOff",argv[1]))&&(argc == 2))
    {
    op->HandleObserversOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMouseMove",argv[1]))&&(argc == 2))
    {
    op->OnMouseMove();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeftButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeftButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnLeftButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMiddleButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnMiddleButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMiddleButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnMiddleButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnRightButtonDown",argv[1]))&&(argc == 2))
    {
    op->OnRightButtonDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnRightButtonUp",argv[1]))&&(argc == 2))
    {
    op->OnRightButtonUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMouseWheelForward",argv[1]))&&(argc == 2))
    {
    op->OnMouseWheelForward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMouseWheelBackward",argv[1]))&&(argc == 2))
    {
    op->OnMouseWheelBackward();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnChar",argv[1]))&&(argc == 2))
    {
    op->OnChar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnKeyDown",argv[1]))&&(argc == 2))
    {
    op->OnKeyDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnKeyUp",argv[1]))&&(argc == 2))
    {
    op->OnKeyUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnKeyPress",argv[1]))&&(argc == 2))
    {
    op->OnKeyPress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnKeyRelease",argv[1]))&&(argc == 2))
    {
    op->OnKeyRelease();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnExpose",argv[1]))&&(argc == 2))
    {
    op->OnExpose();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnConfigure",argv[1]))&&(argc == 2))
    {
    op->OnConfigure();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnEnter",argv[1]))&&(argc == 2))
    {
    op->OnEnter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnLeave",argv[1]))&&(argc == 2))
    {
    op->OnLeave();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnTimer",argv[1]))&&(argc == 2))
    {
    op->OnTimer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Rotate",argv[1]))&&(argc == 2))
    {
    op->Rotate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Spin",argv[1]))&&(argc == 2))
    {
    op->Spin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Pan",argv[1]))&&(argc == 2))
    {
    op->Pan();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Dolly",argv[1]))&&(argc == 2))
    {
    op->Dolly();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Zoom",argv[1]))&&(argc == 2))
    {
    op->Zoom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UniformScale",argv[1]))&&(argc == 2))
    {
    op->UniformScale();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->StartState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StopState",argv[1]))&&(argc == 2))
    {
    op->StopState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartAnimate",argv[1]))&&(argc == 2))
    {
    op->StartAnimate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StopAnimate",argv[1]))&&(argc == 2))
    {
    op->StopAnimate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartRotate",argv[1]))&&(argc == 2))
    {
    op->StartRotate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndRotate",argv[1]))&&(argc == 2))
    {
    op->EndRotate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartZoom",argv[1]))&&(argc == 2))
    {
    op->StartZoom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndZoom",argv[1]))&&(argc == 2))
    {
    op->EndZoom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartPan",argv[1]))&&(argc == 2))
    {
    op->StartPan();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndPan",argv[1]))&&(argc == 2))
    {
    op->EndPan();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartSpin",argv[1]))&&(argc == 2))
    {
    op->StartSpin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndSpin",argv[1]))&&(argc == 2))
    {
    op->EndSpin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartDolly",argv[1]))&&(argc == 2))
    {
    op->StartDolly();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndDolly",argv[1]))&&(argc == 2))
    {
    op->EndDolly();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartUniformScale",argv[1]))&&(argc == 2))
    {
    op->StartUniformScale();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndUniformScale",argv[1]))&&(argc == 2))
    {
    op->EndUniformScale();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartTimer",argv[1]))&&(argc == 2))
    {
    op->StartTimer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndTimer",argv[1]))&&(argc == 2))
    {
    op->EndTimer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HighlightProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->HighlightProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HighlightActor2D",argv[1]))&&(argc == 3))
    {
    vtkActor2D  *temp0;
    error = 0;

    temp0 = (vtkActor2D *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkActor2D",interp,error));
    if (!error)
    {
    op->HighlightActor2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HighlightProp3D",argv[1]))&&(argc == 3))
    {
    vtkProp3D  *temp0;
    error = 0;

    temp0 = (vtkProp3D *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp3D",interp,error));
    if (!error)
    {
    op->HighlightProp3D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPickColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPickColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPickColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPickColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPickColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPickColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMouseWheelMotionFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMouseWheelMotionFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMouseWheelMotionFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMouseWheelMotionFactor();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkInteractorStyleCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkInteractorObserverCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkInteractorStyle:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoAdjustCameraClippingRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustCameraClippingRangeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustCameraClippingRangeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustCameraClippingRange\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustCameraClippingRangeOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustCameraClippingRangeOff\n",NULL);
    Tcl_AppendResult(interp,"  FindPokedRenderer\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetState\n",NULL);
    Tcl_AppendResult(interp,"  GetUseTimers\n",NULL);
    Tcl_AppendResult(interp,"  SetUseTimers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UseTimersOn\n",NULL);
    Tcl_AppendResult(interp,"  UseTimersOff\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleObservers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleObservers\n",NULL);
    Tcl_AppendResult(interp,"  HandleObserversOn\n",NULL);
    Tcl_AppendResult(interp,"  HandleObserversOff\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseMove\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnLeftButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnMiddleButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnMiddleButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnRightButtonDown\n",NULL);
    Tcl_AppendResult(interp,"  OnRightButtonUp\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseWheelForward\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseWheelBackward\n",NULL);
    Tcl_AppendResult(interp,"  OnChar\n",NULL);
    Tcl_AppendResult(interp,"  OnKeyDown\n",NULL);
    Tcl_AppendResult(interp,"  OnKeyUp\n",NULL);
    Tcl_AppendResult(interp,"  OnKeyPress\n",NULL);
    Tcl_AppendResult(interp,"  OnKeyRelease\n",NULL);
    Tcl_AppendResult(interp,"  OnExpose\n",NULL);
    Tcl_AppendResult(interp,"  OnConfigure\n",NULL);
    Tcl_AppendResult(interp,"  OnEnter\n",NULL);
    Tcl_AppendResult(interp,"  OnLeave\n",NULL);
    Tcl_AppendResult(interp,"  OnTimer\n",NULL);
    Tcl_AppendResult(interp,"  Rotate\n",NULL);
    Tcl_AppendResult(interp,"  Spin\n",NULL);
    Tcl_AppendResult(interp,"  Pan\n",NULL);
    Tcl_AppendResult(interp,"  Dolly\n",NULL);
    Tcl_AppendResult(interp,"  Zoom\n",NULL);
    Tcl_AppendResult(interp,"  UniformScale\n",NULL);
    Tcl_AppendResult(interp,"  StartState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  StopState\n",NULL);
    Tcl_AppendResult(interp,"  StartAnimate\n",NULL);
    Tcl_AppendResult(interp,"  StopAnimate\n",NULL);
    Tcl_AppendResult(interp,"  StartRotate\n",NULL);
    Tcl_AppendResult(interp,"  EndRotate\n",NULL);
    Tcl_AppendResult(interp,"  StartZoom\n",NULL);
    Tcl_AppendResult(interp,"  EndZoom\n",NULL);
    Tcl_AppendResult(interp,"  StartPan\n",NULL);
    Tcl_AppendResult(interp,"  EndPan\n",NULL);
    Tcl_AppendResult(interp,"  StartSpin\n",NULL);
    Tcl_AppendResult(interp,"  EndSpin\n",NULL);
    Tcl_AppendResult(interp,"  StartDolly\n",NULL);
    Tcl_AppendResult(interp,"  EndDolly\n",NULL);
    Tcl_AppendResult(interp,"  StartUniformScale\n",NULL);
    Tcl_AppendResult(interp,"  EndUniformScale\n",NULL);
    Tcl_AppendResult(interp,"  StartTimer\n",NULL);
    Tcl_AppendResult(interp,"  EndTimer\n",NULL);
    Tcl_AppendResult(interp,"  HighlightProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HighlightActor2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HighlightProp3D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPickColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPickColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPickColor\n",NULL);
    Tcl_AppendResult(interp,"  SetMouseWheelMotionFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMouseWheelMotionFactor\n",NULL);
    return TCL_OK;
    }

  if (vtkInteractorObserverCppCommand((vtkInteractorObserver *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
