// python wrapper for vtkLODActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkLODActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLODActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLODActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkActorNew(char *); }

static PyObject *PyvtkLODActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODActor *op;

  const char    *temp20;
  if ((op = (vtkLODActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLODActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODActor *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkLODActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODActor *op;

  vtkLODActor  *temp20;
  if ((op = (vtkLODActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLODActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLODActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLODActor_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODActor *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkMapper  *temp1;
  PyObject *tempH1;
  if ((op = (vtkLODActor *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkMapper *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMapper");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkLODActor::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkLODActor_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODActor *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkLODActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODActor::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkLODActor_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODActor *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  if ((op = (vtkLODActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkLODActor::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkLODActor_AddLODMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODActor *op;

  vtkMapper  *temp0;
  PyObject *tempH0;
  if ((op = (vtkLODActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMapper");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkLODActor::AddLODMapper(temp0);
      }
    else
      {
      op->AddLODMapper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkLODActor_GetNumberOfCloudPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODActor *op;

  int      temp20;
  if ((op = (vtkLODActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODActor::GetNumberOfCloudPoints();
      }
    else
      {
      temp20 = op->GetNumberOfCloudPoints();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODActor_SetNumberOfCloudPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODActor *op;

  int      temp0;
  if ((op = (vtkLODActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODActor::SetNumberOfCloudPoints(temp0);
      }
    else
      {
      op->SetNumberOfCloudPoints(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODActor_GetLODMappers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODActor *op;

  vtkMapperCollection  *temp20;
  if ((op = (vtkLODActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODActor::GetLODMappers();
      }
    else
      {
      temp20 = op->GetLODMappers();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODActor_Modified(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODActor *op;

  if ((op = (vtkLODActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODActor::Modified();
      }
    else
      {
      op->Modified();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODActor_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODActor *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkLODActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkLODActor::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}

static PyMethodDef PyvtkLODActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLODActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLODActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLODActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLODActor\nC++: vtkLODActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLODActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLODActor\nC++: vtkLODActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkLODActor_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkMapper)\nC++: virtual void Render (vtkRenderer *, vtkMapper *);\n\n This causes the actor to be rendered. It, in turn, will render the actor's\n property and then mapper.  \n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkLODActor_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: int RenderOpaqueGeometry (vtkViewport *viewport);\n\n This method is used internally by the rendering process. We overide \n the superclass method to properly set the estimated render time.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkLODActor_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"AddLODMapper",                (PyCFunction)PyvtkLODActor_AddLODMapper, 1,
   (char*)"V.AddLODMapper(vtkMapper)\nC++: void AddLODMapper (vtkMapper *mapper);\n\n Add another level of detail.  They do not have to be in any order\n of complexity.\n"},
  {(char*)"GetNumberOfCloudPoints",                (PyCFunction)PyvtkLODActor_GetNumberOfCloudPoints, 1,
   (char*)"V.GetNumberOfCloudPoints() -> int\nC++: int GetNumberOfCloudPoints ();\n\n Set/Get the number of random points for the point cloud.\n"},
  {(char*)"SetNumberOfCloudPoints",                (PyCFunction)PyvtkLODActor_SetNumberOfCloudPoints, 1,
   (char*)"V.SetNumberOfCloudPoints(int)\nC++: void SetNumberOfCloudPoints (int );\n\n Set/Get the number of random points for the point cloud.\n"},
  {(char*)"GetLODMappers",                (PyCFunction)PyvtkLODActor_GetLODMappers, 1,
   (char*)"V.GetLODMappers() -> vtkMapperCollection\nC++: vtkMapperCollection *GetLODMappers ();\n\n All the mappers for different LODs are stored here.\n The order is not important.\n"},
  {(char*)"Modified",                (PyCFunction)PyvtkLODActor_Modified, 1,
   (char*)"V.Modified()\nC++: void Modified ();\n\n When this objects gets modified, this method also modifies the object.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkLODActor_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of an LOD actor. Overloads the virtual vtkProp method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLODActorDoc[] = {
  (char*)"vtkLODActor - an actor that supports multiple levels of detail\n\n",
  "Super Class:\n\n vtkActor\n\n",
  (char*)" vtkLODActor is an actor that stores multiple levels of detail (LOD) and\n can automatically switch between them. It selects which level of detail to\n use based on how much time it has been allocated to render.  Currently a\n very simple method of TotalTime/NumberOfActors is used.  (In the future\n this should be modified to dynamically allocate the rendering time between\n different actors based on t",
  (char*)"heir needs.)\n\n There are three levels of detail by default. The top level is just the\n normal data.  The lowest level of detail is a simple bounding box outline\n of the actor. The middle level of detail is a point cloud of a fixed\n number of points that have been randomly sampled from the mapper's input\n data.  Point attributes are copied over to the point cloud.  These two\n lower levels of detail",
  (char*)" are accomplished by creating instances of a\n vtkOutlineFilter (low-res) and vtkMaskPoints (medium-res). Additional\n levels of detail can be add using the AddLODMapper() method.\n\n To control the frame rate, you typically set the vtkRenderWindowInteractor\n DesiredUpdateRate and StillUpdateRate. This then will cause vtkLODActor\n to adjust its LOD to fulfill the requested update rate.\n\n For greater c",
  (char*)"ontrol on levels of detail, see also vtkLODProp3D. That\n class allows arbitrary definition of each LOD.\n\n",
  "Caveats:\n\n If you provide your own mappers, you are responsible for setting its\n ivars correctly, such as ScalarRange, LookupTable, and so on.\n\n On some systems the point cloud rendering (the default, medium level of\n detail) can result in points so small that they can hardly be seen. In\n this case, use the GetProperty()->SetPointSize() method to increase the\n rendered size of the points.\n\n",
  "See Also:\n\n vtkActor vtkRenderer vtkLODProp3D\n\n",
  NULL
};

static vtkObjectBase *vtkLODActorStaticNew()
{
  return vtkLODActor::New();
}

PyObject *PyVTKClass_vtkLODActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkLODActorStaticNew,
                        PyvtkLODActorMethods,
                        (char*)"vtkLODActor",modulename,
                        (char**)vtkLODActorDoc,
                        PyVTKClass_vtkActorNew(modulename));
}

