// python wrapper for vtkLODProp3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkLODProp3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLODProp3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLODProp3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkProp3DNew(char *); }

static PyObject *PyvtkLODProp3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  const char    *temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  vtkLODProp3D  *temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLODProp3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLODProp3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  double  *temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  double temp0[6];
  PyErr_Clear();
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_AddLOD(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  vtkMapper  *temp0;
  PyObject *tempH0;
  vtkProperty  *temp1;
  PyObject *tempH1;
  vtkProperty  *temp2;
  PyObject *tempH2;
  vtkTexture  *temp3;
  PyObject *tempH3;
  double   temp4;
  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"OOOOd", &tempH0, &tempH1, &tempH2, &tempH3, &temp4)))
    {
    temp0 = (vtkMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMapper");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkProperty");
    if (!temp1 && tempH1 != Py_None) goto break6;
    temp2 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkProperty");
    if (!temp2 && tempH2 != Py_None) goto break6;
    temp3 = (vtkTexture *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkTexture");
    if (!temp3 && tempH3 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::AddLOD(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->AddLOD(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  vtkMapper  *temp0;
  PyObject *tempH0;
  vtkProperty  *temp1;
  PyObject *tempH1;
  vtkTexture  *temp2;
  PyObject *tempH2;
  double   temp3;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"OOOd", &tempH0, &tempH1, &tempH2, &temp3)))
    {
    temp0 = (vtkMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMapper");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkProperty");
    if (!temp1 && tempH1 != Py_None) goto break7;
    temp2 = (vtkTexture *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkTexture");
    if (!temp2 && tempH2 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::AddLOD(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->AddLOD(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  vtkMapper  *temp0;
  PyObject *tempH0;
  vtkProperty  *temp1;
  PyObject *tempH1;
  vtkProperty  *temp2;
  PyObject *tempH2;
  double   temp3;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"OOOd", &tempH0, &tempH1, &tempH2, &temp3)))
    {
    temp0 = (vtkMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMapper");
    if (!temp0 && tempH0 != Py_None) goto break8;
    temp1 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkProperty");
    if (!temp1 && tempH1 != Py_None) goto break8;
    temp2 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkProperty");
    if (!temp2 && tempH2 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::AddLOD(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->AddLOD(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  vtkMapper  *temp0;
  PyObject *tempH0;
  vtkProperty  *temp1;
  PyObject *tempH1;
  double   temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"OOd", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMapper");
    if (!temp0 && tempH0 != Py_None) goto break9;
    temp1 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkProperty");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::AddLOD(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->AddLOD(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  vtkMapper  *temp0;
  PyObject *tempH0;
  vtkTexture  *temp1;
  PyObject *tempH1;
  double   temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"OOd", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMapper");
    if (!temp0 && tempH0 != Py_None) goto break10;
    temp1 = (vtkTexture *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkTexture");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::AddLOD(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->AddLOD(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  vtkMapper  *temp0;
  PyObject *tempH0;
  double   temp1;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"Od", &tempH0, &temp1)))
    {
    temp0 = (vtkMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMapper");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::AddLOD(temp0,temp1);
      }
    else
      {
      temp20 = op->AddLOD(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  vtkAbstractVolumeMapper  *temp0;
  PyObject *tempH0;
  vtkVolumeProperty  *temp1;
  PyObject *tempH1;
  double   temp2;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"OOd", &tempH0, &tempH1, &temp2)))
    {
    temp0 = (vtkAbstractVolumeMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractVolumeMapper");
    if (!temp0 && tempH0 != Py_None) goto break12;
    temp1 = (vtkVolumeProperty *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolumeProperty");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::AddLOD(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->AddLOD(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  vtkAbstractVolumeMapper  *temp0;
  PyObject *tempH0;
  double   temp1;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"Od", &tempH0, &temp1)))
    {
    temp0 = (vtkAbstractVolumeMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractVolumeMapper");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::AddLOD(temp0,temp1);
      }
    else
      {
      temp20 = op->AddLOD(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetNumberOfLODs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetNumberOfLODs();
      }
    else
      {
      temp20 = op->GetNumberOfLODs();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetCurrentIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetCurrentIndex();
      }
    else
      {
      temp20 = op->GetCurrentIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_RemoveLOD(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::RemoveLOD(temp0);
      }
    else
      {
      op->RemoveLOD(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_SetLODProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  vtkProperty  *temp1;
  PyObject *tempH1;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkProperty");
    if (!temp1 && tempH1 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::SetLODProperty(temp0,temp1);
      }
    else
      {
      op->SetLODProperty(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  vtkVolumeProperty  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkVolumeProperty *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolumeProperty");
    if (!temp1 && tempH1 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::SetLODProperty(temp0,temp1);
      }
    else
      {
      op->SetLODProperty(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkLODProp3D_SetLODMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  vtkMapper  *temp1;
  PyObject *tempH1;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkMapper *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMapper");
    if (!temp1 && tempH1 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::SetLODMapper(temp0,temp1);
      }
    else
      {
      op->SetLODMapper(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  vtkAbstractVolumeMapper  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkAbstractVolumeMapper *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAbstractVolumeMapper");
    if (!temp1 && tempH1 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::SetLODMapper(temp0,temp1);
      }
    else
      {
      op->SetLODMapper(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetLODMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  vtkAbstractMapper3D  *temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetLODMapper(temp0);
      }
    else
      {
      temp20 = op->GetLODMapper(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_SetLODBackfaceProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  vtkProperty  *temp1;
  PyObject *tempH1;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkProperty");
    if (!temp1 && tempH1 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::SetLODBackfaceProperty(temp0,temp1);
      }
    else
      {
      op->SetLODBackfaceProperty(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkLODProp3D_SetLODTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  vtkTexture  *temp1;
  PyObject *tempH1;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1)))
    {
    temp1 = (vtkTexture *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkTexture");
    if (!temp1 && tempH1 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::SetLODTexture(temp0,temp1);
      }
    else
      {
      op->SetLODTexture(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkLODProp3D_EnableLOD(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::EnableLOD(temp0);
      }
    else
      {
      op->EnableLOD(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_DisableLOD(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::DisableLOD(temp0);
      }
    else
      {
      op->DisableLOD(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_IsLODEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::IsLODEnabled(temp0);
      }
    else
      {
      temp20 = op->IsLODEnabled(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_SetLODLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  double   temp1;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"id", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::SetLODLevel(temp0,temp1);
      }
    else
      {
      op->SetLODLevel(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetLODLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  double   temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetLODLevel(temp0);
      }
    else
      {
      temp20 = op->GetLODLevel(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetLODIndexLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  double   temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetLODIndexLevel(temp0);
      }
    else
      {
      temp20 = op->GetLODIndexLevel(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetLODEstimatedRenderTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  double   temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetLODEstimatedRenderTime(temp0);
      }
    else
      {
      temp20 = op->GetLODEstimatedRenderTime(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetLODIndexEstimatedRenderTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  double   temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetLODIndexEstimatedRenderTime(temp0);
      }
    else
      {
      temp20 = op->GetLODIndexEstimatedRenderTime(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_SetAutomaticLODSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::SetAutomaticLODSelection(temp0);
      }
    else
      {
      op->SetAutomaticLODSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetAutomaticLODSelectionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetAutomaticLODSelectionMinValue();
      }
    else
      {
      temp20 = op->GetAutomaticLODSelectionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetAutomaticLODSelectionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetAutomaticLODSelectionMaxValue();
      }
    else
      {
      temp20 = op->GetAutomaticLODSelectionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetAutomaticLODSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetAutomaticLODSelection();
      }
    else
      {
      temp20 = op->GetAutomaticLODSelection();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_AutomaticLODSelectionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::AutomaticLODSelectionOn();
      }
    else
      {
      op->AutomaticLODSelectionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_AutomaticLODSelectionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::AutomaticLODSelectionOff();
      }
    else
      {
      op->AutomaticLODSelectionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_SetSelectedLODID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::SetSelectedLODID(temp0);
      }
    else
      {
      op->SetSelectedLODID(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetSelectedLODID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetSelectedLODID();
      }
    else
      {
      temp20 = op->GetSelectedLODID();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetLastRenderedLODID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetLastRenderedLODID();
      }
    else
      {
      temp20 = op->GetLastRenderedLODID();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetPickLODID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetPickLODID();
      }
    else
      {
      temp20 = op->GetPickLODID();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break42;
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::GetActors(temp0);
      }
    else
      {
      op->GetActors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break42:
  return NULL;
}


static PyObject *PyvtkLODProp3D_SetSelectedPickLODID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::SetSelectedPickLODID(temp0);
      }
    else
      {
      op->SetSelectedPickLODID(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetSelectedPickLODID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetSelectedPickLODID();
      }
    else
      {
      temp20 = op->GetSelectedPickLODID();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_SetAutomaticPickLODSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp0;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::SetAutomaticPickLODSelection(temp0);
      }
    else
      {
      op->SetAutomaticPickLODSelection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetAutomaticPickLODSelectionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetAutomaticPickLODSelectionMinValue();
      }
    else
      {
      temp20 = op->GetAutomaticPickLODSelectionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetAutomaticPickLODSelectionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetAutomaticPickLODSelectionMaxValue();
      }
    else
      {
      temp20 = op->GetAutomaticPickLODSelectionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_GetAutomaticPickLODSelection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  int      temp20;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLODProp3D::GetAutomaticPickLODSelection();
      }
    else
      {
      temp20 = op->GetAutomaticPickLODSelection();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_AutomaticPickLODSelectionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::AutomaticPickLODSelectionOn();
      }
    else
      {
      op->AutomaticPickLODSelectionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_AutomaticPickLODSelectionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::AutomaticPickLODSelectionOff();
      }
    else
      {
      op->AutomaticPickLODSelectionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLODProp3D_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLODProp3D *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkLODProp3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break51;
    if (PyVTKClass_Check(self))
      {
      op->vtkLODProp3D::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break51:
  return NULL;
}

static PyMethodDef PyvtkLODProp3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLODProp3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLODProp3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLODProp3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLODProp3D\nC++: vtkLODProp3D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLODProp3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLODProp3D\nC++: vtkLODProp3D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkLODProp3D_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds ();\nV.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);this vtkProp3D GetBounds bounds \n\n Standard vtkProp method to get 3D bounds of a 3D prop\n"},
  {(char*)"AddLOD",                (PyCFunction)PyvtkLODProp3D_AddLOD, 1,
   (char*)"V.AddLOD(vtkMapper, vtkProperty, vtkProperty, vtkTexture, float) -> int\nC++: int AddLOD (vtkMapper *m, vtkProperty *p, vtkProperty *back, vtkTexture *t, double time);\nV.AddLOD(vtkMapper, vtkProperty, vtkTexture, float) -> int\nC++: int AddLOD (vtkMapper *m, vtkProperty *p, vtkTexture *t, double time);\nV.AddLOD(vtkMapper, vtkProperty, vtkProperty, float) -> int\nC++: int AddLOD (vtkMapper *m, vtkProperty *p, vtkProperty *back, double time);\nV.AddLOD(vtkMapper, vtkProperty, float) -> int\nC++: int AddLOD (vtkMapper *m, vtkProperty *p, double time);\nV.AddLOD(vtkMapper, vtkTexture, float) -> int\nC++: int AddLOD (vtkMapper *m, vtkTexture *t, double time);\nV.AddLOD(vtkMapper, float) -> int\nC++: int AddLOD (vtkMapper *m, double time);\nV.AddLOD(vtkAbstractVolumeMapper, vtkVolumeProperty, float) -> int\nC++: int AddLOD (vtkAbstractVolumeMapper *m, vtkVolumeProperty *p, double time);\nV.AddLOD(vtkAbstractVolumeMapper, float) -> int\nC++: int AddLOD (vtkAbstractVolumeMapper *m, double time);\n\n Add a level of detail with a given mapper, property, backface property,\n texture, and guess of rendering time.  The property and texture fields\n can be set to NULL (the other methods are included for script access\n where null variables are not allowed). The time field can be set to 0.0\n indicating that no initial guess for rendering time is being supplied.\n The returned integer value is an ID that can be used later to delete\n this LOD, or set it as the selected LOD.\n"},
  {(char*)"GetNumberOfLODs",                (PyCFunction)PyvtkLODProp3D_GetNumberOfLODs, 1,
   (char*)"V.GetNumberOfLODs() -> int\nC++: int GetNumberOfLODs ();\n\n Get the current number of LODs.\n"},
  {(char*)"GetCurrentIndex",                (PyCFunction)PyvtkLODProp3D_GetCurrentIndex, 1,
   (char*)"V.GetCurrentIndex() -> int\nC++: int GetCurrentIndex ();\n\n Get the current index, used to determine the ID of the next LOD that is\n added.  Useful for guessing what IDs have been used (with NumberOfLODs,\n without depending on the constructor initialization to 1000.\n"},
  {(char*)"RemoveLOD",                (PyCFunction)PyvtkLODProp3D_RemoveLOD, 1,
   (char*)"V.RemoveLOD(int)\nC++: void RemoveLOD (int id);\n\n Delete a level of detail given an ID. This is the ID returned by the\n AddLOD method\n"},
  {(char*)"SetLODProperty",                (PyCFunction)PyvtkLODProp3D_SetLODProperty, 1,
   (char*)"V.SetLODProperty(int, vtkProperty)\nC++: void SetLODProperty (int id, vtkProperty *p);\nV.SetLODProperty(int, vtkVolumeProperty)\nC++: void SetLODProperty (int id, vtkVolumeProperty *p);\n\n Methods to set / get the property of an LOD. Since the LOD could be\n a volume or an actor, you have to pass in the pointer to the property\n to get it. The returned property will be NULL if the id is not valid,\n or the property is of the wrong type for the corresponding Prop3D.\n"},
  {(char*)"SetLODMapper",                (PyCFunction)PyvtkLODProp3D_SetLODMapper, 1,
   (char*)"V.SetLODMapper(int, vtkMapper)\nC++: void SetLODMapper (int id, vtkMapper *m);\nV.SetLODMapper(int, vtkAbstractVolumeMapper)\nC++: void SetLODMapper (int id, vtkAbstractVolumeMapper *m);\n\n Methods to set / get the mapper of an LOD. Since the LOD could be\n a volume or an actor, you have to pass in the pointer to the mapper\n to get it. The returned mapper will be NULL if the id is not valid,\n or the mapper is of the wrong type for the corresponding Prop3D.\n"},
  {(char*)"GetLODMapper",                (PyCFunction)PyvtkLODProp3D_GetLODMapper, 1,
   (char*)"V.GetLODMapper(int) -> vtkAbstractMapper3D\nC++: vtkAbstractMapper3D *GetLODMapper (int id);\n\n Get the LODMapper as an vtkAbstractMapper3D.  It is the user's\n respondibility to safe down cast this to a vtkMapper or vtkVolumeMapper\n as appropriate.\n"},
  {(char*)"SetLODBackfaceProperty",                (PyCFunction)PyvtkLODProp3D_SetLODBackfaceProperty, 1,
   (char*)"V.SetLODBackfaceProperty(int, vtkProperty)\nC++: void SetLODBackfaceProperty (int id, vtkProperty *t);\n\n Methods to set / get the backface property of an LOD. This method is only\n valid for LOD ids that are Actors (not Volumes)\n"},
  {(char*)"SetLODTexture",                (PyCFunction)PyvtkLODProp3D_SetLODTexture, 1,
   (char*)"V.SetLODTexture(int, vtkTexture)\nC++: void SetLODTexture (int id, vtkTexture *t);\n\n Methods to set / get the texture of an LOD. This method is only\n valid for LOD ids that are Actors (not Volumes)\n"},
  {(char*)"EnableLOD",                (PyCFunction)PyvtkLODProp3D_EnableLOD, 1,
   (char*)"V.EnableLOD(int)\nC++: void EnableLOD (int id);\n\n Enable / disable a particular LOD. If it is disabled, it will not\n be used during automatic selection, but can be selected as the\n LOD if automatic LOD selection is off.\n"},
  {(char*)"DisableLOD",                (PyCFunction)PyvtkLODProp3D_DisableLOD, 1,
   (char*)"V.DisableLOD(int)\nC++: void DisableLOD (int id);\n\n Enable / disable a particular LOD. If it is disabled, it will not\n be used during automatic selection, but can be selected as the\n LOD if automatic LOD selection is off.\n"},
  {(char*)"IsLODEnabled",                (PyCFunction)PyvtkLODProp3D_IsLODEnabled, 1,
   (char*)"V.IsLODEnabled(int) -> int\nC++: int IsLODEnabled (int id);\n\n Enable / disable a particular LOD. If it is disabled, it will not\n be used during automatic selection, but can be selected as the\n LOD if automatic LOD selection is off.\n"},
  {(char*)"SetLODLevel",                (PyCFunction)PyvtkLODProp3D_SetLODLevel, 1,
   (char*)"V.SetLODLevel(int, float)\nC++: void SetLODLevel (int id, double level);\n\n Set the level of a particular LOD. When a LOD is selected for\n rendering because it has the largest render time that fits within\n the allocated time, all LOD are then checked to see if any one can\n render faster but has a lower (more resolution/better) level.\n This quantity is a double to ensure that a level can be inserted \n between 2 and 3.\n"},
  {(char*)"GetLODLevel",                (PyCFunction)PyvtkLODProp3D_GetLODLevel, 1,
   (char*)"V.GetLODLevel(int) -> float\nC++: double GetLODLevel (int id);\n\n Set the level of a particular LOD. When a LOD is selected for\n rendering because it has the largest render time that fits within\n the allocated time, all LOD are then checked to see if any one can\n render faster but has a lower (more resolution/better) level.\n This quantity is a double to ensure that a level can be inserted \n between 2 and 3.\n"},
  {(char*)"GetLODIndexLevel",                (PyCFunction)PyvtkLODProp3D_GetLODIndexLevel, 1,
   (char*)"V.GetLODIndexLevel(int) -> float\nC++: double GetLODIndexLevel (int index);\n\n Set the level of a particular LOD. When a LOD is selected for\n rendering because it has the largest render time that fits within\n the allocated time, all LOD are then checked to see if any one can\n render faster but has a lower (more resolution/better) level.\n This quantity is a double to ensure that a level can be inserted \n between 2 and 3.\n"},
  {(char*)"GetLODEstimatedRenderTime",                (PyCFunction)PyvtkLODProp3D_GetLODEstimatedRenderTime, 1,
   (char*)"V.GetLODEstimatedRenderTime(int) -> float\nC++: double GetLODEstimatedRenderTime (int id);\n\n Access method that can be used to find out the estimated render time\n (the thing used to select an LOD) for a given LOD ID or index. \n Value is returned in seconds.\n"},
  {(char*)"GetLODIndexEstimatedRenderTime",                (PyCFunction)PyvtkLODProp3D_GetLODIndexEstimatedRenderTime, 1,
   (char*)"V.GetLODIndexEstimatedRenderTime(int) -> float\nC++: double GetLODIndexEstimatedRenderTime (int index);\n\n Access method that can be used to find out the estimated render time\n (the thing used to select an LOD) for a given LOD ID or index. \n Value is returned in seconds.\n"},
  {(char*)"SetAutomaticLODSelection",                (PyCFunction)PyvtkLODProp3D_SetAutomaticLODSelection, 1,
   (char*)"V.SetAutomaticLODSelection(int)\nC++: void SetAutomaticLODSelection (int );\n\n Turn on / off automatic selection of LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n"},
  {(char*)"GetAutomaticLODSelectionMinValue",                (PyCFunction)PyvtkLODProp3D_GetAutomaticLODSelectionMinValue, 1,
   (char*)"V.GetAutomaticLODSelectionMinValue() -> int\nC++: int GetAutomaticLODSelectionMinValue ();\n\n Turn on / off automatic selection of LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n"},
  {(char*)"GetAutomaticLODSelectionMaxValue",                (PyCFunction)PyvtkLODProp3D_GetAutomaticLODSelectionMaxValue, 1,
   (char*)"V.GetAutomaticLODSelectionMaxValue() -> int\nC++: int GetAutomaticLODSelectionMaxValue ();\n\n Turn on / off automatic selection of LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n"},
  {(char*)"GetAutomaticLODSelection",                (PyCFunction)PyvtkLODProp3D_GetAutomaticLODSelection, 1,
   (char*)"V.GetAutomaticLODSelection() -> int\nC++: int GetAutomaticLODSelection ();\n\n Turn on / off automatic selection of LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n"},
  {(char*)"AutomaticLODSelectionOn",                (PyCFunction)PyvtkLODProp3D_AutomaticLODSelectionOn, 1,
   (char*)"V.AutomaticLODSelectionOn()\nC++: void AutomaticLODSelectionOn ();\n\n Turn on / off automatic selection of LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n"},
  {(char*)"AutomaticLODSelectionOff",                (PyCFunction)PyvtkLODProp3D_AutomaticLODSelectionOff, 1,
   (char*)"V.AutomaticLODSelectionOff()\nC++: void AutomaticLODSelectionOff ();\n\n Turn on / off automatic selection of LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n"},
  {(char*)"SetSelectedLODID",                (PyCFunction)PyvtkLODProp3D_SetSelectedLODID, 1,
   (char*)"V.SetSelectedLODID(int)\nC++: void SetSelectedLODID (int );\n\n Set the id of the LOD that is to be drawn when automatic LOD selection\n is turned off.\n"},
  {(char*)"GetSelectedLODID",                (PyCFunction)PyvtkLODProp3D_GetSelectedLODID, 1,
   (char*)"V.GetSelectedLODID() -> int\nC++: int GetSelectedLODID ();\n\n Set the id of the LOD that is to be drawn when automatic LOD selection\n is turned off.\n"},
  {(char*)"GetLastRenderedLODID",                (PyCFunction)PyvtkLODProp3D_GetLastRenderedLODID, 1,
   (char*)"V.GetLastRenderedLODID() -> int\nC++: int GetLastRenderedLODID ();\n\n Get the ID of the previously (during the last render) selected LOD index\n"},
  {(char*)"GetPickLODID",                (PyCFunction)PyvtkLODProp3D_GetPickLODID, 1,
   (char*)"V.GetPickLODID() -> int\nC++: int GetPickLODID (void );\n\n Get the ID of the appropriate pick LOD index\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkLODProp3D_GetActors, 1,
   (char*)"V.GetActors(vtkPropCollection)\nC++: virtual void GetActors (vtkPropCollection *);\n\n For some exporters and other other operations we must be\n able to collect all the actors or volumes. These methods\n are used in that process.\n"},
  {(char*)"SetSelectedPickLODID",                (PyCFunction)PyvtkLODProp3D_SetSelectedPickLODID, 1,
   (char*)"V.SetSelectedPickLODID(int)\nC++: void SetSelectedPickLODID (int id);\n\n Set the id of the LOD that is to be used for picking when  automatic \n LOD pick selection is turned off.\n"},
  {(char*)"GetSelectedPickLODID",                (PyCFunction)PyvtkLODProp3D_GetSelectedPickLODID, 1,
   (char*)"V.GetSelectedPickLODID() -> int\nC++: int GetSelectedPickLODID ();\n\n Set the id of the LOD that is to be used for picking when  automatic \n LOD pick selection is turned off.\n"},
  {(char*)"SetAutomaticPickLODSelection",                (PyCFunction)PyvtkLODProp3D_SetAutomaticPickLODSelection, 1,
   (char*)"V.SetAutomaticPickLODSelection(int)\nC++: void SetAutomaticPickLODSelection (int );\n\n Turn on / off automatic selection of picking LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n"},
  {(char*)"GetAutomaticPickLODSelectionMinValue",                (PyCFunction)PyvtkLODProp3D_GetAutomaticPickLODSelectionMinValue, 1,
   (char*)"V.GetAutomaticPickLODSelectionMinValue() -> int\nC++: int GetAutomaticPickLODSelectionMinValue ();\n\n Turn on / off automatic selection of picking LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n"},
  {(char*)"GetAutomaticPickLODSelectionMaxValue",                (PyCFunction)PyvtkLODProp3D_GetAutomaticPickLODSelectionMaxValue, 1,
   (char*)"V.GetAutomaticPickLODSelectionMaxValue() -> int\nC++: int GetAutomaticPickLODSelectionMaxValue ();\n\n Turn on / off automatic selection of picking LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n"},
  {(char*)"GetAutomaticPickLODSelection",                (PyCFunction)PyvtkLODProp3D_GetAutomaticPickLODSelection, 1,
   (char*)"V.GetAutomaticPickLODSelection() -> int\nC++: int GetAutomaticPickLODSelection ();\n\n Turn on / off automatic selection of picking LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n"},
  {(char*)"AutomaticPickLODSelectionOn",                (PyCFunction)PyvtkLODProp3D_AutomaticPickLODSelectionOn, 1,
   (char*)"V.AutomaticPickLODSelectionOn()\nC++: void AutomaticPickLODSelectionOn ();\n\n Turn on / off automatic selection of picking LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n"},
  {(char*)"AutomaticPickLODSelectionOff",                (PyCFunction)PyvtkLODProp3D_AutomaticPickLODSelectionOff, 1,
   (char*)"V.AutomaticPickLODSelectionOff()\nC++: void AutomaticPickLODSelectionOff ();\n\n Turn on / off automatic selection of picking LOD. \n This is on by default. If it is off, then the SelectedLODID is \n rendered regardless of rendering time or desired update rate. \n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkLODProp3D_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of this vtkLODProp3D.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLODProp3DDoc[] = {
  (char*)"vtkLODProp3D - level of detail 3D prop\n\n",
  "Super Class:\n\n vtkProp3D\n\n",
  (char*)" vtkLODProp3D is a class to support level of detail rendering for Prop3D.\n Any number of mapper/property/texture items can be added to this object.\n Render time will be measured, and will be used to select a LOD based on\n the AllocatedRenderTime of this Prop3D. Depending on the type of the\n mapper/property, a vtkActor or a vtkVolume will be created behind the\n scenes. \n\n",
  "See Also:\n\n vtkProp3D vtkActor vtkVolume vtkLODActor\n\n",
  NULL
};

static vtkObjectBase *vtkLODProp3DStaticNew()
{
  return vtkLODProp3D::New();
}

PyObject *PyVTKClass_vtkLODProp3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkLODProp3DStaticNew,
                        PyvtkLODProp3DMethods,
                        (char*)"vtkLODProp3D",modulename,
                        (char**)vtkLODProp3DDoc,
                        PyVTKClass_vtkProp3DNew(modulename));
}

