// tcl wrapper for vtkLODProp3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLODProp3D.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkLODProp3DNewCommand()
{
  vtkLODProp3D *temp = vtkLODProp3D::New();
  return ((ClientData)temp);
}

int vtkProp3DCppCommand(vtkProp3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLODProp3DCppCommand(vtkLODProp3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLODProp3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLODProp3DCppCommand((vtkLODProp3D *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLODProp3DCppCommand(vtkLODProp3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLODProp3D",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkProp3DCppCommand((vtkProp3D *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkProp3D", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkProp3D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProp3D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLODProp3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkLODProp3D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLODProp3D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkLODProp3D");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 7))
    {
    vtkMapper  *temp0;
    vtkProperty  *temp1;
    vtkProperty  *temp2;
    vtkTexture  *temp3;
    double   temp4;
    int      temp20;
    error = 0;

    temp0 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMapper",interp,error));
    temp1 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkProperty",interp,error));
    temp2 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkProperty",interp,error));
    temp3 = (vtkTexture *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkTexture",interp,error));
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 6))
    {
    vtkMapper  *temp0;
    vtkProperty  *temp1;
    vtkTexture  *temp2;
    double   temp3;
    int      temp20;
    error = 0;

    temp0 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMapper",interp,error));
    temp1 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkProperty",interp,error));
    temp2 = (vtkTexture *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkTexture",interp,error));
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 6))
    {
    vtkMapper  *temp0;
    vtkProperty  *temp1;
    vtkProperty  *temp2;
    double   temp3;
    int      temp20;
    error = 0;

    temp0 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMapper",interp,error));
    temp1 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkProperty",interp,error));
    temp2 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkProperty",interp,error));
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 5))
    {
    vtkMapper  *temp0;
    vtkProperty  *temp1;
    double   temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMapper",interp,error));
    temp1 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkProperty",interp,error));
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 5))
    {
    vtkMapper  *temp0;
    vtkTexture  *temp1;
    double   temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMapper",interp,error));
    temp1 = (vtkTexture *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkTexture",interp,error));
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 4))
    {
    vtkMapper  *temp0;
    double   temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkMapper",interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 5))
    {
    vtkAbstractVolumeMapper  *temp0;
    vtkVolumeProperty  *temp1;
    double   temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkAbstractVolumeMapper *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkAbstractVolumeMapper",interp,error));
    temp1 = (vtkVolumeProperty *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkVolumeProperty",interp,error));
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLOD",argv[1]))&&(argc == 4))
    {
    vtkAbstractVolumeMapper  *temp0;
    double   temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkAbstractVolumeMapper *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkAbstractVolumeMapper",interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->AddLOD(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfLODs",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLODs();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentIndex",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCurrentIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemoveLOD",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveLOD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLODProperty",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkProperty  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkProperty",interp,error));
    if (!error)
    {
    op->SetLODProperty(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLODProperty",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkVolumeProperty  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkVolumeProperty *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkVolumeProperty",interp,error));
    if (!error)
    {
    op->SetLODProperty(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLODMapper",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkMapper  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkMapper",interp,error));
    if (!error)
    {
    op->SetLODMapper(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLODMapper",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAbstractVolumeMapper  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAbstractVolumeMapper *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkAbstractVolumeMapper",interp,error));
    if (!error)
    {
    op->SetLODMapper(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLODMapper",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkAbstractMapper3D  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLODMapper(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAbstractMapper3D");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLODBackfaceProperty",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkProperty  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkProperty",interp,error));
    if (!error)
    {
    op->SetLODBackfaceProperty(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLODTexture",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkTexture  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkTexture *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkTexture",interp,error));
    if (!error)
    {
    op->SetLODTexture(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EnableLOD",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->EnableLOD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisableLOD",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DisableLOD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsLODEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsLODEnabled(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLODLevel",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetLODLevel(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLODLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLODLevel(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLODIndexLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLODIndexLevel(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLODEstimatedRenderTime",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLODEstimatedRenderTime(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLODIndexEstimatedRenderTime",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLODIndexEstimatedRenderTime(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAutomaticLODSelection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutomaticLODSelection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutomaticLODSelectionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticLODSelectionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutomaticLODSelectionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticLODSelectionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutomaticLODSelection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticLODSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticLODSelectionOn",argv[1]))&&(argc == 2))
    {
    op->AutomaticLODSelectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticLODSelectionOff",argv[1]))&&(argc == 2))
    {
    op->AutomaticLODSelectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedLODID",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectedLODID(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedLODID",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectedLODID();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastRenderedLODID",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLastRenderedLODID();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickLODID",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPickLODID();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetActors",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPropCollection",interp,error));
    if (!error)
    {
    op->GetActors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectedPickLODID",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectedPickLODID(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedPickLODID",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectedPickLODID();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutomaticPickLODSelection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutomaticPickLODSelection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutomaticPickLODSelectionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticPickLODSelectionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutomaticPickLODSelectionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticPickLODSelectionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutomaticPickLODSelection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticPickLODSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticPickLODSelectionOn",argv[1]))&&(argc == 2))
    {
    op->AutomaticPickLODSelectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticPickLODSelectionOff",argv[1]))&&(argc == 2))
    {
    op->AutomaticPickLODSelectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkLODProp3DCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkProp3DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLODProp3D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddLOD\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLODs\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentIndex\n",NULL);
    Tcl_AppendResult(interp,"  RemoveLOD\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLODProperty\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLODProperty\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLODMapper\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLODMapper\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLODMapper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLODBackfaceProperty\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLODTexture\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  EnableLOD\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisableLOD\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsLODEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLODLevel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLODLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLODIndexLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLODEstimatedRenderTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLODIndexEstimatedRenderTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAutomaticLODSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticLODSelectionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticLODSelectionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticLODSelection\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticLODSelectionOn\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticLODSelectionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedLODID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedLODID\n",NULL);
    Tcl_AppendResult(interp,"  GetLastRenderedLODID\n",NULL);
    Tcl_AppendResult(interp,"  GetPickLODID\n",NULL);
    Tcl_AppendResult(interp,"  GetActors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPickLODID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPickLODID\n",NULL);
    Tcl_AppendResult(interp,"  SetAutomaticPickLODSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticPickLODSelectionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticPickLODSelectionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticPickLODSelection\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticPickLODSelectionOn\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticPickLODSelectionOff\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkProp3DCppCommand((vtkProp3D *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
