// python wrapper for vtkLightCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkLightCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLightCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLightCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkLightCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightCollection *op;

  const char    *temp20;
  if ((op = (vtkLightCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLightCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightCollection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkLightCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightCollection *op;

  vtkLightCollection  *temp20;
  if ((op = (vtkLightCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLightCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLightCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLightCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightCollection *op;

  vtkLight  *temp0;
  PyObject *tempH0;
  if ((op = (vtkLightCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkLight *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLight");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkLightCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkLightCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightCollection *op;

  vtkLight  *temp20;
  if ((op = (vtkLightCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLightCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLightCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLightCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLightCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLightCollection\nC++: vtkLightCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLightCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLightCollection\nC++: vtkLightCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkLightCollection_AddItem, 1,
   (char*)"V.AddItem(vtkLight)\nC++: void AddItem (vtkLight *a);\n\n Add a light to the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkLightCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkLight\nC++: vtkLight *GetNextItem ();\n\n Get the next light in the list. NULL is returned when the collection is \n exhausted.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLightCollectionDoc[] = {
  (char*)"vtkLightCollection - a list of lights\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkLightCollection represents and provides methods to manipulate a list of\n lights (i.e., vtkLight and subclasses). The list is unsorted and duplicate\n entries are not prevented.\n\n",
  "See Also:\n\n vtkCollection vtkLight\n\n",
  NULL
};

static vtkObjectBase *vtkLightCollectionStaticNew()
{
  return vtkLightCollection::New();
}

PyObject *PyVTKClass_vtkLightCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkLightCollectionStaticNew,
                        PyvtkLightCollectionMethods,
                        (char*)"vtkLightCollection",modulename,
                        (char**)vtkLightCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

