// python wrapper for vtkLightKit object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkLightKit.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLightKitNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLightKitNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkLightKit_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  const char    *temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  vtkLightKit  *temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLightKit  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLightKit::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLightKit_SetKeyLightIntensity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetKeyLightIntensity(temp0);
      }
    else
      {
      op->SetKeyLightIntensity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyLightIntensity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyLightIntensity();
      }
    else
      {
      temp20 = op->GetKeyLightIntensity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetKeyToFillRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetKeyToFillRatio(temp0);
      }
    else
      {
      op->SetKeyToFillRatio(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyToFillRatioMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyToFillRatioMinValue();
      }
    else
      {
      temp20 = op->GetKeyToFillRatioMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyToFillRatioMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyToFillRatioMaxValue();
      }
    else
      {
      temp20 = op->GetKeyToFillRatioMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyToFillRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyToFillRatio();
      }
    else
      {
      temp20 = op->GetKeyToFillRatio();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetKeyToHeadRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetKeyToHeadRatio(temp0);
      }
    else
      {
      op->SetKeyToHeadRatio(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyToHeadRatioMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyToHeadRatioMinValue();
      }
    else
      {
      temp20 = op->GetKeyToHeadRatioMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyToHeadRatioMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyToHeadRatioMaxValue();
      }
    else
      {
      temp20 = op->GetKeyToHeadRatioMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyToHeadRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyToHeadRatio();
      }
    else
      {
      temp20 = op->GetKeyToHeadRatio();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetKeyToBackRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetKeyToBackRatio(temp0);
      }
    else
      {
      op->SetKeyToBackRatio(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyToBackRatioMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyToBackRatioMinValue();
      }
    else
      {
      temp20 = op->GetKeyToBackRatioMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyToBackRatioMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyToBackRatioMaxValue();
      }
    else
      {
      temp20 = op->GetKeyToBackRatioMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyToBackRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyToBackRatio();
      }
    else
      {
      temp20 = op->GetKeyToBackRatio();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetKeyLightWarmth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetKeyLightWarmth(temp0);
      }
    else
      {
      op->SetKeyLightWarmth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyLightWarmth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyLightWarmth();
      }
    else
      {
      temp20 = op->GetKeyLightWarmth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetFillLightWarmth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetFillLightWarmth(temp0);
      }
    else
      {
      op->SetFillLightWarmth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetFillLightWarmth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetFillLightWarmth();
      }
    else
      {
      temp20 = op->GetFillLightWarmth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetHeadLightWarmth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetHeadLightWarmth(temp0);
      }
    else
      {
      op->SetHeadLightWarmth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetHeadLightWarmth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetHeadLightWarmth();
      }
    else
      {
      temp20 = op->GetHeadLightWarmth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetBackLightWarmth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetBackLightWarmth(temp0);
      }
    else
      {
      op->SetBackLightWarmth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetBackLightWarmth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetBackLightWarmth();
      }
    else
      {
      temp20 = op->GetBackLightWarmth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyLightColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double  *temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyLightColor();
      }
    else
      {
      temp20 = op->GetKeyLightColor();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetFillLightColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double  *temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetFillLightColor();
      }
    else
      {
      temp20 = op->GetFillLightColor();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetHeadLightColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double  *temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetHeadLightColor();
      }
    else
      {
      temp20 = op->GetHeadLightColor();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetBackLightColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double  *temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetBackLightColor();
      }
    else
      {
      temp20 = op->GetBackLightColor();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkLightKit_SetHeadlightWarmth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetHeadlightWarmth(temp0);
      }
    else
      {
      op->SetHeadlightWarmth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}
#endif


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkLightKit_GetHeadlightWarmth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetHeadlightWarmth();
      }
    else
      {
      temp20 = op->GetHeadlightWarmth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}
#endif


static PyObject *PyvtkLightKit_MaintainLuminanceOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::MaintainLuminanceOn();
      }
    else
      {
      op->MaintainLuminanceOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_MaintainLuminanceOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::MaintainLuminanceOff();
      }
    else
      {
      op->MaintainLuminanceOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetMaintainLuminance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  int      temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetMaintainLuminance();
      }
    else
      {
      temp20 = op->GetMaintainLuminance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetMaintainLuminance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  int      temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetMaintainLuminance(temp0);
      }
    else
      {
      op->SetMaintainLuminance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetKeyLightAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetKeyLightAngle(temp0,temp1);
      }
    else
      {
      op->SetKeyLightAngle(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetKeyLightAngle(temp0);
      }
    else
      {
      op->SetKeyLightAngle(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetKeyLightElevation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetKeyLightElevation(temp0);
      }
    else
      {
      op->SetKeyLightElevation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetKeyLightAzimuth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetKeyLightAzimuth(temp0);
      }
    else
      {
      op->SetKeyLightAzimuth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyLightAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double  *temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyLightAngle();
      }
    else
      {
      temp20 = op->GetKeyLightAngle();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyLightElevation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyLightElevation();
      }
    else
      {
      temp20 = op->GetKeyLightElevation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetKeyLightAzimuth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetKeyLightAzimuth();
      }
    else
      {
      temp20 = op->GetKeyLightAzimuth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetFillLightAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetFillLightAngle(temp0,temp1);
      }
    else
      {
      op->SetFillLightAngle(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetFillLightAngle(temp0);
      }
    else
      {
      op->SetFillLightAngle(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetFillLightElevation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetFillLightElevation(temp0);
      }
    else
      {
      op->SetFillLightElevation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetFillLightAzimuth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetFillLightAzimuth(temp0);
      }
    else
      {
      op->SetFillLightAzimuth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetFillLightAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double  *temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetFillLightAngle();
      }
    else
      {
      temp20 = op->GetFillLightAngle();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetFillLightElevation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetFillLightElevation();
      }
    else
      {
      temp20 = op->GetFillLightElevation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetFillLightAzimuth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetFillLightAzimuth();
      }
    else
      {
      temp20 = op->GetFillLightAzimuth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetBackLightAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetBackLightAngle(temp0,temp1);
      }
    else
      {
      op->SetBackLightAngle(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetBackLightAngle(temp0);
      }
    else
      {
      op->SetBackLightAngle(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetBackLightElevation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetBackLightElevation(temp0);
      }
    else
      {
      op->SetBackLightElevation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_SetBackLightAzimuth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::SetBackLightAzimuth(temp0);
      }
    else
      {
      op->SetBackLightAzimuth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetBackLightAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double  *temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetBackLightAngle();
      }
    else
      {
      temp20 = op->GetBackLightAngle();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetBackLightElevation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetBackLightElevation();
      }
    else
      {
      temp20 = op->GetBackLightElevation();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetBackLightAzimuth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  double   temp20;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLightKit::GetBackLightAzimuth();
      }
    else
      {
      temp20 = op->GetBackLightAzimuth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_AddLightsToRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break57;
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::AddLightsToRenderer(temp0);
      }
    else
      {
      op->AddLightsToRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break57:
  return NULL;
}


static PyObject *PyvtkLightKit_RemoveLightsFromRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break58;
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::RemoveLightsFromRenderer(temp0);
      }
    else
      {
      op->RemoveLightsFromRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break58:
  return NULL;
}


static PyObject *PyvtkLightKit_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  vtkLightKit  *temp0;
  PyObject *tempH0;
  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkLightKit *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLightKit");
    if (!temp0 && tempH0 != Py_None) goto break59;
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break59:
  return NULL;
}


static PyObject *PyvtkLightKit_Modified(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::Modified();
      }
    else
      {
      op->Modified();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLightKit *op;

  if ((op = (vtkLightKit *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLightKit::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetStringFromType(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkLightKit::GetStringFromType(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetStringFromSubType(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkLightKit::GetStringFromSubType(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLightKit_GetShortStringFromSubType(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      temp20 = vtkLightKit::GetShortStringFromSubType(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLightKitMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLightKit_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLightKit_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLightKit_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLightKit\nC++: vtkLightKit *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLightKit_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLightKit\nC++: vtkLightKit *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetKeyLightIntensity",                (PyCFunction)PyvtkLightKit_SetKeyLightIntensity, 1,
   (char*)"V.SetKeyLightIntensity(float)\nC++: void SetKeyLightIntensity (double );\n\n Set/Get the intensity of the key light.  The key light is the\n brightest light in the scene.  The intensities of the other two\n lights are ratios of the key light's intensity.  \n"},
  {(char*)"GetKeyLightIntensity",                (PyCFunction)PyvtkLightKit_GetKeyLightIntensity, 1,
   (char*)"V.GetKeyLightIntensity() -> float\nC++: double GetKeyLightIntensity ();\n\n Set/Get the intensity of the key light.  The key light is the\n brightest light in the scene.  The intensities of the other two\n lights are ratios of the key light's intensity.  \n"},
  {(char*)"SetKeyToFillRatio",                (PyCFunction)PyvtkLightKit_SetKeyToFillRatio, 1,
   (char*)"V.SetKeyToFillRatio(float)\nC++: void SetKeyToFillRatio (double );\n\n Set/Get the key-to-fill ratio.  This ratio controls\n how bright the fill light is compared to the key light: larger\n values correspond to a dimmer fill light.  The purpose of the\n fill light is to light parts of the object not lit by the key\n light, while still maintaining constrast.  This type of lighting\n may correspond to indirect illumination from the key light, bounced\n off a wall, floor, or other object.  The fill light should never\n be brighter than the key light:  a good range for the key-to-fill\n ratio is between 2 and 10.\n"},
  {(char*)"GetKeyToFillRatioMinValue",                (PyCFunction)PyvtkLightKit_GetKeyToFillRatioMinValue, 1,
   (char*)"V.GetKeyToFillRatioMinValue() -> float\nC++: double GetKeyToFillRatioMinValue ();\n\n Set/Get the key-to-fill ratio.  This ratio controls\n how bright the fill light is compared to the key light: larger\n values correspond to a dimmer fill light.  The purpose of the\n fill light is to light parts of the object not lit by the key\n light, while still maintaining constrast.  This type of lighting\n may correspond to indirect illumination from the key light, bounced\n off a wall, floor, or other object.  The fill light should never\n be brighter than the key light:  a good range for the key-to-fill\n ratio is between 2 and 10.\n"},
  {(char*)"GetKeyToFillRatioMaxValue",                (PyCFunction)PyvtkLightKit_GetKeyToFillRatioMaxValue, 1,
   (char*)"V.GetKeyToFillRatioMaxValue() -> float\nC++: double GetKeyToFillRatioMaxValue ();\n\n Set/Get the key-to-fill ratio.  This ratio controls\n how bright the fill light is compared to the key light: larger\n values correspond to a dimmer fill light.  The purpose of the\n fill light is to light parts of the object not lit by the key\n light, while still maintaining constrast.  This type of lighting\n may correspond to indirect illumination from the key light, bounced\n off a wall, floor, or other object.  The fill light should never\n be brighter than the key light:  a good range for the key-to-fill\n ratio is between 2 and 10.\n"},
  {(char*)"GetKeyToFillRatio",                (PyCFunction)PyvtkLightKit_GetKeyToFillRatio, 1,
   (char*)"V.GetKeyToFillRatio() -> float\nC++: double GetKeyToFillRatio ();\n\n Set/Get the key-to-fill ratio.  This ratio controls\n how bright the fill light is compared to the key light: larger\n values correspond to a dimmer fill light.  The purpose of the\n fill light is to light parts of the object not lit by the key\n light, while still maintaining constrast.  This type of lighting\n may correspond to indirect illumination from the key light, bounced\n off a wall, floor, or other object.  The fill light should never\n be brighter than the key light:  a good range for the key-to-fill\n ratio is between 2 and 10.\n"},
  {(char*)"SetKeyToHeadRatio",                (PyCFunction)PyvtkLightKit_SetKeyToHeadRatio, 1,
   (char*)"V.SetKeyToHeadRatio(float)\nC++: void SetKeyToHeadRatio (double );\n\n Set/Get the key-to-headlight ratio.  Similar to the key-to-fill\n ratio, this ratio controls how bright the headlight light is\n compared to the key light: larger values correspond to a dimmer\n headlight light.  The headlight is special kind of fill light,\n lighting only the parts of the object that the camera can see.\n As such, a headlight tends to reduce the contrast of a scene.  It\n can be used to fill in \"shadows\" of the object missed by the key\n and fill lights.  The headlight should always be significantly\n dimmer than the key light:  ratios of 2 to 15 are typical.\n"},
  {(char*)"GetKeyToHeadRatioMinValue",                (PyCFunction)PyvtkLightKit_GetKeyToHeadRatioMinValue, 1,
   (char*)"V.GetKeyToHeadRatioMinValue() -> float\nC++: double GetKeyToHeadRatioMinValue ();\n\n Set/Get the key-to-headlight ratio.  Similar to the key-to-fill\n ratio, this ratio controls how bright the headlight light is\n compared to the key light: larger values correspond to a dimmer\n headlight light.  The headlight is special kind of fill light,\n lighting only the parts of the object that the camera can see.\n As such, a headlight tends to reduce the contrast of a scene.  It\n can be used to fill in \"shadows\" of the object missed by the key\n and fill lights.  The headlight should always be significantly\n dimmer than the key light:  ratios of 2 to 15 are typical.\n"},
  {(char*)"GetKeyToHeadRatioMaxValue",                (PyCFunction)PyvtkLightKit_GetKeyToHeadRatioMaxValue, 1,
   (char*)"V.GetKeyToHeadRatioMaxValue() -> float\nC++: double GetKeyToHeadRatioMaxValue ();\n\n Set/Get the key-to-headlight ratio.  Similar to the key-to-fill\n ratio, this ratio controls how bright the headlight light is\n compared to the key light: larger values correspond to a dimmer\n headlight light.  The headlight is special kind of fill light,\n lighting only the parts of the object that the camera can see.\n As such, a headlight tends to reduce the contrast of a scene.  It\n can be used to fill in \"shadows\" of the object missed by the key\n and fill lights.  The headlight should always be significantly\n dimmer than the key light:  ratios of 2 to 15 are typical.\n"},
  {(char*)"GetKeyToHeadRatio",                (PyCFunction)PyvtkLightKit_GetKeyToHeadRatio, 1,
   (char*)"V.GetKeyToHeadRatio() -> float\nC++: double GetKeyToHeadRatio ();\n\n Set/Get the key-to-headlight ratio.  Similar to the key-to-fill\n ratio, this ratio controls how bright the headlight light is\n compared to the key light: larger values correspond to a dimmer\n headlight light.  The headlight is special kind of fill light,\n lighting only the parts of the object that the camera can see.\n As such, a headlight tends to reduce the contrast of a scene.  It\n can be used to fill in \"shadows\" of the object missed by the key\n and fill lights.  The headlight should always be significantly\n dimmer than the key light:  ratios of 2 to 15 are typical.\n"},
  {(char*)"SetKeyToBackRatio",                (PyCFunction)PyvtkLightKit_SetKeyToBackRatio, 1,
   (char*)"V.SetKeyToBackRatio(float)\nC++: void SetKeyToBackRatio (double );\n\n Set/Get the key-to-back light ratio.  This ratio controls\n how bright the back lights are compared to the key light: larger\n values correspond to dimmer back lights.  The back lights fill\n in the remaining high-contrast regions behind the object.\n Values between 2 and 10 are good.\n"},
  {(char*)"GetKeyToBackRatioMinValue",                (PyCFunction)PyvtkLightKit_GetKeyToBackRatioMinValue, 1,
   (char*)"V.GetKeyToBackRatioMinValue() -> float\nC++: double GetKeyToBackRatioMinValue ();\n\n Set/Get the key-to-back light ratio.  This ratio controls\n how bright the back lights are compared to the key light: larger\n values correspond to dimmer back lights.  The back lights fill\n in the remaining high-contrast regions behind the object.\n Values between 2 and 10 are good.\n"},
  {(char*)"GetKeyToBackRatioMaxValue",                (PyCFunction)PyvtkLightKit_GetKeyToBackRatioMaxValue, 1,
   (char*)"V.GetKeyToBackRatioMaxValue() -> float\nC++: double GetKeyToBackRatioMaxValue ();\n\n Set/Get the key-to-back light ratio.  This ratio controls\n how bright the back lights are compared to the key light: larger\n values correspond to dimmer back lights.  The back lights fill\n in the remaining high-contrast regions behind the object.\n Values between 2 and 10 are good.\n"},
  {(char*)"GetKeyToBackRatio",                (PyCFunction)PyvtkLightKit_GetKeyToBackRatio, 1,
   (char*)"V.GetKeyToBackRatio() -> float\nC++: double GetKeyToBackRatio ();\n\n Set/Get the key-to-back light ratio.  This ratio controls\n how bright the back lights are compared to the key light: larger\n values correspond to dimmer back lights.  The back lights fill\n in the remaining high-contrast regions behind the object.\n Values between 2 and 10 are good.\n"},
  {(char*)"SetKeyLightWarmth",                (PyCFunction)PyvtkLightKit_SetKeyLightWarmth, 1,
   (char*)"V.SetKeyLightWarmth(float)\nC++: void SetKeyLightWarmth (double );\n\n Set the warmth of each the lights.  Warmth is a parameter that\n varies from 0 to 1, where 0 is \"cold\" (looks icy or lit by a very\n blue sky), 1 is \"warm\" (the red of a very red sunset, or the\n embers of a campfire), and 0.5 is a neutral white.  The warmth\n scale is non-linear. Warmth values close to 0.5 are subtly\n \"warmer\" or \"cooler,\" much like a warmer tungsten incandescent\n bulb, a cooler halogen, or daylight (cooler still).  Moving\n further away from 0.5, colors become more quickly varying towards\n blues and reds.  With regards to aesthetics, extremes of warmth\n should be used sparingly.\n"},
  {(char*)"GetKeyLightWarmth",                (PyCFunction)PyvtkLightKit_GetKeyLightWarmth, 1,
   (char*)"V.GetKeyLightWarmth() -> float\nC++: double GetKeyLightWarmth ();\n\n Set the warmth of each the lights.  Warmth is a parameter that\n varies from 0 to 1, where 0 is \"cold\" (looks icy or lit by a very\n blue sky), 1 is \"warm\" (the red of a very red sunset, or the\n embers of a campfire), and 0.5 is a neutral white.  The warmth\n scale is non-linear. Warmth values close to 0.5 are subtly\n \"warmer\" or \"cooler,\" much like a warmer tungsten incandescent\n bulb, a cooler halogen, or daylight (cooler still).  Moving\n further away from 0.5, colors become more quickly varying towards\n blues and reds.  With regards to aesthetics, extremes of warmth\n should be used sparingly.\n"},
  {(char*)"SetFillLightWarmth",                (PyCFunction)PyvtkLightKit_SetFillLightWarmth, 1,
   (char*)"V.SetFillLightWarmth(float)\nC++: void SetFillLightWarmth (double );\n\n"},
  {(char*)"GetFillLightWarmth",                (PyCFunction)PyvtkLightKit_GetFillLightWarmth, 1,
   (char*)"V.GetFillLightWarmth() -> float\nC++: double GetFillLightWarmth ();\n\n"},
  {(char*)"SetHeadLightWarmth",                (PyCFunction)PyvtkLightKit_SetHeadLightWarmth, 1,
   (char*)"V.SetHeadLightWarmth(float)\nC++: void SetHeadLightWarmth (double );\n\n"},
  {(char*)"GetHeadLightWarmth",                (PyCFunction)PyvtkLightKit_GetHeadLightWarmth, 1,
   (char*)"V.GetHeadLightWarmth() -> float\nC++: double GetHeadLightWarmth ();\n\n"},
  {(char*)"SetBackLightWarmth",                (PyCFunction)PyvtkLightKit_SetBackLightWarmth, 1,
   (char*)"V.SetBackLightWarmth(float)\nC++: void SetBackLightWarmth (double );\n\n"},
  {(char*)"GetBackLightWarmth",                (PyCFunction)PyvtkLightKit_GetBackLightWarmth, 1,
   (char*)"V.GetBackLightWarmth() -> float\nC++: double GetBackLightWarmth ();\n\n"},
  {(char*)"GetKeyLightColor",                (PyCFunction)PyvtkLightKit_GetKeyLightColor, 1,
   (char*)"V.GetKeyLightColor() -> (float, float, float)\nC++: double  *GetKeyLightColor ();\n\n Returns the floating-point RGB values of each of the light's color.\n"},
  {(char*)"GetFillLightColor",                (PyCFunction)PyvtkLightKit_GetFillLightColor, 1,
   (char*)"V.GetFillLightColor() -> (float, float, float)\nC++: double  *GetFillLightColor ();\n\n Returns the floating-point RGB values of each of the light's color.\n"},
  {(char*)"GetHeadLightColor",                (PyCFunction)PyvtkLightKit_GetHeadLightColor, 1,
   (char*)"V.GetHeadLightColor() -> (float, float, float)\nC++: double  *GetHeadLightColor ();\n\n Returns the floating-point RGB values of each of the light's color.\n"},
  {(char*)"GetBackLightColor",                (PyCFunction)PyvtkLightKit_GetBackLightColor, 1,
   (char*)"V.GetBackLightColor() -> (float, float, float)\nC++: double  *GetBackLightColor ();\n\n Returns the floating-point RGB values of each of the light's color.\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetHeadlightWarmth",                (PyCFunction)PyvtkLightKit_SetHeadlightWarmth, 1,
   (char*)"V.SetHeadlightWarmth(float)\nC++: void SetHeadlightWarmth (double v);\n\n To maintain a deprecation API:\n"},
#endif
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"GetHeadlightWarmth",                (PyCFunction)PyvtkLightKit_GetHeadlightWarmth, 1,
   (char*)"V.GetHeadlightWarmth() -> float\nC++: double GetHeadlightWarmth ();\n\n To maintain a deprecation API:\n"},
#endif
  {(char*)"MaintainLuminanceOn",                (PyCFunction)PyvtkLightKit_MaintainLuminanceOn, 1,
   (char*)"V.MaintainLuminanceOn()\nC++: void MaintainLuminanceOn ();\n\n If MaintainLuminance is set, the LightKit will attempt to maintain\n the apparent intensity of lights based on their perceptual brightnesses.\n By default, MaintainLuminance is off.\n"},
  {(char*)"MaintainLuminanceOff",                (PyCFunction)PyvtkLightKit_MaintainLuminanceOff, 1,
   (char*)"V.MaintainLuminanceOff()\nC++: void MaintainLuminanceOff ();\n\n If MaintainLuminance is set, the LightKit will attempt to maintain\n the apparent intensity of lights based on their perceptual brightnesses.\n By default, MaintainLuminance is off.\n"},
  {(char*)"GetMaintainLuminance",                (PyCFunction)PyvtkLightKit_GetMaintainLuminance, 1,
   (char*)"V.GetMaintainLuminance() -> int\nC++: int GetMaintainLuminance ();\n\n If MaintainLuminance is set, the LightKit will attempt to maintain\n the apparent intensity of lights based on their perceptual brightnesses.\n By default, MaintainLuminance is off.\n"},
  {(char*)"SetMaintainLuminance",                (PyCFunction)PyvtkLightKit_SetMaintainLuminance, 1,
   (char*)"V.SetMaintainLuminance(int)\nC++: void SetMaintainLuminance (int );\n\n If MaintainLuminance is set, the LightKit will attempt to maintain\n the apparent intensity of lights based on their perceptual brightnesses.\n By default, MaintainLuminance is off.\n"},
  {(char*)"SetKeyLightAngle",                (PyCFunction)PyvtkLightKit_SetKeyLightAngle, 1,
   (char*)"V.SetKeyLightAngle(float, float)\nC++: void SetKeyLightAngle (double elevation, double azimuth);\nV.SetKeyLightAngle((float, float))\nC++: void SetKeyLightAngle (double angle[2]);this SetKeyLightAngle angle angle \n\n Get/Set the position of the key, fill, and back lights\n using angular methods.  Elevation corresponds to latitude,\n azimuth to longitude.  It is recommended that the key light\n always be on the viewer's side of the object and above the\n object, while the fill light generally lights the part of the object\n not lit by the fill light.  The headlight, which is always located\n at the viewer, can then be used to reduce the contrast in the image.\n There are a pair of back lights.  They are located at the same\n elevation and at opposing azimuths (ie, one to the left, and one to\n the right).  They are generally set at the equator (elevation = 0),\n and at approximately 120 degrees (lighting from each side and behind).\n"},
  {(char*)"SetKeyLightElevation",                (PyCFunction)PyvtkLightKit_SetKeyLightElevation, 1,
   (char*)"V.SetKeyLightElevation(float)\nC++: void SetKeyLightElevation (double x);this SetKeyLightAngle x this KeyLightAngle \n\n"},
  {(char*)"SetKeyLightAzimuth",                (PyCFunction)PyvtkLightKit_SetKeyLightAzimuth, 1,
   (char*)"V.SetKeyLightAzimuth(float)\nC++: void SetKeyLightAzimuth (double x);this SetKeyLightAngle this KeyLightAngle x \n\n"},
  {(char*)"GetKeyLightAngle",                (PyCFunction)PyvtkLightKit_GetKeyLightAngle, 1,
   (char*)"V.GetKeyLightAngle() -> (float, float)\nC++: double  *GetKeyLightAngle ();\n\n"},
  {(char*)"GetKeyLightElevation",                (PyCFunction)PyvtkLightKit_GetKeyLightElevation, 1,
   (char*)"V.GetKeyLightElevation() -> float\nC++: double GetKeyLightElevation ();double ang this GetKeyLightAngle ang return ang \n\n"},
  {(char*)"GetKeyLightAzimuth",                (PyCFunction)PyvtkLightKit_GetKeyLightAzimuth, 1,
   (char*)"V.GetKeyLightAzimuth() -> float\nC++: double GetKeyLightAzimuth ();double ang this GetKeyLightAngle ang return ang \n\n"},
  {(char*)"SetFillLightAngle",                (PyCFunction)PyvtkLightKit_SetFillLightAngle, 1,
   (char*)"V.SetFillLightAngle(float, float)\nC++: void SetFillLightAngle (double elevation, double azimuth);\nV.SetFillLightAngle((float, float))\nC++: void SetFillLightAngle (double angle[2]);this SetFillLightAngle angle angle \n\n"},
  {(char*)"SetFillLightElevation",                (PyCFunction)PyvtkLightKit_SetFillLightElevation, 1,
   (char*)"V.SetFillLightElevation(float)\nC++: void SetFillLightElevation (double x);this SetFillLightAngle x this FillLightAngle \n\n"},
  {(char*)"SetFillLightAzimuth",                (PyCFunction)PyvtkLightKit_SetFillLightAzimuth, 1,
   (char*)"V.SetFillLightAzimuth(float)\nC++: void SetFillLightAzimuth (double x);this SetFillLightAngle this FillLightAngle x \n\n"},
  {(char*)"GetFillLightAngle",                (PyCFunction)PyvtkLightKit_GetFillLightAngle, 1,
   (char*)"V.GetFillLightAngle() -> (float, float)\nC++: double  *GetFillLightAngle ();\n\n"},
  {(char*)"GetFillLightElevation",                (PyCFunction)PyvtkLightKit_GetFillLightElevation, 1,
   (char*)"V.GetFillLightElevation() -> float\nC++: double GetFillLightElevation ();double ang this GetFillLightAngle ang return ang \n\n"},
  {(char*)"GetFillLightAzimuth",                (PyCFunction)PyvtkLightKit_GetFillLightAzimuth, 1,
   (char*)"V.GetFillLightAzimuth() -> float\nC++: double GetFillLightAzimuth ();double ang this GetFillLightAngle ang return ang \n\n"},
  {(char*)"SetBackLightAngle",                (PyCFunction)PyvtkLightKit_SetBackLightAngle, 1,
   (char*)"V.SetBackLightAngle(float, float)\nC++: void SetBackLightAngle (double elevation, double azimuth);\nV.SetBackLightAngle((float, float))\nC++: void SetBackLightAngle (double angle[2]);this SetBackLightAngle angle angle \n\n"},
  {(char*)"SetBackLightElevation",                (PyCFunction)PyvtkLightKit_SetBackLightElevation, 1,
   (char*)"V.SetBackLightElevation(float)\nC++: void SetBackLightElevation (double x);this SetBackLightAngle x this BackLightAngle \n\n"},
  {(char*)"SetBackLightAzimuth",                (PyCFunction)PyvtkLightKit_SetBackLightAzimuth, 1,
   (char*)"V.SetBackLightAzimuth(float)\nC++: void SetBackLightAzimuth (double x);this SetBackLightAngle this BackLightAngle x \n\n"},
  {(char*)"GetBackLightAngle",                (PyCFunction)PyvtkLightKit_GetBackLightAngle, 1,
   (char*)"V.GetBackLightAngle() -> (float, float)\nC++: double  *GetBackLightAngle ();\n\n"},
  {(char*)"GetBackLightElevation",                (PyCFunction)PyvtkLightKit_GetBackLightElevation, 1,
   (char*)"V.GetBackLightElevation() -> float\nC++: double GetBackLightElevation ();double ang this GetBackLightAngle ang return ang \n\n"},
  {(char*)"GetBackLightAzimuth",                (PyCFunction)PyvtkLightKit_GetBackLightAzimuth, 1,
   (char*)"V.GetBackLightAzimuth() -> float\nC++: double GetBackLightAzimuth ();double ang this GetBackLightAngle ang return ang \n\n"},
  {(char*)"AddLightsToRenderer",                (PyCFunction)PyvtkLightKit_AddLightsToRenderer, 1,
   (char*)"V.AddLightsToRenderer(vtkRenderer)\nC++: void AddLightsToRenderer (vtkRenderer *renderer);\n\n Add lights to, or remove lights from, a renderer.  \n Lights may be added to more than one renderer, if desired.\n"},
  {(char*)"RemoveLightsFromRenderer",                (PyCFunction)PyvtkLightKit_RemoveLightsFromRenderer, 1,
   (char*)"V.RemoveLightsFromRenderer(vtkRenderer)\nC++: void RemoveLightsFromRenderer (vtkRenderer *renderer);\n\n Add lights to, or remove lights from, a renderer.  \n Lights may be added to more than one renderer, if desired.\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkLightKit_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkLightKit)\nC++: void DeepCopy (vtkLightKit *kit);\n\n"},
  {(char*)"Modified",                (PyCFunction)PyvtkLightKit_Modified, 1,
   (char*)"V.Modified()\nC++: void Modified ();\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkLightKit_Update, 1,
   (char*)"V.Update()\nC++: void Update ();\n\n"},
  {(char*)"GetStringFromType",                (PyCFunction)PyvtkLightKit_GetStringFromType, 1,
   (char*)"V.GetStringFromType(int) -> string\nC++: static const char *GetStringFromType (int type);\n\n Helper method to go from a enum type to a string type\n"},
  {(char*)"GetStringFromSubType",                (PyCFunction)PyvtkLightKit_GetStringFromSubType, 1,
   (char*)"V.GetStringFromSubType(int) -> string\nC++: static const char *GetStringFromSubType (int type);\n\n Helper method to go from a enum subtype to a string subtype\n"},
  {(char*)"GetShortStringFromSubType",                (PyCFunction)PyvtkLightKit_GetShortStringFromSubType, 1,
   (char*)"V.GetShortStringFromSubType(int) -> string\nC++: static const char *GetShortStringFromSubType (int subtype);\n\n Helper method to go from a enum subtype to a string subtype\n The difference from GetStringFromSubType is that it returns\n a shorter strings (usefull for GUI with minimun space)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLightKitDoc[] = {
  (char*)"vtkLightKit - a simple but quality lighting kit\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkLightKit is designed to make general purpose lighting of vtk\n scenes simple, flexible, and attractive (or at least not horribly\n ugly without significant effort).  Use a LightKit when you want\n more control over your lighting than you can get with the default\n vtk light, which is a headlight located at the camera. (HeadLights\n are very simple to use, but they don't show the shape of objects ve",
  (char*)"ry \n well, don't give a good sense of \"up\" and \"down\", and don't evenly\n light the object.)\n\n A LightKit consists of three lights, a key light, a fill light, and\n a headlight.  The main light is the key light.  It is usually\n positioned so that it appears like an overhead light (like the sun,\n or a ceiling light).  It is generally positioned to shine down on the\n scene from about a 45 degree angle",
  (char*)" vertically and at least a little\n offset side to side.  The key light usually at least about twice as \n bright as the total of all other lights in the scene to provide good\n modeling of object features.\n \n The other lights in the kit (the fill light, headlight, and a pair of\n back lights) are weaker sources that provide extra\n illumination to fill in the spots that the key light misses.  The\n fil",
  (char*)"l light is usually positioned across from or opposite from the\n key light (though still on the same side of the object as the\n camera) in order to simulate diffuse reflections from other objects\n in the scene.  The headlight, always located at the position of the\n camera, reduces the contrast between areas lit by the key and fill\n light. The two back lights, one on the left of the object as seen\n ",
  (char*)"from the observer and one on the right, fill on the high-contrast\n areas behind the object.  To enforce the relationship between the\n different lights, the intensity of the fill, back and headlights\n are set as a ratio to the key light brightness.  Thus, the\n brightness of all the lights in the scene can be changed by\n changing the key light intensity.\n\n All lights are directional lights (infinite",
  (char*)"ly far away with no\n falloff).  Lights move with the camera.\n\n For simplicity, the position of lights in the LightKit can only be\n specified using angles: the elevation (latitude) and azimuth\n (longitude) of each light with respect to the camera, expressed in\n degrees.  (Lights always shine on the camera's lookat point.) For\n example, a light at (elevation=0, azimuth=0) is located at the\n camera (",
  (char*)"a headlight).  A light at (elevation=90, azimuth=0) is\n above the lookat point, shining down.  Negative azimuth values move\n the lights clockwise as seen above, positive values\n counter-clockwise.  So, a light at (elevation=45, azimuth=-20) is\n above and in front of the object and shining slightly from the left\n side.\n\n vtkLightKit limits the colors that can be assigned to any light to\n those of i",
  (char*)"ncandescent sources such as light bulbs and sunlight.  It\n defines a special color spectrum called \"warmth\" from which light\n colors can be chosen, where 0 is cold blue, 0.5 is neutral white,\n and 1 is deep sunset red.  Colors close to 0.5 are \"cool whites\" and\n \"warm whites,\" respectively. \n\n Since colors far from white on the warmth scale appear less bright,\n key-to-fill and key-to-headlight rat",
  (char*)"ios are skewed by \n key, fill, and headlight colors.  If the flag MaintainLuminance\n is set, vtkLightKit will attempt to compensate for these perceptual\n differences by increasing the brightness of more saturated colors.\n\n A LightKit is not explicitly part of the vtk pipeline.  Rather, it\n is a composite object that controls the behavior of lights using a\n unified user interface.  Every time a par",
  (char*)"ameter of vtkLightKit is\n adjusted, the properties of its lights are modified.\n\n .SECTION Credits\n vtkLightKit was originally written and contributed to vtk by\n Michael Halle (mhalle@bwh.harvard.edu) at the Surgical Planning\n Lab, Brigham and Women's Hospital.\n\n",
  NULL
};

static vtkObjectBase *vtkLightKitStaticNew()
{
  return vtkLightKit::New();
}

PyObject *PyVTKClass_vtkLightKitNew(char *modulename)
{
  return PyVTKClass_New(&vtkLightKitStaticNew,
                        PyvtkLightKitMethods,
                        (char*)"vtkLightKit",modulename,
                        (char**)vtkLightKitDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

