// python wrapper for vtkMapperCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMapperCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMapperCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMapperCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkMapperCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapperCollection *op;

  const char    *temp20;
  if ((op = (vtkMapperCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapperCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMapperCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapperCollection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMapperCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapperCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapperCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapperCollection *op;

  vtkMapperCollection  *temp20;
  if ((op = (vtkMapperCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapperCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapperCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMapperCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMapperCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMapperCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapperCollection *op;

  vtkMapper  *temp0;
  PyObject *tempH0;
  if ((op = (vtkMapperCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMapper");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkMapperCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkMapperCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapperCollection *op;

  vtkMapper  *temp20;
  if ((op = (vtkMapperCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapperCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapperCollection_GetLastItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapperCollection *op;

  vtkMapper  *temp20;
  if ((op = (vtkMapperCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapperCollection::GetLastItem();
      }
    else
      {
      temp20 = op->GetLastItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMapperCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMapperCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMapperCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMapperCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMapperCollection\nC++: vtkMapperCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMapperCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMapperCollection\nC++: vtkMapperCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkMapperCollection_AddItem, 1,
   (char*)"V.AddItem(vtkMapper)\nC++: void AddItem (vtkMapper *a);this vtkCollection AddItem static_cast vtkObject a \n\n Add an mapper to the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkMapperCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkMapper\nC++: vtkMapper *GetNextItem ();return static_cast vtkMapper this GetNextItemAsObject \n\n Get the next mapper in the list.\n"},
  {(char*)"GetLastItem",                (PyCFunction)PyvtkMapperCollection_GetLastItem, 1,
   (char*)"V.GetLastItem() -> vtkMapper\nC++: vtkMapper *GetLastItem ();\n\n Get the last mapper in the list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMapperCollectionDoc[] = {
  (char*)"vtkMapperCollection - a list of mappers\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkMapperCollection represents and provides methods to manipulate a list of\n mappers (i.e., vtkMapper and subclasses). The list is unsorted and duplicate\n entries are not prevented.\n\n",
  "See Also:\n\n vtkMapper vtkCollection \n\n",
  NULL
};

static vtkObjectBase *vtkMapperCollectionStaticNew()
{
  return vtkMapperCollection::New();
}

PyObject *PyVTKClass_vtkMapperCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkMapperCollectionStaticNew,
                        PyvtkMapperCollectionMethods,
                        (char*)"vtkMapperCollection",modulename,
                        (char**)vtkMapperCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

