// python wrapper for vtkMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractMapper3DNew(char *); }

static PyObject *PyvtkMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  const char    *temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  vtkMapper  *temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  vtkAbstractMapper  *temp0;
  PyObject *tempH0;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAbstractMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractMapper");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMapper_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  unsigned long     temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkActor  *temp1;
  PyObject *tempH1;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkActor *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkMapper_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkMapper_SetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  vtkScalarsToColors  *temp0;
  PyObject *tempH0;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkScalarsToColors *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarsToColors");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetLookupTable(temp0);
      }
    else
      {
      op->SetLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkMapper_GetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  vtkScalarsToColors  *temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetLookupTable();
      }
    else
      {
      temp20 = op->GetLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_CreateDefaultLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::CreateDefaultLookupTable();
      }
    else
      {
      op->CreateDefaultLookupTable();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetScalarVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp0;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarVisibility(temp0);
      }
    else
      {
      op->SetScalarVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetScalarVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetScalarVisibility();
      }
    else
      {
      temp20 = op->GetScalarVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_ScalarVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::ScalarVisibilityOn();
      }
    else
      {
      op->ScalarVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_ScalarVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::ScalarVisibilityOff();
      }
    else
      {
      op->ScalarVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetStatic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp0;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetStatic(temp0);
      }
    else
      {
      op->SetStatic(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetStatic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetStatic();
      }
    else
      {
      temp20 = op->GetStatic();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_StaticOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::StaticOn();
      }
    else
      {
      op->StaticOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_StaticOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::StaticOff();
      }
    else
      {
      op->StaticOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp0;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetColorMode(temp0);
      }
    else
      {
      op->SetColorMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetColorMode();
      }
    else
      {
      temp20 = op->GetColorMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetColorModeToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetColorModeToDefault();
      }
    else
      {
      op->SetColorModeToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetColorModeToMapScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetColorModeToMapScalars();
      }
    else
      {
      op->SetColorModeToMapScalars();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetColorModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  const char    *temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetColorModeAsString();
      }
    else
      {
      temp20 = op->GetColorModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetInterpolateScalarsBeforeMapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp0;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetInterpolateScalarsBeforeMapping(temp0);
      }
    else
      {
      op->SetInterpolateScalarsBeforeMapping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetInterpolateScalarsBeforeMapping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetInterpolateScalarsBeforeMapping();
      }
    else
      {
      temp20 = op->GetInterpolateScalarsBeforeMapping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_InterpolateScalarsBeforeMappingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::InterpolateScalarsBeforeMappingOn();
      }
    else
      {
      op->InterpolateScalarsBeforeMappingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_InterpolateScalarsBeforeMappingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::InterpolateScalarsBeforeMappingOff();
      }
    else
      {
      op->InterpolateScalarsBeforeMappingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetUseLookupTableScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp0;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetUseLookupTableScalarRange(temp0);
      }
    else
      {
      op->SetUseLookupTableScalarRange(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetUseLookupTableScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetUseLookupTableScalarRange();
      }
    else
      {
      temp20 = op->GetUseLookupTableScalarRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_UseLookupTableScalarRangeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::UseLookupTableScalarRangeOn();
      }
    else
      {
      op->UseLookupTableScalarRangeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_UseLookupTableScalarRangeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::UseLookupTableScalarRangeOff();
      }
    else
      {
      op->UseLookupTableScalarRangeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarRange(temp0,temp1);
      }
    else
      {
      op->SetScalarRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMapper *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarRange(temp0);
      }
    else
      {
      op->SetScalarRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  double  *temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetScalarRange();
      }
    else
      {
      temp20 = op->GetScalarRange();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetImmediateModeRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp0;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetImmediateModeRendering(temp0);
      }
    else
      {
      op->SetImmediateModeRendering(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetImmediateModeRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetImmediateModeRendering();
      }
    else
      {
      temp20 = op->GetImmediateModeRendering();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_ImmediateModeRenderingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::ImmediateModeRenderingOn();
      }
    else
      {
      op->ImmediateModeRenderingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_ImmediateModeRenderingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::ImmediateModeRenderingOff();
      }
    else
      {
      op->ImmediateModeRenderingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetGlobalImmediateModeRendering(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkMapper::SetGlobalImmediateModeRendering(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GlobalImmediateModeRenderingOn(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkMapper::GlobalImmediateModeRenderingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GlobalImmediateModeRenderingOff(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkMapper::GlobalImmediateModeRenderingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetGlobalImmediateModeRendering(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMapper::GetGlobalImmediateModeRendering();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp0;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarMode(temp0);
      }
    else
      {
      op->SetScalarMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetScalarMode();
      }
    else
      {
      temp20 = op->GetScalarMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetScalarModeToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarModeToDefault();
      }
    else
      {
      op->SetScalarModeToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetScalarModeToUsePointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarModeToUsePointData();
      }
    else
      {
      op->SetScalarModeToUsePointData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetScalarModeToUseCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarModeToUseCellData();
      }
    else
      {
      op->SetScalarModeToUseCellData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetScalarModeToUsePointFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarModeToUsePointFieldData();
      }
    else
      {
      op->SetScalarModeToUsePointFieldData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetScalarModeToUseCellFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarModeToUseCellFieldData();
      }
    else
      {
      op->SetScalarModeToUseCellFieldData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetScalarModeToUseFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarModeToUseFieldData();
      }
    else
      {
      op->SetScalarModeToUseFieldData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SelectColorArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp0;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SelectColorArray(temp0);
      }
    else
      {
      op->SelectColorArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMapper *op;

  char    *temp0;
  PyErr_Clear();
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SelectColorArray(temp0);
      }
    else
      {
      op->SelectColorArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_ColorByArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::ColorByArrayComponent(temp0,temp1);
      }
    else
      {
      op->ColorByArrayComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMapper *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::ColorByArrayComponent(temp0,temp1);
      }
    else
      {
      op->ColorByArrayComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  char    *temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetArrayName();
      }
    else
      {
      temp20 = op->GetArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetArrayId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetArrayId();
      }
    else
      {
      temp20 = op->GetArrayId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetArrayAccessMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetArrayAccessMode();
      }
    else
      {
      temp20 = op->GetArrayAccessMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetArrayComponent();
      }
    else
      {
      temp20 = op->GetArrayComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetScalarModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  const char    *temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetScalarModeAsString();
      }
    else
      {
      temp20 = op->GetScalarModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetResolveCoincidentTopology(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkMapper::SetResolveCoincidentTopology(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetResolveCoincidentTopology(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMapper::GetResolveCoincidentTopology();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetResolveCoincidentTopologyToDefault(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkMapper::SetResolveCoincidentTopologyToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetResolveCoincidentTopologyToOff(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkMapper::SetResolveCoincidentTopologyToOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetResolveCoincidentTopologyToPolygonOffset(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkMapper::SetResolveCoincidentTopologyToPolygonOffset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetResolveCoincidentTopologyToShiftZBuffer(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      vtkMapper::SetResolveCoincidentTopologyToShiftZBuffer();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetResolveCoincidentTopologyPolygonOffsetParameters(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp0;
  double   temp1;
  if ((PyArg_ParseTuple(args, (char*)"dd", &temp0, &temp1)))
    {
      {
      vtkMapper::SetResolveCoincidentTopologyPolygonOffsetParameters(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetResolveCoincidentTopologyZShift(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp0;
  if ((PyArg_ParseTuple(args, (char*)"d", &temp0)))
    {
      {
      vtkMapper::SetResolveCoincidentTopologyZShift(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetResolveCoincidentTopologyZShift(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkMapper::GetResolveCoincidentTopologyZShift();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  double  *temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  /* handle an occurrence */
  {
  vtkMapper *op;

  double temp0[6];
  PyErr_Clear();
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetRenderTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  double   temp0;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetRenderTime(temp0);
      }
    else
      {
      op->SetRenderTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetRenderTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  double   temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetRenderTime();
      }
    else
      {
      temp20 = op->GetRenderTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetInputAsDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  vtkDataSet  *temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetInputAsDataSet();
      }
    else
      {
      temp20 = op->GetInputAsDataSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_MapScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  double   temp0;
  vtkUnsignedCharArray  *temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::MapScalars(temp0);
      }
    else
      {
      temp20 = op->MapScalars(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetScalarMaterialMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp0;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarMaterialMode(temp0);
      }
    else
      {
      op->SetScalarMaterialMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetScalarMaterialMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  int      temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetScalarMaterialMode();
      }
    else
      {
      temp20 = op->GetScalarMaterialMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetScalarMaterialModeToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarMaterialModeToDefault();
      }
    else
      {
      op->SetScalarMaterialModeToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetScalarMaterialModeToAmbient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarMaterialModeToAmbient();
      }
    else
      {
      op->SetScalarMaterialModeToAmbient();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetScalarMaterialModeToDiffuse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarMaterialModeToDiffuse();
      }
    else
      {
      op->SetScalarMaterialModeToDiffuse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_SetScalarMaterialModeToAmbientAndDiffuse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMapper::SetScalarMaterialModeToAmbientAndDiffuse();
      }
    else
      {
      op->SetScalarMaterialModeToAmbientAndDiffuse();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMapper_GetScalarMaterialModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMapper *op;

  const char    *temp20;
  if ((op = (vtkMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMapper::GetScalarMaterialModeAsString();
      }
    else
      {
      temp20 = op->GetScalarMaterialModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMapper\nC++: vtkMapper *NewInstance ();\n\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkMapper_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkAbstractMapper)\nC++: void ShallowCopy (vtkAbstractMapper *m);\n\n Make a shallow copy of this mapper.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkMapper_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Overload standard modified time function. If lookup table is modified,\n then this object is modified as well.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkMapper_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkActor)\nC++: virtual void Render (vtkRenderer *ren, vtkActor *a) = 0;\n\n Method initiates the mapping process. Generally sent by the actor \n as each frame is rendered.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkMapper_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"SetLookupTable",                (PyCFunction)PyvtkMapper_SetLookupTable, 1,
   (char*)"V.SetLookupTable(vtkScalarsToColors)\nC++: void SetLookupTable (vtkScalarsToColors *lut);\n\n Specify a lookup table for the mapper to use.\n"},
  {(char*)"GetLookupTable",                (PyCFunction)PyvtkMapper_GetLookupTable, 1,
   (char*)"V.GetLookupTable() -> vtkScalarsToColors\nC++: vtkScalarsToColors *GetLookupTable ();\n\n Specify a lookup table for the mapper to use.\n"},
  {(char*)"CreateDefaultLookupTable",                (PyCFunction)PyvtkMapper_CreateDefaultLookupTable, 1,
   (char*)"V.CreateDefaultLookupTable()\nC++: virtual void CreateDefaultLookupTable ();\n\n Create default lookup table. Generally used to create one when none\n is available with the scalar data.\n"},
  {(char*)"SetScalarVisibility",                (PyCFunction)PyvtkMapper_SetScalarVisibility, 1,
   (char*)"V.SetScalarVisibility(int)\nC++: void SetScalarVisibility (int );\n\n Turn on/off flag to control whether scalar data is used to color objects.\n"},
  {(char*)"GetScalarVisibility",                (PyCFunction)PyvtkMapper_GetScalarVisibility, 1,
   (char*)"V.GetScalarVisibility() -> int\nC++: int GetScalarVisibility ();\n\n Turn on/off flag to control whether scalar data is used to color objects.\n"},
  {(char*)"ScalarVisibilityOn",                (PyCFunction)PyvtkMapper_ScalarVisibilityOn, 1,
   (char*)"V.ScalarVisibilityOn()\nC++: void ScalarVisibilityOn ();\n\n Turn on/off flag to control whether scalar data is used to color objects.\n"},
  {(char*)"ScalarVisibilityOff",                (PyCFunction)PyvtkMapper_ScalarVisibilityOff, 1,
   (char*)"V.ScalarVisibilityOff()\nC++: void ScalarVisibilityOff ();\n\n Turn on/off flag to control whether scalar data is used to color objects.\n"},
  {(char*)"SetStatic",                (PyCFunction)PyvtkMapper_SetStatic, 1,
   (char*)"V.SetStatic(int)\nC++: void SetStatic (int );\n\n Turn on/off flag to control whether the mapper's data is static. Static data\n means that the mapper does not propagate updates down the pipeline, greatly\n decreasing the time it takes to update many mappers. This should only be\n used if the data never changes.\n"},
  {(char*)"GetStatic",                (PyCFunction)PyvtkMapper_GetStatic, 1,
   (char*)"V.GetStatic() -> int\nC++: int GetStatic ();\n\n Turn on/off flag to control whether the mapper's data is static. Static data\n means that the mapper does not propagate updates down the pipeline, greatly\n decreasing the time it takes to update many mappers. This should only be\n used if the data never changes.\n"},
  {(char*)"StaticOn",                (PyCFunction)PyvtkMapper_StaticOn, 1,
   (char*)"V.StaticOn()\nC++: void StaticOn ();\n\n Turn on/off flag to control whether the mapper's data is static. Static data\n means that the mapper does not propagate updates down the pipeline, greatly\n decreasing the time it takes to update many mappers. This should only be\n used if the data never changes.\n"},
  {(char*)"StaticOff",                (PyCFunction)PyvtkMapper_StaticOff, 1,
   (char*)"V.StaticOff()\nC++: void StaticOff ();\n\n Turn on/off flag to control whether the mapper's data is static. Static data\n means that the mapper does not propagate updates down the pipeline, greatly\n decreasing the time it takes to update many mappers. This should only be\n used if the data never changes.\n"},
  {(char*)"SetColorMode",                (PyCFunction)PyvtkMapper_SetColorMode, 1,
   (char*)"V.SetColorMode(int)\nC++: void SetColorMode (int );\n\n Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n SelectColorArray() method.)\n"},
  {(char*)"GetColorMode",                (PyCFunction)PyvtkMapper_GetColorMode, 1,
   (char*)"V.GetColorMode() -> int\nC++: int GetColorMode ();\n\n Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n SelectColorArray() method.)\n"},
  {(char*)"SetColorModeToDefault",                (PyCFunction)PyvtkMapper_SetColorModeToDefault, 1,
   (char*)"V.SetColorModeToDefault()\nC++: void SetColorModeToDefault ();this SetColorMode VTK_COLOR_MODE_DEFAULT \n\n Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n SelectColorArray() method.)\n"},
  {(char*)"SetColorModeToMapScalars",                (PyCFunction)PyvtkMapper_SetColorModeToMapScalars, 1,
   (char*)"V.SetColorModeToMapScalars()\nC++: void SetColorModeToMapScalars ();this SetColorMode VTK_COLOR_MODE_MAP_SCALARS \n\n Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n SelectColorArray() method.)\n"},
  {(char*)"GetColorModeAsString",                (PyCFunction)PyvtkMapper_GetColorModeAsString, 1,
   (char*)"V.GetColorModeAsString() -> string\nC++: const char *GetColorModeAsString ();\n\n Return the method of coloring scalar data.\n"},
  {(char*)"SetInterpolateScalarsBeforeMapping",                (PyCFunction)PyvtkMapper_SetInterpolateScalarsBeforeMapping, 1,
   (char*)"V.SetInterpolateScalarsBeforeMapping(int)\nC++: void SetInterpolateScalarsBeforeMapping (int );\n\n By default, vertex color is used to map colors to a surface.\n Colors are interpolated after being mapped.\n This option avoids color interpolation by using a one dimensional\n texture map for the colors.\n"},
  {(char*)"GetInterpolateScalarsBeforeMapping",                (PyCFunction)PyvtkMapper_GetInterpolateScalarsBeforeMapping, 1,
   (char*)"V.GetInterpolateScalarsBeforeMapping() -> int\nC++: int GetInterpolateScalarsBeforeMapping ();\n\n By default, vertex color is used to map colors to a surface.\n Colors are interpolated after being mapped.\n This option avoids color interpolation by using a one dimensional\n texture map for the colors.\n"},
  {(char*)"InterpolateScalarsBeforeMappingOn",                (PyCFunction)PyvtkMapper_InterpolateScalarsBeforeMappingOn, 1,
   (char*)"V.InterpolateScalarsBeforeMappingOn()\nC++: void InterpolateScalarsBeforeMappingOn ();\n\n By default, vertex color is used to map colors to a surface.\n Colors are interpolated after being mapped.\n This option avoids color interpolation by using a one dimensional\n texture map for the colors.\n"},
  {(char*)"InterpolateScalarsBeforeMappingOff",                (PyCFunction)PyvtkMapper_InterpolateScalarsBeforeMappingOff, 1,
   (char*)"V.InterpolateScalarsBeforeMappingOff()\nC++: void InterpolateScalarsBeforeMappingOff ();\n\n By default, vertex color is used to map colors to a surface.\n Colors are interpolated after being mapped.\n This option avoids color interpolation by using a one dimensional\n texture map for the colors.\n"},
  {(char*)"SetUseLookupTableScalarRange",                (PyCFunction)PyvtkMapper_SetUseLookupTableScalarRange, 1,
   (char*)"V.SetUseLookupTableScalarRange(int)\nC++: void SetUseLookupTableScalarRange (int );\n\n Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n"},
  {(char*)"GetUseLookupTableScalarRange",                (PyCFunction)PyvtkMapper_GetUseLookupTableScalarRange, 1,
   (char*)"V.GetUseLookupTableScalarRange() -> int\nC++: int GetUseLookupTableScalarRange ();\n\n Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n"},
  {(char*)"UseLookupTableScalarRangeOn",                (PyCFunction)PyvtkMapper_UseLookupTableScalarRangeOn, 1,
   (char*)"V.UseLookupTableScalarRangeOn()\nC++: void UseLookupTableScalarRangeOn ();\n\n Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n"},
  {(char*)"UseLookupTableScalarRangeOff",                (PyCFunction)PyvtkMapper_UseLookupTableScalarRangeOff, 1,
   (char*)"V.UseLookupTableScalarRangeOff()\nC++: void UseLookupTableScalarRangeOff ();\n\n Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n"},
  {(char*)"SetScalarRange",                (PyCFunction)PyvtkMapper_SetScalarRange, 1,
   (char*)"V.SetScalarRange(float, float)\nC++: void SetScalarRange (double , double );\nV.SetScalarRange((float, float))\nC++: void SetScalarRange (double  a[2]);\n\n Specify range in terms of scalar minimum and maximum (smin,smax). These\n values are used to map scalars into lookup table. Has no effect when\n UseLookupTableScalarRange is true.\n"},
  {(char*)"GetScalarRange",                (PyCFunction)PyvtkMapper_GetScalarRange, 1,
   (char*)"V.GetScalarRange() -> (float, float)\nC++: double  *GetScalarRange ();\n\n Specify range in terms of scalar minimum and maximum (smin,smax). These\n values are used to map scalars into lookup table. Has no effect when\n UseLookupTableScalarRange is true.\n"},
  {(char*)"SetImmediateModeRendering",                (PyCFunction)PyvtkMapper_SetImmediateModeRendering, 1,
   (char*)"V.SetImmediateModeRendering(int)\nC++: void SetImmediateModeRendering (int );\n\n Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are\n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n"},
  {(char*)"GetImmediateModeRendering",                (PyCFunction)PyvtkMapper_GetImmediateModeRendering, 1,
   (char*)"V.GetImmediateModeRendering() -> int\nC++: int GetImmediateModeRendering ();\n\n Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are\n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n"},
  {(char*)"ImmediateModeRenderingOn",                (PyCFunction)PyvtkMapper_ImmediateModeRenderingOn, 1,
   (char*)"V.ImmediateModeRenderingOn()\nC++: void ImmediateModeRenderingOn ();\n\n Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are\n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n"},
  {(char*)"ImmediateModeRenderingOff",                (PyCFunction)PyvtkMapper_ImmediateModeRenderingOff, 1,
   (char*)"V.ImmediateModeRenderingOff()\nC++: void ImmediateModeRenderingOff ();\n\n Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are\n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n"},
  {(char*)"SetGlobalImmediateModeRendering",                (PyCFunction)PyvtkMapper_SetGlobalImmediateModeRendering, 1,
   (char*)"V.SetGlobalImmediateModeRendering(int)\nC++: static void SetGlobalImmediateModeRendering (int val);\n\n Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are \n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n"},
  {(char*)"GlobalImmediateModeRenderingOn",                (PyCFunction)PyvtkMapper_GlobalImmediateModeRenderingOn, 1,
   (char*)"V.GlobalImmediateModeRenderingOn()\nC++: static void GlobalImmediateModeRenderingOn ();vtkMapper SetGlobalImmediateModeRendering \n\n Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are \n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n"},
  {(char*)"GlobalImmediateModeRenderingOff",                (PyCFunction)PyvtkMapper_GlobalImmediateModeRenderingOff, 1,
   (char*)"V.GlobalImmediateModeRenderingOff()\nC++: static void GlobalImmediateModeRenderingOff ();vtkMapper SetGlobalImmediateModeRendering \n\n Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are \n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n"},
  {(char*)"GetGlobalImmediateModeRendering",                (PyCFunction)PyvtkMapper_GetGlobalImmediateModeRendering, 1,
   (char*)"V.GetGlobalImmediateModeRendering() -> int\nC++: static int GetGlobalImmediateModeRendering ();\n\n Turn on/off flag to control whether data is rendered using\n immediate mode or note. Immediate mode rendering\n tends to be slower but it can handle larger datasets.\n The default value is immediate mode off. If you are \n having problems rendering a large dataset you might\n want to consider using immediate more rendering.\n"},
  {(char*)"SetScalarMode",                (PyCFunction)PyvtkMapper_SetScalarMode, 1,
   (char*)"V.SetScalarMode(int)\nC++: void SetScalarMode (int );\n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectColorArray before you call\n GetColors.\n When ScalarMode is set to use Field Data (ScalarModeToFieldData), you \n must call SelectColorArray to choose the field data array to be used to\n color cells. In this mode, if the poly data has triangle strips, \n the field data is treated as the celldata for each mini-cell formed by\n a triangle in the strip rather than the entire strip.\n"},
  {(char*)"GetScalarMode",                (PyCFunction)PyvtkMapper_GetScalarMode, 1,
   (char*)"V.GetScalarMode() -> int\nC++: int GetScalarMode ();\n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectColorArray before you call\n GetColors.\n When ScalarMode is set to use Field Data (ScalarModeToFieldData), you \n must call SelectColorArray to choose the field data array to be used to\n color cells. In this mode, if the poly data has triangle strips, \n the field data is treated as the celldata for each mini-cell formed by\n a triangle in the strip rather than the entire strip.\n"},
  {(char*)"SetScalarModeToDefault",                (PyCFunction)PyvtkMapper_SetScalarModeToDefault, 1,
   (char*)"V.SetScalarModeToDefault()\nC++: void SetScalarModeToDefault ();this SetScalarMode VTK_SCALAR_MODE_DEFAULT \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectColorArray before you call\n GetColors.\n When ScalarMode is set to use Field Data (ScalarModeToFieldData), you \n must call SelectColorArray to choose the field data array to be used to\n color cells. In this mode, if the poly data has triangle strips, \n the field data is treated as the celldata for each mini-cell formed by\n a triangle in the strip rather than the entire strip.\n"},
  {(char*)"SetScalarModeToUsePointData",                (PyCFunction)PyvtkMapper_SetScalarModeToUsePointData, 1,
   (char*)"V.SetScalarModeToUsePointData()\nC++: void SetScalarModeToUsePointData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_DATA \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectColorArray before you call\n GetColors.\n When ScalarMode is set to use Field Data (ScalarModeToFieldData), you \n must call SelectColorArray to choose the field data array to be used to\n color cells. In this mode, if the poly data has triangle strips, \n the field data is treated as the celldata for each mini-cell formed by\n a triangle in the strip rather than the entire strip.\n"},
  {(char*)"SetScalarModeToUseCellData",                (PyCFunction)PyvtkMapper_SetScalarModeToUseCellData, 1,
   (char*)"V.SetScalarModeToUseCellData()\nC++: void SetScalarModeToUseCellData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_DATA \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectColorArray before you call\n GetColors.\n When ScalarMode is set to use Field Data (ScalarModeToFieldData), you \n must call SelectColorArray to choose the field data array to be used to\n color cells. In this mode, if the poly data has triangle strips, \n the field data is treated as the celldata for each mini-cell formed by\n a triangle in the strip rather than the entire strip.\n"},
  {(char*)"SetScalarModeToUsePointFieldData",                (PyCFunction)PyvtkMapper_SetScalarModeToUsePointFieldData, 1,
   (char*)"V.SetScalarModeToUsePointFieldData()\nC++: void SetScalarModeToUsePointFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_FIELD_DATA \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectColorArray before you call\n GetColors.\n When ScalarMode is set to use Field Data (ScalarModeToFieldData), you \n must call SelectColorArray to choose the field data array to be used to\n color cells. In this mode, if the poly data has triangle strips, \n the field data is treated as the celldata for each mini-cell formed by\n a triangle in the strip rather than the entire strip.\n"},
  {(char*)"SetScalarModeToUseCellFieldData",                (PyCFunction)PyvtkMapper_SetScalarModeToUseCellFieldData, 1,
   (char*)"V.SetScalarModeToUseCellFieldData()\nC++: void SetScalarModeToUseCellFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_FIELD_DATA \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectColorArray before you call\n GetColors.\n When ScalarMode is set to use Field Data (ScalarModeToFieldData), you \n must call SelectColorArray to choose the field data array to be used to\n color cells. In this mode, if the poly data has triangle strips, \n the field data is treated as the celldata for each mini-cell formed by\n a triangle in the strip rather than the entire strip.\n"},
  {(char*)"SetScalarModeToUseFieldData",                (PyCFunction)PyvtkMapper_SetScalarModeToUseFieldData, 1,
   (char*)"V.SetScalarModeToUseFieldData()\nC++: void SetScalarModeToUseFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_FIELD_DATA \n\n When ScalarMode is set to UsePointFileData or UseCellFieldData,\n you can specify which array to use for coloring using these methods.\n The lookup table will decide how to convert vectors to colors.\n"},
  {(char*)"SelectColorArray",                (PyCFunction)PyvtkMapper_SelectColorArray, 1,
   (char*)"V.SelectColorArray(int)\nC++: void SelectColorArray (int arrayNum);\nV.SelectColorArray(string)\nC++: void SelectColorArray (const char *arrayName);\n\n When ScalarMode is set to UsePointFileData or UseCellFieldData,\n you can specify which array to use for coloring using these methods.\n The lookup table will decide how to convert vectors to colors.\n"},
  {(char*)"ColorByArrayComponent",                (PyCFunction)PyvtkMapper_ColorByArrayComponent, 1,
   (char*)"V.ColorByArrayComponent(int, int)\nC++: void ColorByArrayComponent (int arrayNum, int component);\nV.ColorByArrayComponent(string, int)\nC++: void ColorByArrayComponent (const char *arrayName, int component);\n\n Legacy:\n These methods used to be used to specify the array component.\n It is better to do this in the lookup table.\n"},
  {(char*)"GetArrayName",                (PyCFunction)PyvtkMapper_GetArrayName, 1,
   (char*)"V.GetArrayName() -> string\nC++: char *GetArrayName ();return this ArrayName \n\n Get the array name or number and component to color by.\n"},
  {(char*)"GetArrayId",                (PyCFunction)PyvtkMapper_GetArrayId, 1,
   (char*)"V.GetArrayId() -> int\nC++: int GetArrayId ();return this ArrayId \n\n Get the array name or number and component to color by.\n"},
  {(char*)"GetArrayAccessMode",                (PyCFunction)PyvtkMapper_GetArrayAccessMode, 1,
   (char*)"V.GetArrayAccessMode() -> int\nC++: int GetArrayAccessMode ();return this ArrayAccessMode \n\n Get the array name or number and component to color by.\n"},
  {(char*)"GetArrayComponent",                (PyCFunction)PyvtkMapper_GetArrayComponent, 1,
   (char*)"V.GetArrayComponent() -> int\nC++: int GetArrayComponent ();return this ArrayComponent \n\n Return the method for obtaining scalar data.\n"},
  {(char*)"GetScalarModeAsString",                (PyCFunction)PyvtkMapper_GetScalarModeAsString, 1,
   (char*)"V.GetScalarModeAsString() -> string\nC++: const char *GetScalarModeAsString ();\n\n Return the method for obtaining scalar data.\n"},
  {(char*)"SetResolveCoincidentTopology",                (PyCFunction)PyvtkMapper_SetResolveCoincidentTopology, 1,
   (char*)"V.SetResolveCoincidentTopology(int)\nC++: static void SetResolveCoincidentTopology (int val);\n\n Set/Get a global flag that controls whether coincident topology (e.g., a\n line on top of a polygon) is shifted to avoid z-buffer resolution (and\n hence rendering problems). If not off, there are two methods to choose\n from. PolygonOffset uses graphics systems calls to shift polygons, but\n does not distinguish vertices and lines from one another. ShiftZBuffer\n remaps the z-buffer to distinguish vertices, lines, and polygons, but\n does not always produce acceptable results. If you use the ShiftZBuffer\n approach, you may also want to set the ResolveCoincidentTopologyZShift\n value. (Note: not all mappers/graphics systems implement this \n functionality.)\n"},
  {(char*)"GetResolveCoincidentTopology",                (PyCFunction)PyvtkMapper_GetResolveCoincidentTopology, 1,
   (char*)"V.GetResolveCoincidentTopology() -> int\nC++: static int GetResolveCoincidentTopology ();\n\n Set/Get a global flag that controls whether coincident topology (e.g., a\n line on top of a polygon) is shifted to avoid z-buffer resolution (and\n hence rendering problems). If not off, there are two methods to choose\n from. PolygonOffset uses graphics systems calls to shift polygons, but\n does not distinguish vertices and lines from one another. ShiftZBuffer\n remaps the z-buffer to distinguish vertices, lines, and polygons, but\n does not always produce acceptable results. If you use the ShiftZBuffer\n approach, you may also want to set the ResolveCoincidentTopologyZShift\n value. (Note: not all mappers/graphics systems implement this \n functionality.)\n"},
  {(char*)"SetResolveCoincidentTopologyToDefault",                (PyCFunction)PyvtkMapper_SetResolveCoincidentTopologyToDefault, 1,
   (char*)"V.SetResolveCoincidentTopologyToDefault()\nC++: static void SetResolveCoincidentTopologyToDefault ();\n\n Set/Get a global flag that controls whether coincident topology (e.g., a\n line on top of a polygon) is shifted to avoid z-buffer resolution (and\n hence rendering problems). If not off, there are two methods to choose\n from. PolygonOffset uses graphics systems calls to shift polygons, but\n does not distinguish vertices and lines from one another. ShiftZBuffer\n remaps the z-buffer to distinguish vertices, lines, and polygons, but\n does not always produce acceptable results. If you use the ShiftZBuffer\n approach, you may also want to set the ResolveCoincidentTopologyZShift\n value. (Note: not all mappers/graphics systems implement this \n functionality.)\n"},
  {(char*)"SetResolveCoincidentTopologyToOff",                (PyCFunction)PyvtkMapper_SetResolveCoincidentTopologyToOff, 1,
   (char*)"V.SetResolveCoincidentTopologyToOff()\nC++: static void SetResolveCoincidentTopologyToOff ();SetResolveCoincidentTopology VTK_RESOLVE_OFF \n\n Set/Get a global flag that controls whether coincident topology (e.g., a\n line on top of a polygon) is shifted to avoid z-buffer resolution (and\n hence rendering problems). If not off, there are two methods to choose\n from. PolygonOffset uses graphics systems calls to shift polygons, but\n does not distinguish vertices and lines from one another. ShiftZBuffer\n remaps the z-buffer to distinguish vertices, lines, and polygons, but\n does not always produce acceptable results. If you use the ShiftZBuffer\n approach, you may also want to set the ResolveCoincidentTopologyZShift\n value. (Note: not all mappers/graphics systems implement this \n functionality.)\n"},
  {(char*)"SetResolveCoincidentTopologyToPolygonOffset",                (PyCFunction)PyvtkMapper_SetResolveCoincidentTopologyToPolygonOffset, 1,
   (char*)"V.SetResolveCoincidentTopologyToPolygonOffset()\nC++: static void SetResolveCoincidentTopologyToPolygonOffset ();SetResolveCoincidentTopology VTK_RESOLVE_POLYGON_OFFSET \n\n Set/Get a global flag that controls whether coincident topology (e.g., a\n line on top of a polygon) is shifted to avoid z-buffer resolution (and\n hence rendering problems). If not off, there are two methods to choose\n from. PolygonOffset uses graphics systems calls to shift polygons, but\n does not distinguish vertices and lines from one another. ShiftZBuffer\n remaps the z-buffer to distinguish vertices, lines, and polygons, but\n does not always produce acceptable results. If you use the ShiftZBuffer\n approach, you may also want to set the ResolveCoincidentTopologyZShift\n value. (Note: not all mappers/graphics systems implement this \n functionality.)\n"},
  {(char*)"SetResolveCoincidentTopologyToShiftZBuffer",                (PyCFunction)PyvtkMapper_SetResolveCoincidentTopologyToShiftZBuffer, 1,
   (char*)"V.SetResolveCoincidentTopologyToShiftZBuffer()\nC++: static void SetResolveCoincidentTopologyToShiftZBuffer ();SetResolveCoincidentTopology VTK_RESOLVE_SHIFT_ZBUFFER \n\n Used to set the polygon offset scale factor and units.\n Used when ResolveCoincidentTopology is set to PolygonOffset. \n These are global variables.\n"},
  {(char*)"SetResolveCoincidentTopologyPolygonOffsetParameters",                (PyCFunction)PyvtkMapper_SetResolveCoincidentTopologyPolygonOffsetParameters, 1,
   (char*)"V.SetResolveCoincidentTopologyPolygonOffsetParameters(float, float)\nC++: static void SetResolveCoincidentTopologyPolygonOffsetParameters (double factor, double units);\n\n Used to set the polygon offset scale factor and units.\n Used when ResolveCoincidentTopology is set to PolygonOffset. \n These are global variables.\n"},
  {(char*)"SetResolveCoincidentTopologyZShift",                (PyCFunction)PyvtkMapper_SetResolveCoincidentTopologyZShift, 1,
   (char*)"V.SetResolveCoincidentTopologyZShift(float)\nC++: static void SetResolveCoincidentTopologyZShift (double val);\n\n Used to set the z-shift if ResolveCoincidentTopology is set to\n ShiftZBuffer. This is a global variable.\n"},
  {(char*)"GetResolveCoincidentTopologyZShift",                (PyCFunction)PyvtkMapper_GetResolveCoincidentTopologyZShift, 1,
   (char*)"V.GetResolveCoincidentTopologyZShift() -> float\nC++: static double GetResolveCoincidentTopologyZShift ();\n\n Used to set the z-shift if ResolveCoincidentTopology is set to\n ShiftZBuffer. This is a global variable.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkMapper_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: virtual double *GetBounds ();\nV.GetBounds((float, float, float, float, float, float))\nC++: virtual void GetBounds (double bounds[6]);this vtkAbstractMapper3D GetBounds bounds \n\n Return bounding box (array of six doubles) of data expressed as\n (xmin,xmax, ymin,ymax, zmin,zmax).\n"},
  {(char*)"SetRenderTime",                (PyCFunction)PyvtkMapper_SetRenderTime, 1,
   (char*)"V.SetRenderTime(float)\nC++: void SetRenderTime (double time);this RenderTime time \n\n This instance variable is used by vtkLODActor to determine which\n mapper to use.  It is an estimate of the time necessary to render.\n Setting the render time does not modify the mapper.\n"},
  {(char*)"GetRenderTime",                (PyCFunction)PyvtkMapper_GetRenderTime, 1,
   (char*)"V.GetRenderTime() -> float\nC++: double GetRenderTime ();\n\n This instance variable is used by vtkLODActor to determine which\n mapper to use.  It is an estimate of the time necessary to render.\n Setting the render time does not modify the mapper.\n"},
  {(char*)"GetInputAsDataSet",                (PyCFunction)PyvtkMapper_GetInputAsDataSet, 1,
   (char*)"V.GetInputAsDataSet() -> vtkDataSet\nC++: vtkDataSet *GetInputAsDataSet ();return this GetInput \n\n Map the scalars (if there are any scalars and ScalarVisibility is on)\n through the lookup table, returning an unsigned char RGBA array. This is\n typically done as part of the rendering process. The alpha parameter \n allows the blending of the scalars with an additional alpha (typically\n which comes from a vtkActor, etc.)\n"},
  {(char*)"MapScalars",                (PyCFunction)PyvtkMapper_MapScalars, 1,
   (char*)"V.MapScalars(float) -> vtkUnsignedCharArray\nC++: vtkUnsignedCharArray *MapScalars (double alpha);\n\n Map the scalars (if there are any scalars and ScalarVisibility is on)\n through the lookup table, returning an unsigned char RGBA array. This is\n typically done as part of the rendering process. The alpha parameter \n allows the blending of the scalars with an additional alpha (typically\n which comes from a vtkActor, etc.)\n"},
  {(char*)"SetScalarMaterialMode",                (PyCFunction)PyvtkMapper_SetScalarMaterialMode, 1,
   (char*)"V.SetScalarMaterialMode(int)\nC++: void SetScalarMaterialMode (int );\n\n Set/Get the light-model color mode. \n"},
  {(char*)"GetScalarMaterialMode",                (PyCFunction)PyvtkMapper_GetScalarMaterialMode, 1,
   (char*)"V.GetScalarMaterialMode() -> int\nC++: int GetScalarMaterialMode ();\n\n Set/Get the light-model color mode. \n"},
  {(char*)"SetScalarMaterialModeToDefault",                (PyCFunction)PyvtkMapper_SetScalarMaterialModeToDefault, 1,
   (char*)"V.SetScalarMaterialModeToDefault()\nC++: void SetScalarMaterialModeToDefault ();this SetScalarMaterialMode VTK_MATERIALMODE_DEFAULT \n\n Set/Get the light-model color mode. \n"},
  {(char*)"SetScalarMaterialModeToAmbient",                (PyCFunction)PyvtkMapper_SetScalarMaterialModeToAmbient, 1,
   (char*)"V.SetScalarMaterialModeToAmbient()\nC++: void SetScalarMaterialModeToAmbient ();this SetScalarMaterialMode VTK_MATERIALMODE_AMBIENT \n\n Set/Get the light-model color mode. \n"},
  {(char*)"SetScalarMaterialModeToDiffuse",                (PyCFunction)PyvtkMapper_SetScalarMaterialModeToDiffuse, 1,
   (char*)"V.SetScalarMaterialModeToDiffuse()\nC++: void SetScalarMaterialModeToDiffuse ();this SetScalarMaterialMode VTK_MATERIALMODE_DIFFUSE \n\n Set/Get the light-model color mode. \n"},
  {(char*)"SetScalarMaterialModeToAmbientAndDiffuse",                (PyCFunction)PyvtkMapper_SetScalarMaterialModeToAmbientAndDiffuse, 1,
   (char*)"V.SetScalarMaterialModeToAmbientAndDiffuse()\nC++: void SetScalarMaterialModeToAmbientAndDiffuse ();this SetScalarMaterialMode VTK_MATERIALMODE_AMBIENT_AND_DIFFUSE \n\n Set/Get the light-model color mode. \n"},
  {(char*)"GetScalarMaterialModeAsString",                (PyCFunction)PyvtkMapper_GetScalarMaterialModeAsString, 1,
   (char*)"V.GetScalarMaterialModeAsString() -> string\nC++: const char *GetScalarMaterialModeAsString ();\n\n Return the light-model color mode.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMapperDoc[] = {
  (char*)"vtkMapper - abstract class specifies interface to map data to graphics primitives\n\n",
  "Super Class:\n\n vtkAbstractMapper3D\n\n",
  (char*)" vtkMapper is an abstract class to specify interface between data and \n graphics primitives. Subclasses of vtkMapper map data through a \n lookuptable and control the creation of rendering primitives that\n interface to the graphics library. The mapping can be controlled by \n supplying a lookup table and specifying a scalar range to map data\n through.\n\n There are several important control mechanisms",
  (char*)" affecting the behavior of\n this object. The ScalarVisibility flag controls whether scalar data (if\n any) controls the color of the associated actor(s) that refer to the\n mapper. The ScalarMode ivar is used to determine whether scalar point data\n or cell data is used to color the object. By default, point data scalars\n are used unless there are none, in which cell scalars are used. Or you can\n exp",
  (char*)"licitly control whether to use point or cell scalar data. Finally, the\n mapping of scalars through the lookup table varies depending on the\n setting of the ColorMode flag. See the documentation for the appropriate\n methods for an explanation.\n\n Another important feature of this class is whether to use immediate mode\n rendering (ImmediateModeRenderingOn) or display list rendering\n (ImmediateModeRen",
  (char*)"deringOff). If display lists are used, a data structure\n is constructed (generally in the rendering library) which can then be\n rapidly traversed and rendered by the rendering library. The disadvantage\n of display lists is that they require additionally memory which may affect\n the performance of the system.\n\n Another important feature of the mapper is the ability to shift the\n z-buffer to resolve",
  (char*)" coincident topology. For example, if you'd like to\n draw a mesh with some edges a different color, and the edges lie on the\n mesh, this feature can be useful to get nice looking lines. (See the\n ResolveCoincidentTopology-related methods.)\n\n",
  "See Also:\n\n vtkDataSetMapper vtkPolyDataMapper\n\n",
  NULL
};

PyObject *PyVTKClass_vtkMapperNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkMapperMethods,
                        (char*)"vtkMapper",modulename,
                        (char**)vtkMapperDoc,
                        PyVTKClass_vtkAbstractMapper3DNew(modulename));
}

