// tcl wrapper for vtkMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMapper.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkAbstractMapper3DCppCommand(vtkAbstractMapper3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMapperCppCommand(vtkMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMapperCppCommand((vtkMapper *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMapperCppCommand(vtkMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMapper",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkAbstractMapper3DCppCommand((vtkAbstractMapper3D *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkAbstractMapper3D", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMapper");
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkAbstractMapper  *temp0;
    error = 0;

    temp0 = (vtkAbstractMapper *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkAbstractMapper",interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkActor  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    temp1 = (vtkActor *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkActor",interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkWindow",interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkScalarsToColors",interp,error));
    if (!error)
    {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultLookupTable",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultLookupTable();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalarVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ScalarVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ScalarVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStatic",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStatic(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStatic",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStatic();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StaticOn",argv[1]))&&(argc == 2))
    {
    op->StaticOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StaticOff",argv[1]))&&(argc == 2))
    {
    op->StaticOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorModeToMapScalars",argv[1]))&&(argc == 2))
    {
    op->SetColorModeToMapScalars();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetColorModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetColorModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolateScalarsBeforeMapping",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolateScalarsBeforeMapping(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolateScalarsBeforeMapping",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolateScalarsBeforeMapping();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InterpolateScalarsBeforeMappingOn",argv[1]))&&(argc == 2))
    {
    op->InterpolateScalarsBeforeMappingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InterpolateScalarsBeforeMappingOff",argv[1]))&&(argc == 2))
    {
    op->InterpolateScalarsBeforeMappingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseLookupTableScalarRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseLookupTableScalarRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseLookupTableScalarRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseLookupTableScalarRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseLookupTableScalarRangeOn",argv[1]))&&(argc == 2))
    {
    op->UseLookupTableScalarRangeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseLookupTableScalarRangeOff",argv[1]))&&(argc == 2))
    {
    op->UseLookupTableScalarRangeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetScalarRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetScalarRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetScalarRange();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetImmediateModeRendering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetImmediateModeRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImmediateModeRendering",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImmediateModeRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ImmediateModeRenderingOn",argv[1]))&&(argc == 2))
    {
    op->ImmediateModeRenderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ImmediateModeRenderingOff",argv[1]))&&(argc == 2))
    {
    op->ImmediateModeRenderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalImmediateModeRendering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGlobalImmediateModeRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GlobalImmediateModeRenderingOn",argv[1]))&&(argc == 2))
    {
    op->GlobalImmediateModeRenderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GlobalImmediateModeRenderingOff",argv[1]))&&(argc == 2))
    {
    op->GlobalImmediateModeRenderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalImmediateModeRendering",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGlobalImmediateModeRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUsePointData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUsePointData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUseCellData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUseCellData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUsePointFieldData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUsePointFieldData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUseCellFieldData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUseCellFieldData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarModeToUseFieldData",argv[1]))&&(argc == 2))
    {
    op->SetScalarModeToUseFieldData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectColorArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SelectColorArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectColorArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectColorArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ColorByArrayComponent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ColorByArrayComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ColorByArrayComponent",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ColorByArrayComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetArrayId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrayAccessMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayAccessMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArrayComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArrayComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScalarModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetResolveCoincidentTopology",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetResolveCoincidentTopology(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolveCoincidentTopology",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResolveCoincidentTopology();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetResolveCoincidentTopologyToDefault",argv[1]))&&(argc == 2))
    {
    op->SetResolveCoincidentTopologyToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResolveCoincidentTopologyToOff",argv[1]))&&(argc == 2))
    {
    op->SetResolveCoincidentTopologyToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResolveCoincidentTopologyToPolygonOffset",argv[1]))&&(argc == 2))
    {
    op->SetResolveCoincidentTopologyToPolygonOffset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResolveCoincidentTopologyToShiftZBuffer",argv[1]))&&(argc == 2))
    {
    op->SetResolveCoincidentTopologyToShiftZBuffer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResolveCoincidentTopologyPolygonOffsetParameters",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetResolveCoincidentTopologyPolygonOffsetParameters(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResolveCoincidentTopologyZShift",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetResolveCoincidentTopologyZShift(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolveCoincidentTopologyZShift",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetResolveCoincidentTopologyZShift();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRenderTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRenderTime();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInputAsDataSet",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetInputAsDataSet();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("MapScalars",argv[1]))&&(argc == 3))
    {
    double   temp0;
    vtkUnsignedCharArray  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->MapScalars(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkUnsignedCharArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarMaterialMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarMaterialMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarMaterialMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarMaterialMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMaterialModeToDefault",argv[1]))&&(argc == 2))
    {
    op->SetScalarMaterialModeToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMaterialModeToAmbient",argv[1]))&&(argc == 2))
    {
    op->SetScalarMaterialModeToAmbient();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMaterialModeToDiffuse",argv[1]))&&(argc == 2))
    {
    op->SetScalarMaterialModeToDiffuse();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarMaterialModeToAmbientAndDiffuse",argv[1]))&&(argc == 2))
    {
    op->SetScalarMaterialModeToAmbientAndDiffuse();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarMaterialModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScalarMaterialModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkMapperCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractMapper3DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ScalarVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalarVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetStatic\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStatic\n",NULL);
    Tcl_AppendResult(interp,"  StaticOn\n",NULL);
    Tcl_AppendResult(interp,"  StaticOff\n",NULL);
    Tcl_AppendResult(interp,"  SetColorMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorMode\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetColorModeToMapScalars\n",NULL);
    Tcl_AppendResult(interp,"  GetColorModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolateScalarsBeforeMapping\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolateScalarsBeforeMapping\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateScalarsBeforeMappingOn\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateScalarsBeforeMappingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseLookupTableScalarRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseLookupTableScalarRange\n",NULL);
    Tcl_AppendResult(interp,"  UseLookupTableScalarRangeOn\n",NULL);
    Tcl_AppendResult(interp,"  UseLookupTableScalarRangeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarRange\n",NULL);
    Tcl_AppendResult(interp,"  SetImmediateModeRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImmediateModeRendering\n",NULL);
    Tcl_AppendResult(interp,"  ImmediateModeRenderingOn\n",NULL);
    Tcl_AppendResult(interp,"  ImmediateModeRenderingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalImmediateModeRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GlobalImmediateModeRenderingOn\n",NULL);
    Tcl_AppendResult(interp,"  GlobalImmediateModeRenderingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalImmediateModeRendering\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarMode\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUsePointData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUseCellData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUsePointFieldData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUseCellFieldData\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarModeToUseFieldData\n",NULL);
    Tcl_AppendResult(interp,"  SelectColorArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SelectColorArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ColorByArrayComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ColorByArrayComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayId\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayAccessMode\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayComponent\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopology\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolveCoincidentTopology\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopologyToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopologyToOff\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopologyToPolygonOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopologyToShiftZBuffer\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopologyPolygonOffsetParameters\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetResolveCoincidentTopologyZShift\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolveCoincidentTopologyZShift\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderTime\n",NULL);
    Tcl_AppendResult(interp,"  GetInputAsDataSet\n",NULL);
    Tcl_AppendResult(interp,"  MapScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMaterialMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarMaterialMode\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMaterialModeToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMaterialModeToAmbient\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMaterialModeToDiffuse\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarMaterialModeToAmbientAndDiffuse\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarMaterialModeAsString\n",NULL);
    return TCL_OK;
    }

  if (vtkAbstractMapper3DCppCommand((vtkAbstractMapper3D *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
