// python wrapper for vtkOpenGLExtensionManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOpenGLExtensionManager.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLExtensionManagerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLExtensionManagerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkOpenGLExtensionManager_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  const char    *temp20;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLExtensionManager::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLExtensionManager::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  vtkOpenGLExtensionManager  *temp20;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLExtensionManager::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLExtensionManager  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLExtensionManager::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  vtkRenderWindow  *temp20;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLExtensionManager::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_SetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLExtensionManager::SetRenderWindow(temp0);
      }
    else
      {
      op->SetRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLExtensionManager::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_GetExtensionsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  char    *temp20;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLExtensionManager::GetExtensionsString();
      }
    else
      {
      temp20 = op->GetExtensionsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_ExtensionSupported(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLExtensionManager::ExtensionSupported(temp0);
      }
    else
      {
      temp20 = op->ExtensionSupported(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_LoadExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  char    *temp0;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLExtensionManager::LoadExtension(temp0);
      }
    else
      {
      op->LoadExtension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_LoadSupportedExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLExtensionManager::LoadSupportedExtension(temp0);
      }
    else
      {
      temp20 = op->LoadSupportedExtension(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_LoadCorePromotedExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  char    *temp0;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLExtensionManager::LoadCorePromotedExtension(temp0);
      }
    else
      {
      op->LoadCorePromotedExtension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOpenGLExtensionManagerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLExtensionManager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLExtensionManager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLExtensionManager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLExtensionManager\nC++: vtkOpenGLExtensionManager *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLExtensionManager_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLExtensionManager\nC++: vtkOpenGLExtensionManager *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkOpenGLExtensionManager_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();\n\n Set/Get the render window to query extensions on.  If set to null,\n justs queries the current render window.\n"},
  {(char*)"SetRenderWindow",                (PyCFunction)PyvtkOpenGLExtensionManager_SetRenderWindow, 1,
   (char*)"V.SetRenderWindow(vtkRenderWindow)\nC++: virtual void SetRenderWindow (vtkRenderWindow *renwin);\n\n Set/Get the render window to query extensions on.  If set to null,\n justs queries the current render window.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkOpenGLExtensionManager_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Updates the extensions string.\n"},
  {(char*)"GetExtensionsString",                (PyCFunction)PyvtkOpenGLExtensionManager_GetExtensionsString, 1,
   (char*)"V.GetExtensionsString() -> string\nC++: char *GetExtensionsString ();\n\n Returns a string listing all available extensions.  Call Update first\n to validate this string.\n"},
  {(char*)"ExtensionSupported",                (PyCFunction)PyvtkOpenGLExtensionManager_ExtensionSupported, 1,
   (char*)"V.ExtensionSupported(string) -> int\nC++: virtual int ExtensionSupported (const char *name);\n\n Returns true if the extension is supported, false otherwise.\n"},
  {(char*)"LoadExtension",                (PyCFunction)PyvtkOpenGLExtensionManager_LoadExtension, 1,
   (char*)"V.LoadExtension(string)\nC++: virtual void LoadExtension (const char *name);\n\n Loads all the functions associated with the given extension into the\n appropriate static members of vtkgl. This method emits a warning if the\n requested extension is not supported. It emits an error if the extension\n does not load successfully.\n"},
  {(char*)"LoadSupportedExtension",                (PyCFunction)PyvtkOpenGLExtensionManager_LoadSupportedExtension, 1,
   (char*)"V.LoadSupportedExtension(string) -> int\nC++: virtual int LoadSupportedExtension (const char *name);\n\n Returns true if the extension is supported and loaded successfully,\n false otherwise. This method will \"fail silently/gracefully\" if the\n extension is not supported or does not load properly. It emits neither\n warnings nor errors. It is up to the caller to determine if the\n extension loaded properly by paying attention to the return value.\n"},
  {(char*)"LoadCorePromotedExtension",                (PyCFunction)PyvtkOpenGLExtensionManager_LoadCorePromotedExtension, 1,
   (char*)"V.LoadCorePromotedExtension(string)\nC++: virtual void LoadCorePromotedExtension (const char *name);\n\n Loads all the functions associated with the given core-promoted extension\n into the appropriate static members of vtkgl associated with the OpenGL\n version that promoted the extension as a core feature. This method emits a\n warning if the requested extension is not supported. It emits an error if\n the extension does not load successfully.\n\n For instance, extension GL_ARB_multitexture was promoted as a core\n feature into OpenGL 1.3. An implementation that uses this\n feature has to (IN THIS ORDER), check if OpenGL 1.3 is supported\n with ExtensionSupported(\"GL_VERSION_1_3\"), if true, load the extension\n with LoadExtension(\"GL_VERSION_1_3\"). If false, test for the extension\n with ExtensionSupported(\"GL_ARB_multitexture\"),if true load the extension\n with this method LoadCorePromotedExtension(\"GL_ARB_multitexture\").\n If any of those loading stage succeeded, use vtgl::ActiveTexture() in\n any case, NOT vtgl::ActiveTextureARB().\n This method avoids t ...\n [Truncated]\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLExtensionManagerDoc[] = {
  (char*)"vtkOpenGLExtensionManager - Interface class for querying and using OpenGL extensions.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"\n vtkOpenGLExtensionManager acts as an interface to OpenGL extensions.  It\n provides methods to query OpenGL extensions on the current or a given\n render window and to load extension function pointers.  Currently does\n not support GLU extensions since the GLU library is not linked to VTK.\n\n Before using vtkOpenGLExtensionManager, an OpenGL context must be created.\n This is generally done with a vt",
  (char*)"kRenderWindow.  Note that simply creating\n the vtkRenderWindow is not sufficient.  Usually you have to call Render\n before the actual OpenGL context is created.  You can specify the\n RenderWindow with the SetRenderWindow method.\n \\code\n vtkOpenGLExtensionManager *extensions = vtkOpenGLExtensionManager::New();\n extensions->SetRenderWindow(renwin);\n \\endcode\n If no vtkRenderWindow is specified, the ",
  (char*)"current OpenGL context (if any)\n is used.\n\n Generally speaking, when using OpenGL extensions, you will need an\n vtkOpenGLExtensionManager and the prototypes defined in vtkgl.h.\n \\code\n #include \"vtkOpenGLExtensionManager.h\"\n #include \"vtkgl.h\"\n \\endcode\n The vtkgl.h include file contains all the constants and function\n pointers required for using OpenGL extensions in a portable and\n namespace safe",
  (char*)" way.  vtkgl.h is built from parsed glext.h, glxext.h, and\n wglext.h files.  Snapshots of these files are distributed with VTK,\n but you can also set CMake options to use other files.\n\n To use an OpenGL extension, you first need to make an instance of\n vtkOpenGLExtensionManager and give it a vtkRenderWindow.  You can then\n query the vtkOpenGLExtensionManager to see if the extension is supported\n w",
  (char*)"ith the ExtensionSupported method.  Valid names for extensions are\n given in the OpenGL extension registry at\n \\ref http://www.opengl.org/registry/ .\n You can also grep vtkgl.h (which will be in the binary build directory\n if VTK is not installed) for appropriate names.  There are also\n special extensions GL_VERSION_X_X (where X_X is replaced with a major\n and minor version, respectively) which co",
  (char*)"ntain all the constants and\n functions for OpenGL versions for which the gl.h header file is of an\n older version than the driver.\n\n \\code\n if (   !extensions->ExtensionSupported(\"GL_VERSION_1_2\")\n     || !extensions->ExtensionSupported(\"GL_ARB_multitexture\") ) {\n   {\n   vtkErrorMacro(\"Required extensions not supported!\");\n   }\n \\endcode\n\n Once you have verified that the extensions you want exist,",
  (char*)" before you\n use them you have to load them with the LoadExtension method.\n\n \\code\n extensions->LoadExtension(\"GL_VERSION_1_2\");\n extensions->LoadExtension(\"GL_ARB_multitexture\");\n \\endcode\n\n Alternatively, you can use the LoadSupportedExtension method, which checks\n whether the requested extension is supported and, if so, loads it. The\n LoadSupportedExtension method will not raise any errors or w",
  (char*)"arnings if it\n fails, so it is important for callers to pay attention to the return value.\n\n \\code\n if (   extensions->LoadSupportedExtension(\"GL_VERSION_1_2\")\n     && extensions->LoadSupportedExtension(\"GL_ARB_multitexture\") ) {\n   {\n   vtkgl::ActiveTexture(vtkgl::TEXTURE0_ARB);\n   }\n else\n   {\n   vtkErrorMacro(\"Required extensions could not be loaded!\");\n   }\n \\endcode\n\n Once you have queried an",
  (char*)"d loaded all of the extensions you need, you can\n delete the vtkOpenGLExtensionManager.  To use a constant of an extension,\n simply replace the \"GL_\" prefix with \"vtkgl::\".  Likewise, replace the\n \"gl\" prefix of functions with \"vtkgl::\".  In rare cases, an extension will\n add a type. In this case, add vtkgl:: to the type (i.e. vtkgl::GLchar).\n\n \\code\n extensions->Delete();\n ...\n vtkgl::ActiveTextu",
  (char*)"re(vtkgl::TEXTURE0_ARB);\n \\endcode\n\n For wgl extensions, replace the \"WGL_\" and \"wgl\" prefixes with\n \"vtkwgl::\".  For glX extensions, replace the \"GLX_\" and \"glX\" prefixes\n with \"vtkglX::\".\n\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLExtensionManagerStaticNew()
{
  return vtkOpenGLExtensionManager::New();
}

PyObject *PyVTKClass_vtkOpenGLExtensionManagerNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLExtensionManagerStaticNew,
                        PyvtkOpenGLExtensionManagerMethods,
                        (char*)"vtkOpenGLExtensionManager",modulename,
                        (char**)vtkOpenGLExtensionManagerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

