// python wrapper for vtkOpenGLImageMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOpenGLImageMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLImageMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLImageMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageMapperNew(char *); }

static PyObject *PyvtkOpenGLImageMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLImageMapper *op;

  const char    *temp20;
  if ((op = (vtkOpenGLImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLImageMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLImageMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLImageMapper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOpenGLImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLImageMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLImageMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLImageMapper *op;

  vtkOpenGLImageMapper  *temp20;
  if ((op = (vtkOpenGLImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLImageMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLImageMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLImageMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLImageMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLImageMapper_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLImageMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  vtkActor2D  *temp1;
  PyObject *tempH1;
  if ((op = (vtkOpenGLImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor2D");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLImageMapper::RenderOverlay(temp0,temp1);
      }
    else
      {
      op->RenderOverlay(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkOpenGLImageMapper_RenderData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLImageMapper *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  vtkImageData  *temp1;
  PyObject *tempH1;
  vtkActor2D  *temp2;
  PyObject *tempH2;
  if ((op = (vtkOpenGLImageMapper *)PyArg_VTKParseTuple(self, args, (char*)"OOO", &tempH0, &tempH1, &tempH2)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkImageData");
    if (!temp1 && tempH1 != Py_None) goto break5;
    temp2 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkActor2D");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLImageMapper::RenderData(temp0,temp1,temp2);
      }
    else
      {
      op->RenderData(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkOpenGLImageMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLImageMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLImageMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLImageMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLImageMapper\nC++: vtkOpenGLImageMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLImageMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLImageMapper\nC++: vtkOpenGLImageMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkOpenGLImageMapper_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport, vtkActor2D)\nC++: void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor);this RenderStart viewport actor \n\n Called by the Render function in vtkImageMapper.  Actually draws\n the image to the screen.\n"},
  {(char*)"RenderData",                (PyCFunction)PyvtkOpenGLImageMapper_RenderData, 1,
   (char*)"V.RenderData(vtkViewport, vtkImageData, vtkActor2D)\nC++: void RenderData (vtkViewport *viewport, vtkImageData *data, vtkActor2D *actor);\n\n Called by the Render function in vtkImageMapper.  Actually draws\n the image to the screen.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLImageMapperDoc[] = {
  (char*)"vtkOpenGLImageMapper - 2D image display support for OpenGL\n\n",
  "Super Class:\n\n vtkImageMapper\n\n",
  (char*)" vtkOpenGLImageMapper is a concrete subclass of vtkImageMapper that\n renders images under OpenGL\n\n",
  "See Also:\n\n vtkImageMapper\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLImageMapperStaticNew()
{
  return vtkOpenGLImageMapper::New();
}

PyObject *PyVTKClass_vtkOpenGLImageMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLImageMapperStaticNew,
                        PyvtkOpenGLImageMapperMethods,
                        (char*)"vtkOpenGLImageMapper",modulename,
                        (char**)vtkOpenGLImageMapperDoc,
                        PyVTKClass_vtkImageMapperNew(modulename));
}

