// python wrapper for vtkOpenGLLight object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOpenGLLight.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLLightNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLLightNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLightNew(char *); }

static PyObject *PyvtkOpenGLLight_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLLight *op;

  const char    *temp20;
  if ((op = (vtkOpenGLLight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLLight::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLLight_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLLight *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOpenGLLight *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLLight::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLLight_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLLight *op;

  vtkOpenGLLight  *temp20;
  if ((op = (vtkOpenGLLight *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLLight::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLLight_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLLight  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLLight::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLLight_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLLight *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  int      temp1;
  if ((op = (vtkOpenGLLight *)PyArg_VTKParseTuple(self, args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLLight::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkOpenGLLightMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLLight_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLLight_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLLight_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLLight\nC++: vtkOpenGLLight *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLLight_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLLight\nC++: vtkOpenGLLight *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkOpenGLLight_Render, 1,
   (char*)"V.Render(vtkRenderer, int)\nC++: void Render (vtkRenderer *ren, int light_index);\n\n Implement base class method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLLightDoc[] = {
  (char*)"vtkOpenGLLight - OpenGL light\n\n",
  "Super Class:\n\n vtkLight\n\n",
  (char*)" vtkOpenGLLight is a concrete implementation of the abstract class vtkLight.\n vtkOpenGLLight interfaces to the OpenGL rendering library.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLLightStaticNew()
{
  return vtkOpenGLLight::New();
}

PyObject *PyVTKClass_vtkOpenGLLightNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLLightStaticNew,
                        PyvtkOpenGLLightMethods,
                        (char*)"vtkOpenGLLight",modulename,
                        (char**)vtkOpenGLLightDoc,
                        PyVTKClass_vtkLightNew(modulename));
}

