// python wrapper for vtkOpenGLPolyDataMapper2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOpenGLPolyDataMapper2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLPolyDataMapper2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLPolyDataMapper2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataMapper2DNew(char *); }

static PyObject *PyvtkOpenGLPolyDataMapper2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPolyDataMapper2D *op;

  const char    *temp20;
  if ((op = (vtkOpenGLPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPolyDataMapper2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPolyDataMapper2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPolyDataMapper2D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOpenGLPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPolyDataMapper2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPolyDataMapper2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPolyDataMapper2D *op;

  vtkOpenGLPolyDataMapper2D  *temp20;
  if ((op = (vtkOpenGLPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLPolyDataMapper2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLPolyDataMapper2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLPolyDataMapper2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLPolyDataMapper2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLPolyDataMapper2D_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLPolyDataMapper2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  vtkActor2D  *temp1;
  PyObject *tempH1;
  if ((op = (vtkOpenGLPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkActor2D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor2D");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLPolyDataMapper2D::RenderOverlay(temp0,temp1);
      }
    else
      {
      op->RenderOverlay(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkOpenGLPolyDataMapper2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLPolyDataMapper2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLPolyDataMapper2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLPolyDataMapper2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLPolyDataMapper2D\nC++: vtkOpenGLPolyDataMapper2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLPolyDataMapper2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLPolyDataMapper2D\nC++: vtkOpenGLPolyDataMapper2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkOpenGLPolyDataMapper2D_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport, vtkActor2D)\nC++: void RenderOverlay (vtkViewport *viewport, vtkActor2D *actor);\n\n Actually draw the poly data.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLPolyDataMapper2DDoc[] = {
  (char*)"vtkOpenGLPolyDataMapper2D - 2D PolyData support for OpenGL\n\n",
  "Super Class:\n\n vtkPolyDataMapper2D\n\n",
  (char*)" vtkOpenGLPolyDataMapper2D provides 2D PolyData annotation support for \n vtk under OpenGL.  Normally the user should use vtkPolyDataMapper2D \n which in turn will use this class.\n\n",
  "See Also:\n\n vtkPolyDataMapper2D\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLPolyDataMapper2DStaticNew()
{
  return vtkOpenGLPolyDataMapper2D::New();
}

PyObject *PyVTKClass_vtkOpenGLPolyDataMapper2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLPolyDataMapper2DStaticNew,
                        PyvtkOpenGLPolyDataMapper2DMethods,
                        (char*)"vtkOpenGLPolyDataMapper2D",modulename,
                        (char**)vtkOpenGLPolyDataMapper2DDoc,
                        PyVTKClass_vtkPolyDataMapper2DNew(modulename));
}

