// python wrapper for vtkOpenGLProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOpenGLProperty.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLPropertyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLPropertyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPropertyNew(char *); }

static PyObject *PyvtkOpenGLProperty_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLProperty *op;

  const char    *temp20;
  if ((op = (vtkOpenGLProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLProperty::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLProperty_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLProperty *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOpenGLProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLProperty::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLProperty_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLProperty *op;

  vtkOpenGLProperty  *temp20;
  if ((op = (vtkOpenGLProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLProperty::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLProperty_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLProperty  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLProperty::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLProperty_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLProperty *op;

  vtkActor  *temp0;
  PyObject *tempH0;
  vtkRenderer  *temp1;
  PyObject *tempH1;
  if ((op = (vtkOpenGLProperty *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkActor");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLProperty::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkOpenGLProperty_BackfaceRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLProperty *op;

  vtkActor  *temp0;
  PyObject *tempH0;
  vtkRenderer  *temp1;
  PyObject *tempH1;
  if ((op = (vtkOpenGLProperty *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkActor");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLProperty::BackfaceRender(temp0,temp1);
      }
    else
      {
      op->BackfaceRender(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}

static PyMethodDef PyvtkOpenGLPropertyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLProperty\nC++: vtkOpenGLProperty *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLProperty\nC++: vtkOpenGLProperty *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkOpenGLProperty_Render, 1,
   (char*)"V.Render(vtkActor, vtkRenderer)\nC++: void Render (vtkActor *a, vtkRenderer *ren);\n\n Implement base class method.\n"},
  {(char*)"BackfaceRender",                (PyCFunction)PyvtkOpenGLProperty_BackfaceRender, 1,
   (char*)"V.BackfaceRender(vtkActor, vtkRenderer)\nC++: void BackfaceRender (vtkActor *a, vtkRenderer *ren);\n\n Implement base class method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLPropertyDoc[] = {
  (char*)"vtkOpenGLProperty - OpenGL property\n\n",
  "Super Class:\n\n vtkProperty\n\n",
  (char*)" vtkOpenGLProperty is a concrete implementation of the abstract class \n vtkProperty. vtkOpenGLProperty interfaces to the OpenGL rendering library.\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLPropertyStaticNew()
{
  return vtkOpenGLProperty::New();
}

PyObject *PyVTKClass_vtkOpenGLPropertyNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLPropertyStaticNew,
                        PyvtkOpenGLPropertyMethods,
                        (char*)"vtkOpenGLProperty",modulename,
                        (char**)vtkOpenGLPropertyDoc,
                        PyVTKClass_vtkPropertyNew(modulename));
}

