// python wrapper for vtkOpenGLRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOpenGLRenderWindow.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLRenderWindowNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLRenderWindowNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderWindowNew(char *); }

static PyObject *PyvtkOpenGLRenderWindow_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  const char    *temp20;
  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  vtkOpenGLRenderWindow  *temp20;
  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_SetGlobalMaximumNumberOfMultiSamples(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp0;
  if ((PyArg_ParseTuple(args, (char*)"i", &temp0)))
    {
      {
      vtkOpenGLRenderWindow::SetGlobalMaximumNumberOfMultiSamples(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetGlobalMaximumNumberOfMultiSamples(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkOpenGLRenderWindow::GetGlobalMaximumNumberOfMultiSamples();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_SetMultiSamples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLRenderWindow::SetMultiSamples(temp0);
      }
    else
      {
      op->SetMultiSamples(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetMultiSamples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp20;
  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetMultiSamples();
      }
    else
      {
      temp20 = op->GetMultiSamples();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_StereoUpdate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLRenderWindow::StereoUpdate();
      }
    else
      {
      op->StereoUpdate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  PyObject *tempH5;
  int      temp20;
  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiiO", &temp0, &temp1, &temp2, &temp3, &temp4, &tempH5)))
    {
    temp5 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkUnsignedCharArray");
    if (!temp5 && tempH5 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->GetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_SetPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  PyObject *tempH4;
  int      temp5;
  int      temp20;
  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiOi", &temp0, &temp1, &temp2, &temp3, &tempH4, &temp5)))
    {
    temp4 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkUnsignedCharArray");
    if (!temp4 && tempH4 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetRGBAPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkFloatArray  *temp5;
  PyObject *tempH5;
  int      temp20;
  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiiO", &temp0, &temp1, &temp2, &temp3, &temp4, &tempH5)))
    {
    temp5 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkFloatArray");
    if (!temp5 && tempH5 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->GetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_SetRGBAPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  PyObject *tempH4;
  int      temp5;
  int      temp6;
  int      temp20;
  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiOii", &temp0, &temp1, &temp2, &temp3, &tempH4, &temp5, &temp6)))
    {
    temp4 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkFloatArray");
    if (!temp4 && tempH4 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      temp20 = op->SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetRGBACharPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  vtkUnsignedCharArray  *temp5;
  PyObject *tempH5;
  int      temp20;
  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiiO", &temp0, &temp1, &temp2, &temp3, &temp4, &tempH5)))
    {
    temp5 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH5,(char*)"vtkUnsignedCharArray");
    if (!temp5 && tempH5 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      temp20 = op->GetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_SetRGBACharPixelData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkUnsignedCharArray  *temp4;
  PyObject *tempH4;
  int      temp5;
  int      temp6;
  int      temp20;
  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiOii", &temp0, &temp1, &temp2, &temp3, &tempH4, &temp5, &temp6)))
    {
    temp4 = (vtkUnsignedCharArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkUnsignedCharArray");
    if (!temp4 && tempH4 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    else
      {
      temp20 = op->SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetZbufferData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  PyObject *tempH4;
  int      temp20;
  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiO", &temp0, &temp1, &temp2, &temp3, &tempH4)))
    {
    temp4 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkFloatArray");
    if (!temp4 && tempH4 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetZbufferData(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->GetZbufferData(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_SetZbufferData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  vtkFloatArray  *temp4;
  PyObject *tempH4;
  int      temp20;
  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"iiiiO", &temp0, &temp1, &temp2, &temp3, &tempH4)))
    {
    temp4 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkFloatArray");
    if (!temp4 && tempH4 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::SetZbufferData(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->SetZbufferData(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_MakeCurrent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->MakeCurrent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_GetDepthBufferSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  int      temp20;
  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRenderWindow::GetDepthBufferSize();
      }
    else
      {
      temp20 = op->GetDepthBufferSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRenderWindow_OpenGLInit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRenderWindow *op;

  if ((op = (vtkOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLRenderWindow::OpenGLInit();
      }
    else
      {
      op->OpenGLInit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOpenGLRenderWindowMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLRenderWindow_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLRenderWindow_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLRenderWindow_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLRenderWindow\nC++: vtkOpenGLRenderWindow *NewInstance ();\n\n"},
  {(char*)"SetGlobalMaximumNumberOfMultiSamples",                (PyCFunction)PyvtkOpenGLRenderWindow_SetGlobalMaximumNumberOfMultiSamples, 1,
   (char*)"V.SetGlobalMaximumNumberOfMultiSamples(int)\nC++: static void SetGlobalMaximumNumberOfMultiSamples (int val);\n\n Set/Get the maximum number of multisamples\n"},
  {(char*)"GetGlobalMaximumNumberOfMultiSamples",                (PyCFunction)PyvtkOpenGLRenderWindow_GetGlobalMaximumNumberOfMultiSamples, 1,
   (char*)"V.GetGlobalMaximumNumberOfMultiSamples() -> int\nC++: static int GetGlobalMaximumNumberOfMultiSamples ();\n\n Set/Get the maximum number of multisamples\n"},
  {(char*)"SetMultiSamples",                (PyCFunction)PyvtkOpenGLRenderWindow_SetMultiSamples, 1,
   (char*)"V.SetMultiSamples(int)\nC++: void SetMultiSamples (int );\n\n Set / Get the number of multisamples to use for hardware antialiasing.\n"},
  {(char*)"GetMultiSamples",                (PyCFunction)PyvtkOpenGLRenderWindow_GetMultiSamples, 1,
   (char*)"V.GetMultiSamples() -> int\nC++: int GetMultiSamples ();\n\n Set / Get the number of multisamples to use for hardware antialiasing.\n"},
  {(char*)"StereoUpdate",                (PyCFunction)PyvtkOpenGLRenderWindow_StereoUpdate, 1,
   (char*)"V.StereoUpdate()\nC++: virtual void StereoUpdate ();\n\n Update system if needed due to stereo rendering.\n"},
  {(char*)"GetPixelData",                (PyCFunction)PyvtkOpenGLRenderWindow_GetPixelData, 1,
   (char*)"V.GetPixelData(int, int, int, int, int, vtkUnsignedCharArray) -> int\nC++: virtual int GetPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *);\n\n Set/Get the pixel data of an image, transmitted as RGBRGB... \n"},
  {(char*)"SetPixelData",                (PyCFunction)PyvtkOpenGLRenderWindow_SetPixelData, 1,
   (char*)"V.SetPixelData(int, int, int, int, vtkUnsignedCharArray, int) -> int\nC++: virtual int SetPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *, int front);\n\n Set/Get the pixel data of an image, transmitted as RGBRGB... \n"},
  {(char*)"GetRGBAPixelData",                (PyCFunction)PyvtkOpenGLRenderWindow_GetRGBAPixelData, 1,
   (char*)"V.GetRGBAPixelData(int, int, int, int, int, vtkFloatArray) -> int\nC++: virtual int GetRGBAPixelData (int x, int y, int x2, int y2, int front, vtkFloatArray *data);\n\n Set/Get the pixel data of an image, transmitted as RGBARGBA... \n"},
  {(char*)"SetRGBAPixelData",                (PyCFunction)PyvtkOpenGLRenderWindow_SetRGBAPixelData, 1,
   (char*)"V.SetRGBAPixelData(int, int, int, int, vtkFloatArray, int, int) -> int\nC++: virtual int SetRGBAPixelData (int x, int y, int x2, int y2, vtkFloatArray *, int front, int blend);\n\n Set/Get the pixel data of an image, transmitted as RGBARGBA... \n"},
  {(char*)"GetRGBACharPixelData",                (PyCFunction)PyvtkOpenGLRenderWindow_GetRGBACharPixelData, 1,
   (char*)"V.GetRGBACharPixelData(int, int, int, int, int, vtkUnsignedCharArray) -> int\nC++: virtual int GetRGBACharPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data);\n\n Set/Get the pixel data of an image, transmitted as RGBARGBA... \n"},
  {(char*)"SetRGBACharPixelData",                (PyCFunction)PyvtkOpenGLRenderWindow_SetRGBACharPixelData, 1,
   (char*)"V.SetRGBACharPixelData(int, int, int, int, vtkUnsignedCharArray, int, int) -> int\nC++: virtual int SetRGBACharPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *, int front, int blend);\n\n Set/Get the pixel data of an image, transmitted as RGBARGBA... \n"},
  {(char*)"GetZbufferData",                (PyCFunction)PyvtkOpenGLRenderWindow_GetZbufferData, 1,
   (char*)"V.GetZbufferData(int, int, int, int, vtkFloatArray) -> int\nC++: virtual int GetZbufferData (int x1, int y1, int x2, int y2, vtkFloatArray *z);\n\n Set/Get the zbuffer data from an image\n"},
  {(char*)"SetZbufferData",                (PyCFunction)PyvtkOpenGLRenderWindow_SetZbufferData, 1,
   (char*)"V.SetZbufferData(int, int, int, int, vtkFloatArray) -> int\nC++: virtual int SetZbufferData (int x1, int y1, int x2, int y2, vtkFloatArray *buffer);\n\n Set/Get the zbuffer data from an image\n"},
  {(char*)"MakeCurrent",                (PyCFunction)PyvtkOpenGLRenderWindow_MakeCurrent, 1,
   (char*)"V.MakeCurrent()\nC++: void MakeCurrent () = 0;\n\n Make this window the current OpenGL context.\n"},
  {(char*)"GetDepthBufferSize",                (PyCFunction)PyvtkOpenGLRenderWindow_GetDepthBufferSize, 1,
   (char*)"V.GetDepthBufferSize() -> int\nC++: int GetDepthBufferSize ();\n\n Get the size of the depth buffer.\n"},
  {(char*)"OpenGLInit",                (PyCFunction)PyvtkOpenGLRenderWindow_OpenGLInit, 1,
   (char*)"V.OpenGLInit()\nC++: virtual void OpenGLInit ();\n\n Initialize OpenGL for this window.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLRenderWindowDoc[] = {
  (char*)"vtkOpenGLRenderWindow - OpenGL rendering window\n\n",
  "Super Class:\n\n vtkRenderWindow\n\n",
  (char*)" vtkOpenGLRenderWindow is a concrete implementation of the abstract class\n vtkRenderWindow. vtkOpenGLRenderer interfaces to the OpenGL graphics\n library. Application programmers should normally use vtkRenderWindow\n instead of the OpenGL specific version.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkOpenGLRenderWindowNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkOpenGLRenderWindowMethods,
                        (char*)"vtkOpenGLRenderWindow",modulename,
                        (char**)vtkOpenGLRenderWindowDoc,
                        PyVTKClass_vtkRenderWindowNew(modulename));
}

