// tcl wrapper for vtkParallelCoordinatesActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelCoordinatesActor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkParallelCoordinatesActorNewCommand()
{
  vtkParallelCoordinatesActor *temp = vtkParallelCoordinatesActor::New();
  return ((ClientData)temp);
}

int vtkActor2DCppCommand(vtkActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParallelCoordinatesActorCppCommand(vtkParallelCoordinatesActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParallelCoordinatesActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParallelCoordinatesActorCppCommand((vtkParallelCoordinatesActor *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParallelCoordinatesActorCppCommand(vtkParallelCoordinatesActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParallelCoordinatesActor",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkActor2DCppCommand((vtkActor2D *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkActor2D", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParallelCoordinatesActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkParallelCoordinatesActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkParallelCoordinatesActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkParallelCoordinatesActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkParallelCoordinatesActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkParallelCoordinatesActor");
    return TCL_OK;
    }
  if ((!strcmp("SetIndependentVariables",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIndependentVariables(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndependentVariablesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentVariablesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIndependentVariablesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentVariablesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIndependentVariables",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentVariables();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIndependentVariablesToColumns",argv[1]))&&(argc == 2))
    {
    op->SetIndependentVariablesToColumns();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetIndependentVariablesToRows",argv[1]))&&(argc == 2))
    {
    op->SetIndependentVariablesToRows();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfLabelsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabelsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLabelsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabelsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTitleTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkTextProperty",interp,error));
    if (!error)
    {
    op->SetTitleTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTitleTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkTextProperty",interp,error));
    if (!error)
    {
    op->SetLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkViewport",interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkViewport",interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkViewport",interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataObject",interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkWindow",interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkParallelCoordinatesActorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParallelCoordinatesActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetIndependentVariables\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentVariablesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentVariablesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentVariables\n",NULL);
    Tcl_AppendResult(interp,"  SetIndependentVariablesToColumns\n",NULL);
    Tcl_AppendResult(interp,"  SetIndependentVariablesToRows\n",NULL);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabelsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabelsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabels\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkActor2DCppCommand((vtkActor2D *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
