// python wrapper for vtkPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPicker.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPickerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPickerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractPropPickerNew(char *); }

static PyObject *PyvtkPicker_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPicker *op;

  const char    *temp20;
  if ((op = (vtkPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPicker::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPicker_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPicker *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPicker *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPicker::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPicker_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPicker *op;

  vtkPicker  *temp20;
  if ((op = (vtkPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPicker::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPicker_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPicker  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPicker::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPicker_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPicker *op;

  double   temp0;
  if ((op = (vtkPicker *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPicker::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPicker_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPicker *op;

  double   temp20;
  if ((op = (vtkPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPicker::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPicker_GetMapperPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPicker *op;

  double  *temp20;
  if ((op = (vtkPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPicker::GetMapperPosition();
      }
    else
      {
      temp20 = op->GetMapperPosition();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkPicker_GetMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPicker *op;

  vtkAbstractMapper3D  *temp20;
  if ((op = (vtkPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPicker::GetMapper();
      }
    else
      {
      temp20 = op->GetMapper();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPicker_GetDataSet(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPicker *op;

  vtkDataSet  *temp20;
  if ((op = (vtkPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPicker::GetDataSet();
      }
    else
      {
      temp20 = op->GetDataSet();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPicker_GetProp3Ds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPicker *op;

  vtkProp3DCollection  *temp20;
  if ((op = (vtkPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPicker::GetProp3Ds();
      }
    else
      {
      temp20 = op->GetProp3Ds();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPicker_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPicker *op;

  vtkActorCollection  *temp20;
  if ((op = (vtkPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPicker::GetActors();
      }
    else
      {
      temp20 = op->GetActors();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPicker_GetPickedPositions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPicker *op;

  vtkPoints  *temp20;
  if ((op = (vtkPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPicker::GetPickedPositions();
      }
    else
      {
      temp20 = op->GetPickedPositions();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPicker_Pick(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPicker *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  PyObject *tempH3;
  int      temp20;
  if ((op = (vtkPicker *)PyArg_VTKParseTuple(self, args, (char*)"dddO", &temp0, &temp1, &temp2, &tempH3)))
    {
    temp3 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkRenderer");
    if (!temp3 && tempH3 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPicker::Pick(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Pick(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  /* handle an occurrence */
  {
  vtkPicker *op;

  double temp0[3];
  vtkRenderer  *temp1;
  PyObject *tempH1;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkPicker *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)O", temp0 + 0, temp0 + 1, temp0 + 2, &tempH1)))
    {
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPicker::Pick(temp0,temp1);
      }
    else
      {
      temp20 = op->Pick(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  return NULL;
}

static PyMethodDef PyvtkPickerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPicker_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPicker_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPicker_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPicker\nC++: vtkPicker *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPicker_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPicker\nC++: vtkPicker *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkPicker_SetTolerance, 1,
   (char*)"V.SetTolerance(float)\nC++: void SetTolerance (double );\n\n Specify tolerance for performing pick operation. Tolerance is specified\n as fraction of rendering window size. (Rendering window size is measured\n across diagonal.)\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkPicker_GetTolerance, 1,
   (char*)"V.GetTolerance() -> float\nC++: double GetTolerance ();\n\n Specify tolerance for performing pick operation. Tolerance is specified\n as fraction of rendering window size. (Rendering window size is measured\n across diagonal.)\n"},
  {(char*)"GetMapperPosition",                (PyCFunction)PyvtkPicker_GetMapperPosition, 1,
   (char*)"V.GetMapperPosition() -> (float, float, float)\nC++: double  *GetMapperPosition ();\n\n Return position in mapper (i.e., non-transformed) coordinates of \n pick point.\n"},
  {(char*)"GetMapper",                (PyCFunction)PyvtkPicker_GetMapper, 1,
   (char*)"V.GetMapper() -> vtkAbstractMapper3D\nC++: vtkAbstractMapper3D *GetMapper ();\n\n Return mapper that was picked (if any).\n"},
  {(char*)"GetDataSet",                (PyCFunction)PyvtkPicker_GetDataSet, 1,
   (char*)"V.GetDataSet() -> vtkDataSet\nC++: vtkDataSet *GetDataSet ();\n\n Get a pointer to the dataset that was picked (if any). If nothing \n was picked then NULL is returned.\n"},
  {(char*)"GetProp3Ds",                (PyCFunction)PyvtkPicker_GetProp3Ds, 1,
   (char*)"V.GetProp3Ds() -> vtkProp3DCollection\nC++: vtkProp3DCollection *GetProp3Ds ();return this Prop3Ds \n\n Return a collection of all the prop 3D's that were intersected\n by the pick ray. This collection is not sorted.\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkPicker_GetActors, 1,
   (char*)"V.GetActors() -> vtkActorCollection\nC++: vtkActorCollection *GetActors ();\n\n Return a collection of all the actors that were intersected.\n This collection is not sorted. (This is a convenience method\n to maintain backward compatibility.)\n"},
  {(char*)"GetPickedPositions",                (PyCFunction)PyvtkPicker_GetPickedPositions, 1,
   (char*)"V.GetPickedPositions() -> vtkPoints\nC++: vtkPoints *GetPickedPositions ();return this PickedPositions \n\n Return a list of the points the the actors returned by GetActors\n were intersected at. The order of this list will match the order of\n GetActors.\n"},
  {(char*)"Pick",                (PyCFunction)PyvtkPicker_Pick, 1,
   (char*)"V.Pick(float, float, float, vtkRenderer) -> int\nC++: virtual int Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer *renderer);\nV.Pick((float, float, float), vtkRenderer) -> int\nC++: int Pick (double selectionPt[3], vtkRenderer *ren);return this Pick selectionPt selectionPt selectionPt ren \n\n Perform pick operation with selection point provided. Normally the \n first two values for the selection point are x-y pixel coordinate, and\n the third value is =0. Return non-zero if something was successfully \n picked.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPickerDoc[] = {
  (char*)"vtkPicker - superclass for 3D geometric pickers (uses ray cast)\n\n",
  "Super Class:\n\n vtkAbstractPropPicker\n\n",
  (char*)" vtkPicker is used to select instances of vtkProp3D by shooting a ray \n into a graphics window and intersecting with the actor's bounding box. \n The ray is defined from a point defined in window (or pixel) coordinates, \n and a point located from the camera's position.\n\n vtkPicker may return more than one vtkProp3D, since more than one bounding \n box may be intersected. vtkPicker returns the list o",
  (char*)"f props that were hit, \n the pick coordinates in world and untransformed mapper space, and the \n prop (vtkProp3D) and mapper that are \"closest\" to the camera. The closest \n prop is the one whose center point (i.e., center of bounding box) \n projected on the ray is closest to the camera.\n\n",
  "See Also:\n\n vtkPicker is used for quick geometric picking. If you desire to pick\n points or cells, use the subclass vtkPointPicker or vtkCellPicker,\n respectively. Or you may use hardware picking to pick any type of vtkProp\n - see vtkPropPicker or vtkWorldPointPicker.\n\n",
  NULL
};

static vtkObjectBase *vtkPickerStaticNew()
{
  return vtkPicker::New();
}

PyObject *PyVTKClass_vtkPickerNew(char *modulename)
{
  return PyVTKClass_New(&vtkPickerStaticNew,
                        PyvtkPickerMethods,
                        (char*)"vtkPicker",modulename,
                        (char**)vtkPickerDoc,
                        PyVTKClass_vtkAbstractPropPickerNew(modulename));
}

