// python wrapper for vtkPolyDataMapper2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPolyDataMapper2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataMapper2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataMapper2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMapper2DNew(char *); }

static PyObject *PyvtkPolyDataMapper2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  const char    *temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  vtkPolyDataMapper2D  *temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolyDataMapper2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolyDataMapper2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  vtkPolyData  *temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  vtkScalarsToColors  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkScalarsToColors *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarsToColors");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetLookupTable(temp0);
      }
    else
      {
      op->SetLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_GetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  vtkScalarsToColors  *temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetLookupTable();
      }
    else
      {
      temp20 = op->GetLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_CreateDefaultLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::CreateDefaultLookupTable();
      }
    else
      {
      op->CreateDefaultLookupTable();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetScalarVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  int      temp0;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetScalarVisibility(temp0);
      }
    else
      {
      op->SetScalarVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_GetScalarVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  int      temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetScalarVisibility();
      }
    else
      {
      temp20 = op->GetScalarVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_ScalarVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::ScalarVisibilityOn();
      }
    else
      {
      op->ScalarVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_ScalarVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::ScalarVisibilityOff();
      }
    else
      {
      op->ScalarVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  int      temp0;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetColorMode(temp0);
      }
    else
      {
      op->SetColorMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_GetColorMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  int      temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetColorMode();
      }
    else
      {
      temp20 = op->GetColorMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetColorModeToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetColorModeToDefault();
      }
    else
      {
      op->SetColorModeToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetColorModeToMapScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetColorModeToMapScalars();
      }
    else
      {
      op->SetColorModeToMapScalars();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_GetColorModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  const char    *temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetColorModeAsString();
      }
    else
      {
      temp20 = op->GetColorModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetUseLookupTableScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  int      temp0;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetUseLookupTableScalarRange(temp0);
      }
    else
      {
      op->SetUseLookupTableScalarRange(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_GetUseLookupTableScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  int      temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetUseLookupTableScalarRange();
      }
    else
      {
      temp20 = op->GetUseLookupTableScalarRange();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_UseLookupTableScalarRangeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::UseLookupTableScalarRangeOn();
      }
    else
      {
      op->UseLookupTableScalarRangeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_UseLookupTableScalarRangeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::UseLookupTableScalarRangeOff();
      }
    else
      {
      op->UseLookupTableScalarRangeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetScalarRange(temp0,temp1);
      }
    else
      {
      op->SetScalarRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetScalarRange(temp0);
      }
    else
      {
      op->SetScalarRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_GetScalarRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  double  *temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetScalarRange();
      }
    else
      {
      temp20 = op->GetScalarRange();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  int      temp0;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetScalarMode(temp0);
      }
    else
      {
      op->SetScalarMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_GetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  int      temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetScalarMode();
      }
    else
      {
      temp20 = op->GetScalarMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetScalarModeToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetScalarModeToDefault();
      }
    else
      {
      op->SetScalarModeToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetScalarModeToUsePointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetScalarModeToUsePointData();
      }
    else
      {
      op->SetScalarModeToUsePointData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetScalarModeToUseCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetScalarModeToUseCellData();
      }
    else
      {
      op->SetScalarModeToUseCellData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetScalarModeToUsePointFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetScalarModeToUsePointFieldData();
      }
    else
      {
      op->SetScalarModeToUsePointFieldData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetScalarModeToUseCellFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetScalarModeToUseCellFieldData();
      }
    else
      {
      op->SetScalarModeToUseCellFieldData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_ColorByArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::ColorByArrayComponent(temp0,temp1);
      }
    else
      {
      op->ColorByArrayComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::ColorByArrayComponent(temp0,temp1);
      }
    else
      {
      op->ColorByArrayComponent(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_GetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  char    *temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetArrayName();
      }
    else
      {
      temp20 = op->GetArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_GetArrayId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  int      temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetArrayId();
      }
    else
      {
      temp20 = op->GetArrayId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_GetArrayAccessMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  int      temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetArrayAccessMode();
      }
    else
      {
      temp20 = op->GetArrayAccessMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_GetArrayComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  int      temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetArrayComponent();
      }
    else
      {
      temp20 = op->GetArrayComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  unsigned long     temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_SetTransformCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  vtkCoordinate  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCoordinate *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCoordinate");
    if (!temp0 && tempH0 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::SetTransformCoordinate(temp0);
      }
    else
      {
      op->SetTransformCoordinate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break39:
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_GetTransformCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  vtkCoordinate  *temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::GetTransformCoordinate();
      }
    else
      {
      temp20 = op->GetTransformCoordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_MapScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  double   temp0;
  vtkUnsignedCharArray  *temp20;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper2D::MapScalars(temp0);
      }
    else
      {
      temp20 = op->MapScalars(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper2D_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper2D *op;

  vtkAbstractMapper  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPolyDataMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAbstractMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractMapper");
    if (!temp0 && tempH0 != Py_None) goto break42;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper2D::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break42:
  return NULL;
}

static PyMethodDef PyvtkPolyDataMapper2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataMapper2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataMapper2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataMapper2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataMapper2D\nC++: vtkPolyDataMapper2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolyDataMapper2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolyDataMapper2D\nC++: vtkPolyDataMapper2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkPolyDataMapper2D_SetInput, 1,
   (char*)"V.SetInput(vtkPolyData)\nC++: void SetInput (vtkPolyData *in);\n\n Set the input to the mapper.  \n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkPolyDataMapper2D_GetInput, 1,
   (char*)"V.GetInput() -> vtkPolyData\nC++: vtkPolyData *GetInput ();\n\n Set the input to the mapper.  \n"},
  {(char*)"SetLookupTable",                (PyCFunction)PyvtkPolyDataMapper2D_SetLookupTable, 1,
   (char*)"V.SetLookupTable(vtkScalarsToColors)\nC++: void SetLookupTable (vtkScalarsToColors *lut);\n\n Specify a lookup table for the mapper to use.\n"},
  {(char*)"GetLookupTable",                (PyCFunction)PyvtkPolyDataMapper2D_GetLookupTable, 1,
   (char*)"V.GetLookupTable() -> vtkScalarsToColors\nC++: vtkScalarsToColors *GetLookupTable ();\n\n Specify a lookup table for the mapper to use.\n"},
  {(char*)"CreateDefaultLookupTable",                (PyCFunction)PyvtkPolyDataMapper2D_CreateDefaultLookupTable, 1,
   (char*)"V.CreateDefaultLookupTable()\nC++: virtual void CreateDefaultLookupTable ();\n\n Create default lookup table. Generally used to create one when none\n is available with the scalar data.\n"},
  {(char*)"SetScalarVisibility",                (PyCFunction)PyvtkPolyDataMapper2D_SetScalarVisibility, 1,
   (char*)"V.SetScalarVisibility(int)\nC++: void SetScalarVisibility (int );\n\n Turn on/off flag to control whether scalar data is used to color objects.\n"},
  {(char*)"GetScalarVisibility",                (PyCFunction)PyvtkPolyDataMapper2D_GetScalarVisibility, 1,
   (char*)"V.GetScalarVisibility() -> int\nC++: int GetScalarVisibility ();\n\n Turn on/off flag to control whether scalar data is used to color objects.\n"},
  {(char*)"ScalarVisibilityOn",                (PyCFunction)PyvtkPolyDataMapper2D_ScalarVisibilityOn, 1,
   (char*)"V.ScalarVisibilityOn()\nC++: void ScalarVisibilityOn ();\n\n Turn on/off flag to control whether scalar data is used to color objects.\n"},
  {(char*)"ScalarVisibilityOff",                (PyCFunction)PyvtkPolyDataMapper2D_ScalarVisibilityOff, 1,
   (char*)"V.ScalarVisibilityOff()\nC++: void ScalarVisibilityOff ();\n\n Turn on/off flag to control whether scalar data is used to color objects.\n"},
  {(char*)"SetColorMode",                (PyCFunction)PyvtkPolyDataMapper2D_SetColorMode, 1,
   (char*)"V.SetColorMode(int)\nC++: void SetColorMode (int );\n\n Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n ColorByArrayComponent() method.)\n"},
  {(char*)"GetColorMode",                (PyCFunction)PyvtkPolyDataMapper2D_GetColorMode, 1,
   (char*)"V.GetColorMode() -> int\nC++: int GetColorMode ();\n\n Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n ColorByArrayComponent() method.)\n"},
  {(char*)"SetColorModeToDefault",                (PyCFunction)PyvtkPolyDataMapper2D_SetColorModeToDefault, 1,
   (char*)"V.SetColorModeToDefault()\nC++: void SetColorModeToDefault ();\n\n Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n ColorByArrayComponent() method.)\n"},
  {(char*)"SetColorModeToMapScalars",                (PyCFunction)PyvtkPolyDataMapper2D_SetColorModeToMapScalars, 1,
   (char*)"V.SetColorModeToMapScalars()\nC++: void SetColorModeToMapScalars ();\n\n Control how the scalar data is mapped to colors.  By default\n (ColorModeToDefault), unsigned char scalars are treated as colors, and\n NOT mapped through the lookup table, while everything else is. Setting\n ColorModeToMapScalars means that all scalar data will be mapped through\n the lookup table.  (Note that for multi-component scalars, the\n particular component to use for mapping can be specified using the\n ColorByArrayComponent() method.)\n"},
  {(char*)"GetColorModeAsString",                (PyCFunction)PyvtkPolyDataMapper2D_GetColorModeAsString, 1,
   (char*)"V.GetColorModeAsString() -> string\nC++: const char *GetColorModeAsString ();\n\n Return the method of coloring scalar data.\n"},
  {(char*)"SetUseLookupTableScalarRange",                (PyCFunction)PyvtkPolyDataMapper2D_SetUseLookupTableScalarRange, 1,
   (char*)"V.SetUseLookupTableScalarRange(int)\nC++: void SetUseLookupTableScalarRange (int );\n\n Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n"},
  {(char*)"GetUseLookupTableScalarRange",                (PyCFunction)PyvtkPolyDataMapper2D_GetUseLookupTableScalarRange, 1,
   (char*)"V.GetUseLookupTableScalarRange() -> int\nC++: int GetUseLookupTableScalarRange ();\n\n Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n"},
  {(char*)"UseLookupTableScalarRangeOn",                (PyCFunction)PyvtkPolyDataMapper2D_UseLookupTableScalarRangeOn, 1,
   (char*)"V.UseLookupTableScalarRangeOn()\nC++: void UseLookupTableScalarRangeOn ();\n\n Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n"},
  {(char*)"UseLookupTableScalarRangeOff",                (PyCFunction)PyvtkPolyDataMapper2D_UseLookupTableScalarRangeOff, 1,
   (char*)"V.UseLookupTableScalarRangeOff()\nC++: void UseLookupTableScalarRangeOff ();\n\n Control whether the mapper sets the lookuptable range based on its\n own ScalarRange, or whether it will use the LookupTable ScalarRange\n regardless of it's own setting. By default the Mapper is allowed to set\n the LookupTable range, but users who are sharing LookupTables between\n mappers/actors will probably wish to force the mapper to use the\n LookupTable unchanged.\n"},
  {(char*)"SetScalarRange",                (PyCFunction)PyvtkPolyDataMapper2D_SetScalarRange, 1,
   (char*)"V.SetScalarRange(float, float)\nC++: void SetScalarRange (double , double );\nV.SetScalarRange((float, float))\nC++: void SetScalarRange (double  a[2]);\n\n Specify range in terms of scalar minimum and maximum (smin,smax). These\n values are used to map scalars into lookup table. Has no effect when\n UseLookupTableScalarRange is true.\n"},
  {(char*)"GetScalarRange",                (PyCFunction)PyvtkPolyDataMapper2D_GetScalarRange, 1,
   (char*)"V.GetScalarRange() -> (float, float)\nC++: double  *GetScalarRange ();\n\n Specify range in terms of scalar minimum and maximum (smin,smax). These\n values are used to map scalars into lookup table. Has no effect when\n UseLookupTableScalarRange is true.\n"},
  {(char*)"SetScalarMode",                (PyCFunction)PyvtkPolyDataMapper2D_SetScalarMode, 1,
   (char*)"V.SetScalarMode(int)\nC++: void SetScalarMode (int );\n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call ColorByArrayComponent before you call\n GetColors.\n"},
  {(char*)"GetScalarMode",                (PyCFunction)PyvtkPolyDataMapper2D_GetScalarMode, 1,
   (char*)"V.GetScalarMode() -> int\nC++: int GetScalarMode ();\n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call ColorByArrayComponent before you call\n GetColors.\n"},
  {(char*)"SetScalarModeToDefault",                (PyCFunction)PyvtkPolyDataMapper2D_SetScalarModeToDefault, 1,
   (char*)"V.SetScalarModeToDefault()\nC++: void SetScalarModeToDefault ();this SetScalarMode VTK_SCALAR_MODE_DEFAULT \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call ColorByArrayComponent before you call\n GetColors.\n"},
  {(char*)"SetScalarModeToUsePointData",                (PyCFunction)PyvtkPolyDataMapper2D_SetScalarModeToUsePointData, 1,
   (char*)"V.SetScalarModeToUsePointData()\nC++: void SetScalarModeToUsePointData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_DATA \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call ColorByArrayComponent before you call\n GetColors.\n"},
  {(char*)"SetScalarModeToUseCellData",                (PyCFunction)PyvtkPolyDataMapper2D_SetScalarModeToUseCellData, 1,
   (char*)"V.SetScalarModeToUseCellData()\nC++: void SetScalarModeToUseCellData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_DATA \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call ColorByArrayComponent before you call\n GetColors.\n"},
  {(char*)"SetScalarModeToUsePointFieldData",                (PyCFunction)PyvtkPolyDataMapper2D_SetScalarModeToUsePointFieldData, 1,
   (char*)"V.SetScalarModeToUsePointFieldData()\nC++: void SetScalarModeToUsePointFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_FIELD_DATA \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call ColorByArrayComponent before you call\n GetColors.\n"},
  {(char*)"SetScalarModeToUseCellFieldData",                (PyCFunction)PyvtkPolyDataMapper2D_SetScalarModeToUseCellFieldData, 1,
   (char*)"V.SetScalarModeToUseCellFieldData()\nC++: void SetScalarModeToUseCellFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_FIELD_DATA \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call ColorByArrayComponent before you call\n GetColors.\n"},
  {(char*)"ColorByArrayComponent",                (PyCFunction)PyvtkPolyDataMapper2D_ColorByArrayComponent, 1,
   (char*)"V.ColorByArrayComponent(int, int)\nC++: void ColorByArrayComponent (int arrayNum, int component);\nV.ColorByArrayComponent(string, int)\nC++: void ColorByArrayComponent (char *arrayName, int component);\n\n Choose which component of which field data array to color by.\n"},
  {(char*)"GetArrayName",                (PyCFunction)PyvtkPolyDataMapper2D_GetArrayName, 1,
   (char*)"V.GetArrayName() -> string\nC++: char *GetArrayName ();return this ArrayName \n\n Get the array name or number and component to color by.\n"},
  {(char*)"GetArrayId",                (PyCFunction)PyvtkPolyDataMapper2D_GetArrayId, 1,
   (char*)"V.GetArrayId() -> int\nC++: int GetArrayId ();return this ArrayId \n\n Get the array name or number and component to color by.\n"},
  {(char*)"GetArrayAccessMode",                (PyCFunction)PyvtkPolyDataMapper2D_GetArrayAccessMode, 1,
   (char*)"V.GetArrayAccessMode() -> int\nC++: int GetArrayAccessMode ();return this ArrayAccessMode \n\n Get the array name or number and component to color by.\n"},
  {(char*)"GetArrayComponent",                (PyCFunction)PyvtkPolyDataMapper2D_GetArrayComponent, 1,
   (char*)"V.GetArrayComponent() -> int\nC++: int GetArrayComponent ();return this ArrayComponent \n\n Overload standard modified time function. If lookup table is modified,\n then this object is modified as well.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkPolyDataMapper2D_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Overload standard modified time function. If lookup table is modified,\n then this object is modified as well.\n"},
  {(char*)"SetTransformCoordinate",                (PyCFunction)PyvtkPolyDataMapper2D_SetTransformCoordinate, 1,
   (char*)"V.SetTransformCoordinate(vtkCoordinate)\nC++: virtual void SetTransformCoordinate (vtkCoordinate *);\n\n Specify a vtkCoordinate object to be used to transform the vtkPolyData\n point coordinates. By default (no vtkCoordinate specified), the point \n coordinates are taken as local display coordinates.\n"},
  {(char*)"GetTransformCoordinate",                (PyCFunction)PyvtkPolyDataMapper2D_GetTransformCoordinate, 1,
   (char*)"V.GetTransformCoordinate() -> vtkCoordinate\nC++: vtkCoordinate *GetTransformCoordinate ();\n\n Specify a vtkCoordinate object to be used to transform the vtkPolyData\n point coordinates. By default (no vtkCoordinate specified), the point \n coordinates are taken as local display coordinates.\n"},
  {(char*)"MapScalars",                (PyCFunction)PyvtkPolyDataMapper2D_MapScalars, 1,
   (char*)"V.MapScalars(float) -> vtkUnsignedCharArray\nC++: vtkUnsignedCharArray *MapScalars (double alpha);\n\n Map the scalars (if there are any scalars and ScalarVisibility is on)\n through the lookup table, returning an unsigned char RGBA array. This is\n typically done as part of the rendering process. The alpha parameter \n allows the blending of the scalars with an additional alpha (typically\n which comes from a vtkActor, etc.)\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkPolyDataMapper2D_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkAbstractMapper)\nC++: void ShallowCopy (vtkAbstractMapper *m);\n\n Make a shallow copy of this mapper.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataMapper2DDoc[] = {
  (char*)"vtkPolyDataMapper2D - draw vtkPolyData onto the image plane\n\n",
  "Super Class:\n\n vtkMapper2D\n\n",
  (char*)" vtkPolyDataMapper2D is a mapper that renders 3D polygonal data \n (vtkPolyData) onto the 2D image plane (i.e., the renderer's viewport).\n By default, the 3D data is transformed into 2D data by ignoring the \n z-coordinate of the 3D points in vtkPolyData, and taking the x-y values \n as local display values (i.e., pixel coordinates). Alternatively, you\n can provide a vtkCoordinate object that will tr",
  (char*)"ansform the data into\n local display coordinates (use the vtkCoordinate::SetCoordinateSystem()\n methods to indicate which coordinate system you are transforming the\n data from).\n\n",
  "See Also:\n\n vtkMapper2D vtkActor2D\n\n",
  NULL
};

static vtkObjectBase *vtkPolyDataMapper2DStaticNew()
{
  return vtkPolyDataMapper2D::New();
}

PyObject *PyVTKClass_vtkPolyDataMapper2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolyDataMapper2DStaticNew,
                        PyvtkPolyDataMapper2DMethods,
                        (char*)"vtkPolyDataMapper2D",modulename,
                        (char**)vtkPolyDataMapper2DDoc,
                        PyVTKClass_vtkMapper2DNew(modulename));
}

