// python wrapper for vtkPolyDataMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPolyDataMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMapperNew(char *); }

static PyObject *PyvtkPolyDataMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  const char    *temp20;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  vtkPolyDataMapper  *temp20;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolyDataMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolyDataMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_RenderPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkActor  *temp1;
  PyObject *tempH1;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkActor *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->RenderPiece(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkActor  *temp1;
  PyObject *tempH1;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkActor *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkActor");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  vtkPolyData  *temp20;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_SetPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  int      temp0;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper::SetPiece(temp0);
      }
    else
      {
      op->SetPiece(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_GetPiece(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  int      temp20;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper::GetPiece();
      }
    else
      {
      temp20 = op->GetPiece();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_SetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  int      temp0;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper::SetNumberOfPieces(temp0);
      }
    else
      {
      op->SetNumberOfPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_GetNumberOfPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  int      temp20;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper::GetNumberOfPieces();
      }
    else
      {
      temp20 = op->GetNumberOfPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_SetNumberOfSubPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  int      temp0;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper::SetNumberOfSubPieces(temp0);
      }
    else
      {
      op->SetNumberOfSubPieces(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_GetNumberOfSubPieces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  int      temp20;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper::GetNumberOfSubPieces();
      }
    else
      {
      temp20 = op->GetNumberOfSubPieces();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_SetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  int      temp0;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper::SetGhostLevel(temp0);
      }
    else
      {
      op->SetGhostLevel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_GetGhostLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  int      temp20;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper::GetGhostLevel();
      }
    else
      {
      temp20 = op->GetGhostLevel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  double  *temp20;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataMapper::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  double temp0[6];
  PyErr_Clear();
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataMapper_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataMapper *op;

  vtkAbstractMapper  *temp0;
  PyObject *tempH0;
  if ((op = (vtkPolyDataMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAbstractMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractMapper");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataMapper::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}

static PyMethodDef PyvtkPolyDataMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataMapper\nC++: vtkPolyDataMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolyDataMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolyDataMapper\nC++: vtkPolyDataMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RenderPiece",                (PyCFunction)PyvtkPolyDataMapper_RenderPiece, 1,
   (char*)"V.RenderPiece(vtkRenderer, vtkActor)\nC++: virtual void RenderPiece (vtkRenderer *ren, vtkActor *act) = 0;\n\n Implemented by sub classes. Actual rendering is done here.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkPolyDataMapper_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkActor)\nC++: virtual void Render (vtkRenderer *ren, vtkActor *act);\n\n This calls RenderPiece (in a for loop is streaming is necessary).\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkPolyDataMapper_SetInput, 1,
   (char*)"V.SetInput(vtkPolyData)\nC++: void SetInput (vtkPolyData *in);\n\n Specify the input data to map.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkPolyDataMapper_GetInput, 1,
   (char*)"V.GetInput() -> vtkPolyData\nC++: vtkPolyData *GetInput ();\n\n Specify the input data to map.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkPolyDataMapper_Update, 1,
   (char*)"V.Update()\nC++: void Update ();\n\n Update that sets the update piece first.\n"},
  {(char*)"SetPiece",                (PyCFunction)PyvtkPolyDataMapper_SetPiece, 1,
   (char*)"V.SetPiece(int)\nC++: void SetPiece (int );\n\n If you want only a part of the data, specify by setting the piece.\n"},
  {(char*)"GetPiece",                (PyCFunction)PyvtkPolyDataMapper_GetPiece, 1,
   (char*)"V.GetPiece() -> int\nC++: int GetPiece ();\n\n If you want only a part of the data, specify by setting the piece.\n"},
  {(char*)"SetNumberOfPieces",                (PyCFunction)PyvtkPolyDataMapper_SetNumberOfPieces, 1,
   (char*)"V.SetNumberOfPieces(int)\nC++: void SetNumberOfPieces (int );\n\n If you want only a part of the data, specify by setting the piece.\n"},
  {(char*)"GetNumberOfPieces",                (PyCFunction)PyvtkPolyDataMapper_GetNumberOfPieces, 1,
   (char*)"V.GetNumberOfPieces() -> int\nC++: int GetNumberOfPieces ();\n\n If you want only a part of the data, specify by setting the piece.\n"},
  {(char*)"SetNumberOfSubPieces",                (PyCFunction)PyvtkPolyDataMapper_SetNumberOfSubPieces, 1,
   (char*)"V.SetNumberOfSubPieces(int)\nC++: void SetNumberOfSubPieces (int );\n\n If you want only a part of the data, specify by setting the piece.\n"},
  {(char*)"GetNumberOfSubPieces",                (PyCFunction)PyvtkPolyDataMapper_GetNumberOfSubPieces, 1,
   (char*)"V.GetNumberOfSubPieces() -> int\nC++: int GetNumberOfSubPieces ();\n\n If you want only a part of the data, specify by setting the piece.\n"},
  {(char*)"SetGhostLevel",                (PyCFunction)PyvtkPolyDataMapper_SetGhostLevel, 1,
   (char*)"V.SetGhostLevel(int)\nC++: void SetGhostLevel (int );\n\n Set the number of ghost cells to return.\n"},
  {(char*)"GetGhostLevel",                (PyCFunction)PyvtkPolyDataMapper_GetGhostLevel, 1,
   (char*)"V.GetGhostLevel() -> int\nC++: int GetGhostLevel ();\n\n Set the number of ghost cells to return.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkPolyDataMapper_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: virtual double *GetBounds ();\nV.GetBounds((float, float, float, float, float, float))\nC++: virtual void GetBounds (double bounds[6]);this Superclass GetBounds bounds \n\n Return bounding box (array of six doubles) of data expressed as\n (xmin,xmax, ymin,ymax, zmin,zmax).\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkPolyDataMapper_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkAbstractMapper)\nC++: void ShallowCopy (vtkAbstractMapper *m);\n\n Make a shallow copy of this mapper.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataMapperDoc[] = {
  (char*)"vtkPolyDataMapper - map vtkPolyData to graphics primitives\n\n",
  "Super Class:\n\n vtkMapper\n\n",
  (char*)" vtkPolyDataMapper is a class that maps polygonal data (i.e., vtkPolyData)\n to graphics primitives. vtkPolyDataMapper serves as a superclass for\n device-specific poly data mappers, that actually do the mapping to the\n rendering/graphics hardware/software.\n It is now possible to set a memory limit for the pipeline in the mapper.\n If the total estimated memory usage of the pipeline is larger than\n t",
  (char*)"his limit, the mapper will divide the data into pieces and render\n each in a for loop.\n\n",
  NULL
};

static vtkObjectBase *vtkPolyDataMapperStaticNew()
{
  return vtkPolyDataMapper::New();
}

PyObject *PyVTKClass_vtkPolyDataMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolyDataMapperStaticNew,
                        PyvtkPolyDataMapperMethods,
                        (char*)"vtkPolyDataMapper",modulename,
                        (char**)vtkPolyDataMapperDoc,
                        PyVTKClass_vtkMapperNew(modulename));
}

