// python wrapper for vtkProp3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkProp3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProp3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProp3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPropNew(char *); }

static PyObject *PyvtkProp3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  const char    *temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  vtkProp3D  *temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProp3D_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::SetPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double  *temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_AddPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double temp0[3];
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::AddPosition(temp0);
      }
    else
      {
      op->AddPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::AddPosition(temp0,temp1,temp2);
      }
    else
      {
      op->AddPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double  *temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::SetScale(temp0,temp1,temp2);
      }
    else
      {
      op->SetScale(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double   temp0;
  PyErr_Clear();
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double  *temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_SetUserTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  vtkLinearTransform  *temp0;
  PyObject *tempH0;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkLinearTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLinearTransform");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::SetUserTransform(temp0);
      }
    else
      {
      op->SetUserTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkProp3D_GetUserTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  vtkLinearTransform  *temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetUserTransform();
      }
    else
      {
      temp20 = op->GetUserTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_SetUserMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::SetUserMatrix(temp0);
      }
    else
      {
      op->SetUserMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkProp3D_GetUserMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  vtkMatrix4x4  *temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetUserMatrix();
      }
    else
      {
      temp20 = op->GetUserMatrix();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::GetMatrix(temp0);
      }
    else
      {
      op->GetMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double temp0[16];
  PyErr_Clear();
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"(dddddddddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5, temp0 + 6, temp0 + 7, temp0 + 8, temp0 + 9, temp0 + 10, temp0 + 11, temp0 + 12, temp0 + 13, temp0 + 14, temp0 + 15)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::GetMatrix(temp0);
      }
    else
      {
      op->GetMatrix(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,16)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProp3D *op;

  vtkMatrix4x4  *temp20;
  PyErr_Clear();
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetMatrix();
      }
    else
      {
      temp20 = op->GetMatrix();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double temp0[6];
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double  *temp20;
  PyErr_Clear();
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetBounds();
      }
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double  *temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetXRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double  *temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetXRange();
      }
    else
      {
      temp20 = op->GetXRange();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetYRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double  *temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetYRange();
      }
    else
      {
      temp20 = op->GetYRange();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetZRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double  *temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetZRange();
      }
    else
      {
      temp20 = op->GetZRange();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double   temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetLength();
      }
    else
      {
      temp20 = op->GetLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_RotateX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double   temp0;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::RotateX(temp0);
      }
    else
      {
      op->RotateX(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_RotateY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double   temp0;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::RotateY(temp0);
      }
    else
      {
      op->RotateY(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_RotateZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double   temp0;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::RotateZ(temp0);
      }
    else
      {
      op->RotateZ(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_RotateWXYZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::RotateWXYZ(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->RotateWXYZ(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_SetOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::SetOrientation(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrientation(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::SetOrientation(temp0);
      }
    else
      {
      op->SetOrientation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double  *temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetOrientation();
      }
    else
      {
      temp20 = op->GetOrientation();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::GetOrientation(temp0);
      }
    else
      {
      op->GetOrientation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetOrientationWXYZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double  *temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetOrientationWXYZ();
      }
    else
      {
      temp20 = op->GetOrientationWXYZ();
      }
    return Py_BuildValue((char*)"dddd",temp20[0],temp20[1],temp20[2],temp20[3]);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_AddOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::AddOrientation(temp0,temp1,temp2);
      }
    else
      {
      op->AddOrientation(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProp3D *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::AddOrientation(temp0);
      }
    else
      {
      op->AddOrientation(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_PokeMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  vtkMatrix4x4  *temp0;
  PyObject *tempH0;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkMatrix4x4");
    if (!temp0 && tempH0 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::PokeMatrix(temp0);
      }
    else
      {
      op->PokeMatrix(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break40:
  return NULL;
}


static PyObject *PyvtkProp3D_InitPathTraversal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::InitPathTraversal();
      }
    else
      {
      op->InitPathTraversal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  unsigned long     temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetUserTransformMatrixMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  unsigned long     temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetUserTransformMatrixMTime();
      }
    else
      {
      temp20 = op->GetUserTransformMatrixMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_ComputeMatrix(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProp3D::ComputeMatrix();
      }
    else
      {
      op->ComputeMatrix();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProp3D_GetIsIdentity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProp3D *op;

  int      temp20;
  if ((op = (vtkProp3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProp3D::GetIsIdentity();
      }
    else
      {
      temp20 = op->GetIsIdentity();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkProp3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProp3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProp3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProp3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProp3D\nC++: vtkProp3D *NewInstance ();\n\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkProp3D_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of this vtkProp3D.\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkProp3D_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: virtual void SetPosition (double _arg1, double _arg2, double _arg3);vtkDebugMacro this GetClassName this _arg1 _arg2 _arg3 if this Position _arg1 this Position _arg2 this Position _arg3 this Position _arg1 this Position _arg2 this Position _arg3 this Modified this IsIdentity \nV.SetPosition((float, float, float))\nC++: virtual void SetPosition (double _arg[3]);this SetPosition _arg _arg _arg \n\n Set/Get/Add the position of the Prop3D in world coordinates.\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkProp3D_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float, float)\nC++: double  *GetPosition ();\n\n Set/Get/Add the position of the Prop3D in world coordinates.\n"},
  {(char*)"AddPosition",                (PyCFunction)PyvtkProp3D_AddPosition, 1,
   (char*)"V.AddPosition((float, float, float))\nC++: void AddPosition (double deltaPosition[3]);\nV.AddPosition(float, float, float)\nC++: void AddPosition (double deltaX, double deltaY, double deltaZ);\n\n Set/Get/Add the position of the Prop3D in world coordinates.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkProp3D_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: virtual void SetOrigin (double _arg1, double _arg2, double _arg3);vtkDebugMacro this GetClassName this _arg1 _arg2 _arg3 if this Origin _arg1 this Origin _arg2 this Origin _arg3 this Origin _arg1 this Origin _arg2 this Origin _arg3 this Modified this IsIdentity \nV.SetOrigin((float, float, float))\nC++: virtual void SetOrigin (double _arg[3]);this SetOrigin _arg _arg _arg \n\n Set/Get the origin of the Prop3D. This is the point about which all \n rotations take place.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkProp3D_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double  *GetOrigin ();\n\n Set/Get the origin of the Prop3D. This is the point about which all \n rotations take place.\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkProp3D_SetScale, 1,
   (char*)"V.SetScale(float, float, float)\nC++: virtual void SetScale (double _arg1, double _arg2, double _arg3);vtkDebugMacro this GetClassName this _arg1 _arg2 _arg3 if this Scale _arg1 this Scale _arg2 this Scale _arg3 this Scale _arg1 this Scale _arg2 this Scale _arg3 this Modified this IsIdentity \nV.SetScale((float, float, float))\nC++: virtual void SetScale (double _arg[3]);this SetScale _arg _arg _arg \nV.SetScale(float)\nC++: void SetScale (double s);this SetScale s s s \n\n Set/Get the scale of the actor. Scaling in performed independently on the\n X, Y and Z axis. A scale of zero is illegal and will be replaced with one.\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkProp3D_GetScale, 1,
   (char*)"V.GetScale() -> (float, float, float)\nC++: double  *GetScale ();\n\n Set/Get the scale of the actor. Scaling in performed independently on the\n X, Y and Z axis. A scale of zero is illegal and will be replaced with one.\n"},
  {(char*)"SetUserTransform",                (PyCFunction)PyvtkProp3D_SetUserTransform, 1,
   (char*)"V.SetUserTransform(vtkLinearTransform)\nC++: void SetUserTransform (vtkLinearTransform *transform);\n\n In addition to the instance variables such as position and orientation,\n you can add an additional transformation for your own use.  This \n transformation is concatenated with the actor's internal transformation,\n which you implicitly create through the use of SetPosition(), \n SetOrigin() and SetOrientation().  \n <p>If the internal transformation\n is identity (i.e. if you don't set the Position, Origin, or \n Orientation) then the actors final transformation will be the\n UserTransform, concatenated with the UserMatrix if the UserMatrix\n is present.\n"},
  {(char*)"GetUserTransform",                (PyCFunction)PyvtkProp3D_GetUserTransform, 1,
   (char*)"V.GetUserTransform() -> vtkLinearTransform\nC++: vtkLinearTransform *GetUserTransform ();\n\n In addition to the instance variables such as position and orientation,\n you can add an additional transformation for your own use.  This \n transformation is concatenated with the actor's internal transformation,\n which you implicitly create through the use of SetPosition(), \n SetOrigin() and SetOrientation().  \n <p>If the internal transformation\n is identity (i.e. if you don't set the Position, Origin, or \n Orientation) then the actors final transformation will be the\n UserTransform, concatenated with the UserMatrix if the UserMatrix\n is present.\n"},
  {(char*)"SetUserMatrix",                (PyCFunction)PyvtkProp3D_SetUserMatrix, 1,
   (char*)"V.SetUserMatrix(vtkMatrix4x4)\nC++: void SetUserMatrix (vtkMatrix4x4 *matrix);\n\n The UserMatrix can be used in place of UserTransform.\n"},
  {(char*)"GetUserMatrix",                (PyCFunction)PyvtkProp3D_GetUserMatrix, 1,
   (char*)"V.GetUserMatrix() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetUserMatrix ();\n\n The UserMatrix can be used in place of UserTransform.\n"},
  {(char*)"GetMatrix",                (PyCFunction)PyvtkProp3D_GetMatrix, 1,
   (char*)"V.GetMatrix(vtkMatrix4x4)\nC++: virtual void GetMatrix (vtkMatrix4x4 *m);\nV.GetMatrix((float, float, float, float, float, float, float, float, float, float, float, float, float, float, float, float))\nC++: virtual void GetMatrix (double m[16]);\nV.GetMatrix() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetMatrix ();this ComputeMatrix return this Matrix \n\n Return a reference to the Prop3D's 4x4 composite matrix.\n Get the matrix from the position, origin, scale and orientation This\n matrix is cached, so multiple GetMatrix() calls will be efficient.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkProp3D_GetBounds, 1,
   (char*)"V.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);\nV.GetBounds() -> (float, float, float, float, float, float)\nC++: virtual double *GetBounds () = 0;\n\n Get the bounds for this Prop3D as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkProp3D_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double *GetCenter ();\n\n Get the center of the bounding box in world coordinates.\n"},
  {(char*)"GetXRange",                (PyCFunction)PyvtkProp3D_GetXRange, 1,
   (char*)"V.GetXRange() -> (float, float)\nC++: double *GetXRange ();\n\n Get the Prop3D's x range in world coordinates.\n"},
  {(char*)"GetYRange",                (PyCFunction)PyvtkProp3D_GetYRange, 1,
   (char*)"V.GetYRange() -> (float, float)\nC++: double *GetYRange ();\n\n Get the Prop3D's y range in world coordinates.\n"},
  {(char*)"GetZRange",                (PyCFunction)PyvtkProp3D_GetZRange, 1,
   (char*)"V.GetZRange() -> (float, float)\nC++: double *GetZRange ();\n\n Get the Prop3D's z range in world coordinates.\n"},
  {(char*)"GetLength",                (PyCFunction)PyvtkProp3D_GetLength, 1,
   (char*)"V.GetLength() -> float\nC++: double GetLength ();\n\n Get the length of the diagonal of the bounding box.\n"},
  {(char*)"RotateX",                (PyCFunction)PyvtkProp3D_RotateX, 1,
   (char*)"V.RotateX(float)\nC++: void RotateX (double );\n\n Rotate the Prop3D in degrees about the X axis using the right hand\n rule. The axis is the Prop3D's X axis, which can change as other\n rotations are performed.  To rotate about the world X axis use\n RotateWXYZ (angle, 1, 0, 0). This rotation is applied before all\n others in the current transformation matrix.\n"},
  {(char*)"RotateY",                (PyCFunction)PyvtkProp3D_RotateY, 1,
   (char*)"V.RotateY(float)\nC++: void RotateY (double );\n\n Rotate the Prop3D in degrees about the Y axis using the right hand\n rule. The axis is the Prop3D's Y axis, which can change as other\n rotations are performed.  To rotate about the world Y axis use\n RotateWXYZ (angle, 0, 1, 0). This rotation is applied before all\n others in the current transformation matrix.\n"},
  {(char*)"RotateZ",                (PyCFunction)PyvtkProp3D_RotateZ, 1,
   (char*)"V.RotateZ(float)\nC++: void RotateZ (double );\n\n Rotate the Prop3D in degrees about the Z axis using the right hand\n rule. The axis is the Prop3D's Z axis, which can change as other\n rotations are performed.  To rotate about the world Z axis use\n RotateWXYZ (angle, 0, 0, 1). This rotation is applied before all\n others in the current transformation matrix.\n"},
  {(char*)"RotateWXYZ",                (PyCFunction)PyvtkProp3D_RotateWXYZ, 1,
   (char*)"V.RotateWXYZ(float, float, float, float)\nC++: void RotateWXYZ (double , double , double , double );\n\n Rotate the Prop3D in degrees about an arbitrary axis specified by\n the last three arguments. The axis is specified in world\n coordinates. To rotate an about its model axes, use RotateX,\n RotateY, RotateZ.\n"},
  {(char*)"SetOrientation",                (PyCFunction)PyvtkProp3D_SetOrientation, 1,
   (char*)"V.SetOrientation(float, float, float)\nC++: void SetOrientation (double , double , double );\nV.SetOrientation((float, float, float))\nC++: void SetOrientation (double a[3]);\n\n Sets the orientation of the Prop3D.  Orientation is specified as\n X,Y and Z rotations in that order, but they are performed as\n RotateZ, RotateX, and finally RotateY.\n"},
  {(char*)"GetOrientation",                (PyCFunction)PyvtkProp3D_GetOrientation, 1,
   (char*)"V.GetOrientation() -> (float, float, float)\nC++: double *GetOrientation ();\nV.GetOrientation((float, float, float))\nC++: void GetOrientation (double o[3]);\n\n Returns the orientation of the Prop3D as s vector of X,Y and Z rotation.\n The ordering in which these rotations must be done to generate the \n same matrix is RotateZ, RotateX, and finally RotateY. See also \n SetOrientation.\n"},
  {(char*)"GetOrientationWXYZ",                (PyCFunction)PyvtkProp3D_GetOrientationWXYZ, 1,
   (char*)"V.GetOrientationWXYZ() -> (float, float, float, float)\nC++: double *GetOrientationWXYZ ();\n\n Returns the WXYZ orientation of the Prop3D. \n"},
  {(char*)"AddOrientation",                (PyCFunction)PyvtkProp3D_AddOrientation, 1,
   (char*)"V.AddOrientation(float, float, float)\nC++: void AddOrientation (double , double , double );\nV.AddOrientation((float, float, float))\nC++: void AddOrientation (double a[3]);\n\n Add to the current orientation. See SetOrientation and\n GetOrientation for more details. This basically does a\n GetOrientation, adds the passed in arguments, and then calls\n SetOrientation.\n"},
  {(char*)"PokeMatrix",                (PyCFunction)PyvtkProp3D_PokeMatrix, 1,
   (char*)"V.PokeMatrix(vtkMatrix4x4)\nC++: void PokeMatrix (vtkMatrix4x4 *matrix);\n\n This method modifies the vtkProp3D so that its transformation\n state is set to the matrix specified. The method does this by\n setting appropriate transformation-related ivars to initial\n values (i.e., not transformed), and placing the user-supplied\n matrix into the UserMatrix of this vtkProp3D. If the method is\n called again with a NULL matrix, then the original state of the\n vtkProp3D will be restored. This method is used to support\n picking and assembly structures.\n"},
  {(char*)"InitPathTraversal",                (PyCFunction)PyvtkProp3D_InitPathTraversal, 1,
   (char*)"V.InitPathTraversal()\nC++: void InitPathTraversal ();\n\n Overload vtkProp's method for setting up assembly paths. See\n the documentation for vtkProp.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkProp3D_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Get the vtkProp3D's mtime \n"},
  {(char*)"GetUserTransformMatrixMTime",                (PyCFunction)PyvtkProp3D_GetUserTransformMatrixMTime, 1,
   (char*)"V.GetUserTransformMatrixMTime() -> int\nC++: unsigned long GetUserTransformMatrixMTime ();\n\n Get the modified time of the user matrix or user transform.\n"},
  {(char*)"ComputeMatrix",                (PyCFunction)PyvtkProp3D_ComputeMatrix, 1,
   (char*)"V.ComputeMatrix()\nC++: virtual void ComputeMatrix ();\n\n Generate the matrix based on ivars\n"},
  {(char*)"GetIsIdentity",                (PyCFunction)PyvtkProp3D_GetIsIdentity, 1,
   (char*)"V.GetIsIdentity() -> int\nC++: int GetIsIdentity ();\n\n Is the matrix for this actor identity\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProp3DDoc[] = {
  (char*)"vtkProp3D - represents an 3D object for placement in a rendered scene \n\n",
  "Super Class:\n\n vtkProp\n\n",
  (char*)" vtkProp3D is an abstract class used to represent an entity in a rendering\n scene (i.e., vtkProp3D is a vtkProp with an associated transformation\n matrix).  It handles functions related to the position, orientation and\n scaling. It combines these instance variables into one 4x4 transformation\n matrix as follows: [x y z 1] = [x y z 1] Translate(-origin) Scale(scale)\n Rot(y) Rot(x) Rot (z) Trans(ori",
  (char*)"gin) Trans(position). Both vtkActor and\n vtkVolume are specializations of class vtkProp.  The constructor defaults\n to: origin(0,0,0) position=(0,0,0) orientation=(0,0,0), no user defined \n matrix or transform, and no texture map.\n\n",
  "See Also:\n\n vtkProp vtkActor vtkAssembly vtkVolume\n\n",
  NULL
};

PyObject *PyVTKClass_vtkProp3DNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkProp3DMethods,
                        (char*)"vtkProp3D",modulename,
                        (char**)vtkProp3DDoc,
                        PyVTKClass_vtkPropNew(modulename));
}

