// python wrapper for vtkPropPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkPropPicker.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPropPickerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPropPickerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractPropPickerNew(char *); }

static PyObject *PyvtkPropPicker_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropPicker *op;

  const char    *temp20;
  if ((op = (vtkPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropPicker::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPropPicker_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropPicker *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropPicker::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPropPicker_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropPicker *op;

  vtkPropPicker  *temp20;
  if ((op = (vtkPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropPicker::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPropPicker_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPropPicker  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPropPicker::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPropPicker_PickProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropPicker *op;

  double   temp0;
  double   temp1;
  vtkRenderer  *temp2;
  PyObject *tempH2;
  int      temp20;
  if ((op = (vtkPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"ddO", &temp0, &temp1, &tempH2)))
    {
    temp2 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkRenderer");
    if (!temp2 && tempH2 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropPicker::PickProp(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->PickProp(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkPropPicker *op;

  double   temp0;
  double   temp1;
  vtkRenderer  *temp2;
  PyObject *tempH2;
  vtkPropCollection  *temp3;
  PyObject *tempH3;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"ddOO", &temp0, &temp1, &tempH2, &tempH3)))
    {
    temp2 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkRenderer");
    if (!temp2 && tempH2 != Py_None) goto break5;
    temp3 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkPropCollection");
    if (!temp3 && tempH3 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropPicker::PickProp(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->PickProp(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkPropPicker_Pick(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPropPicker *op;

  double   temp0;
  double   temp1;
  double   temp2;
  vtkRenderer  *temp3;
  PyObject *tempH3;
  int      temp20;
  if ((op = (vtkPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"dddO", &temp0, &temp1, &temp2, &tempH3)))
    {
    temp3 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkRenderer");
    if (!temp3 && tempH3 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropPicker::Pick(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->Pick(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkPropPicker *op;

  double temp0[3];
  vtkRenderer  *temp1;
  PyObject *tempH1;
  int      temp20;
  PyErr_Clear();
  if ((op = (vtkPropPicker *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)O", temp0 + 0, temp0 + 1, temp0 + 2, &tempH1)))
    {
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPropPicker::Pick(temp0,temp1);
      }
    else
      {
      temp20 = op->Pick(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkPropPickerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPropPicker_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPropPicker_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPropPicker_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPropPicker\nC++: vtkPropPicker *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPropPicker_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPropPicker\nC++: vtkPropPicker *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"PickProp",                (PyCFunction)PyvtkPropPicker_PickProp, 1,
   (char*)"V.PickProp(float, float, vtkRenderer) -> int\nC++: int PickProp (double selectionX, double selectionY, vtkRenderer *renderer);\nV.PickProp(float, float, vtkRenderer, vtkPropCollection) -> int\nC++: int PickProp (double selectionX, double selectionY, vtkRenderer *renderer, vtkPropCollection *pickfrom);\n\n Perform the pick and set the PickedProp ivar. If something is picked, a\n 1 is returned, otherwise 0 is returned.  Use the GetViewProp() method\n to get the instance of vtkProp that was picked.  Props are picked from\n the renderers list of pickable Props.\n"},
  {(char*)"Pick",                (PyCFunction)PyvtkPropPicker_Pick, 1,
   (char*)"V.Pick(float, float, float, vtkRenderer) -> int\nC++: int Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer *renderer);\nV.Pick((float, float, float), vtkRenderer) -> int\nC++: int Pick (double selectionPt[3], vtkRenderer *renderer);return this Pick selectionPt selectionPt selectionPt renderer \n\n Overide superclasses' Pick() method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPropPickerDoc[] = {
  (char*)"vtkPropPicker - pick an actor/prop using graphics hardware\n\n",
  "Super Class:\n\n vtkAbstractPropPicker\n\n",
  (char*)" vtkPropPicker is used to pick an actor/prop given a selection\n point (in display coordinates) and a renderer. This class uses\n graphics hardware/rendering system to pick rapidly (as compared\n to using ray casting as does vtkCellPicker and vtkPointPicker).\n This class determines the actor/prop and pick position in world\n coordinates; point and cell ids are not determined.\n\n",
  "See Also:\n\n vtkPicker vtkWorldPointPicker vtkCellPicker vtkPointPicker \n\n",
  NULL
};

static vtkObjectBase *vtkPropPickerStaticNew()
{
  return vtkPropPicker::New();
}

PyObject *PyVTKClass_vtkPropPickerNew(char *modulename)
{
  return PyVTKClass_New(&vtkPropPickerStaticNew,
                        PyvtkPropPickerMethods,
                        (char*)"vtkPropPicker",modulename,
                        (char**)vtkPropPickerDoc,
                        PyVTKClass_vtkAbstractPropPickerNew(modulename));
}

