// python wrapper for vtkProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkProperty.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPropertyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPropertyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkProperty_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  const char    *temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  vtkProperty  *temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProperty  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProperty::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProperty_DeepCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::DeepCopy(temp0);
      }
    else
      {
      op->DeepCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkProperty_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  vtkActor  *temp0;
  PyObject *tempH0;
  vtkRenderer  *temp1;
  PyObject *tempH1;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkActor");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkProperty_BackfaceRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  vtkActor  *temp0;
  PyObject *tempH0;
  vtkRenderer  *temp1;
  PyObject *tempH1;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkActor");
    if (!temp0 && tempH0 != Py_None) goto break6;
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::BackfaceRender(temp0,temp1);
      }
    else
      {
      op->BackfaceRender(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkProperty_SetInterpolation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetInterpolation(temp0);
      }
    else
      {
      op->SetInterpolation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetInterpolationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetInterpolationMinValue();
      }
    else
      {
      temp20 = op->GetInterpolationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetInterpolationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetInterpolationMaxValue();
      }
    else
      {
      temp20 = op->GetInterpolationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetInterpolation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetInterpolation();
      }
    else
      {
      temp20 = op->GetInterpolation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetInterpolationToFlat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetInterpolationToFlat();
      }
    else
      {
      op->SetInterpolationToFlat();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetInterpolationToGouraud(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetInterpolationToGouraud();
      }
    else
      {
      op->SetInterpolationToGouraud();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetInterpolationToPhong(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetInterpolationToPhong();
      }
    else
      {
      op->SetInterpolationToPhong();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetInterpolationAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  char    *temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetInterpolationAsString();
      }
    else
      {
      temp20 = op->GetInterpolationAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetRepresentationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetRepresentationMinValue();
      }
    else
      {
      temp20 = op->GetRepresentationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetRepresentationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetRepresentationMaxValue();
      }
    else
      {
      temp20 = op->GetRepresentationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetRepresentation();
      }
    else
      {
      temp20 = op->GetRepresentation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetRepresentationToPoints(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetRepresentationToPoints();
      }
    else
      {
      op->SetRepresentationToPoints();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetRepresentationToWireframe(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetRepresentationToWireframe();
      }
    else
      {
      op->SetRepresentationToWireframe();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetRepresentationToSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetRepresentationToSurface();
      }
    else
      {
      op->SetRepresentationToSurface();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetRepresentationAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  char    *temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetRepresentationAsString();
      }
    else
      {
      temp20 = op->GetRepresentationAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProperty *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetColor(temp0);
      }
    else
      {
      op->SetColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double  *temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetColor();
      }
    else
      {
      temp20 = op->GetColor();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  vtkProperty *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::GetColor(temp0);
      }
    else
      {
      op->GetColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetAmbient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetAmbient(temp0);
      }
    else
      {
      op->SetAmbient(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetAmbientMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetAmbientMinValue();
      }
    else
      {
      temp20 = op->GetAmbientMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetAmbientMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetAmbientMaxValue();
      }
    else
      {
      temp20 = op->GetAmbientMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetAmbient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetAmbient();
      }
    else
      {
      temp20 = op->GetAmbient();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetDiffuse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetDiffuse(temp0);
      }
    else
      {
      op->SetDiffuse(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetDiffuseMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetDiffuseMinValue();
      }
    else
      {
      temp20 = op->GetDiffuseMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetDiffuseMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetDiffuseMaxValue();
      }
    else
      {
      temp20 = op->GetDiffuseMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetDiffuse(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetDiffuse();
      }
    else
      {
      temp20 = op->GetDiffuse();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetSpecular(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetSpecular(temp0);
      }
    else
      {
      op->SetSpecular(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetSpecularMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetSpecularMinValue();
      }
    else
      {
      temp20 = op->GetSpecularMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetSpecularMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetSpecularMaxValue();
      }
    else
      {
      temp20 = op->GetSpecularMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetSpecular(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetSpecular();
      }
    else
      {
      temp20 = op->GetSpecular();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetSpecularPower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetSpecularPower(temp0);
      }
    else
      {
      op->SetSpecularPower(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetSpecularPowerMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetSpecularPowerMinValue();
      }
    else
      {
      temp20 = op->GetSpecularPowerMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetSpecularPowerMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetSpecularPowerMaxValue();
      }
    else
      {
      temp20 = op->GetSpecularPowerMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetSpecularPower(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetSpecularPower();
      }
    else
      {
      temp20 = op->GetSpecularPower();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetOpacity(temp0);
      }
    else
      {
      op->SetOpacity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetOpacityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetOpacityMinValue();
      }
    else
      {
      temp20 = op->GetOpacityMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetOpacityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetOpacityMaxValue();
      }
    else
      {
      temp20 = op->GetOpacityMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetOpacity();
      }
    else
      {
      temp20 = op->GetOpacity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetAmbientColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetAmbientColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetAmbientColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProperty *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetAmbientColor(temp0);
      }
    else
      {
      op->SetAmbientColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetAmbientColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double  *temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetAmbientColor();
      }
    else
      {
      temp20 = op->GetAmbientColor();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetDiffuseColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetDiffuseColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetDiffuseColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProperty *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetDiffuseColor(temp0);
      }
    else
      {
      op->SetDiffuseColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetDiffuseColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double  *temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetDiffuseColor();
      }
    else
      {
      temp20 = op->GetDiffuseColor();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetSpecularColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetSpecularColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetSpecularColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProperty *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetSpecularColor(temp0);
      }
    else
      {
      op->SetSpecularColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetSpecularColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double  *temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetSpecularColor();
      }
    else
      {
      temp20 = op->GetSpecularColor();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetEdgeVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetEdgeVisibility();
      }
    else
      {
      temp20 = op->GetEdgeVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetEdgeVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetEdgeVisibility(temp0);
      }
    else
      {
      op->SetEdgeVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_EdgeVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::EdgeVisibilityOn();
      }
    else
      {
      op->EdgeVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_EdgeVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::EdgeVisibilityOff();
      }
    else
      {
      op->EdgeVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetEdgeColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetEdgeColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetEdgeColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProperty *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetEdgeColor(temp0);
      }
    else
      {
      op->SetEdgeColor(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetEdgeColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  double  *temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetEdgeColor();
      }
    else
      {
      temp20 = op->GetEdgeColor();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetLineWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  float    temp0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetLineWidth(temp0);
      }
    else
      {
      op->SetLineWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetLineWidthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  float    temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetLineWidthMinValue();
      }
    else
      {
      temp20 = op->GetLineWidthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetLineWidthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  float    temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetLineWidthMaxValue();
      }
    else
      {
      temp20 = op->GetLineWidthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetLineWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  float    temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetLineWidth();
      }
    else
      {
      temp20 = op->GetLineWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetLineStipplePattern(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetLineStipplePattern(temp0);
      }
    else
      {
      op->SetLineStipplePattern(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetLineStipplePattern(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetLineStipplePattern();
      }
    else
      {
      temp20 = op->GetLineStipplePattern();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetLineStippleRepeatFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetLineStippleRepeatFactor(temp0);
      }
    else
      {
      op->SetLineStippleRepeatFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetLineStippleRepeatFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetLineStippleRepeatFactorMinValue();
      }
    else
      {
      temp20 = op->GetLineStippleRepeatFactorMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetLineStippleRepeatFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetLineStippleRepeatFactorMaxValue();
      }
    else
      {
      temp20 = op->GetLineStippleRepeatFactorMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetLineStippleRepeatFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetLineStippleRepeatFactor();
      }
    else
      {
      temp20 = op->GetLineStippleRepeatFactor();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetPointSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  float    temp0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetPointSize(temp0);
      }
    else
      {
      op->SetPointSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetPointSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  float    temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetPointSizeMinValue();
      }
    else
      {
      temp20 = op->GetPointSizeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetPointSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  float    temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetPointSizeMaxValue();
      }
    else
      {
      temp20 = op->GetPointSizeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetPointSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  float    temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetPointSize();
      }
    else
      {
      temp20 = op->GetPointSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetBackfaceCulling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetBackfaceCulling();
      }
    else
      {
      temp20 = op->GetBackfaceCulling();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetBackfaceCulling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetBackfaceCulling(temp0);
      }
    else
      {
      op->SetBackfaceCulling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_BackfaceCullingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::BackfaceCullingOn();
      }
    else
      {
      op->BackfaceCullingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_BackfaceCullingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::BackfaceCullingOff();
      }
    else
      {
      op->BackfaceCullingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_GetFrontfaceCulling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp20;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProperty::GetFrontfaceCulling();
      }
    else
      {
      temp20 = op->GetFrontfaceCulling();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_SetFrontfaceCulling(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  int      temp0;
  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::SetFrontfaceCulling(temp0);
      }
    else
      {
      op->SetFrontfaceCulling(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_FrontfaceCullingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::FrontfaceCullingOn();
      }
    else
      {
      op->FrontfaceCullingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProperty_FrontfaceCullingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProperty *op;

  if ((op = (vtkProperty *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProperty::FrontfaceCullingOff();
      }
    else
      {
      op->FrontfaceCullingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPropertyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProperty_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProperty_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProperty_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProperty\nC++: vtkProperty *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProperty_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProperty\nC++: vtkProperty *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"DeepCopy",                (PyCFunction)PyvtkProperty_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkProperty)\nC++: void DeepCopy (vtkProperty *p);\n\n Assign one property to another. \n"},
  {(char*)"Render",                (PyCFunction)PyvtkProperty_Render, 1,
   (char*)"V.Render(vtkActor, vtkRenderer)\nC++: virtual void Render (vtkActor *, vtkRenderer *);\n\n This method causes the property to set up whatever is required for\n its instance variables. This is actually handled by a subclass of\n vtkProperty, which is created automatically. This\n method includes the invoking actor as an argument which can\n be used by property devices that require the actor.\n"},
  {(char*)"BackfaceRender",                (PyCFunction)PyvtkProperty_BackfaceRender, 1,
   (char*)"V.BackfaceRender(vtkActor, vtkRenderer)\nC++: virtual void BackfaceRender (vtkActor *, vtkRenderer *);\n\n This method renders the property as a backface property. TwoSidedLighting\n must be turned off to see any backface properties. Note that only\n colors and opacity are used for backface properties. Other properties\n such as Representation, Culling are specified by the Property.\n"},
  {(char*)"SetInterpolation",                (PyCFunction)PyvtkProperty_SetInterpolation, 1,
   (char*)"V.SetInterpolation(int)\nC++: void SetInterpolation (int );\n\n Set the shading interpolation method for an object.\n"},
  {(char*)"GetInterpolationMinValue",                (PyCFunction)PyvtkProperty_GetInterpolationMinValue, 1,
   (char*)"V.GetInterpolationMinValue() -> int\nC++: int GetInterpolationMinValue ();\n\n Set the shading interpolation method for an object.\n"},
  {(char*)"GetInterpolationMaxValue",                (PyCFunction)PyvtkProperty_GetInterpolationMaxValue, 1,
   (char*)"V.GetInterpolationMaxValue() -> int\nC++: int GetInterpolationMaxValue ();\n\n Set the shading interpolation method for an object.\n"},
  {(char*)"GetInterpolation",                (PyCFunction)PyvtkProperty_GetInterpolation, 1,
   (char*)"V.GetInterpolation() -> int\nC++: int GetInterpolation ();\n\n Set the shading interpolation method for an object.\n"},
  {(char*)"SetInterpolationToFlat",                (PyCFunction)PyvtkProperty_SetInterpolationToFlat, 1,
   (char*)"V.SetInterpolationToFlat()\nC++: void SetInterpolationToFlat ();this SetInterpolation VTK_FLAT \n\n Set the shading interpolation method for an object.\n"},
  {(char*)"SetInterpolationToGouraud",                (PyCFunction)PyvtkProperty_SetInterpolationToGouraud, 1,
   (char*)"V.SetInterpolationToGouraud()\nC++: void SetInterpolationToGouraud ();this SetInterpolation VTK_GOURAUD \n\n Set the shading interpolation method for an object.\n"},
  {(char*)"SetInterpolationToPhong",                (PyCFunction)PyvtkProperty_SetInterpolationToPhong, 1,
   (char*)"V.SetInterpolationToPhong()\nC++: void SetInterpolationToPhong ();this SetInterpolation VTK_PHONG \n\n Set the shading interpolation method for an object.\n"},
  {(char*)"GetInterpolationAsString",                (PyCFunction)PyvtkProperty_GetInterpolationAsString, 1,
   (char*)"V.GetInterpolationAsString() -> string\nC++: char *GetInterpolationAsString ();\n\n Set the shading interpolation method for an object.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkProperty_SetRepresentation, 1,
   (char*)"V.SetRepresentation(int)\nC++: void SetRepresentation (int );\n\n Control the surface geometry representation for the object.\n"},
  {(char*)"GetRepresentationMinValue",                (PyCFunction)PyvtkProperty_GetRepresentationMinValue, 1,
   (char*)"V.GetRepresentationMinValue() -> int\nC++: int GetRepresentationMinValue ();\n\n Control the surface geometry representation for the object.\n"},
  {(char*)"GetRepresentationMaxValue",                (PyCFunction)PyvtkProperty_GetRepresentationMaxValue, 1,
   (char*)"V.GetRepresentationMaxValue() -> int\nC++: int GetRepresentationMaxValue ();\n\n Control the surface geometry representation for the object.\n"},
  {(char*)"GetRepresentation",                (PyCFunction)PyvtkProperty_GetRepresentation, 1,
   (char*)"V.GetRepresentation() -> int\nC++: int GetRepresentation ();\n\n Control the surface geometry representation for the object.\n"},
  {(char*)"SetRepresentationToPoints",                (PyCFunction)PyvtkProperty_SetRepresentationToPoints, 1,
   (char*)"V.SetRepresentationToPoints()\nC++: void SetRepresentationToPoints ();this SetRepresentation VTK_POINTS \n\n Control the surface geometry representation for the object.\n"},
  {(char*)"SetRepresentationToWireframe",                (PyCFunction)PyvtkProperty_SetRepresentationToWireframe, 1,
   (char*)"V.SetRepresentationToWireframe()\nC++: void SetRepresentationToWireframe ();this SetRepresentation VTK_WIREFRAME \n\n Control the surface geometry representation for the object.\n"},
  {(char*)"SetRepresentationToSurface",                (PyCFunction)PyvtkProperty_SetRepresentationToSurface, 1,
   (char*)"V.SetRepresentationToSurface()\nC++: void SetRepresentationToSurface ();this SetRepresentation VTK_SURFACE \n\n Control the surface geometry representation for the object.\n"},
  {(char*)"GetRepresentationAsString",                (PyCFunction)PyvtkProperty_GetRepresentationAsString, 1,
   (char*)"V.GetRepresentationAsString() -> string\nC++: char *GetRepresentationAsString ();\n\n Control the surface geometry representation for the object.\n"},
  {(char*)"SetColor",                (PyCFunction)PyvtkProperty_SetColor, 1,
   (char*)"V.SetColor(float, float, float)\nC++: void SetColor (double r, double g, double b);\nV.SetColor((float, float, float))\nC++: void SetColor (double a[3]);this SetColor a a a \n\n Set the color of the object. Has the side effect of setting the\n ambient diffuse and specular colors as well. This is basically\n a quick overall color setting method.\n"},
  {(char*)"GetColor",                (PyCFunction)PyvtkProperty_GetColor, 1,
   (char*)"V.GetColor() -> (float, float, float)\nC++: double *GetColor ();\nV.GetColor((float, float, float))\nC++: void GetColor (double rgb[3]);\n\n Set the color of the object. Has the side effect of setting the\n ambient diffuse and specular colors as well. This is basically\n a quick overall color setting method.\n"},
  {(char*)"SetAmbient",                (PyCFunction)PyvtkProperty_SetAmbient, 1,
   (char*)"V.SetAmbient(float)\nC++: void SetAmbient (double );\n\n Set/Get the ambient lighting coefficient.\n"},
  {(char*)"GetAmbientMinValue",                (PyCFunction)PyvtkProperty_GetAmbientMinValue, 1,
   (char*)"V.GetAmbientMinValue() -> float\nC++: double GetAmbientMinValue ();\n\n Set/Get the ambient lighting coefficient.\n"},
  {(char*)"GetAmbientMaxValue",                (PyCFunction)PyvtkProperty_GetAmbientMaxValue, 1,
   (char*)"V.GetAmbientMaxValue() -> float\nC++: double GetAmbientMaxValue ();\n\n Set/Get the ambient lighting coefficient.\n"},
  {(char*)"GetAmbient",                (PyCFunction)PyvtkProperty_GetAmbient, 1,
   (char*)"V.GetAmbient() -> float\nC++: double GetAmbient ();\n\n Set/Get the ambient lighting coefficient.\n"},
  {(char*)"SetDiffuse",                (PyCFunction)PyvtkProperty_SetDiffuse, 1,
   (char*)"V.SetDiffuse(float)\nC++: void SetDiffuse (double );\n\n Set/Get the diffuse lighting coefficient.\n"},
  {(char*)"GetDiffuseMinValue",                (PyCFunction)PyvtkProperty_GetDiffuseMinValue, 1,
   (char*)"V.GetDiffuseMinValue() -> float\nC++: double GetDiffuseMinValue ();\n\n Set/Get the diffuse lighting coefficient.\n"},
  {(char*)"GetDiffuseMaxValue",                (PyCFunction)PyvtkProperty_GetDiffuseMaxValue, 1,
   (char*)"V.GetDiffuseMaxValue() -> float\nC++: double GetDiffuseMaxValue ();\n\n Set/Get the diffuse lighting coefficient.\n"},
  {(char*)"GetDiffuse",                (PyCFunction)PyvtkProperty_GetDiffuse, 1,
   (char*)"V.GetDiffuse() -> float\nC++: double GetDiffuse ();\n\n Set/Get the diffuse lighting coefficient.\n"},
  {(char*)"SetSpecular",                (PyCFunction)PyvtkProperty_SetSpecular, 1,
   (char*)"V.SetSpecular(float)\nC++: void SetSpecular (double );\n\n Set/Get the specular lighting coefficient.\n"},
  {(char*)"GetSpecularMinValue",                (PyCFunction)PyvtkProperty_GetSpecularMinValue, 1,
   (char*)"V.GetSpecularMinValue() -> float\nC++: double GetSpecularMinValue ();\n\n Set/Get the specular lighting coefficient.\n"},
  {(char*)"GetSpecularMaxValue",                (PyCFunction)PyvtkProperty_GetSpecularMaxValue, 1,
   (char*)"V.GetSpecularMaxValue() -> float\nC++: double GetSpecularMaxValue ();\n\n Set/Get the specular lighting coefficient.\n"},
  {(char*)"GetSpecular",                (PyCFunction)PyvtkProperty_GetSpecular, 1,
   (char*)"V.GetSpecular() -> float\nC++: double GetSpecular ();\n\n Set/Get the specular lighting coefficient.\n"},
  {(char*)"SetSpecularPower",                (PyCFunction)PyvtkProperty_SetSpecularPower, 1,
   (char*)"V.SetSpecularPower(float)\nC++: void SetSpecularPower (double );\n\n Set/Get the specular power.\n"},
  {(char*)"GetSpecularPowerMinValue",                (PyCFunction)PyvtkProperty_GetSpecularPowerMinValue, 1,
   (char*)"V.GetSpecularPowerMinValue() -> float\nC++: double GetSpecularPowerMinValue ();\n\n Set/Get the specular power.\n"},
  {(char*)"GetSpecularPowerMaxValue",                (PyCFunction)PyvtkProperty_GetSpecularPowerMaxValue, 1,
   (char*)"V.GetSpecularPowerMaxValue() -> float\nC++: double GetSpecularPowerMaxValue ();\n\n Set/Get the specular power.\n"},
  {(char*)"GetSpecularPower",                (PyCFunction)PyvtkProperty_GetSpecularPower, 1,
   (char*)"V.GetSpecularPower() -> float\nC++: double GetSpecularPower ();\n\n Set/Get the specular power.\n"},
  {(char*)"SetOpacity",                (PyCFunction)PyvtkProperty_SetOpacity, 1,
   (char*)"V.SetOpacity(float)\nC++: void SetOpacity (double );\n\n Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n"},
  {(char*)"GetOpacityMinValue",                (PyCFunction)PyvtkProperty_GetOpacityMinValue, 1,
   (char*)"V.GetOpacityMinValue() -> float\nC++: double GetOpacityMinValue ();\n\n Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n"},
  {(char*)"GetOpacityMaxValue",                (PyCFunction)PyvtkProperty_GetOpacityMaxValue, 1,
   (char*)"V.GetOpacityMaxValue() -> float\nC++: double GetOpacityMaxValue ();\n\n Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n"},
  {(char*)"GetOpacity",                (PyCFunction)PyvtkProperty_GetOpacity, 1,
   (char*)"V.GetOpacity() -> float\nC++: double GetOpacity ();\n\n Set/Get the object's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n"},
  {(char*)"SetAmbientColor",                (PyCFunction)PyvtkProperty_SetAmbientColor, 1,
   (char*)"V.SetAmbientColor(float, float, float)\nC++: void SetAmbientColor (double , double , double );\nV.SetAmbientColor((float, float, float))\nC++: void SetAmbientColor (double  a[3]);\n\n Set/Get the ambient surface color. Not all renderers support separate\n ambient and diffuse colors. From a physical standpoint it really\n doesn't make too much sense to have both. For the rendering\n libraries that don't support both, the diffuse color is used.\n"},
  {(char*)"GetAmbientColor",                (PyCFunction)PyvtkProperty_GetAmbientColor, 1,
   (char*)"V.GetAmbientColor() -> (float, float, float)\nC++: double  *GetAmbientColor ();\n\n Set/Get the ambient surface color. Not all renderers support separate\n ambient and diffuse colors. From a physical standpoint it really\n doesn't make too much sense to have both. For the rendering\n libraries that don't support both, the diffuse color is used.\n"},
  {(char*)"SetDiffuseColor",                (PyCFunction)PyvtkProperty_SetDiffuseColor, 1,
   (char*)"V.SetDiffuseColor(float, float, float)\nC++: void SetDiffuseColor (double , double , double );\nV.SetDiffuseColor((float, float, float))\nC++: void SetDiffuseColor (double  a[3]);\n\n Set/Get the diffuse surface color.\n"},
  {(char*)"GetDiffuseColor",                (PyCFunction)PyvtkProperty_GetDiffuseColor, 1,
   (char*)"V.GetDiffuseColor() -> (float, float, float)\nC++: double  *GetDiffuseColor ();\n\n Set/Get the diffuse surface color.\n"},
  {(char*)"SetSpecularColor",                (PyCFunction)PyvtkProperty_SetSpecularColor, 1,
   (char*)"V.SetSpecularColor(float, float, float)\nC++: void SetSpecularColor (double , double , double );\nV.SetSpecularColor((float, float, float))\nC++: void SetSpecularColor (double  a[3]);\n\n Set/Get the specular surface color.\n"},
  {(char*)"GetSpecularColor",                (PyCFunction)PyvtkProperty_GetSpecularColor, 1,
   (char*)"V.GetSpecularColor() -> (float, float, float)\nC++: double  *GetSpecularColor ();\n\n Set/Get the specular surface color.\n"},
  {(char*)"GetEdgeVisibility",                (PyCFunction)PyvtkProperty_GetEdgeVisibility, 1,
   (char*)"V.GetEdgeVisibility() -> int\nC++: int GetEdgeVisibility ();\n\n Turn on/off the visibility of edges. On some renderers it is\n possible to render the edges of geometric primitives separately\n from the interior.\n"},
  {(char*)"SetEdgeVisibility",                (PyCFunction)PyvtkProperty_SetEdgeVisibility, 1,
   (char*)"V.SetEdgeVisibility(int)\nC++: void SetEdgeVisibility (int );\n\n Turn on/off the visibility of edges. On some renderers it is\n possible to render the edges of geometric primitives separately\n from the interior.\n"},
  {(char*)"EdgeVisibilityOn",                (PyCFunction)PyvtkProperty_EdgeVisibilityOn, 1,
   (char*)"V.EdgeVisibilityOn()\nC++: void EdgeVisibilityOn ();\n\n Turn on/off the visibility of edges. On some renderers it is\n possible to render the edges of geometric primitives separately\n from the interior.\n"},
  {(char*)"EdgeVisibilityOff",                (PyCFunction)PyvtkProperty_EdgeVisibilityOff, 1,
   (char*)"V.EdgeVisibilityOff()\nC++: void EdgeVisibilityOff ();\n\n Turn on/off the visibility of edges. On some renderers it is\n possible to render the edges of geometric primitives separately\n from the interior.\n"},
  {(char*)"SetEdgeColor",                (PyCFunction)PyvtkProperty_SetEdgeColor, 1,
   (char*)"V.SetEdgeColor(float, float, float)\nC++: void SetEdgeColor (double , double , double );\nV.SetEdgeColor((float, float, float))\nC++: void SetEdgeColor (double  a[3]);\n\n Set/Get the color of primitive edges (if edge visibility is enabled).\n"},
  {(char*)"GetEdgeColor",                (PyCFunction)PyvtkProperty_GetEdgeColor, 1,
   (char*)"V.GetEdgeColor() -> (float, float, float)\nC++: double  *GetEdgeColor ();\n\n Set/Get the color of primitive edges (if edge visibility is enabled).\n"},
  {(char*)"SetLineWidth",                (PyCFunction)PyvtkProperty_SetLineWidth, 1,
   (char*)"V.SetLineWidth(float)\nC++: void SetLineWidth (float );\n\n Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"GetLineWidthMinValue",                (PyCFunction)PyvtkProperty_GetLineWidthMinValue, 1,
   (char*)"V.GetLineWidthMinValue() -> float\nC++: float GetLineWidthMinValue ();\n\n Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"GetLineWidthMaxValue",                (PyCFunction)PyvtkProperty_GetLineWidthMaxValue, 1,
   (char*)"V.GetLineWidthMaxValue() -> float\nC++: float GetLineWidthMaxValue ();\n\n Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"GetLineWidth",                (PyCFunction)PyvtkProperty_GetLineWidth, 1,
   (char*)"V.GetLineWidth() -> float\nC++: float GetLineWidth ();\n\n Set/Get the width of a Line. The width is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"SetLineStipplePattern",                (PyCFunction)PyvtkProperty_SetLineStipplePattern, 1,
   (char*)"V.SetLineStipplePattern(int)\nC++: void SetLineStipplePattern (int );\n\n Set/Get the stippling pattern of a Line, as a 16-bit binary pattern \n (1 = pixel on, 0 = pixel off).\n This is only implemented for OpenGL. The default is 0xFFFF.\n"},
  {(char*)"GetLineStipplePattern",                (PyCFunction)PyvtkProperty_GetLineStipplePattern, 1,
   (char*)"V.GetLineStipplePattern() -> int\nC++: int GetLineStipplePattern ();\n\n Set/Get the stippling pattern of a Line, as a 16-bit binary pattern \n (1 = pixel on, 0 = pixel off).\n This is only implemented for OpenGL. The default is 0xFFFF.\n"},
  {(char*)"SetLineStippleRepeatFactor",                (PyCFunction)PyvtkProperty_SetLineStippleRepeatFactor, 1,
   (char*)"V.SetLineStippleRepeatFactor(int)\nC++: void SetLineStippleRepeatFactor (int );\n\n Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n"},
  {(char*)"GetLineStippleRepeatFactorMinValue",                (PyCFunction)PyvtkProperty_GetLineStippleRepeatFactorMinValue, 1,
   (char*)"V.GetLineStippleRepeatFactorMinValue() -> int\nC++: int GetLineStippleRepeatFactorMinValue ();\n\n Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n"},
  {(char*)"GetLineStippleRepeatFactorMaxValue",                (PyCFunction)PyvtkProperty_GetLineStippleRepeatFactorMaxValue, 1,
   (char*)"V.GetLineStippleRepeatFactorMaxValue() -> int\nC++: int GetLineStippleRepeatFactorMaxValue ();\n\n Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n"},
  {(char*)"GetLineStippleRepeatFactor",                (PyCFunction)PyvtkProperty_GetLineStippleRepeatFactor, 1,
   (char*)"V.GetLineStippleRepeatFactor() -> int\nC++: int GetLineStippleRepeatFactor ();\n\n Set/Get the stippling repeat factor of a Line, which specifies how\n many times each bit in the pattern is to be repeated.\n This is only implemented for OpenGL. The default is 1.\n"},
  {(char*)"SetPointSize",                (PyCFunction)PyvtkProperty_SetPointSize, 1,
   (char*)"V.SetPointSize(float)\nC++: void SetPointSize (float );\n\n Set/Get the diameter of a point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"GetPointSizeMinValue",                (PyCFunction)PyvtkProperty_GetPointSizeMinValue, 1,
   (char*)"V.GetPointSizeMinValue() -> float\nC++: float GetPointSizeMinValue ();\n\n Set/Get the diameter of a point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"GetPointSizeMaxValue",                (PyCFunction)PyvtkProperty_GetPointSizeMaxValue, 1,
   (char*)"V.GetPointSizeMaxValue() -> float\nC++: float GetPointSizeMaxValue ();\n\n Set/Get the diameter of a point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"GetPointSize",                (PyCFunction)PyvtkProperty_GetPointSize, 1,
   (char*)"V.GetPointSize() -> float\nC++: float GetPointSize ();\n\n Set/Get the diameter of a point. The size is expressed in screen units.\n This is only implemented for OpenGL. The default is 1.0.\n"},
  {(char*)"GetBackfaceCulling",                (PyCFunction)PyvtkProperty_GetBackfaceCulling, 1,
   (char*)"V.GetBackfaceCulling() -> int\nC++: int GetBackfaceCulling ();\n\n Turn on/off fast culling of polygons based on orientation of normal \n with respect to camera. If backface culling is on, polygons facing\n away from camera are not drawn.\n"},
  {(char*)"SetBackfaceCulling",                (PyCFunction)PyvtkProperty_SetBackfaceCulling, 1,
   (char*)"V.SetBackfaceCulling(int)\nC++: void SetBackfaceCulling (int );\n\n Turn on/off fast culling of polygons based on orientation of normal \n with respect to camera. If backface culling is on, polygons facing\n away from camera are not drawn.\n"},
  {(char*)"BackfaceCullingOn",                (PyCFunction)PyvtkProperty_BackfaceCullingOn, 1,
   (char*)"V.BackfaceCullingOn()\nC++: void BackfaceCullingOn ();\n\n Turn on/off fast culling of polygons based on orientation of normal \n with respect to camera. If backface culling is on, polygons facing\n away from camera are not drawn.\n"},
  {(char*)"BackfaceCullingOff",                (PyCFunction)PyvtkProperty_BackfaceCullingOff, 1,
   (char*)"V.BackfaceCullingOff()\nC++: void BackfaceCullingOff ();\n\n Turn on/off fast culling of polygons based on orientation of normal \n with respect to camera. If backface culling is on, polygons facing\n away from camera are not drawn.\n"},
  {(char*)"GetFrontfaceCulling",                (PyCFunction)PyvtkProperty_GetFrontfaceCulling, 1,
   (char*)"V.GetFrontfaceCulling() -> int\nC++: int GetFrontfaceCulling ();\n\n Turn on/off fast culling of polygons based on orientation of normal \n with respect to camera. If frontface culling is on, polygons facing\n towards camera are not drawn.\n"},
  {(char*)"SetFrontfaceCulling",                (PyCFunction)PyvtkProperty_SetFrontfaceCulling, 1,
   (char*)"V.SetFrontfaceCulling(int)\nC++: void SetFrontfaceCulling (int );\n\n Turn on/off fast culling of polygons based on orientation of normal \n with respect to camera. If frontface culling is on, polygons facing\n towards camera are not drawn.\n"},
  {(char*)"FrontfaceCullingOn",                (PyCFunction)PyvtkProperty_FrontfaceCullingOn, 1,
   (char*)"V.FrontfaceCullingOn()\nC++: void FrontfaceCullingOn ();\n\n Turn on/off fast culling of polygons based on orientation of normal \n with respect to camera. If frontface culling is on, polygons facing\n towards camera are not drawn.\n"},
  {(char*)"FrontfaceCullingOff",                (PyCFunction)PyvtkProperty_FrontfaceCullingOff, 1,
   (char*)"V.FrontfaceCullingOff()\nC++: void FrontfaceCullingOff ();\n\n Turn on/off fast culling of polygons based on orientation of normal \n with respect to camera. If frontface culling is on, polygons facing\n towards camera are not drawn.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPropertyDoc[] = {
  (char*)"vtkProperty - represent surface properties of a geometric object\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkProperty is an object that represents lighting and other surface\n properties of a geometric object. The primary properties that can be \n set are colors (overall, ambient, diffuse, specular, and edge color);\n specular power; opacity of the object; the representation of the\n object (points, wireframe, or surface); and the shading method to be \n used (flat, Gouraud, and Phong). Also, some special",
  (char*)" graphics features\n like backface properties can be set and manipulated with this object.\n\n",
  "See Also:\n\n vtkActor vtkPropertyDevice\n\n",
  NULL
};

static vtkObjectBase *vtkPropertyStaticNew()
{
  return vtkProperty::New();
}

PyObject *PyVTKClass_vtkPropertyNew(char *modulename)
{
  return PyVTKClass_New(&vtkPropertyStaticNew,
                        PyvtkPropertyMethods,
                        (char*)"vtkProperty",modulename,
                        (char**)vtkPropertyDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

