// python wrapper for vtkRenderWindowCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkRenderWindowCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderWindowCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderWindowCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkCollectionNew(char *); }

static PyObject *PyvtkRenderWindowCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowCollection *op;

  const char    *temp20;
  if ((op = (vtkRenderWindowCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowCollection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkRenderWindowCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowCollection *op;

  vtkRenderWindowCollection  *temp20;
  if ((op = (vtkRenderWindowCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderWindowCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRenderWindowCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRenderWindowCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRenderWindowCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowCollection *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRenderWindowCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderWindowCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkRenderWindowCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderWindowCollection *op;

  vtkRenderWindow  *temp20;
  if ((op = (vtkRenderWindowCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderWindowCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRenderWindowCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderWindowCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderWindowCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderWindowCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderWindowCollection\nC++: vtkRenderWindowCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRenderWindowCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderWindowCollection\nC++: vtkRenderWindowCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkRenderWindowCollection_AddItem, 1,
   (char*)"V.AddItem(vtkRenderWindow)\nC++: void AddItem (vtkRenderWindow *a);this vtkCollection AddItem vtkObject a \n\n Add a RenderWindow to the list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkRenderWindowCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkRenderWindow\nC++: vtkRenderWindow *GetNextItem ();return static_cast vtkRenderWindow this GetNextItemAsObject \n\n Get the next RenderWindow in the list. Return NULL when at the end of the \n list.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRenderWindowCollectionDoc[] = {
  (char*)"vtkRenderWindowCollection - a list of RenderWindows\n\n",
  "Super Class:\n\n vtkCollection\n\n",
  (char*)" vtkRenderWindowCollection represents and provides methods to manipulate a \n list of RenderWindows. The list is unsorted and duplicate entries are \n not prevented.\n\n",
  "See Also:\n\n vtkRenderWindow vtkCollection\n\n",
  NULL
};

static vtkObjectBase *vtkRenderWindowCollectionStaticNew()
{
  return vtkRenderWindowCollection::New();
}

PyObject *PyVTKClass_vtkRenderWindowCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkRenderWindowCollectionStaticNew,
                        PyvtkRenderWindowCollectionMethods,
                        (char*)"vtkRenderWindowCollection",modulename,
                        (char**)vtkRenderWindowCollectionDoc,
                        PyVTKClass_vtkCollectionNew(modulename));
}

