// tcl wrapper for vtkRenderWindowInteractor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderWindowInteractor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include "vtkToolkits.h"
#if defined( VTK_USE_X ) && defined( VTK_USE_TK )
# include "vtkXRenderWindowTclInteractor.h"
#endif

ClientData vtkRenderWindowInteractorNewCommand()
{
#if defined( VTK_USE_X ) && defined( VTK_USE_TK )
  vtkRenderWindowInteractor *temp = vtkXRenderWindowTclInteractor::New();
#else
  vtkRenderWindowInteractor *temp = vtkRenderWindowInteractor::New();
#endif
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRenderWindowInteractorCppCommand(vtkRenderWindowInteractor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRenderWindowInteractorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRenderWindowInteractorCppCommand((vtkRenderWindowInteractor *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRenderWindowInteractorCppCommand(vtkRenderWindowInteractor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRenderWindowInteractor",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRenderWindowInteractor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRenderWindowInteractor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRenderWindowInteractor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindowInteractor");
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReInitialize",argv[1]))&&(argc == 2))
    {
    op->ReInitialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Start",argv[1]))&&(argc == 2))
    {
    op->Start();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Enable",argv[1]))&&(argc == 2))
    {
    op->Enable();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Disable",argv[1]))&&(argc == 2))
    {
    op->Disable();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderWindow",interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("UpdateSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->UpdateSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateTimer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->CreateTimer(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DestroyTimer",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->DestroyTimer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TerminateApp",argv[1]))&&(argc == 2))
    {
    op->TerminateApp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractorStyle",argv[1]))&&(argc == 3))
    {
    vtkInteractorObserver  *temp0;
    error = 0;

    temp0 = (vtkInteractorObserver *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInteractorObserver",interp,error));
    if (!error)
    {
    op->SetInteractorStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractorStyle",argv[1]))&&(argc == 2))
    {
    vtkInteractorObserver  *temp20;
    temp20 = (op)->GetInteractorStyle();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkInteractorObserver");
    return TCL_OK;
    }
  if ((!strcmp("SetLightFollowCamera",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLightFollowCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLightFollowCamera",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLightFollowCamera();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LightFollowCameraOn",argv[1]))&&(argc == 2))
    {
    op->LightFollowCameraOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LightFollowCameraOff",argv[1]))&&(argc == 2))
    {
    op->LightFollowCameraOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDesiredUpdateRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDesiredUpdateRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDesiredUpdateRateMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDesiredUpdateRateMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDesiredUpdateRateMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDesiredUpdateRateMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDesiredUpdateRate",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDesiredUpdateRate();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStillUpdateRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetStillUpdateRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStillUpdateRateMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStillUpdateRateMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStillUpdateRateMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStillUpdateRateMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStillUpdateRate",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStillUpdateRate();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInitialized",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInitialized();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPicker",argv[1]))&&(argc == 3))
    {
    vtkAbstractPicker  *temp0;
    error = 0;

    temp0 = (vtkAbstractPicker *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkAbstractPicker",interp,error));
    if (!error)
    {
    op->SetPicker(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPicker",argv[1]))&&(argc == 2))
    {
    vtkAbstractPicker  *temp20;
    temp20 = (op)->GetPicker();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAbstractPicker");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultPicker",argv[1]))&&(argc == 2))
    {
    vtkAbstractPropPicker  *temp20;
    temp20 = (op)->CreateDefaultPicker();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAbstractPropPicker");
    return TCL_OK;
    }
  if ((!strcmp("ExitCallback",argv[1]))&&(argc == 2))
    {
    op->ExitCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UserCallback",argv[1]))&&(argc == 2))
    {
    op->UserCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartPickCallback",argv[1]))&&(argc == 2))
    {
    op->StartPickCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndPickCallback",argv[1]))&&(argc == 2))
    {
    op->EndPickCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HideCursor",argv[1]))&&(argc == 2))
    {
    op->HideCursor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowCursor",argv[1]))&&(argc == 2))
    {
    op->ShowCursor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FlyTo",argv[1]))&&(argc == 6))
    {
    vtkRenderer  *temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->FlyTo(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FlyToImage",argv[1]))&&(argc == 5))
    {
    vtkRenderer  *temp0;
    double   temp1;
    double   temp2;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->FlyToImage(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfFlyFrames",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfFlyFrames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfFlyFramesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFlyFramesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFlyFramesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFlyFramesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFlyFrames",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFlyFrames();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDolly",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDolly(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDolly",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDolly();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEventPosition",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetEventPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastEventPosition",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetLastEventPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLastEventPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetLastEventPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLastEventPosition",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetLastEventPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEventPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetEventPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEventPosition",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetEventPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEventPositionFlipY",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetEventPositionFlipY(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEventPositionFlipY",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetEventPositionFlipY(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetControlKey",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetControlKey(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetControlKey",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetControlKey();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShiftKey",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShiftKey(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShiftKey",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShiftKey();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetKeyCode",argv[1]))&&(argc == 3))
    {
    char     temp0;
    error = 0;

    temp0 = *(argv[2]);
    if (!error)
    {
    op->SetKeyCode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeyCode",argv[1]))&&(argc == 2))
    {
    char     temp20;
    temp20 = (op)->GetKeyCode();
    char tempResult[1024];
    sprintf(tempResult,"%c",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRepeatCount",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRepeatCount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRepeatCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRepeatCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetKeySym",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetKeySym(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeySym",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetKeySym();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEventInformation",argv[1]))&&(argc == 9))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    char     temp4;
    int      temp5;
    char    *temp6;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = *(argv[6]);
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    temp6 = argv[8];
    if (!error)
    {
    op->SetEventInformation(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEventInformationFlipY",argv[1]))&&(argc == 9))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    char     temp4;
    int      temp5;
    char    *temp6;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = *(argv[6]);
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    temp6 = argv[8];
    if (!error)
    {
    op->SetEventInformationFlipY(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKeyEventInformation",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    char     temp2;
    int      temp3;
    char    *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = *(argv[4]);
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = argv[6];
    if (!error)
    {
    op->SetKeyEventInformation(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSize();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEventSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetEventSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEventSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetEventSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEventSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetEventSize();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FindPokedRenderer",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkRenderer  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->FindPokedRenderer(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderer");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkRenderWindowInteractorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRenderWindowInteractor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  ReInitialize\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Start\n",NULL);
    Tcl_AppendResult(interp,"  Enable\n",NULL);
    Tcl_AppendResult(interp,"  Disable\n",NULL);
    Tcl_AppendResult(interp,"  GetEnabled\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  UpdateSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateTimer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DestroyTimer\n",NULL);
    Tcl_AppendResult(interp,"  TerminateApp\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractorStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractorStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetLightFollowCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLightFollowCamera\n",NULL);
    Tcl_AppendResult(interp,"  LightFollowCameraOn\n",NULL);
    Tcl_AppendResult(interp,"  LightFollowCameraOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDesiredUpdateRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDesiredUpdateRateMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDesiredUpdateRateMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDesiredUpdateRate\n",NULL);
    Tcl_AppendResult(interp,"  SetStillUpdateRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStillUpdateRateMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetStillUpdateRateMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetStillUpdateRate\n",NULL);
    Tcl_AppendResult(interp,"  GetInitialized\n",NULL);
    Tcl_AppendResult(interp,"  SetPicker\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPicker\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultPicker\n",NULL);
    Tcl_AppendResult(interp,"  ExitCallback\n",NULL);
    Tcl_AppendResult(interp,"  UserCallback\n",NULL);
    Tcl_AppendResult(interp,"  StartPickCallback\n",NULL);
    Tcl_AppendResult(interp,"  EndPickCallback\n",NULL);
    Tcl_AppendResult(interp,"  HideCursor\n",NULL);
    Tcl_AppendResult(interp,"  ShowCursor\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  FlyTo\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  FlyToImage\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfFlyFrames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFlyFramesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFlyFramesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFlyFrames\n",NULL);
    Tcl_AppendResult(interp,"  SetDolly\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDolly\n",NULL);
    Tcl_AppendResult(interp,"  GetEventPosition\n",NULL);
    Tcl_AppendResult(interp,"  GetLastEventPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetLastEventPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLastEventPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEventPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEventPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEventPositionFlipY\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEventPositionFlipY\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetControlKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetControlKey\n",NULL);
    Tcl_AppendResult(interp,"  SetShiftKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShiftKey\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyCode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyCode\n",NULL);
    Tcl_AppendResult(interp,"  SetRepeatCount\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRepeatCount\n",NULL);
    Tcl_AppendResult(interp,"  SetKeySym\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeySym\n",NULL);
    Tcl_AppendResult(interp,"  SetEventInformation\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEventInformationFlipY\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyEventInformation\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\n",NULL);
    Tcl_AppendResult(interp,"  SetEventSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEventSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEventSize\n",NULL);
    Tcl_AppendResult(interp,"  FindPokedRenderer\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
