// tcl wrapper for vtkRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderWindow.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkRenderWindowNewCommand()
{
  vtkRenderWindow *temp = vtkRenderWindow::New();
  return ((ClientData)temp);
}

int vtkWindowCppCommand(vtkWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRenderWindowCppCommand(vtkRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRenderWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRenderWindowCppCommand((vtkRenderWindow *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRenderWindowCppCommand(vtkRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRenderWindow",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkWindowCppCommand((vtkWindow *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkWindow", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRenderWindow  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindow");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("AddRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    if (!error)
    {
    op->AddRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    if (!error)
    {
    op->RemoveRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    if (!error)
    {
    temp20 = (op)->HasRenderer(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderLibrary",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetRenderLibrary();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetRenderers",argv[1]))&&(argc == 2))
    {
    vtkRendererCollection  *temp20;
    temp20 = (op)->GetRenderers();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRendererCollection");
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Start",argv[1]))&&(argc == 2))
    {
    op->Start();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Finalize",argv[1]))&&(argc == 2))
    {
    op->Finalize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Frame",argv[1]))&&(argc == 2))
    {
    op->Frame();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyResultFrame",argv[1]))&&(argc == 2))
    {
    op->CopyResultFrame();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MakeRenderWindowInteractor",argv[1]))&&(argc == 2))
    {
    vtkRenderWindowInteractor  *temp20;
    temp20 = (op)->MakeRenderWindowInteractor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("HideCursor",argv[1]))&&(argc == 2))
    {
    op->HideCursor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowCursor",argv[1]))&&(argc == 2))
    {
    op->ShowCursor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCursorPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCursorPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCurrentCursor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCurrentCursor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentCursor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCurrentCursor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFullScreen",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFullScreen(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFullScreen",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFullScreen();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FullScreenOn",argv[1]))&&(argc == 2))
    {
    op->FullScreenOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FullScreenOff",argv[1]))&&(argc == 2))
    {
    op->FullScreenOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBorders",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBorders(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorders",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorders();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BordersOn",argv[1]))&&(argc == 2))
    {
    op->BordersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BordersOff",argv[1]))&&(argc == 2))
    {
    op->BordersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetStereoCapableWindow",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStereoCapableWindow();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StereoCapableWindowOn",argv[1]))&&(argc == 2))
    {
    op->StereoCapableWindowOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StereoCapableWindowOff",argv[1]))&&(argc == 2))
    {
    op->StereoCapableWindowOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoCapableWindow",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStereoCapableWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStereoRender",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStereoRender();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoRender",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStereoRender(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StereoRenderOn",argv[1]))&&(argc == 2))
    {
    op->StereoRenderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StereoRenderOff",argv[1]))&&(argc == 2))
    {
    op->StereoRenderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAlphaBitPlanes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAlphaBitPlanes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAlphaBitPlanes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAlphaBitPlanes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AlphaBitPlanesOn",argv[1]))&&(argc == 2))
    {
    op->AlphaBitPlanesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AlphaBitPlanesOff",argv[1]))&&(argc == 2))
    {
    op->AlphaBitPlanesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointSmoothing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointSmoothing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointSmoothing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointSmoothing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PointSmoothingOn",argv[1]))&&(argc == 2))
    {
    op->PointSmoothingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PointSmoothingOff",argv[1]))&&(argc == 2))
    {
    op->PointSmoothingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLineSmoothing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLineSmoothing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineSmoothing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLineSmoothing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LineSmoothingOn",argv[1]))&&(argc == 2))
    {
    op->LineSmoothingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LineSmoothingOff",argv[1]))&&(argc == 2))
    {
    op->LineSmoothingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPolygonSmoothing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPolygonSmoothing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolygonSmoothing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPolygonSmoothing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PolygonSmoothingOn",argv[1]))&&(argc == 2))
    {
    op->PolygonSmoothingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PolygonSmoothingOff",argv[1]))&&(argc == 2))
    {
    op->PolygonSmoothingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetStereoType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStereoType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStereoType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStereoTypeToCrystalEyes",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToCrystalEyes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoTypeToRedBlue",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToRedBlue();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoTypeToInterlaced",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToInterlaced();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoTypeToLeft",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoTypeToRight",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoTypeToDresden",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToDresden();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoTypeToAnaglyph",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToAnaglyph();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetStereoTypeAsString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetStereoTypeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("StereoUpdate",argv[1]))&&(argc == 2))
    {
    op->StereoUpdate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StereoMidpoint",argv[1]))&&(argc == 2))
    {
    op->StereoMidpoint();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StereoRenderComplete",argv[1]))&&(argc == 2))
    {
    op->StereoRenderComplete();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnaglyphColorSaturation",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAnaglyphColorSaturation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnaglyphColorSaturationMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetAnaglyphColorSaturationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAnaglyphColorSaturationMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetAnaglyphColorSaturationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAnaglyphColorSaturation",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetAnaglyphColorSaturation();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAnaglyphColorMask",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetAnaglyphColorMask(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAnaglyphColorMask",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetAnaglyphColorMask(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnaglyphColorMask",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetAnaglyphColorMask();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WindowRemap",argv[1]))&&(argc == 2))
    {
    op->WindowRemap();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSwapBuffers",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSwapBuffers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSwapBuffers",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSwapBuffers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SwapBuffersOn",argv[1]))&&(argc == 2))
    {
    op->SwapBuffersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SwapBuffersOff",argv[1]))&&(argc == 2))
    {
    op->SwapBuffersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPixelData",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkUnsignedCharArray  *temp4;
    int      temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkUnsignedCharArray",interp,error));
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    temp20 = (op)->SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRGBAPixelData",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    vtkFloatArray  *temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkFloatArray",interp,error));
    if (!error)
    {
    temp20 = (op)->GetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRGBAPixelData",argv[1]))&&(argc == 9))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkFloatArray  *temp4;
    int      temp5;
    int      temp6;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkFloatArray",interp,error));
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    temp20 = (op)->SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRGBACharPixelData",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    vtkUnsignedCharArray  *temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[7],(char *) "vtkUnsignedCharArray",interp,error));
    if (!error)
    {
    temp20 = (op)->GetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRGBACharPixelData",argv[1]))&&(argc == 9))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkUnsignedCharArray  *temp4;
    int      temp5;
    int      temp6;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkUnsignedCharArray",interp,error));
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    temp20 = (op)->SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZbufferData",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkFloatArray  *temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkFloatArray",interp,error));
    if (!error)
    {
    temp20 = (op)->GetZbufferData(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetZbufferData",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkFloatArray  *temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkFloatArray",interp,error));
    if (!error)
    {
    temp20 = (op)->SetZbufferData(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAAFrames",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAAFrames();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAAFrames",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAAFrames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFDFrames",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFDFrames();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFDFrames",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFDFrames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSubFrames",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSubFrames();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSubFrames",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSubFrames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNeverRendered",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNeverRendered();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAbortRender",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAbortRender();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAbortRender",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAbortRender(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInAbortCheck",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInAbortCheck();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInAbortCheck",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInAbortCheck(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CheckAbortStatus",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->CheckAbortStatus();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIsPicking",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIsPicking();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIsPicking",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIsPicking(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsPickingOn",argv[1]))&&(argc == 2))
    {
    op->IsPickingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsPickingOff",argv[1]))&&(argc == 2))
    {
    op->IsPickingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEventPending",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEventPending();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CheckInRenderStatus",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->CheckInRenderStatus();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClearInRenderStatus",argv[1]))&&(argc == 2))
    {
    op->ClearInRenderStatus();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDesiredUpdateRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDesiredUpdateRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDesiredUpdateRate",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDesiredUpdateRate();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLayers",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLayers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfLayers",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfLayers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfLayersMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLayersMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLayersMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLayersMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInteractor",argv[1]))&&(argc == 2))
    {
    vtkRenderWindowInteractor  *temp20;
    temp20 = (op)->GetInteractor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("SetInteractor",argv[1]))&&(argc == 3))
    {
    vtkRenderWindowInteractor  *temp0;
    error = 0;

    temp0 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderWindowInteractor",interp,error));
    if (!error)
    {
    op->SetInteractor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWindowInfo",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetWindowInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNextWindowInfo",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetNextWindowInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParentInfo",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetParentInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MakeCurrent",argv[1]))&&(argc == 2))
    {
    op->MakeCurrent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetForceMakeCurrent",argv[1]))&&(argc == 2))
    {
    op->SetForceMakeCurrent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReportCapabilities",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->ReportCapabilities();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SupportsOpenGL",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->SupportsOpenGL();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsDirect",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsDirect();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDepthBufferSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDepthBufferSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkRenderWindowCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWindowCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRenderWindow:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  AddRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderLibrary\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderers\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  Start\n",NULL);
    Tcl_AppendResult(interp,"  Finalize\n",NULL);
    Tcl_AppendResult(interp,"  Frame\n",NULL);
    Tcl_AppendResult(interp,"  CopyResultFrame\n",NULL);
    Tcl_AppendResult(interp,"  MakeRenderWindowInteractor\n",NULL);
    Tcl_AppendResult(interp,"  HideCursor\n",NULL);
    Tcl_AppendResult(interp,"  ShowCursor\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentCursor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentCursor\n",NULL);
    Tcl_AppendResult(interp,"  SetFullScreen\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFullScreen\n",NULL);
    Tcl_AppendResult(interp,"  FullScreenOn\n",NULL);
    Tcl_AppendResult(interp,"  FullScreenOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBorders\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBorders\n",NULL);
    Tcl_AppendResult(interp,"  BordersOn\n",NULL);
    Tcl_AppendResult(interp,"  BordersOff\n",NULL);
    Tcl_AppendResult(interp,"  GetStereoCapableWindow\n",NULL);
    Tcl_AppendResult(interp,"  StereoCapableWindowOn\n",NULL);
    Tcl_AppendResult(interp,"  StereoCapableWindowOff\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoCapableWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStereoRender\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoRender\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  StereoRenderOn\n",NULL);
    Tcl_AppendResult(interp,"  StereoRenderOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAlphaBitPlanes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAlphaBitPlanes\n",NULL);
    Tcl_AppendResult(interp,"  AlphaBitPlanesOn\n",NULL);
    Tcl_AppendResult(interp,"  AlphaBitPlanesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPointSmoothing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointSmoothing\n",NULL);
    Tcl_AppendResult(interp,"  PointSmoothingOn\n",NULL);
    Tcl_AppendResult(interp,"  PointSmoothingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLineSmoothing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineSmoothing\n",NULL);
    Tcl_AppendResult(interp,"  LineSmoothingOn\n",NULL);
    Tcl_AppendResult(interp,"  LineSmoothingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPolygonSmoothing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolygonSmoothing\n",NULL);
    Tcl_AppendResult(interp,"  PolygonSmoothingOn\n",NULL);
    Tcl_AppendResult(interp,"  PolygonSmoothingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetStereoType\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToCrystalEyes\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToRedBlue\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToInterlaced\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToRight\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToDresden\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToAnaglyph\n",NULL);
    Tcl_AppendResult(interp,"  GetStereoTypeAsString\n",NULL);
    Tcl_AppendResult(interp,"  StereoUpdate\n",NULL);
    Tcl_AppendResult(interp,"  StereoMidpoint\n",NULL);
    Tcl_AppendResult(interp,"  StereoRenderComplete\n",NULL);
    Tcl_AppendResult(interp,"  SetAnaglyphColorSaturation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnaglyphColorSaturationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAnaglyphColorSaturationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAnaglyphColorSaturation\n",NULL);
    Tcl_AppendResult(interp,"  SetAnaglyphColorMask\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAnaglyphColorMask\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAnaglyphColorMask\n",NULL);
    Tcl_AppendResult(interp,"  WindowRemap\n",NULL);
    Tcl_AppendResult(interp,"  SetSwapBuffers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSwapBuffers\n",NULL);
    Tcl_AppendResult(interp,"  SwapBuffersOn\n",NULL);
    Tcl_AppendResult(interp,"  SwapBuffersOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPixelData\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRGBAPixelData\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRGBAPixelData\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRGBACharPixelData\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRGBACharPixelData\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  GetZbufferData\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  SetZbufferData\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAAFrames\n",NULL);
    Tcl_AppendResult(interp,"  SetAAFrames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFDFrames\n",NULL);
    Tcl_AppendResult(interp,"  SetFDFrames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSubFrames\n",NULL);
    Tcl_AppendResult(interp,"  SetSubFrames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNeverRendered\n",NULL);
    Tcl_AppendResult(interp,"  GetAbortRender\n",NULL);
    Tcl_AppendResult(interp,"  SetAbortRender\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInAbortCheck\n",NULL);
    Tcl_AppendResult(interp,"  SetInAbortCheck\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CheckAbortStatus\n",NULL);
    Tcl_AppendResult(interp,"  GetIsPicking\n",NULL);
    Tcl_AppendResult(interp,"  SetIsPicking\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsPickingOn\n",NULL);
    Tcl_AppendResult(interp,"  IsPickingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetEventPending\n",NULL);
    Tcl_AppendResult(interp,"  CheckInRenderStatus\n",NULL);
    Tcl_AppendResult(interp,"  ClearInRenderStatus\n",NULL);
    Tcl_AppendResult(interp,"  SetDesiredUpdateRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDesiredUpdateRate\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLayers\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfLayers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLayersMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLayersMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractor\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNextWindowInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetParentInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MakeCurrent\n",NULL);
    Tcl_AppendResult(interp,"  SetForceMakeCurrent\n",NULL);
    Tcl_AppendResult(interp,"  ReportCapabilities\n",NULL);
    Tcl_AppendResult(interp,"  SupportsOpenGL\n",NULL);
    Tcl_AppendResult(interp,"  IsDirect\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthBufferSize\n",NULL);
    return TCL_OK;
    }

  if (vtkWindowCppCommand((vtkWindow *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
