// python wrapper for vtkRenderer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkRenderer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRendererNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRendererNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkViewportNew(char *); }

static PyObject *PyvtkRenderer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  const char    *temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkRenderer  *temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRenderer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRenderer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRenderer_AddActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::AddActor(temp0);
      }
    else
      {
      op->AddActor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkRenderer_AddVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::AddVolume(temp0);
      }
    else
      {
      op->AddVolume(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkRenderer_RemoveActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::RemoveActor(temp0);
      }
    else
      {
      op->RemoveActor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkRenderer_RemoveVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::RemoveVolume(temp0);
      }
    else
      {
      op->RemoveVolume(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkRenderer_AddLight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkLight  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkLight *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLight");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::AddLight(temp0);
      }
    else
      {
      op->AddLight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkRenderer_RemoveLight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkLight  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkLight *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLight");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::RemoveLight(temp0);
      }
    else
      {
      op->RemoveLight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkRenderer_GetLights(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkLightCollection  *temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetLights();
      }
    else
      {
      temp20 = op->GetLights();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_CreateLight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::CreateLight();
      }
    else
      {
      op->CreateLight();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_MakeLight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkLight  *temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::MakeLight();
      }
    else
      {
      temp20 = op->MakeLight();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetTwoSidedLighting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetTwoSidedLighting();
      }
    else
      {
      temp20 = op->GetTwoSidedLighting();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_SetTwoSidedLighting(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::SetTwoSidedLighting(temp0);
      }
    else
      {
      op->SetTwoSidedLighting(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_TwoSidedLightingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::TwoSidedLightingOn();
      }
    else
      {
      op->TwoSidedLightingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_TwoSidedLightingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::TwoSidedLightingOff();
      }
    else
      {
      op->TwoSidedLightingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_SetLightFollowCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::SetLightFollowCamera(temp0);
      }
    else
      {
      op->SetLightFollowCamera(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetLightFollowCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetLightFollowCamera();
      }
    else
      {
      temp20 = op->GetLightFollowCamera();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_LightFollowCameraOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::LightFollowCameraOn();
      }
    else
      {
      op->LightFollowCameraOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_LightFollowCameraOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::LightFollowCameraOff();
      }
    else
      {
      op->LightFollowCameraOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetAutomaticLightCreation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetAutomaticLightCreation();
      }
    else
      {
      temp20 = op->GetAutomaticLightCreation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_SetAutomaticLightCreation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::SetAutomaticLightCreation(temp0);
      }
    else
      {
      op->SetAutomaticLightCreation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_AutomaticLightCreationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::AutomaticLightCreationOn();
      }
    else
      {
      op->AutomaticLightCreationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_AutomaticLightCreationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::AutomaticLightCreationOff();
      }
    else
      {
      op->AutomaticLightCreationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_UpdateLightsGeometryToFollowCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::UpdateLightsGeometryToFollowCamera();
      }
    else
      {
      temp20 = op->UpdateLightsGeometryToFollowCamera();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetVolumes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkVolumeCollection  *temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetVolumes();
      }
    else
      {
      temp20 = op->GetVolumes();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkActorCollection  *temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetActors();
      }
    else
      {
      temp20 = op->GetActors();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_SetActiveCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkCamera  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCamera *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCamera");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::SetActiveCamera(temp0);
      }
    else
      {
      op->SetActiveCamera(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkRenderer_GetActiveCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkCamera  *temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetActiveCamera();
      }
    else
      {
      temp20 = op->GetActiveCamera();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_MakeCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkCamera  *temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::MakeCamera();
      }
    else
      {
      temp20 = op->MakeCamera();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_SetErase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::SetErase(temp0);
      }
    else
      {
      op->SetErase(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetErase(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetErase();
      }
    else
      {
      temp20 = op->GetErase();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_EraseOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::EraseOn();
      }
    else
      {
      op->EraseOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_EraseOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::EraseOff();
      }
    else
      {
      op->EraseOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_AddCuller(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkCuller  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCuller *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCuller");
    if (!temp0 && tempH0 != Py_None) goto break35;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::AddCuller(temp0);
      }
    else
      {
      op->AddCuller(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break35:
  return NULL;
}


static PyObject *PyvtkRenderer_RemoveCuller(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkCuller  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCuller *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCuller");
    if (!temp0 && tempH0 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::RemoveCuller(temp0);
      }
    else
      {
      op->RemoveCuller(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break36:
  return NULL;
}


static PyObject *PyvtkRenderer_GetCullers(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkCullerCollection  *temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetCullers();
      }
    else
      {
      temp20 = op->GetCullers();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_SetAmbient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::SetAmbient(temp0,temp1,temp2);
      }
    else
      {
      op->SetAmbient(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::SetAmbient(temp0);
      }
    else
      {
      op->SetAmbient(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetAmbient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double  *temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetAmbient();
      }
    else
      {
      temp20 = op->GetAmbient();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_SetAllocatedRenderTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double   temp0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::SetAllocatedRenderTime(temp0);
      }
    else
      {
      op->SetAllocatedRenderTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetAllocatedRenderTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double   temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetAllocatedRenderTime();
      }
    else
      {
      temp20 = op->GetAllocatedRenderTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetTimeFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double   temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetTimeFactor();
      }
    else
      {
      temp20 = op->GetTimeFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::Render();
      }
    else
      {
      op->Render();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_DeviceRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->DeviceRender();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_Clear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::Clear();
      }
    else
      {
      op->Clear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_VisibleActorCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::VisibleActorCount();
      }
    else
      {
      temp20 = op->VisibleActorCount();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_VisibleVolumeCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::VisibleVolumeCount();
      }
    else
      {
      temp20 = op->VisibleVolumeCount();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_ComputeVisiblePropBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double temp0[6];
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::ComputeVisiblePropBounds(temp0);
      }
    else
      {
      op->ComputeVisiblePropBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double  *temp20;
  PyErr_Clear();
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::ComputeVisiblePropBounds();
      }
    else
      {
      temp20 = op->ComputeVisiblePropBounds();
      }
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_ResetCameraClippingRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::ResetCameraClippingRange();
      }
    else
      {
      op->ResetCameraClippingRange();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double temp0[6];
  PyErr_Clear();
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::ResetCameraClippingRange(temp0);
      }
    else
      {
      op->ResetCameraClippingRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::ResetCameraClippingRange(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->ResetCameraClippingRange(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_SetNearClippingPlaneTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double   temp0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::SetNearClippingPlaneTolerance(temp0);
      }
    else
      {
      op->SetNearClippingPlaneTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetNearClippingPlaneToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double   temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetNearClippingPlaneToleranceMinValue();
      }
    else
      {
      temp20 = op->GetNearClippingPlaneToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetNearClippingPlaneToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double   temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetNearClippingPlaneToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetNearClippingPlaneToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetNearClippingPlaneTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double   temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetNearClippingPlaneTolerance();
      }
    else
      {
      temp20 = op->GetNearClippingPlaneTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_ResetCamera(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::ResetCamera();
      }
    else
      {
      op->ResetCamera();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double temp0[6];
  PyErr_Clear();
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::ResetCamera(temp0);
      }
    else
      {
      op->ResetCamera(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::ResetCamera(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->ResetCamera(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_SetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break61;
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::SetRenderWindow(temp0);
      }
    else
      {
      op->SetRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break61:
  return NULL;
}


static PyObject *PyvtkRenderer_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkRenderWindow  *temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetVTKWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  vtkWindow  *temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetVTKWindow();
      }
    else
      {
      temp20 = op->GetVTKWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_SetBackingStore(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::SetBackingStore(temp0);
      }
    else
      {
      op->SetBackingStore(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetBackingStore(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetBackingStore();
      }
    else
      {
      temp20 = op->GetBackingStore();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_BackingStoreOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::BackingStoreOn();
      }
    else
      {
      op->BackingStoreOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_BackingStoreOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::BackingStoreOff();
      }
    else
      {
      op->BackingStoreOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_SetInteractive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::SetInteractive(temp0);
      }
    else
      {
      op->SetInteractive(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetInteractive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetInteractive();
      }
    else
      {
      temp20 = op->GetInteractive();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_InteractiveOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::InteractiveOn();
      }
    else
      {
      op->InteractiveOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_InteractiveOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::InteractiveOff();
      }
    else
      {
      op->InteractiveOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_SetLayer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp0;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::SetLayer(temp0);
      }
    else
      {
      op->SetLayer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetLayer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetLayer();
      }
    else
      {
      temp20 = op->GetLayer();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_Transparent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::Transparent();
      }
    else
      {
      temp20 = op->Transparent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_WorldToView(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::WorldToView();
      }
    else
      {
      op->WorldToView();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_ViewToWorld(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::ViewToWorld();
      }
    else
      {
      op->ViewToWorld();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetZ(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp0;
  int      temp1;
  double   temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetZ(temp0,temp1);
      }
    else
      {
      temp20 = op->GetZ(temp0,temp1);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  unsigned long     temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetLastRenderTimeInSeconds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double   temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetLastRenderTimeInSeconds();
      }
    else
      {
      temp20 = op->GetLastRenderTimeInSeconds();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetNumberOfPropsRendered(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  int      temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetNumberOfPropsRendered();
      }
    else
      {
      temp20 = op->GetNumberOfPropsRendered();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_PickProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double   temp0;
  double   temp1;
  vtkAssemblyPath  *temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::PickProp(temp0,temp1);
      }
    else
      {
      temp20 = op->PickProp(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_StereoMidpoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRenderer::StereoMidpoint();
      }
    else
      {
      op->StereoMidpoint();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRenderer_GetTiledAspectRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRenderer *op;

  double   temp20;
  if ((op = (vtkRenderer *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRenderer::GetTiledAspectRatio();
      }
    else
      {
      temp20 = op->GetTiledAspectRatio();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRendererMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRenderer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRenderer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRenderer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderer\nC++: vtkRenderer *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRenderer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderer\nC++: vtkRenderer *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddActor",                (PyCFunction)PyvtkRenderer_AddActor, 1,
   (char*)"V.AddActor(vtkProp)\nC++: void AddActor (vtkProp *p);\n\n Add/Remove different types of props to the renderer.\n These methods are all synonyms to AddViewProp and RemoveViewProp.\n They are here for convenience and backwards compatibility.\n"},
  {(char*)"AddVolume",                (PyCFunction)PyvtkRenderer_AddVolume, 1,
   (char*)"V.AddVolume(vtkProp)\nC++: void AddVolume (vtkProp *p);\n\n Add/Remove different types of props to the renderer.\n These methods are all synonyms to AddViewProp and RemoveViewProp.\n They are here for convenience and backwards compatibility.\n"},
  {(char*)"RemoveActor",                (PyCFunction)PyvtkRenderer_RemoveActor, 1,
   (char*)"V.RemoveActor(vtkProp)\nC++: void RemoveActor (vtkProp *p);\n\n Add/Remove different types of props to the renderer.\n These methods are all synonyms to AddViewProp and RemoveViewProp.\n They are here for convenience and backwards compatibility.\n"},
  {(char*)"RemoveVolume",                (PyCFunction)PyvtkRenderer_RemoveVolume, 1,
   (char*)"V.RemoveVolume(vtkProp)\nC++: void RemoveVolume (vtkProp *p);\n\n Add/Remove different types of props to the renderer.\n These methods are all synonyms to AddViewProp and RemoveViewProp.\n They are here for convenience and backwards compatibility.\n"},
  {(char*)"AddLight",                (PyCFunction)PyvtkRenderer_AddLight, 1,
   (char*)"V.AddLight(vtkLight)\nC++: void AddLight (vtkLight *);\n\n Add a light to the list of lights.\n"},
  {(char*)"RemoveLight",                (PyCFunction)PyvtkRenderer_RemoveLight, 1,
   (char*)"V.RemoveLight(vtkLight)\nC++: void RemoveLight (vtkLight *);\n\n Remove a light from the list of lights.\n"},
  {(char*)"GetLights",                (PyCFunction)PyvtkRenderer_GetLights, 1,
   (char*)"V.GetLights() -> vtkLightCollection\nC++: vtkLightCollection *GetLights ();\n\n Return the collection of lights.\n"},
  {(char*)"CreateLight",                (PyCFunction)PyvtkRenderer_CreateLight, 1,
   (char*)"V.CreateLight()\nC++: void CreateLight (void );\n\n Create and add a light to renderer.\n"},
  {(char*)"MakeLight",                (PyCFunction)PyvtkRenderer_MakeLight, 1,
   (char*)"V.MakeLight() -> vtkLight\nC++: virtual vtkLight *MakeLight ();\n\n Create a new Light sutible for use with this type of Renderer.\n For example, a vtkMesaRenderer should create a vtkMesaLight \n in this function.   The default is to just call vtkLight::New.\n"},
  {(char*)"GetTwoSidedLighting",                (PyCFunction)PyvtkRenderer_GetTwoSidedLighting, 1,
   (char*)"V.GetTwoSidedLighting() -> int\nC++: int GetTwoSidedLighting ();\n\n Turn on/off two-sided lighting of surfaces. If two-sided lighting is\n off, then only the side of the surface facing the light(s) will be lit,\n and the other side dark. If two-sided lighting on, both sides of the \n surface will be lit.\n"},
  {(char*)"SetTwoSidedLighting",                (PyCFunction)PyvtkRenderer_SetTwoSidedLighting, 1,
   (char*)"V.SetTwoSidedLighting(int)\nC++: void SetTwoSidedLighting (int );\n\n Turn on/off two-sided lighting of surfaces. If two-sided lighting is\n off, then only the side of the surface facing the light(s) will be lit,\n and the other side dark. If two-sided lighting on, both sides of the \n surface will be lit.\n"},
  {(char*)"TwoSidedLightingOn",                (PyCFunction)PyvtkRenderer_TwoSidedLightingOn, 1,
   (char*)"V.TwoSidedLightingOn()\nC++: void TwoSidedLightingOn ();\n\n Turn on/off two-sided lighting of surfaces. If two-sided lighting is\n off, then only the side of the surface facing the light(s) will be lit,\n and the other side dark. If two-sided lighting on, both sides of the \n surface will be lit.\n"},
  {(char*)"TwoSidedLightingOff",                (PyCFunction)PyvtkRenderer_TwoSidedLightingOff, 1,
   (char*)"V.TwoSidedLightingOff()\nC++: void TwoSidedLightingOff ();\n\n Turn on/off two-sided lighting of surfaces. If two-sided lighting is\n off, then only the side of the surface facing the light(s) will be lit,\n and the other side dark. If two-sided lighting on, both sides of the \n surface will be lit.\n"},
  {(char*)"SetLightFollowCamera",                (PyCFunction)PyvtkRenderer_SetLightFollowCamera, 1,
   (char*)"V.SetLightFollowCamera(int)\nC++: void SetLightFollowCamera (int );\n\n Turn on/off the automatic repositioning of lights as the camera moves.\n If LightFollowCamera is on, lights that are designated as Headlights\n or CameraLights will be adjusted to move with this renderer's camera.\n If LightFollowCamera is off, the lights will not be adjusted.  \n\n (Note: In previous versions of vtk, this light-tracking\n functionality was part of the interactors, not the renderer. For\n backwards compatibility, the older, more limited interactor\n behavior is enabled by default. To disable this mode, turn the\n interactor's LightFollowCamera flag OFF, and leave the renderer's\n LightFollowCamera flag ON.)\n"},
  {(char*)"GetLightFollowCamera",                (PyCFunction)PyvtkRenderer_GetLightFollowCamera, 1,
   (char*)"V.GetLightFollowCamera() -> int\nC++: int GetLightFollowCamera ();\n\n Turn on/off the automatic repositioning of lights as the camera moves.\n If LightFollowCamera is on, lights that are designated as Headlights\n or CameraLights will be adjusted to move with this renderer's camera.\n If LightFollowCamera is off, the lights will not be adjusted.  \n\n (Note: In previous versions of vtk, this light-tracking\n functionality was part of the interactors, not the renderer. For\n backwards compatibility, the older, more limited interactor\n behavior is enabled by default. To disable this mode, turn the\n interactor's LightFollowCamera flag OFF, and leave the renderer's\n LightFollowCamera flag ON.)\n"},
  {(char*)"LightFollowCameraOn",                (PyCFunction)PyvtkRenderer_LightFollowCameraOn, 1,
   (char*)"V.LightFollowCameraOn()\nC++: void LightFollowCameraOn ();\n\n Turn on/off the automatic repositioning of lights as the camera moves.\n If LightFollowCamera is on, lights that are designated as Headlights\n or CameraLights will be adjusted to move with this renderer's camera.\n If LightFollowCamera is off, the lights will not be adjusted.  \n\n (Note: In previous versions of vtk, this light-tracking\n functionality was part of the interactors, not the renderer. For\n backwards compatibility, the older, more limited interactor\n behavior is enabled by default. To disable this mode, turn the\n interactor's LightFollowCamera flag OFF, and leave the renderer's\n LightFollowCamera flag ON.)\n"},
  {(char*)"LightFollowCameraOff",                (PyCFunction)PyvtkRenderer_LightFollowCameraOff, 1,
   (char*)"V.LightFollowCameraOff()\nC++: void LightFollowCameraOff ();\n\n Turn on/off the automatic repositioning of lights as the camera moves.\n If LightFollowCamera is on, lights that are designated as Headlights\n or CameraLights will be adjusted to move with this renderer's camera.\n If LightFollowCamera is off, the lights will not be adjusted.  \n\n (Note: In previous versions of vtk, this light-tracking\n functionality was part of the interactors, not the renderer. For\n backwards compatibility, the older, more limited interactor\n behavior is enabled by default. To disable this mode, turn the\n interactor's LightFollowCamera flag OFF, and leave the renderer's\n LightFollowCamera flag ON.)\n"},
  {(char*)"GetAutomaticLightCreation",                (PyCFunction)PyvtkRenderer_GetAutomaticLightCreation, 1,
   (char*)"V.GetAutomaticLightCreation() -> int\nC++: int GetAutomaticLightCreation ();\n\n Turn on/off a flag which disables the automatic light creation capability.\n Normally in VTK if no lights are associated with the renderer, then a light\n is automatically created. However, in special circumstances this feature is\n undesirable, so the following boolean is provided to disable automatic\n light creation. (Turn AutomaticLightCreation off if you do not want lights\n to be created.)\n"},
  {(char*)"SetAutomaticLightCreation",                (PyCFunction)PyvtkRenderer_SetAutomaticLightCreation, 1,
   (char*)"V.SetAutomaticLightCreation(int)\nC++: void SetAutomaticLightCreation (int );\n\n Turn on/off a flag which disables the automatic light creation capability.\n Normally in VTK if no lights are associated with the renderer, then a light\n is automatically created. However, in special circumstances this feature is\n undesirable, so the following boolean is provided to disable automatic\n light creation. (Turn AutomaticLightCreation off if you do not want lights\n to be created.)\n"},
  {(char*)"AutomaticLightCreationOn",                (PyCFunction)PyvtkRenderer_AutomaticLightCreationOn, 1,
   (char*)"V.AutomaticLightCreationOn()\nC++: void AutomaticLightCreationOn ();\n\n Turn on/off a flag which disables the automatic light creation capability.\n Normally in VTK if no lights are associated with the renderer, then a light\n is automatically created. However, in special circumstances this feature is\n undesirable, so the following boolean is provided to disable automatic\n light creation. (Turn AutomaticLightCreation off if you do not want lights\n to be created.)\n"},
  {(char*)"AutomaticLightCreationOff",                (PyCFunction)PyvtkRenderer_AutomaticLightCreationOff, 1,
   (char*)"V.AutomaticLightCreationOff()\nC++: void AutomaticLightCreationOff ();\n\n Turn on/off a flag which disables the automatic light creation capability.\n Normally in VTK if no lights are associated with the renderer, then a light\n is automatically created. However, in special circumstances this feature is\n undesirable, so the following boolean is provided to disable automatic\n light creation. (Turn AutomaticLightCreation off if you do not want lights\n to be created.)\n"},
  {(char*)"UpdateLightsGeometryToFollowCamera",                (PyCFunction)PyvtkRenderer_UpdateLightsGeometryToFollowCamera, 1,
   (char*)"V.UpdateLightsGeometryToFollowCamera() -> int\nC++: virtual int UpdateLightsGeometryToFollowCamera (void );\n\n Ask the lights in the scene that are not in world space\n (for instance, Headlights or CameraLights that are attached to the \n camera) to update their geometry to match the active camera.\n"},
  {(char*)"GetVolumes",                (PyCFunction)PyvtkRenderer_GetVolumes, 1,
   (char*)"V.GetVolumes() -> vtkVolumeCollection\nC++: vtkVolumeCollection *GetVolumes ();\n\n Return the collection of volumes.\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkRenderer_GetActors, 1,
   (char*)"V.GetActors() -> vtkActorCollection\nC++: vtkActorCollection *GetActors ();\n\n Return any actors in this renderer.\n"},
  {(char*)"SetActiveCamera",                (PyCFunction)PyvtkRenderer_SetActiveCamera, 1,
   (char*)"V.SetActiveCamera(vtkCamera)\nC++: void SetActiveCamera (vtkCamera *);\n\n Specify the camera to use for this renderer.\n"},
  {(char*)"GetActiveCamera",                (PyCFunction)PyvtkRenderer_GetActiveCamera, 1,
   (char*)"V.GetActiveCamera() -> vtkCamera\nC++: vtkCamera *GetActiveCamera ();\n\n Get the current camera. If there is not camera assigned to the\n renderer already, a new one is created automatically.\n This does *not* reset the camera.\n"},
  {(char*)"MakeCamera",                (PyCFunction)PyvtkRenderer_MakeCamera, 1,
   (char*)"V.MakeCamera() -> vtkCamera\nC++: virtual vtkCamera *MakeCamera ();\n\n Create a new Camera sutible for use with this type of Renderer.\n For example, a vtkMesaRenderer should create a vtkMesaCamera \n in this function.   The default is to just call vtkCamera::New.\n"},
  {(char*)"SetErase",                (PyCFunction)PyvtkRenderer_SetErase, 1,
   (char*)"V.SetErase(int)\nC++: void SetErase (int );\n\n When this flag is off, the renderer will not erase the background\n or the Zbuffer.  It is used to have overlapping renderers.\n Both the RenderWindow Erase and Render Erase must be on\n for the camera to clear the renderer.  By default, Erase is on.\n"},
  {(char*)"GetErase",                (PyCFunction)PyvtkRenderer_GetErase, 1,
   (char*)"V.GetErase() -> int\nC++: int GetErase ();\n\n When this flag is off, the renderer will not erase the background\n or the Zbuffer.  It is used to have overlapping renderers.\n Both the RenderWindow Erase and Render Erase must be on\n for the camera to clear the renderer.  By default, Erase is on.\n"},
  {(char*)"EraseOn",                (PyCFunction)PyvtkRenderer_EraseOn, 1,
   (char*)"V.EraseOn()\nC++: void EraseOn ();\n\n When this flag is off, the renderer will not erase the background\n or the Zbuffer.  It is used to have overlapping renderers.\n Both the RenderWindow Erase and Render Erase must be on\n for the camera to clear the renderer.  By default, Erase is on.\n"},
  {(char*)"EraseOff",                (PyCFunction)PyvtkRenderer_EraseOff, 1,
   (char*)"V.EraseOff()\nC++: void EraseOff ();\n\n When this flag is off, the renderer will not erase the background\n or the Zbuffer.  It is used to have overlapping renderers.\n Both the RenderWindow Erase and Render Erase must be on\n for the camera to clear the renderer.  By default, Erase is on.\n"},
  {(char*)"AddCuller",                (PyCFunction)PyvtkRenderer_AddCuller, 1,
   (char*)"V.AddCuller(vtkCuller)\nC++: void AddCuller (vtkCuller *);\n\n Add an culler to the list of cullers.\n"},
  {(char*)"RemoveCuller",                (PyCFunction)PyvtkRenderer_RemoveCuller, 1,
   (char*)"V.RemoveCuller(vtkCuller)\nC++: void RemoveCuller (vtkCuller *);\n\n Remove an actor from the list of cullers.\n"},
  {(char*)"GetCullers",                (PyCFunction)PyvtkRenderer_GetCullers, 1,
   (char*)"V.GetCullers() -> vtkCullerCollection\nC++: vtkCullerCollection *GetCullers ();\n\n Return the collection of cullers.\n"},
  {(char*)"SetAmbient",                (PyCFunction)PyvtkRenderer_SetAmbient, 1,
   (char*)"V.SetAmbient(float, float, float)\nC++: void SetAmbient (double , double , double );\nV.SetAmbient((float, float, float))\nC++: void SetAmbient (double  a[3]);\n\n Set the intensity of ambient lighting.\n"},
  {(char*)"GetAmbient",                (PyCFunction)PyvtkRenderer_GetAmbient, 1,
   (char*)"V.GetAmbient() -> (float, float, float)\nC++: double  *GetAmbient ();\n\n Set the intensity of ambient lighting.\n"},
  {(char*)"SetAllocatedRenderTime",                (PyCFunction)PyvtkRenderer_SetAllocatedRenderTime, 1,
   (char*)"V.SetAllocatedRenderTime(float)\nC++: void SetAllocatedRenderTime (double );\n\n Set/Get the amount of time this renderer is allowed to spend\n rendering its scene. This is used by vtkLODActor's.\n"},
  {(char*)"GetAllocatedRenderTime",                (PyCFunction)PyvtkRenderer_GetAllocatedRenderTime, 1,
   (char*)"V.GetAllocatedRenderTime() -> float\nC++: virtual double GetAllocatedRenderTime ();\n\n Set/Get the amount of time this renderer is allowed to spend\n rendering its scene. This is used by vtkLODActor's.\n"},
  {(char*)"GetTimeFactor",                (PyCFunction)PyvtkRenderer_GetTimeFactor, 1,
   (char*)"V.GetTimeFactor() -> float\nC++: virtual double GetTimeFactor ();\n\n Get the ratio between allocated time and actual render time.\n TimeFactor has been taken out of the render process.  \n It is still computed in case someone finds it useful.\n It may be taken away in the future.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkRenderer_Render, 1,
   (char*)"V.Render()\nC++: virtual void Render ();\n\n Create an image. This is a superclass method which will in turn \n call the DeviceRender method of Subclasses of vtkRenderer\n"},
  {(char*)"DeviceRender",                (PyCFunction)PyvtkRenderer_DeviceRender, 1,
   (char*)"V.DeviceRender()\nC++: virtual void DeviceRender () = 0;\n\n Create an image. Subclasses of vtkRenderer must implement this method.\n"},
  {(char*)"Clear",                (PyCFunction)PyvtkRenderer_Clear, 1,
   (char*)"V.Clear()\nC++: virtual void Clear ();\n\n Clear the image to the background color.\n"},
  {(char*)"VisibleActorCount",                (PyCFunction)PyvtkRenderer_VisibleActorCount, 1,
   (char*)"V.VisibleActorCount() -> int\nC++: int VisibleActorCount ();\n\n Returns the number of visible actors.\n"},
  {(char*)"VisibleVolumeCount",                (PyCFunction)PyvtkRenderer_VisibleVolumeCount, 1,
   (char*)"V.VisibleVolumeCount() -> int\nC++: int VisibleVolumeCount ();\n\n Returns the number of visible volumes.\n"},
  {(char*)"ComputeVisiblePropBounds",                (PyCFunction)PyvtkRenderer_ComputeVisiblePropBounds, 1,
   (char*)"V.ComputeVisiblePropBounds((float, float, float, float, float, float))\nC++: void ComputeVisiblePropBounds (double bounds[6]);\nV.ComputeVisiblePropBounds() -> (float, float, float, float, float, float)\nC++: double *ComputeVisiblePropBounds ();\n\n Compute the bounding box of all the visible props\n Used in ResetCamera() and ResetCameraClippingRange() \n"},
  {(char*)"ResetCameraClippingRange",                (PyCFunction)PyvtkRenderer_ResetCameraClippingRange, 1,
   (char*)"V.ResetCameraClippingRange()\nC++: void ResetCameraClippingRange ();\nV.ResetCameraClippingRange((float, float, float, float, float, float))\nC++: void ResetCameraClippingRange (double bounds[6]);\nV.ResetCameraClippingRange(float, float, float, float, float, float)\nC++: void ResetCameraClippingRange (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);\n\n Reset the camera clipping range based on the bounds of the\n visible actors. This ensures that no props are cut off\n"},
  {(char*)"SetNearClippingPlaneTolerance",                (PyCFunction)PyvtkRenderer_SetNearClippingPlaneTolerance, 1,
   (char*)"V.SetNearClippingPlaneTolerance(float)\nC++: void SetNearClippingPlaneTolerance (double );\n\n Specify tolerance for near clipping plane distance to the camera as a\n percentage of the far clipping plane distance. By default this will be\n set to 0.01 for 16 bit zbuffers and 0.001 for higher depth z buffers\n"},
  {(char*)"GetNearClippingPlaneToleranceMinValue",                (PyCFunction)PyvtkRenderer_GetNearClippingPlaneToleranceMinValue, 1,
   (char*)"V.GetNearClippingPlaneToleranceMinValue() -> float\nC++: double GetNearClippingPlaneToleranceMinValue ();\n\n Specify tolerance for near clipping plane distance to the camera as a\n percentage of the far clipping plane distance. By default this will be\n set to 0.01 for 16 bit zbuffers and 0.001 for higher depth z buffers\n"},
  {(char*)"GetNearClippingPlaneToleranceMaxValue",                (PyCFunction)PyvtkRenderer_GetNearClippingPlaneToleranceMaxValue, 1,
   (char*)"V.GetNearClippingPlaneToleranceMaxValue() -> float\nC++: double GetNearClippingPlaneToleranceMaxValue ();\n\n Specify tolerance for near clipping plane distance to the camera as a\n percentage of the far clipping plane distance. By default this will be\n set to 0.01 for 16 bit zbuffers and 0.001 for higher depth z buffers\n"},
  {(char*)"GetNearClippingPlaneTolerance",                (PyCFunction)PyvtkRenderer_GetNearClippingPlaneTolerance, 1,
   (char*)"V.GetNearClippingPlaneTolerance() -> float\nC++: double GetNearClippingPlaneTolerance ();\n\n Specify tolerance for near clipping plane distance to the camera as a\n percentage of the far clipping plane distance. By default this will be\n set to 0.01 for 16 bit zbuffers and 0.001 for higher depth z buffers\n"},
  {(char*)"ResetCamera",                (PyCFunction)PyvtkRenderer_ResetCamera, 1,
   (char*)"V.ResetCamera()\nC++: void ResetCamera ();\nV.ResetCamera((float, float, float, float, float, float))\nC++: void ResetCamera (double bounds[6]);\nV.ResetCamera(float, float, float, float, float, float)\nC++: void ResetCamera (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);\n\n Automatically set up the camera based on the visible actors.\n The camera will reposition itself to view the center point of the actors,\n and move along its initial view plane normal (i.e., vector defined from \n camera position to focal point) so that all of the actors can be seen.\n"},
  {(char*)"SetRenderWindow",                (PyCFunction)PyvtkRenderer_SetRenderWindow, 1,
   (char*)"V.SetRenderWindow(vtkRenderWindow)\nC++: void SetRenderWindow (vtkRenderWindow *);\n\n Specify the rendering window in which to draw. This is automatically set\n when the renderer is created by MakeRenderer.  The user probably\n shouldn't ever need to call this method.\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkRenderer_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();return this RenderWindow \n\n Specify the rendering window in which to draw. This is automatically set\n when the renderer is created by MakeRenderer.  The user probably\n shouldn't ever need to call this method.\n"},
  {(char*)"GetVTKWindow",                (PyCFunction)PyvtkRenderer_GetVTKWindow, 1,
   (char*)"V.GetVTKWindow() -> vtkWindow\nC++: virtual vtkWindow *GetVTKWindow ();\n\n Specify the rendering window in which to draw. This is automatically set\n when the renderer is created by MakeRenderer.  The user probably\n shouldn't ever need to call this method.\n"},
  {(char*)"SetBackingStore",                (PyCFunction)PyvtkRenderer_SetBackingStore, 1,
   (char*)"V.SetBackingStore(int)\nC++: void SetBackingStore (int );\n\n Turn on/off using backing store. This may cause the re-rendering\n time to be slightly slower when the view changes. But it is\n much faster when the image has not changed, such as during an\n expose event.\n"},
  {(char*)"GetBackingStore",                (PyCFunction)PyvtkRenderer_GetBackingStore, 1,
   (char*)"V.GetBackingStore() -> int\nC++: int GetBackingStore ();\n\n Turn on/off using backing store. This may cause the re-rendering\n time to be slightly slower when the view changes. But it is\n much faster when the image has not changed, such as during an\n expose event.\n"},
  {(char*)"BackingStoreOn",                (PyCFunction)PyvtkRenderer_BackingStoreOn, 1,
   (char*)"V.BackingStoreOn()\nC++: void BackingStoreOn ();\n\n Turn on/off using backing store. This may cause the re-rendering\n time to be slightly slower when the view changes. But it is\n much faster when the image has not changed, such as during an\n expose event.\n"},
  {(char*)"BackingStoreOff",                (PyCFunction)PyvtkRenderer_BackingStoreOff, 1,
   (char*)"V.BackingStoreOff()\nC++: void BackingStoreOff ();\n\n Turn on/off using backing store. This may cause the re-rendering\n time to be slightly slower when the view changes. But it is\n much faster when the image has not changed, such as during an\n expose event.\n"},
  {(char*)"SetInteractive",                (PyCFunction)PyvtkRenderer_SetInteractive, 1,
   (char*)"V.SetInteractive(int)\nC++: void SetInteractive (int );\n\n Turn on/off interactive status.  An interactive renderer is one that \n can receive events from an interactor.  Should only be set if\n there are multiple renderers in the same section of the viewport.\n"},
  {(char*)"GetInteractive",                (PyCFunction)PyvtkRenderer_GetInteractive, 1,
   (char*)"V.GetInteractive() -> int\nC++: int GetInteractive ();\n\n Turn on/off interactive status.  An interactive renderer is one that \n can receive events from an interactor.  Should only be set if\n there are multiple renderers in the same section of the viewport.\n"},
  {(char*)"InteractiveOn",                (PyCFunction)PyvtkRenderer_InteractiveOn, 1,
   (char*)"V.InteractiveOn()\nC++: void InteractiveOn ();\n\n Turn on/off interactive status.  An interactive renderer is one that \n can receive events from an interactor.  Should only be set if\n there are multiple renderers in the same section of the viewport.\n"},
  {(char*)"InteractiveOff",                (PyCFunction)PyvtkRenderer_InteractiveOff, 1,
   (char*)"V.InteractiveOff()\nC++: void InteractiveOff ();\n\n Turn on/off interactive status.  An interactive renderer is one that \n can receive events from an interactor.  Should only be set if\n there are multiple renderers in the same section of the viewport.\n"},
  {(char*)"SetLayer",                (PyCFunction)PyvtkRenderer_SetLayer, 1,
   (char*)"V.SetLayer(int)\nC++: void SetLayer (int );\n\n Set/Get the layer that this renderer belongs to.  This is only used if\n there are layered renderers.\n"},
  {(char*)"GetLayer",                (PyCFunction)PyvtkRenderer_GetLayer, 1,
   (char*)"V.GetLayer() -> int\nC++: int GetLayer ();\n\n Set/Get the layer that this renderer belongs to.  This is only used if\n there are layered renderers.\n"},
  {(char*)"Transparent",                (PyCFunction)PyvtkRenderer_Transparent, 1,
   (char*)"V.Transparent() -> int\nC++: int Transparent ();\n\n Returns a boolean indicating if this renderer is transparent.  It is\n transparent if it is not in the deepest layer of its render window.\n"},
  {(char*)"WorldToView",                (PyCFunction)PyvtkRenderer_WorldToView, 1,
   (char*)"V.WorldToView()\nC++: void WorldToView ();\n\n Convert world point coordinates to view coordinates.\n"},
  {(char*)"ViewToWorld",                (PyCFunction)PyvtkRenderer_ViewToWorld, 1,
   (char*)"V.ViewToWorld()\nC++: void ViewToWorld ();\n\n Convert view point coordinates to world coordinates.\n"},
  {(char*)"GetZ",                (PyCFunction)PyvtkRenderer_GetZ, 1,
   (char*)"V.GetZ(int, int) -> float\nC++: double GetZ (int x, int y);\n\n Given a pixel location, return the Z value. The z value is\n normalized (0,1) between the front and back clipping planes.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkRenderer_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime of the renderer also considering its ivars.\n"},
  {(char*)"GetLastRenderTimeInSeconds",                (PyCFunction)PyvtkRenderer_GetLastRenderTimeInSeconds, 1,
   (char*)"V.GetLastRenderTimeInSeconds() -> float\nC++: double GetLastRenderTimeInSeconds ();\n\n Get the time required, in seconds, for the last Render call.\n"},
  {(char*)"GetNumberOfPropsRendered",                (PyCFunction)PyvtkRenderer_GetNumberOfPropsRendered, 1,
   (char*)"V.GetNumberOfPropsRendered() -> int\nC++: int GetNumberOfPropsRendered ();\n\n Should be used internally only during a render\n Get the number of props that were rendered using a\n RenderOpaqueGeometry or RenderTranslucentGeometry call.\n This is used to know if something is in the frame buffer.\n"},
  {(char*)"PickProp",                (PyCFunction)PyvtkRenderer_PickProp, 1,
   (char*)"V.PickProp(float, float) -> vtkAssemblyPath\nC++: vtkAssemblyPath *PickProp (double selectionX, double selectionY);\n\n Return the prop (via a vtkAssemblyPath) that has the highest z value \n at the given x, y position in the viewport.  Basically, the top most \n prop that renders the pixel at selectionX, selectionY will be returned.\n If nothing was picked then NULL is returned.  This method selects from \n the renderers Prop list.\n"},
  {(char*)"StereoMidpoint",                (PyCFunction)PyvtkRenderer_StereoMidpoint, 1,
   (char*)"V.StereoMidpoint()\nC++: virtual void StereoMidpoint ();return \n\n Do anything necessary between rendering the left and right viewpoints\n in a stereo render. Doesn't do anything except in the derived\n vtkIceTRenderer in ParaView.\n"},
  {(char*)"GetTiledAspectRatio",                (PyCFunction)PyvtkRenderer_GetTiledAspectRatio, 1,
   (char*)"V.GetTiledAspectRatio() -> float\nC++: double GetTiledAspectRatio ();\n\n Compute the aspect ratio of this renderer for the current tile. When\n tiled displays are used the aspect ratio of the renderer for a given\n tile may be diferent that the aspect ratio of the renderer when rendered\n in it entirity\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRendererDoc[] = {
  (char*)"vtkRenderer - abstract specification for renderers\n\n",
  "Super Class:\n\n vtkViewport\n\n",
  (char*)" vtkRenderer provides an abstract specification for renderers. A renderer\n is an object that controls the rendering process for objects. Rendering\n is the process of converting geometry, a specification for lights, and \n a camera view into an image. vtkRenderer also performs coordinate \n transformation between world coordinates, view coordinates (the computer\n graphics rendering coordinate system)",
  (char*)", and display coordinates (the \n actual screen coordinates on the display device). Certain advanced \n rendering features such as two-sided lighting can also be controlled.\n\n",
  "See Also:\n\n vtkRenderWindow vtkActor vtkCamera vtkLight vtkVolume\n\n",
  NULL
};

static vtkObjectBase *vtkRendererStaticNew()
{
  return vtkRenderer::New();
}

PyObject *PyVTKClass_vtkRendererNew(char *modulename)
{
  return PyVTKClass_New(&vtkRendererStaticNew,
                        PyvtkRendererMethods,
                        (char*)"vtkRenderer",modulename,
                        (char**)vtkRendererDoc,
                        PyVTKClass_vtkViewportNew(modulename));
}

