// python wrapper for vtkRendererSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkRendererSource.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRendererSourceNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRendererSourceNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAlgorithmNew(char *); }

static PyObject *PyvtkRendererSource_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  const char    *temp20;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererSource::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererSource::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  vtkRendererSource  *temp20;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererSource::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRendererSource  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRendererSource::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRendererSource_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  unsigned long     temp20;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererSource::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererSource::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkRendererSource_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  vtkRenderer  *temp20;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererSource::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_SetWholeWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  int      temp0;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererSource::SetWholeWindow(temp0);
      }
    else
      {
      op->SetWholeWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_GetWholeWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  int      temp20;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererSource::GetWholeWindow();
      }
    else
      {
      temp20 = op->GetWholeWindow();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_WholeWindowOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererSource::WholeWindowOn();
      }
    else
      {
      op->WholeWindowOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_WholeWindowOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererSource::WholeWindowOff();
      }
    else
      {
      op->WholeWindowOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_SetRenderFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  int      temp0;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererSource::SetRenderFlag(temp0);
      }
    else
      {
      op->SetRenderFlag(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_GetRenderFlag(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  int      temp20;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererSource::GetRenderFlag();
      }
    else
      {
      temp20 = op->GetRenderFlag();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_RenderFlagOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererSource::RenderFlagOn();
      }
    else
      {
      op->RenderFlagOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_RenderFlagOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererSource::RenderFlagOff();
      }
    else
      {
      op->RenderFlagOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_SetDepthValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  int      temp0;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererSource::SetDepthValues(temp0);
      }
    else
      {
      op->SetDepthValues(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_GetDepthValues(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  int      temp20;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererSource::GetDepthValues();
      }
    else
      {
      temp20 = op->GetDepthValues();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_DepthValuesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererSource::DepthValuesOn();
      }
    else
      {
      op->DepthValuesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_DepthValuesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererSource::DepthValuesOff();
      }
    else
      {
      op->DepthValuesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_SetDepthValuesInScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  int      temp0;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererSource::SetDepthValuesInScalars(temp0);
      }
    else
      {
      op->SetDepthValuesInScalars(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_GetDepthValuesInScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  int      temp20;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererSource::GetDepthValuesInScalars();
      }
    else
      {
      temp20 = op->GetDepthValuesInScalars();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_DepthValuesInScalarsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererSource::DepthValuesInScalarsOn();
      }
    else
      {
      op->DepthValuesInScalarsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_DepthValuesInScalarsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRendererSource::DepthValuesInScalarsOff();
      }
    else
      {
      op->DepthValuesInScalarsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRendererSource_GetOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRendererSource *op;

  vtkImageData  *temp20;
  if ((op = (vtkRendererSource *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRendererSource::GetOutput();
      }
    else
      {
      temp20 = op->GetOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRendererSourceMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRendererSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRendererSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRendererSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRendererSource\nC++: vtkRendererSource *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRendererSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRendererSource\nC++: vtkRendererSource *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkRendererSource_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the Renderer.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkRendererSource_SetInput, 1,
   (char*)"V.SetInput(vtkRenderer)\nC++: void SetInput (vtkRenderer *);\n\n Indicates what renderer to get the pixel data from.\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkRendererSource_GetInput, 1,
   (char*)"V.GetInput() -> vtkRenderer\nC++: vtkRenderer *GetInput ();\n\n Returns which renderer is being used as the source for the pixel data.\n"},
  {(char*)"SetWholeWindow",                (PyCFunction)PyvtkRendererSource_SetWholeWindow, 1,
   (char*)"V.SetWholeWindow(int)\nC++: void SetWholeWindow (int );\n\n Use the entire RenderWindow as a data source or just the Renderer.\n The default is zero, just the Renderer.\n"},
  {(char*)"GetWholeWindow",                (PyCFunction)PyvtkRendererSource_GetWholeWindow, 1,
   (char*)"V.GetWholeWindow() -> int\nC++: int GetWholeWindow ();\n\n Use the entire RenderWindow as a data source or just the Renderer.\n The default is zero, just the Renderer.\n"},
  {(char*)"WholeWindowOn",                (PyCFunction)PyvtkRendererSource_WholeWindowOn, 1,
   (char*)"V.WholeWindowOn()\nC++: void WholeWindowOn ();\n\n Use the entire RenderWindow as a data source or just the Renderer.\n The default is zero, just the Renderer.\n"},
  {(char*)"WholeWindowOff",                (PyCFunction)PyvtkRendererSource_WholeWindowOff, 1,
   (char*)"V.WholeWindowOff()\nC++: void WholeWindowOff ();\n\n Use the entire RenderWindow as a data source or just the Renderer.\n The default is zero, just the Renderer.\n"},
  {(char*)"SetRenderFlag",                (PyCFunction)PyvtkRendererSource_SetRenderFlag, 1,
   (char*)"V.SetRenderFlag(int)\nC++: void SetRenderFlag (int );\n\n If this flag is on, the Executing causes a render first.\n"},
  {(char*)"GetRenderFlag",                (PyCFunction)PyvtkRendererSource_GetRenderFlag, 1,
   (char*)"V.GetRenderFlag() -> int\nC++: int GetRenderFlag ();\n\n If this flag is on, the Executing causes a render first.\n"},
  {(char*)"RenderFlagOn",                (PyCFunction)PyvtkRendererSource_RenderFlagOn, 1,
   (char*)"V.RenderFlagOn()\nC++: void RenderFlagOn ();\n\n If this flag is on, the Executing causes a render first.\n"},
  {(char*)"RenderFlagOff",                (PyCFunction)PyvtkRendererSource_RenderFlagOff, 1,
   (char*)"V.RenderFlagOff()\nC++: void RenderFlagOff ();\n\n If this flag is on, the Executing causes a render first.\n"},
  {(char*)"SetDepthValues",                (PyCFunction)PyvtkRendererSource_SetDepthValues, 1,
   (char*)"V.SetDepthValues(int)\nC++: void SetDepthValues (int );\n\n A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed into a field data attributes named \"ZBuffer\" .\n"},
  {(char*)"GetDepthValues",                (PyCFunction)PyvtkRendererSource_GetDepthValues, 1,
   (char*)"V.GetDepthValues() -> int\nC++: int GetDepthValues ();\n\n A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed into a field data attributes named \"ZBuffer\" .\n"},
  {(char*)"DepthValuesOn",                (PyCFunction)PyvtkRendererSource_DepthValuesOn, 1,
   (char*)"V.DepthValuesOn()\nC++: void DepthValuesOn ();\n\n A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed into a field data attributes named \"ZBuffer\" .\n"},
  {(char*)"DepthValuesOff",                (PyCFunction)PyvtkRendererSource_DepthValuesOff, 1,
   (char*)"V.DepthValuesOff()\nC++: void DepthValuesOff ();\n\n A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed into a field data attributes named \"ZBuffer\" .\n"},
  {(char*)"SetDepthValuesInScalars",                (PyCFunction)PyvtkRendererSource_SetDepthValuesInScalars, 1,
   (char*)"V.SetDepthValuesInScalars(int)\nC++: void SetDepthValuesInScalars (int );\n\n A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed in the scalars as a fourth Z component (shift and scaled\n to map the full 0..255 range).\n"},
  {(char*)"GetDepthValuesInScalars",                (PyCFunction)PyvtkRendererSource_GetDepthValuesInScalars, 1,
   (char*)"V.GetDepthValuesInScalars() -> int\nC++: int GetDepthValuesInScalars ();\n\n A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed in the scalars as a fourth Z component (shift and scaled\n to map the full 0..255 range).\n"},
  {(char*)"DepthValuesInScalarsOn",                (PyCFunction)PyvtkRendererSource_DepthValuesInScalarsOn, 1,
   (char*)"V.DepthValuesInScalarsOn()\nC++: void DepthValuesInScalarsOn ();\n\n A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed in the scalars as a fourth Z component (shift and scaled\n to map the full 0..255 range).\n"},
  {(char*)"DepthValuesInScalarsOff",                (PyCFunction)PyvtkRendererSource_DepthValuesInScalarsOff, 1,
   (char*)"V.DepthValuesInScalarsOff()\nC++: void DepthValuesInScalarsOff ();\n\n A boolean value to control whether to grab z-buffer \n (i.e., depth values) along with the image data. The z-buffer data\n is placed in the scalars as a fourth Z component (shift and scaled\n to map the full 0..255 range).\n"},
  {(char*)"GetOutput",                (PyCFunction)PyvtkRendererSource_GetOutput, 1,
   (char*)"V.GetOutput() -> vtkImageData\nC++: vtkImageData *GetOutput ();\n\n Get the output data object for a port on this algorithm.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRendererSourceDoc[] = {
  (char*)"vtkRendererSource - take a renderer into the pipeline\n\n",
  "Super Class:\n\n vtkAlgorithm\n\n",
  (char*)" vtkRendererSource is a source object that gets its input from a \n renderer and converts it to structured points. This can then be \n used in a visualization pipeline. You must explicitly send a \n Modify() to this object to get it to reload its data from the\n renderer. Consider using vtkWindowToImageFilter instead of this\n class.\n\n The data placed into the output is the renderer's image rgb values.",
  (char*)"\n Optionally, you can also grab the image depth (e.g., z-buffer) values, and\n place then into the output (point) field data.\n\n",
  "See Also:\n\n vtkWindowToImageFilter vtkRenderer vtkStructuredPoints\n\n",
  NULL
};

static vtkObjectBase *vtkRendererSourceStaticNew()
{
  return vtkRendererSource::New();
}

PyObject *PyVTKClass_vtkRendererSourceNew(char *modulename)
{
  return PyVTKClass_New(&vtkRendererSourceStaticNew,
                        PyvtkRendererSourceMethods,
                        (char*)"vtkRendererSource",modulename,
                        (char**)vtkRendererSourceDoc,
                        PyVTKClass_vtkAlgorithmNew(modulename));
}

