// tcl wrapper for vtkRendererSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRendererSource.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkRendererSourceNewCommand()
{
  vtkRendererSource *temp = vtkRendererSource::New();
  return ((ClientData)temp);
}

int vtkAlgorithmCppCommand(vtkAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRendererSourceCppCommand(vtkRendererSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRendererSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRendererSourceCppCommand((vtkRendererSource *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRendererSourceCppCommand(vtkRendererSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRendererSource",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkAlgorithmCppCommand((vtkAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRendererSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRendererSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRendererSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRendererSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRendererSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRendererSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("SetWholeWindow",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWholeWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWholeWindow",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWholeWindow();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WholeWindowOn",argv[1]))&&(argc == 2))
    {
    op->WholeWindowOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WholeWindowOff",argv[1]))&&(argc == 2))
    {
    op->WholeWindowOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRenderFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderFlagOn",argv[1]))&&(argc == 2))
    {
    op->RenderFlagOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderFlagOff",argv[1]))&&(argc == 2))
    {
    op->RenderFlagOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDepthValues",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDepthValues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDepthValues",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDepthValues();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DepthValuesOn",argv[1]))&&(argc == 2))
    {
    op->DepthValuesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DepthValuesOff",argv[1]))&&(argc == 2))
    {
    op->DepthValuesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDepthValuesInScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDepthValuesInScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDepthValuesInScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDepthValuesInScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DepthValuesInScalarsOn",argv[1]))&&(argc == 2))
    {
    op->DepthValuesInScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DepthValuesInScalarsOff",argv[1]))&&(argc == 2))
    {
    op->DepthValuesInScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageData");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkRendererSourceCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRendererSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeWindow\n",NULL);
    Tcl_AppendResult(interp,"  WholeWindowOn\n",NULL);
    Tcl_AppendResult(interp,"  WholeWindowOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderFlag\n",NULL);
    Tcl_AppendResult(interp,"  RenderFlagOn\n",NULL);
    Tcl_AppendResult(interp,"  RenderFlagOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDepthValues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthValues\n",NULL);
    Tcl_AppendResult(interp,"  DepthValuesOn\n",NULL);
    Tcl_AppendResult(interp,"  DepthValuesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDepthValuesInScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthValuesInScalars\n",NULL);
    Tcl_AppendResult(interp,"  DepthValuesInScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  DepthValuesInScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\n",NULL);
    return TCL_OK;
    }

  if (vtkAlgorithmCppCommand((vtkAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
