// tcl wrapper for vtkRenderer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderer.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkRendererNewCommand()
{
  vtkRenderer *temp = vtkRenderer::New();
  return ((ClientData)temp);
}

int vtkViewportCppCommand(vtkViewport *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRendererCppCommand(vtkRenderer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRendererCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRendererCppCommand((vtkRenderer *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRendererCppCommand(vtkRenderer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRenderer",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkViewportCppCommand((vtkViewport *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkViewport", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRenderer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderer");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("AddActor",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->AddActor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddVolume",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->AddVolume(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveActor",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->RemoveActor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveVolume",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->RemoveVolume(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLight",argv[1]))&&(argc == 3))
    {
    vtkLight  *temp0;
    error = 0;

    temp0 = (vtkLight *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkLight",interp,error));
    if (!error)
    {
    op->AddLight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveLight",argv[1]))&&(argc == 3))
    {
    vtkLight  *temp0;
    error = 0;

    temp0 = (vtkLight *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkLight",interp,error));
    if (!error)
    {
    op->RemoveLight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLights",argv[1]))&&(argc == 2))
    {
    vtkLightCollection  *temp20;
    temp20 = (op)->GetLights();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkLightCollection");
    return TCL_OK;
    }
  if ((!strcmp("CreateLight",argv[1]))&&(argc == 2))
    {
    op->CreateLight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MakeLight",argv[1]))&&(argc == 2))
    {
    vtkLight  *temp20;
    temp20 = (op)->MakeLight();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkLight");
    return TCL_OK;
    }
  if ((!strcmp("GetTwoSidedLighting",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTwoSidedLighting();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTwoSidedLighting",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTwoSidedLighting(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("TwoSidedLightingOn",argv[1]))&&(argc == 2))
    {
    op->TwoSidedLightingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TwoSidedLightingOff",argv[1]))&&(argc == 2))
    {
    op->TwoSidedLightingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLightFollowCamera",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLightFollowCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLightFollowCamera",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLightFollowCamera();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LightFollowCameraOn",argv[1]))&&(argc == 2))
    {
    op->LightFollowCameraOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LightFollowCameraOff",argv[1]))&&(argc == 2))
    {
    op->LightFollowCameraOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAutomaticLightCreation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticLightCreation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutomaticLightCreation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutomaticLightCreation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AutomaticLightCreationOn",argv[1]))&&(argc == 2))
    {
    op->AutomaticLightCreationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticLightCreationOff",argv[1]))&&(argc == 2))
    {
    op->AutomaticLightCreationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateLightsGeometryToFollowCamera",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->UpdateLightsGeometryToFollowCamera();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVolumes",argv[1]))&&(argc == 2))
    {
    vtkVolumeCollection  *temp20;
    temp20 = (op)->GetVolumes();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkVolumeCollection");
    return TCL_OK;
    }
  if ((!strcmp("GetActors",argv[1]))&&(argc == 2))
    {
    vtkActorCollection  *temp20;
    temp20 = (op)->GetActors();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkActorCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetActiveCamera",argv[1]))&&(argc == 3))
    {
    vtkCamera  *temp0;
    error = 0;

    temp0 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCamera",interp,error));
    if (!error)
    {
    op->SetActiveCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActiveCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->GetActiveCamera();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("MakeCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->MakeCamera();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("SetErase",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetErase(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetErase",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetErase();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EraseOn",argv[1]))&&(argc == 2))
    {
    op->EraseOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EraseOff",argv[1]))&&(argc == 2))
    {
    op->EraseOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddCuller",argv[1]))&&(argc == 3))
    {
    vtkCuller  *temp0;
    error = 0;

    temp0 = (vtkCuller *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCuller",interp,error));
    if (!error)
    {
    op->AddCuller(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveCuller",argv[1]))&&(argc == 3))
    {
    vtkCuller  *temp0;
    error = 0;

    temp0 = (vtkCuller *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkCuller",interp,error));
    if (!error)
    {
    op->RemoveCuller(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCullers",argv[1]))&&(argc == 2))
    {
    vtkCullerCollection  *temp20;
    temp20 = (op)->GetCullers();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCullerCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetAmbient",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetAmbient(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAmbient",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetAmbient(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAmbient",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetAmbient();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAllocatedRenderTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAllocatedRenderTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllocatedRenderTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAllocatedRenderTime();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTimeFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTimeFactor();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeviceRender",argv[1]))&&(argc == 2))
    {
    op->DeviceRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Clear",argv[1]))&&(argc == 2))
    {
    op->Clear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VisibleActorCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->VisibleActorCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VisibleVolumeCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->VisibleVolumeCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeVisiblePropBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->ComputeVisiblePropBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeVisiblePropBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->ComputeVisiblePropBounds();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ResetCameraClippingRange",argv[1]))&&(argc == 2))
    {
    op->ResetCameraClippingRange();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetCameraClippingRange",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->ResetCameraClippingRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetCameraClippingRange",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->ResetCameraClippingRange(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNearClippingPlaneTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetNearClippingPlaneTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNearClippingPlaneToleranceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNearClippingPlaneToleranceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNearClippingPlaneToleranceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNearClippingPlaneToleranceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNearClippingPlaneTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNearClippingPlaneTolerance();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ResetCamera",argv[1]))&&(argc == 2))
    {
    op->ResetCamera();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetCamera",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->ResetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetCamera",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->ResetCamera(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderWindow",interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetVTKWindow",argv[1]))&&(argc == 2))
    {
    vtkWindow  *temp20;
    temp20 = (op)->GetVTKWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetBackingStore",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBackingStore(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackingStore",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBackingStore();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BackingStoreOn",argv[1]))&&(argc == 2))
    {
    op->BackingStoreOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BackingStoreOff",argv[1]))&&(argc == 2))
    {
    op->BackingStoreOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractive",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteractive(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractive",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInteractive();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InteractiveOn",argv[1]))&&(argc == 2))
    {
    op->InteractiveOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InteractiveOff",argv[1]))&&(argc == 2))
    {
    op->InteractiveOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLayer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayer",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLayer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Transparent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Transparent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WorldToView",argv[1]))&&(argc == 2))
    {
    op->WorldToView();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ViewToWorld",argv[1]))&&(argc == 2))
    {
    op->ViewToWorld();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetZ",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetZ(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastRenderTimeInSeconds",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLastRenderTimeInSeconds();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPropsRendered",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPropsRendered();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PickProp",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    vtkAssemblyPath  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->PickProp(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkAssemblyPath");
    return TCL_OK;
    }
    }
  if ((!strcmp("StereoMidpoint",argv[1]))&&(argc == 2))
    {
    op->StereoMidpoint();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTiledAspectRatio",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTiledAspectRatio();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkRendererCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkViewportCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRenderer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  AddActor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddVolume\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveActor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveVolume\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddLight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveLight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLights\n",NULL);
    Tcl_AppendResult(interp,"  CreateLight\n",NULL);
    Tcl_AppendResult(interp,"  MakeLight\n",NULL);
    Tcl_AppendResult(interp,"  GetTwoSidedLighting\n",NULL);
    Tcl_AppendResult(interp,"  SetTwoSidedLighting\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TwoSidedLightingOn\n",NULL);
    Tcl_AppendResult(interp,"  TwoSidedLightingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLightFollowCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLightFollowCamera\n",NULL);
    Tcl_AppendResult(interp,"  LightFollowCameraOn\n",NULL);
    Tcl_AppendResult(interp,"  LightFollowCameraOff\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticLightCreation\n",NULL);
    Tcl_AppendResult(interp,"  SetAutomaticLightCreation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticLightCreationOn\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticLightCreationOff\n",NULL);
    Tcl_AppendResult(interp,"  UpdateLightsGeometryToFollowCamera\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumes\n",NULL);
    Tcl_AppendResult(interp,"  GetActors\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveCamera\n",NULL);
    Tcl_AppendResult(interp,"  MakeCamera\n",NULL);
    Tcl_AppendResult(interp,"  SetErase\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetErase\n",NULL);
    Tcl_AppendResult(interp,"  EraseOn\n",NULL);
    Tcl_AppendResult(interp,"  EraseOff\n",NULL);
    Tcl_AppendResult(interp,"  AddCuller\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveCuller\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCullers\n",NULL);
    Tcl_AppendResult(interp,"  SetAmbient\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAmbient\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAmbient\n",NULL);
    Tcl_AppendResult(interp,"  SetAllocatedRenderTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllocatedRenderTime\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeFactor\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  DeviceRender\n",NULL);
    Tcl_AppendResult(interp,"  Clear\n",NULL);
    Tcl_AppendResult(interp,"  VisibleActorCount\n",NULL);
    Tcl_AppendResult(interp,"  VisibleVolumeCount\n",NULL);
    Tcl_AppendResult(interp,"  ComputeVisiblePropBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeVisiblePropBounds\n",NULL);
    Tcl_AppendResult(interp,"  ResetCameraClippingRange\n",NULL);
    Tcl_AppendResult(interp,"  ResetCameraClippingRange\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  ResetCameraClippingRange\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNearClippingPlaneTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNearClippingPlaneToleranceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNearClippingPlaneToleranceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNearClippingPlaneTolerance\n",NULL);
    Tcl_AppendResult(interp,"  ResetCamera\n",NULL);
    Tcl_AppendResult(interp,"  ResetCamera\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  ResetCamera\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetVTKWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetBackingStore\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBackingStore\n",NULL);
    Tcl_AppendResult(interp,"  BackingStoreOn\n",NULL);
    Tcl_AppendResult(interp,"  BackingStoreOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractive\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractive\n",NULL);
    Tcl_AppendResult(interp,"  InteractiveOn\n",NULL);
    Tcl_AppendResult(interp,"  InteractiveOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLayer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayer\n",NULL);
    Tcl_AppendResult(interp,"  Transparent\n",NULL);
    Tcl_AppendResult(interp,"  WorldToView\n",NULL);
    Tcl_AppendResult(interp,"  ViewToWorld\n",NULL);
    Tcl_AppendResult(interp,"  GetZ\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetLastRenderTimeInSeconds\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPropsRendered\n",NULL);
    Tcl_AppendResult(interp,"  PickProp\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  StereoMidpoint\n",NULL);
    Tcl_AppendResult(interp,"  GetTiledAspectRatio\n",NULL);
    return TCL_OK;
    }

  if (vtkViewportCppCommand((vtkViewport *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
