// tcl wrapper for vtkTesting object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTesting.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkTestingNewCommand()
{
  vtkTesting *temp = vtkTesting::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTestingCppCommand(vtkTesting *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTestingCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTestingCppCommand((vtkTesting *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTestingCppCommand(vtkTesting *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTesting",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTesting  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTesting");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTesting  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTesting");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTesting  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTesting");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFrontBuffer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFrontBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFrontBufferMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFrontBufferMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFrontBufferMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFrontBufferMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FrontBufferOn",argv[1]))&&(argc == 2))
    {
    op->FrontBufferOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FrontBufferOff",argv[1]))&&(argc == 2))
    {
    op->FrontBufferOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFrontBuffer",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFrontBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RegressionTest",argv[1]))&&(argc == 3))
    {
    double   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->RegressionTest(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RegressionTest",argv[1]))&&(argc == 4))
    {
    vtkImageData  *temp0;
    double   temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkImageData",interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->RegressionTest(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderWindow",interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetValidImageFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetValidImageFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValidImageFileName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetValidImageFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetImageDifference",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetImageDifference();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddArgument",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddArgument(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CleanArguments",argv[1]))&&(argc == 2))
    {
    op->CleanArguments();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataRoot",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDataRoot();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDataRoot",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDataRoot(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTempDirectory",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetTempDirectory();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTempDirectory",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTempDirectory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsValidImageSpecified",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsValidImageSpecified();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsInteractiveModeSpecified",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsInteractiveModeSpecified();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBorderOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBorderOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorderOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorderOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkTestingCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTesting:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFrontBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFrontBufferMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFrontBufferMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  FrontBufferOn\n",NULL);
    Tcl_AppendResult(interp,"  FrontBufferOff\n",NULL);
    Tcl_AppendResult(interp,"  GetFrontBuffer\n",NULL);
    Tcl_AppendResult(interp,"  RegressionTest\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RegressionTest\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetValidImageFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValidImageFileName\n",NULL);
    Tcl_AppendResult(interp,"  GetImageDifference\n",NULL);
    Tcl_AppendResult(interp,"  AddArgument\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CleanArguments\n",NULL);
    Tcl_AppendResult(interp,"  GetDataRoot\n",NULL);
    Tcl_AppendResult(interp,"  SetDataRoot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTempDirectory\n",NULL);
    Tcl_AppendResult(interp,"  SetTempDirectory\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsValidImageSpecified\n",NULL);
    Tcl_AppendResult(interp,"  IsInteractiveModeSpecified\n",NULL);
    Tcl_AppendResult(interp,"  SetBorderOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderOffset\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
