// python wrapper for vtkTextActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTextActor.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextActorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextActorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkActor2DNew(char *); }

static PyObject *PyvtkTextActor_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  const char    *temp20;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  vtkTextActor  *temp20;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTextActor  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTextActor::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTextActor_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTextActor_SetMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  vtkTextMapper  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTextMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextMapper");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetMapper(temp0);
      }
    else
      {
      op->SetMapper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkTextActor_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  char    *temp0;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  char    *temp20;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetMinimumSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetMinimumSize(temp0,temp1);
      }
    else
      {
      op->SetMinimumSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int    temp0[2];
  PyErr_Clear();
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetMinimumSize(temp0);
      }
    else
      {
      op->SetMinimumSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetMinimumSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int     *temp20;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetMinimumSize();
      }
    else
      {
      temp20 = op->GetMinimumSize();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetMaximumLineHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  float    temp0;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetMaximumLineHeight(temp0);
      }
    else
      {
      op->SetMaximumLineHeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetMaximumLineHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  float    temp20;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetMaximumLineHeight();
      }
    else
      {
      temp20 = op->GetMaximumLineHeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetScaledText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp0;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetScaledText(temp0);
      }
    else
      {
      op->SetScaledText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetScaledText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp20;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetScaledText();
      }
    else
      {
      temp20 = op->GetScaledText();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_ScaledTextOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::ScaledTextOn();
      }
    else
      {
      op->ScaledTextOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_ScaledTextOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::ScaledTextOff();
      }
    else
      {
      op->ScaledTextOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetAlignmentPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp0;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetAlignmentPoint(temp0);
      }
    else
      {
      op->SetAlignmentPoint(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetAlignmentPointMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp20;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetAlignmentPointMinValue();
      }
    else
      {
      temp20 = op->GetAlignmentPointMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetAlignmentPointMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp20;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetAlignmentPointMaxValue();
      }
    else
      {
      temp20 = op->GetAlignmentPointMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetAlignmentPoint(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  int      temp20;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetAlignmentPoint();
      }
    else
      {
      temp20 = op->GetAlignmentPoint();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_GetActualPositionCoordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  vtkCoordinate  *temp20;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetActualPositionCoordinate();
      }
    else
      {
      temp20 = op->GetActualPositionCoordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetTextProperty(temp0);
      }
    else
      {
      op->SetTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkTextActor_GetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  vtkTextProperty  *temp20;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextActor::GetTextProperty();
      }
    else
      {
      temp20 = op->GetTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextActor_SetNonLinearFontScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextActor *op;

  double   temp0;
  int      temp1;
  if ((op = (vtkTextActor *)PyArg_VTKParseTuple(self, args, (char*)"di", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextActor::SetNonLinearFontScale(temp0,temp1);
      }
    else
      {
      op->SetNonLinearFontScale(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTextActorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTextActor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTextActor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTextActor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextActor\nC++: vtkTextActor *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTextActor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTextActor\nC++: vtkTextActor *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkTextActor_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of this text actor. Overloads the virtual\n vtkProp method.\n"},
  {(char*)"SetMapper",                (PyCFunction)PyvtkTextActor_SetMapper, 1,
   (char*)"V.SetMapper(vtkTextMapper)\nC++: void SetMapper (vtkTextMapper *mapper);\n\n Override the vtkTextMapper that defines the text to be drawn.\n One will be created by default if none is supplied\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkTextActor_SetInput, 1,
   (char*)"V.SetInput(string)\nC++: void SetInput (const char *inputString);\n\n Set the text string to be displayed. \"\\n\" is recognized\n as a carriage return/linefeed (line separator).\n Convenience method to the underlying mapper\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkTextActor_GetInput, 1,
   (char*)"V.GetInput() -> string\nC++: char *GetInput ();\n\n Set the text string to be displayed. \"\\n\" is recognized\n as a carriage return/linefeed (line separator).\n Convenience method to the underlying mapper\n"},
  {(char*)"SetMinimumSize",                (PyCFunction)PyvtkTextActor_SetMinimumSize, 1,
   (char*)"V.SetMinimumSize(int, int)\nC++: void SetMinimumSize (int , int );\nV.SetMinimumSize((int, int))\nC++: void SetMinimumSize (int  a[2]);\n\n Set/Get the minimum size in pixels for this actor.\n Defaults to 10,10.\n Not valid when ScaledText = false\n"},
  {(char*)"GetMinimumSize",                (PyCFunction)PyvtkTextActor_GetMinimumSize, 1,
   (char*)"V.GetMinimumSize() -> (int, int)\nC++: int  *GetMinimumSize ();\n\n Set/Get the minimum size in pixels for this actor.\n Defaults to 10,10.\n Not valid when ScaledText = false\n"},
  {(char*)"SetMaximumLineHeight",                (PyCFunction)PyvtkTextActor_SetMaximumLineHeight, 1,
   (char*)"V.SetMaximumLineHeight(float)\nC++: void SetMaximumLineHeight (float );\n\n Set/Get the maximum height of a line of text as a\n percentage of the vertical area allocated to this\n scaled text actor. Defaults to 1.0.\n Not valid when ScaledText = false\n"},
  {(char*)"GetMaximumLineHeight",                (PyCFunction)PyvtkTextActor_GetMaximumLineHeight, 1,
   (char*)"V.GetMaximumLineHeight() -> float\nC++: float GetMaximumLineHeight ();\n\n Set/Get the maximum height of a line of text as a\n percentage of the vertical area allocated to this\n scaled text actor. Defaults to 1.0.\n Not valid when ScaledText = false\n"},
  {(char*)"SetScaledText",                (PyCFunction)PyvtkTextActor_SetScaledText, 1,
   (char*)"V.SetScaledText(int)\nC++: void SetScaledText (int );\n\n Turn on or off the ScaledText option.\n When text is scaled, the bounding rectangle is used to fit the text\n When ScaledText is off, the text is rendered at a fixed font size\n"},
  {(char*)"GetScaledText",                (PyCFunction)PyvtkTextActor_GetScaledText, 1,
   (char*)"V.GetScaledText() -> int\nC++: int GetScaledText ();\n\n Turn on or off the ScaledText option.\n When text is scaled, the bounding rectangle is used to fit the text\n When ScaledText is off, the text is rendered at a fixed font size\n"},
  {(char*)"ScaledTextOn",                (PyCFunction)PyvtkTextActor_ScaledTextOn, 1,
   (char*)"V.ScaledTextOn()\nC++: void ScaledTextOn ();\n\n Turn on or off the ScaledText option.\n When text is scaled, the bounding rectangle is used to fit the text\n When ScaledText is off, the text is rendered at a fixed font size\n"},
  {(char*)"ScaledTextOff",                (PyCFunction)PyvtkTextActor_ScaledTextOff, 1,
   (char*)"V.ScaledTextOff()\nC++: void ScaledTextOff ();\n\n Turn on or off the ScaledText option.\n When text is scaled, the bounding rectangle is used to fit the text\n When ScaledText is off, the text is rendered at a fixed font size\n"},
  {(char*)"SetAlignmentPoint",                (PyCFunction)PyvtkTextActor_SetAlignmentPoint, 1,
   (char*)"V.SetAlignmentPoint(int)\nC++: void SetAlignmentPoint (int );\n\n Set/Get the Alignment point for unscaled (fixed fontsize) text\n if zero (default), the text aligns itself to the bottom left corner\n (which is defined by the PositionCoordinate)\n otherwise the text aligns itself to corner/midpoint or centre\n @verbatim\n      6   7   8    Otherwise the text aligns itself to corner/midpoint\n      3   4   5    or centre of the box defined by the position 1 & 2\n      0   1   2    coordinates according to the diagram on the left.\n @endverbatim\n"},
  {(char*)"GetAlignmentPointMinValue",                (PyCFunction)PyvtkTextActor_GetAlignmentPointMinValue, 1,
   (char*)"V.GetAlignmentPointMinValue() -> int\nC++: int GetAlignmentPointMinValue ();\n\n Set/Get the Alignment point for unscaled (fixed fontsize) text\n if zero (default), the text aligns itself to the bottom left corner\n (which is defined by the PositionCoordinate)\n otherwise the text aligns itself to corner/midpoint or centre\n @verbatim\n      6   7   8    Otherwise the text aligns itself to corner/midpoint\n      3   4   5    or centre of the box defined by the position 1 & 2\n      0   1   2    coordinates according to the diagram on the left.\n @endverbatim\n"},
  {(char*)"GetAlignmentPointMaxValue",                (PyCFunction)PyvtkTextActor_GetAlignmentPointMaxValue, 1,
   (char*)"V.GetAlignmentPointMaxValue() -> int\nC++: int GetAlignmentPointMaxValue ();\n\n Set/Get the Alignment point for unscaled (fixed fontsize) text\n if zero (default), the text aligns itself to the bottom left corner\n (which is defined by the PositionCoordinate)\n otherwise the text aligns itself to corner/midpoint or centre\n @verbatim\n      6   7   8    Otherwise the text aligns itself to corner/midpoint\n      3   4   5    or centre of the box defined by the position 1 & 2\n      0   1   2    coordinates according to the diagram on the left.\n @endverbatim\n"},
  {(char*)"GetAlignmentPoint",                (PyCFunction)PyvtkTextActor_GetAlignmentPoint, 1,
   (char*)"V.GetAlignmentPoint() -> int\nC++: int GetAlignmentPoint ();\n\n Set/Get the Alignment point for unscaled (fixed fontsize) text\n if zero (default), the text aligns itself to the bottom left corner\n (which is defined by the PositionCoordinate)\n otherwise the text aligns itself to corner/midpoint or centre\n @verbatim\n      6   7   8    Otherwise the text aligns itself to corner/midpoint\n      3   4   5    or centre of the box defined by the position 1 & 2\n      0   1   2    coordinates according to the diagram on the left.\n @endverbatim\n"},
  {(char*)"GetActualPositionCoordinate",                (PyCFunction)PyvtkTextActor_GetActualPositionCoordinate, 1,
   (char*)"V.GetActualPositionCoordinate() -> vtkCoordinate\nC++: vtkCoordinate *GetActualPositionCoordinate (void );return this AdjustedPositionCoordinate \n\n Set/Get the text property.\n"},
  {(char*)"SetTextProperty",                (PyCFunction)PyvtkTextActor_SetTextProperty, 1,
   (char*)"V.SetTextProperty(vtkTextProperty)\nC++: virtual void SetTextProperty (vtkTextProperty *p);\n\n Set/Get the text property.\n"},
  {(char*)"GetTextProperty",                (PyCFunction)PyvtkTextActor_GetTextProperty, 1,
   (char*)"V.GetTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTextProperty ();\n\n Set/Get the text property.\n"},
  {(char*)"SetNonLinearFontScale",                (PyCFunction)PyvtkTextActor_SetNonLinearFontScale, 1,
   (char*)"V.SetNonLinearFontScale(float, int)\nC++: virtual void SetNonLinearFontScale (double exponent, int target);\n\n Enable non-linear scaling of font sizes. This is useful in combination\n with scaled text. With small windows you want to use the entire scaled\n text area. With larger windows you want to reduce the font size some so\n that the entire area is not used. These values modify the computed font \n size as follows:  \n   newFontSize = pow(FontSize,exponent)*pow(target,1.0 - exponent)\n typically exponent should be around 0.7 and target should be around 10\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextActorDoc[] = {
  (char*)"vtkTextActor - An actor that displays text. Scaled or unscaled\n\n",
  "Super Class:\n\n vtkActor2D\n\n",
  (char*)" vtkTextActor can be used to place text annotation into a window.\n When ScaledText is false, the text is fixed font and operation is\n the same as a vtkTextMapper/vtkActor2D pair.\n When ScaledText is true, the font resizes such that the text fits inside the\n box defined by the position 1 & 2 coordinates. This class replaces the\n deprecated vtkScaledTextActor and acts as a convenient wrapper for\n a ",
  (char*)"vtkTextMapper/vtkActor2D pair.\n Set the text property/attributes through the vtkTextProperty associated to\n this actor.\n\n\n",
  "See Also:\n\n vtkActor2D vtkTextMapper vtkTextProperty\n\n",
  NULL
};

static vtkObjectBase *vtkTextActorStaticNew()
{
  return vtkTextActor::New();
}

PyObject *PyVTKClass_vtkTextActorNew(char *modulename)
{
  return PyVTKClass_New(&vtkTextActorStaticNew,
                        PyvtkTextActorMethods,
                        (char*)"vtkTextActor",modulename,
                        (char**)vtkTextActorDoc,
                        PyVTKClass_vtkActor2DNew(modulename));
}

