// python wrapper for vtkTexture object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTexture.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextureNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextureNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(char *); }

static PyObject *PyvtkTexture_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  const char    *temp20;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexture::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexture::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  vtkTexture  *temp20;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexture::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTexture  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTexture::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTexture_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::Render(temp0);
      }
    else
      {
      op->Render(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTexture_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkTexture_Load(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::Load(temp0);
      }
    else
      {
      op->Load(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkTexture_GetRepeat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  int      temp20;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexture::GetRepeat();
      }
    else
      {
      temp20 = op->GetRepeat();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_SetRepeat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  int      temp0;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::SetRepeat(temp0);
      }
    else
      {
      op->SetRepeat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_RepeatOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::RepeatOn();
      }
    else
      {
      op->RepeatOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_RepeatOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::RepeatOff();
      }
    else
      {
      op->RepeatOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_GetInterpolate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  int      temp20;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexture::GetInterpolate();
      }
    else
      {
      temp20 = op->GetInterpolate();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_SetInterpolate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  int      temp0;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::SetInterpolate(temp0);
      }
    else
      {
      op->SetInterpolate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_InterpolateOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::InterpolateOn();
      }
    else
      {
      op->InterpolateOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_InterpolateOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::InterpolateOff();
      }
    else
      {
      op->InterpolateOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_SetQuality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  int      temp0;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::SetQuality(temp0);
      }
    else
      {
      op->SetQuality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_GetQuality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  int      temp20;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexture::GetQuality();
      }
    else
      {
      temp20 = op->GetQuality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_SetQualityToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::SetQualityToDefault();
      }
    else
      {
      op->SetQualityToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_SetQualityTo16Bit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::SetQualityTo16Bit();
      }
    else
      {
      op->SetQualityTo16Bit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_SetQualityTo32Bit(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::SetQualityTo32Bit();
      }
    else
      {
      op->SetQualityTo32Bit();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_GetMapColorScalarsThroughLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  int      temp20;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexture::GetMapColorScalarsThroughLookupTable();
      }
    else
      {
      temp20 = op->GetMapColorScalarsThroughLookupTable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_SetMapColorScalarsThroughLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  int      temp0;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::SetMapColorScalarsThroughLookupTable(temp0);
      }
    else
      {
      op->SetMapColorScalarsThroughLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_MapColorScalarsThroughLookupTableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::MapColorScalarsThroughLookupTableOn();
      }
    else
      {
      op->MapColorScalarsThroughLookupTableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_MapColorScalarsThroughLookupTableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::MapColorScalarsThroughLookupTableOff();
      }
    else
      {
      op->MapColorScalarsThroughLookupTableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_SetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  vtkLookupTable  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkLookupTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLookupTable");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkTexture::SetLookupTable(temp0);
      }
    else
      {
      op->SetLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkTexture_GetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  vtkLookupTable  *temp20;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexture::GetLookupTable();
      }
    else
      {
      temp20 = op->GetLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTexture_GetMappedScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTexture *op;

  vtkUnsignedCharArray  *temp20;
  if ((op = (vtkTexture *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTexture::GetMappedScalars();
      }
    else
      {
      temp20 = op->GetMappedScalars();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTextureMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTexture_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTexture_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTexture_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTexture\nC++: vtkTexture *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTexture_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTexture\nC++: vtkTexture *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Render",                (PyCFunction)PyvtkTexture_Render, 1,
   (char*)"V.Render(vtkRenderer)\nC++: virtual void Render (vtkRenderer *ren);\n\n Renders a texture map. It first checks the object's modified time\n to make sure the texture maps Input is valid, then it invokes the \n Load() method.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkTexture_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Release any graphics resources that are being consumed by this texture.\n The parameter window could be used to determine which graphic\n resources to release.\n"},
  {(char*)"Load",                (PyCFunction)PyvtkTexture_Load, 1,
   (char*)"V.Load(vtkRenderer)\nC++: virtual void Load (vtkRenderer *);\n\n Abstract interface to renderer. Each concrete subclass of \n vtkTexture will load its data into graphics system in response \n to this method invocation.\n"},
  {(char*)"GetRepeat",                (PyCFunction)PyvtkTexture_GetRepeat, 1,
   (char*)"V.GetRepeat() -> int\nC++: int GetRepeat ();\n\n Turn on/off the repetition of the texture map when the texture\n coords extend beyond the [0,1] range.\n"},
  {(char*)"SetRepeat",                (PyCFunction)PyvtkTexture_SetRepeat, 1,
   (char*)"V.SetRepeat(int)\nC++: void SetRepeat (int );\n\n Turn on/off the repetition of the texture map when the texture\n coords extend beyond the [0,1] range.\n"},
  {(char*)"RepeatOn",                (PyCFunction)PyvtkTexture_RepeatOn, 1,
   (char*)"V.RepeatOn()\nC++: void RepeatOn ();\n\n Turn on/off the repetition of the texture map when the texture\n coords extend beyond the [0,1] range.\n"},
  {(char*)"RepeatOff",                (PyCFunction)PyvtkTexture_RepeatOff, 1,
   (char*)"V.RepeatOff()\nC++: void RepeatOff ();\n\n Turn on/off the repetition of the texture map when the texture\n coords extend beyond the [0,1] range.\n"},
  {(char*)"GetInterpolate",                (PyCFunction)PyvtkTexture_GetInterpolate, 1,
   (char*)"V.GetInterpolate() -> int\nC++: int GetInterpolate ();\n\n Turn on/off linear interpolation of the texture map when rendering.\n"},
  {(char*)"SetInterpolate",                (PyCFunction)PyvtkTexture_SetInterpolate, 1,
   (char*)"V.SetInterpolate(int)\nC++: void SetInterpolate (int );\n\n Turn on/off linear interpolation of the texture map when rendering.\n"},
  {(char*)"InterpolateOn",                (PyCFunction)PyvtkTexture_InterpolateOn, 1,
   (char*)"V.InterpolateOn()\nC++: void InterpolateOn ();\n\n Turn on/off linear interpolation of the texture map when rendering.\n"},
  {(char*)"InterpolateOff",                (PyCFunction)PyvtkTexture_InterpolateOff, 1,
   (char*)"V.InterpolateOff()\nC++: void InterpolateOff ();\n\n Turn on/off linear interpolation of the texture map when rendering.\n"},
  {(char*)"SetQuality",                (PyCFunction)PyvtkTexture_SetQuality, 1,
   (char*)"V.SetQuality(int)\nC++: void SetQuality (int );\n\n Force texture quality to 16-bit or 32-bit.\n This might not be supported on all machines.\n"},
  {(char*)"GetQuality",                (PyCFunction)PyvtkTexture_GetQuality, 1,
   (char*)"V.GetQuality() -> int\nC++: int GetQuality ();\n\n Force texture quality to 16-bit or 32-bit.\n This might not be supported on all machines.\n"},
  {(char*)"SetQualityToDefault",                (PyCFunction)PyvtkTexture_SetQualityToDefault, 1,
   (char*)"V.SetQualityToDefault()\nC++: void SetQualityToDefault ();this SetQuality VTK_TEXTURE_QUALITY_DEFAULT \n\n Force texture quality to 16-bit or 32-bit.\n This might not be supported on all machines.\n"},
  {(char*)"SetQualityTo16Bit",                (PyCFunction)PyvtkTexture_SetQualityTo16Bit, 1,
   (char*)"V.SetQualityTo16Bit()\nC++: void SetQualityTo16Bit ();this SetQuality VTK_TEXTURE_QUALITY_16BIT \n\n Force texture quality to 16-bit or 32-bit.\n This might not be supported on all machines.\n"},
  {(char*)"SetQualityTo32Bit",                (PyCFunction)PyvtkTexture_SetQualityTo32Bit, 1,
   (char*)"V.SetQualityTo32Bit()\nC++: void SetQualityTo32Bit ();this SetQuality VTK_TEXTURE_QUALITY_32BIT \n\n Force texture quality to 16-bit or 32-bit.\n This might not be supported on all machines.\n"},
  {(char*)"GetMapColorScalarsThroughLookupTable",                (PyCFunction)PyvtkTexture_GetMapColorScalarsThroughLookupTable, 1,
   (char*)"V.GetMapColorScalarsThroughLookupTable() -> int\nC++: int GetMapColorScalarsThroughLookupTable ();\n\n Turn on/off the mapping of color scalars through the lookup table.\n The default is Off. If Off, unsigned char scalars will be used\n directly as texture. If On, scalars will be mapped through the\n lookup table to generate 4-component unsigned char scalars.\n This ivar does not affect other scalars like unsigned short, float,\n etc. These scalars are always mapped through lookup tables.\n"},
  {(char*)"SetMapColorScalarsThroughLookupTable",                (PyCFunction)PyvtkTexture_SetMapColorScalarsThroughLookupTable, 1,
   (char*)"V.SetMapColorScalarsThroughLookupTable(int)\nC++: void SetMapColorScalarsThroughLookupTable (int );\n\n Turn on/off the mapping of color scalars through the lookup table.\n The default is Off. If Off, unsigned char scalars will be used\n directly as texture. If On, scalars will be mapped through the\n lookup table to generate 4-component unsigned char scalars.\n This ivar does not affect other scalars like unsigned short, float,\n etc. These scalars are always mapped through lookup tables.\n"},
  {(char*)"MapColorScalarsThroughLookupTableOn",                (PyCFunction)PyvtkTexture_MapColorScalarsThroughLookupTableOn, 1,
   (char*)"V.MapColorScalarsThroughLookupTableOn()\nC++: void MapColorScalarsThroughLookupTableOn ();\n\n Turn on/off the mapping of color scalars through the lookup table.\n The default is Off. If Off, unsigned char scalars will be used\n directly as texture. If On, scalars will be mapped through the\n lookup table to generate 4-component unsigned char scalars.\n This ivar does not affect other scalars like unsigned short, float,\n etc. These scalars are always mapped through lookup tables.\n"},
  {(char*)"MapColorScalarsThroughLookupTableOff",                (PyCFunction)PyvtkTexture_MapColorScalarsThroughLookupTableOff, 1,
   (char*)"V.MapColorScalarsThroughLookupTableOff()\nC++: void MapColorScalarsThroughLookupTableOff ();\n\n Turn on/off the mapping of color scalars through the lookup table.\n The default is Off. If Off, unsigned char scalars will be used\n directly as texture. If On, scalars will be mapped through the\n lookup table to generate 4-component unsigned char scalars.\n This ivar does not affect other scalars like unsigned short, float,\n etc. These scalars are always mapped through lookup tables.\n"},
  {(char*)"SetLookupTable",                (PyCFunction)PyvtkTexture_SetLookupTable, 1,
   (char*)"V.SetLookupTable(vtkLookupTable)\nC++: void SetLookupTable (vtkLookupTable *);\n\n Specify the lookup table to convert scalars if necessary\n"},
  {(char*)"GetLookupTable",                (PyCFunction)PyvtkTexture_GetLookupTable, 1,
   (char*)"V.GetLookupTable() -> vtkLookupTable\nC++: vtkLookupTable *GetLookupTable ();\n\n Specify the lookup table to convert scalars if necessary\n"},
  {(char*)"GetMappedScalars",                (PyCFunction)PyvtkTexture_GetMappedScalars, 1,
   (char*)"V.GetMappedScalars() -> vtkUnsignedCharArray\nC++: vtkUnsignedCharArray *GetMappedScalars ();\n\n Get Mapped Scalars\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextureDoc[] = {
  (char*)"vtkTexture - handles properties associated with a texture map\n\n",
  "Super Class:\n\n vtkImageAlgorithm\n\n",
  (char*)" vtkTexture is an object that handles loading and binding of texture\n maps. It obtains its data from an input image data dataset type.\n Thus you can create visualization pipelines to read, process, and \n construct textures. Note that textures will only work if texture\n coordinates are also defined, and if the rendering system supports \n texture.\n\n Instances of vtkTexture are associated with actors",
  (char*)" via the actor's\n SetTexture() method. Actors can share texture maps (this is encouraged\n to save memory resources.) \n\n",
  "Caveats:\n\n Currently only 2D texture maps are supported, even though the data pipeline\n supports 1,2, and 3D texture coordinates. \n \n Some renderers such as OpenGL require that the texture map dimensions are\n a power of two in each direction. Other renderers may have similar\n (ridiculous) restrictions, so be careful out there... (Note: a recent change\n to vtk allows use of non-power of two texture maps in OpenGL. The texture is\n automatically resampled to a power of two in one  ...\n [Truncated]\n\n",
  "See Also:\n\n vtkActor vtkRenderer vtkOpenGLTexture\n\n",
  NULL
};

static vtkObjectBase *vtkTextureStaticNew()
{
  return vtkTexture::New();
}

PyObject *PyVTKClass_vtkTextureNew(char *modulename)
{
  return PyVTKClass_New(&vtkTextureStaticNew,
                        PyvtkTextureMethods,
                        (char*)"vtkTexture",modulename,
                        (char**)vtkTextureDoc,
                        PyVTKClass_vtkImageAlgorithmNew(modulename));
}

