// python wrapper for vtkTransformInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTransformInterpolator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTransformInterpolatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTransformInterpolatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTransformInterpolator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  const char    *temp20;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformInterpolator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformInterpolator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  vtkTransformInterpolator  *temp20;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformInterpolator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTransformInterpolator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTransformInterpolator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_GetNumberOfTransforms(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  int      temp20;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformInterpolator::GetNumberOfTransforms();
      }
    else
      {
      temp20 = op->GetNumberOfTransforms();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_GetMinimumT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  double   temp20;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformInterpolator::GetMinimumT();
      }
    else
      {
      temp20 = op->GetMinimumT();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_GetMaximumT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  double   temp20;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformInterpolator::GetMaximumT();
      }
    else
      {
      temp20 = op->GetMaximumT();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformInterpolator::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_AddTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  double   temp0;
  vtkTransform  *temp1;
  PyObject *tempH1;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"dO", &temp0, &tempH1)))
    {
    temp1 = (vtkTransform *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkTransform");
    if (!temp1 && tempH1 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformInterpolator::AddTransform(temp0,temp1);
      }
    else
      {
      op->AddTransform(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  double   temp0;
  vtkMatrix4x4  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"dO", &temp0, &tempH1)))
    {
    temp1 = (vtkMatrix4x4 *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkMatrix4x4");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformInterpolator::AddTransform(temp0,temp1);
      }
    else
      {
      op->AddTransform(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  double   temp0;
  vtkProp3D  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"dO", &temp0, &tempH1)))
    {
    temp1 = (vtkProp3D *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkProp3D");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformInterpolator::AddTransform(temp0,temp1);
      }
    else
      {
      op->AddTransform(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_RemoveTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  double   temp0;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformInterpolator::RemoveTransform(temp0);
      }
    else
      {
      op->RemoveTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_InterpolateTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  double   temp0;
  vtkTransform  *temp1;
  PyObject *tempH1;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"dO", &temp0, &tempH1)))
    {
    temp1 = (vtkTransform *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkTransform");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformInterpolator::InterpolateTransform(temp0,temp1);
      }
    else
      {
      op->InterpolateTransform(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_SetInterpolationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  int      temp0;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformInterpolator::SetInterpolationType(temp0);
      }
    else
      {
      op->SetInterpolationType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_GetInterpolationTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  int      temp20;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformInterpolator::GetInterpolationTypeMinValue();
      }
    else
      {
      temp20 = op->GetInterpolationTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_GetInterpolationTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  int      temp20;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformInterpolator::GetInterpolationTypeMaxValue();
      }
    else
      {
      temp20 = op->GetInterpolationTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_GetInterpolationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  int      temp20;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformInterpolator::GetInterpolationType();
      }
    else
      {
      temp20 = op->GetInterpolationType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_SetInterpolationTypeToLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformInterpolator::SetInterpolationTypeToLinear();
      }
    else
      {
      op->SetInterpolationTypeToLinear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_SetInterpolationTypeToSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformInterpolator::SetInterpolationTypeToSpline();
      }
    else
      {
      op->SetInterpolationTypeToSpline();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_SetInterpolationTypeToManual(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformInterpolator::SetInterpolationTypeToManual();
      }
    else
      {
      op->SetInterpolationTypeToManual();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_SetPositionInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  vtkTupleInterpolator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTupleInterpolator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTupleInterpolator");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformInterpolator::SetPositionInterpolator(temp0);
      }
    else
      {
      op->SetPositionInterpolator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_GetPositionInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  vtkTupleInterpolator  *temp20;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformInterpolator::GetPositionInterpolator();
      }
    else
      {
      temp20 = op->GetPositionInterpolator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_SetScaleInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  vtkTupleInterpolator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkTupleInterpolator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTupleInterpolator");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformInterpolator::SetScaleInterpolator(temp0);
      }
    else
      {
      op->SetScaleInterpolator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break22:
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_GetScaleInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  vtkTupleInterpolator  *temp20;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformInterpolator::GetScaleInterpolator();
      }
    else
      {
      temp20 = op->GetScaleInterpolator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_SetRotationInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  vtkQuaternionInterpolator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkQuaternionInterpolator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkQuaternionInterpolator");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkTransformInterpolator::SetRotationInterpolator(temp0);
      }
    else
      {
      op->SetRotationInterpolator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_GetRotationInterpolator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  vtkQuaternionInterpolator  *temp20;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformInterpolator::GetRotationInterpolator();
      }
    else
      {
      temp20 = op->GetRotationInterpolator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTransformInterpolator_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTransformInterpolator *op;

  unsigned long     temp20;
  if ((op = (vtkTransformInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTransformInterpolator::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTransformInterpolatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTransformInterpolator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTransformInterpolator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTransformInterpolator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTransformInterpolator\nC++: vtkTransformInterpolator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTransformInterpolator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTransformInterpolator\nC++: vtkTransformInterpolator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetNumberOfTransforms",                (PyCFunction)PyvtkTransformInterpolator_GetNumberOfTransforms, 1,
   (char*)"V.GetNumberOfTransforms() -> int\nC++: int GetNumberOfTransforms ();\n\n Return the number of transforms in the list of transforms.\n"},
  {(char*)"GetMinimumT",                (PyCFunction)PyvtkTransformInterpolator_GetMinimumT, 1,
   (char*)"V.GetMinimumT() -> float\nC++: double GetMinimumT ();\n\n Obtain some information about the interpolation range. The numbers\n returned (corresponding to parameter t, usually thought of as time)\n are undefined if the list of transforms is empty.\n"},
  {(char*)"GetMaximumT",                (PyCFunction)PyvtkTransformInterpolator_GetMaximumT, 1,
   (char*)"V.GetMaximumT() -> float\nC++: double GetMaximumT ();\n\n Obtain some information about the interpolation range. The numbers\n returned (corresponding to parameter t, usually thought of as time)\n are undefined if the list of transforms is empty.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkTransformInterpolator_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Clear the list of transforms.\n"},
  {(char*)"AddTransform",                (PyCFunction)PyvtkTransformInterpolator_AddTransform, 1,
   (char*)"V.AddTransform(float, vtkTransform)\nC++: void AddTransform (double t, vtkTransform *xform);\nV.AddTransform(float, vtkMatrix4x4)\nC++: void AddTransform (double t, vtkMatrix4x4 *matrix);\nV.AddTransform(float, vtkProp3D)\nC++: void AddTransform (double t, vtkProp3D *prop3D);\n\n Add another transform to the list of transformations defining\n the transform function. Note that using the same time t value\n more than once replaces the previous transform value at t.\n At least two transforms must be added to define a function.\n There are variants to this method depending on whether you are\n adding a vtkTransform, vtkMaxtirx4x4, and/or vtkProp3D.\n"},
  {(char*)"RemoveTransform",                (PyCFunction)PyvtkTransformInterpolator_RemoveTransform, 1,
   (char*)"V.RemoveTransform(float)\nC++: void RemoveTransform (double t);\n\n Delete the transform at a particular parameter t. If there is no\n transform defined at location t, then the method does nothing.\n"},
  {(char*)"InterpolateTransform",                (PyCFunction)PyvtkTransformInterpolator_InterpolateTransform, 1,
   (char*)"V.InterpolateTransform(float, vtkTransform)\nC++: void InterpolateTransform (double t, vtkTransform *xform);\n\n Interpolate the list of transforms and determine a new transform (i.e.,\n fill in the transformation provided). If t is outside the range of\n (min,max) values, then t is clamped.\n"},
  {(char*)"SetInterpolationType",                (PyCFunction)PyvtkTransformInterpolator_SetInterpolationType, 1,
   (char*)"V.SetInterpolationType(int)\nC++: void SetInterpolationType (int );\n\n These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the position, scale and orientation\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and\n this class does not forward the request for interpolation type to its\n interpolators.\n"},
  {(char*)"GetInterpolationTypeMinValue",                (PyCFunction)PyvtkTransformInterpolator_GetInterpolationTypeMinValue, 1,
   (char*)"V.GetInterpolationTypeMinValue() -> int\nC++: int GetInterpolationTypeMinValue ();\n\n These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the position, scale and orientation\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and\n this class does not forward the request for interpolation type to its\n interpolators.\n"},
  {(char*)"GetInterpolationTypeMaxValue",                (PyCFunction)PyvtkTransformInterpolator_GetInterpolationTypeMaxValue, 1,
   (char*)"V.GetInterpolationTypeMaxValue() -> int\nC++: int GetInterpolationTypeMaxValue ();\n\n These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the position, scale and orientation\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and\n this class does not forward the request for interpolation type to its\n interpolators.\n"},
  {(char*)"GetInterpolationType",                (PyCFunction)PyvtkTransformInterpolator_GetInterpolationType, 1,
   (char*)"V.GetInterpolationType() -> int\nC++: int GetInterpolationType ();\n\n These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the position, scale and orientation\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and\n this class does not forward the request for interpolation type to its\n interpolators.\n"},
  {(char*)"SetInterpolationTypeToLinear",                (PyCFunction)PyvtkTransformInterpolator_SetInterpolationTypeToLinear, 1,
   (char*)"V.SetInterpolationTypeToLinear()\nC++: void SetInterpolationTypeToLinear ();this SetInterpolationType INTERPOLATION_TYPE_LINEAR \n\n These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the position, scale and orientation\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and\n this class does not forward the request for interpolation type to its\n interpolators.\n"},
  {(char*)"SetInterpolationTypeToSpline",                (PyCFunction)PyvtkTransformInterpolator_SetInterpolationTypeToSpline, 1,
   (char*)"V.SetInterpolationTypeToSpline()\nC++: void SetInterpolationTypeToSpline ();this SetInterpolationType INTERPOLATION_TYPE_SPLINE \n\n These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the position, scale and orientation\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and\n this class does not forward the request for interpolation type to its\n interpolators.\n"},
  {(char*)"SetInterpolationTypeToManual",                (PyCFunction)PyvtkTransformInterpolator_SetInterpolationTypeToManual, 1,
   (char*)"V.SetInterpolationTypeToManual()\nC++: void SetInterpolationTypeToManual ();this SetInterpolationType INTERPOLATION_TYPE_MANUAL \n\n Set/Get the tuple interpolator used to interpolate the position portion\n of the transformation matrix. Note that you can modify the behavior of\n the interpolator (linear vs spline interpolation; change spline basis)\n by manipulating the interpolator instances.\n"},
  {(char*)"SetPositionInterpolator",                (PyCFunction)PyvtkTransformInterpolator_SetPositionInterpolator, 1,
   (char*)"V.SetPositionInterpolator(vtkTupleInterpolator)\nC++: virtual void SetPositionInterpolator (vtkTupleInterpolator *);\n\n Set/Get the tuple interpolator used to interpolate the position portion\n of the transformation matrix. Note that you can modify the behavior of\n the interpolator (linear vs spline interpolation; change spline basis)\n by manipulating the interpolator instances.\n"},
  {(char*)"GetPositionInterpolator",                (PyCFunction)PyvtkTransformInterpolator_GetPositionInterpolator, 1,
   (char*)"V.GetPositionInterpolator() -> vtkTupleInterpolator\nC++: vtkTupleInterpolator *GetPositionInterpolator ();\n\n Set/Get the tuple interpolator used to interpolate the position portion\n of the transformation matrix. Note that you can modify the behavior of\n the interpolator (linear vs spline interpolation; change spline basis)\n by manipulating the interpolator instances.\n"},
  {(char*)"SetScaleInterpolator",                (PyCFunction)PyvtkTransformInterpolator_SetScaleInterpolator, 1,
   (char*)"V.SetScaleInterpolator(vtkTupleInterpolator)\nC++: virtual void SetScaleInterpolator (vtkTupleInterpolator *);\n\n Set/Get the tuple interpolator used to interpolate the scale portion\n of the transformation matrix. Note that you can modify the behavior of\n the interpolator (linear vs spline interpolation; change spline basis)\n by manipulating the interpolator instances.\n"},
  {(char*)"GetScaleInterpolator",                (PyCFunction)PyvtkTransformInterpolator_GetScaleInterpolator, 1,
   (char*)"V.GetScaleInterpolator() -> vtkTupleInterpolator\nC++: vtkTupleInterpolator *GetScaleInterpolator ();\n\n Set/Get the tuple interpolator used to interpolate the scale portion\n of the transformation matrix. Note that you can modify the behavior of\n the interpolator (linear vs spline interpolation; change spline basis)\n by manipulating the interpolator instances.\n"},
  {(char*)"SetRotationInterpolator",                (PyCFunction)PyvtkTransformInterpolator_SetRotationInterpolator, 1,
   (char*)"V.SetRotationInterpolator(vtkQuaternionInterpolator)\nC++: virtual void SetRotationInterpolator (vtkQuaternionInterpolator *);\n\n Set/Get the tuple interpolator used to interpolate the orientation portion\n of the transformation matrix. Note that you can modify the behavior of\n the interpolator (linear vs spline interpolation; change spline basis)\n by manipulating the interpolator instances.\n"},
  {(char*)"GetRotationInterpolator",                (PyCFunction)PyvtkTransformInterpolator_GetRotationInterpolator, 1,
   (char*)"V.GetRotationInterpolator() -> vtkQuaternionInterpolator\nC++: vtkQuaternionInterpolator *GetRotationInterpolator ();\n\n Set/Get the tuple interpolator used to interpolate the orientation portion\n of the transformation matrix. Note that you can modify the behavior of\n the interpolator (linear vs spline interpolation; change spline basis)\n by manipulating the interpolator instances.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkTransformInterpolator_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Override GetMTime() because we depend on the interpolators which may be\n modified outside of this class.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTransformInterpolatorDoc[] = {
  (char*)"vtkTransformInterpolator - interpolate a series of transformation matrices\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class is used to interpolate a series of 4x4 transformation\n matrices. Position, scale and orientation (i.e., rotations) are\n interpolated separately, and can be interpolated linearly or with a spline\n function. Note that orientation is interpolated using quaternions via\n SLERP (spherical linear interpolation) or the special vtkQuaternionSpline\n class.\n\n To use this class, specify at least t",
  (char*)"wo pairs of (t,transformation matrix)\n with the AddTransform() method.  Then interpolated the transforms with the\n InterpolateTransform(t,transform) method, where \"t\" must be in the range\n of (min,max) times specified by the AddTransform() method.\n\n By default, spline interpolation is used for the interpolation of the\n transformation matrices. The position, scale and orientation of the\n matrices a",
  (char*)"re interpolated with instances of the classes\n vtkTupleInterpolator (position,scale) and vtkQuaternionInterpolator\n (rotation). The user can override the interpolation behavior by gaining\n access to these separate interpolation classes.  These interpolator\n classes (vtkTupleInterpolator and vtkQuaternionInterpolator) can be\n modified to perform linear versus spline interpolation, and/or different\n",
  (char*)" spline basis functions can be specified.\n\n\n",
  "Caveats:\n\n The interpolator classes are initialized when the InterpolateTransform()\n is called. Any changes to the interpolators, or additions to the list of\n transforms to be interpolated, causes a reinitialization of the \n interpolators the next time InterpolateTransform() is invoked. Thus the\n best performance is obtained by 1) configuring the interpolators, 2) adding \n all the transforms, and 3) finally performing interpolation.\n\n",
  NULL
};

static vtkObjectBase *vtkTransformInterpolatorStaticNew()
{
  return vtkTransformInterpolator::New();
}

PyObject *PyVTKClass_vtkTransformInterpolatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkTransformInterpolatorStaticNew,
                        PyvtkTransformInterpolatorMethods,
                        (char*)"vtkTransformInterpolator",modulename,
                        (char**)vtkTransformInterpolatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

