// tcl wrapper for vtkTransformInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransformInterpolator.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkTransformInterpolatorNewCommand()
{
  vtkTransformInterpolator *temp = vtkTransformInterpolator::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTransformInterpolatorCppCommand(vtkTransformInterpolator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTransformInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTransformInterpolatorCppCommand((vtkTransformInterpolator *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTransformInterpolatorCppCommand(vtkTransformInterpolator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTransformInterpolator",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTransformInterpolator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTransformInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTransformInterpolator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTransformInterpolator");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTransformInterpolator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTransformInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTransforms",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTransforms();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumT",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumT();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumT",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumT();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddTransform",argv[1]))&&(argc == 4))
    {
    double   temp0;
    vtkTransform  *temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkTransform *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkTransform",interp,error));
    if (!error)
    {
    op->AddTransform(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTransform",argv[1]))&&(argc == 4))
    {
    double   temp0;
    vtkMatrix4x4  *temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkMatrix4x4",interp,error));
    if (!error)
    {
    op->AddTransform(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTransform",argv[1]))&&(argc == 4))
    {
    double   temp0;
    vtkProp3D  *temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkProp3D *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkProp3D",interp,error));
    if (!error)
    {
    op->AddTransform(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveTransform",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->RemoveTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateTransform",argv[1]))&&(argc == 4))
    {
    double   temp0;
    vtkTransform  *temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkTransform *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkTransform",interp,error));
    if (!error)
    {
    op->InterpolateTransform(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInterpolationType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolationType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolationTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToLinear",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToSpline",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToSpline();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToManual",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToManual();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPositionInterpolator",argv[1]))&&(argc == 3))
    {
    vtkTupleInterpolator  *temp0;
    error = 0;

    temp0 = (vtkTupleInterpolator *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkTupleInterpolator",interp,error));
    if (!error)
    {
    op->SetPositionInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPositionInterpolator",argv[1]))&&(argc == 2))
    {
    vtkTupleInterpolator  *temp20;
    temp20 = (op)->GetPositionInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTupleInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SetScaleInterpolator",argv[1]))&&(argc == 3))
    {
    vtkTupleInterpolator  *temp0;
    error = 0;

    temp0 = (vtkTupleInterpolator *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkTupleInterpolator",interp,error));
    if (!error)
    {
    op->SetScaleInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleInterpolator",argv[1]))&&(argc == 2))
    {
    vtkTupleInterpolator  *temp20;
    temp20 = (op)->GetScaleInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTupleInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SetRotationInterpolator",argv[1]))&&(argc == 3))
    {
    vtkQuaternionInterpolator  *temp0;
    error = 0;

    temp0 = (vtkQuaternionInterpolator *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkQuaternionInterpolator",interp,error));
    if (!error)
    {
    op->SetRotationInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRotationInterpolator",argv[1]))&&(argc == 2))
    {
    vtkQuaternionInterpolator  *temp20;
    temp20 = (op)->GetRotationInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkQuaternionInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkTransformInterpolatorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTransformInterpolator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTransforms\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumT\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumT\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  AddTransform\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTransform\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTransform\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateTransform\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationType\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToLinear\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToSpline\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToManual\n",NULL);
    Tcl_AppendResult(interp,"  SetPositionInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPositionInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  SetRotationInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRotationInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
