// python wrapper for vtkTupleInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkTupleInterpolator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTupleInterpolatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTupleInterpolatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkTupleInterpolator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  const char    *temp20;
  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTupleInterpolator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTupleInterpolator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  vtkTupleInterpolator  *temp20;
  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTupleInterpolator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTupleInterpolator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTupleInterpolator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_SetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  int      temp0;
  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTupleInterpolator::SetNumberOfComponents(temp0);
      }
    else
      {
      op->SetNumberOfComponents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_GetNumberOfComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  int      temp20;
  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTupleInterpolator::GetNumberOfComponents();
      }
    else
      {
      temp20 = op->GetNumberOfComponents();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_GetNumberOfTuples(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  int      temp20;
  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTupleInterpolator::GetNumberOfTuples();
      }
    else
      {
      temp20 = op->GetNumberOfTuples();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_GetMinimumT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  double   temp20;
  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTupleInterpolator::GetMinimumT();
      }
    else
      {
      temp20 = op->GetMinimumT();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_GetMaximumT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  double   temp20;
  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTupleInterpolator::GetMaximumT();
      }
    else
      {
      temp20 = op->GetMaximumT();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTupleInterpolator::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_RemoveTuple(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  double   temp0;
  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTupleInterpolator::RemoveTuple(temp0);
      }
    else
      {
      op->RemoveTuple(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_SetInterpolationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  int      temp0;
  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTupleInterpolator::SetInterpolationType(temp0);
      }
    else
      {
      op->SetInterpolationType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_GetInterpolationType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  int      temp20;
  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTupleInterpolator::GetInterpolationType();
      }
    else
      {
      temp20 = op->GetInterpolationType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_SetInterpolationTypeToLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTupleInterpolator::SetInterpolationTypeToLinear();
      }
    else
      {
      op->SetInterpolationTypeToLinear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_SetInterpolationTypeToSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTupleInterpolator::SetInterpolationTypeToSpline();
      }
    else
      {
      op->SetInterpolationTypeToSpline();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_SetInterpolatingSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  vtkSpline  *temp0;
  PyObject *tempH0;
  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSpline *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSpline");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      op->vtkTupleInterpolator::SetInterpolatingSpline(temp0);
      }
    else
      {
      op->SetInterpolatingSpline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkTupleInterpolator_GetInterpolatingSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTupleInterpolator *op;

  vtkSpline  *temp20;
  if ((op = (vtkTupleInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTupleInterpolator::GetInterpolatingSpline();
      }
    else
      {
      temp20 = op->GetInterpolatingSpline();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTupleInterpolatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTupleInterpolator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTupleInterpolator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTupleInterpolator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTupleInterpolator\nC++: vtkTupleInterpolator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTupleInterpolator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTupleInterpolator\nC++: vtkTupleInterpolator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetNumberOfComponents",                (PyCFunction)PyvtkTupleInterpolator_SetNumberOfComponents, 1,
   (char*)"V.SetNumberOfComponents(int)\nC++: void SetNumberOfComponents (int numComp);\n\n Specify the number of tuple components to interpolate. Note that setting\n this value discards any previously inserted data.\n"},
  {(char*)"GetNumberOfComponents",                (PyCFunction)PyvtkTupleInterpolator_GetNumberOfComponents, 1,
   (char*)"V.GetNumberOfComponents() -> int\nC++: int GetNumberOfComponents ();\n\n Specify the number of tuple components to interpolate. Note that setting\n this value discards any previously inserted data.\n"},
  {(char*)"GetNumberOfTuples",                (PyCFunction)PyvtkTupleInterpolator_GetNumberOfTuples, 1,
   (char*)"V.GetNumberOfTuples() -> int\nC++: int GetNumberOfTuples ();\n\n Return the number of tuples in the list of tuples to be\n interpolated.\n"},
  {(char*)"GetMinimumT",                (PyCFunction)PyvtkTupleInterpolator_GetMinimumT, 1,
   (char*)"V.GetMinimumT() -> float\nC++: double GetMinimumT ();\n\n Obtain some information about the interpolation range. The numbers\n returned (corresponding to parameter t, usually thought of as time)\n are undefined if the list of transforms is empty. This is a convenience\n method for interpolation.\n"},
  {(char*)"GetMaximumT",                (PyCFunction)PyvtkTupleInterpolator_GetMaximumT, 1,
   (char*)"V.GetMaximumT() -> float\nC++: double GetMaximumT ();\n\n Obtain some information about the interpolation range. The numbers\n returned (corresponding to parameter t, usually thought of as time)\n are undefined if the list of transforms is empty. This is a convenience\n method for interpolation.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkTupleInterpolator_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Reset the class so that it contains no (t,tuple) information.\n"},
  {(char*)"RemoveTuple",                (PyCFunction)PyvtkTupleInterpolator_RemoveTuple, 1,
   (char*)"V.RemoveTuple(float)\nC++: void RemoveTuple (double t);\n\n Delete the tuple at a particular parameter t. If there is no\n tuple defined at t, then the method does nothing.\n"},
  {(char*)"SetInterpolationType",                (PyCFunction)PyvtkTupleInterpolator_SetInterpolationType, 1,
   (char*)"V.SetInterpolationType(int)\nC++: void SetInterpolationType (int type);\n\n Specify which type of function to use for interpolation. By default\n spline interpolation (SetInterpolationFunctionToSpline()) is used\n (i.e., a Kochanek spline) and the InterpolatingSpline instance variable\n is used to birth the actual interpolation splines via a combination of\n NewInstance() and DeepCopy(). You may also choose to use linear\n interpolation by invoking SetInterpolationFunctionToLinear(). Note that\n changing the type of interpolation causes previously inserted data\n to be discarded.\n"},
  {(char*)"GetInterpolationType",                (PyCFunction)PyvtkTupleInterpolator_GetInterpolationType, 1,
   (char*)"V.GetInterpolationType() -> int\nC++: int GetInterpolationType ();\n\n Specify which type of function to use for interpolation. By default\n spline interpolation (SetInterpolationFunctionToSpline()) is used\n (i.e., a Kochanek spline) and the InterpolatingSpline instance variable\n is used to birth the actual interpolation splines via a combination of\n NewInstance() and DeepCopy(). You may also choose to use linear\n interpolation by invoking SetInterpolationFunctionToLinear(). Note that\n changing the type of interpolation causes previously inserted data\n to be discarded.\n"},
  {(char*)"SetInterpolationTypeToLinear",                (PyCFunction)PyvtkTupleInterpolator_SetInterpolationTypeToLinear, 1,
   (char*)"V.SetInterpolationTypeToLinear()\nC++: void SetInterpolationTypeToLinear ();this SetInterpolationType INTERPOLATION_TYPE_LINEAR \n\n Specify which type of function to use for interpolation. By default\n spline interpolation (SetInterpolationFunctionToSpline()) is used\n (i.e., a Kochanek spline) and the InterpolatingSpline instance variable\n is used to birth the actual interpolation splines via a combination of\n NewInstance() and DeepCopy(). You may also choose to use linear\n interpolation by invoking SetInterpolationFunctionToLinear(). Note that\n changing the type of interpolation causes previously inserted data\n to be discarded.\n"},
  {(char*)"SetInterpolationTypeToSpline",                (PyCFunction)PyvtkTupleInterpolator_SetInterpolationTypeToSpline, 1,
   (char*)"V.SetInterpolationTypeToSpline()\nC++: void SetInterpolationTypeToSpline ();this SetInterpolationType INTERPOLATION_TYPE_SPLINE \n\n If the InterpolationType is set to spline, then this method applies. By\n default Kochanek interpolation is used, but you can specify any instance\n of vtkSpline to use. Note that the actual interpolating splines are\n created by invoking NewInstance() followed by DeepCopy() on the\n interpolating spline specified here, for each tuple component to\n interpolate.\n"},
  {(char*)"SetInterpolatingSpline",                (PyCFunction)PyvtkTupleInterpolator_SetInterpolatingSpline, 1,
   (char*)"V.SetInterpolatingSpline(vtkSpline)\nC++: void SetInterpolatingSpline (vtkSpline *);\n\n If the InterpolationType is set to spline, then this method applies. By\n default Kochanek interpolation is used, but you can specify any instance\n of vtkSpline to use. Note that the actual interpolating splines are\n created by invoking NewInstance() followed by DeepCopy() on the\n interpolating spline specified here, for each tuple component to\n interpolate.\n"},
  {(char*)"GetInterpolatingSpline",                (PyCFunction)PyvtkTupleInterpolator_GetInterpolatingSpline, 1,
   (char*)"V.GetInterpolatingSpline() -> vtkSpline\nC++: vtkSpline *GetInterpolatingSpline ();\n\n If the InterpolationType is set to spline, then this method applies. By\n default Kochanek interpolation is used, but you can specify any instance\n of vtkSpline to use. Note that the actual interpolating splines are\n created by invoking NewInstance() followed by DeepCopy() on the\n interpolating spline specified here, for each tuple component to\n interpolate.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTupleInterpolatorDoc[] = {
  (char*)"vtkTupleInterpolator - interpolate a tuple of arbitray size\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This class is used to interpolate a tuple which may have an arbitrary\n number of components (but at least one component). The interpolation may\n be linear in form, or via a subclasses of vtkSpline.\n\n To use this class, begin by specifying the number of components of the\n tuple and the interpolation function to use. Then specify at least one\n pair of (t,tuple) with the AddTuple() method.  Next int",
  (char*)"erpolate the\n tuples with the InterpolateTuple(t,tuple) method, where \"t\" must be in the\n range of (t_min,t_max) parameter values specified by the AddTuple() method\n (if not then t is clamped), and tuple[] is filled in by the method (make\n sure that tuple [] is long enough to hold the interpolated data).\n\n You can control the type of interpolation to use. By default, the\n interpolation is based on",
  (char*)" a Kochanek spline. However, other types of\n splines can be specified. You can also set the interpolation method\n to linear, in which case the specified spline has no effect on the\n interpolation.\n\n",
  "Caveats:\n\n Setting the number of components or changing the type of interpolation\n causes the list of tuples to be reset, so any data inserted up to that\n point is lost. Bisection methods are used to speed up the search for the\n interpolation interval.\n\n",
  NULL
};

static vtkObjectBase *vtkTupleInterpolatorStaticNew()
{
  return vtkTupleInterpolator::New();
}

PyObject *PyVTKClass_vtkTupleInterpolatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkTupleInterpolatorStaticNew,
                        PyvtkTupleInterpolatorMethods,
                        (char*)"vtkTupleInterpolator",modulename,
                        (char**)vtkTupleInterpolatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

