// python wrapper for vtkVolumeCollection object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkVolumeCollection.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumeCollectionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumeCollectionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPropCollectionNew(char *); }

static PyObject *PyvtkVolumeCollection_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeCollection *op;

  const char    *temp20;
  if ((op = (vtkVolumeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeCollection::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeCollection_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeCollection *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkVolumeCollection *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeCollection::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeCollection_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeCollection *op;

  vtkVolumeCollection  *temp20;
  if ((op = (vtkVolumeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeCollection::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeCollection_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVolumeCollection  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVolumeCollection::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVolumeCollection_AddItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeCollection *op;

  vtkVolume  *temp0;
  PyObject *tempH0;
  if ((op = (vtkVolumeCollection *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolume");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeCollection::AddItem(temp0);
      }
    else
      {
      op->AddItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkVolumeCollection_GetNextVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeCollection *op;

  vtkVolume  *temp20;
  if ((op = (vtkVolumeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeCollection::GetNextVolume();
      }
    else
      {
      temp20 = op->GetNextVolume();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeCollection_GetNextItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeCollection *op;

  vtkVolume  *temp20;
  if ((op = (vtkVolumeCollection *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeCollection::GetNextItem();
      }
    else
      {
      temp20 = op->GetNextItem();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVolumeCollectionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumeCollection_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumeCollection_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumeCollection_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumeCollection\nC++: vtkVolumeCollection *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVolumeCollection_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVolumeCollection\nC++: vtkVolumeCollection *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddItem",                (PyCFunction)PyvtkVolumeCollection_AddItem, 1,
   (char*)"V.AddItem(vtkVolume)\nC++: void AddItem (vtkVolume *a);this vtkCollection AddItem vtkObject a \n\n Add a Volume to the list.\n"},
  {(char*)"GetNextVolume",                (PyCFunction)PyvtkVolumeCollection_GetNextVolume, 1,
   (char*)"V.GetNextVolume() -> vtkVolume\nC++: vtkVolume *GetNextVolume ();return static_cast vtkVolume this GetNextItemAsObject \n\n Get the next Volume in the list. Return NULL when at the end of the \n list.\n"},
  {(char*)"GetNextItem",                (PyCFunction)PyvtkVolumeCollection_GetNextItem, 1,
   (char*)"V.GetNextItem() -> vtkVolume\nC++: vtkVolume *GetNextItem ();return this GetNextVolume \n\n Access routine provided for compatibility with previous\n versions of VTK.  Please use the GetNextVolume() variant\n where possible.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumeCollectionDoc[] = {
  (char*)"vtkVolumeCollection - a list of volumes\n\n",
  "Super Class:\n\n vtkPropCollection\n\n",
  (char*)" vtkVolumeCollection represents and provides methods to manipulate a \n list of volumes (i.e., vtkVolume and subclasses). The list is unsorted \n and duplicate entries are not prevented.\n\n",
  "See Also:\n\n vtkCollection vtkVolume\n\n",
  NULL
};

static vtkObjectBase *vtkVolumeCollectionStaticNew()
{
  return vtkVolumeCollection::New();
}

PyObject *PyVTKClass_vtkVolumeCollectionNew(char *modulename)
{
  return PyVTKClass_New(&vtkVolumeCollectionStaticNew,
                        PyvtkVolumeCollectionMethods,
                        (char*)"vtkVolumeCollection",modulename,
                        (char**)vtkVolumeCollectionDoc,
                        PyVTKClass_vtkPropCollectionNew(modulename));
}

