// tcl wrapper for vtkVolumeProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeProperty.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkVolumePropertyNewCommand()
{
  vtkVolumeProperty *temp = vtkVolumeProperty::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVolumePropertyCppCommand(vtkVolumeProperty *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVolumePropertyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVolumePropertyCppCommand((vtkVolumeProperty *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVolumePropertyCppCommand(vtkVolumeProperty *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVolumeProperty",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkVolumeProperty  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkVolumeProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVolumeProperty  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkVolumeProperty");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkVolumeProperty  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkVolumeProperty");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIndependentComponents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIndependentComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndependentComponentsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentComponentsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIndependentComponentsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentComponentsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIndependentComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IndependentComponentsOn",argv[1]))&&(argc == 2))
    {
    op->IndependentComponentsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IndependentComponentsOff",argv[1]))&&(argc == 2))
    {
    op->IndependentComponentsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComponentWeight",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetComponentWeight(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComponentWeight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetComponentWeight(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInterpolationType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolationType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolationTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToNearest",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToNearest();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToLinear",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationTypeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetInterpolationTypeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPiecewiseFunction  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPiecewiseFunction",interp,error));
    if (!error)
    {
    op->SetColor(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 3))
    {
    vtkPiecewiseFunction  *temp0;
    error = 0;

    temp0 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPiecewiseFunction",interp,error));
    if (!error)
    {
    op->SetColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkColorTransferFunction  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkColorTransferFunction *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkColorTransferFunction",interp,error));
    if (!error)
    {
    op->SetColor(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 3))
    {
    vtkColorTransferFunction  *temp0;
    error = 0;

    temp0 = (vtkColorTransferFunction *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkColorTransferFunction",interp,error));
    if (!error)
    {
    op->SetColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorChannels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColorChannels(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorChannels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorChannels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGrayTransferFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPiecewiseFunction  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGrayTransferFunction(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPiecewiseFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGrayTransferFunction",argv[1]))&&(argc == 2))
    {
    vtkPiecewiseFunction  *temp20;
    temp20 = (op)->GetGrayTransferFunction();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPiecewiseFunction");
    return TCL_OK;
    }
  if ((!strcmp("GetRGBTransferFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkColorTransferFunction  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRGBTransferFunction(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkColorTransferFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRGBTransferFunction",argv[1]))&&(argc == 2))
    {
    vtkColorTransferFunction  *temp20;
    temp20 = (op)->GetRGBTransferFunction();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkColorTransferFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetScalarOpacity",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPiecewiseFunction  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPiecewiseFunction",interp,error));
    if (!error)
    {
    op->SetScalarOpacity(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarOpacity",argv[1]))&&(argc == 3))
    {
    vtkPiecewiseFunction  *temp0;
    error = 0;

    temp0 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPiecewiseFunction",interp,error));
    if (!error)
    {
    op->SetScalarOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarOpacity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPiecewiseFunction  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarOpacity(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPiecewiseFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarOpacity",argv[1]))&&(argc == 2))
    {
    vtkPiecewiseFunction  *temp20;
    temp20 = (op)->GetScalarOpacity();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPiecewiseFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetScalarOpacityUnitDistance",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetScalarOpacityUnitDistance(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarOpacityUnitDistance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetScalarOpacityUnitDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarOpacityUnitDistance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetScalarOpacityUnitDistance(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarOpacityUnitDistance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetScalarOpacityUnitDistance();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGradientOpacity",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPiecewiseFunction  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPiecewiseFunction",interp,error));
    if (!error)
    {
    op->SetGradientOpacity(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGradientOpacity",argv[1]))&&(argc == 3))
    {
    vtkPiecewiseFunction  *temp0;
    error = 0;

    temp0 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPiecewiseFunction",interp,error));
    if (!error)
    {
    op->SetGradientOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGradientOpacity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPiecewiseFunction  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGradientOpacity(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPiecewiseFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGradientOpacity",argv[1]))&&(argc == 2))
    {
    vtkPiecewiseFunction  *temp20;
    temp20 = (op)->GetGradientOpacity();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPiecewiseFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetDisableGradientOpacity",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetDisableGradientOpacity(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDisableGradientOpacity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisableGradientOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisableGradientOpacityOn",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DisableGradientOpacityOn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisableGradientOpacityOn",argv[1]))&&(argc == 2))
    {
    op->DisableGradientOpacityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableGradientOpacityOff",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DisableGradientOpacityOff(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisableGradientOpacityOff",argv[1]))&&(argc == 2))
    {
    op->DisableGradientOpacityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDisableGradientOpacity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDisableGradientOpacity(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisableGradientOpacity",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisableGradientOpacity();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStoredGradientOpacity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPiecewiseFunction  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetStoredGradientOpacity(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPiecewiseFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStoredGradientOpacity",argv[1]))&&(argc == 2))
    {
    vtkPiecewiseFunction  *temp20;
    temp20 = (op)->GetStoredGradientOpacity();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPiecewiseFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetShade",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetShade(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShade",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShade(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShade",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetShade(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShade",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShade();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShadeOn",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ShadeOn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShadeOn",argv[1]))&&(argc == 2))
    {
    op->ShadeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShadeOff",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ShadeOff(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShadeOff",argv[1]))&&(argc == 2))
    {
    op->ShadeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAmbient",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetAmbient(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAmbient",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAmbient(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAmbient",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAmbient(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAmbient",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAmbient();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDiffuse",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetDiffuse(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDiffuse",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiffuse(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffuse",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDiffuse(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiffuse",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiffuse();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSpecular",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetSpecular(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpecular",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSpecular(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpecular",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSpecular(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpecular",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSpecular();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSpecularPower",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetSpecularPower(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSpecularPower",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSpecularPower(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpecularPower",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSpecularPower(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSpecularPower",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSpecularPower();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkVolumePropertyCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVolumeProperty:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetIndependentComponents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentComponentsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentComponentsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentComponents\n",NULL);
    Tcl_AppendResult(interp,"  IndependentComponentsOn\n",NULL);
    Tcl_AppendResult(interp,"  IndependentComponentsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentWeight\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationType\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToNearest\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToLinear\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorChannels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorChannels\n",NULL);
    Tcl_AppendResult(interp,"  GetGrayTransferFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGrayTransferFunction\n",NULL);
    Tcl_AppendResult(interp,"  GetRGBTransferFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRGBTransferFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarOpacity\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarOpacityUnitDistance\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarOpacityUnitDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarOpacityUnitDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarOpacityUnitDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetGradientOpacity\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGradientOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetDisableGradientOpacity\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDisableGradientOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisableGradientOpacityOn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisableGradientOpacityOn\n",NULL);
    Tcl_AppendResult(interp,"  DisableGradientOpacityOff\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisableGradientOpacityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetDisableGradientOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisableGradientOpacity\n",NULL);
    Tcl_AppendResult(interp,"  GetStoredGradientOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStoredGradientOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetShade\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetShade\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShade\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShade\n",NULL);
    Tcl_AppendResult(interp,"  ShadeOn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShadeOn\n",NULL);
    Tcl_AppendResult(interp,"  ShadeOff\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShadeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAmbient\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAmbient\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAmbient\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAmbient\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffuse\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDiffuse\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffuse\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiffuse\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecular\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecular\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecular\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecular\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecularPower\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSpecularPower\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecularPower\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSpecularPower\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
