// python wrapper for vtkVolume object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkVolume.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumeNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumeNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkProp3DNew(char *); }

static PyObject *PyvtkVolume_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  const char    *temp20;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolume::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolume::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  vtkVolume  *temp20;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolume::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVolume  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVolume::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVolume_SetMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  vtkAbstractVolumeMapper  *temp0;
  PyObject *tempH0;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkAbstractVolumeMapper *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractVolumeMapper");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolume::SetMapper(temp0);
      }
    else
      {
      op->SetMapper(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkVolume_GetMapper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  vtkAbstractVolumeMapper  *temp20;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolume::GetMapper();
      }
    else
      {
      temp20 = op->GetMapper();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_SetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  vtkVolumeProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkVolumeProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolumeProperty");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolume::SetProperty(temp0);
      }
    else
      {
      op->SetProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkVolume_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  vtkVolumeProperty  *temp20;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolume::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_GetVolumes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolume::GetVolumes(temp0);
      }
    else
      {
      op->GetVolumes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkVolume_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolume::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  double  *temp20;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolume::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  /* handle an occurrence */
  {
  vtkVolume *op;

  double temp0[6];
  PyErr_Clear();
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolume::GetBounds(temp0);
      }
    else
      {
      op->GetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_GetMinXBound(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  double   temp20;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolume::GetMinXBound();
      }
    else
      {
      temp20 = op->GetMinXBound();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_GetMaxXBound(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  double   temp20;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolume::GetMaxXBound();
      }
    else
      {
      temp20 = op->GetMaxXBound();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_GetMinYBound(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  double   temp20;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolume::GetMinYBound();
      }
    else
      {
      temp20 = op->GetMinYBound();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_GetMaxYBound(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  double   temp20;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolume::GetMaxYBound();
      }
    else
      {
      temp20 = op->GetMaxYBound();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_GetMinZBound(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  double   temp20;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolume::GetMinZBound();
      }
    else
      {
      temp20 = op->GetMinZBound();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_GetMaxZBound(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  double   temp20;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolume::GetMaxZBound();
      }
    else
      {
      temp20 = op->GetMaxZBound();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  unsigned long     temp20;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolume::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_GetRedrawMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  unsigned long     temp20;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolume::GetRedrawMTime();
      }
    else
      {
      temp20 = op->GetRedrawMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolume_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolume *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  if ((op = (vtkVolume *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolume::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}

static PyMethodDef PyvtkVolumeMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolume_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolume_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolume_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolume\nC++: vtkVolume *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVolume_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVolume\nC++: vtkVolume *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetMapper",                (PyCFunction)PyvtkVolume_SetMapper, 1,
   (char*)"V.SetMapper(vtkAbstractVolumeMapper)\nC++: void SetMapper (vtkAbstractVolumeMapper *mapper);\n\n Set/Get the volume mapper.\n"},
  {(char*)"GetMapper",                (PyCFunction)PyvtkVolume_GetMapper, 1,
   (char*)"V.GetMapper() -> vtkAbstractVolumeMapper\nC++: vtkAbstractVolumeMapper *GetMapper ();\n\n Set/Get the volume mapper.\n"},
  {(char*)"SetProperty",                (PyCFunction)PyvtkVolume_SetProperty, 1,
   (char*)"V.SetProperty(vtkVolumeProperty)\nC++: void SetProperty (vtkVolumeProperty *property);\n\n Set/Get the volume property.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkVolume_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkVolumeProperty\nC++: vtkVolumeProperty *GetProperty ();\n\n Set/Get the volume property.\n"},
  {(char*)"GetVolumes",                (PyCFunction)PyvtkVolume_GetVolumes, 1,
   (char*)"V.GetVolumes(vtkPropCollection)\nC++: void GetVolumes (vtkPropCollection *vc);\n\n For some exporters and other other operations we must be\n able to collect all the actors or volumes. This method\n is used in that process.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkVolume_Update, 1,
   (char*)"V.Update()\nC++: void Update ();\n\n Update the volume rendering pipeline by updating the volume mapper\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkVolume_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: double *GetBounds ();\nV.GetBounds((float, float, float, float, float, float))\nC++: void GetBounds (double bounds[6]);this vtkProp3D GetBounds bounds \n\n Get the bounds - either all six at once \n (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.\n"},
  {(char*)"GetMinXBound",                (PyCFunction)PyvtkVolume_GetMinXBound, 1,
   (char*)"V.GetMinXBound() -> float\nC++: double GetMinXBound ();\n\n Get the bounds - either all six at once \n (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.\n"},
  {(char*)"GetMaxXBound",                (PyCFunction)PyvtkVolume_GetMaxXBound, 1,
   (char*)"V.GetMaxXBound() -> float\nC++: double GetMaxXBound ();\n\n Get the bounds - either all six at once \n (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.\n"},
  {(char*)"GetMinYBound",                (PyCFunction)PyvtkVolume_GetMinYBound, 1,
   (char*)"V.GetMinYBound() -> float\nC++: double GetMinYBound ();\n\n Get the bounds - either all six at once \n (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.\n"},
  {(char*)"GetMaxYBound",                (PyCFunction)PyvtkVolume_GetMaxYBound, 1,
   (char*)"V.GetMaxYBound() -> float\nC++: double GetMaxYBound ();\n\n Get the bounds - either all six at once \n (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.\n"},
  {(char*)"GetMinZBound",                (PyCFunction)PyvtkVolume_GetMinZBound, 1,
   (char*)"V.GetMinZBound() -> float\nC++: double GetMinZBound ();\n\n Get the bounds - either all six at once \n (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.\n"},
  {(char*)"GetMaxZBound",                (PyCFunction)PyvtkVolume_GetMaxZBound, 1,
   (char*)"V.GetMaxZBound() -> float\nC++: double GetMaxZBound ();\n\n Get the bounds - either all six at once \n (xmin, xmax, ymin, ymax, zmin, zmax) or one at a time.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkVolume_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime ();\n\n Return the MTime also considering the property etc.\n"},
  {(char*)"GetRedrawMTime",                (PyCFunction)PyvtkVolume_GetRedrawMTime, 1,
   (char*)"V.GetRedrawMTime() -> int\nC++: unsigned long GetRedrawMTime ();\n\n Return the mtime of anything that would cause the rendered image to \n appear differently. Usually this involves checking the mtime of the \n prop plus anything else it depends on such as properties, mappers,\n etc.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkVolume_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: void ShallowCopy (vtkProp *prop);\n\n Shallow copy of this vtkVolume. Overloads the virtual vtkProp method.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumeDoc[] = {
  (char*)"vtkVolume - represents a volume (data & properties) in a rendered scene\n\n",
  "Super Class:\n\n vtkProp3D\n\n",
  (char*)" vtkVolume is used to represent a volumetric entity in a rendering scene.\n It inherits functions related to the volume's position, orientation and\n origin from vtkProp3D. The volume maintains a reference to the\n volumetric data (i.e., the volume mapper). The volume also contains a\n reference to a volume property which contains all common volume rendering \n parameters.\n\n",
  "See Also:\n\n vtkAbstractVolumeMapper vtkVolumeProperty vtkProp3D\n\n",
  NULL
};

static vtkObjectBase *vtkVolumeStaticNew()
{
  return vtkVolume::New();
}

PyObject *PyVTKClass_vtkVolumeNew(char *modulename)
{
  return PyVTKClass_New(&vtkVolumeStaticNew,
                        PyvtkVolumeMethods,
                        (char*)"vtkVolume",modulename,
                        (char**)vtkVolumeDoc,
                        PyVTKClass_vtkProp3DNew(modulename));
}

