// python wrapper for vtkXOpenGLRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXOpenGLRenderWindow.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXOpenGLRenderWindowNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXOpenGLRenderWindowNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkOpenGLRenderWindowNew(char *); }

static PyObject *PyvtkXOpenGLRenderWindow_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  const char    *temp20;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXOpenGLRenderWindow::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXOpenGLRenderWindow::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  vtkXOpenGLRenderWindow  *temp20;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXOpenGLRenderWindow::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXOpenGLRenderWindow  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXOpenGLRenderWindow::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_Start(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::Start();
      }
    else
      {
      op->Start();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_Frame(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::Frame();
      }
    else
      {
      op->Frame();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_WindowInitialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::WindowInitialize();
      }
    else
      {
      op->WindowInitialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_Finalize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::Finalize();
      }
    else
      {
      op->Finalize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetFullScreen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  int      temp0;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetFullScreen(temp0);
      }
    else
      {
      op->SetFullScreen(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_WindowRemap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::WindowRemap();
      }
    else
      {
      op->WindowRemap();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_PrefFullScreen(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::PrefFullScreen();
      }
    else
      {
      op->PrefFullScreen();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetSize(temp0,temp1);
      }
    else
      {
      op->SetSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  int    temp0[2];
  PyErr_Clear();
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetSize(temp0);
      }
    else
      {
      op->SetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_GetDesiredDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  int      temp20;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXOpenGLRenderWindow::GetDesiredDepth();
      }
    else
      {
      temp20 = op->GetDesiredDepth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetStereoCapableWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  int      temp0;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetStereoCapableWindow(temp0);
      }
    else
      {
      op->SetStereoCapableWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_MakeCurrent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::MakeCurrent();
      }
    else
      {
      op->MakeCurrent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetForceMakeCurrent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetForceMakeCurrent();
      }
    else
      {
      op->SetForceMakeCurrent();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_ReportCapabilities(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  const char    *temp20;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXOpenGLRenderWindow::ReportCapabilities();
      }
    else
      {
      temp20 = op->ReportCapabilities();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SupportsOpenGL(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  int      temp20;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXOpenGLRenderWindow::SupportsOpenGL();
      }
    else
      {
      temp20 = op->SupportsOpenGL();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_IsDirect(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  int      temp20;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXOpenGLRenderWindow::IsDirect();
      }
    else
      {
      temp20 = op->IsDirect();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_GetGenericDisplayId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  void    *temp20;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXOpenGLRenderWindow::GetGenericDisplayId();
      }
    else
      {
      temp20 = op->GetGenericDisplayId();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_GetGenericWindowId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  void    *temp20;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXOpenGLRenderWindow::GetGenericWindowId();
      }
    else
      {
      temp20 = op->GetGenericWindowId();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_GetGenericParentId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  void    *temp20;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXOpenGLRenderWindow::GetGenericParentId();
      }
    else
      {
      temp20 = op->GetGenericParentId();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_GetGenericContext(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  void    *temp20;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXOpenGLRenderWindow::GetGenericContext();
      }
    else
      {
      temp20 = op->GetGenericContext();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_GetGenericDrawable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  void    *temp20;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXOpenGLRenderWindow::GetGenericDrawable();
      }
    else
      {
      temp20 = op->GetGenericDrawable();
      }
    if (temp20 == NULL)
        {
      Py_INCREF(Py_None);
      return Py_None;
        }
    else
        {
      return PyString_FromString(vtkPythonManglePointer(temp20,"void_p"));
        }
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetDisplayId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  void    *temp0;
  int      size0;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetDisplayId in vtkXOpenGLRenderWindow was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetDisplayId in vtkXOpenGLRenderWindow was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetDisplayId(temp0);
      }
    else
      {
      op->SetDisplayId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetParentId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  void    *temp0;
  int      size0;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetParentId in vtkXOpenGLRenderWindow was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetParentId in vtkXOpenGLRenderWindow was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetParentId(temp0);
      }
    else
      {
      op->SetParentId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetWindowId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  void    *temp0;
  int      size0;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetWindowId in vtkXOpenGLRenderWindow was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetWindowId in vtkXOpenGLRenderWindow was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetWindowId(temp0);
      }
    else
      {
      op->SetWindowId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetNextWindowId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  void    *temp0;
  int      size0;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"s#", &temp0, &size0)))
    {
    temp0 = vtkPythonUnmanglePointer((char *)temp0,&size0,(char*)"void_p");
    if (size0 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetNextWindowId in vtkXOpenGLRenderWindow was of incorrect type.");
      return NULL;
      }
    else if (size0 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to SetNextWindowId in vtkXOpenGLRenderWindow was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetNextWindowId(temp0);
      }
    else
      {
      op->SetNextWindowId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetWindowName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  char    *temp0;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetWindowName(temp0);
      }
    else
      {
      op->SetWindowName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetPosition(temp0,temp1);
      }
    else
      {
      op->SetPosition(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  int    temp0[2];
  PyErr_Clear();
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_HideCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::HideCursor();
      }
    else
      {
      op->HideCursor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_ShowCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::ShowCursor();
      }
    else
      {
      op->ShowCursor();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetCurrentCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  int      temp0;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetCurrentCursor(temp0);
      }
    else
      {
      op->SetCurrentCursor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_GetEventPending(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  int      temp20;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXOpenGLRenderWindow::GetEventPending();
      }
    else
      {
      temp20 = op->GetEventPending();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetWindowInfo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  char    *temp0;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetWindowInfo(temp0);
      }
    else
      {
      op->SetWindowInfo(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetNextWindowInfo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  char    *temp0;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetNextWindowInfo(temp0);
      }
    else
      {
      op->SetNextWindowInfo(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetParentInfo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  char    *temp0;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetParentInfo(temp0);
      }
    else
      {
      op->SetParentInfo(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::Render();
      }
    else
      {
      op->Render();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkXOpenGLRenderWindow_SetOffScreenRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXOpenGLRenderWindow *op;

  int      temp0;
  if ((op = (vtkXOpenGLRenderWindow *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXOpenGLRenderWindow::SetOffScreenRendering(temp0);
      }
    else
      {
      op->SetOffScreenRendering(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXOpenGLRenderWindowMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXOpenGLRenderWindow_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXOpenGLRenderWindow_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXOpenGLRenderWindow_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXOpenGLRenderWindow\nC++: vtkXOpenGLRenderWindow *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXOpenGLRenderWindow_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXOpenGLRenderWindow\nC++: vtkXOpenGLRenderWindow *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Start",                (PyCFunction)PyvtkXOpenGLRenderWindow_Start, 1,
   (char*)"V.Start()\nC++: virtual void Start (void );\n\n Begin the rendering process.\n"},
  {(char*)"Frame",                (PyCFunction)PyvtkXOpenGLRenderWindow_Frame, 1,
   (char*)"V.Frame()\nC++: virtual void Frame (void );\n\n End the rendering process and display the image.\n"},
  {(char*)"WindowInitialize",                (PyCFunction)PyvtkXOpenGLRenderWindow_WindowInitialize, 1,
   (char*)"V.WindowInitialize()\nC++: virtual void WindowInitialize (void );\n\n Initialize the window for rendering.\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkXOpenGLRenderWindow_Initialize, 1,
   (char*)"V.Initialize()\nC++: virtual void Initialize (void );\n\n Initialize the rendering window.  This will setup all system-specific\n resources.  This method and Finalize() must be symmetric and it\n should be possible to call them multiple times, even changing WindowId\n in-between.  This is what WindowRemap does.\n"},
  {(char*)"Finalize",                (PyCFunction)PyvtkXOpenGLRenderWindow_Finalize, 1,
   (char*)"V.Finalize()\nC++: virtual void Finalize (void );\n\n \"Deinitialize\" the rendering window.  This will shutdown all system-specific\n resources.  After having called this, it should be possible to destroy\n a window that was used for a SetWindowId() call without any ill effects.\n"},
  {(char*)"SetFullScreen",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetFullScreen, 1,
   (char*)"V.SetFullScreen(int)\nC++: virtual void SetFullScreen (int );\n\n Change the window to fill the entire screen.\n"},
  {(char*)"WindowRemap",                (PyCFunction)PyvtkXOpenGLRenderWindow_WindowRemap, 1,
   (char*)"V.WindowRemap()\nC++: virtual void WindowRemap (void );\n\n Resize the window.\n"},
  {(char*)"PrefFullScreen",                (PyCFunction)PyvtkXOpenGLRenderWindow_PrefFullScreen, 1,
   (char*)"V.PrefFullScreen()\nC++: virtual void PrefFullScreen (void );\n\n Set the preferred window size to full screen.\n"},
  {(char*)"SetSize",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetSize, 1,
   (char*)"V.SetSize(int, int)\nC++: virtual void SetSize (int , int );\nV.SetSize((int, int))\nC++: virtual void SetSize (int a[2]);this SetSize a a \n\n Specify the size of the rendering window.\n"},
  {(char*)"GetDesiredDepth",                (PyCFunction)PyvtkXOpenGLRenderWindow_GetDesiredDepth, 1,
   (char*)"V.GetDesiredDepth() -> int\nC++: virtual int GetDesiredDepth ();\n\n Get the X properties of an ideal rendering window.\n"},
  {(char*)"SetStereoCapableWindow",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetStereoCapableWindow, 1,
   (char*)"V.SetStereoCapableWindow(int)\nC++: virtual void SetStereoCapableWindow (int capable);\n\n Prescribe that the window be created in a stereo-capable mode. This\n method must be called before the window is realized. This method\n overrides the superclass method since this class can actually check\n whether the window has been realized yet.\n"},
  {(char*)"MakeCurrent",                (PyCFunction)PyvtkXOpenGLRenderWindow_MakeCurrent, 1,
   (char*)"V.MakeCurrent()\nC++: void MakeCurrent ();\n\n Make this window the current OpenGL context.\n"},
  {(char*)"SetForceMakeCurrent",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetForceMakeCurrent, 1,
   (char*)"V.SetForceMakeCurrent()\nC++: void SetForceMakeCurrent ();\n\n If called, allow MakeCurrent() to skip cache-check when called.\n MakeCurrent() reverts to original behavior of cache-checking     \n on the next render.     \n"},
  {(char*)"ReportCapabilities",                (PyCFunction)PyvtkXOpenGLRenderWindow_ReportCapabilities, 1,
   (char*)"V.ReportCapabilities() -> string\nC++: const char *ReportCapabilities ();\n\n Get report of capabilities for the render window\n"},
  {(char*)"SupportsOpenGL",                (PyCFunction)PyvtkXOpenGLRenderWindow_SupportsOpenGL, 1,
   (char*)"V.SupportsOpenGL() -> int\nC++: int SupportsOpenGL ();\n\n Does this render window support OpenGL? 0-false, 1-true\n"},
  {(char*)"IsDirect",                (PyCFunction)PyvtkXOpenGLRenderWindow_IsDirect, 1,
   (char*)"V.IsDirect() -> int\nC++: int IsDirect ();\n\n Is this render window using hardware acceleration? 0-false, 1-true\n"},
  {(char*)"GetGenericDisplayId",                (PyCFunction)PyvtkXOpenGLRenderWindow_GetGenericDisplayId, 1,
   (char*)"V.GetGenericDisplayId() -> string\nC++: virtual void *GetGenericDisplayId ();return void this GetDisplayId \n\n Xwindow get set functions\n"},
  {(char*)"GetGenericWindowId",                (PyCFunction)PyvtkXOpenGLRenderWindow_GetGenericWindowId, 1,
   (char*)"V.GetGenericWindowId() -> string\nC++: virtual void *GetGenericWindowId ();\n\n Xwindow get set functions\n"},
  {(char*)"GetGenericParentId",                (PyCFunction)PyvtkXOpenGLRenderWindow_GetGenericParentId, 1,
   (char*)"V.GetGenericParentId() -> string\nC++: virtual void *GetGenericParentId ();return void this ParentId \n\n Xwindow get set functions\n"},
  {(char*)"GetGenericContext",                (PyCFunction)PyvtkXOpenGLRenderWindow_GetGenericContext, 1,
   (char*)"V.GetGenericContext() -> string\nC++: virtual void *GetGenericContext ();\n\n Xwindow get set functions\n"},
  {(char*)"GetGenericDrawable",                (PyCFunction)PyvtkXOpenGLRenderWindow_GetGenericDrawable, 1,
   (char*)"V.GetGenericDrawable() -> string\nC++: virtual void *GetGenericDrawable ();return void this WindowId \n\n Xwindow get set functions\n"},
  {(char*)"SetDisplayId",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetDisplayId, 1,
   (char*)"V.SetDisplayId(string)\nC++: void SetDisplayId (void *);\n\n Set the X display id for this RenderWindow to use to a pre-existing \n X display id.\n"},
  {(char*)"SetParentId",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetParentId, 1,
   (char*)"V.SetParentId(string)\nC++: void SetParentId (void *);\n\n Sets the parent of the window that WILL BE created.\n"},
  {(char*)"SetWindowId",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetWindowId, 1,
   (char*)"V.SetWindowId(string)\nC++: void SetWindowId (void *);\n\n Set this RenderWindow's X window id to a pre-existing window.\n"},
  {(char*)"SetNextWindowId",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetNextWindowId, 1,
   (char*)"V.SetNextWindowId(string)\nC++: void SetNextWindowId (void *);\n\n Set the window id of the new window once a WindowRemap is done.\n This is the generic prototype as required by the vtkRenderWindow\n parent.\n"},
  {(char*)"SetWindowName",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetWindowName, 1,
   (char*)"V.SetWindowName(string)\nC++: void SetWindowName (const char *);\n\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetPosition, 1,
   (char*)"V.SetPosition(int, int)\nC++: void SetPosition (int , int );\nV.SetPosition((int, int))\nC++: void SetPosition (int a[2]);this SetPosition a a \n\n Move the window to a new position on the display.\n"},
  {(char*)"HideCursor",                (PyCFunction)PyvtkXOpenGLRenderWindow_HideCursor, 1,
   (char*)"V.HideCursor()\nC++: void HideCursor ();\n\n Hide or Show the mouse cursor, it is nice to be able to hide the\n default cursor if you want VTK to display a 3D cursor instead.\n"},
  {(char*)"ShowCursor",                (PyCFunction)PyvtkXOpenGLRenderWindow_ShowCursor, 1,
   (char*)"V.ShowCursor()\nC++: void ShowCursor ();\n\n Hide or Show the mouse cursor, it is nice to be able to hide the\n default cursor if you want VTK to display a 3D cursor instead.\n"},
  {(char*)"SetCurrentCursor",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetCurrentCursor, 1,
   (char*)"V.SetCurrentCursor(int)\nC++: virtual void SetCurrentCursor (int );\n\n Change the shape of the cursor\n"},
  {(char*)"GetEventPending",                (PyCFunction)PyvtkXOpenGLRenderWindow_GetEventPending, 1,
   (char*)"V.GetEventPending() -> int\nC++: virtual int GetEventPending ();\n\n Check to see if a mouse button has been pressed.\n All other events are ignored by this method.\n This is a useful check to abort a long render.\n"},
  {(char*)"SetWindowInfo",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetWindowInfo, 1,
   (char*)"V.SetWindowInfo(string)\nC++: void SetWindowInfo (char *info);\n\n Set this RenderWindow's X window id to a pre-existing window.\n"},
  {(char*)"SetNextWindowInfo",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetNextWindowInfo, 1,
   (char*)"V.SetNextWindowInfo(string)\nC++: void SetNextWindowInfo (char *info);\n\n Set the window info that will be used after WindowRemap()\n"},
  {(char*)"SetParentInfo",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetParentInfo, 1,
   (char*)"V.SetParentInfo(string)\nC++: void SetParentInfo (char *info);\n\n Sets the X window id of the window that WILL BE created.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkXOpenGLRenderWindow_Render, 1,
   (char*)"V.Render()\nC++: void Render ();\n\n This computes the size of the render window \n before calling the supper classes render\n"},
  {(char*)"SetOffScreenRendering",                (PyCFunction)PyvtkXOpenGLRenderWindow_SetOffScreenRendering, 1,
   (char*)"V.SetOffScreenRendering(int)\nC++: void SetOffScreenRendering (int i);\n\n Render without displaying the window.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXOpenGLRenderWindowDoc[] = {
  (char*)"vtkXOpenGLRenderWindow - OpenGL rendering window\n\n",
  "Super Class:\n\n vtkOpenGLRenderWindow\n\n",
  (char*)" vtkXOpenGLRenderWindow is a concrete implementation of the abstract class\n vtkRenderWindow. vtkOpenGLRenderer interfaces to the OpenGL graphics\n library. Application programmers should normally use vtkRenderWindow\n instead of the OpenGL specific version.\n\n",
  NULL
};

static vtkObjectBase *vtkXOpenGLRenderWindowStaticNew()
{
  return vtkXOpenGLRenderWindow::New();
}

PyObject *PyVTKClass_vtkXOpenGLRenderWindowNew(char *modulename)
{
  return PyVTKClass_New(&vtkXOpenGLRenderWindowStaticNew,
                        PyvtkXOpenGLRenderWindowMethods,
                        (char*)"vtkXOpenGLRenderWindow",modulename,
                        (char**)vtkXOpenGLRenderWindowDoc,
                        PyVTKClass_vtkOpenGLRenderWindowNew(modulename));
}

