// python wrapper for vtkDirectionEncoder object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkDirectionEncoder.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDirectionEncoderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDirectionEncoderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkDirectionEncoder_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectionEncoder *op;

  const char    *temp20;
  if ((op = (vtkDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectionEncoder::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectionEncoder_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectionEncoder *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectionEncoder::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectionEncoder_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectionEncoder *op;

  vtkDirectionEncoder  *temp20;
  if ((op = (vtkDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkDirectionEncoder::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectionEncoder_GetEncodedDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectionEncoder *op;

  float  temp0[3];
  int      temp20;
  if ((op = (vtkDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetEncodedDirection(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkDirectionEncoder_GetNumberOfEncodedDirections(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDirectionEncoder *op;

  int      temp20;
  if ((op = (vtkDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNumberOfEncodedDirections();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkDirectionEncoderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkDirectionEncoder_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Get the name of this class\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkDirectionEncoder_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Get the name of this class\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkDirectionEncoder_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDirectionEncoder\nC++: vtkDirectionEncoder *NewInstance ();\n\n Get the name of this class\n"},
  {(char*)"GetEncodedDirection",                (PyCFunction)PyvtkDirectionEncoder_GetEncodedDirection, 1,
   (char*)"V.GetEncodedDirection((float, float, float)) -> int\nC++: virtual int GetEncodedDirection (float n[3]) = 0;\n\n Given a normal vector n, return the encoded direction\n"},
  {(char*)"GetNumberOfEncodedDirections",                (PyCFunction)PyvtkDirectionEncoder_GetNumberOfEncodedDirections, 1,
   (char*)"V.GetNumberOfEncodedDirections() -> int\nC++: virtual int GetNumberOfEncodedDirections (void ) = 0;\n\n Return the number of encoded directions\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkDirectionEncoderDoc[] = {
  (char*)"vtkDirectionEncoder - encode a direction into a one or two byte value\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Given a direction, encode it into an integer value. This value should\n be less than 65536, which is the maximum number of encoded directions\n supported by this superclass. A direction encoded is used to encode\n normals in a volume for use during volume rendering, and the\n amount of space that is allocated per normal is 2 bytes.\n This is an abstract superclass - see the subclasses for specific \n i",
  (char*)"mplementation details.\n\n\n",
  "See Also:\n\n vtkRecursiveSphereDirectionEncoder\n\n",
  NULL
};

PyObject *PyVTKClass_vtkDirectionEncoderNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkDirectionEncoderMethods,
                        (char*)"vtkDirectionEncoder",modulename,
                        (char**)vtkDirectionEncoderDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

