// python wrapper for vtkEncodedGradientShader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkEncodedGradientShader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEncodedGradientShaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEncodedGradientShaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkEncodedGradientShader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  const char    *temp20;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientShader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientShader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  vtkEncodedGradientShader  *temp20;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientShader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkEncodedGradientShader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkEncodedGradientShader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_SetZeroNormalDiffuseIntensity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  float    temp0;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientShader::SetZeroNormalDiffuseIntensity(temp0);
      }
    else
      {
      op->SetZeroNormalDiffuseIntensity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_GetZeroNormalDiffuseIntensityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  float    temp20;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientShader::GetZeroNormalDiffuseIntensityMinValue();
      }
    else
      {
      temp20 = op->GetZeroNormalDiffuseIntensityMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_GetZeroNormalDiffuseIntensityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  float    temp20;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientShader::GetZeroNormalDiffuseIntensityMaxValue();
      }
    else
      {
      temp20 = op->GetZeroNormalDiffuseIntensityMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_GetZeroNormalDiffuseIntensity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  float    temp20;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientShader::GetZeroNormalDiffuseIntensity();
      }
    else
      {
      temp20 = op->GetZeroNormalDiffuseIntensity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_SetZeroNormalSpecularIntensity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  float    temp0;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientShader::SetZeroNormalSpecularIntensity(temp0);
      }
    else
      {
      op->SetZeroNormalSpecularIntensity(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_GetZeroNormalSpecularIntensityMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  float    temp20;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientShader::GetZeroNormalSpecularIntensityMinValue();
      }
    else
      {
      temp20 = op->GetZeroNormalSpecularIntensityMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_GetZeroNormalSpecularIntensityMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  float    temp20;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientShader::GetZeroNormalSpecularIntensityMaxValue();
      }
    else
      {
      temp20 = op->GetZeroNormalSpecularIntensityMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_GetZeroNormalSpecularIntensity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  float    temp20;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientShader::GetZeroNormalSpecularIntensity();
      }
    else
      {
      temp20 = op->GetZeroNormalSpecularIntensity();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_UpdateShadingTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkVolume  *temp1;
  PyObject *tempH1;
  vtkEncodedGradientEstimator  *temp2;
  PyObject *tempH2;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"OOO", &tempH0, &tempH1, &tempH2)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break12;
    temp1 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolume");
    if (!temp1 && tempH1 != Py_None) goto break12;
    temp2 = (vtkEncodedGradientEstimator *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkEncodedGradientEstimator");
    if (!temp2 && tempH2 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientShader::UpdateShadingTable(temp0,temp1,temp2);
      }
    else
      {
      op->UpdateShadingTable(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_SetActiveComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  int      temp0;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkEncodedGradientShader::SetActiveComponent(temp0);
      }
    else
      {
      op->SetActiveComponent(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_GetActiveComponentMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  int      temp20;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientShader::GetActiveComponentMinValue();
      }
    else
      {
      temp20 = op->GetActiveComponentMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_GetActiveComponentMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  int      temp20;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientShader::GetActiveComponentMaxValue();
      }
    else
      {
      temp20 = op->GetActiveComponentMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkEncodedGradientShader_GetActiveComponent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkEncodedGradientShader *op;

  int      temp20;
  if ((op = (vtkEncodedGradientShader *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkEncodedGradientShader::GetActiveComponent();
      }
    else
      {
      temp20 = op->GetActiveComponent();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkEncodedGradientShaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkEncodedGradientShader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkEncodedGradientShader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkEncodedGradientShader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEncodedGradientShader\nC++: vtkEncodedGradientShader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkEncodedGradientShader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEncodedGradientShader\nC++: vtkEncodedGradientShader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetZeroNormalDiffuseIntensity",                (PyCFunction)PyvtkEncodedGradientShader_SetZeroNormalDiffuseIntensity, 1,
   (char*)"V.SetZeroNormalDiffuseIntensity(float)\nC++: void SetZeroNormalDiffuseIntensity (float );\n\n Set / Get the intensity diffuse / specular light used for the\n zero normals. \n"},
  {(char*)"GetZeroNormalDiffuseIntensityMinValue",                (PyCFunction)PyvtkEncodedGradientShader_GetZeroNormalDiffuseIntensityMinValue, 1,
   (char*)"V.GetZeroNormalDiffuseIntensityMinValue() -> float\nC++: float GetZeroNormalDiffuseIntensityMinValue ();\n\n Set / Get the intensity diffuse / specular light used for the\n zero normals. \n"},
  {(char*)"GetZeroNormalDiffuseIntensityMaxValue",                (PyCFunction)PyvtkEncodedGradientShader_GetZeroNormalDiffuseIntensityMaxValue, 1,
   (char*)"V.GetZeroNormalDiffuseIntensityMaxValue() -> float\nC++: float GetZeroNormalDiffuseIntensityMaxValue ();\n\n Set / Get the intensity diffuse / specular light used for the\n zero normals. \n"},
  {(char*)"GetZeroNormalDiffuseIntensity",                (PyCFunction)PyvtkEncodedGradientShader_GetZeroNormalDiffuseIntensity, 1,
   (char*)"V.GetZeroNormalDiffuseIntensity() -> float\nC++: float GetZeroNormalDiffuseIntensity ();\n\n Set / Get the intensity diffuse / specular light used for the\n zero normals. \n"},
  {(char*)"SetZeroNormalSpecularIntensity",                (PyCFunction)PyvtkEncodedGradientShader_SetZeroNormalSpecularIntensity, 1,
   (char*)"V.SetZeroNormalSpecularIntensity(float)\nC++: void SetZeroNormalSpecularIntensity (float );\n\n Set / Get the intensity diffuse / specular light used for the\n zero normals. \n"},
  {(char*)"GetZeroNormalSpecularIntensityMinValue",                (PyCFunction)PyvtkEncodedGradientShader_GetZeroNormalSpecularIntensityMinValue, 1,
   (char*)"V.GetZeroNormalSpecularIntensityMinValue() -> float\nC++: float GetZeroNormalSpecularIntensityMinValue ();\n\n Set / Get the intensity diffuse / specular light used for the\n zero normals. \n"},
  {(char*)"GetZeroNormalSpecularIntensityMaxValue",                (PyCFunction)PyvtkEncodedGradientShader_GetZeroNormalSpecularIntensityMaxValue, 1,
   (char*)"V.GetZeroNormalSpecularIntensityMaxValue() -> float\nC++: float GetZeroNormalSpecularIntensityMaxValue ();\n\n Set / Get the intensity diffuse / specular light used for the\n zero normals. \n"},
  {(char*)"GetZeroNormalSpecularIntensity",                (PyCFunction)PyvtkEncodedGradientShader_GetZeroNormalSpecularIntensity, 1,
   (char*)"V.GetZeroNormalSpecularIntensity() -> float\nC++: float GetZeroNormalSpecularIntensity ();\n\n Set / Get the intensity diffuse / specular light used for the\n zero normals. \n"},
  {(char*)"UpdateShadingTable",                (PyCFunction)PyvtkEncodedGradientShader_UpdateShadingTable, 1,
   (char*)"V.UpdateShadingTable(vtkRenderer, vtkVolume, vtkEncodedGradientEstimator)\nC++: void UpdateShadingTable (vtkRenderer *ren, vtkVolume *vol, vtkEncodedGradientEstimator *gradest);\n\n Cause the shading table to be updated\n"},
  {(char*)"SetActiveComponent",                (PyCFunction)PyvtkEncodedGradientShader_SetActiveComponent, 1,
   (char*)"V.SetActiveComponent(int)\nC++: void SetActiveComponent (int );\n\n Set the active component for shading. This component's \n ambient / diffuse / specular / specular power values will\n be used to create the shading table. The default is 1.0\n"},
  {(char*)"GetActiveComponentMinValue",                (PyCFunction)PyvtkEncodedGradientShader_GetActiveComponentMinValue, 1,
   (char*)"V.GetActiveComponentMinValue() -> int\nC++: int GetActiveComponentMinValue ();\n\n Set the active component for shading. This component's \n ambient / diffuse / specular / specular power values will\n be used to create the shading table. The default is 1.0\n"},
  {(char*)"GetActiveComponentMaxValue",                (PyCFunction)PyvtkEncodedGradientShader_GetActiveComponentMaxValue, 1,
   (char*)"V.GetActiveComponentMaxValue() -> int\nC++: int GetActiveComponentMaxValue ();\n\n Set the active component for shading. This component's \n ambient / diffuse / specular / specular power values will\n be used to create the shading table. The default is 1.0\n"},
  {(char*)"GetActiveComponent",                (PyCFunction)PyvtkEncodedGradientShader_GetActiveComponent, 1,
   (char*)"V.GetActiveComponent() -> int\nC++: int GetActiveComponent ();\n\n Set the active component for shading. This component's \n ambient / diffuse / specular / specular power values will\n be used to create the shading table. The default is 1.0\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkEncodedGradientShaderDoc[] = {
  (char*)"vtkEncodedGradientShader - Compute shading tables for encoded normals.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkEncodedGradientShader computes shading tables for encoded normals \n that indicates the amount of diffuse and specular illumination that is \n received from all light sources at a surface location with that normal.\n For diffuse illumination this is accurate, but for specular illumination\n it is approximate for perspective projections since the center view\n direction is always used as the view di",
  (char*)"rection. Since the shading table is\n dependent on the volume (for the transformation that must be applied to\n the normals to put them into world coordinates) there is a shading table\n per volume. This is necessary because multiple volumes can share a \n volume mapper.\n\n",
  NULL
};

static vtkObjectBase *vtkEncodedGradientShaderStaticNew()
{
  return vtkEncodedGradientShader::New();
}

PyObject *PyVTKClass_vtkEncodedGradientShaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkEncodedGradientShaderStaticNew,
                        PyvtkEncodedGradientShaderMethods,
                        (char*)"vtkEncodedGradientShader",modulename,
                        (char**)vtkEncodedGradientShaderDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

