// python wrapper for vtkFixedPointVolumeRayCastHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkFixedPointVolumeRayCastHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFixedPointVolumeRayCastHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFixedPointVolumeRayCastHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkFixedPointVolumeRayCastHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastHelper *op;

  const char    *temp20;
  if ((op = (vtkFixedPointVolumeRayCastHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastHelper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkFixedPointVolumeRayCastHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastHelper *op;

  vtkFixedPointVolumeRayCastHelper  *temp20;
  if ((op = (vtkFixedPointVolumeRayCastHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkFixedPointVolumeRayCastHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkFixedPointVolumeRayCastHelper_GenerateImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkFixedPointVolumeRayCastHelper *op;

  int      temp0;
  int      temp1;
  vtkVolume  *temp2;
  PyObject *tempH2;
  vtkFixedPointVolumeRayCastMapper  *temp3;
  PyObject *tempH3;
  if ((op = (vtkFixedPointVolumeRayCastHelper *)PyArg_VTKParseTuple(self, args, (char*)"iiOO", &temp0, &temp1, &tempH2, &tempH3)))
    {
    temp2 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkVolume");
    if (!temp2 && tempH2 != Py_None) goto break3;
    temp3 = (vtkFixedPointVolumeRayCastMapper *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkFixedPointVolumeRayCastMapper");
    if (!temp3 && tempH3 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkFixedPointVolumeRayCastHelper::GenerateImage(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->GenerateImage(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkFixedPointVolumeRayCastHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkFixedPointVolumeRayCastHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkFixedPointVolumeRayCastHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkFixedPointVolumeRayCastHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFixedPointVolumeRayCastHelper\nC++: vtkFixedPointVolumeRayCastHelper *NewInstance ();\n\n"},
  {(char*)"GenerateImage",                (PyCFunction)PyvtkFixedPointVolumeRayCastHelper_GenerateImage, 1,
   (char*)"V.GenerateImage(int, int, vtkVolume, vtkFixedPointVolumeRayCastMapper)\nC++: virtual void GenerateImage (int , int , vtkVolume *, vtkFixedPointVolumeRayCastMapper *);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkFixedPointVolumeRayCastHelperDoc[] = {
  (char*)"vtkFixedPointVolumeRayCastHelper - An abstract helper that generates images for the volume ray cast mapper\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This is the abstract superclass of all helper classes for the \n vtkFixedPointVolumeRayCastMapper. This class should not be used directly.\n\n\n",
  "See Also:\n\n vtkFixedPointVolumeRayCastMapper\n\n",
  NULL
};

static vtkObjectBase *vtkFixedPointVolumeRayCastHelperStaticNew()
{
  return vtkFixedPointVolumeRayCastHelper::New();
}

PyObject *PyVTKClass_vtkFixedPointVolumeRayCastHelperNew(char *modulename)
{
  return PyVTKClass_New(&vtkFixedPointVolumeRayCastHelperStaticNew,
                        PyvtkFixedPointVolumeRayCastHelperMethods,
                        (char*)"vtkFixedPointVolumeRayCastHelper",modulename,
                        (char**)vtkFixedPointVolumeRayCastHelperDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

