// tcl wrapper for vtkFixedPointVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFixedPointVolumeRayCastMapper.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkFixedPointVolumeRayCastMapperNewCommand()
{
  vtkFixedPointVolumeRayCastMapper *temp = vtkFixedPointVolumeRayCastMapper::New();
  return ((ClientData)temp);
}

int vtkVolumeMapperCppCommand(vtkVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkFixedPointVolumeRayCastMapperCppCommand(vtkFixedPointVolumeRayCastMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkFixedPointVolumeRayCastMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkFixedPointVolumeRayCastMapperCppCommand((vtkFixedPointVolumeRayCastMapper *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkFixedPointVolumeRayCastMapperCppCommand(vtkFixedPointVolumeRayCastMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkFixedPointVolumeRayCastMapper",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkVolumeMapperCppCommand((vtkVolumeMapper *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkVolumeMapper", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkFixedPointVolumeRayCastMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkFixedPointVolumeRayCastMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkFixedPointVolumeRayCastMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkFixedPointVolumeRayCastMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkFixedPointVolumeRayCastMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkFixedPointVolumeRayCastMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetSampleDistance();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractiveSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInteractiveSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractiveSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetInteractiveSampleDistance();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetImageSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetImageSampleDistanceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetImageSampleDistanceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetImageSampleDistance();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumImageSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistanceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistanceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumImageSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistance();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumImageSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistanceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistanceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumImageSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistance();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoAdjustSampleDistances",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoAdjustSampleDistances(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoAdjustSampleDistancesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistancesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustSampleDistancesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistancesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustSampleDistances",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistances();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustSampleDistancesOn",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustSampleDistancesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustSampleDistancesOff",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustSampleDistancesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfThreads",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfThreads(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfThreads",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThreads();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntermixIntersectingGeometry",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntermixIntersectingGeometry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntermixIntersectingGeometryMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntermixIntersectingGeometryMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntermixIntersectingGeometryMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntermixIntersectingGeometryMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntermixIntersectingGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntermixIntersectingGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IntermixIntersectingGeometryOn",argv[1]))&&(argc == 2))
    {
    op->IntermixIntersectingGeometryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IntermixIntersectingGeometryOff",argv[1]))&&(argc == 2))
    {
    op->IntermixIntersectingGeometryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeRequiredImageSampleDistance",argv[1]))&&(argc == 4))
    {
    float    temp0;
    vtkRenderer  *temp1;
    float    temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkRenderer",interp,error));
    if (!error)
    {
    temp20 = (op)->ComputeRequiredImageSampleDistance(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeRequiredImageSampleDistance",argv[1]))&&(argc == 5))
    {
    float    temp0;
    vtkRenderer  *temp1;
    vtkVolume  *temp2;
    float    temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkRenderer",interp,error));
    temp2 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkVolume",interp,error));
    if (!error)
    {
    temp20 = (op)->ComputeRequiredImageSampleDistance(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetMIPHelper",argv[1]))&&(argc == 2))
    {
    vtkFixedPointVolumeRayCastMIPHelper  *temp20;
    temp20 = (op)->GetMIPHelper();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkFixedPointVolumeRayCastMIPHelper");
    return TCL_OK;
    }
  if ((!strcmp("GetCompositeHelper",argv[1]))&&(argc == 2))
    {
    vtkFixedPointVolumeRayCastCompositeHelper  *temp20;
    temp20 = (op)->GetCompositeHelper();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkFixedPointVolumeRayCastCompositeHelper");
    return TCL_OK;
    }
  if ((!strcmp("GetCompositeGOHelper",argv[1]))&&(argc == 2))
    {
    vtkFixedPointVolumeRayCastCompositeGOHelper  *temp20;
    temp20 = (op)->GetCompositeGOHelper();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkFixedPointVolumeRayCastCompositeGOHelper");
    return TCL_OK;
    }
  if ((!strcmp("GetCompositeGOShadeHelper",argv[1]))&&(argc == 2))
    {
    vtkFixedPointVolumeRayCastCompositeGOShadeHelper  *temp20;
    temp20 = (op)->GetCompositeGOShadeHelper();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkFixedPointVolumeRayCastCompositeGOShadeHelper");
    return TCL_OK;
    }
  if ((!strcmp("GetCompositeShadeHelper",argv[1]))&&(argc == 2))
    {
    vtkFixedPointVolumeRayCastCompositeShadeHelper  *temp20;
    temp20 = (op)->GetCompositeShadeHelper();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkFixedPointVolumeRayCastCompositeShadeHelper");
    return TCL_OK;
    }
  if ((!strcmp("GetTableShift",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetTableShift();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTableScale",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetTableScale();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShadingRequired",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShadingRequired();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGradientOpacityRequired",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGradientOpacityRequired();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVolume",argv[1]))&&(argc == 2))
    {
    vtkVolume  *temp20;
    temp20 = (op)->GetVolume();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkVolume");
    return TCL_OK;
    }
  if ((!strcmp("InitializeRayInfo",argv[1]))&&(argc == 3))
    {
    vtkVolume  *temp0;
    error = 0;

    temp0 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkVolume",interp,error));
    if (!error)
    {
    op->InitializeRayInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShouldUseNearestNeighborInterpolation",argv[1]))&&(argc == 3))
    {
    vtkVolume  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkVolume",interp,error));
    if (!error)
    {
    temp20 = (op)->ShouldUseNearestNeighborInterpolation(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRayCastImage",argv[1]))&&(argc == 3))
    {
    vtkFixedPointRayCastImage  *temp0;
    error = 0;

    temp0 = (vtkFixedPointRayCastImage *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkFixedPointRayCastImage",interp,error));
    if (!error)
    {
    op->SetRayCastImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRayCastImage",argv[1]))&&(argc == 2))
    {
    vtkFixedPointRayCastImage  *temp20;
    temp20 = (op)->GetRayCastImage();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkFixedPointRayCastImage");
    return TCL_OK;
    }
  if ((!strcmp("PerVolumeInitialization",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkVolume",interp,error));
    if (!error)
    {
    op->PerVolumeInitialization(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PerSubVolumeInitialization",argv[1]))&&(argc == 5))
    {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkVolume",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->PerSubVolumeInitialization(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderSubVolume",argv[1]))&&(argc == 2))
    {
    op->RenderSubVolume();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayRenderedImage",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkVolume",interp,error));
    if (!error)
    {
    op->DisplayRenderedImage(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AbortRender",argv[1]))&&(argc == 2))
    {
    op->AbortRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkFixedPointVolumeRayCastMapperCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkFixedPointVolumeRayCastMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractiveSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractiveSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetImageSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumImageSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumImageSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoAdjustSampleDistances\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistancesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistancesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistances\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustSampleDistancesOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustSampleDistancesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfThreads\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThreads\n",NULL);
    Tcl_AppendResult(interp,"  SetIntermixIntersectingGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntermixIntersectingGeometryMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntermixIntersectingGeometryMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntermixIntersectingGeometry\n",NULL);
    Tcl_AppendResult(interp,"  IntermixIntersectingGeometryOn\n",NULL);
    Tcl_AppendResult(interp,"  IntermixIntersectingGeometryOff\n",NULL);
    Tcl_AppendResult(interp,"  ComputeRequiredImageSampleDistance\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeRequiredImageSampleDistance\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetMIPHelper\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeHelper\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeGOHelper\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeGOShadeHelper\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeShadeHelper\n",NULL);
    Tcl_AppendResult(interp,"  GetTableShift\n",NULL);
    Tcl_AppendResult(interp,"  GetTableScale\n",NULL);
    Tcl_AppendResult(interp,"  GetShadingRequired\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientOpacityRequired\n",NULL);
    Tcl_AppendResult(interp,"  GetVolume\n",NULL);
    Tcl_AppendResult(interp,"  InitializeRayInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShouldUseNearestNeighborInterpolation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRayCastImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRayCastImage\n",NULL);
    Tcl_AppendResult(interp,"  PerVolumeInitialization\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  PerSubVolumeInitialization\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RenderSubVolume\n",NULL);
    Tcl_AppendResult(interp,"  DisplayRenderedImage\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AbortRender\n",NULL);
    return TCL_OK;
    }

  if (vtkVolumeMapperCppCommand((vtkVolumeMapper *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
