// python wrapper for vtkOpenGLRayCastImageDisplayHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOpenGLRayCastImageDisplayHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLRayCastImageDisplayHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLRayCastImageDisplayHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRayCastImageDisplayHelperNew(char *); }

static PyObject *PyvtkOpenGLRayCastImageDisplayHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRayCastImageDisplayHelper *op;

  const char    *temp20;
  if ((op = (vtkOpenGLRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRayCastImageDisplayHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRayCastImageDisplayHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRayCastImageDisplayHelper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOpenGLRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRayCastImageDisplayHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRayCastImageDisplayHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRayCastImageDisplayHelper *op;

  vtkOpenGLRayCastImageDisplayHelper  *temp20;
  if ((op = (vtkOpenGLRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLRayCastImageDisplayHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLRayCastImageDisplayHelper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLRayCastImageDisplayHelper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLRayCastImageDisplayHelper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLRayCastImageDisplayHelper_RenderTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLRayCastImageDisplayHelper *op;

  vtkVolume  *temp0;
  PyObject *tempH0;
  vtkRenderer  *temp1;
  PyObject *tempH1;
  vtkFixedPointRayCastImage  *temp2;
  PyObject *tempH2;
  float    temp3;
  if ((op = (vtkOpenGLRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"OOOf", &tempH0, &tempH1, &tempH2, &temp3)))
    {
    temp0 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolume");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp2 = (vtkFixedPointRayCastImage *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkFixedPointRayCastImage");
    if (!temp2 && tempH2 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLRayCastImageDisplayHelper::RenderTexture(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->RenderTexture(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkOpenGLRayCastImageDisplayHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLRayCastImageDisplayHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLRayCastImageDisplayHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLRayCastImageDisplayHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLRayCastImageDisplayHelper\nC++: vtkOpenGLRayCastImageDisplayHelper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLRayCastImageDisplayHelper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLRayCastImageDisplayHelper\nC++: vtkOpenGLRayCastImageDisplayHelper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"RenderTexture",                (PyCFunction)PyvtkOpenGLRayCastImageDisplayHelper_RenderTexture, 1,
   (char*)"V.RenderTexture(vtkVolume, vtkRenderer, vtkFixedPointRayCastImage, float)\nC++: void RenderTexture (vtkVolume *vol, vtkRenderer *ren, vtkFixedPointRayCastImage *image, float requestedDepth);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLRayCastImageDisplayHelperDoc[] = {
  (char*)"vtkOpenGLRayCastImageDisplayHelper - OpenGL subclass that draws the image to the screen\n\n",
  "Super Class:\n\n vtkRayCastImageDisplayHelper\n\n",
  (char*)" This is the concrete implementation of a ray cast image display helper -\n a helper class responsible for drawing the image to the screen.\n\n",
  "See Also:\n\n vtkRayCastImageDisplayHelper\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLRayCastImageDisplayHelperStaticNew()
{
  return vtkOpenGLRayCastImageDisplayHelper::New();
}

PyObject *PyVTKClass_vtkOpenGLRayCastImageDisplayHelperNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLRayCastImageDisplayHelperStaticNew,
                        PyvtkOpenGLRayCastImageDisplayHelperMethods,
                        (char*)"vtkOpenGLRayCastImageDisplayHelper",modulename,
                        (char**)vtkOpenGLRayCastImageDisplayHelperDoc,
                        PyVTKClass_vtkRayCastImageDisplayHelperNew(modulename));
}

