// python wrapper for vtkProjectedTetrahedraMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkProjectedTetrahedraMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkProjectedTetrahedraMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkProjectedTetrahedraMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridVolumeMapperNew(char *); }

static PyObject *PyvtkProjectedTetrahedraMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  const char    *temp20;
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTetrahedraMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTetrahedraMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  vtkProjectedTetrahedraMapper  *temp20;
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTetrahedraMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkProjectedTetrahedraMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkProjectedTetrahedraMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_SetVisibilitySort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  vtkVisibilitySort  *temp0;
  PyObject *tempH0;
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkVisibilitySort *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVisibilitySort");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTetrahedraMapper::SetVisibilitySort(temp0);
      }
    else
      {
      op->SetVisibilitySort(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_GetVisibilitySort(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  vtkVisibilitySort  *temp20;
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTetrahedraMapper::GetVisibilitySort();
      }
    else
      {
      temp20 = op->GetVisibilitySort();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_SetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  int      temp0;
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTetrahedraMapper::SetScalarMode(temp0);
      }
    else
      {
      op->SetScalarMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_GetScalarMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  int      temp20;
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTetrahedraMapper::GetScalarMode();
      }
    else
      {
      temp20 = op->GetScalarMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_SetScalarModeToDefault(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTetrahedraMapper::SetScalarModeToDefault();
      }
    else
      {
      op->SetScalarModeToDefault();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_SetScalarModeToUsePointData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTetrahedraMapper::SetScalarModeToUsePointData();
      }
    else
      {
      op->SetScalarModeToUsePointData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_SetScalarModeToUseCellData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTetrahedraMapper::SetScalarModeToUseCellData();
      }
    else
      {
      op->SetScalarModeToUseCellData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_SetScalarModeToUsePointFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTetrahedraMapper::SetScalarModeToUsePointFieldData();
      }
    else
      {
      op->SetScalarModeToUsePointFieldData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_SetScalarModeToUseCellFieldData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTetrahedraMapper::SetScalarModeToUseCellFieldData();
      }
    else
      {
      op->SetScalarModeToUseCellFieldData();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_SelectScalarArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  int      temp0;
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTetrahedraMapper::SelectScalarArray(temp0);
      }
    else
      {
      op->SelectScalarArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  char    *temp0;
  PyErr_Clear();
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTetrahedraMapper::SelectScalarArray(temp0);
      }
    else
      {
      op->SelectScalarArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_GetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  char    *temp20;
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTetrahedraMapper::GetArrayName();
      }
    else
      {
      temp20 = op->GetArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_GetArrayId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  int      temp20;
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTetrahedraMapper::GetArrayId();
      }
    else
      {
      temp20 = op->GetArrayId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_GetArrayAccessMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  int      temp20;
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTetrahedraMapper::GetArrayAccessMode();
      }
    else
      {
      temp20 = op->GetArrayAccessMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_GetScalarModeAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  const char    *temp20;
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkProjectedTetrahedraMapper::GetScalarModeAsString();
      }
    else
      {
      temp20 = op->GetScalarModeAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_Render(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkVolume  *temp1;
  PyObject *tempH1;
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break19;
    temp1 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolume");
    if (!temp1 && tempH1 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTetrahedraMapper::Render(temp0,temp1);
      }
    else
      {
      op->Render(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkProjectedTetrahedraMapper *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  if ((op = (vtkProjectedTetrahedraMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkProjectedTetrahedraMapper::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkProjectedTetrahedraMapper_MapScalarsToColors(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataArray  *temp0;
  PyObject *tempH0;
  vtkVolume  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  if ((PyArg_ParseTuple(args, (char*)"OOO", &tempH0, &tempH1, &tempH2)))
    {
    temp0 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataArray");
    if (!temp0 && tempH0 != Py_None) goto break21;
    temp1 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVolume");
    if (!temp1 && tempH1 != Py_None) goto break21;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break21;
      {
      vtkProjectedTetrahedraMapper::MapScalarsToColors(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}

static PyMethodDef PyvtkProjectedTetrahedraMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkProjectedTetrahedraMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkProjectedTetrahedraMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkProjectedTetrahedraMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkProjectedTetrahedraMapper\nC++: vtkProjectedTetrahedraMapper *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkProjectedTetrahedraMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkProjectedTetrahedraMapper\nC++: vtkProjectedTetrahedraMapper *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetVisibilitySort",                (PyCFunction)PyvtkProjectedTetrahedraMapper_SetVisibilitySort, 1,
   (char*)"V.SetVisibilitySort(vtkVisibilitySort)\nC++: virtual void SetVisibilitySort (vtkVisibilitySort *sort);\n\n"},
  {(char*)"GetVisibilitySort",                (PyCFunction)PyvtkProjectedTetrahedraMapper_GetVisibilitySort, 1,
   (char*)"V.GetVisibilitySort() -> vtkVisibilitySort\nC++: vtkVisibilitySort *GetVisibilitySort ();\n\n"},
  {(char*)"SetScalarMode",                (PyCFunction)PyvtkProjectedTetrahedraMapper_SetScalarMode, 1,
   (char*)"V.SetScalarMode(int)\nC++: void SetScalarMode (int );\n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectColorArray before you call\n GetColors.\n"},
  {(char*)"GetScalarMode",                (PyCFunction)PyvtkProjectedTetrahedraMapper_GetScalarMode, 1,
   (char*)"V.GetScalarMode() -> int\nC++: int GetScalarMode ();\n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectColorArray before you call\n GetColors.\n"},
  {(char*)"SetScalarModeToDefault",                (PyCFunction)PyvtkProjectedTetrahedraMapper_SetScalarModeToDefault, 1,
   (char*)"V.SetScalarModeToDefault()\nC++: void SetScalarModeToDefault ();this SetScalarMode VTK_SCALAR_MODE_DEFAULT \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectColorArray before you call\n GetColors.\n"},
  {(char*)"SetScalarModeToUsePointData",                (PyCFunction)PyvtkProjectedTetrahedraMapper_SetScalarModeToUsePointData, 1,
   (char*)"V.SetScalarModeToUsePointData()\nC++: void SetScalarModeToUsePointData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_DATA \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectColorArray before you call\n GetColors.\n"},
  {(char*)"SetScalarModeToUseCellData",                (PyCFunction)PyvtkProjectedTetrahedraMapper_SetScalarModeToUseCellData, 1,
   (char*)"V.SetScalarModeToUseCellData()\nC++: void SetScalarModeToUseCellData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_DATA \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectColorArray before you call\n GetColors.\n"},
  {(char*)"SetScalarModeToUsePointFieldData",                (PyCFunction)PyvtkProjectedTetrahedraMapper_SetScalarModeToUsePointFieldData, 1,
   (char*)"V.SetScalarModeToUsePointFieldData()\nC++: void SetScalarModeToUsePointFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_POINT_FIELD_DATA \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectColorArray before you call\n GetColors.\n"},
  {(char*)"SetScalarModeToUseCellFieldData",                (PyCFunction)PyvtkProjectedTetrahedraMapper_SetScalarModeToUseCellFieldData, 1,
   (char*)"V.SetScalarModeToUseCellFieldData()\nC++: void SetScalarModeToUseCellFieldData ();this SetScalarMode VTK_SCALAR_MODE_USE_CELL_FIELD_DATA \n\n Control how the filter works with scalar point data and cell attribute\n data.  By default (ScalarModeToDefault), the filter will use point data,\n and if no point data is available, then cell data is used. Alternatively\n you can explicitly set the filter to use point data\n (ScalarModeToUsePointData) or cell data (ScalarModeToUseCellData).\n You can also choose to get the scalars from an array in point field\n data (ScalarModeToUsePointFieldData) or cell field data\n (ScalarModeToUseCellFieldData).  If scalars are coming from a field\n data array, you must call SelectColorArray before you call\n GetColors.\n"},
  {(char*)"SelectScalarArray",                (PyCFunction)PyvtkProjectedTetrahedraMapper_SelectScalarArray, 1,
   (char*)"V.SelectScalarArray(int)\nC++: virtual void SelectScalarArray (int arrayNum);\nV.SelectScalarArray(string)\nC++: virtual void SelectScalarArray (const char *arrayName);\n\n When ScalarMode is set to UsePointFileData or UseCellFieldData,\n you can specify which array to use for coloring using these methods.\n The transfer function in the vtkVolumeProperty (attached to the calling\n vtkVolume) will decide how to convert vectors to colors.\n"},
  {(char*)"GetArrayName",                (PyCFunction)PyvtkProjectedTetrahedraMapper_GetArrayName, 1,
   (char*)"V.GetArrayName() -> string\nC++: virtual char *GetArrayName ();return this ArrayName \n\n Get the array name or number and component to color by.\n"},
  {(char*)"GetArrayId",                (PyCFunction)PyvtkProjectedTetrahedraMapper_GetArrayId, 1,
   (char*)"V.GetArrayId() -> int\nC++: virtual int GetArrayId ();return this ArrayId \n\n Get the array name or number and component to color by.\n"},
  {(char*)"GetArrayAccessMode",                (PyCFunction)PyvtkProjectedTetrahedraMapper_GetArrayAccessMode, 1,
   (char*)"V.GetArrayAccessMode() -> int\nC++: virtual int GetArrayAccessMode ();return this ArrayAccessMode \n\n Return the method for obtaining scalar data.\n"},
  {(char*)"GetScalarModeAsString",                (PyCFunction)PyvtkProjectedTetrahedraMapper_GetScalarModeAsString, 1,
   (char*)"V.GetScalarModeAsString() -> string\nC++: const char *GetScalarModeAsString ();\n\n Return the method for obtaining scalar data.\n"},
  {(char*)"Render",                (PyCFunction)PyvtkProjectedTetrahedraMapper_Render, 1,
   (char*)"V.Render(vtkRenderer, vtkVolume)\nC++: virtual void Render (vtkRenderer *renderer, vtkVolume *volume);\n\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkProjectedTetrahedraMapper_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *window);\n\n"},
  {(char*)"MapScalarsToColors",                (PyCFunction)PyvtkProjectedTetrahedraMapper_MapScalarsToColors, 1,
   (char*)"V.MapScalarsToColors(vtkDataArray, vtkVolume, vtkDataArray)\nC++: static void MapScalarsToColors (vtkDataArray *colors, vtkVolume *volume, vtkDataArray *scalars);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkProjectedTetrahedraMapperDoc[] = {
  (char*)"vtkProjectedTetrahedraMapper - Unstructured grid volume renderer.\n\n",
  "Super Class:\n\n vtkUnstructuredGridVolumeMapper\n\n",
  (char*)" vtkProjectedTetrahedraMapper is an implementation of the classic\n Projected Tetrahedra algorithm presented by Shirley and Tuchman in \"A\n Polygonal Approximation to Direct Scalar Volume Rendering\" in Computer\n Graphics, December 1990.\n\n .SECTION Bugs\n This mapper relies highly on the implementation of the OpenGL pipeline.\n A typically hardware driver has lots of options and some settings can\n caus",
  (char*)"e this mapper to produce artifacts.\n\n\n",
  NULL
};

static vtkObjectBase *vtkProjectedTetrahedraMapperStaticNew()
{
  return vtkProjectedTetrahedraMapper::New();
}

PyObject *PyVTKClass_vtkProjectedTetrahedraMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkProjectedTetrahedraMapperStaticNew,
                        PyvtkProjectedTetrahedraMapperMethods,
                        (char*)"vtkProjectedTetrahedraMapper",modulename,
                        (char**)vtkProjectedTetrahedraMapperDoc,
                        PyVTKClass_vtkUnstructuredGridVolumeMapperNew(modulename));
}

