// python wrapper for vtkRayCastImageDisplayHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkRayCastImageDisplayHelper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRayCastImageDisplayHelperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRayCastImageDisplayHelperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkRayCastImageDisplayHelper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRayCastImageDisplayHelper *op;

  const char    *temp20;
  if ((op = (vtkRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRayCastImageDisplayHelper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRayCastImageDisplayHelper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRayCastImageDisplayHelper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRayCastImageDisplayHelper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRayCastImageDisplayHelper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRayCastImageDisplayHelper *op;

  vtkRayCastImageDisplayHelper  *temp20;
  if ((op = (vtkRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRayCastImageDisplayHelper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRayCastImageDisplayHelper_RenderTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRayCastImageDisplayHelper *op;

  vtkVolume  *temp0;
  PyObject *tempH0;
  vtkRenderer  *temp1;
  PyObject *tempH1;
  vtkFixedPointRayCastImage  *temp2;
  PyObject *tempH2;
  float    temp3;
  if ((op = (vtkRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"OOOf", &tempH0, &tempH1, &tempH2, &temp3)))
    {
    temp0 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolume");
    if (!temp0 && tempH0 != Py_None) goto break3;
    temp1 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkRenderer");
    if (!temp1 && tempH1 != Py_None) goto break3;
    temp2 = (vtkFixedPointRayCastImage *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkFixedPointRayCastImage");
    if (!temp2 && tempH2 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->RenderTexture(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRayCastImageDisplayHelper_SetPreMultipliedColors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRayCastImageDisplayHelper *op;

  int      temp0;
  if ((op = (vtkRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRayCastImageDisplayHelper::SetPreMultipliedColors(temp0);
      }
    else
      {
      op->SetPreMultipliedColors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRayCastImageDisplayHelper_GetPreMultipliedColorsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRayCastImageDisplayHelper *op;

  int      temp20;
  if ((op = (vtkRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRayCastImageDisplayHelper::GetPreMultipliedColorsMinValue();
      }
    else
      {
      temp20 = op->GetPreMultipliedColorsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRayCastImageDisplayHelper_GetPreMultipliedColorsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRayCastImageDisplayHelper *op;

  int      temp20;
  if ((op = (vtkRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRayCastImageDisplayHelper::GetPreMultipliedColorsMaxValue();
      }
    else
      {
      temp20 = op->GetPreMultipliedColorsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRayCastImageDisplayHelper_GetPreMultipliedColors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRayCastImageDisplayHelper *op;

  int      temp20;
  if ((op = (vtkRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRayCastImageDisplayHelper::GetPreMultipliedColors();
      }
    else
      {
      temp20 = op->GetPreMultipliedColors();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRayCastImageDisplayHelper_PreMultipliedColorsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRayCastImageDisplayHelper *op;

  if ((op = (vtkRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRayCastImageDisplayHelper::PreMultipliedColorsOn();
      }
    else
      {
      op->PreMultipliedColorsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRayCastImageDisplayHelper_PreMultipliedColorsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRayCastImageDisplayHelper *op;

  if ((op = (vtkRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRayCastImageDisplayHelper::PreMultipliedColorsOff();
      }
    else
      {
      op->PreMultipliedColorsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRayCastImageDisplayHelper_SetPixelScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRayCastImageDisplayHelper *op;

  float    temp0;
  if ((op = (vtkRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRayCastImageDisplayHelper::SetPixelScale(temp0);
      }
    else
      {
      op->SetPixelScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRayCastImageDisplayHelper_GetPixelScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRayCastImageDisplayHelper *op;

  float    temp20;
  if ((op = (vtkRayCastImageDisplayHelper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRayCastImageDisplayHelper::GetPixelScale();
      }
    else
      {
      temp20 = op->GetPixelScale();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRayCastImageDisplayHelperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRayCastImageDisplayHelper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRayCastImageDisplayHelper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRayCastImageDisplayHelper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRayCastImageDisplayHelper\nC++: vtkRayCastImageDisplayHelper *NewInstance ();\n\n"},
  {(char*)"RenderTexture",                (PyCFunction)PyvtkRayCastImageDisplayHelper_RenderTexture, 1,
   (char*)"V.RenderTexture(vtkVolume, vtkRenderer, vtkFixedPointRayCastImage, float)\nC++: virtual void RenderTexture (vtkVolume *vol, vtkRenderer *ren, vtkFixedPointRayCastImage *image, float requestedDepth) = 0;\n\n"},
  {(char*)"SetPreMultipliedColors",                (PyCFunction)PyvtkRayCastImageDisplayHelper_SetPreMultipliedColors, 1,
   (char*)"V.SetPreMultipliedColors(int)\nC++: void SetPreMultipliedColors (int );\n\n"},
  {(char*)"GetPreMultipliedColorsMinValue",                (PyCFunction)PyvtkRayCastImageDisplayHelper_GetPreMultipliedColorsMinValue, 1,
   (char*)"V.GetPreMultipliedColorsMinValue() -> int\nC++: int GetPreMultipliedColorsMinValue ();\n\n"},
  {(char*)"GetPreMultipliedColorsMaxValue",                (PyCFunction)PyvtkRayCastImageDisplayHelper_GetPreMultipliedColorsMaxValue, 1,
   (char*)"V.GetPreMultipliedColorsMaxValue() -> int\nC++: int GetPreMultipliedColorsMaxValue ();\n\n"},
  {(char*)"GetPreMultipliedColors",                (PyCFunction)PyvtkRayCastImageDisplayHelper_GetPreMultipliedColors, 1,
   (char*)"V.GetPreMultipliedColors() -> int\nC++: int GetPreMultipliedColors ();\n\n"},
  {(char*)"PreMultipliedColorsOn",                (PyCFunction)PyvtkRayCastImageDisplayHelper_PreMultipliedColorsOn, 1,
   (char*)"V.PreMultipliedColorsOn()\nC++: void PreMultipliedColorsOn ();\n\n"},
  {(char*)"PreMultipliedColorsOff",                (PyCFunction)PyvtkRayCastImageDisplayHelper_PreMultipliedColorsOff, 1,
   (char*)"V.PreMultipliedColorsOff()\nC++: void PreMultipliedColorsOff ();\n\n"},
  {(char*)"SetPixelScale",                (PyCFunction)PyvtkRayCastImageDisplayHelper_SetPixelScale, 1,
   (char*)"V.SetPixelScale(float)\nC++: void SetPixelScale (float );\n\n Set / Get the pixel scale to be applied to the image before display.\n Can be set to scale the incoming pixel values - for example the\n fixed point mapper uses the unsigned short API but with 15 bit\n values so needs a scale of 2.0.\n"},
  {(char*)"GetPixelScale",                (PyCFunction)PyvtkRayCastImageDisplayHelper_GetPixelScale, 1,
   (char*)"V.GetPixelScale() -> float\nC++: float GetPixelScale ();\n\n Set / Get the pixel scale to be applied to the image before display.\n Can be set to scale the incoming pixel values - for example the\n fixed point mapper uses the unsigned short API but with 15 bit\n values so needs a scale of 2.0.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRayCastImageDisplayHelperDoc[] = {
  (char*)"vtkRayCastImageDisplayHelper - helper class that draws the image to the screen\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" This is a helper class for drawing images created from ray casting on the screen.\n This is the abstract device-independent superclass.\n\n",
  "See Also:\n\n vtkVolumeRayCastMapper vtkUnstructuredGridVolumeRayCastMapper\n vtkOpenGLRayCastImageDisplayHelper\n\n",
  NULL
};

static vtkObjectBase *vtkRayCastImageDisplayHelperStaticNew()
{
  return vtkRayCastImageDisplayHelper::New();
}

PyObject *PyVTKClass_vtkRayCastImageDisplayHelperNew(char *modulename)
{
  return PyVTKClass_New(&vtkRayCastImageDisplayHelperStaticNew,
                        PyvtkRayCastImageDisplayHelperMethods,
                        (char*)"vtkRayCastImageDisplayHelper",modulename,
                        (char**)vtkRayCastImageDisplayHelperDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

