// python wrapper for vtkRecursiveSphereDirectionEncoder object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkRecursiveSphereDirectionEncoder.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRecursiveSphereDirectionEncoderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRecursiveSphereDirectionEncoderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDirectionEncoderNew(char *); }

static PyObject *PyvtkRecursiveSphereDirectionEncoder_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRecursiveSphereDirectionEncoder *op;

  const char    *temp20;
  if ((op = (vtkRecursiveSphereDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRecursiveSphereDirectionEncoder::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRecursiveSphereDirectionEncoder_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRecursiveSphereDirectionEncoder *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkRecursiveSphereDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRecursiveSphereDirectionEncoder::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRecursiveSphereDirectionEncoder_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRecursiveSphereDirectionEncoder *op;

  vtkRecursiveSphereDirectionEncoder  *temp20;
  if ((op = (vtkRecursiveSphereDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRecursiveSphereDirectionEncoder::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRecursiveSphereDirectionEncoder_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRecursiveSphereDirectionEncoder  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRecursiveSphereDirectionEncoder::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRecursiveSphereDirectionEncoder_GetEncodedDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRecursiveSphereDirectionEncoder *op;

  float  temp0[3];
  int      temp20;
  if ((op = (vtkRecursiveSphereDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"(fff)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRecursiveSphereDirectionEncoder::GetEncodedDirection(temp0);
      }
    else
      {
      temp20 = op->GetEncodedDirection(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRecursiveSphereDirectionEncoder_GetDecodedGradient(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRecursiveSphereDirectionEncoder *op;

  int      temp0;
  float   *temp20;
  if ((op = (vtkRecursiveSphereDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRecursiveSphereDirectionEncoder::GetDecodedGradient(temp0);
      }
    else
      {
      temp20 = op->GetDecodedGradient(temp0);
      }
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkRecursiveSphereDirectionEncoder_GetNumberOfEncodedDirections(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRecursiveSphereDirectionEncoder *op;

  int      temp20;
  if ((op = (vtkRecursiveSphereDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRecursiveSphereDirectionEncoder::GetNumberOfEncodedDirections();
      }
    else
      {
      temp20 = op->GetNumberOfEncodedDirections();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRecursiveSphereDirectionEncoder_SetRecursionDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRecursiveSphereDirectionEncoder *op;

  int      temp0;
  if ((op = (vtkRecursiveSphereDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRecursiveSphereDirectionEncoder::SetRecursionDepth(temp0);
      }
    else
      {
      op->SetRecursionDepth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRecursiveSphereDirectionEncoder_GetRecursionDepthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRecursiveSphereDirectionEncoder *op;

  int      temp20;
  if ((op = (vtkRecursiveSphereDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRecursiveSphereDirectionEncoder::GetRecursionDepthMinValue();
      }
    else
      {
      temp20 = op->GetRecursionDepthMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRecursiveSphereDirectionEncoder_GetRecursionDepthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRecursiveSphereDirectionEncoder *op;

  int      temp20;
  if ((op = (vtkRecursiveSphereDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRecursiveSphereDirectionEncoder::GetRecursionDepthMaxValue();
      }
    else
      {
      temp20 = op->GetRecursionDepthMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRecursiveSphereDirectionEncoder_GetRecursionDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRecursiveSphereDirectionEncoder *op;

  int      temp20;
  if ((op = (vtkRecursiveSphereDirectionEncoder *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRecursiveSphereDirectionEncoder::GetRecursionDepth();
      }
    else
      {
      temp20 = op->GetRecursionDepth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRecursiveSphereDirectionEncoderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRecursiveSphereDirectionEncoder_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRecursiveSphereDirectionEncoder_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRecursiveSphereDirectionEncoder_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRecursiveSphereDirectionEncoder\nC++: vtkRecursiveSphereDirectionEncoder *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRecursiveSphereDirectionEncoder_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRecursiveSphereDirectionEncoder\nC++: vtkRecursiveSphereDirectionEncoder *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetEncodedDirection",                (PyCFunction)PyvtkRecursiveSphereDirectionEncoder_GetEncodedDirection, 1,
   (char*)"V.GetEncodedDirection((float, float, float)) -> int\nC++: int GetEncodedDirection (float n[3]);\n\n Given a normal vector n, return the encoded direction  \n"},
  {(char*)"GetDecodedGradient",                (PyCFunction)PyvtkRecursiveSphereDirectionEncoder_GetDecodedGradient, 1,
   (char*)"V.GetDecodedGradient(int) -> (float, float, float)\nC++: float *GetDecodedGradient (int value);\n\n/ Given an encoded value, return a pointer to the normal vector\n"},
  {(char*)"GetNumberOfEncodedDirections",                (PyCFunction)PyvtkRecursiveSphereDirectionEncoder_GetNumberOfEncodedDirections, 1,
   (char*)"V.GetNumberOfEncodedDirections() -> int\nC++: int GetNumberOfEncodedDirections (void );\n\n Return the number of encoded directions\n"},
  {(char*)"SetRecursionDepth",                (PyCFunction)PyvtkRecursiveSphereDirectionEncoder_SetRecursionDepth, 1,
   (char*)"V.SetRecursionDepth(int)\nC++: void SetRecursionDepth (int );\n\n Set / Get the recursion depth for the subdivision. This\n indicates how many time one triangle on the initial 8-sided\n sphere model is replaced by four triangles formed by connecting\n triangle edge midpoints. A recursion level of 0 yields 8 triangles\n with 6 unique vertices. The normals are the vectors from the\n sphere center through the vertices. The number of directions\n will be 11 since the four normals with 0 z values will be\n duplicated in the table - once with +0 values and the other\n time with -0 values, and an addition index will be used to\n represent the (0,0,0) normal. If we instead choose a recursion \n level of 6 (the maximum that can fit within 2 bytes) the number\n of directions is 16643, with 16386 unique directions and a \n zero normal.\n"},
  {(char*)"GetRecursionDepthMinValue",                (PyCFunction)PyvtkRecursiveSphereDirectionEncoder_GetRecursionDepthMinValue, 1,
   (char*)"V.GetRecursionDepthMinValue() -> int\nC++: int GetRecursionDepthMinValue ();\n\n Set / Get the recursion depth for the subdivision. This\n indicates how many time one triangle on the initial 8-sided\n sphere model is replaced by four triangles formed by connecting\n triangle edge midpoints. A recursion level of 0 yields 8 triangles\n with 6 unique vertices. The normals are the vectors from the\n sphere center through the vertices. The number of directions\n will be 11 since the four normals with 0 z values will be\n duplicated in the table - once with +0 values and the other\n time with -0 values, and an addition index will be used to\n represent the (0,0,0) normal. If we instead choose a recursion \n level of 6 (the maximum that can fit within 2 bytes) the number\n of directions is 16643, with 16386 unique directions and a \n zero normal.\n"},
  {(char*)"GetRecursionDepthMaxValue",                (PyCFunction)PyvtkRecursiveSphereDirectionEncoder_GetRecursionDepthMaxValue, 1,
   (char*)"V.GetRecursionDepthMaxValue() -> int\nC++: int GetRecursionDepthMaxValue ();\n\n Set / Get the recursion depth for the subdivision. This\n indicates how many time one triangle on the initial 8-sided\n sphere model is replaced by four triangles formed by connecting\n triangle edge midpoints. A recursion level of 0 yields 8 triangles\n with 6 unique vertices. The normals are the vectors from the\n sphere center through the vertices. The number of directions\n will be 11 since the four normals with 0 z values will be\n duplicated in the table - once with +0 values and the other\n time with -0 values, and an addition index will be used to\n represent the (0,0,0) normal. If we instead choose a recursion \n level of 6 (the maximum that can fit within 2 bytes) the number\n of directions is 16643, with 16386 unique directions and a \n zero normal.\n"},
  {(char*)"GetRecursionDepth",                (PyCFunction)PyvtkRecursiveSphereDirectionEncoder_GetRecursionDepth, 1,
   (char*)"V.GetRecursionDepth() -> int\nC++: int GetRecursionDepth ();\n\n Set / Get the recursion depth for the subdivision. This\n indicates how many time one triangle on the initial 8-sided\n sphere model is replaced by four triangles formed by connecting\n triangle edge midpoints. A recursion level of 0 yields 8 triangles\n with 6 unique vertices. The normals are the vectors from the\n sphere center through the vertices. The number of directions\n will be 11 since the four normals with 0 z values will be\n duplicated in the table - once with +0 values and the other\n time with -0 values, and an addition index will be used to\n represent the (0,0,0) normal. If we instead choose a recursion \n level of 6 (the maximum that can fit within 2 bytes) the number\n of directions is 16643, with 16386 unique directions and a \n zero normal.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRecursiveSphereDirectionEncoderDoc[] = {
  (char*)"vtkRecursiveSphereDirectionEncoder - A direction encoder based on the recursive subdivision of an octahedron\n\n",
  "Super Class:\n\n vtkDirectionEncoder\n\n",
  (char*)" vtkRecursiveSphereDirectionEncoder is a direction encoder which uses the \n vertices of a recursive subdivision of an octahedron (with the vertices\n pushed out onto the surface of an enclosing sphere) to encode directions\n into a two byte value. \n\n\n",
  "See Also:\n\n vtkDirectionEncoder\n\n",
  NULL
};

static vtkObjectBase *vtkRecursiveSphereDirectionEncoderStaticNew()
{
  return vtkRecursiveSphereDirectionEncoder::New();
}

PyObject *PyVTKClass_vtkRecursiveSphereDirectionEncoderNew(char *modulename)
{
  return PyVTKClass_New(&vtkRecursiveSphereDirectionEncoderStaticNew,
                        PyvtkRecursiveSphereDirectionEncoderMethods,
                        (char*)"vtkRecursiveSphereDirectionEncoder",modulename,
                        (char**)vtkRecursiveSphereDirectionEncoderDoc,
                        PyVTKClass_vtkDirectionEncoderNew(modulename));
}

