// python wrapper for vtkUnstructuredGridBunykRayCastFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkUnstructuredGridBunykRayCastFunction.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridBunykRayCastFunctionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridBunykRayCastFunctionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayCastFunctionNew(char *); }

static PyObject *PyvtkUnstructuredGridBunykRayCastFunction_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridBunykRayCastFunction *op;

  const char    *temp20;
  if ((op = (vtkUnstructuredGridBunykRayCastFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridBunykRayCastFunction::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridBunykRayCastFunction_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridBunykRayCastFunction *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkUnstructuredGridBunykRayCastFunction *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridBunykRayCastFunction::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridBunykRayCastFunction_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridBunykRayCastFunction *op;

  vtkUnstructuredGridBunykRayCastFunction  *temp20;
  if ((op = (vtkUnstructuredGridBunykRayCastFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridBunykRayCastFunction::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridBunykRayCastFunction_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUnstructuredGridBunykRayCastFunction  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUnstructuredGridBunykRayCastFunction::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridBunykRayCastFunctionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGridBunykRayCastFunction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGridBunykRayCastFunction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGridBunykRayCastFunction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGridBunykRayCastFunction\nC++: vtkUnstructuredGridBunykRayCastFunction *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUnstructuredGridBunykRayCastFunction_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUnstructuredGridBunykRayCastFunction\nC++: vtkUnstructuredGridBunykRayCastFunction *SafeDownCast (vtkObject* o);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridBunykRayCastFunctionDoc[] = {
  (char*)"vtkUnstructuredGridBunykRayCastFunction - a superclass for ray casting functions\n\n",
  "Super Class:\n\n vtkUnstructuredGridVolumeRayCastFunction\n\n",
  (char*)" vtkUnstructuredGridBunykRayCastFunction is a concrete implementation of a\n ray cast function for unstructured grid data. This class was based on the\n paper \"Simple, Fast, Robust Ray Casting of Irregular Grids\" by Paul Bunyk,\n Arie Kaufmna, and Claudio Silva. This method is quite memory intensive \n (with extra explicit copies of the data) and therefore should not be used\n for very large data. This",
  (char*)" method assumes that the input data is composed\n entirely of tetras - use vtkDataSetTriangleFilter before setting the input\n on the mapper.\n\n The basic idea of this method is as follows:\n\n   1) Enumerate the triangles. At each triangle have space for some \n      information that will be used during rendering. This includes \n      which tetra the triangles belong to, the plane equation and the  \n  ",
  (char*)"    Barycentric coefficients.\n\n   2) Keep a reference to all four triangles for each tetra.\n\n   3) At the beginning of each render, do the precomputation. This \n      includes creating an array of transformed points (in view \n      coordinates) and computing the view dependent info per triangle\n      (plane equations and barycentric coords in view space)\n\n   4) Find all front facing boundary trian",
  (char*)"gles (a triangle is on the\n      boundary if it belongs to only one tetra). For each triangle,\n      find all pixels in the image that intersect the triangle, and\n      add this to the sorted (by depth) intersection list at each \n      pixel.\n\n   5) For each ray cast, traverse the intersection list. At each\n      intersection, accumulate opacity and color contribution\n      per tetra along the ray",
  (char*)" until you reach an exiting triangle\n      (on the boundary). \n\n\n",
  "See Also:\n\n vtkUnstructuredGridVolumeRayCastMapper\n\n",
  NULL
};

static vtkObjectBase *vtkUnstructuredGridBunykRayCastFunctionStaticNew()
{
  return vtkUnstructuredGridBunykRayCastFunction::New();
}

PyObject *PyVTKClass_vtkUnstructuredGridBunykRayCastFunctionNew(char *modulename)
{
  return PyVTKClass_New(&vtkUnstructuredGridBunykRayCastFunctionStaticNew,
                        PyvtkUnstructuredGridBunykRayCastFunctionMethods,
                        (char*)"vtkUnstructuredGridBunykRayCastFunction",modulename,
                        (char**)vtkUnstructuredGridBunykRayCastFunctionDoc,
                        PyVTKClass_vtkUnstructuredGridVolumeRayCastFunctionNew(modulename));
}

