// python wrapper for vtkUnstructuredGridHomogeneousRayIntegrator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkUnstructuredGridHomogeneousRayIntegrator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridHomogeneousRayIntegratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridHomogeneousRayIntegratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayIntegratorNew(char *); }

static PyObject *PyvtkUnstructuredGridHomogeneousRayIntegrator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridHomogeneousRayIntegrator *op;

  const char    *temp20;
  if ((op = (vtkUnstructuredGridHomogeneousRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridHomogeneousRayIntegrator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridHomogeneousRayIntegrator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridHomogeneousRayIntegrator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkUnstructuredGridHomogeneousRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridHomogeneousRayIntegrator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridHomogeneousRayIntegrator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridHomogeneousRayIntegrator *op;

  vtkUnstructuredGridHomogeneousRayIntegrator  *temp20;
  if ((op = (vtkUnstructuredGridHomogeneousRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridHomogeneousRayIntegrator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridHomogeneousRayIntegrator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkUnstructuredGridHomogeneousRayIntegrator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkUnstructuredGridHomogeneousRayIntegrator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridHomogeneousRayIntegrator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridHomogeneousRayIntegrator *op;

  vtkVolume  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  if ((op = (vtkUnstructuredGridHomogeneousRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolume");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridHomogeneousRayIntegrator::Initialize(temp0,temp1);
      }
    else
      {
      op->Initialize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridHomogeneousRayIntegrator_Integrate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridHomogeneousRayIntegrator *op;

  vtkDoubleArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  float  temp3[4];
  if ((op = (vtkUnstructuredGridHomogeneousRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"OOO(ffff)", &tempH0, &tempH1, &tempH2, temp3 + 0, temp3 + 1, temp3 + 2, temp3 + 3)))
    {
    temp0 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDoubleArray");
    if (!temp0 && tempH0 != Py_None) goto break5;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break5;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridHomogeneousRayIntegrator::Integrate(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->Integrate(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,3,temp3,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridHomogeneousRayIntegrator_SetTransferFunctionTableSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridHomogeneousRayIntegrator *op;

  int      temp0;
  if ((op = (vtkUnstructuredGridHomogeneousRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridHomogeneousRayIntegrator::SetTransferFunctionTableSize(temp0);
      }
    else
      {
      op->SetTransferFunctionTableSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridHomogeneousRayIntegrator_GetTransferFunctionTableSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridHomogeneousRayIntegrator *op;

  int      temp20;
  if ((op = (vtkUnstructuredGridHomogeneousRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridHomogeneousRayIntegrator::GetTransferFunctionTableSize();
      }
    else
      {
      temp20 = op->GetTransferFunctionTableSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridHomogeneousRayIntegratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGridHomogeneousRayIntegrator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGridHomogeneousRayIntegrator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGridHomogeneousRayIntegrator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGridHomogeneousRayIntegrator\nC++: vtkUnstructuredGridHomogeneousRayIntegrator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkUnstructuredGridHomogeneousRayIntegrator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUnstructuredGridHomogeneousRayIntegrator\nC++: vtkUnstructuredGridHomogeneousRayIntegrator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkUnstructuredGridHomogeneousRayIntegrator_Initialize, 1,
   (char*)"V.Initialize(vtkVolume, vtkDataArray)\nC++: virtual void Initialize (vtkVolume *volume, vtkDataArray *scalars);\n\n"},
  {(char*)"Integrate",                (PyCFunction)PyvtkUnstructuredGridHomogeneousRayIntegrator_Integrate, 1,
   (char*)"V.Integrate(vtkDoubleArray, vtkDataArray, vtkDataArray, (float, float, float, float))\nC++: virtual void Integrate (vtkDoubleArray *intersectionLengths, vtkDataArray *nearIntersections, vtkDataArray *farIntersections, float color[4]);\n\n"},
  {(char*)"SetTransferFunctionTableSize",                (PyCFunction)PyvtkUnstructuredGridHomogeneousRayIntegrator_SetTransferFunctionTableSize, 1,
   (char*)"V.SetTransferFunctionTableSize(int)\nC++: void SetTransferFunctionTableSize (int );\n\n For quick lookup, the transfer function is sampled into a table.\n This parameter sets how big of a table to use.  By default, 1024\n entries are used.\n"},
  {(char*)"GetTransferFunctionTableSize",                (PyCFunction)PyvtkUnstructuredGridHomogeneousRayIntegrator_GetTransferFunctionTableSize, 1,
   (char*)"V.GetTransferFunctionTableSize() -> int\nC++: int GetTransferFunctionTableSize ();\n\n For quick lookup, the transfer function is sampled into a table.\n This parameter sets how big of a table to use.  By default, 1024\n entries are used.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridHomogeneousRayIntegratorDoc[] = {
  (char*)"vtkUnstructuredGridHomogeneousRayIntegrator - performs peicewise constant ray integration.\n\n",
  "Super Class:\n\n vtkUnstructuredGridVolumeRayIntegrator\n\n",
  (char*)"\n vtkUnstructuredGridHomogeneousRayIntegrator performs homogeneous ray\n integration.  This is a good method to use when volume rendering scalars\n that are defined on cells.\n\n\n",
  NULL
};

static vtkObjectBase *vtkUnstructuredGridHomogeneousRayIntegratorStaticNew()
{
  return vtkUnstructuredGridHomogeneousRayIntegrator::New();
}

PyObject *PyVTKClass_vtkUnstructuredGridHomogeneousRayIntegratorNew(char *modulename)
{
  return PyVTKClass_New(&vtkUnstructuredGridHomogeneousRayIntegratorStaticNew,
                        PyvtkUnstructuredGridHomogeneousRayIntegratorMethods,
                        (char*)"vtkUnstructuredGridHomogeneousRayIntegrator",modulename,
                        (char**)vtkUnstructuredGridHomogeneousRayIntegratorDoc,
                        PyVTKClass_vtkUnstructuredGridVolumeRayIntegratorNew(modulename));
}

