// tcl wrapper for vtkUnstructuredGridPreIntegration object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridPreIntegration.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkUnstructuredGridPreIntegrationNewCommand()
{
  vtkUnstructuredGridPreIntegration *temp = vtkUnstructuredGridPreIntegration::New();
  return ((ClientData)temp);
}

int vtkUnstructuredGridVolumeRayIntegratorCppCommand(vtkUnstructuredGridVolumeRayIntegrator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkUnstructuredGridPreIntegrationCppCommand(vtkUnstructuredGridPreIntegration *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkUnstructuredGridPreIntegrationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkUnstructuredGridPreIntegrationCppCommand((vtkUnstructuredGridPreIntegration *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkUnstructuredGridPreIntegrationCppCommand(vtkUnstructuredGridPreIntegration *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkUnstructuredGridPreIntegration",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkUnstructuredGridVolumeRayIntegratorCppCommand((vtkUnstructuredGridVolumeRayIntegrator *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkUnstructuredGridVolumeRayIntegrator", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGridPreIntegration  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkUnstructuredGridPreIntegration");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkUnstructuredGridPreIntegration  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkUnstructuredGridPreIntegration");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGridPreIntegration  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkUnstructuredGridPreIntegration");
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 4))
    {
    vtkVolume  *temp0;
    vtkDataArray  *temp1;
    error = 0;

    temp0 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkVolume",interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkDataArray",interp,error));
    if (!error)
    {
    op->Initialize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrator",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGridVolumeRayIntegrator  *temp20;
    temp20 = (op)->GetIntegrator();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkUnstructuredGridVolumeRayIntegrator");
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrator",argv[1]))&&(argc == 3))
    {
    vtkUnstructuredGridVolumeRayIntegrator  *temp0;
    error = 0;

    temp0 = (vtkUnstructuredGridVolumeRayIntegrator *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkUnstructuredGridVolumeRayIntegrator",interp,error));
    if (!error)
    {
    op->SetIntegrator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIntegrationTableScalarResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegrationTableScalarResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationTableScalarResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationTableScalarResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntegrationTableLengthResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntegrationTableLengthResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationTableLengthResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntegrationTableLengthResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntegrationTableScalarShift",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetIntegrationTableScalarShift(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationTableScalarScale",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetIntegrationTableScalarScale(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntegrationTableLengthScale",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetIntegrationTableLengthScale();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIncrementalPreIntegration",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIncrementalPreIntegration();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIncrementalPreIntegration",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIncrementalPreIntegration(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IncrementalPreIntegrationOn",argv[1]))&&(argc == 2))
    {
    op->IncrementalPreIntegrationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IncrementalPreIntegrationOff",argv[1]))&&(argc == 2))
    {
    op->IncrementalPreIntegrationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkUnstructuredGridPreIntegrationCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridVolumeRayIntegratorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkUnstructuredGridPreIntegration:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrator\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationTableScalarResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationTableScalarResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetIntegrationTableLengthResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationTableLengthResolution\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationTableScalarShift\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationTableScalarScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntegrationTableLengthScale\n",NULL);
    Tcl_AppendResult(interp,"  GetIncrementalPreIntegration\n",NULL);
    Tcl_AppendResult(interp,"  SetIncrementalPreIntegration\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IncrementalPreIntegrationOn\n",NULL);
    Tcl_AppendResult(interp,"  IncrementalPreIntegrationOff\n",NULL);
    return TCL_OK;
    }

  if (vtkUnstructuredGridVolumeRayIntegratorCppCommand((vtkUnstructuredGridVolumeRayIntegrator *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
