// python wrapper for vtkUnstructuredGridVolumeRayCastIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkUnstructuredGridVolumeRayCastIterator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayCastIteratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayCastIteratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkUnstructuredGridVolumeRayCastIterator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastIterator *op;

  const char    *temp20;
  if ((op = (vtkUnstructuredGridVolumeRayCastIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastIterator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastIterator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastIterator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkUnstructuredGridVolumeRayCastIterator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastIterator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastIterator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastIterator *op;

  vtkUnstructuredGridVolumeRayCastIterator  *temp20;
  if ((op = (vtkUnstructuredGridVolumeRayCastIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastIterator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastIterator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastIterator *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkUnstructuredGridVolumeRayCastIterator *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Initialize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastIterator_GetNextIntersections(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastIterator *op;

  vtkIdList  *temp0;
  PyObject *tempH0;
  vtkDoubleArray  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  vtkDataArray  *temp3;
  PyObject *tempH3;
  vtkDataArray  *temp4;
  PyObject *tempH4;
  vtkIdType   temp20;
  if ((op = (vtkUnstructuredGridVolumeRayCastIterator *)PyArg_VTKParseTuple(self, args, (char*)"OOOOO", &tempH0, &tempH1, &tempH2, &tempH3, &tempH4)))
    {
    temp0 = (vtkIdList *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkIdList");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDoubleArray");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break4;
    temp3 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDataArray");
    if (!temp3 && tempH3 != Py_None) goto break4;
    temp4 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH4,(char*)"vtkDataArray");
    if (!temp4 && tempH4 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetNextIntersections(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong((long)temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastIterator_SetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastIterator *op;

  double   temp0;
  double   temp1;
  if ((op = (vtkUnstructuredGridVolumeRayCastIterator *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastIterator::SetBounds(temp0,temp1);
      }
    else
      {
      op->SetBounds(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastIterator *op;

  double temp0[2];
  PyErr_Clear();
  if ((op = (vtkUnstructuredGridVolumeRayCastIterator *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastIterator::SetBounds(temp0);
      }
    else
      {
      op->SetBounds(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastIterator_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastIterator *op;

  double  *temp20;
  if ((op = (vtkUnstructuredGridVolumeRayCastIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastIterator::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    return Py_BuildValue((char*)"dd",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastIterator_SetMaxNumberOfIntersections(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastIterator *op;

  vtkIdType   temp0;
  if ((op = (vtkUnstructuredGridVolumeRayCastIterator *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnstructuredGridVolumeRayCastIterator::SetMaxNumberOfIntersections(temp0);
      }
    else
      {
      op->SetMaxNumberOfIntersections(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayCastIterator_GetMaxNumberOfIntersections(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayCastIterator *op;

  vtkIdType   temp20;
  if ((op = (vtkUnstructuredGridVolumeRayCastIterator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayCastIterator::GetMaxNumberOfIntersections();
      }
    else
      {
      temp20 = op->GetMaxNumberOfIntersections();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridVolumeRayCastIteratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastIterator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastIterator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastIterator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGridVolumeRayCastIterator\nC++: vtkUnstructuredGridVolumeRayCastIterator *NewInstance ();\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastIterator_Initialize, 1,
   (char*)"V.Initialize(int, int)\nC++: virtual void Initialize (int x, int y) = 0;\n\n Initializes the iteration to the start of the ray at the given screen\n coordinates.\n"},
  {(char*)"GetNextIntersections",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastIterator_GetNextIntersections, 1,
   (char*)"V.GetNextIntersections(vtkIdList, vtkDoubleArray, vtkDataArray, vtkDataArray, vtkDataArray) -> int\nC++: virtual vtkIdType GetNextIntersections (vtkIdList *intersectedCells, vtkDoubleArray *intersectionLengths, vtkDataArray *scalars, vtkDataArray *nearIntersections, vtkDataArray *farIntersections) = 0;\n\n Get the intersections of the next several cells.  The cell ids are\n stored in \\c intersectedCells and the length of each ray segment\n within the cell is stored in \\c intersectionLengths.  The point\n scalars \\c scalars are interpolated and stored in \\c nearIntersections\n and \\c farIntersections.  \\c intersectedCells, \\c intersectionLengths,\n or \\c scalars may be \\c NULL to supress passing the associated\n information.  The number of intersections actually encountered is\n returned.  0 is returned if and only if no more intersections are to\n be found.\n"},
  {(char*)"SetBounds",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastIterator_SetBounds, 1,
   (char*)"V.SetBounds(float, float)\nC++: void SetBounds (double , double );\nV.SetBounds((float, float))\nC++: void SetBounds (double  a[2]);\n\n Set/get the bounds of the cast ray (in viewing coordinates).  By\n default the range is [0,1].\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastIterator_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float)\nC++: double  *GetBounds ();\n\n Set/get the bounds of the cast ray (in viewing coordinates).  By\n default the range is [0,1].\n"},
  {(char*)"SetMaxNumberOfIntersections",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastIterator_SetMaxNumberOfIntersections, 1,
   (char*)"V.SetMaxNumberOfIntersections(int)\nC++: void SetMaxNumberOfIntersections (vtkIdType );\n\n"},
  {(char*)"GetMaxNumberOfIntersections",                (PyCFunction)PyvtkUnstructuredGridVolumeRayCastIterator_GetMaxNumberOfIntersections, 1,
   (char*)"V.GetMaxNumberOfIntersections() -> int\nC++: vtkIdType GetMaxNumberOfIntersections ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridVolumeRayCastIteratorDoc[] = {
  (char*)"vtkUnstructuredGridVolumeRayCastIterator\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"\n vtkUnstructuredGridVolumeRayCastIterator is a superclass for iterating\n over the intersections of a viewing ray with a group of unstructured\n cells.  These iterators are created with a\n vtkUnstructuredGridVolumeRayCastFunction.\n\n\n",
  "See Also:\n\n vtkUnstructuredGridVolumeRayCastFunction\n\n\n",
  NULL
};

PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayCastIteratorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkUnstructuredGridVolumeRayCastIteratorMethods,
                        (char*)"vtkUnstructuredGridVolumeRayCastIterator",modulename,
                        (char**)vtkUnstructuredGridVolumeRayCastIteratorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

