// python wrapper for vtkUnstructuredGridVolumeRayIntegrator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkUnstructuredGridVolumeRayIntegrator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayIntegratorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayIntegratorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkUnstructuredGridVolumeRayIntegrator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayIntegrator *op;

  const char    *temp20;
  if ((op = (vtkUnstructuredGridVolumeRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayIntegrator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayIntegrator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayIntegrator *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkUnstructuredGridVolumeRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayIntegrator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayIntegrator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayIntegrator *op;

  vtkUnstructuredGridVolumeRayIntegrator  *temp20;
  if ((op = (vtkUnstructuredGridVolumeRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnstructuredGridVolumeRayIntegrator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayIntegrator_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayIntegrator *op;

  vtkVolume  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  if ((op = (vtkUnstructuredGridVolumeRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"OO", &tempH0, &tempH1)))
    {
    temp0 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolume");
    if (!temp0 && tempH0 != Py_None) goto break3;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Initialize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkUnstructuredGridVolumeRayIntegrator_Integrate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnstructuredGridVolumeRayIntegrator *op;

  vtkDoubleArray  *temp0;
  PyObject *tempH0;
  vtkDataArray  *temp1;
  PyObject *tempH1;
  vtkDataArray  *temp2;
  PyObject *tempH2;
  float  temp3[4];
  if ((op = (vtkUnstructuredGridVolumeRayIntegrator *)PyArg_VTKParseTuple(self, args, (char*)"OOO(ffff)", &tempH0, &tempH1, &tempH2, temp3 + 0, temp3 + 1, temp3 + 2, temp3 + 3)))
    {
    temp0 = (vtkDoubleArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDoubleArray");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataArray");
    if (!temp1 && tempH1 != Py_None) goto break4;
    temp2 = (vtkDataArray *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataArray");
    if (!temp2 && tempH2 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->Integrate(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,3,temp3,4)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}

static PyMethodDef PyvtkUnstructuredGridVolumeRayIntegratorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnstructuredGridVolumeRayIntegrator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnstructuredGridVolumeRayIntegrator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnstructuredGridVolumeRayIntegrator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnstructuredGridVolumeRayIntegrator\nC++: vtkUnstructuredGridVolumeRayIntegrator *NewInstance ();\n\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkUnstructuredGridVolumeRayIntegrator_Initialize, 1,
   (char*)"V.Initialize(vtkVolume, vtkDataArray)\nC++: virtual void Initialize (vtkVolume *volume, vtkDataArray *scalars) = 0;\n\n Set up the integrator with the given properties and scalars.\n"},
  {(char*)"Integrate",                (PyCFunction)PyvtkUnstructuredGridVolumeRayIntegrator_Integrate, 1,
   (char*)"V.Integrate(vtkDoubleArray, vtkDataArray, vtkDataArray, (float, float, float, float))\nC++: virtual void Integrate (vtkDoubleArray *intersectionLengths, vtkDataArray *nearIntersections, vtkDataArray *farIntersections, float color[4]) = 0;\n\n Given a set of intersections (defined by the three arrays), compute\n the peicewise integration of the array in front to back order.\n /c intersectionLengths holds the lengths of each peicewise segment.\n /c nearIntersections and /c farIntersections hold the scalar values at\n the front and back of each segment.  /c color should contain the RGBA\n value of the volume in front of the segments passed in, and the result\n will be placed back into /c color.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnstructuredGridVolumeRayIntegratorDoc[] = {
  (char*)"vtkUnstructuredGridVolumeRayIntegrator - a superclass for volume ray integration functions\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"\n vtkUnstructuredGridVolumeRayIntegrator is a superclass for ray\n integration functions that can be used within a\n vtkUnstructuredGridVolumeRayCastMapper.\n\n\n",
  "See Also:\n\n vtkUnstructuredGridVolumeRayCastMapper\n vtkUnstructuredGridVolumeRayCastFunction\n\n",
  NULL
};

PyObject *PyVTKClass_vtkUnstructuredGridVolumeRayIntegratorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkUnstructuredGridVolumeRayIntegratorMethods,
                        (char*)"vtkUnstructuredGridVolumeRayIntegrator",modulename,
                        (char**)vtkUnstructuredGridVolumeRayIntegratorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

