// python wrapper for vtkVolumeMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkVolumeMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumeMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumeMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractVolumeMapperNew(char *); }

static PyObject *PyvtkVolumeMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  const char    *temp20;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  vtkVolumeMapper  *temp20;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkVolumeMapper_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  vtkImageData  *temp20;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeMapper::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_SetBlendMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  int      temp0;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::SetBlendMode(temp0);
      }
    else
      {
      op->SetBlendMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_SetBlendModeToComposite(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::SetBlendModeToComposite();
      }
    else
      {
      op->SetBlendModeToComposite();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_SetBlendModeToMaximumIntensity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::SetBlendModeToMaximumIntensity();
      }
    else
      {
      op->SetBlendModeToMaximumIntensity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_GetBlendMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  int      temp20;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeMapper::GetBlendMode();
      }
    else
      {
      temp20 = op->GetBlendMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_SetCropping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  int      temp0;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::SetCropping(temp0);
      }
    else
      {
      op->SetCropping(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_GetCroppingMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  int      temp20;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeMapper::GetCroppingMinValue();
      }
    else
      {
      temp20 = op->GetCroppingMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_GetCroppingMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  int      temp20;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeMapper::GetCroppingMaxValue();
      }
    else
      {
      temp20 = op->GetCroppingMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_GetCropping(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  int      temp20;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeMapper::GetCropping();
      }
    else
      {
      temp20 = op->GetCropping();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_CroppingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::CroppingOn();
      }
    else
      {
      op->CroppingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_CroppingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::CroppingOff();
      }
    else
      {
      op->CroppingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_SetCroppingRegionPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::SetCroppingRegionPlanes(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetCroppingRegionPlanes(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  double temp0[6];
  PyErr_Clear();
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::SetCroppingRegionPlanes(temp0);
      }
    else
      {
      op->SetCroppingRegionPlanes(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_GetCroppingRegionPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  double  *temp20;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeMapper::GetCroppingRegionPlanes();
      }
    else
      {
      temp20 = op->GetCroppingRegionPlanes();
      }
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_GetVoxelCroppingRegionPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  double  *temp20;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeMapper::GetVoxelCroppingRegionPlanes();
      }
    else
      {
      temp20 = op->GetVoxelCroppingRegionPlanes();
      }
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_SetCroppingRegionFlags(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  int      temp0;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::SetCroppingRegionFlags(temp0);
      }
    else
      {
      op->SetCroppingRegionFlags(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_GetCroppingRegionFlagsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  int      temp20;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeMapper::GetCroppingRegionFlagsMinValue();
      }
    else
      {
      temp20 = op->GetCroppingRegionFlagsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_GetCroppingRegionFlagsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  int      temp20;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeMapper::GetCroppingRegionFlagsMaxValue();
      }
    else
      {
      temp20 = op->GetCroppingRegionFlagsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_GetCroppingRegionFlags(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  int      temp20;
  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeMapper::GetCroppingRegionFlags();
      }
    else
      {
      temp20 = op->GetCroppingRegionFlags();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_SetCroppingRegionFlagsToSubVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::SetCroppingRegionFlagsToSubVolume();
      }
    else
      {
      op->SetCroppingRegionFlagsToSubVolume();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_SetCroppingRegionFlagsToFence(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::SetCroppingRegionFlagsToFence();
      }
    else
      {
      op->SetCroppingRegionFlagsToFence();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_SetCroppingRegionFlagsToInvertedFence(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::SetCroppingRegionFlagsToInvertedFence();
      }
    else
      {
      op->SetCroppingRegionFlagsToInvertedFence();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_SetCroppingRegionFlagsToCross(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::SetCroppingRegionFlagsToCross();
      }
    else
      {
      op->SetCroppingRegionFlagsToCross();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeMapper_SetCroppingRegionFlagsToInvertedCross(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeMapper *op;

  if ((op = (vtkVolumeMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeMapper::SetCroppingRegionFlagsToInvertedCross();
      }
    else
      {
      op->SetCroppingRegionFlagsToInvertedCross();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVolumeMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumeMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumeMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumeMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumeMapper\nC++: vtkVolumeMapper *NewInstance ();\n\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkVolumeMapper_SetInput, 1,
   (char*)"V.SetInput(vtkImageData)\nC++: virtual void SetInput (vtkImageData *);\nV.SetInput(vtkDataSet)\nC++: virtual void SetInput (vtkDataSet *);\n\n Set/Get the input data\n"},
  {(char*)"GetInput",                (PyCFunction)PyvtkVolumeMapper_GetInput, 1,
   (char*)"V.GetInput() -> vtkImageData\nC++: vtkImageData *GetInput ();\n\n Set/Get the input data\n"},
  {(char*)"SetBlendMode",                (PyCFunction)PyvtkVolumeMapper_SetBlendMode, 1,
   (char*)"V.SetBlendMode(int)\nC++: void SetBlendMode (int );\n\n Set/Get the blend mode. Currently this is only supported\n by the vtkFixedPointVolumeRayCastMapper - other mappers\n have different ways to set this (supplying a function\n to a vtkVolumeRayCastMapper) or don't have any options\n (vtkVolumeTextureMapper2D supports only compositing)\n"},
  {(char*)"SetBlendModeToComposite",                (PyCFunction)PyvtkVolumeMapper_SetBlendModeToComposite, 1,
   (char*)"V.SetBlendModeToComposite()\nC++: void SetBlendModeToComposite ();this SetBlendMode vtkVolumeMapper COMPOSITE_BLEND \n\n Set/Get the blend mode. Currently this is only supported\n by the vtkFixedPointVolumeRayCastMapper - other mappers\n have different ways to set this (supplying a function\n to a vtkVolumeRayCastMapper) or don't have any options\n (vtkVolumeTextureMapper2D supports only compositing)\n"},
  {(char*)"SetBlendModeToMaximumIntensity",                (PyCFunction)PyvtkVolumeMapper_SetBlendModeToMaximumIntensity, 1,
   (char*)"V.SetBlendModeToMaximumIntensity()\nC++: void SetBlendModeToMaximumIntensity ();this SetBlendMode vtkVolumeMapper MAXIMUM_INTENSITY_BLEND \n\n Set/Get the blend mode. Currently this is only supported\n by the vtkFixedPointVolumeRayCastMapper - other mappers\n have different ways to set this (supplying a function\n to a vtkVolumeRayCastMapper) or don't have any options\n (vtkVolumeTextureMapper2D supports only compositing)\n"},
  {(char*)"GetBlendMode",                (PyCFunction)PyvtkVolumeMapper_GetBlendMode, 1,
   (char*)"V.GetBlendMode() -> int\nC++: int GetBlendMode ();\n\n Set/Get the blend mode. Currently this is only supported\n by the vtkFixedPointVolumeRayCastMapper - other mappers\n have different ways to set this (supplying a function\n to a vtkVolumeRayCastMapper) or don't have any options\n (vtkVolumeTextureMapper2D supports only compositing)\n"},
  {(char*)"SetCropping",                (PyCFunction)PyvtkVolumeMapper_SetCropping, 1,
   (char*)"V.SetCropping(int)\nC++: void SetCropping (int );\n\n Turn On/Off orthogonal cropping. (Clipping planes are\n perpendicular to the coordinate axes.)\n"},
  {(char*)"GetCroppingMinValue",                (PyCFunction)PyvtkVolumeMapper_GetCroppingMinValue, 1,
   (char*)"V.GetCroppingMinValue() -> int\nC++: int GetCroppingMinValue ();\n\n Turn On/Off orthogonal cropping. (Clipping planes are\n perpendicular to the coordinate axes.)\n"},
  {(char*)"GetCroppingMaxValue",                (PyCFunction)PyvtkVolumeMapper_GetCroppingMaxValue, 1,
   (char*)"V.GetCroppingMaxValue() -> int\nC++: int GetCroppingMaxValue ();\n\n Turn On/Off orthogonal cropping. (Clipping planes are\n perpendicular to the coordinate axes.)\n"},
  {(char*)"GetCropping",                (PyCFunction)PyvtkVolumeMapper_GetCropping, 1,
   (char*)"V.GetCropping() -> int\nC++: int GetCropping ();\n\n Turn On/Off orthogonal cropping. (Clipping planes are\n perpendicular to the coordinate axes.)\n"},
  {(char*)"CroppingOn",                (PyCFunction)PyvtkVolumeMapper_CroppingOn, 1,
   (char*)"V.CroppingOn()\nC++: void CroppingOn ();\n\n Turn On/Off orthogonal cropping. (Clipping planes are\n perpendicular to the coordinate axes.)\n"},
  {(char*)"CroppingOff",                (PyCFunction)PyvtkVolumeMapper_CroppingOff, 1,
   (char*)"V.CroppingOff()\nC++: void CroppingOff ();\n\n Turn On/Off orthogonal cropping. (Clipping planes are\n perpendicular to the coordinate axes.)\n"},
  {(char*)"SetCroppingRegionPlanes",                (PyCFunction)PyvtkVolumeMapper_SetCroppingRegionPlanes, 1,
   (char*)"V.SetCroppingRegionPlanes(float, float, float, float, float, float)\nC++: void SetCroppingRegionPlanes (double , double , double , double , double , double );\nV.SetCroppingRegionPlanes((float, float, float, float, float, float))\nC++: void SetCroppingRegionPlanes (double  a[6]);\n\n Set/Get the Cropping Region Planes ( xmin, xmax, ymin, ymax, zmin, zmax )\n These planes are defined in volume coordinates - spacing and origin are\n considered.\n"},
  {(char*)"GetCroppingRegionPlanes",                (PyCFunction)PyvtkVolumeMapper_GetCroppingRegionPlanes, 1,
   (char*)"V.GetCroppingRegionPlanes() -> (float, float, float, float, float, float)\nC++: double  *GetCroppingRegionPlanes ();\n\n Set/Get the Cropping Region Planes ( xmin, xmax, ymin, ymax, zmin, zmax )\n These planes are defined in volume coordinates - spacing and origin are\n considered.\n"},
  {(char*)"GetVoxelCroppingRegionPlanes",                (PyCFunction)PyvtkVolumeMapper_GetVoxelCroppingRegionPlanes, 1,
   (char*)"V.GetVoxelCroppingRegionPlanes() -> (float, float, float, float, float, float)\nC++: double  *GetVoxelCroppingRegionPlanes ();\n\n Get the cropping region planes in voxels. Only valid during the \n rendering process\n"},
  {(char*)"SetCroppingRegionFlags",                (PyCFunction)PyvtkVolumeMapper_SetCroppingRegionFlags, 1,
   (char*)"V.SetCroppingRegionFlags(int)\nC++: void SetCroppingRegionFlags (int );\n\n Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fence (between any of the \n clip plane pairs), inverted fence, cross (between any two of the \n clip plane pairs) and inverted cross.\n"},
  {(char*)"GetCroppingRegionFlagsMinValue",                (PyCFunction)PyvtkVolumeMapper_GetCroppingRegionFlagsMinValue, 1,
   (char*)"V.GetCroppingRegionFlagsMinValue() -> int\nC++: int GetCroppingRegionFlagsMinValue ();\n\n Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fence (between any of the \n clip plane pairs), inverted fence, cross (between any two of the \n clip plane pairs) and inverted cross.\n"},
  {(char*)"GetCroppingRegionFlagsMaxValue",                (PyCFunction)PyvtkVolumeMapper_GetCroppingRegionFlagsMaxValue, 1,
   (char*)"V.GetCroppingRegionFlagsMaxValue() -> int\nC++: int GetCroppingRegionFlagsMaxValue ();\n\n Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fence (between any of the \n clip plane pairs), inverted fence, cross (between any two of the \n clip plane pairs) and inverted cross.\n"},
  {(char*)"GetCroppingRegionFlags",                (PyCFunction)PyvtkVolumeMapper_GetCroppingRegionFlags, 1,
   (char*)"V.GetCroppingRegionFlags() -> int\nC++: int GetCroppingRegionFlags ();\n\n Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fence (between any of the \n clip plane pairs), inverted fence, cross (between any two of the \n clip plane pairs) and inverted cross.\n"},
  {(char*)"SetCroppingRegionFlagsToSubVolume",                (PyCFunction)PyvtkVolumeMapper_SetCroppingRegionFlagsToSubVolume, 1,
   (char*)"V.SetCroppingRegionFlagsToSubVolume()\nC++: void SetCroppingRegionFlagsToSubVolume ();this SetCroppingRegionFlags VTK_CROP_SUBVOLUME \n\n Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fence (between any of the \n clip plane pairs), inverted fence, cross (between any two of the \n clip plane pairs) and inverted cross.\n"},
  {(char*)"SetCroppingRegionFlagsToFence",                (PyCFunction)PyvtkVolumeMapper_SetCroppingRegionFlagsToFence, 1,
   (char*)"V.SetCroppingRegionFlagsToFence()\nC++: void SetCroppingRegionFlagsToFence ();this SetCroppingRegionFlags VTK_CROP_FENCE \n\n Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fence (between any of the \n clip plane pairs), inverted fence, cross (between any two of the \n clip plane pairs) and inverted cross.\n"},
  {(char*)"SetCroppingRegionFlagsToInvertedFence",                (PyCFunction)PyvtkVolumeMapper_SetCroppingRegionFlagsToInvertedFence, 1,
   (char*)"V.SetCroppingRegionFlagsToInvertedFence()\nC++: void SetCroppingRegionFlagsToInvertedFence ();this SetCroppingRegionFlags VTK_CROP_INVERTED_FENCE \n\n Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fence (between any of the \n clip plane pairs), inverted fence, cross (between any two of the \n clip plane pairs) and inverted cross.\n"},
  {(char*)"SetCroppingRegionFlagsToCross",                (PyCFunction)PyvtkVolumeMapper_SetCroppingRegionFlagsToCross, 1,
   (char*)"V.SetCroppingRegionFlagsToCross()\nC++: void SetCroppingRegionFlagsToCross ();this SetCroppingRegionFlags VTK_CROP_CROSS \n\n Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fence (between any of the \n clip plane pairs), inverted fence, cross (between any two of the \n clip plane pairs) and inverted cross.\n"},
  {(char*)"SetCroppingRegionFlagsToInvertedCross",                (PyCFunction)PyvtkVolumeMapper_SetCroppingRegionFlagsToInvertedCross, 1,
   (char*)"V.SetCroppingRegionFlagsToInvertedCross()\nC++: void SetCroppingRegionFlagsToInvertedCross ();this SetCroppingRegionFlags VTK_CROP_INVERTED_CROSS \n\n Set the flags for the cropping regions. The clipping planes divide the\n volume into 27 regions - there is one bit for each region. The regions \n start from the one containing voxel (0,0,0), moving along the x axis \n fastest, the y axis next, and the z axis slowest. These are represented \n from the lowest bit to bit number 27 in the integer containing the \n flags. There are several convenience functions to set some common \n configurations - subvolume (the default), fence (between any of the \n clip plane pairs), inverted fence, cross (between any two of the \n clip plane pairs) and inverted cross.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumeMapperDoc[] = {
  (char*)"vtkVolumeMapper - Abstract class for a volume mapper\n\n",
  "Super Class:\n\n vtkAbstractVolumeMapper\n\n",
  (char*)" vtkVolumeMapper is the abstract definition of a volume mapper for regular\n rectilinear data (vtkImageData).  Several  basic types of volume mappers \n are supported. \n\n",
  "See Also:\n\n vtkVolumeRayCastMapper vtkVolumeTextureMapper2D\n\n",
  NULL
};

PyObject *PyVTKClass_vtkVolumeMapperNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkVolumeMapperMethods,
                        (char*)"vtkVolumeMapper",modulename,
                        (char**)vtkVolumeMapperDoc,
                        PyVTKClass_vtkAbstractVolumeMapperNew(modulename));
}

