// python wrapper for vtkVolumeRayCastFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkVolumeRayCastFunction.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumeRayCastFunctionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumeRayCastFunctionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkVolumeRayCastFunction_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastFunction *op;

  const char    *temp20;
  if ((op = (vtkVolumeRayCastFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastFunction::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastFunction_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastFunction *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkVolumeRayCastFunction *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastFunction::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastFunction_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastFunction *op;

  vtkVolumeRayCastFunction  *temp20;
  if ((op = (vtkVolumeRayCastFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastFunction::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastFunction_GetZeroOpacityThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastFunction *op;

  vtkVolume  *temp0;
  PyObject *tempH0;
  float    temp20;
  if ((op = (vtkVolumeRayCastFunction *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolume");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetZeroOpacityThreshold(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break3:
  return NULL;
}

static PyMethodDef PyvtkVolumeRayCastFunctionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumeRayCastFunction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumeRayCastFunction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumeRayCastFunction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumeRayCastFunction\nC++: vtkVolumeRayCastFunction *NewInstance ();\n\n"},
  {(char*)"GetZeroOpacityThreshold",                (PyCFunction)PyvtkVolumeRayCastFunction_GetZeroOpacityThreshold, 1,
   (char*)"V.GetZeroOpacityThreshold(vtkVolume) -> float\nC++: virtual float GetZeroOpacityThreshold (vtkVolume *vol) = 0;\n\n Get the value below which all scalar values are considered to\n have 0 opacity.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumeRayCastFunctionDoc[] = {
  (char*)"vtkVolumeRayCastFunction - a superclass for ray casting functions\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkVolumeRayCastFunction is a superclass for ray casting functions that \n can be used within a vtkVolumeRayCastMapper. This includes for example,\n vtkVolumeRayCastCompositeFunction, vtkVolumeRayCastMIPFunction, and\n vtkVolumeRayCastIsosurfaceFunction.\n\n",
  "See Also:\n\n vtkVolumeRayCastCompositeFunction vtkVolumeRayCastMIPFunction\n vtkVolumeRayCastIsosurfaceFunction vtkVolumeRayCastMapper\n\n",
  NULL
};

PyObject *PyVTKClass_vtkVolumeRayCastFunctionNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkVolumeRayCastFunctionMethods,
                        (char*)"vtkVolumeRayCastFunction",modulename,
                        (char**)vtkVolumeRayCastFunctionDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

