// python wrapper for vtkVolumeRayCastMIPFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkVolumeRayCastMIPFunction.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumeRayCastMIPFunctionNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumeRayCastMIPFunctionNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkVolumeRayCastFunctionNew(char *); }

static PyObject *PyvtkVolumeRayCastMIPFunction_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMIPFunction *op;

  const char    *temp20;
  if ((op = (vtkVolumeRayCastMIPFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMIPFunction::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMIPFunction_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMIPFunction *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkVolumeRayCastMIPFunction *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMIPFunction::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMIPFunction_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMIPFunction *op;

  vtkVolumeRayCastMIPFunction  *temp20;
  if ((op = (vtkVolumeRayCastMIPFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMIPFunction::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMIPFunction_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVolumeRayCastMIPFunction  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVolumeRayCastMIPFunction::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMIPFunction_GetZeroOpacityThreshold(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMIPFunction *op;

  vtkVolume  *temp0;
  PyObject *tempH0;
  float    temp20;
  if ((op = (vtkVolumeRayCastMIPFunction *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkVolume *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolume");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMIPFunction::GetZeroOpacityThreshold(temp0);
      }
    else
      {
      temp20 = op->GetZeroOpacityThreshold(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMIPFunction_SetMaximizeMethod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMIPFunction *op;

  int      temp0;
  if ((op = (vtkVolumeRayCastMIPFunction *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMIPFunction::SetMaximizeMethod(temp0);
      }
    else
      {
      op->SetMaximizeMethod(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMIPFunction_GetMaximizeMethodMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMIPFunction *op;

  int      temp20;
  if ((op = (vtkVolumeRayCastMIPFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMIPFunction::GetMaximizeMethodMinValue();
      }
    else
      {
      temp20 = op->GetMaximizeMethodMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMIPFunction_GetMaximizeMethodMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMIPFunction *op;

  int      temp20;
  if ((op = (vtkVolumeRayCastMIPFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMIPFunction::GetMaximizeMethodMaxValue();
      }
    else
      {
      temp20 = op->GetMaximizeMethodMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMIPFunction_GetMaximizeMethod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMIPFunction *op;

  int      temp20;
  if ((op = (vtkVolumeRayCastMIPFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMIPFunction::GetMaximizeMethod();
      }
    else
      {
      temp20 = op->GetMaximizeMethod();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMIPFunction_SetMaximizeMethodToScalarValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMIPFunction *op;

  if ((op = (vtkVolumeRayCastMIPFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMIPFunction::SetMaximizeMethodToScalarValue();
      }
    else
      {
      op->SetMaximizeMethodToScalarValue();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMIPFunction_SetMaximizeMethodToOpacity(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMIPFunction *op;

  if ((op = (vtkVolumeRayCastMIPFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeRayCastMIPFunction::SetMaximizeMethodToOpacity();
      }
    else
      {
      op->SetMaximizeMethodToOpacity();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeRayCastMIPFunction_GetMaximizeMethodAsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeRayCastMIPFunction *op;

  const char    *temp20;
  if ((op = (vtkVolumeRayCastMIPFunction *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeRayCastMIPFunction::GetMaximizeMethodAsString();
      }
    else
      {
      temp20 = op->GetMaximizeMethodAsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVolumeRayCastMIPFunctionMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumeRayCastMIPFunction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumeRayCastMIPFunction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumeRayCastMIPFunction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumeRayCastMIPFunction\nC++: vtkVolumeRayCastMIPFunction *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVolumeRayCastMIPFunction_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVolumeRayCastMIPFunction\nC++: vtkVolumeRayCastMIPFunction *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetZeroOpacityThreshold",                (PyCFunction)PyvtkVolumeRayCastMIPFunction_GetZeroOpacityThreshold, 1,
   (char*)"V.GetZeroOpacityThreshold(vtkVolume) -> float\nC++: float GetZeroOpacityThreshold (vtkVolume *vol);\n\n Get the scalar value below which all scalar values have zero opacity.\n"},
  {(char*)"SetMaximizeMethod",                (PyCFunction)PyvtkVolumeRayCastMIPFunction_SetMaximizeMethod, 1,
   (char*)"V.SetMaximizeMethod(int)\nC++: void SetMaximizeMethod (int );\n\n Set the MaximizeMethod to either ScalarValue or Opacity.\n"},
  {(char*)"GetMaximizeMethodMinValue",                (PyCFunction)PyvtkVolumeRayCastMIPFunction_GetMaximizeMethodMinValue, 1,
   (char*)"V.GetMaximizeMethodMinValue() -> int\nC++: int GetMaximizeMethodMinValue ();\n\n Set the MaximizeMethod to either ScalarValue or Opacity.\n"},
  {(char*)"GetMaximizeMethodMaxValue",                (PyCFunction)PyvtkVolumeRayCastMIPFunction_GetMaximizeMethodMaxValue, 1,
   (char*)"V.GetMaximizeMethodMaxValue() -> int\nC++: int GetMaximizeMethodMaxValue ();\n\n Set the MaximizeMethod to either ScalarValue or Opacity.\n"},
  {(char*)"GetMaximizeMethod",                (PyCFunction)PyvtkVolumeRayCastMIPFunction_GetMaximizeMethod, 1,
   (char*)"V.GetMaximizeMethod() -> int\nC++: int GetMaximizeMethod ();\n\n Set the MaximizeMethod to either ScalarValue or Opacity.\n"},
  {(char*)"SetMaximizeMethodToScalarValue",                (PyCFunction)PyvtkVolumeRayCastMIPFunction_SetMaximizeMethodToScalarValue, 1,
   (char*)"V.SetMaximizeMethodToScalarValue()\nC++: void SetMaximizeMethodToScalarValue ();this SetMaximizeMethod VTK_MAXIMIZE_SCALAR_VALUE \n\n Set the MaximizeMethod to either ScalarValue or Opacity.\n"},
  {(char*)"SetMaximizeMethodToOpacity",                (PyCFunction)PyvtkVolumeRayCastMIPFunction_SetMaximizeMethodToOpacity, 1,
   (char*)"V.SetMaximizeMethodToOpacity()\nC++: void SetMaximizeMethodToOpacity ();this SetMaximizeMethod VTK_MAXIMIZE_OPACITY \n\n Set the MaximizeMethod to either ScalarValue or Opacity.\n"},
  {(char*)"GetMaximizeMethodAsString",                (PyCFunction)PyvtkVolumeRayCastMIPFunction_GetMaximizeMethodAsString, 1,
   (char*)"V.GetMaximizeMethodAsString() -> string\nC++: const char *GetMaximizeMethodAsString (void );\n\n Set the MaximizeMethod to either ScalarValue or Opacity.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumeRayCastMIPFunctionDoc[] = {
  (char*)"vtkVolumeRayCastMIPFunction - A maximum intensity projection ray caster for volumes\n\n",
  "Super Class:\n\n vtkVolumeRayCastFunction\n\n",
  (char*)" vtkVolumeRayCastMIPFunction is a volume ray cast function that\n computes the maximum value encountered along the ray. This is\n either the maximum scalar value, or the maximum opacity, as\n defined by the MaximizeMethod. The color and opacity returned\n by this function is based on the color, scalar opacity, and\n gradient opacity transfer functions defined in the vtkVolumeProperty\n of the vtkVolume.",
  (char*)"\n\n\n",
  "See Also:\n\n vtkVolumeRayCastFunction vtkVolumeRayCastMapper vtkVolumeProperty\n vtkVolumeRayCastCompositeFunction vtkVolumeRayCastIsosurfaceFunction\n vtkVolume vtkVolumeProperty\n\n",
  NULL
};

static vtkObjectBase *vtkVolumeRayCastMIPFunctionStaticNew()
{
  return vtkVolumeRayCastMIPFunction::New();
}

PyObject *PyVTKClass_vtkVolumeRayCastMIPFunctionNew(char *modulename)
{
  return PyVTKClass_New(&vtkVolumeRayCastMIPFunctionStaticNew,
                        PyvtkVolumeRayCastMIPFunctionMethods,
                        (char*)"vtkVolumeRayCastMIPFunction",modulename,
                        (char**)vtkVolumeRayCastMIPFunctionDoc,
                        PyVTKClass_vtkVolumeRayCastFunctionNew(modulename));
}

