// tcl wrapper for vtkVolumeRayCastMIPFunction object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeRayCastMIPFunction.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkVolumeRayCastMIPFunctionNewCommand()
{
  vtkVolumeRayCastMIPFunction *temp = vtkVolumeRayCastMIPFunction::New();
  return ((ClientData)temp);
}

int vtkVolumeRayCastFunctionCppCommand(vtkVolumeRayCastFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVolumeRayCastMIPFunctionCppCommand(vtkVolumeRayCastMIPFunction *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVolumeRayCastMIPFunctionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVolumeRayCastMIPFunctionCppCommand((vtkVolumeRayCastMIPFunction *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVolumeRayCastMIPFunctionCppCommand(vtkVolumeRayCastMIPFunction *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVolumeRayCastMIPFunction",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkVolumeRayCastFunctionCppCommand((vtkVolumeRayCastFunction *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkVolumeRayCastFunction", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkVolumeRayCastMIPFunction  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkVolumeRayCastMIPFunction");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVolumeRayCastMIPFunction  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkVolumeRayCastMIPFunction");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkVolumeRayCastMIPFunction  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkVolumeRayCastMIPFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZeroOpacityThreshold",argv[1]))&&(argc == 3))
    {
    vtkVolume  *temp0;
    float    temp20;
    error = 0;

    temp0 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkVolume",interp,error));
    if (!error)
    {
    temp20 = (op)->GetZeroOpacityThreshold(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximizeMethod",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximizeMethod(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximizeMethodMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximizeMethodMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximizeMethodMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximizeMethodMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximizeMethod",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximizeMethod();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximizeMethodToScalarValue",argv[1]))&&(argc == 2))
    {
    op->SetMaximizeMethodToScalarValue();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximizeMethodToOpacity",argv[1]))&&(argc == 2))
    {
    op->SetMaximizeMethodToOpacity();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximizeMethodAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetMaximizeMethodAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkVolumeRayCastMIPFunctionCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkVolumeRayCastFunctionCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVolumeRayCastMIPFunction:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZeroOpacityThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximizeMethod\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximizeMethodMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximizeMethodMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximizeMethod\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximizeMethodToScalarValue\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximizeMethodToOpacity\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximizeMethodAsString\n",NULL);
    return TCL_OK;
    }

  if (vtkVolumeRayCastFunctionCppCommand((vtkVolumeRayCastFunction *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
