// python wrapper for vtkVolumeTextureMapper2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkVolumeTextureMapper2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumeTextureMapper2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumeTextureMapper2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkVolumeTextureMapperNew(char *); }

static PyObject *PyvtkVolumeTextureMapper2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper2D *op;

  const char    *temp20;
  if ((op = (vtkVolumeTextureMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper2D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkVolumeTextureMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper2D *op;

  vtkVolumeTextureMapper2D  *temp20;
  if ((op = (vtkVolumeTextureMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVolumeTextureMapper2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVolumeTextureMapper2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper2D_SetTargetTextureSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper2D *op;

  int      temp0;
  int      temp1;
  if ((op = (vtkVolumeTextureMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeTextureMapper2D::SetTargetTextureSize(temp0,temp1);
      }
    else
      {
      op->SetTargetTextureSize(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper2D *op;

  int    temp0[2];
  PyErr_Clear();
  if ((op = (vtkVolumeTextureMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeTextureMapper2D::SetTargetTextureSize(temp0);
      }
    else
      {
      op->SetTargetTextureSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper2D_GetTargetTextureSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper2D *op;

  int     *temp20;
  if ((op = (vtkVolumeTextureMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper2D::GetTargetTextureSize();
      }
    else
      {
      temp20 = op->GetTargetTextureSize();
      }
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper2D_SetMaximumNumberOfPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper2D *op;

  int      temp0;
  if ((op = (vtkVolumeTextureMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeTextureMapper2D::SetMaximumNumberOfPlanes(temp0);
      }
    else
      {
      op->SetMaximumNumberOfPlanes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper2D_GetMaximumNumberOfPlanes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper2D *op;

  int      temp20;
  if ((op = (vtkVolumeTextureMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper2D::GetMaximumNumberOfPlanes();
      }
    else
      {
      temp20 = op->GetMaximumNumberOfPlanes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper2D_SetMaximumStorageSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper2D *op;

  int      temp0;
  if ((op = (vtkVolumeTextureMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeTextureMapper2D::SetMaximumStorageSize(temp0);
      }
    else
      {
      op->SetMaximumStorageSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper2D_GetMaximumStorageSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper2D *op;

  int      temp20;
  if ((op = (vtkVolumeTextureMapper2D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper2D::GetMaximumStorageSize();
      }
    else
      {
      temp20 = op->GetMaximumStorageSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVolumeTextureMapper2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumeTextureMapper2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumeTextureMapper2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumeTextureMapper2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumeTextureMapper2D\nC++: vtkVolumeTextureMapper2D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVolumeTextureMapper2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVolumeTextureMapper2D\nC++: vtkVolumeTextureMapper2D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetTargetTextureSize",                (PyCFunction)PyvtkVolumeTextureMapper2D_SetTargetTextureSize, 1,
   (char*)"V.SetTargetTextureSize(int, int)\nC++: void SetTargetTextureSize (int , int );\nV.SetTargetTextureSize((int, int))\nC++: void SetTargetTextureSize (int  a[2]);\n\n Target size in pixels of each size of the texture for downloading. Default is\n 512x512 - so a 512x512 texture will be tiled with as many slices of the volume\n as possible, then all the quads will be rendered. This can be set to optimize\n for a particular architecture. This must be set with numbers that are a power\n of two.\n"},
  {(char*)"GetTargetTextureSize",                (PyCFunction)PyvtkVolumeTextureMapper2D_GetTargetTextureSize, 1,
   (char*)"V.GetTargetTextureSize() -> (int, int)\nC++: int  *GetTargetTextureSize ();\n\n Target size in pixels of each size of the texture for downloading. Default is\n 512x512 - so a 512x512 texture will be tiled with as many slices of the volume\n as possible, then all the quads will be rendered. This can be set to optimize\n for a particular architecture. This must be set with numbers that are a power\n of two.\n"},
  {(char*)"SetMaximumNumberOfPlanes",                (PyCFunction)PyvtkVolumeTextureMapper2D_SetMaximumNumberOfPlanes, 1,
   (char*)"V.SetMaximumNumberOfPlanes(int)\nC++: void SetMaximumNumberOfPlanes (int );\n\n This is the maximum number of planes that will be created for texture mapping\n the volume. If the volume has more voxels than this along the viewing direction,\n then planes of the volume will be skipped to ensure that this maximum is not\n violated. A skip factor is used, and is incremented until the maximum condition\n is satisfied.\n"},
  {(char*)"GetMaximumNumberOfPlanes",                (PyCFunction)PyvtkVolumeTextureMapper2D_GetMaximumNumberOfPlanes, 1,
   (char*)"V.GetMaximumNumberOfPlanes() -> int\nC++: int GetMaximumNumberOfPlanes ();\n\n This is the maximum number of planes that will be created for texture mapping\n the volume. If the volume has more voxels than this along the viewing direction,\n then planes of the volume will be skipped to ensure that this maximum is not\n violated. A skip factor is used, and is incremented until the maximum condition\n is satisfied.\n"},
  {(char*)"SetMaximumStorageSize",                (PyCFunction)PyvtkVolumeTextureMapper2D_SetMaximumStorageSize, 1,
   (char*)"V.SetMaximumStorageSize(int)\nC++: void SetMaximumStorageSize (int );\n\n This is the maximum size of saved textures in bytes. If this size is large\n enough to hold the RGBA textures for all three directions (XxYxZx3x4 is\n the approximate value - it is actually a bit larger due to wasted space in\n the textures) then the textures will be saved.\n"},
  {(char*)"GetMaximumStorageSize",                (PyCFunction)PyvtkVolumeTextureMapper2D_GetMaximumStorageSize, 1,
   (char*)"V.GetMaximumStorageSize() -> int\nC++: int GetMaximumStorageSize ();\n\n This is the maximum size of saved textures in bytes. If this size is large\n enough to hold the RGBA textures for all three directions (XxYxZx3x4 is\n the approximate value - it is actually a bit larger due to wasted space in\n the textures) then the textures will be saved.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumeTextureMapper2DDoc[] = {
  (char*)"vtkVolumeTextureMapper2D - Abstract class for a volume mapper\n\n",
  "Super Class:\n\n vtkVolumeTextureMapper\n\n",
  (char*)" vtkVolumeTextureMapper2D renders a volume using 2D texture mapping.\n\n",
  "See Also:\n\n vtkVolumeMapper\n\n",
  NULL
};

static vtkObjectBase *vtkVolumeTextureMapper2DStaticNew()
{
  return vtkVolumeTextureMapper2D::New();
}

PyObject *PyVTKClass_vtkVolumeTextureMapper2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkVolumeTextureMapper2DStaticNew,
                        PyvtkVolumeTextureMapper2DMethods,
                        (char*)"vtkVolumeTextureMapper2D",modulename,
                        (char**)vtkVolumeTextureMapper2DDoc,
                        PyVTKClass_vtkVolumeTextureMapperNew(modulename));
}

