// python wrapper for vtkVolumeTextureMapper3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkVolumeTextureMapper3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumeTextureMapper3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumeTextureMapper3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkVolumeMapperNew(char *); }

static PyObject *PyvtkVolumeTextureMapper3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  const char    *temp20;
  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  vtkVolumeTextureMapper3D  *temp20;
  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkVolumeTextureMapper3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkVolumeTextureMapper3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_SetSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  float    temp0;
  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeTextureMapper3D::SetSampleDistance(temp0);
      }
    else
      {
      op->SetSampleDistance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_GetSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  float    temp20;
  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper3D::GetSampleDistance();
      }
    else
      {
      temp20 = op->GetSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_GetVolumeDimensions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  int     *temp20;
  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper3D::GetVolumeDimensions();
      }
    else
      {
      temp20 = op->GetVolumeDimensions();
      }
    return Py_BuildValue((char*)"iii",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_GetVolumeSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  float   *temp20;
  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper3D::GetVolumeSpacing();
      }
    else
      {
      temp20 = op->GetVolumeSpacing();
      }
    return Py_BuildValue((char*)"fff",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_IsRenderSupported(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  vtkVolumeProperty  *temp0;
  PyObject *tempH0;
  int      temp20;
  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkVolumeProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVolumeProperty");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper3D::IsRenderSupported(temp0);
      }
    else
      {
      temp20 = op->IsRenderSupported(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_GetNumberOfPolygons(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  int      temp20;
  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper3D::GetNumberOfPolygons();
      }
    else
      {
      temp20 = op->GetNumberOfPolygons();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_GetActualSampleDistance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  float    temp20;
  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper3D::GetActualSampleDistance();
      }
    else
      {
      temp20 = op->GetActualSampleDistance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_SetPreferredRenderMethod(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  int      temp0;
  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeTextureMapper3D::SetPreferredRenderMethod(temp0);
      }
    else
      {
      op->SetPreferredRenderMethod(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_GetPreferredRenderMethodMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  int      temp20;
  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper3D::GetPreferredRenderMethodMinValue();
      }
    else
      {
      temp20 = op->GetPreferredRenderMethodMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_GetPreferredRenderMethodMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  int      temp20;
  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper3D::GetPreferredRenderMethodMaxValue();
      }
    else
      {
      temp20 = op->GetPreferredRenderMethodMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_SetPreferredMethodToFragmentProgram(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeTextureMapper3D::SetPreferredMethodToFragmentProgram();
      }
    else
      {
      op->SetPreferredMethodToFragmentProgram();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper3D_SetPreferredMethodToNVidia(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper3D *op;

  if ((op = (vtkVolumeTextureMapper3D *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeTextureMapper3D::SetPreferredMethodToNVidia();
      }
    else
      {
      op->SetPreferredMethodToNVidia();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVolumeTextureMapper3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumeTextureMapper3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumeTextureMapper3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumeTextureMapper3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumeTextureMapper3D\nC++: vtkVolumeTextureMapper3D *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkVolumeTextureMapper3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkVolumeTextureMapper3D\nC++: vtkVolumeTextureMapper3D *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSampleDistance",                (PyCFunction)PyvtkVolumeTextureMapper3D_SetSampleDistance, 1,
   (char*)"V.SetSampleDistance(float)\nC++: void SetSampleDistance (float );\n\n The distance at which to space sampling planes. This\n may not be honored for interactive renders. An interactive\n render is defined as one that has less than 1 second of\n allocated render time.\n"},
  {(char*)"GetSampleDistance",                (PyCFunction)PyvtkVolumeTextureMapper3D_GetSampleDistance, 1,
   (char*)"V.GetSampleDistance() -> float\nC++: float GetSampleDistance ();\n\n The distance at which to space sampling planes. This\n may not be honored for interactive renders. An interactive\n render is defined as one that has less than 1 second of\n allocated render time.\n"},
  {(char*)"GetVolumeDimensions",                (PyCFunction)PyvtkVolumeTextureMapper3D_GetVolumeDimensions, 1,
   (char*)"V.GetVolumeDimensions() -> (int, int, int)\nC++: int  *GetVolumeDimensions ();\n\n These are the dimensions of the 3D texture\n"},
  {(char*)"GetVolumeSpacing",                (PyCFunction)PyvtkVolumeTextureMapper3D_GetVolumeSpacing, 1,
   (char*)"V.GetVolumeSpacing() -> (float, float, float)\nC++: float  *GetVolumeSpacing ();\n\n This is the spacing of the 3D texture\n"},
  {(char*)"IsRenderSupported",                (PyCFunction)PyvtkVolumeTextureMapper3D_IsRenderSupported, 1,
   (char*)"V.IsRenderSupported(vtkVolumeProperty) -> int\nC++: virtual int IsRenderSupported (vtkVolumeProperty *);return \n\n Based on hardware and properties, we may or may not be able to\n render using 3D texture mapping. This indicates if 3D texture\n mapping is supported by the hardware, and if the other extensions\n necessary to support the specific properties are available.\n"},
  {(char*)"GetNumberOfPolygons",                (PyCFunction)PyvtkVolumeTextureMapper3D_GetNumberOfPolygons, 1,
   (char*)"V.GetNumberOfPolygons() -> int\nC++: int GetNumberOfPolygons ();\n\n Allow access to the number of polygons used for the\n rendering.\n"},
  {(char*)"GetActualSampleDistance",                (PyCFunction)PyvtkVolumeTextureMapper3D_GetActualSampleDistance, 1,
   (char*)"V.GetActualSampleDistance() -> float\nC++: float GetActualSampleDistance ();\n\n Allow access to the actual sample distance used to render\n the image.\n"},
  {(char*)"SetPreferredRenderMethod",                (PyCFunction)PyvtkVolumeTextureMapper3D_SetPreferredRenderMethod, 1,
   (char*)"V.SetPreferredRenderMethod(int)\nC++: void SetPreferredRenderMethod (int );\n\n Set the preferred render method. If it is supported, this\n one will be used. Don't allow ATI_METHOD - it is not actually\n supported.\n"},
  {(char*)"GetPreferredRenderMethodMinValue",                (PyCFunction)PyvtkVolumeTextureMapper3D_GetPreferredRenderMethodMinValue, 1,
   (char*)"V.GetPreferredRenderMethodMinValue() -> int\nC++: int GetPreferredRenderMethodMinValue ();\n\n Set the preferred render method. If it is supported, this\n one will be used. Don't allow ATI_METHOD - it is not actually\n supported.\n"},
  {(char*)"GetPreferredRenderMethodMaxValue",                (PyCFunction)PyvtkVolumeTextureMapper3D_GetPreferredRenderMethodMaxValue, 1,
   (char*)"V.GetPreferredRenderMethodMaxValue() -> int\nC++: int GetPreferredRenderMethodMaxValue ();\n\n Set the preferred render method. If it is supported, this\n one will be used. Don't allow ATI_METHOD - it is not actually\n supported.\n"},
  {(char*)"SetPreferredMethodToFragmentProgram",                (PyCFunction)PyvtkVolumeTextureMapper3D_SetPreferredMethodToFragmentProgram, 1,
   (char*)"V.SetPreferredMethodToFragmentProgram()\nC++: void SetPreferredMethodToFragmentProgram ();this SetPreferredRenderMethod vtkVolumeTextureMapper3D FRAGMENT_PROGRAM_METHOD \n\n Set the preferred render method. If it is supported, this\n one will be used. Don't allow ATI_METHOD - it is not actually\n supported.\n"},
  {(char*)"SetPreferredMethodToNVidia",                (PyCFunction)PyvtkVolumeTextureMapper3D_SetPreferredMethodToNVidia, 1,
   (char*)"V.SetPreferredMethodToNVidia()\nC++: void SetPreferredMethodToNVidia ();this SetPreferredRenderMethod vtkVolumeTextureMapper3D NVIDIA_METHOD \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumeTextureMapper3DDoc[] = {
  (char*)"vtkVolumeTextureMapper3D - volume render with 3D texture mapping\n\n",
  "Super Class:\n\n vtkVolumeMapper\n\n",
  (char*)" vtkVolumeTextureMapper3D renders a volume using 3D texture mapping. \n This class is actually an abstract superclass - with all the actual\n work done by vtkOpenGLVolumeTextureMapper3D. \n \n This mappers currently supports:\n\n - any data type as input\n - one component, or two or four non-independent components\n - composite blending\n - intermixed opaque geometry\n - multiple volumes can be rendered if ",
  (char*)"they can\n   be sorted into back-to-front order (use the vtkFrustumCoverageCuller)\n \n This mapper does not support:\n - more than one independent component\n - maximum intensity projection\n \n Internally, this mapper will potentially change the resolution of the\n input data. The data will be resampled to be a power of two in each\n direction, and also no greater than 128*256*256 voxels (any aspect) \n f",
  (char*)"or one or two component data, or 128*128*256 voxels (any aspect)\n for four component data. The limits are currently hardcoded after \n a check using the GL_PROXY_TEXTURE3D because some graphics drivers \n were always responding \"yes\" to the proxy call despite not being\n able to allocate that much texture memory.\n\n Currently, calculations are computed using 8 bits per RGBA channel.\n In the future thi",
  (char*)"s should be expanded to handle newer boards that\n can support 15 bit float compositing.\n\n This mapper supports two main families of graphics hardware:\n nvidia and ATI. There are two different implementations of\n 3D texture mapping used - one based on nvidia's GL_NV_texture_shader2\n and GL_NV_register_combiners2 extension, and one based on\n ATI's GL_ATI_fragment_shader (supported also by some nvidi",
  (char*)"a boards)\n To use this class in an application that will run on various \n hardware configurations, you should have a back-up volume rendering\n method. You should create a vtkVolumeTextureMapper3D, assign its\n input, make sure you have a current OpenGL context (you've rendered\n at least once), then call IsRenderSupported with a vtkVolumeProperty \n as an argument. This method will return 0 if the in",
  (char*)"put has more than\n one independent component, or if the graphics hardware does not\n support the set of required extensions for using at least one of\n the two implemented methods (nvidia or ati)\n\n\n",
  "See Also:\n\n vtkVolumeMapper\n\n",
  NULL
};

static vtkObjectBase *vtkVolumeTextureMapper3DStaticNew()
{
  return vtkVolumeTextureMapper3D::New();
}

PyObject *PyVTKClass_vtkVolumeTextureMapper3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkVolumeTextureMapper3DStaticNew,
                        PyvtkVolumeTextureMapper3DMethods,
                        (char*)"vtkVolumeTextureMapper3D",modulename,
                        (char**)vtkVolumeTextureMapper3DDoc,
                        PyVTKClass_vtkVolumeMapperNew(modulename));
}

