// python wrapper for vtkVolumeTextureMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkVolumeTextureMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkVolumeTextureMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkVolumeTextureMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkVolumeMapperNew(char *); }

static PyObject *PyvtkVolumeTextureMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper *op;

  const char    *temp20;
  if ((op = (vtkVolumeTextureMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkVolumeTextureMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper *op;

  vtkVolumeTextureMapper  *temp20;
  if ((op = (vtkVolumeTextureMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper *op;

  if ((op = (vtkVolumeTextureMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeTextureMapper::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper_SetGradientEstimator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper *op;

  vtkEncodedGradientEstimator  *temp0;
  PyObject *tempH0;
  if ((op = (vtkVolumeTextureMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkEncodedGradientEstimator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkEncodedGradientEstimator");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkVolumeTextureMapper::SetGradientEstimator(temp0);
      }
    else
      {
      op->SetGradientEstimator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper_GetGradientEstimator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper *op;

  vtkEncodedGradientEstimator  *temp20;
  if ((op = (vtkVolumeTextureMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper::GetGradientEstimator();
      }
    else
      {
      temp20 = op->GetGradientEstimator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkVolumeTextureMapper_GetGradientShader(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkVolumeTextureMapper *op;

  vtkEncodedGradientShader  *temp20;
  if ((op = (vtkVolumeTextureMapper *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkVolumeTextureMapper::GetGradientShader();
      }
    else
      {
      temp20 = op->GetGradientShader();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkVolumeTextureMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkVolumeTextureMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkVolumeTextureMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkVolumeTextureMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkVolumeTextureMapper\nC++: vtkVolumeTextureMapper *NewInstance ();\n\n"},
  {(char*)"Update",                (PyCFunction)PyvtkVolumeTextureMapper_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Update the volume rendering pipeline by updating the scalar input\n"},
  {(char*)"SetGradientEstimator",                (PyCFunction)PyvtkVolumeTextureMapper_SetGradientEstimator, 1,
   (char*)"V.SetGradientEstimator(vtkEncodedGradientEstimator)\nC++: virtual void SetGradientEstimator (vtkEncodedGradientEstimator *gradest);\n\n Set / Get the gradient estimator used to estimate normals\n"},
  {(char*)"GetGradientEstimator",                (PyCFunction)PyvtkVolumeTextureMapper_GetGradientEstimator, 1,
   (char*)"V.GetGradientEstimator() -> vtkEncodedGradientEstimator\nC++: vtkEncodedGradientEstimator *GetGradientEstimator ();\n\n Set / Get the gradient estimator used to estimate normals\n"},
  {(char*)"GetGradientShader",                (PyCFunction)PyvtkVolumeTextureMapper_GetGradientShader, 1,
   (char*)"V.GetGradientShader() -> vtkEncodedGradientShader\nC++: vtkEncodedGradientShader *GetGradientShader ();\n\n Get the gradient shader.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkVolumeTextureMapperDoc[] = {
  (char*)"vtkVolumeTextureMapper - Abstract class for a volume mapper\n\n",
  "Super Class:\n\n vtkVolumeMapper\n\n",
  (char*)" vtkVolumeTextureMapper is the abstract definition of a volume mapper\n that uses a texture mapping approach.\n\n",
  "See Also:\n\n vtkVolumeMapper\n\n",
  NULL
};

PyObject *PyVTKClass_vtkVolumeTextureMapperNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkVolumeTextureMapperMethods,
                        (char*)"vtkVolumeTextureMapper",modulename,
                        (char**)vtkVolumeTextureMapperDoc,
                        PyVTKClass_vtkVolumeMapperNew(modulename));
}

