// python wrapper for vtk3DWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtk3DWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtk3DWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtk3DWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInteractorObserverNew(char *); }

static PyObject *Pyvtk3DWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  const char    *temp20;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  vtk3DWidget  *temp20;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DWidget_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  double temp0[6];
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  PyErr_Clear();
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtk3DWidget::PlaceWidget();
      }
    else
      {
      op->PlaceWidget();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtk3DWidget::PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DWidget_SetProp3D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  vtkProp3D  *temp0;
  PyObject *tempH0;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProp3D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp3D");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtk3DWidget::SetProp3D(temp0);
      }
    else
      {
      op->SetProp3D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *Pyvtk3DWidget_GetProp3D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  vtkProp3D  *temp20;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DWidget::GetProp3D();
      }
    else
      {
      temp20 = op->GetProp3D();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DWidget_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtk3DWidget::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *Pyvtk3DWidget_GetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  vtkDataSet  *temp20;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DWidget::GetInput();
      }
    else
      {
      temp20 = op->GetInput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DWidget_SetPlaceFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  double   temp0;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtk3DWidget::SetPlaceFactor(temp0);
      }
    else
      {
      op->SetPlaceFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DWidget_GetPlaceFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  double   temp20;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DWidget::GetPlaceFactorMinValue();
      }
    else
      {
      temp20 = op->GetPlaceFactorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DWidget_GetPlaceFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  double   temp20;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DWidget::GetPlaceFactorMaxValue();
      }
    else
      {
      temp20 = op->GetPlaceFactorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DWidget_GetPlaceFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  double   temp20;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DWidget::GetPlaceFactor();
      }
    else
      {
      temp20 = op->GetPlaceFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DWidget_SetHandleSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  double   temp0;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtk3DWidget::SetHandleSize(temp0);
      }
    else
      {
      op->SetHandleSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DWidget_GetHandleSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  double   temp20;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DWidget::GetHandleSizeMinValue();
      }
    else
      {
      temp20 = op->GetHandleSizeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DWidget_GetHandleSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  double   temp20;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DWidget::GetHandleSizeMaxValue();
      }
    else
      {
      temp20 = op->GetHandleSizeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *Pyvtk3DWidget_GetHandleSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtk3DWidget *op;

  double   temp20;
  if ((op = (vtk3DWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtk3DWidget::GetHandleSize();
      }
    else
      {
      temp20 = op->GetHandleSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef Pyvtk3DWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)Pyvtk3DWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)Pyvtk3DWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)Pyvtk3DWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtk3DWidget\nC++: vtk3DWidget *NewInstance ();\n\n"},
  {(char*)"PlaceWidget",                (PyCFunction)Pyvtk3DWidget_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]) = 0;\nV.PlaceWidget()\nC++: virtual void PlaceWidget ();\nV.PlaceWidget(float, float, float, float, float, float)\nC++: virtual void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);\n\n This method is used to initially place the widget.  The placement of the\n widget depends on whether a Prop3D or input dataset is provided. If one\n of these two is provided, they will be used to obtain a bounding box,\n around which the widget is placed. Otherwise, you can manually specify a\n bounds with the PlaceWidget(bounds) method. Note: PlaceWidget(bounds)\n is required by all subclasses; the other methods are provided as\n convenience methods.\n"},
  {(char*)"SetProp3D",                (PyCFunction)Pyvtk3DWidget_SetProp3D, 1,
   (char*)"V.SetProp3D(vtkProp3D)\nC++: virtual void SetProp3D (vtkProp3D *);\n\n Specify a vtkProp3D around which to place the widget. This \n is not required, but if supplied, it is used to initially \n position the widget.\n"},
  {(char*)"GetProp3D",                (PyCFunction)Pyvtk3DWidget_GetProp3D, 1,
   (char*)"V.GetProp3D() -> vtkProp3D\nC++: vtkProp3D *GetProp3D ();\n\n Specify a vtkProp3D around which to place the widget. This \n is not required, but if supplied, it is used to initially \n position the widget.\n"},
  {(char*)"SetInput",                (PyCFunction)Pyvtk3DWidget_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: virtual void SetInput (vtkDataSet *);\n\n Specify the input dataset. This is not required, but if supplied,\n and no vtkProp3D is specified, it is used to initially position \n the widget.\n"},
  {(char*)"GetInput",                (PyCFunction)Pyvtk3DWidget_GetInput, 1,
   (char*)"V.GetInput() -> vtkDataSet\nC++: vtkDataSet *GetInput ();\n\n Specify the input dataset. This is not required, but if supplied,\n and no vtkProp3D is specified, it is used to initially position \n the widget.\n"},
  {(char*)"SetPlaceFactor",                (PyCFunction)Pyvtk3DWidget_SetPlaceFactor, 1,
   (char*)"V.SetPlaceFactor(float)\nC++: void SetPlaceFactor (double );\n\n Set/Get a factor representing the scaling of the widget upon placement\n (via the PlaceWidget() method). Normally the widget is placed so that\n it just fits within the bounding box defined in PlaceWidget(bounds).\n The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller\n (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.\n"},
  {(char*)"GetPlaceFactorMinValue",                (PyCFunction)Pyvtk3DWidget_GetPlaceFactorMinValue, 1,
   (char*)"V.GetPlaceFactorMinValue() -> float\nC++: double GetPlaceFactorMinValue ();\n\n Set/Get a factor representing the scaling of the widget upon placement\n (via the PlaceWidget() method). Normally the widget is placed so that\n it just fits within the bounding box defined in PlaceWidget(bounds).\n The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller\n (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.\n"},
  {(char*)"GetPlaceFactorMaxValue",                (PyCFunction)Pyvtk3DWidget_GetPlaceFactorMaxValue, 1,
   (char*)"V.GetPlaceFactorMaxValue() -> float\nC++: double GetPlaceFactorMaxValue ();\n\n Set/Get a factor representing the scaling of the widget upon placement\n (via the PlaceWidget() method). Normally the widget is placed so that\n it just fits within the bounding box defined in PlaceWidget(bounds).\n The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller\n (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.\n"},
  {(char*)"GetPlaceFactor",                (PyCFunction)Pyvtk3DWidget_GetPlaceFactor, 1,
   (char*)"V.GetPlaceFactor() -> float\nC++: double GetPlaceFactor ();\n\n Set/Get a factor representing the scaling of the widget upon placement\n (via the PlaceWidget() method). Normally the widget is placed so that\n it just fits within the bounding box defined in PlaceWidget(bounds).\n The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller\n (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.\n"},
  {(char*)"SetHandleSize",                (PyCFunction)Pyvtk3DWidget_SetHandleSize, 1,
   (char*)"V.SetHandleSize(float)\nC++: void SetHandleSize (double );\n\n Set/Get the factor that controls the size of the handles that\n appear as part of the widget. These handles (like spheres, etc.)\n are used to manipulate the widget, and are sized as a fraction of\n the screen diagonal.\n"},
  {(char*)"GetHandleSizeMinValue",                (PyCFunction)Pyvtk3DWidget_GetHandleSizeMinValue, 1,
   (char*)"V.GetHandleSizeMinValue() -> float\nC++: double GetHandleSizeMinValue ();\n\n Set/Get the factor that controls the size of the handles that\n appear as part of the widget. These handles (like spheres, etc.)\n are used to manipulate the widget, and are sized as a fraction of\n the screen diagonal.\n"},
  {(char*)"GetHandleSizeMaxValue",                (PyCFunction)Pyvtk3DWidget_GetHandleSizeMaxValue, 1,
   (char*)"V.GetHandleSizeMaxValue() -> float\nC++: double GetHandleSizeMaxValue ();\n\n Set/Get the factor that controls the size of the handles that\n appear as part of the widget. These handles (like spheres, etc.)\n are used to manipulate the widget, and are sized as a fraction of\n the screen diagonal.\n"},
  {(char*)"GetHandleSize",                (PyCFunction)Pyvtk3DWidget_GetHandleSize, 1,
   (char*)"V.GetHandleSize() -> float\nC++: double GetHandleSize ();\n\n Set/Get the factor that controls the size of the handles that\n appear as part of the widget. These handles (like spheres, etc.)\n are used to manipulate the widget, and are sized as a fraction of\n the screen diagonal.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtk3DWidgetDoc[] = {
  (char*)"vtk3DWidget - an abstract superclass for 3D widgets\n\n",
  "Super Class:\n\n vtkInteractorObserver\n\n",
  (char*)" vtk3DWidget is an abstract superclass for 3D interactor observers. These\n 3D widgets represent themselves in the scene, and have special callbacks\n associated with them that allows interactive manipulation of the widget.\n Inparticular, the difference between a vtk3DWidget and its abstract\n superclass vtkInteractorObserver is that vtk3DWidgets are \"placed\" in 3D\n space.  vtkInteractorObservers hav",
  (char*)"e no notion of where they are placed,\n and may not exist in 3D space at all.  3D widgets also provide auxiliary\n functions like producing a transformation, creating polydata (for seeding\n streamlines, probes, etc.) or creating implicit functions. See the\n concrete subclasses for particulars.\n\n Typically the widget is used by specifying a vtkProp3D or VTK dataset as\n input, and then invoking the \"O",
  (char*)"n\" method to activate it. (You can also\n specify a bounding box to help position the widget.) Prior to invoking the\n On() method, the user may also wish to use the PlaceWidget() to initially\n position it. The 'i' (for \"interactor\") keypresses also can be used to\n turn the widgets on and off (methods exist to change the key value\n and enable keypress activiation).\n \n To support interactive manipula",
  (char*)"tion of objects, this class (and\n subclasses) invoke the events StartInteractionEvent, InteractionEvent, and\n EndInteractionEvent.  These events are invoked when the vtk3DWidget enters\n a state where rapid response is desired: mouse motion, etc. The events can\n be used, for example, to set the desired update frame rate\n (StartInteractionEvent), operate on the vtkProp3D or other object\n (Interactio",
  (char*)"nEvent), and set the desired frame rate back to normal values\n (EndInteractionEvent).\n\n Note that the Priority attribute inherited from vtkInteractorObserver has\n a new default value which is now 0.5 so that all 3D widgets have a higher\n priority than the usual interactor styles.\n\n\n",
  "See Also:\n\n vtkBoxWidget vtkPlaneWidget vtkLineWidget vtkPointWidget \n vtkSphereWidget vtkImplicitPlaneWidget\n\n",
  NULL
};

PyObject *PyVTKClass_vtk3DWidgetNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        Pyvtk3DWidgetMethods,
                        (char*)"vtk3DWidget",modulename,
                        (char**)vtk3DWidgetDoc,
                        PyVTKClass_vtkInteractorObserverNew(modulename));
}

