// tcl wrapper for vtkBoxWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBoxWidget.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkBoxWidgetNewCommand()
{
  vtkBoxWidget *temp = vtkBoxWidget::New();
  return ((ClientData)temp);
}

int vtk3DWidgetCppCommand(vtk3DWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBoxWidgetCppCommand(vtkBoxWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBoxWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBoxWidgetCppCommand((vtkBoxWidget *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBoxWidgetCppCommand(vtkBoxWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBoxWidget",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtk3DWidgetCppCommand((vtk3DWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtk3DWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBoxWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkBoxWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBoxWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkBoxWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBoxWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkBoxWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 2))
    {
    op->PlaceWidget();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlanes",argv[1]))&&(argc == 3))
    {
    vtkPlanes  *temp0;
    error = 0;

    temp0 = (vtkPlanes *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPlanes",interp,error));
    if (!error)
    {
    op->GetPlanes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInsideOut",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInsideOut(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInsideOut",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInsideOut();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InsideOutOn",argv[1]))&&(argc == 2))
    {
    op->InsideOutOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InsideOutOff",argv[1]))&&(argc == 2))
    {
    op->InsideOutOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTransform",argv[1]))&&(argc == 3))
    {
    vtkTransform  *temp0;
    error = 0;

    temp0 = (vtkTransform *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkTransform",interp,error));
    if (!error)
    {
    op->GetTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTransform",argv[1]))&&(argc == 3))
    {
    vtkTransform  *temp0;
    error = 0;

    temp0 = (vtkTransform *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkTransform",interp,error));
    if (!error)
    {
    op->SetTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolyData",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPolyData",interp,error));
    if (!error)
    {
    op->GetPolyData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetHandleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedHandleProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedHandleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("HandlesOn",argv[1]))&&(argc == 2))
    {
    op->HandlesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HandlesOff",argv[1]))&&(argc == 2))
    {
    op->HandlesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFaceProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetFaceProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedFaceProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedFaceProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetOutlineProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetOutlineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedOutlineProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedOutlineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetOutlineFaceWires",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutlineFaceWires(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutlineFaceWires",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutlineFaceWires();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutlineFaceWiresOn",argv[1]))&&(argc == 2))
    {
    op->OutlineFaceWiresOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutlineFaceWiresOff",argv[1]))&&(argc == 2))
    {
    op->OutlineFaceWiresOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutlineCursorWires",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutlineCursorWires(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutlineCursorWires",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutlineCursorWires();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutlineCursorWiresOn",argv[1]))&&(argc == 2))
    {
    op->OutlineCursorWiresOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutlineCursorWiresOff",argv[1]))&&(argc == 2))
    {
    op->OutlineCursorWiresOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTranslationEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTranslationEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslationEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTranslationEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TranslationEnabledOn",argv[1]))&&(argc == 2))
    {
    op->TranslationEnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TranslationEnabledOff",argv[1]))&&(argc == 2))
    {
    op->TranslationEnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalingEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalingEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalingEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalingEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalingEnabledOn",argv[1]))&&(argc == 2))
    {
    op->ScalingEnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalingEnabledOff",argv[1]))&&(argc == 2))
    {
    op->ScalingEnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRotationEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRotationEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRotationEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRotationEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RotationEnabledOn",argv[1]))&&(argc == 2))
    {
    op->RotationEnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RotationEnabledOff",argv[1]))&&(argc == 2))
    {
    op->RotationEnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkBoxWidgetCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtk3DWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBoxWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlanes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInsideOut\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInsideOut\n",NULL);
    Tcl_AppendResult(interp,"  InsideOutOn\n",NULL);
    Tcl_AppendResult(interp,"  InsideOutOff\n",NULL);
    Tcl_AppendResult(interp,"  GetTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedHandleProperty\n",NULL);
    Tcl_AppendResult(interp,"  HandlesOn\n",NULL);
    Tcl_AppendResult(interp,"  HandlesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetFaceProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedFaceProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetOutlineProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedOutlineProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetOutlineFaceWires\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutlineFaceWires\n",NULL);
    Tcl_AppendResult(interp,"  OutlineFaceWiresOn\n",NULL);
    Tcl_AppendResult(interp,"  OutlineFaceWiresOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutlineCursorWires\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutlineCursorWires\n",NULL);
    Tcl_AppendResult(interp,"  OutlineCursorWiresOn\n",NULL);
    Tcl_AppendResult(interp,"  OutlineCursorWiresOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslationEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslationEnabled\n",NULL);
    Tcl_AppendResult(interp,"  TranslationEnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  TranslationEnabledOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalingEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalingEnabled\n",NULL);
    Tcl_AppendResult(interp,"  ScalingEnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalingEnabledOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRotationEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRotationEnabled\n",NULL);
    Tcl_AppendResult(interp,"  RotationEnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  RotationEnabledOff\n",NULL);
    return TCL_OK;
    }

  if (vtk3DWidgetCppCommand((vtk3DWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
