// tcl wrapper for vtkImageTracerWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageTracerWidget.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkImageTracerWidgetNewCommand()
{
  vtkImageTracerWidget *temp = vtkImageTracerWidget::New();
  return ((ClientData)temp);
}

int vtk3DWidgetCppCommand(vtk3DWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageTracerWidgetCppCommand(vtkImageTracerWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageTracerWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageTracerWidgetCppCommand((vtkImageTracerWidget *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageTracerWidgetCppCommand(vtkImageTracerWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageTracerWidget",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtk3DWidgetCppCommand((vtk3DWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtk3DWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageTracerWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageTracerWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageTracerWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageTracerWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageTracerWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageTracerWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 2))
    {
    op->PlaceWidget();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHandleProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProperty",interp,error));
    if (!error)
    {
    op->SetHandleProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetHandleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedHandleProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProperty",interp,error));
    if (!error)
    {
    op->SetSelectedHandleProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedHandleProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedHandleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLineProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProperty",interp,error));
    if (!error)
    {
    op->SetLineProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetLineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedLineProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProperty",interp,error));
    if (!error)
    {
    op->SetSelectedLineProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedLineProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedLineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->SetViewProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProjectToPlane",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProjectToPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectToPlane",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectToPlane();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ProjectToPlaneOn",argv[1]))&&(argc == 2))
    {
    op->ProjectToPlaneOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ProjectToPlaneOff",argv[1]))&&(argc == 2))
    {
    op->ProjectToPlaneOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProjectionNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectionNormalMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormalMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProjectionNormalMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormalMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProjectionNormal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToXAxes",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToXAxes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToYAxes",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToYAxes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToZAxes",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToZAxes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionPosition",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetProjectionPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectionPosition",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetProjectionPosition();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSnapToImage",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSnapToImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSnapToImage",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSnapToImage();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SnapToImageOn",argv[1]))&&(argc == 2))
    {
    op->SnapToImageOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SnapToImageOff",argv[1]))&&(argc == 2))
    {
    op->SnapToImageOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoClose",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoClose(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoClose",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoClose();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoCloseOn",argv[1]))&&(argc == 2))
    {
    op->AutoCloseOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoCloseOff",argv[1]))&&(argc == 2))
    {
    op->AutoCloseOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCaptureRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCaptureRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaptureRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCaptureRadius();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPath",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPolyData",interp,error));
    if (!error)
    {
    op->GetPath(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlyphSource",argv[1]))&&(argc == 2))
    {
    vtkGlyphSource2D  *temp20;
    temp20 = (op)->GetGlyphSource();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkGlyphSource2D");
    return TCL_OK;
    }
  if ((!strcmp("SetImageSnapType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetImageSnapType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageSnapTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageSnapTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageSnapTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageSnapTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageSnapType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageSnapType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHandlePosition",argv[1]))&&(argc == 6))
    {
    int      temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetHandlePosition(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandlePosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetHandlePosition(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfHandles",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfHandles();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInteraction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteraction",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInteraction();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InteractionOn",argv[1]))&&(argc == 2))
    {
    op->InteractionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InteractionOff",argv[1]))&&(argc == 2))
    {
    op->InteractionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InitializeHandles",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPoints",interp,error));
    if (!error)
    {
    op->InitializeHandles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsClosed",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsClosed();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->SetProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkImageTracerWidgetCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtk3DWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageTracerWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedHandleProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedHandleProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetLineProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedLineProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedLineProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectToPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectToPlane\n",NULL);
    Tcl_AppendResult(interp,"  ProjectToPlaneOn\n",NULL);
    Tcl_AppendResult(interp,"  ProjectToPlaneOff\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormalMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormalMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormal\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToXAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToYAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToZAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetSnapToImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSnapToImage\n",NULL);
    Tcl_AppendResult(interp,"  SnapToImageOn\n",NULL);
    Tcl_AppendResult(interp,"  SnapToImageOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoClose\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoClose\n",NULL);
    Tcl_AppendResult(interp,"  AutoCloseOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoCloseOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCaptureRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCaptureRadius\n",NULL);
    Tcl_AppendResult(interp,"  GetPath\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphSource\n",NULL);
    Tcl_AppendResult(interp,"  SetImageSnapType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSnapTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSnapTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSnapType\n",NULL);
    Tcl_AppendResult(interp,"  SetHandlePosition\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetHandlePosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfHandles\n",NULL);
    Tcl_AppendResult(interp,"  SetInteraction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteraction\n",NULL);
    Tcl_AppendResult(interp,"  InteractionOn\n",NULL);
    Tcl_AppendResult(interp,"  InteractionOff\n",NULL);
    Tcl_AppendResult(interp,"  InitializeHandles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsClosed\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetProp\t with 1 arg\n",NULL);
#endif
    return TCL_OK;
    }

  if (vtk3DWidgetCppCommand((vtk3DWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
