// python wrapper for vtkImplicitPlaneWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkImplicitPlaneWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImplicitPlaneWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImplicitPlaneWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataSourceWidgetNew(char *); }

static PyObject *PyvtkImplicitPlaneWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  const char    *temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  vtkImplicitPlaneWidget  *temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImplicitPlaneWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImplicitPlaneWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp0;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  double temp0[6];
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  PyErr_Clear();
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::PlaceWidget();
      }
    else
      {
      op->PlaceWidget();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  double  *temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::GetOrigin(temp0);
      }
    else
      {
      op->GetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_SetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::SetNormal(temp0,temp1,temp2);
      }
    else
      {
      op->SetNormal(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::SetNormal(temp0);
      }
    else
      {
      op->SetNormal(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  double  *temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetNormal();
      }
    else
      {
      temp20 = op->GetNormal();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::GetNormal(temp0);
      }
    else
      {
      op->GetNormal(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_SetNormalToXAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp0;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::SetNormalToXAxis(temp0);
      }
    else
      {
      op->SetNormalToXAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetNormalToXAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetNormalToXAxis();
      }
    else
      {
      temp20 = op->GetNormalToXAxis();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_NormalToXAxisOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::NormalToXAxisOn();
      }
    else
      {
      op->NormalToXAxisOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_NormalToXAxisOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::NormalToXAxisOff();
      }
    else
      {
      op->NormalToXAxisOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_SetNormalToYAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp0;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::SetNormalToYAxis(temp0);
      }
    else
      {
      op->SetNormalToYAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetNormalToYAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetNormalToYAxis();
      }
    else
      {
      temp20 = op->GetNormalToYAxis();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_NormalToYAxisOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::NormalToYAxisOn();
      }
    else
      {
      op->NormalToYAxisOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_NormalToYAxisOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::NormalToYAxisOff();
      }
    else
      {
      op->NormalToYAxisOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_SetNormalToZAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp0;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::SetNormalToZAxis(temp0);
      }
    else
      {
      op->SetNormalToZAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetNormalToZAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetNormalToZAxis();
      }
    else
      {
      temp20 = op->GetNormalToZAxis();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_NormalToZAxisOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::NormalToZAxisOn();
      }
    else
      {
      op->NormalToZAxisOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_NormalToZAxisOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::NormalToZAxisOff();
      }
    else
      {
      op->NormalToZAxisOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_SetTubing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp0;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::SetTubing(temp0);
      }
    else
      {
      op->SetTubing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetTubing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetTubing();
      }
    else
      {
      temp20 = op->GetTubing();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_TubingOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::TubingOn();
      }
    else
      {
      op->TubingOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_TubingOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::TubingOff();
      }
    else
      {
      op->TubingOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_SetDrawPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp0;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::SetDrawPlane(temp0);
      }
    else
      {
      op->SetDrawPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetDrawPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetDrawPlane();
      }
    else
      {
      temp20 = op->GetDrawPlane();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_DrawPlaneOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::DrawPlaneOn();
      }
    else
      {
      op->DrawPlaneOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_DrawPlaneOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::DrawPlaneOff();
      }
    else
      {
      op->DrawPlaneOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_SetOutlineTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp0;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::SetOutlineTranslation(temp0);
      }
    else
      {
      op->SetOutlineTranslation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetOutlineTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetOutlineTranslation();
      }
    else
      {
      temp20 = op->GetOutlineTranslation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_OutlineTranslationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::OutlineTranslationOn();
      }
    else
      {
      op->OutlineTranslationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_OutlineTranslationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::OutlineTranslationOff();
      }
    else
      {
      op->OutlineTranslationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_SetScaleEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp0;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::SetScaleEnabled(temp0);
      }
    else
      {
      op->SetScaleEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetScaleEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  int      temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetScaleEnabled();
      }
    else
      {
      temp20 = op->GetScaleEnabled();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_ScaleEnabledOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::ScaleEnabledOn();
      }
    else
      {
      op->ScaleEnabledOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_ScaleEnabledOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::ScaleEnabledOff();
      }
    else
      {
      op->ScaleEnabledOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break44;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::GetPolyData(temp0);
      }
    else
      {
      op->GetPolyData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break44:
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetPolyDataAlgorithm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  vtkPolyDataAlgorithm  *temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetPolyDataAlgorithm();
      }
    else
      {
      temp20 = op->GetPolyDataAlgorithm();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  vtkPlane  *temp0;
  PyObject *tempH0;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlane");
    if (!temp0 && tempH0 != Py_None) goto break46;
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::GetPlane(temp0);
      }
    else
      {
      op->GetPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break46:
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_UpdatePlacement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::UpdatePlacement();
      }
    else
      {
      op->UpdatePlacement();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_SizeHandles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImplicitPlaneWidget::SizeHandles();
      }
    else
      {
      op->SizeHandles();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetNormalProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetNormalProperty();
      }
    else
      {
      temp20 = op->GetNormalProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetSelectedNormalProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetSelectedNormalProperty();
      }
    else
      {
      temp20 = op->GetSelectedNormalProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetPlaneProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetPlaneProperty();
      }
    else
      {
      temp20 = op->GetPlaneProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetSelectedPlaneProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetSelectedPlaneProperty();
      }
    else
      {
      temp20 = op->GetSelectedPlaneProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetOutlineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetOutlineProperty();
      }
    else
      {
      temp20 = op->GetOutlineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetSelectedOutlineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetSelectedOutlineProperty();
      }
    else
      {
      temp20 = op->GetSelectedOutlineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImplicitPlaneWidget_GetEdgesProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImplicitPlaneWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkImplicitPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImplicitPlaneWidget::GetEdgesProperty();
      }
    else
      {
      temp20 = op->GetEdgesProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImplicitPlaneWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImplicitPlaneWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImplicitPlaneWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImplicitPlaneWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImplicitPlaneWidget\nC++: vtkImplicitPlaneWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImplicitPlaneWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImplicitPlaneWidget\nC++: vtkImplicitPlaneWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkImplicitPlaneWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkImplicitPlaneWidget_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\nV.PlaceWidget()\nC++: void PlaceWidget ();this Superclass PlaceWidget \nV.PlaceWidget(float, float, float, float, float, float)\nC++: void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax \n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkImplicitPlaneWidget_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double x, double y, double z);\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double x[3]);\n\n Get the origin of the plane.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkImplicitPlaneWidget_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double *GetOrigin ();\nV.GetOrigin((float, float, float))\nC++: void GetOrigin (double xyz[3]);\n\n Get the origin of the plane.\n"},
  {(char*)"SetNormal",                (PyCFunction)PyvtkImplicitPlaneWidget_SetNormal, 1,
   (char*)"V.SetNormal(float, float, float)\nC++: void SetNormal (double x, double y, double z);\nV.SetNormal((float, float, float))\nC++: void SetNormal (double x[3]);\n\n Get the normal to the plane.\n"},
  {(char*)"GetNormal",                (PyCFunction)PyvtkImplicitPlaneWidget_GetNormal, 1,
   (char*)"V.GetNormal() -> (float, float, float)\nC++: double *GetNormal ();\nV.GetNormal((float, float, float))\nC++: void GetNormal (double xyz[3]);\n\n Get the normal to the plane.\n"},
  {(char*)"SetNormalToXAxis",                (PyCFunction)PyvtkImplicitPlaneWidget_SetNormalToXAxis, 1,
   (char*)"V.SetNormalToXAxis(int)\nC++: void SetNormalToXAxis (int );\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"GetNormalToXAxis",                (PyCFunction)PyvtkImplicitPlaneWidget_GetNormalToXAxis, 1,
   (char*)"V.GetNormalToXAxis() -> int\nC++: int GetNormalToXAxis ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"NormalToXAxisOn",                (PyCFunction)PyvtkImplicitPlaneWidget_NormalToXAxisOn, 1,
   (char*)"V.NormalToXAxisOn()\nC++: void NormalToXAxisOn ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"NormalToXAxisOff",                (PyCFunction)PyvtkImplicitPlaneWidget_NormalToXAxisOff, 1,
   (char*)"V.NormalToXAxisOff()\nC++: void NormalToXAxisOff ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"SetNormalToYAxis",                (PyCFunction)PyvtkImplicitPlaneWidget_SetNormalToYAxis, 1,
   (char*)"V.SetNormalToYAxis(int)\nC++: void SetNormalToYAxis (int );\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"GetNormalToYAxis",                (PyCFunction)PyvtkImplicitPlaneWidget_GetNormalToYAxis, 1,
   (char*)"V.GetNormalToYAxis() -> int\nC++: int GetNormalToYAxis ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"NormalToYAxisOn",                (PyCFunction)PyvtkImplicitPlaneWidget_NormalToYAxisOn, 1,
   (char*)"V.NormalToYAxisOn()\nC++: void NormalToYAxisOn ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"NormalToYAxisOff",                (PyCFunction)PyvtkImplicitPlaneWidget_NormalToYAxisOff, 1,
   (char*)"V.NormalToYAxisOff()\nC++: void NormalToYAxisOff ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"SetNormalToZAxis",                (PyCFunction)PyvtkImplicitPlaneWidget_SetNormalToZAxis, 1,
   (char*)"V.SetNormalToZAxis(int)\nC++: void SetNormalToZAxis (int );\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"GetNormalToZAxis",                (PyCFunction)PyvtkImplicitPlaneWidget_GetNormalToZAxis, 1,
   (char*)"V.GetNormalToZAxis() -> int\nC++: int GetNormalToZAxis ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"NormalToZAxisOn",                (PyCFunction)PyvtkImplicitPlaneWidget_NormalToZAxisOn, 1,
   (char*)"V.NormalToZAxisOn()\nC++: void NormalToZAxisOn ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"NormalToZAxisOff",                (PyCFunction)PyvtkImplicitPlaneWidget_NormalToZAxisOff, 1,
   (char*)"V.NormalToZAxisOff()\nC++: void NormalToZAxisOff ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"SetTubing",                (PyCFunction)PyvtkImplicitPlaneWidget_SetTubing, 1,
   (char*)"V.SetTubing(int)\nC++: void SetTubing (int );\n\n Turn on/off tubing of the wire outline of the plane. The tube thickens\n the line by wrapping with a vtkTubeFilter.\n"},
  {(char*)"GetTubing",                (PyCFunction)PyvtkImplicitPlaneWidget_GetTubing, 1,
   (char*)"V.GetTubing() -> int\nC++: int GetTubing ();\n\n Turn on/off tubing of the wire outline of the plane. The tube thickens\n the line by wrapping with a vtkTubeFilter.\n"},
  {(char*)"TubingOn",                (PyCFunction)PyvtkImplicitPlaneWidget_TubingOn, 1,
   (char*)"V.TubingOn()\nC++: void TubingOn ();\n\n Turn on/off tubing of the wire outline of the plane. The tube thickens\n the line by wrapping with a vtkTubeFilter.\n"},
  {(char*)"TubingOff",                (PyCFunction)PyvtkImplicitPlaneWidget_TubingOff, 1,
   (char*)"V.TubingOff()\nC++: void TubingOff ();\n\n Turn on/off tubing of the wire outline of the plane. The tube thickens\n the line by wrapping with a vtkTubeFilter.\n"},
  {(char*)"SetDrawPlane",                (PyCFunction)PyvtkImplicitPlaneWidget_SetDrawPlane, 1,
   (char*)"V.SetDrawPlane(int)\nC++: void SetDrawPlane (int plane);\n\n Enable/disable the drawing of the plane. In some cases the plane\n interferes with the object that it is operating on (i.e., the\n plane interferes with the cut surface it produces producing\n z-buffer artifacts.)\n"},
  {(char*)"GetDrawPlane",                (PyCFunction)PyvtkImplicitPlaneWidget_GetDrawPlane, 1,
   (char*)"V.GetDrawPlane() -> int\nC++: int GetDrawPlane ();\n\n Enable/disable the drawing of the plane. In some cases the plane\n interferes with the object that it is operating on (i.e., the\n plane interferes with the cut surface it produces producing\n z-buffer artifacts.)\n"},
  {(char*)"DrawPlaneOn",                (PyCFunction)PyvtkImplicitPlaneWidget_DrawPlaneOn, 1,
   (char*)"V.DrawPlaneOn()\nC++: void DrawPlaneOn ();\n\n Enable/disable the drawing of the plane. In some cases the plane\n interferes with the object that it is operating on (i.e., the\n plane interferes with the cut surface it produces producing\n z-buffer artifacts.)\n"},
  {(char*)"DrawPlaneOff",                (PyCFunction)PyvtkImplicitPlaneWidget_DrawPlaneOff, 1,
   (char*)"V.DrawPlaneOff()\nC++: void DrawPlaneOff ();\n\n Enable/disable the drawing of the plane. In some cases the plane\n interferes with the object that it is operating on (i.e., the\n plane interferes with the cut surface it produces producing\n z-buffer artifacts.)\n"},
  {(char*)"SetOutlineTranslation",                (PyCFunction)PyvtkImplicitPlaneWidget_SetOutlineTranslation, 1,
   (char*)"V.SetOutlineTranslation(int)\nC++: void SetOutlineTranslation (int );\n\n Turn on/off the ability to translate the bounding box by grabbing it\n with the left mouse button.\n"},
  {(char*)"GetOutlineTranslation",                (PyCFunction)PyvtkImplicitPlaneWidget_GetOutlineTranslation, 1,
   (char*)"V.GetOutlineTranslation() -> int\nC++: int GetOutlineTranslation ();\n\n Turn on/off the ability to translate the bounding box by grabbing it\n with the left mouse button.\n"},
  {(char*)"OutlineTranslationOn",                (PyCFunction)PyvtkImplicitPlaneWidget_OutlineTranslationOn, 1,
   (char*)"V.OutlineTranslationOn()\nC++: void OutlineTranslationOn ();\n\n Turn on/off the ability to translate the bounding box by grabbing it\n with the left mouse button.\n"},
  {(char*)"OutlineTranslationOff",                (PyCFunction)PyvtkImplicitPlaneWidget_OutlineTranslationOff, 1,
   (char*)"V.OutlineTranslationOff()\nC++: void OutlineTranslationOff ();\n\n Turn on/off the ability to translate the bounding box by grabbing it\n with the left mouse button.\n"},
  {(char*)"SetScaleEnabled",                (PyCFunction)PyvtkImplicitPlaneWidget_SetScaleEnabled, 1,
   (char*)"V.SetScaleEnabled(int)\nC++: void SetScaleEnabled (int );\n\n Turn on/off the ability to scale with the mouse \n"},
  {(char*)"GetScaleEnabled",                (PyCFunction)PyvtkImplicitPlaneWidget_GetScaleEnabled, 1,
   (char*)"V.GetScaleEnabled() -> int\nC++: int GetScaleEnabled ();\n\n Turn on/off the ability to scale with the mouse \n"},
  {(char*)"ScaleEnabledOn",                (PyCFunction)PyvtkImplicitPlaneWidget_ScaleEnabledOn, 1,
   (char*)"V.ScaleEnabledOn()\nC++: void ScaleEnabledOn ();\n\n Turn on/off the ability to scale with the mouse \n"},
  {(char*)"ScaleEnabledOff",                (PyCFunction)PyvtkImplicitPlaneWidget_ScaleEnabledOff, 1,
   (char*)"V.ScaleEnabledOff()\nC++: void ScaleEnabledOff ();\n\n Turn on/off the ability to scale with the mouse \n"},
  {(char*)"GetPolyData",                (PyCFunction)PyvtkImplicitPlaneWidget_GetPolyData, 1,
   (char*)"V.GetPolyData(vtkPolyData)\nC++: void GetPolyData (vtkPolyData *pd);\n\n Grab the polydata that defines the plane. The polydata contains a single\n polygon that is clipped by the bounding box.\n"},
  {(char*)"GetPolyDataAlgorithm",                (PyCFunction)PyvtkImplicitPlaneWidget_GetPolyDataAlgorithm, 1,
   (char*)"V.GetPolyDataAlgorithm() -> vtkPolyDataAlgorithm\nC++: vtkPolyDataAlgorithm *GetPolyDataAlgorithm ();\n\n Satisfies superclass API.  This returns a pointer to the underlying\n PolyData (which represents the plane).\n"},
  {(char*)"GetPlane",                (PyCFunction)PyvtkImplicitPlaneWidget_GetPlane, 1,
   (char*)"V.GetPlane(vtkPlane)\nC++: void GetPlane (vtkPlane *plane);\n\n Get the implicit function for the plane. The user must provide the\n instance of the class vtkPlane. Note that vtkPlane is a subclass of\n vtkImplicitFunction, meaning that it can be used by a variety of filters\n to perform clipping, cutting, and selection of data.\n"},
  {(char*)"UpdatePlacement",                (PyCFunction)PyvtkImplicitPlaneWidget_UpdatePlacement, 1,
   (char*)"V.UpdatePlacement()\nC++: void UpdatePlacement (void );\n\n Satisfies the superclass API.  This will change the state of the widget\n to match changes that have been made to the underlying PolyDataSource\n"},
  {(char*)"SizeHandles",                (PyCFunction)PyvtkImplicitPlaneWidget_SizeHandles, 1,
   (char*)"V.SizeHandles()\nC++: virtual void SizeHandles ();\n\n Control widget appearance\n"},
  {(char*)"GetNormalProperty",                (PyCFunction)PyvtkImplicitPlaneWidget_GetNormalProperty, 1,
   (char*)"V.GetNormalProperty() -> vtkProperty\nC++: vtkProperty *GetNormalProperty ();\n\n Get the properties on the normal (line and cone).\n"},
  {(char*)"GetSelectedNormalProperty",                (PyCFunction)PyvtkImplicitPlaneWidget_GetSelectedNormalProperty, 1,
   (char*)"V.GetSelectedNormalProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedNormalProperty ();\n\n Get the properties on the normal (line and cone).\n"},
  {(char*)"GetPlaneProperty",                (PyCFunction)PyvtkImplicitPlaneWidget_GetPlaneProperty, 1,
   (char*)"V.GetPlaneProperty() -> vtkProperty\nC++: vtkProperty *GetPlaneProperty ();\n\n Get the plane properties. The properties of the plane when selected \n and unselected can be manipulated.\n"},
  {(char*)"GetSelectedPlaneProperty",                (PyCFunction)PyvtkImplicitPlaneWidget_GetSelectedPlaneProperty, 1,
   (char*)"V.GetSelectedPlaneProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedPlaneProperty ();\n\n Get the plane properties. The properties of the plane when selected \n and unselected can be manipulated.\n"},
  {(char*)"GetOutlineProperty",                (PyCFunction)PyvtkImplicitPlaneWidget_GetOutlineProperty, 1,
   (char*)"V.GetOutlineProperty() -> vtkProperty\nC++: vtkProperty *GetOutlineProperty ();\n\n Get the property of the outline.\n"},
  {(char*)"GetSelectedOutlineProperty",                (PyCFunction)PyvtkImplicitPlaneWidget_GetSelectedOutlineProperty, 1,
   (char*)"V.GetSelectedOutlineProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedOutlineProperty ();\n\n Get the property of the outline.\n"},
  {(char*)"GetEdgesProperty",                (PyCFunction)PyvtkImplicitPlaneWidget_GetEdgesProperty, 1,
   (char*)"V.GetEdgesProperty() -> vtkProperty\nC++: vtkProperty *GetEdgesProperty ();\n\n Get the property of the intersection edges. (This property also\n applies to the edges when tubed.)\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImplicitPlaneWidgetDoc[] = {
  (char*)"vtkImplicitPlaneWidget - 3D widget for manipulating an infinite plane\n\n",
  "Super Class:\n\n vtkPolyDataSourceWidget\n\n",
  (char*)" This 3D widget defines an infinite plane that can be interactively placed\n in a scene. The widget is represented by a plane with a normal vector; the\n plane is contained by a bounding box, and where the plane intersects the\n bounding box the edges are shown (possibly tubed). The normal can be\n selected and moved to rotate the plane; the plane itself can be selected\n and translated in various dire",
  (char*)"ctions. As the plane is moved, the implicit\n plane function and polygon (representing the plane cut against the bounding\n box) is updated.\n\n To use this object, just invoke SetInteractor() with the argument of the\n method a vtkRenderWindowInteractor.  You may also wish to invoke\n \"PlaceWidget()\" to initially position the widget. If the \"i\" key (for\n \"interactor\") is pressed, the vtkImplicitPlaneWi",
  (char*)"dget will appear. (See\n superclass documentation for information about changing this behavior.)\n If you select the normal vector, the plane can be arbitrarily rotated. The\n plane can be translated along the normal by selecting the plane and moving\n it. The plane (the plane origin) can also be arbitrary moved by selecting\n the plane with the middle mouse button. The right mouse button can be used\n ",
  (char*)"to uniformly scale the bounding box (moving \"up\" the box scales larger;\n moving \"down\" the box scales smaller). Events that occur outside of the\n widget (i.e., no part of the widget is picked) are propagated to any other\n registered obsevers (such as the interaction style).  Turn off the widget\n by pressing the \"i\" key again (or invoke the Off() method).\n\n The vtkImplicitPlaneWidget has several me",
  (char*)"thods that can be used in\n conjunction with other VTK objects.  The GetPolyData() method can be used\n to get a polygonal representation (the single polygon clipped by the\n bounding box).  Typical usage of the widget is to make use of the\n StartInteractionEvent, InteractionEvent, and EndInteractionEvent\n events. The InteractionEvent is called on mouse motion; the other two\n events are called on but",
  (char*)"ton down and button up (either left or right\n button). (Note: there is also a PlaceWidgetEvent that is invoked when\n the widget is placed with PlaceWidget().)\n\n Some additional features of this class include the ability to control the\n properties of the widget. You do this by setting property values on the\n normal vector (selected and unselected properties); the plane (selected\n and unselected pro",
  (char*)"perties); the outline (selected and unselected\n properties); and the edges. The edges may also be tubed or not.\n\n",
  "Caveats:\n\n Note that the widget can be picked even when it is \"behind\"\n other actors.  This is an intended feature and not a bug.\n\n",
  "See Also:\n\n vtk3DWidget vtkBoxWidget vtkPlaneWidget vtkLineWidget vtkPointWidget\n vtkSphereWidget vtkImagePlaneWidget\n\n",
  NULL
};

static vtkObjectBase *vtkImplicitPlaneWidgetStaticNew()
{
  return vtkImplicitPlaneWidget::New();
}

PyObject *PyVTKClass_vtkImplicitPlaneWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkImplicitPlaneWidgetStaticNew,
                        PyvtkImplicitPlaneWidgetMethods,
                        (char*)"vtkImplicitPlaneWidget",modulename,
                        (char**)vtkImplicitPlaneWidgetDoc,
                        PyVTKClass_vtkPolyDataSourceWidgetNew(modulename));
}

