// python wrapper for vtkLineWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkLineWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLineWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLineWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtk3DWidgetNew(char *); }

static PyObject *PyvtkLineWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  const char    *temp20;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  vtkLineWidget  *temp20;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLineWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLineWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLineWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  int      temp0;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  double temp0[6];
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  PyErr_Clear();
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::PlaceWidget();
      }
    else
      {
      op->PlaceWidget();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_SetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  int      temp0;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::SetResolution(temp0);
      }
    else
      {
      op->SetResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_GetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  int      temp20;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineWidget::GetResolution();
      }
    else
      {
      temp20 = op->GetResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_SetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::SetPoint1(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint1(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::SetPoint1(temp0);
      }
    else
      {
      op->SetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_GetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  double  *temp20;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineWidget::GetPoint1();
      }
    else
      {
      temp20 = op->GetPoint1();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::GetPoint1(temp0);
      }
    else
      {
      op->GetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_SetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::SetPoint2(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::SetPoint2(temp0);
      }
    else
      {
      op->SetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_GetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  double  *temp20;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineWidget::GetPoint2();
      }
    else
      {
      temp20 = op->GetPoint2();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::GetPoint2(temp0);
      }
    else
      {
      op->GetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_SetAlign(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  int      temp0;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::SetAlign(temp0);
      }
    else
      {
      op->SetAlign(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_GetAlignMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  int      temp20;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineWidget::GetAlignMinValue();
      }
    else
      {
      temp20 = op->GetAlignMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_GetAlignMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  int      temp20;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineWidget::GetAlignMaxValue();
      }
    else
      {
      temp20 = op->GetAlignMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_GetAlign(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  int      temp20;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineWidget::GetAlign();
      }
    else
      {
      temp20 = op->GetAlign();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_SetAlignToXAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::SetAlignToXAxis();
      }
    else
      {
      op->SetAlignToXAxis();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_SetAlignToYAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::SetAlignToYAxis();
      }
    else
      {
      op->SetAlignToYAxis();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_SetAlignToZAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::SetAlignToZAxis();
      }
    else
      {
      op->SetAlignToZAxis();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_SetAlignToNone(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::SetAlignToNone();
      }
    else
      {
      op->SetAlignToNone();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_SetClampToBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  int      temp0;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::SetClampToBounds(temp0);
      }
    else
      {
      op->SetClampToBounds(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_GetClampToBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  int      temp20;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineWidget::GetClampToBounds();
      }
    else
      {
      temp20 = op->GetClampToBounds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_ClampToBoundsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::ClampToBoundsOn();
      }
    else
      {
      op->ClampToBoundsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_ClampToBoundsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::ClampToBoundsOff();
      }
    else
      {
      op->ClampToBoundsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_GetPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      op->vtkLineWidget::GetPolyData(temp0);
      }
    else
      {
      op->GetPolyData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkLineWidget_GetHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineWidget::GetHandleProperty();
      }
    else
      {
      temp20 = op->GetHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_GetSelectedHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineWidget::GetSelectedHandleProperty();
      }
    else
      {
      temp20 = op->GetSelectedHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_GetLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineWidget::GetLineProperty();
      }
    else
      {
      temp20 = op->GetLineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineWidget_GetSelectedLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkLineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineWidget::GetSelectedLineProperty();
      }
    else
      {
      temp20 = op->GetSelectedLineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLineWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLineWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLineWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLineWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLineWidget\nC++: vtkLineWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLineWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLineWidget\nC++: vtkLineWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkLineWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkLineWidget_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\nV.PlaceWidget()\nC++: void PlaceWidget ();this Superclass PlaceWidget \nV.PlaceWidget(float, float, float, float, float, float)\nC++: void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax \n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"SetResolution",                (PyCFunction)PyvtkLineWidget_SetResolution, 1,
   (char*)"V.SetResolution(int)\nC++: void SetResolution (int r);this LineSource SetResolution r \n\n Set/Get the resolution (number of subdivisions) of the line.\n"},
  {(char*)"GetResolution",                (PyCFunction)PyvtkLineWidget_GetResolution, 1,
   (char*)"V.GetResolution() -> int\nC++: int GetResolution ();return this LineSource GetResolution \n\n Set/Get the position of first end point.\n"},
  {(char*)"SetPoint1",                (PyCFunction)PyvtkLineWidget_SetPoint1, 1,
   (char*)"V.SetPoint1(float, float, float)\nC++: void SetPoint1 (double x, double y, double z);\nV.SetPoint1((float, float, float))\nC++: void SetPoint1 (double x[3]);this SetPoint1 x x x \n\n Set/Get the position of first end point.\n"},
  {(char*)"GetPoint1",                (PyCFunction)PyvtkLineWidget_GetPoint1, 1,
   (char*)"V.GetPoint1() -> (float, float, float)\nC++: double *GetPoint1 ();return this LineSource GetPoint1 \nV.GetPoint1((float, float, float))\nC++: void GetPoint1 (double xyz[3]);this LineSource GetPoint1 xyz \n\n Set/Get the position of first end point.\n"},
  {(char*)"SetPoint2",                (PyCFunction)PyvtkLineWidget_SetPoint2, 1,
   (char*)"V.SetPoint2(float, float, float)\nC++: void SetPoint2 (double x, double y, double z);\nV.SetPoint2((float, float, float))\nC++: void SetPoint2 (double x[3]);this SetPoint2 x x x \n\n Set position of other end point.\n"},
  {(char*)"GetPoint2",                (PyCFunction)PyvtkLineWidget_GetPoint2, 1,
   (char*)"V.GetPoint2() -> (float, float, float)\nC++: double *GetPoint2 ();return this LineSource GetPoint2 \nV.GetPoint2((float, float, float))\nC++: void GetPoint2 (double xyz[3]);this LineSource GetPoint2 xyz \n\n Set position of other end point.\n"},
  {(char*)"SetAlign",                (PyCFunction)PyvtkLineWidget_SetAlign, 1,
   (char*)"V.SetAlign(int)\nC++: void SetAlign (int );\n\n Force the line widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the line to the axes if it is orginally\n not aligned.\n"},
  {(char*)"GetAlignMinValue",                (PyCFunction)PyvtkLineWidget_GetAlignMinValue, 1,
   (char*)"V.GetAlignMinValue() -> int\nC++: int GetAlignMinValue ();\n\n Force the line widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the line to the axes if it is orginally\n not aligned.\n"},
  {(char*)"GetAlignMaxValue",                (PyCFunction)PyvtkLineWidget_GetAlignMaxValue, 1,
   (char*)"V.GetAlignMaxValue() -> int\nC++: int GetAlignMaxValue ();\n\n Force the line widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the line to the axes if it is orginally\n not aligned.\n"},
  {(char*)"GetAlign",                (PyCFunction)PyvtkLineWidget_GetAlign, 1,
   (char*)"V.GetAlign() -> int\nC++: int GetAlign ();\n\n Force the line widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the line to the axes if it is orginally\n not aligned.\n"},
  {(char*)"SetAlignToXAxis",                (PyCFunction)PyvtkLineWidget_SetAlignToXAxis, 1,
   (char*)"V.SetAlignToXAxis()\nC++: void SetAlignToXAxis ();this SetAlign XAxis \n\n Force the line widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the line to the axes if it is orginally\n not aligned.\n"},
  {(char*)"SetAlignToYAxis",                (PyCFunction)PyvtkLineWidget_SetAlignToYAxis, 1,
   (char*)"V.SetAlignToYAxis()\nC++: void SetAlignToYAxis ();this SetAlign YAxis \n\n Force the line widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the line to the axes if it is orginally\n not aligned.\n"},
  {(char*)"SetAlignToZAxis",                (PyCFunction)PyvtkLineWidget_SetAlignToZAxis, 1,
   (char*)"V.SetAlignToZAxis()\nC++: void SetAlignToZAxis ();this SetAlign ZAxis \n\n Force the line widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the line to the axes if it is orginally\n not aligned.\n"},
  {(char*)"SetAlignToNone",                (PyCFunction)PyvtkLineWidget_SetAlignToNone, 1,
   (char*)"V.SetAlignToNone()\nC++: void SetAlignToNone ();this SetAlign None \n\n Enable/disable clamping of the point end points to the bounding box\n of the data. The bounding box is defined from the last PlaceWidget()\n invocation, and includes the effect of the PlaceFactor which is used\n to gram/shrink the bounding box.\n"},
  {(char*)"SetClampToBounds",                (PyCFunction)PyvtkLineWidget_SetClampToBounds, 1,
   (char*)"V.SetClampToBounds(int)\nC++: void SetClampToBounds (int );\n\n Enable/disable clamping of the point end points to the bounding box\n of the data. The bounding box is defined from the last PlaceWidget()\n invocation, and includes the effect of the PlaceFactor which is used\n to gram/shrink the bounding box.\n"},
  {(char*)"GetClampToBounds",                (PyCFunction)PyvtkLineWidget_GetClampToBounds, 1,
   (char*)"V.GetClampToBounds() -> int\nC++: int GetClampToBounds ();\n\n Enable/disable clamping of the point end points to the bounding box\n of the data. The bounding box is defined from the last PlaceWidget()\n invocation, and includes the effect of the PlaceFactor which is used\n to gram/shrink the bounding box.\n"},
  {(char*)"ClampToBoundsOn",                (PyCFunction)PyvtkLineWidget_ClampToBoundsOn, 1,
   (char*)"V.ClampToBoundsOn()\nC++: void ClampToBoundsOn ();\n\n Enable/disable clamping of the point end points to the bounding box\n of the data. The bounding box is defined from the last PlaceWidget()\n invocation, and includes the effect of the PlaceFactor which is used\n to gram/shrink the bounding box.\n"},
  {(char*)"ClampToBoundsOff",                (PyCFunction)PyvtkLineWidget_ClampToBoundsOff, 1,
   (char*)"V.ClampToBoundsOff()\nC++: void ClampToBoundsOff ();\n\n Enable/disable clamping of the point end points to the bounding box\n of the data. The bounding box is defined from the last PlaceWidget()\n invocation, and includes the effect of the PlaceFactor which is used\n to gram/shrink the bounding box.\n"},
  {(char*)"GetPolyData",                (PyCFunction)PyvtkLineWidget_GetPolyData, 1,
   (char*)"V.GetPolyData(vtkPolyData)\nC++: void GetPolyData (vtkPolyData *pd);\n\n Grab the polydata (including points) that defines the line.  The\n polydata consists of n+1 points, where n is the resolution of the\n line. These point values are guaranteed to be up-to-date when either the\n InteractionEvent or EndInteraction events are invoked. The user provides\n the vtkPolyData and the points and polyline are added to it.\n"},
  {(char*)"GetHandleProperty",                (PyCFunction)PyvtkLineWidget_GetHandleProperty, 1,
   (char*)"V.GetHandleProperty() -> vtkProperty\nC++: vtkProperty *GetHandleProperty ();\n\n Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n manipulated.\n"},
  {(char*)"GetSelectedHandleProperty",                (PyCFunction)PyvtkLineWidget_GetSelectedHandleProperty, 1,
   (char*)"V.GetSelectedHandleProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedHandleProperty ();\n\n Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n manipulated.\n"},
  {(char*)"GetLineProperty",                (PyCFunction)PyvtkLineWidget_GetLineProperty, 1,
   (char*)"V.GetLineProperty() -> vtkProperty\nC++: vtkProperty *GetLineProperty ();\n\n Get the line properties. The properties of the line when selected \n and unselected can be manipulated.\n"},
  {(char*)"GetSelectedLineProperty",                (PyCFunction)PyvtkLineWidget_GetSelectedLineProperty, 1,
   (char*)"V.GetSelectedLineProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedLineProperty ();\n\n Get the line properties. The properties of the line when selected \n and unselected can be manipulated.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLineWidgetDoc[] = {
  (char*)"vtkLineWidget - 3D widget for manipulating a line\n\n",
  "Super Class:\n\n vtk3DWidget\n\n",
  (char*)" This 3D widget defines a line that can be interactively placed in a\n scene. The line has two handles (at its endpoints), plus the line can be\n picked to translate it in the scene.  A nice feature of the object is that\n the vtkLineWidget, like any 3D widget, will work with the current\n interactor style and any other widgets present in the scene. That is, if\n vtkLineWidget does not handle an event,",
  (char*)" then all other registered\n observers (including the interactor style) have an opportunity to process\n the event. Otherwise, the vtkLineWidget will terminate the processing of\n the event that it handles.\n\n To use this object, just invoke SetInteractor() with the argument of the\n method a vtkRenderWindowInteractor.  You may also wish to invoke\n \"PlaceWidget()\" to initially position the widget. The ",
  (char*)"interactor will act\n normally until the \"i\" key (for \"interactor\") is pressed, at which point\n the vtkLineWidget will appear. (See superclass documentation for\n information about changing this behavior.) By grabbing one of the two end\n point handles (use the left mouse button), the line can be oriented and\n stretched (the other end point remains fixed). By grabbing the line\n itself, or using the m",
  (char*)"iddle mouse button, the entire line can be\n translated.  Scaling (about the center of the line) is achieved by using\n the right mouse button. By moving the mouse \"up\" the render window the\n line will be made bigger; by moving \"down\" the render window the widget\n will be made smaller. Turn off the widget by pressing the \"i\" key again\n (or invoke the Off() method). (Note: picking the line or either ",
  (char*)"one of the\n two end point handles causes a vtkPointWidget to appear.  This widget has\n the ability to constrain motion to an axis by pressing the \"shift\" key\n while moving the mouse.)\n\n The vtkLineWidget has several methods that can be used in conjunction with\n other VTK objects. The Set/GetResolution() methods control the number of\n subdivisions of the line; the GetPolyData() method can be used t",
  (char*)"o get the\n polygonal representation and can be used for things like seeding\n streamlines. Typical usage of the widget is to make use of the\n StartInteractionEvent, InteractionEvent, and EndInteractionEvent\n events. The InteractionEvent is called on mouse motion; the other two\n events are called on button down and button up (either left or right\n button).\n\n Some additional features of this class in",
  (char*)"clude the ability to control the\n properties of the widget. You can set the properties of the selected and\n unselected representations of the line. For example, you can set the\n property for the handles and line. In addition there are methods to\n constrain the line so that it is aligned along the x-y-z axes.\n\n",
  "Caveats:\n\n Note that handles and line can be picked even when they are \"behind\" other\n actors.  This is an intended feature and not a bug.\n\n",
  "See Also:\n\n vtk3DWidget vtkBoxWidget vtkPlaneWidget\n\n",
  NULL
};

static vtkObjectBase *vtkLineWidgetStaticNew()
{
  return vtkLineWidget::New();
}

PyObject *PyVTKClass_vtkLineWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkLineWidgetStaticNew,
                        PyvtkLineWidgetMethods,
                        (char*)"vtkLineWidget",modulename,
                        (char**)vtkLineWidgetDoc,
                        PyVTKClass_vtk3DWidgetNew(modulename));
}

