// python wrapper for vtkScalarBarWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkScalarBarWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkScalarBarWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkScalarBarWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInteractorObserverNew(char *); }

static PyObject *PyvtkScalarBarWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  const char    *temp20;
  if ((op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  vtkScalarBarWidget  *temp20;
  if ((op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkScalarBarWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkScalarBarWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_SetScalarBarActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  vtkScalarBarActor  *temp0;
  PyObject *tempH0;
  if ((op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkScalarBarActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarBarActor");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarWidget::SetScalarBarActor(temp0);
      }
    else
      {
      op->SetScalarBarActor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_GetScalarBarActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  vtkScalarBarActor  *temp20;
  if ((op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarWidget::GetScalarBarActor();
      }
    else
      {
      temp20 = op->GetScalarBarActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  int      temp0;
  if ((op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkScalarBarWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkScalarBarWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkScalarBarWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkScalarBarWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkScalarBarWidget\nC++: vtkScalarBarWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkScalarBarWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkScalarBarWidget\nC++: vtkScalarBarWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetScalarBarActor",                (PyCFunction)PyvtkScalarBarWidget_SetScalarBarActor, 1,
   (char*)"V.SetScalarBarActor(vtkScalarBarActor)\nC++: void SetScalarBarActor (vtkScalarBarActor *scalarbar);\n\n Get the ScalarBar used by this Widget. One is created automatically.\n"},
  {(char*)"GetScalarBarActor",                (PyCFunction)PyvtkScalarBarWidget_GetScalarBarActor, 1,
   (char*)"V.GetScalarBarActor() -> vtkScalarBarActor\nC++: vtkScalarBarActor *GetScalarBarActor ();\n\n Get the ScalarBar used by this Widget. One is created automatically.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkScalarBarWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Methods for turning the interactor observer on and off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkScalarBarWidgetDoc[] = {
  (char*)"vtkScalarBarWidget - 2D widget for manipulating a scalar bar\n\n",
  "Super Class:\n\n vtkInteractorObserver\n\n",
  (char*)" This class provides support for interactively manipulating the position,\n size, and orientation of a scalar bar. It listens to Left mouse events and\n mouse movement. It also listens to Right mouse events and notifies any \n observers of Right mouse events on this object when they occur.\n It will change the cursor shape based on its location. If\n the cursor is over an edge of the scalar bar it will",
  (char*)" change the cursor\n shape to a resize edge shape. If the position of a scalar bar is moved to\n be close to the center of one of the four edges of the viewport, then the\n scalar bar will change its orientation to align with that edge. This\n orientation is sticky in that it will stay that orientation until the\n position is moved close to another edge.\n\n",
  "See Also:\n\n vtkInteractorObserver\n\n",
  NULL
};

static vtkObjectBase *vtkScalarBarWidgetStaticNew()
{
  return vtkScalarBarWidget::New();
}

PyObject *PyVTKClass_vtkScalarBarWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkScalarBarWidgetStaticNew,
                        PyvtkScalarBarWidgetMethods,
                        (char*)"vtkScalarBarWidget",modulename,
                        (char**)vtkScalarBarWidgetDoc,
                        PyVTKClass_vtkInteractorObserverNew(modulename));
}

