// python wrapper for vtkSphereWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSphereWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSphereWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSphereWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtk3DWidgetNew(char *); }

static PyObject *PyvtkSphereWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  const char    *temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  vtkSphereWidget  *temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSphereWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSphereWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSphereWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp0;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  double temp0[6];
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  PyErr_Clear();
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::PlaceWidget();
      }
    else
      {
      op->PlaceWidget();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp0;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetRepresentationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetRepresentationMinValue();
      }
    else
      {
      temp20 = op->GetRepresentationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetRepresentationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetRepresentationMaxValue();
      }
    else
      {
      temp20 = op->GetRepresentationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetRepresentation();
      }
    else
      {
      temp20 = op->GetRepresentation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_SetRepresentationToOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetRepresentationToOff();
      }
    else
      {
      op->SetRepresentationToOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_SetRepresentationToWireframe(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetRepresentationToWireframe();
      }
    else
      {
      op->SetRepresentationToWireframe();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_SetRepresentationToSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetRepresentationToSurface();
      }
    else
      {
      op->SetRepresentationToSurface();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_SetThetaResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp0;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetThetaResolution(temp0);
      }
    else
      {
      op->SetThetaResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetThetaResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetThetaResolution();
      }
    else
      {
      temp20 = op->GetThetaResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_SetPhiResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp0;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetPhiResolution(temp0);
      }
    else
      {
      op->SetPhiResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetPhiResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetPhiResolution();
      }
    else
      {
      temp20 = op->GetPhiResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  double   temp0;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  double   temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  double  *temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::GetCenter(temp0);
      }
    else
      {
      op->GetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_SetTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp0;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetTranslation(temp0);
      }
    else
      {
      op->SetTranslation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetTranslation();
      }
    else
      {
      temp20 = op->GetTranslation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_TranslationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::TranslationOn();
      }
    else
      {
      op->TranslationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_TranslationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::TranslationOff();
      }
    else
      {
      op->TranslationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_SetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp0;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetScale(temp0);
      }
    else
      {
      op->SetScale(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetScale(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetScale();
      }
    else
      {
      temp20 = op->GetScale();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_ScaleOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::ScaleOn();
      }
    else
      {
      op->ScaleOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_ScaleOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::ScaleOff();
      }
    else
      {
      op->ScaleOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_SetHandleVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp0;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetHandleVisibility(temp0);
      }
    else
      {
      op->SetHandleVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetHandleVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  int      temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetHandleVisibility();
      }
    else
      {
      temp20 = op->GetHandleVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_HandleVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::HandleVisibilityOn();
      }
    else
      {
      op->HandleVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_HandleVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::HandleVisibilityOff();
      }
    else
      {
      op->HandleVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_SetHandleDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetHandleDirection(temp0,temp1,temp2);
      }
    else
      {
      op->SetHandleDirection(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  double temp0[3];
  PyErr_Clear();
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::SetHandleDirection(temp0);
      }
    else
      {
      op->SetHandleDirection(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetHandleDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  double  *temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetHandleDirection();
      }
    else
      {
      temp20 = op->GetHandleDirection();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetHandlePosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  double  *temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetHandlePosition();
      }
    else
      {
      temp20 = op->GetHandlePosition();
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break41;
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::GetPolyData(temp0);
      }
    else
      {
      op->GetPolyData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break41:
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetSphere(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  vtkSphere  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkSphere *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSphere");
    if (!temp0 && tempH0 != Py_None) goto break42;
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereWidget::GetSphere(temp0);
      }
    else
      {
      op->GetSphere(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break42:
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetSphereProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetSphereProperty();
      }
    else
      {
      temp20 = op->GetSphereProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetSelectedSphereProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetSelectedSphereProperty();
      }
    else
      {
      temp20 = op->GetSelectedSphereProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetHandleProperty();
      }
    else
      {
      temp20 = op->GetHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereWidget_GetSelectedHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkSphereWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereWidget::GetSelectedHandleProperty();
      }
    else
      {
      temp20 = op->GetSelectedHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSphereWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSphereWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSphereWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSphereWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSphereWidget\nC++: vtkSphereWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSphereWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSphereWidget\nC++: vtkSphereWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkSphereWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkSphereWidget_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\nV.PlaceWidget()\nC++: void PlaceWidget ();this Superclass PlaceWidget \nV.PlaceWidget(float, float, float, float, float, float)\nC++: void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax \n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkSphereWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(int)\nC++: void SetRepresentation (int );\n\n Set the representation of the sphere. Different representations are\n useful depending on the application.\n"},
  {(char*)"GetRepresentationMinValue",                (PyCFunction)PyvtkSphereWidget_GetRepresentationMinValue, 1,
   (char*)"V.GetRepresentationMinValue() -> int\nC++: int GetRepresentationMinValue ();\n\n Set the representation of the sphere. Different representations are\n useful depending on the application.\n"},
  {(char*)"GetRepresentationMaxValue",                (PyCFunction)PyvtkSphereWidget_GetRepresentationMaxValue, 1,
   (char*)"V.GetRepresentationMaxValue() -> int\nC++: int GetRepresentationMaxValue ();\n\n Set the representation of the sphere. Different representations are\n useful depending on the application.\n"},
  {(char*)"GetRepresentation",                (PyCFunction)PyvtkSphereWidget_GetRepresentation, 1,
   (char*)"V.GetRepresentation() -> int\nC++: int GetRepresentation ();\n\n Set the representation of the sphere. Different representations are\n useful depending on the application.\n"},
  {(char*)"SetRepresentationToOff",                (PyCFunction)PyvtkSphereWidget_SetRepresentationToOff, 1,
   (char*)"V.SetRepresentationToOff()\nC++: void SetRepresentationToOff ();this SetRepresentation VTK_SPHERE_OFF \n\n Set the representation of the sphere. Different representations are\n useful depending on the application.\n"},
  {(char*)"SetRepresentationToWireframe",                (PyCFunction)PyvtkSphereWidget_SetRepresentationToWireframe, 1,
   (char*)"V.SetRepresentationToWireframe()\nC++: void SetRepresentationToWireframe ();this SetRepresentation VTK_SPHERE_WIREFRAME \n\n Set the representation of the sphere. Different representations are\n useful depending on the application.\n"},
  {(char*)"SetRepresentationToSurface",                (PyCFunction)PyvtkSphereWidget_SetRepresentationToSurface, 1,
   (char*)"V.SetRepresentationToSurface()\nC++: void SetRepresentationToSurface ();this SetRepresentation VTK_SPHERE_SURFACE \n\n Set/Get the resolution of the sphere in the Theta direction.\n"},
  {(char*)"SetThetaResolution",                (PyCFunction)PyvtkSphereWidget_SetThetaResolution, 1,
   (char*)"V.SetThetaResolution(int)\nC++: void SetThetaResolution (int r);this SphereSource SetThetaResolution r \n\n Set/Get the resolution of the sphere in the Theta direction.\n"},
  {(char*)"GetThetaResolution",                (PyCFunction)PyvtkSphereWidget_GetThetaResolution, 1,
   (char*)"V.GetThetaResolution() -> int\nC++: int GetThetaResolution ();return this SphereSource GetThetaResolution \n\n Set/Get the resolution of the sphere in the Phi direction.\n"},
  {(char*)"SetPhiResolution",                (PyCFunction)PyvtkSphereWidget_SetPhiResolution, 1,
   (char*)"V.SetPhiResolution(int)\nC++: void SetPhiResolution (int r);this SphereSource SetPhiResolution r \n\n Set/Get the resolution of the sphere in the Phi direction.\n"},
  {(char*)"GetPhiResolution",                (PyCFunction)PyvtkSphereWidget_GetPhiResolution, 1,
   (char*)"V.GetPhiResolution() -> int\nC++: int GetPhiResolution ();return this SphereSource GetPhiResolution \n\n Set/Get the radius of sphere. Default is .5.\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkSphereWidget_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double r);if r r this SphereSource SetRadius r \n\n Set/Get the radius of sphere. Default is .5.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkSphereWidget_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();return this SphereSource GetRadius \n\n Set/Get the center of the sphere.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkSphereWidget_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double x, double y, double z);this SphereSource SetCenter x y z \nV.SetCenter((float, float, float))\nC++: void SetCenter (double x[3]);this SetCenter x x x \n\n Set/Get the center of the sphere.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkSphereWidget_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double *GetCenter ();return this SphereSource GetCenter \nV.GetCenter((float, float, float))\nC++: void GetCenter (double xyz[3]);this SphereSource GetCenter xyz \n\n Set/Get the center of the sphere.\n"},
  {(char*)"SetTranslation",                (PyCFunction)PyvtkSphereWidget_SetTranslation, 1,
   (char*)"V.SetTranslation(int)\nC++: void SetTranslation (int );\n\n Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n"},
  {(char*)"GetTranslation",                (PyCFunction)PyvtkSphereWidget_GetTranslation, 1,
   (char*)"V.GetTranslation() -> int\nC++: int GetTranslation ();\n\n Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n"},
  {(char*)"TranslationOn",                (PyCFunction)PyvtkSphereWidget_TranslationOn, 1,
   (char*)"V.TranslationOn()\nC++: void TranslationOn ();\n\n Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n"},
  {(char*)"TranslationOff",                (PyCFunction)PyvtkSphereWidget_TranslationOff, 1,
   (char*)"V.TranslationOff()\nC++: void TranslationOff ();\n\n Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n"},
  {(char*)"SetScale",                (PyCFunction)PyvtkSphereWidget_SetScale, 1,
   (char*)"V.SetScale(int)\nC++: void SetScale (int );\n\n Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n"},
  {(char*)"GetScale",                (PyCFunction)PyvtkSphereWidget_GetScale, 1,
   (char*)"V.GetScale() -> int\nC++: int GetScale ();\n\n Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n"},
  {(char*)"ScaleOn",                (PyCFunction)PyvtkSphereWidget_ScaleOn, 1,
   (char*)"V.ScaleOn()\nC++: void ScaleOn ();\n\n Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n"},
  {(char*)"ScaleOff",                (PyCFunction)PyvtkSphereWidget_ScaleOff, 1,
   (char*)"V.ScaleOff()\nC++: void ScaleOff ();\n\n Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n"},
  {(char*)"SetHandleVisibility",                (PyCFunction)PyvtkSphereWidget_SetHandleVisibility, 1,
   (char*)"V.SetHandleVisibility(int)\nC++: void SetHandleVisibility (int );\n\n The handle sits on the surface of the sphere and may be moved around\n the surface by picking (left mouse) and then moving. The position\n of the handle can be retrieved, this is useful for positioning cameras\n and lights. By default, the handle is turned off.\n"},
  {(char*)"GetHandleVisibility",                (PyCFunction)PyvtkSphereWidget_GetHandleVisibility, 1,
   (char*)"V.GetHandleVisibility() -> int\nC++: int GetHandleVisibility ();\n\n The handle sits on the surface of the sphere and may be moved around\n the surface by picking (left mouse) and then moving. The position\n of the handle can be retrieved, this is useful for positioning cameras\n and lights. By default, the handle is turned off.\n"},
  {(char*)"HandleVisibilityOn",                (PyCFunction)PyvtkSphereWidget_HandleVisibilityOn, 1,
   (char*)"V.HandleVisibilityOn()\nC++: void HandleVisibilityOn ();\n\n The handle sits on the surface of the sphere and may be moved around\n the surface by picking (left mouse) and then moving. The position\n of the handle can be retrieved, this is useful for positioning cameras\n and lights. By default, the handle is turned off.\n"},
  {(char*)"HandleVisibilityOff",                (PyCFunction)PyvtkSphereWidget_HandleVisibilityOff, 1,
   (char*)"V.HandleVisibilityOff()\nC++: void HandleVisibilityOff ();\n\n The handle sits on the surface of the sphere and may be moved around\n the surface by picking (left mouse) and then moving. The position\n of the handle can be retrieved, this is useful for positioning cameras\n and lights. By default, the handle is turned off.\n"},
  {(char*)"SetHandleDirection",                (PyCFunction)PyvtkSphereWidget_SetHandleDirection, 1,
   (char*)"V.SetHandleDirection(float, float, float)\nC++: void SetHandleDirection (double , double , double );\nV.SetHandleDirection((float, float, float))\nC++: void SetHandleDirection (double  a[3]);\n\n Set/Get the direction vector of the handle relative to the center of\n the sphere.\n"},
  {(char*)"GetHandleDirection",                (PyCFunction)PyvtkSphereWidget_GetHandleDirection, 1,
   (char*)"V.GetHandleDirection() -> (float, float, float)\nC++: double  *GetHandleDirection ();\n\n Set/Get the direction vector of the handle relative to the center of\n the sphere.\n"},
  {(char*)"GetHandlePosition",                (PyCFunction)PyvtkSphereWidget_GetHandlePosition, 1,
   (char*)"V.GetHandlePosition() -> (float, float, float)\nC++: double  *GetHandlePosition ();\n\n Get the position of the handle.\n"},
  {(char*)"GetPolyData",                (PyCFunction)PyvtkSphereWidget_GetPolyData, 1,
   (char*)"V.GetPolyData(vtkPolyData)\nC++: void GetPolyData (vtkPolyData *pd);\n\n Grab the polydata (including points) that defines the sphere.  The\n polydata consists of n+1 points, where n is the resolution of the\n sphere. These point values are guaranteed to be up-to-date when either the\n InteractionEvent or EndInteraction events are invoked. The user provides\n the vtkPolyData and the points and polysphere are added to it.\n"},
  {(char*)"GetSphere",                (PyCFunction)PyvtkSphereWidget_GetSphere, 1,
   (char*)"V.GetSphere(vtkSphere)\nC++: void GetSphere (vtkSphere *sphere);\n\n Get the spherical implicit function defined by this widget.  Note that\n vtkPlanes is a subclass of vtkImplicitFunction, meaning that it can be\n used by a variety of filters to perform clipping, cutting, and selection\n of data.\n"},
  {(char*)"GetSphereProperty",                (PyCFunction)PyvtkSphereWidget_GetSphereProperty, 1,
   (char*)"V.GetSphereProperty() -> vtkProperty\nC++: vtkProperty *GetSphereProperty ();\n\n Get the sphere properties. The properties of the sphere when selected \n and unselected can be manipulated.\n"},
  {(char*)"GetSelectedSphereProperty",                (PyCFunction)PyvtkSphereWidget_GetSelectedSphereProperty, 1,
   (char*)"V.GetSelectedSphereProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedSphereProperty ();\n\n Get the sphere properties. The properties of the sphere when selected \n and unselected can be manipulated.\n"},
  {(char*)"GetHandleProperty",                (PyCFunction)PyvtkSphereWidget_GetHandleProperty, 1,
   (char*)"V.GetHandleProperty() -> vtkProperty\nC++: vtkProperty *GetHandleProperty ();\n\n Get the handle properties (the little ball on the sphere is the\n handle). The properties of the handle when selected and unselected\n can be  manipulated.\n"},
  {(char*)"GetSelectedHandleProperty",                (PyCFunction)PyvtkSphereWidget_GetSelectedHandleProperty, 1,
   (char*)"V.GetSelectedHandleProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedHandleProperty ();\n\n Get the handle properties (the little ball on the sphere is the\n handle). The properties of the handle when selected and unselected\n can be  manipulated.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSphereWidgetDoc[] = {
  (char*)"vtkSphereWidget - 3D widget for manipulating a sphere\n\n",
  "Super Class:\n\n vtk3DWidget\n\n",
  (char*)" This 3D widget defines a sphere that can be interactively placed in a\n scene. \n\n To use this object, just invoke SetInteractor() with the argument of the\n method a vtkRenderWindowInteractor.  You may also wish to invoke\n \"PlaceWidget()\" to initially position the widget. The interactor will act\n normally until the \"i\" key (for \"interactor\") is pressed, at which point the\n vtkSphereWidget will appe",
  (char*)"ar. (See superclass documentation for information\n about changing this behavior.) \n Events that occur outside of the widget (i.e., no part of\n the widget is picked) are propagated to any other registered obsevers\n (such as the interaction style).  Turn off the widget by pressing the \"i\"\n key again (or invoke the Off() method).\n\n The vtkSphereWidget has several methods that can be used in conjuncti",
  (char*)"on\n with other VTK objects. The Set/GetThetaResolution() and\n Set/GetPhiResolution() methods control the number of subdivisions of the\n sphere in the theta and phi directions; the GetPolyData() method can be\n used to get the polygonal representation and can be used for things like\n seeding streamlines. The GetSphere() method returns a sphere implicit\n function that can be used for cutting and clip",
  (char*)"ping. Typical usage of the\n widget is to make use of the StartInteractionEvent, InteractionEvent, and\n EndInteractionEvent events. The InteractionEvent is called on mouse\n motion; the other two events are called on button down and button up\n (any mouse button).\n\n Some additional features of this class include the ability to control the\n properties of the widget. You can set the properties of the s",
  (char*)"elected and\n unselected representations of the sphere. \n\n",
  "Caveats:\n\n Note that the sphere can be picked even when they are \"behind\" other\n actors.  This is an intended feature and not a bug.\n\n",
  "See Also:\n\n vtk3DWidget vtkLineWidget vtkBoxWidget vtkPlaneWidget\n\n",
  NULL
};

static vtkObjectBase *vtkSphereWidgetStaticNew()
{
  return vtkSphereWidget::New();
}

PyObject *PyVTKClass_vtkSphereWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkSphereWidgetStaticNew,
                        PyvtkSphereWidgetMethods,
                        (char*)"vtkSphereWidget",modulename,
                        (char**)vtkSphereWidgetDoc,
                        PyVTKClass_vtk3DWidgetNew(modulename));
}

