// python wrapper for vtkSplineWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkSplineWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSplineWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSplineWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtk3DWidgetNew(char *); }

static PyObject *PyvtkSplineWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  const char    *temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  vtkSplineWidget  *temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSplineWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSplineWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  double temp0[6];
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  PyErr_Clear();
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::PlaceWidget();
      }
    else
      {
      op->PlaceWidget();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetProjectToPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetProjectToPlane(temp0);
      }
    else
      {
      op->SetProjectToPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetProjectToPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetProjectToPlane();
      }
    else
      {
      temp20 = op->GetProjectToPlane();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_ProjectToPlaneOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::ProjectToPlaneOn();
      }
    else
      {
      op->ProjectToPlaneOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_ProjectToPlaneOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::ProjectToPlaneOff();
      }
    else
      {
      op->ProjectToPlaneOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetPlaneSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  vtkPlaneSource  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPlaneSource *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlaneSource");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetPlaneSource(temp0);
      }
    else
      {
      op->SetPlaneSource(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetProjectionNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetProjectionNormal(temp0);
      }
    else
      {
      op->SetProjectionNormal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetProjectionNormalMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetProjectionNormalMinValue();
      }
    else
      {
      temp20 = op->GetProjectionNormalMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetProjectionNormalMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetProjectionNormalMaxValue();
      }
    else
      {
      temp20 = op->GetProjectionNormalMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetProjectionNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetProjectionNormal();
      }
    else
      {
      temp20 = op->GetProjectionNormal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetProjectionNormalToXAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetProjectionNormalToXAxes();
      }
    else
      {
      op->SetProjectionNormalToXAxes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetProjectionNormalToYAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetProjectionNormalToYAxes();
      }
    else
      {
      op->SetProjectionNormalToYAxes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetProjectionNormalToZAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetProjectionNormalToZAxes();
      }
    else
      {
      op->SetProjectionNormalToZAxes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetProjectionNormalToOblique(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetProjectionNormalToOblique();
      }
    else
      {
      op->SetProjectionNormalToOblique();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetProjectionPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  double   temp0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetProjectionPosition(temp0);
      }
    else
      {
      op->SetProjectionPosition(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetProjectionPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  double   temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetProjectionPosition();
      }
    else
      {
      temp20 = op->GetProjectionPosition();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break23;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::GetPolyData(temp0);
      }
    else
      {
      op->GetPolyData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break23:
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break24;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetHandleProperty(temp0);
      }
    else
      {
      op->SetHandleProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break24:
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetHandleProperty();
      }
    else
      {
      temp20 = op->GetHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetSelectedHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break26;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetSelectedHandleProperty(temp0);
      }
    else
      {
      op->SetSelectedHandleProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break26:
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetSelectedHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetSelectedHandleProperty();
      }
    else
      {
      temp20 = op->GetSelectedHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetLineProperty(temp0);
      }
    else
      {
      op->SetLineProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetLineProperty();
      }
    else
      {
      temp20 = op->GetLineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetSelectedLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetSelectedLineProperty(temp0);
      }
    else
      {
      op->SetSelectedLineProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetSelectedLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  vtkProperty  *temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetSelectedLineProperty();
      }
    else
      {
      temp20 = op->GetSelectedLineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetNumberOfHandles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetNumberOfHandles(temp0);
      }
    else
      {
      op->SetNumberOfHandles(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetNumberOfHandles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetNumberOfHandles();
      }
    else
      {
      temp20 = op->GetNumberOfHandles();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetResolution(temp0);
      }
    else
      {
      op->SetResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetResolution();
      }
    else
      {
      temp20 = op->GetResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetParametricSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  vtkParametricSpline  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkParametricSpline *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkParametricSpline");
    if (!temp0 && tempH0 != Py_None) goto break36;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetParametricSpline(temp0);
      }
    else
      {
      op->SetParametricSpline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break36:
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetParametricSpline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  vtkParametricSpline  *temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetParametricSpline();
      }
    else
      {
      temp20 = op->GetParametricSpline();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetHandlePosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"iddd", &temp0, &temp1, &temp2, &temp3)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetHandlePosition(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetHandlePosition(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp0;
  double temp1[3];
  PyErr_Clear();
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetHandlePosition(temp0,temp1);
      }
    else
      {
      op->SetHandlePosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetHandlePosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp0;
  double temp1[3];
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::GetHandlePosition(temp0,temp1);
      }
    else
      {
      op->GetHandlePosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp0;
  double  *temp20;
  PyErr_Clear();
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetHandlePosition(temp0);
      }
    else
      {
      temp20 = op->GetHandlePosition(temp0);
      }
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_SetClosed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::SetClosed(temp0);
      }
    else
      {
      op->SetClosed(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetClosed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetClosed();
      }
    else
      {
      temp20 = op->GetClosed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_ClosedOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::ClosedOn();
      }
    else
      {
      op->ClosedOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_ClosedOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::ClosedOff();
      }
    else
      {
      op->ClosedOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_IsClosed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  int      temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::IsClosed();
      }
    else
      {
      temp20 = op->IsClosed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_GetSummedLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  double   temp20;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSplineWidget::GetSummedLength();
      }
    else
      {
      temp20 = op->GetSummedLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSplineWidget_InitializeHandles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSplineWidget *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  if ((op = (vtkSplineWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break48;
    if (PyVTKClass_Check(self))
      {
      op->vtkSplineWidget::InitializeHandles(temp0);
      }
    else
      {
      op->InitializeHandles(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break48:
  return NULL;
}

static PyMethodDef PyvtkSplineWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSplineWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSplineWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSplineWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSplineWidget\nC++: vtkSplineWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSplineWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSplineWidget\nC++: vtkSplineWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkSplineWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkSplineWidget_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\nV.PlaceWidget()\nC++: void PlaceWidget ();this Superclass PlaceWidget \nV.PlaceWidget(float, float, float, float, float, float)\nC++: void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax \n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"SetProjectToPlane",                (PyCFunction)PyvtkSplineWidget_SetProjectToPlane, 1,
   (char*)"V.SetProjectToPlane(int)\nC++: void SetProjectToPlane (int );\n\n Force the spline widget to be projected onto one of the orthogonal planes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the spline to the plane if it is orginally\n not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY\n planes respectively and 3 for arbitrary oblique planes when the widget\n is tied to a vtkPlaneSource.\n"},
  {(char*)"GetProjectToPlane",                (PyCFunction)PyvtkSplineWidget_GetProjectToPlane, 1,
   (char*)"V.GetProjectToPlane() -> int\nC++: int GetProjectToPlane ();\n\n Force the spline widget to be projected onto one of the orthogonal planes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the spline to the plane if it is orginally\n not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY\n planes respectively and 3 for arbitrary oblique planes when the widget\n is tied to a vtkPlaneSource.\n"},
  {(char*)"ProjectToPlaneOn",                (PyCFunction)PyvtkSplineWidget_ProjectToPlaneOn, 1,
   (char*)"V.ProjectToPlaneOn()\nC++: void ProjectToPlaneOn ();\n\n Force the spline widget to be projected onto one of the orthogonal planes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the spline to the plane if it is orginally\n not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY\n planes respectively and 3 for arbitrary oblique planes when the widget\n is tied to a vtkPlaneSource.\n"},
  {(char*)"ProjectToPlaneOff",                (PyCFunction)PyvtkSplineWidget_ProjectToPlaneOff, 1,
   (char*)"V.ProjectToPlaneOff()\nC++: void ProjectToPlaneOff ();\n\n Force the spline widget to be projected onto one of the orthogonal planes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the spline to the plane if it is orginally\n not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY\n planes respectively and 3 for arbitrary oblique planes when the widget\n is tied to a vtkPlaneSource.\n"},
  {(char*)"SetPlaneSource",                (PyCFunction)PyvtkSplineWidget_SetPlaneSource, 1,
   (char*)"V.SetPlaneSource(vtkPlaneSource)\nC++: void SetPlaneSource (vtkPlaneSource *plane);\n\n Set up a reference to a vtkPlaneSource that could be from another widget\n object, e.g. a vtkPolyDataSourceWidget.\n"},
  {(char*)"SetProjectionNormal",                (PyCFunction)PyvtkSplineWidget_SetProjectionNormal, 1,
   (char*)"V.SetProjectionNormal(int)\nC++: void SetProjectionNormal (int );\n\n"},
  {(char*)"GetProjectionNormalMinValue",                (PyCFunction)PyvtkSplineWidget_GetProjectionNormalMinValue, 1,
   (char*)"V.GetProjectionNormalMinValue() -> int\nC++: int GetProjectionNormalMinValue ();\n\n"},
  {(char*)"GetProjectionNormalMaxValue",                (PyCFunction)PyvtkSplineWidget_GetProjectionNormalMaxValue, 1,
   (char*)"V.GetProjectionNormalMaxValue() -> int\nC++: int GetProjectionNormalMaxValue ();\n\n"},
  {(char*)"GetProjectionNormal",                (PyCFunction)PyvtkSplineWidget_GetProjectionNormal, 1,
   (char*)"V.GetProjectionNormal() -> int\nC++: int GetProjectionNormal ();\n\n"},
  {(char*)"SetProjectionNormalToXAxes",                (PyCFunction)PyvtkSplineWidget_SetProjectionNormalToXAxes, 1,
   (char*)"V.SetProjectionNormalToXAxes()\nC++: void SetProjectionNormalToXAxes ();this SetProjectionNormal \n\n"},
  {(char*)"SetProjectionNormalToYAxes",                (PyCFunction)PyvtkSplineWidget_SetProjectionNormalToYAxes, 1,
   (char*)"V.SetProjectionNormalToYAxes()\nC++: void SetProjectionNormalToYAxes ();this SetProjectionNormal \n\n"},
  {(char*)"SetProjectionNormalToZAxes",                (PyCFunction)PyvtkSplineWidget_SetProjectionNormalToZAxes, 1,
   (char*)"V.SetProjectionNormalToZAxes()\nC++: void SetProjectionNormalToZAxes ();this SetProjectionNormal \n\n"},
  {(char*)"SetProjectionNormalToOblique",                (PyCFunction)PyvtkSplineWidget_SetProjectionNormalToOblique, 1,
   (char*)"V.SetProjectionNormalToOblique()\nC++: void SetProjectionNormalToOblique ();this SetProjectionNormal \n\n Set the position of spline handles and points in terms of a plane's\n position. i.e., if ProjectionNormal is 0, all of the x-coordinate\n values of the points are set to position. Any value can be passed (and is\n ignored) to update the spline points when Projection normal is set to 3\n for arbritrary plane orientations.\n"},
  {(char*)"SetProjectionPosition",                (PyCFunction)PyvtkSplineWidget_SetProjectionPosition, 1,
   (char*)"V.SetProjectionPosition(float)\nC++: void SetProjectionPosition (double position);\n\n Set the position of spline handles and points in terms of a plane's\n position. i.e., if ProjectionNormal is 0, all of the x-coordinate\n values of the points are set to position. Any value can be passed (and is\n ignored) to update the spline points when Projection normal is set to 3\n for arbritrary plane orientations.\n"},
  {(char*)"GetProjectionPosition",                (PyCFunction)PyvtkSplineWidget_GetProjectionPosition, 1,
   (char*)"V.GetProjectionPosition() -> float\nC++: double GetProjectionPosition ();\n\n Set the position of spline handles and points in terms of a plane's\n position. i.e., if ProjectionNormal is 0, all of the x-coordinate\n values of the points are set to position. Any value can be passed (and is\n ignored) to update the spline points when Projection normal is set to 3\n for arbritrary plane orientations.\n"},
  {(char*)"GetPolyData",                (PyCFunction)PyvtkSplineWidget_GetPolyData, 1,
   (char*)"V.GetPolyData(vtkPolyData)\nC++: void GetPolyData (vtkPolyData *pd);\n\n Grab the polydata (including points) that defines the spline.  The\n polydata consists of points and line segments numbering Resolution + 1\n and Resoltuion, respectively. Points are guaranteed to be up-to-date when\n either the InteractionEvent or  EndInteraction events are invoked. The\n user provides the vtkPolyData and the points and polyline are added to it.\n"},
  {(char*)"SetHandleProperty",                (PyCFunction)PyvtkSplineWidget_SetHandleProperty, 1,
   (char*)"V.SetHandleProperty(vtkProperty)\nC++: virtual void SetHandleProperty (vtkProperty *);\n\n Set/Get the handle properties (the spheres are the handles). The\n properties of the handles when selected and unselected can be manipulated.\n"},
  {(char*)"GetHandleProperty",                (PyCFunction)PyvtkSplineWidget_GetHandleProperty, 1,
   (char*)"V.GetHandleProperty() -> vtkProperty\nC++: vtkProperty *GetHandleProperty ();\n\n Set/Get the handle properties (the spheres are the handles). The\n properties of the handles when selected and unselected can be manipulated.\n"},
  {(char*)"SetSelectedHandleProperty",                (PyCFunction)PyvtkSplineWidget_SetSelectedHandleProperty, 1,
   (char*)"V.SetSelectedHandleProperty(vtkProperty)\nC++: virtual void SetSelectedHandleProperty (vtkProperty *);\n\n Set/Get the handle properties (the spheres are the handles). The\n properties of the handles when selected and unselected can be manipulated.\n"},
  {(char*)"GetSelectedHandleProperty",                (PyCFunction)PyvtkSplineWidget_GetSelectedHandleProperty, 1,
   (char*)"V.GetSelectedHandleProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedHandleProperty ();\n\n Set/Get the handle properties (the spheres are the handles). The\n properties of the handles when selected and unselected can be manipulated.\n"},
  {(char*)"SetLineProperty",                (PyCFunction)PyvtkSplineWidget_SetLineProperty, 1,
   (char*)"V.SetLineProperty(vtkProperty)\nC++: virtual void SetLineProperty (vtkProperty *);\n\n Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n"},
  {(char*)"GetLineProperty",                (PyCFunction)PyvtkSplineWidget_GetLineProperty, 1,
   (char*)"V.GetLineProperty() -> vtkProperty\nC++: vtkProperty *GetLineProperty ();\n\n Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n"},
  {(char*)"SetSelectedLineProperty",                (PyCFunction)PyvtkSplineWidget_SetSelectedLineProperty, 1,
   (char*)"V.SetSelectedLineProperty(vtkProperty)\nC++: virtual void SetSelectedLineProperty (vtkProperty *);\n\n Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n"},
  {(char*)"GetSelectedLineProperty",                (PyCFunction)PyvtkSplineWidget_GetSelectedLineProperty, 1,
   (char*)"V.GetSelectedLineProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedLineProperty ();\n\n Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n"},
  {(char*)"SetNumberOfHandles",                (PyCFunction)PyvtkSplineWidget_SetNumberOfHandles, 1,
   (char*)"V.SetNumberOfHandles(int)\nC++: virtual void SetNumberOfHandles (int npts);\n\n Set/Get the number of handles for this widget.\n"},
  {(char*)"GetNumberOfHandles",                (PyCFunction)PyvtkSplineWidget_GetNumberOfHandles, 1,
   (char*)"V.GetNumberOfHandles() -> int\nC++: int GetNumberOfHandles ();\n\n Set/Get the number of handles for this widget.\n"},
  {(char*)"SetResolution",                (PyCFunction)PyvtkSplineWidget_SetResolution, 1,
   (char*)"V.SetResolution(int)\nC++: void SetResolution (int resolution);\n\n Set/Get the number of line segments representing the spline for\n this widget.\n"},
  {(char*)"GetResolution",                (PyCFunction)PyvtkSplineWidget_GetResolution, 1,
   (char*)"V.GetResolution() -> int\nC++: int GetResolution ();\n\n Set/Get the number of line segments representing the spline for\n this widget.\n"},
  {(char*)"SetParametricSpline",                (PyCFunction)PyvtkSplineWidget_SetParametricSpline, 1,
   (char*)"V.SetParametricSpline(vtkParametricSpline)\nC++: virtual void SetParametricSpline (vtkParametricSpline *);\n\n Set the parametric spline object. Through vtkParametricSpline's API, the\n user can supply and configure one of currently two types of spline:\n vtkCardinalSpline, vtkKochanekSpline. The widget controls the open\n or closed configuration of the spline.\n WARNING: The widget does not enforce internal consistency so that all\n three are of the same type.\n"},
  {(char*)"GetParametricSpline",                (PyCFunction)PyvtkSplineWidget_GetParametricSpline, 1,
   (char*)"V.GetParametricSpline() -> vtkParametricSpline\nC++: vtkParametricSpline *GetParametricSpline ();\n\n Set the parametric spline object. Through vtkParametricSpline's API, the\n user can supply and configure one of currently two types of spline:\n vtkCardinalSpline, vtkKochanekSpline. The widget controls the open\n or closed configuration of the spline.\n WARNING: The widget does not enforce internal consistency so that all\n three are of the same type.\n"},
  {(char*)"SetHandlePosition",                (PyCFunction)PyvtkSplineWidget_SetHandlePosition, 1,
   (char*)"V.SetHandlePosition(int, float, float, float)\nC++: void SetHandlePosition (int handle, double x, double y, double z);\nV.SetHandlePosition(int, (float, float, float))\nC++: void SetHandlePosition (int handle, double xyz[3]);\n\n Set/Get the position of the spline handles. Call GetNumberOfHandles\n to determine the valid range of handle indices.\n"},
  {(char*)"GetHandlePosition",                (PyCFunction)PyvtkSplineWidget_GetHandlePosition, 1,
   (char*)"V.GetHandlePosition(int, (float, float, float))\nC++: void GetHandlePosition (int handle, double xyz[3]);\nV.GetHandlePosition(int) -> (float, float, float)\nC++: double *GetHandlePosition (int handle);\n\n Set/Get the position of the spline handles. Call GetNumberOfHandles\n to determine the valid range of handle indices.\n"},
  {(char*)"SetClosed",                (PyCFunction)PyvtkSplineWidget_SetClosed, 1,
   (char*)"V.SetClosed(int)\nC++: void SetClosed (int closed);\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.  A minimum of 3 handles are required to\n form a closed loop.  This method enforces consistency with\n user supplied subclasses of vtkSpline.\n"},
  {(char*)"GetClosed",                (PyCFunction)PyvtkSplineWidget_GetClosed, 1,
   (char*)"V.GetClosed() -> int\nC++: int GetClosed ();\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.  A minimum of 3 handles are required to\n form a closed loop.  This method enforces consistency with\n user supplied subclasses of vtkSpline.\n"},
  {(char*)"ClosedOn",                (PyCFunction)PyvtkSplineWidget_ClosedOn, 1,
   (char*)"V.ClosedOn()\nC++: void ClosedOn ();\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.  A minimum of 3 handles are required to\n form a closed loop.  This method enforces consistency with\n user supplied subclasses of vtkSpline.\n"},
  {(char*)"ClosedOff",                (PyCFunction)PyvtkSplineWidget_ClosedOff, 1,
   (char*)"V.ClosedOff()\nC++: void ClosedOff ();\n\n Control whether the spline is open or closed. A closed spline forms\n a continuous loop: the first and last points are the same, and\n derivatives are continuous.  A minimum of 3 handles are required to\n form a closed loop.  This method enforces consistency with\n user supplied subclasses of vtkSpline.\n"},
  {(char*)"IsClosed",                (PyCFunction)PyvtkSplineWidget_IsClosed, 1,
   (char*)"V.IsClosed() -> int\nC++: int IsClosed ();\n\n Convenience method to determine whether the spline is\n closed in a geometric sense.  The widget may be set \"closed\" but still\n be geometrically open (e.g., a straight line).\n"},
  {(char*)"GetSummedLength",                (PyCFunction)PyvtkSplineWidget_GetSummedLength, 1,
   (char*)"V.GetSummedLength() -> float\nC++: double GetSummedLength ();\n\n Get the approximate vs. the true arc length of the spline. Calculated as\n the summed lengths of the individual straight line segments. Use\n SetResolution to control the accuracy.\n"},
  {(char*)"InitializeHandles",                (PyCFunction)PyvtkSplineWidget_InitializeHandles, 1,
   (char*)"V.InitializeHandles(vtkPoints)\nC++: void InitializeHandles (vtkPoints *points);\n\n Convenience method to allocate and set the handles from a vtkPoints\n instance.  If the first and last points are the same, the spline sets\n Closed to the on state and disregards the last point, otherwise Closed\n remains unchanged.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSplineWidgetDoc[] = {
  (char*)"vtkSplineWidget - 3D widget for manipulating a spline\n\n",
  "Super Class:\n\n vtk3DWidget\n\n",
  (char*)" This 3D widget defines a spline that can be interactively placed in a\n scene. The spline has handles, the number of which can be changed, plus it\n can be picked on the spline itself to translate or rotate it in the scene.\n A nice feature of the object is that the vtkSplineWidget, like any 3D\n widget, will work with the current interactor style. That is, if\n vtkSplineWidget does not handle an even",
  (char*)"t, then all other registered\n observers (including the interactor style) have an opportunity to process\n the event. Otherwise, the vtkSplineWidget will terminate the processing of\n the event that it handles.\n\n To use this object, just invoke SetInteractor() with the argument of the\n method a vtkRenderWindowInteractor.  You may also wish to invoke\n \"PlaceWidget()\" to initially position the widget. ",
  (char*)"The interactor will act\n normally until the \"i\" key (for \"interactor\") is pressed, at which point the\n vtkSplineWidget will appear. (See superclass documentation for information\n about changing this behavior.) Events that occur outside of the widget\n (i.e., no part of the widget is picked) are propagated to any other\n registered obsevers (such as the interaction style).  Turn off the widget\n by pr",
  (char*)"essing the \"i\" key again (or invoke the Off() method).\n\n The button actions and key modifiers are as follows for controlling the\n widget:\n 1) left button down on and drag one of the spherical handles to change the\n shape of the spline: the handles act as \"control points\".\n 2) left button or middle button down on a line segment forming the spline\n allows uniform translation of the widget.\n 3) ctrl ",
  (char*)"+ middle button down on the widget enables spinning of the widget\n about its center.\n 4) right button down on the widget enables scaling of the widget. By moving\n the mouse \"up\" the render window the spline will be made bigger; by moving\n \"down\" the render window the widget will be made smaller.\n 5) ctrl key + right button down on any handle will erase it providing there\n will be two or more point",
  (char*)"s remaining to form a spline.\n 6) shift key + right button down on any line segment will insert a handle\n onto the spline at the cursor position.\n\n The vtkSplineWidget has several methods that can be used in conjunction with\n other VTK objects. The Set/GetResolution() methods control the number of\n subdivisions of the spline; the GetPolyData() method can be used to get the\n polygonal representatio",
  (char*)"n and can be used for things like seeding\n streamlines or probing other data sets. Typical usage of the widget is to\n make use of the StartInteractionEvent, InteractionEvent, and\n EndInteractionEvent events. The InteractionEvent is called on mouse motion;\n the other two events are called on button down and button up (either left or\n right button).\n\n Some additional features of this class include t",
  (char*)"he ability to control the\n properties of the widget. You can set the properties of the selected and\n unselected representations of the spline. For example, you can set the\n property for the handles and spline. In addition there are methods to\n constrain the spline so that it is aligned with a plane.  Note that a simple\n ruler widget can be derived by setting the resolution to 1, the number of\n han",
  (char*)"dles to 2, and calling the GetSummedLength method!\n\n",
  "Caveats:\n\n Note that handles and line can be picked even when they are \"behind\" other\n actors.  This is an intended feature and not a bug.\n\n",
  "See Also:\n\n vtk3DWidget vtkBoxWidget vtkLineWidget vtkPointWidget vtkSphereWidget\n vtkImagePlaneWidget vtkImplicitPlaneWidget vtkPlaneWidget\n\n",
  NULL
};

static vtkObjectBase *vtkSplineWidgetStaticNew()
{
  return vtkSplineWidget::New();
}

PyObject *PyVTKClass_vtkSplineWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkSplineWidgetStaticNew,
                        PyvtkSplineWidgetMethods,
                        (char*)"vtkSplineWidget",modulename,
                        (char**)vtkSplineWidgetDoc,
                        PyVTKClass_vtk3DWidgetNew(modulename));
}

