#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4) && (TCL_RELEASE_LEVEL >= TCL_FINAL_RELEASE)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkBoxWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoxWidgetNewCommand();
int vtkImagePlaneWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImagePlaneWidgetNewCommand();
int vtkImageTracerWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImageTracerWidgetNewCommand();
int vtkImplicitPlaneWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkImplicitPlaneWidgetNewCommand();
int vtkLineWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLineWidgetNewCommand();
int vtkOrientationMarkerWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOrientationMarkerWidgetNewCommand();
int vtkPlaneWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlaneWidgetNewCommand();
int vtkPointWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPointWidgetNewCommand();
int vtkScalarBarWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkScalarBarWidgetNewCommand();
int vtkSphereWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSphereWidgetNewCommand();
int vtkSplineWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSplineWidgetNewCommand();
int vtkXYPlotWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXYPlotWidgetNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkwidgetstcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkwidgetstcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkwidgetstcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkwidgetstcl_Init(interp);
}


int VTK_EXPORT Vtkwidgetstcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,(char *) "vtkBoxWidget", vtkBoxWidgetNewCommand,
                  vtkBoxWidgetCommand);
  vtkTclCreateNew(interp,(char *) "vtkImagePlaneWidget", vtkImagePlaneWidgetNewCommand,
                  vtkImagePlaneWidgetCommand);
  vtkTclCreateNew(interp,(char *) "vtkImageTracerWidget", vtkImageTracerWidgetNewCommand,
                  vtkImageTracerWidgetCommand);
  vtkTclCreateNew(interp,(char *) "vtkImplicitPlaneWidget", vtkImplicitPlaneWidgetNewCommand,
                  vtkImplicitPlaneWidgetCommand);
  vtkTclCreateNew(interp,(char *) "vtkLineWidget", vtkLineWidgetNewCommand,
                  vtkLineWidgetCommand);
  vtkTclCreateNew(interp,(char *) "vtkOrientationMarkerWidget", vtkOrientationMarkerWidgetNewCommand,
                  vtkOrientationMarkerWidgetCommand);
  vtkTclCreateNew(interp,(char *) "vtkPlaneWidget", vtkPlaneWidgetNewCommand,
                  vtkPlaneWidgetCommand);
  vtkTclCreateNew(interp,(char *) "vtkPointWidget", vtkPointWidgetNewCommand,
                  vtkPointWidgetCommand);
  vtkTclCreateNew(interp,(char *) "vtkScalarBarWidget", vtkScalarBarWidgetNewCommand,
                  vtkScalarBarWidgetCommand);
  vtkTclCreateNew(interp,(char *) "vtkSphereWidget", vtkSphereWidgetNewCommand,
                  vtkSphereWidgetCommand);
  vtkTclCreateNew(interp,(char *) "vtkSplineWidget", vtkSplineWidgetNewCommand,
                  vtkSplineWidgetCommand);
  vtkTclCreateNew(interp,(char *) "vtkXYPlotWidget", vtkXYPlotWidgetNewCommand,
                  vtkXYPlotWidgetCommand);
  char pkgName[]="vtkWidgetsTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
