// python wrapper for vtkXYPlotWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkXYPlotWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkXYPlotWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkXYPlotWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInteractorObserverNew(char *); }

static PyObject *PyvtkXYPlotWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotWidget *op;

  const char    *temp20;
  if ((op = (vtkXYPlotWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotWidget *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkXYPlotWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotWidget *op;

  vtkXYPlotWidget  *temp20;
  if ((op = (vtkXYPlotWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkXYPlotWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkXYPlotWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkXYPlotWidget_SetXYPlotActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotWidget *op;

  vtkXYPlotActor  *temp0;
  PyObject *tempH0;
  if ((op = (vtkXYPlotWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkXYPlotActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkXYPlotActor");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotWidget::SetXYPlotActor(temp0);
      }
    else
      {
      op->SetXYPlotActor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkXYPlotWidget_GetXYPlotActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotWidget *op;

  vtkXYPlotActor  *temp20;
  if ((op = (vtkXYPlotWidget *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkXYPlotWidget::GetXYPlotActor();
      }
    else
      {
      temp20 = op->GetXYPlotActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkXYPlotWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkXYPlotWidget *op;

  int      temp0;
  if ((op = (vtkXYPlotWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkXYPlotWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkXYPlotWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkXYPlotWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkXYPlotWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkXYPlotWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkXYPlotWidget\nC++: vtkXYPlotWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkXYPlotWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkXYPlotWidget\nC++: vtkXYPlotWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetXYPlotActor",                (PyCFunction)PyvtkXYPlotWidget_SetXYPlotActor, 1,
   (char*)"V.SetXYPlotActor(vtkXYPlotActor)\nC++: virtual void SetXYPlotActor (vtkXYPlotActor *);\n\n Get the XY plot used by this Widget. One is created automatically.\n"},
  {(char*)"GetXYPlotActor",                (PyCFunction)PyvtkXYPlotWidget_GetXYPlotActor, 1,
   (char*)"V.GetXYPlotActor() -> vtkXYPlotActor\nC++: vtkXYPlotActor *GetXYPlotActor ();\n\n Get the XY plot used by this Widget. One is created automatically.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkXYPlotWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Methods for turning the interactor observer on and off.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkXYPlotWidgetDoc[] = {
  (char*)"vtkXYPlotWidget - 2D widget for manipulating a XY plot\n\n",
  "Super Class:\n\n vtkInteractorObserver\n\n",
  (char*)" This class provides support for interactively manipulating the position,\n size, and orientation of a XY Plot. It listens to Left mouse events and\n mouse movement. It will change the cursor shape based on its location. If\n the cursor is over an edge of thea XY plot it will change the cursor shape\n to a resize edge shape. If the position of a XY plot is moved to be close to\n the center of one of th",
  (char*)"e four edges of the viewport, then the XY plot will\n change its orientation to align with that edge. This orientation is sticky\n in that it will stay that orientation until the position is moved close to\n another edge.\n\n",
  "See Also:\n\n vtkInteractorObserver\n\n",
  NULL
};

static vtkObjectBase *vtkXYPlotWidgetStaticNew()
{
  return vtkXYPlotWidget::New();
}

PyObject *PyVTKClass_vtkXYPlotWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkXYPlotWidgetStaticNew,
                        PyvtkXYPlotWidgetMethods,
                        (char*)"vtkXYPlotWidget",modulename,
                        (char**)vtkXYPlotWidgetDoc,
                        PyVTKClass_vtkInteractorObserverNew(modulename));
}

